/* A Bison parser, made by GNU Bison 3.7.5.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30705

/* Bison version string.  */
#define YYBISON_VERSION "3.7.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

/* First part of user prologue.  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2022, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "access/tableam.h"
#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node	   *limitOffset;
	Node	   *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* Private struct for the result of group_clause production */
typedef struct GroupClause
{
	bool		distinct;
	List	   *list;
} GroupClause;

/* Private structs for the result of key_actions and key_action productions */
typedef struct KeyAction
{
	char		action;
	List	   *cols;
} KeyAction;

typedef struct KeyActions
{
	KeyAction *updateAction;
	KeyAction *deleteAction;
} KeyActions;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Node *v, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Float *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static RangeVar *makeRangeVarFromQualifiedName(char *name, List *rels,
											   int location,
											   core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static void preprocess_pubobj_list(List *pubobjspec_list,
								   core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 301 "gram.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "gram.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_IDENT = 3,                      /* IDENT  */
  YYSYMBOL_UIDENT = 4,                     /* UIDENT  */
  YYSYMBOL_FCONST = 5,                     /* FCONST  */
  YYSYMBOL_SCONST = 6,                     /* SCONST  */
  YYSYMBOL_USCONST = 7,                    /* USCONST  */
  YYSYMBOL_BCONST = 8,                     /* BCONST  */
  YYSYMBOL_XCONST = 9,                     /* XCONST  */
  YYSYMBOL_Op = 10,                        /* Op  */
  YYSYMBOL_ICONST = 11,                    /* ICONST  */
  YYSYMBOL_PARAM = 12,                     /* PARAM  */
  YYSYMBOL_TYPECAST = 13,                  /* TYPECAST  */
  YYSYMBOL_DOT_DOT = 14,                   /* DOT_DOT  */
  YYSYMBOL_COLON_EQUALS = 15,              /* COLON_EQUALS  */
  YYSYMBOL_EQUALS_GREATER = 16,            /* EQUALS_GREATER  */
  YYSYMBOL_LESS_EQUALS = 17,               /* LESS_EQUALS  */
  YYSYMBOL_GREATER_EQUALS = 18,            /* GREATER_EQUALS  */
  YYSYMBOL_NOT_EQUALS = 19,                /* NOT_EQUALS  */
  YYSYMBOL_ABORT_P = 20,                   /* ABORT_P  */
  YYSYMBOL_ABSENT = 21,                    /* ABSENT  */
  YYSYMBOL_ABSOLUTE_P = 22,                /* ABSOLUTE_P  */
  YYSYMBOL_ACCESS = 23,                    /* ACCESS  */
  YYSYMBOL_ACTION = 24,                    /* ACTION  */
  YYSYMBOL_ADD_P = 25,                     /* ADD_P  */
  YYSYMBOL_ADMIN = 26,                     /* ADMIN  */
  YYSYMBOL_AFTER = 27,                     /* AFTER  */
  YYSYMBOL_AGGREGATE = 28,                 /* AGGREGATE  */
  YYSYMBOL_ALL = 29,                       /* ALL  */
  YYSYMBOL_ALSO = 30,                      /* ALSO  */
  YYSYMBOL_ALTER = 31,                     /* ALTER  */
  YYSYMBOL_ALWAYS = 32,                    /* ALWAYS  */
  YYSYMBOL_ANALYSE = 33,                   /* ANALYSE  */
  YYSYMBOL_ANALYZE = 34,                   /* ANALYZE  */
  YYSYMBOL_AND = 35,                       /* AND  */
  YYSYMBOL_ANY = 36,                       /* ANY  */
  YYSYMBOL_ARRAY = 37,                     /* ARRAY  */
  YYSYMBOL_AS = 38,                        /* AS  */
  YYSYMBOL_ASC = 39,                       /* ASC  */
  YYSYMBOL_ASENSITIVE = 40,                /* ASENSITIVE  */
  YYSYMBOL_ASSERTION = 41,                 /* ASSERTION  */
  YYSYMBOL_ASSIGNMENT = 42,                /* ASSIGNMENT  */
  YYSYMBOL_ASYMMETRIC = 43,                /* ASYMMETRIC  */
  YYSYMBOL_ATOMIC = 44,                    /* ATOMIC  */
  YYSYMBOL_AT = 45,                        /* AT  */
  YYSYMBOL_ATTACH = 46,                    /* ATTACH  */
  YYSYMBOL_ATTRIBUTE = 47,                 /* ATTRIBUTE  */
  YYSYMBOL_AUTHORIZATION = 48,             /* AUTHORIZATION  */
  YYSYMBOL_BACKWARD = 49,                  /* BACKWARD  */
  YYSYMBOL_BEFORE = 50,                    /* BEFORE  */
  YYSYMBOL_BEGIN_P = 51,                   /* BEGIN_P  */
  YYSYMBOL_BETWEEN = 52,                   /* BETWEEN  */
  YYSYMBOL_BIGINT = 53,                    /* BIGINT  */
  YYSYMBOL_BINARY = 54,                    /* BINARY  */
  YYSYMBOL_BIT = 55,                       /* BIT  */
  YYSYMBOL_BOOLEAN_P = 56,                 /* BOOLEAN_P  */
  YYSYMBOL_BOTH = 57,                      /* BOTH  */
  YYSYMBOL_BREADTH = 58,                   /* BREADTH  */
  YYSYMBOL_BY = 59,                        /* BY  */
  YYSYMBOL_CACHE = 60,                     /* CACHE  */
  YYSYMBOL_CALL = 61,                      /* CALL  */
  YYSYMBOL_CALLED = 62,                    /* CALLED  */
  YYSYMBOL_CASCADE = 63,                   /* CASCADE  */
  YYSYMBOL_CASCADED = 64,                  /* CASCADED  */
  YYSYMBOL_CASE = 65,                      /* CASE  */
  YYSYMBOL_CAST = 66,                      /* CAST  */
  YYSYMBOL_CATALOG_P = 67,                 /* CATALOG_P  */
  YYSYMBOL_CHAIN = 68,                     /* CHAIN  */
  YYSYMBOL_CHAR_P = 69,                    /* CHAR_P  */
  YYSYMBOL_CHARACTER = 70,                 /* CHARACTER  */
  YYSYMBOL_CHARACTERISTICS = 71,           /* CHARACTERISTICS  */
  YYSYMBOL_CHECK = 72,                     /* CHECK  */
  YYSYMBOL_CHECKPOINT = 73,                /* CHECKPOINT  */
  YYSYMBOL_CLASS = 74,                     /* CLASS  */
  YYSYMBOL_CLOSE = 75,                     /* CLOSE  */
  YYSYMBOL_CLUSTER = 76,                   /* CLUSTER  */
  YYSYMBOL_COALESCE = 77,                  /* COALESCE  */
  YYSYMBOL_COLLATE = 78,                   /* COLLATE  */
  YYSYMBOL_COLLATION = 79,                 /* COLLATION  */
  YYSYMBOL_COLUMN = 80,                    /* COLUMN  */
  YYSYMBOL_COLUMNS = 81,                   /* COLUMNS  */
  YYSYMBOL_COMMENT = 82,                   /* COMMENT  */
  YYSYMBOL_COMMENTS = 83,                  /* COMMENTS  */
  YYSYMBOL_COMMIT = 84,                    /* COMMIT  */
  YYSYMBOL_COMMITTED = 85,                 /* COMMITTED  */
  YYSYMBOL_COMPRESSION = 86,               /* COMPRESSION  */
  YYSYMBOL_CONCURRENTLY = 87,              /* CONCURRENTLY  */
  YYSYMBOL_CONDITIONAL = 88,               /* CONDITIONAL  */
  YYSYMBOL_CONFIGURATION = 89,             /* CONFIGURATION  */
  YYSYMBOL_CONFLICT = 90,                  /* CONFLICT  */
  YYSYMBOL_CONNECTION = 91,                /* CONNECTION  */
  YYSYMBOL_CONSTRAINT = 92,                /* CONSTRAINT  */
  YYSYMBOL_CONSTRAINTS = 93,               /* CONSTRAINTS  */
  YYSYMBOL_CONTENT_P = 94,                 /* CONTENT_P  */
  YYSYMBOL_CONTINUE_P = 95,                /* CONTINUE_P  */
  YYSYMBOL_CONVERSION_P = 96,              /* CONVERSION_P  */
  YYSYMBOL_COPY = 97,                      /* COPY  */
  YYSYMBOL_COST = 98,                      /* COST  */
  YYSYMBOL_CREATE = 99,                    /* CREATE  */
  YYSYMBOL_CROSS = 100,                    /* CROSS  */
  YYSYMBOL_CSV = 101,                      /* CSV  */
  YYSYMBOL_CUBE = 102,                     /* CUBE  */
  YYSYMBOL_CURRENT_P = 103,                /* CURRENT_P  */
  YYSYMBOL_CURRENT_CATALOG = 104,          /* CURRENT_CATALOG  */
  YYSYMBOL_CURRENT_DATE = 105,             /* CURRENT_DATE  */
  YYSYMBOL_CURRENT_ROLE = 106,             /* CURRENT_ROLE  */
  YYSYMBOL_CURRENT_SCHEMA = 107,           /* CURRENT_SCHEMA  */
  YYSYMBOL_CURRENT_TIME = 108,             /* CURRENT_TIME  */
  YYSYMBOL_CURRENT_TIMESTAMP = 109,        /* CURRENT_TIMESTAMP  */
  YYSYMBOL_CURRENT_USER = 110,             /* CURRENT_USER  */
  YYSYMBOL_CURSOR = 111,                   /* CURSOR  */
  YYSYMBOL_CYCLE = 112,                    /* CYCLE  */
  YYSYMBOL_DATA_P = 113,                   /* DATA_P  */
  YYSYMBOL_DATABASE = 114,                 /* DATABASE  */
  YYSYMBOL_DAY_P = 115,                    /* DAY_P  */
  YYSYMBOL_DEALLOCATE = 116,               /* DEALLOCATE  */
  YYSYMBOL_DEC = 117,                      /* DEC  */
  YYSYMBOL_DECIMAL_P = 118,                /* DECIMAL_P  */
  YYSYMBOL_DECLARE = 119,                  /* DECLARE  */
  YYSYMBOL_DEFAULT = 120,                  /* DEFAULT  */
  YYSYMBOL_DEFAULTS = 121,                 /* DEFAULTS  */
  YYSYMBOL_DEFERRABLE = 122,               /* DEFERRABLE  */
  YYSYMBOL_DEFERRED = 123,                 /* DEFERRED  */
  YYSYMBOL_DEFINER = 124,                  /* DEFINER  */
  YYSYMBOL_DELETE_P = 125,                 /* DELETE_P  */
  YYSYMBOL_DELIMITER = 126,                /* DELIMITER  */
  YYSYMBOL_DELIMITERS = 127,               /* DELIMITERS  */
  YYSYMBOL_DEPENDS = 128,                  /* DEPENDS  */
  YYSYMBOL_DEPTH = 129,                    /* DEPTH  */
  YYSYMBOL_DESC = 130,                     /* DESC  */
  YYSYMBOL_DETACH = 131,                   /* DETACH  */
  YYSYMBOL_DICTIONARY = 132,               /* DICTIONARY  */
  YYSYMBOL_DISABLE_P = 133,                /* DISABLE_P  */
  YYSYMBOL_DISCARD = 134,                  /* DISCARD  */
  YYSYMBOL_DISTINCT = 135,                 /* DISTINCT  */
  YYSYMBOL_DO = 136,                       /* DO  */
  YYSYMBOL_DOCUMENT_P = 137,               /* DOCUMENT_P  */
  YYSYMBOL_DOMAIN_P = 138,                 /* DOMAIN_P  */
  YYSYMBOL_DOUBLE_P = 139,                 /* DOUBLE_P  */
  YYSYMBOL_DROP = 140,                     /* DROP  */
  YYSYMBOL_EACH = 141,                     /* EACH  */
  YYSYMBOL_ELSE = 142,                     /* ELSE  */
  YYSYMBOL_EMPTY_P = 143,                  /* EMPTY_P  */
  YYSYMBOL_ENABLE_P = 144,                 /* ENABLE_P  */
  YYSYMBOL_ENCODING = 145,                 /* ENCODING  */
  YYSYMBOL_ENCRYPTED = 146,                /* ENCRYPTED  */
  YYSYMBOL_END_P = 147,                    /* END_P  */
  YYSYMBOL_ENUM_P = 148,                   /* ENUM_P  */
  YYSYMBOL_ERROR_P = 149,                  /* ERROR_P  */
  YYSYMBOL_ESCAPE = 150,                   /* ESCAPE  */
  YYSYMBOL_EVENT = 151,                    /* EVENT  */
  YYSYMBOL_EXCEPT = 152,                   /* EXCEPT  */
  YYSYMBOL_EXCLUDE = 153,                  /* EXCLUDE  */
  YYSYMBOL_EXCLUDING = 154,                /* EXCLUDING  */
  YYSYMBOL_EXCLUSIVE = 155,                /* EXCLUSIVE  */
  YYSYMBOL_EXECUTE = 156,                  /* EXECUTE  */
  YYSYMBOL_EXISTS = 157,                   /* EXISTS  */
  YYSYMBOL_EXPLAIN = 158,                  /* EXPLAIN  */
  YYSYMBOL_EXPRESSION = 159,               /* EXPRESSION  */
  YYSYMBOL_EXTENSION = 160,                /* EXTENSION  */
  YYSYMBOL_EXTERNAL = 161,                 /* EXTERNAL  */
  YYSYMBOL_EXTRACT = 162,                  /* EXTRACT  */
  YYSYMBOL_FALSE_P = 163,                  /* FALSE_P  */
  YYSYMBOL_FAMILY = 164,                   /* FAMILY  */
  YYSYMBOL_FETCH = 165,                    /* FETCH  */
  YYSYMBOL_FILTER = 166,                   /* FILTER  */
  YYSYMBOL_FINALIZE = 167,                 /* FINALIZE  */
  YYSYMBOL_FIRST_P = 168,                  /* FIRST_P  */
  YYSYMBOL_FLOAT_P = 169,                  /* FLOAT_P  */
  YYSYMBOL_FOLLOWING = 170,                /* FOLLOWING  */
  YYSYMBOL_FOR = 171,                      /* FOR  */
  YYSYMBOL_FORCE = 172,                    /* FORCE  */
  YYSYMBOL_FOREIGN = 173,                  /* FOREIGN  */
  YYSYMBOL_FORMAT = 174,                   /* FORMAT  */
  YYSYMBOL_FORWARD = 175,                  /* FORWARD  */
  YYSYMBOL_FREEZE = 176,                   /* FREEZE  */
  YYSYMBOL_FROM = 177,                     /* FROM  */
  YYSYMBOL_FULL = 178,                     /* FULL  */
  YYSYMBOL_FUNCTION = 179,                 /* FUNCTION  */
  YYSYMBOL_FUNCTIONS = 180,                /* FUNCTIONS  */
  YYSYMBOL_GENERATED = 181,                /* GENERATED  */
  YYSYMBOL_GLOBAL = 182,                   /* GLOBAL  */
  YYSYMBOL_GRANT = 183,                    /* GRANT  */
  YYSYMBOL_GRANTED = 184,                  /* GRANTED  */
  YYSYMBOL_GREATEST = 185,                 /* GREATEST  */
  YYSYMBOL_GROUP_P = 186,                  /* GROUP_P  */
  YYSYMBOL_GROUPING = 187,                 /* GROUPING  */
  YYSYMBOL_GROUPS = 188,                   /* GROUPS  */
  YYSYMBOL_HANDLER = 189,                  /* HANDLER  */
  YYSYMBOL_HAVING = 190,                   /* HAVING  */
  YYSYMBOL_HEADER_P = 191,                 /* HEADER_P  */
  YYSYMBOL_HOLD = 192,                     /* HOLD  */
  YYSYMBOL_HOUR_P = 193,                   /* HOUR_P  */
  YYSYMBOL_IDENTITY_P = 194,               /* IDENTITY_P  */
  YYSYMBOL_IF_P = 195,                     /* IF_P  */
  YYSYMBOL_ILIKE = 196,                    /* ILIKE  */
  YYSYMBOL_IMMEDIATE = 197,                /* IMMEDIATE  */
  YYSYMBOL_IMMUTABLE = 198,                /* IMMUTABLE  */
  YYSYMBOL_IMPLICIT_P = 199,               /* IMPLICIT_P  */
  YYSYMBOL_IMPORT_P = 200,                 /* IMPORT_P  */
  YYSYMBOL_IN_P = 201,                     /* IN_P  */
  YYSYMBOL_INCLUDE = 202,                  /* INCLUDE  */
  YYSYMBOL_INCLUDING = 203,                /* INCLUDING  */
  YYSYMBOL_INCREMENT = 204,                /* INCREMENT  */
  YYSYMBOL_INDEX = 205,                    /* INDEX  */
  YYSYMBOL_INDEXES = 206,                  /* INDEXES  */
  YYSYMBOL_INHERIT = 207,                  /* INHERIT  */
  YYSYMBOL_INHERITS = 208,                 /* INHERITS  */
  YYSYMBOL_INITIALLY = 209,                /* INITIALLY  */
  YYSYMBOL_INLINE_P = 210,                 /* INLINE_P  */
  YYSYMBOL_INNER_P = 211,                  /* INNER_P  */
  YYSYMBOL_INOUT = 212,                    /* INOUT  */
  YYSYMBOL_INPUT_P = 213,                  /* INPUT_P  */
  YYSYMBOL_INSENSITIVE = 214,              /* INSENSITIVE  */
  YYSYMBOL_INSERT = 215,                   /* INSERT  */
  YYSYMBOL_INSTEAD = 216,                  /* INSTEAD  */
  YYSYMBOL_INT_P = 217,                    /* INT_P  */
  YYSYMBOL_INTEGER = 218,                  /* INTEGER  */
  YYSYMBOL_INTERSECT = 219,                /* INTERSECT  */
  YYSYMBOL_INTERVAL = 220,                 /* INTERVAL  */
  YYSYMBOL_INTO = 221,                     /* INTO  */
  YYSYMBOL_INVOKER = 222,                  /* INVOKER  */
  YYSYMBOL_IS = 223,                       /* IS  */
  YYSYMBOL_ISNULL = 224,                   /* ISNULL  */
  YYSYMBOL_ISOLATION = 225,                /* ISOLATION  */
  YYSYMBOL_JOIN = 226,                     /* JOIN  */
  YYSYMBOL_JSON = 227,                     /* JSON  */
  YYSYMBOL_JSON_ARRAY = 228,               /* JSON_ARRAY  */
  YYSYMBOL_JSON_ARRAYAGG = 229,            /* JSON_ARRAYAGG  */
  YYSYMBOL_JSON_EXISTS = 230,              /* JSON_EXISTS  */
  YYSYMBOL_JSON_OBJECT = 231,              /* JSON_OBJECT  */
  YYSYMBOL_JSON_OBJECTAGG = 232,           /* JSON_OBJECTAGG  */
  YYSYMBOL_JSON_QUERY = 233,               /* JSON_QUERY  */
  YYSYMBOL_JSON_SCALAR = 234,              /* JSON_SCALAR  */
  YYSYMBOL_JSON_SERIALIZE = 235,           /* JSON_SERIALIZE  */
  YYSYMBOL_JSON_TABLE = 236,               /* JSON_TABLE  */
  YYSYMBOL_JSON_VALUE = 237,               /* JSON_VALUE  */
  YYSYMBOL_KEY = 238,                      /* KEY  */
  YYSYMBOL_KEYS = 239,                     /* KEYS  */
  YYSYMBOL_KEEP = 240,                     /* KEEP  */
  YYSYMBOL_LABEL = 241,                    /* LABEL  */
  YYSYMBOL_LANGUAGE = 242,                 /* LANGUAGE  */
  YYSYMBOL_LARGE_P = 243,                  /* LARGE_P  */
  YYSYMBOL_LAST_P = 244,                   /* LAST_P  */
  YYSYMBOL_LATERAL_P = 245,                /* LATERAL_P  */
  YYSYMBOL_LEADING = 246,                  /* LEADING  */
  YYSYMBOL_LEAKPROOF = 247,                /* LEAKPROOF  */
  YYSYMBOL_LEAST = 248,                    /* LEAST  */
  YYSYMBOL_LEFT = 249,                     /* LEFT  */
  YYSYMBOL_LEVEL = 250,                    /* LEVEL  */
  YYSYMBOL_LIKE = 251,                     /* LIKE  */
  YYSYMBOL_LIMIT = 252,                    /* LIMIT  */
  YYSYMBOL_LISTEN = 253,                   /* LISTEN  */
  YYSYMBOL_LOAD = 254,                     /* LOAD  */
  YYSYMBOL_LOCAL = 255,                    /* LOCAL  */
  YYSYMBOL_LOCALTIME = 256,                /* LOCALTIME  */
  YYSYMBOL_LOCALTIMESTAMP = 257,           /* LOCALTIMESTAMP  */
  YYSYMBOL_LOCATION = 258,                 /* LOCATION  */
  YYSYMBOL_LOCK_P = 259,                   /* LOCK_P  */
  YYSYMBOL_LOCKED = 260,                   /* LOCKED  */
  YYSYMBOL_LOGGED = 261,                   /* LOGGED  */
  YYSYMBOL_MAPPING = 262,                  /* MAPPING  */
  YYSYMBOL_MATCH = 263,                    /* MATCH  */
  YYSYMBOL_MATCHED = 264,                  /* MATCHED  */
  YYSYMBOL_MATERIALIZED = 265,             /* MATERIALIZED  */
  YYSYMBOL_MAXVALUE = 266,                 /* MAXVALUE  */
  YYSYMBOL_MERGE = 267,                    /* MERGE  */
  YYSYMBOL_METHOD = 268,                   /* METHOD  */
  YYSYMBOL_MINUTE_P = 269,                 /* MINUTE_P  */
  YYSYMBOL_MINVALUE = 270,                 /* MINVALUE  */
  YYSYMBOL_MODE = 271,                     /* MODE  */
  YYSYMBOL_MONTH_P = 272,                  /* MONTH_P  */
  YYSYMBOL_MOVE = 273,                     /* MOVE  */
  YYSYMBOL_NAME_P = 274,                   /* NAME_P  */
  YYSYMBOL_NAMES = 275,                    /* NAMES  */
  YYSYMBOL_NATIONAL = 276,                 /* NATIONAL  */
  YYSYMBOL_NATURAL = 277,                  /* NATURAL  */
  YYSYMBOL_NCHAR = 278,                    /* NCHAR  */
  YYSYMBOL_NESTED = 279,                   /* NESTED  */
  YYSYMBOL_NEW = 280,                      /* NEW  */
  YYSYMBOL_NEXT = 281,                     /* NEXT  */
  YYSYMBOL_NFC = 282,                      /* NFC  */
  YYSYMBOL_NFD = 283,                      /* NFD  */
  YYSYMBOL_NFKC = 284,                     /* NFKC  */
  YYSYMBOL_NFKD = 285,                     /* NFKD  */
  YYSYMBOL_NO = 286,                       /* NO  */
  YYSYMBOL_NONE = 287,                     /* NONE  */
  YYSYMBOL_NORMALIZE = 288,                /* NORMALIZE  */
  YYSYMBOL_NORMALIZED = 289,               /* NORMALIZED  */
  YYSYMBOL_NOT = 290,                      /* NOT  */
  YYSYMBOL_NOTHING = 291,                  /* NOTHING  */
  YYSYMBOL_NOTIFY = 292,                   /* NOTIFY  */
  YYSYMBOL_NOTNULL = 293,                  /* NOTNULL  */
  YYSYMBOL_NOWAIT = 294,                   /* NOWAIT  */
  YYSYMBOL_NULL_P = 295,                   /* NULL_P  */
  YYSYMBOL_NULLIF = 296,                   /* NULLIF  */
  YYSYMBOL_NULLS_P = 297,                  /* NULLS_P  */
  YYSYMBOL_NUMERIC = 298,                  /* NUMERIC  */
  YYSYMBOL_OBJECT_P = 299,                 /* OBJECT_P  */
  YYSYMBOL_OF = 300,                       /* OF  */
  YYSYMBOL_OFF = 301,                      /* OFF  */
  YYSYMBOL_OFFSET = 302,                   /* OFFSET  */
  YYSYMBOL_OIDS = 303,                     /* OIDS  */
  YYSYMBOL_OLD = 304,                      /* OLD  */
  YYSYMBOL_OMIT = 305,                     /* OMIT  */
  YYSYMBOL_ON = 306,                       /* ON  */
  YYSYMBOL_ONLY = 307,                     /* ONLY  */
  YYSYMBOL_OPERATOR = 308,                 /* OPERATOR  */
  YYSYMBOL_OPTION = 309,                   /* OPTION  */
  YYSYMBOL_OPTIONS = 310,                  /* OPTIONS  */
  YYSYMBOL_OR = 311,                       /* OR  */
  YYSYMBOL_ORDER = 312,                    /* ORDER  */
  YYSYMBOL_ORDINALITY = 313,               /* ORDINALITY  */
  YYSYMBOL_OTHERS = 314,                   /* OTHERS  */
  YYSYMBOL_OUT_P = 315,                    /* OUT_P  */
  YYSYMBOL_OUTER_P = 316,                  /* OUTER_P  */
  YYSYMBOL_OVER = 317,                     /* OVER  */
  YYSYMBOL_OVERLAPS = 318,                 /* OVERLAPS  */
  YYSYMBOL_OVERLAY = 319,                  /* OVERLAY  */
  YYSYMBOL_OVERRIDING = 320,               /* OVERRIDING  */
  YYSYMBOL_OWNED = 321,                    /* OWNED  */
  YYSYMBOL_OWNER = 322,                    /* OWNER  */
  YYSYMBOL_PARALLEL = 323,                 /* PARALLEL  */
  YYSYMBOL_PARAMETER = 324,                /* PARAMETER  */
  YYSYMBOL_PARSER = 325,                   /* PARSER  */
  YYSYMBOL_PARTIAL = 326,                  /* PARTIAL  */
  YYSYMBOL_PARTITION = 327,                /* PARTITION  */
  YYSYMBOL_PASSING = 328,                  /* PASSING  */
  YYSYMBOL_PASSWORD = 329,                 /* PASSWORD  */
  YYSYMBOL_PATH = 330,                     /* PATH  */
  YYSYMBOL_PLACING = 331,                  /* PLACING  */
  YYSYMBOL_PLAN = 332,                     /* PLAN  */
  YYSYMBOL_PLANS = 333,                    /* PLANS  */
  YYSYMBOL_POLICY = 334,                   /* POLICY  */
  YYSYMBOL_POSITION = 335,                 /* POSITION  */
  YYSYMBOL_PRECEDING = 336,                /* PRECEDING  */
  YYSYMBOL_PRECISION = 337,                /* PRECISION  */
  YYSYMBOL_PRESERVE = 338,                 /* PRESERVE  */
  YYSYMBOL_PREPARE = 339,                  /* PREPARE  */
  YYSYMBOL_PREPARED = 340,                 /* PREPARED  */
  YYSYMBOL_PRIMARY = 341,                  /* PRIMARY  */
  YYSYMBOL_PRIOR = 342,                    /* PRIOR  */
  YYSYMBOL_PRIVILEGES = 343,               /* PRIVILEGES  */
  YYSYMBOL_PROCEDURAL = 344,               /* PROCEDURAL  */
  YYSYMBOL_PROCEDURE = 345,                /* PROCEDURE  */
  YYSYMBOL_PROCEDURES = 346,               /* PROCEDURES  */
  YYSYMBOL_PROGRAM = 347,                  /* PROGRAM  */
  YYSYMBOL_PUBLICATION = 348,              /* PUBLICATION  */
  YYSYMBOL_QUOTE = 349,                    /* QUOTE  */
  YYSYMBOL_QUOTES = 350,                   /* QUOTES  */
  YYSYMBOL_RANGE = 351,                    /* RANGE  */
  YYSYMBOL_READ = 352,                     /* READ  */
  YYSYMBOL_REAL = 353,                     /* REAL  */
  YYSYMBOL_REASSIGN = 354,                 /* REASSIGN  */
  YYSYMBOL_RECHECK = 355,                  /* RECHECK  */
  YYSYMBOL_RECURSIVE = 356,                /* RECURSIVE  */
  YYSYMBOL_REF = 357,                      /* REF  */
  YYSYMBOL_REFERENCES = 358,               /* REFERENCES  */
  YYSYMBOL_REFERENCING = 359,              /* REFERENCING  */
  YYSYMBOL_REFRESH = 360,                  /* REFRESH  */
  YYSYMBOL_REINDEX = 361,                  /* REINDEX  */
  YYSYMBOL_RELATIVE_P = 362,               /* RELATIVE_P  */
  YYSYMBOL_RELEASE = 363,                  /* RELEASE  */
  YYSYMBOL_RENAME = 364,                   /* RENAME  */
  YYSYMBOL_REPEATABLE = 365,               /* REPEATABLE  */
  YYSYMBOL_REPLACE = 366,                  /* REPLACE  */
  YYSYMBOL_REPLICA = 367,                  /* REPLICA  */
  YYSYMBOL_RESET = 368,                    /* RESET  */
  YYSYMBOL_RESTART = 369,                  /* RESTART  */
  YYSYMBOL_RESTRICT = 370,                 /* RESTRICT  */
  YYSYMBOL_RETURN = 371,                   /* RETURN  */
  YYSYMBOL_RETURNING = 372,                /* RETURNING  */
  YYSYMBOL_RETURNS = 373,                  /* RETURNS  */
  YYSYMBOL_REVOKE = 374,                   /* REVOKE  */
  YYSYMBOL_RIGHT = 375,                    /* RIGHT  */
  YYSYMBOL_ROLE = 376,                     /* ROLE  */
  YYSYMBOL_ROLLBACK = 377,                 /* ROLLBACK  */
  YYSYMBOL_ROLLUP = 378,                   /* ROLLUP  */
  YYSYMBOL_ROUTINE = 379,                  /* ROUTINE  */
  YYSYMBOL_ROUTINES = 380,                 /* ROUTINES  */
  YYSYMBOL_ROW = 381,                      /* ROW  */
  YYSYMBOL_ROWS = 382,                     /* ROWS  */
  YYSYMBOL_RULE = 383,                     /* RULE  */
  YYSYMBOL_SAVEPOINT = 384,                /* SAVEPOINT  */
  YYSYMBOL_SCALAR = 385,                   /* SCALAR  */
  YYSYMBOL_SCHEMA = 386,                   /* SCHEMA  */
  YYSYMBOL_SCHEMAS = 387,                  /* SCHEMAS  */
  YYSYMBOL_SCROLL = 388,                   /* SCROLL  */
  YYSYMBOL_SEARCH = 389,                   /* SEARCH  */
  YYSYMBOL_SECOND_P = 390,                 /* SECOND_P  */
  YYSYMBOL_SECURITY = 391,                 /* SECURITY  */
  YYSYMBOL_SELECT = 392,                   /* SELECT  */
  YYSYMBOL_SEQUENCE = 393,                 /* SEQUENCE  */
  YYSYMBOL_SEQUENCES = 394,                /* SEQUENCES  */
  YYSYMBOL_SERIALIZABLE = 395,             /* SERIALIZABLE  */
  YYSYMBOL_SERVER = 396,                   /* SERVER  */
  YYSYMBOL_SESSION = 397,                  /* SESSION  */
  YYSYMBOL_SESSION_USER = 398,             /* SESSION_USER  */
  YYSYMBOL_SET = 399,                      /* SET  */
  YYSYMBOL_SETS = 400,                     /* SETS  */
  YYSYMBOL_SETOF = 401,                    /* SETOF  */
  YYSYMBOL_SHARE = 402,                    /* SHARE  */
  YYSYMBOL_SHOW = 403,                     /* SHOW  */
  YYSYMBOL_SIMILAR = 404,                  /* SIMILAR  */
  YYSYMBOL_SIMPLE = 405,                   /* SIMPLE  */
  YYSYMBOL_SKIP = 406,                     /* SKIP  */
  YYSYMBOL_SMALLINT = 407,                 /* SMALLINT  */
  YYSYMBOL_SNAPSHOT = 408,                 /* SNAPSHOT  */
  YYSYMBOL_SOME = 409,                     /* SOME  */
  YYSYMBOL_SQL_P = 410,                    /* SQL_P  */
  YYSYMBOL_STABLE = 411,                   /* STABLE  */
  YYSYMBOL_STANDALONE_P = 412,             /* STANDALONE_P  */
  YYSYMBOL_START = 413,                    /* START  */
  YYSYMBOL_STATEMENT = 414,                /* STATEMENT  */
  YYSYMBOL_STATISTICS = 415,               /* STATISTICS  */
  YYSYMBOL_STDIN = 416,                    /* STDIN  */
  YYSYMBOL_STDOUT = 417,                   /* STDOUT  */
  YYSYMBOL_STORAGE = 418,                  /* STORAGE  */
  YYSYMBOL_STORED = 419,                   /* STORED  */
  YYSYMBOL_STRICT_P = 420,                 /* STRICT_P  */
  YYSYMBOL_STRING = 421,                   /* STRING  */
  YYSYMBOL_STRIP_P = 422,                  /* STRIP_P  */
  YYSYMBOL_SUBSCRIPTION = 423,             /* SUBSCRIPTION  */
  YYSYMBOL_SUBSTRING = 424,                /* SUBSTRING  */
  YYSYMBOL_SUPPORT = 425,                  /* SUPPORT  */
  YYSYMBOL_SYMMETRIC = 426,                /* SYMMETRIC  */
  YYSYMBOL_SYSID = 427,                    /* SYSID  */
  YYSYMBOL_SYSTEM_P = 428,                 /* SYSTEM_P  */
  YYSYMBOL_TABLE = 429,                    /* TABLE  */
  YYSYMBOL_TABLES = 430,                   /* TABLES  */
  YYSYMBOL_TABLESAMPLE = 431,              /* TABLESAMPLE  */
  YYSYMBOL_TABLESPACE = 432,               /* TABLESPACE  */
  YYSYMBOL_TEMP = 433,                     /* TEMP  */
  YYSYMBOL_TEMPLATE = 434,                 /* TEMPLATE  */
  YYSYMBOL_TEMPORARY = 435,                /* TEMPORARY  */
  YYSYMBOL_TEXT_P = 436,                   /* TEXT_P  */
  YYSYMBOL_THEN = 437,                     /* THEN  */
  YYSYMBOL_TIES = 438,                     /* TIES  */
  YYSYMBOL_TIME = 439,                     /* TIME  */
  YYSYMBOL_TIMESTAMP = 440,                /* TIMESTAMP  */
  YYSYMBOL_TO = 441,                       /* TO  */
  YYSYMBOL_TRAILING = 442,                 /* TRAILING  */
  YYSYMBOL_TRANSACTION = 443,              /* TRANSACTION  */
  YYSYMBOL_TRANSFORM = 444,                /* TRANSFORM  */
  YYSYMBOL_TREAT = 445,                    /* TREAT  */
  YYSYMBOL_TRIGGER = 446,                  /* TRIGGER  */
  YYSYMBOL_TRIM = 447,                     /* TRIM  */
  YYSYMBOL_TRUE_P = 448,                   /* TRUE_P  */
  YYSYMBOL_TRUNCATE = 449,                 /* TRUNCATE  */
  YYSYMBOL_TRUSTED = 450,                  /* TRUSTED  */
  YYSYMBOL_TYPE_P = 451,                   /* TYPE_P  */
  YYSYMBOL_TYPES_P = 452,                  /* TYPES_P  */
  YYSYMBOL_UESCAPE = 453,                  /* UESCAPE  */
  YYSYMBOL_UNBOUNDED = 454,                /* UNBOUNDED  */
  YYSYMBOL_UNCONDITIONAL = 455,            /* UNCONDITIONAL  */
  YYSYMBOL_UNCOMMITTED = 456,              /* UNCOMMITTED  */
  YYSYMBOL_UNENCRYPTED = 457,              /* UNENCRYPTED  */
  YYSYMBOL_UNION = 458,                    /* UNION  */
  YYSYMBOL_UNIQUE = 459,                   /* UNIQUE  */
  YYSYMBOL_UNKNOWN = 460,                  /* UNKNOWN  */
  YYSYMBOL_UNLISTEN = 461,                 /* UNLISTEN  */
  YYSYMBOL_UNLOGGED = 462,                 /* UNLOGGED  */
  YYSYMBOL_UNTIL = 463,                    /* UNTIL  */
  YYSYMBOL_UPDATE = 464,                   /* UPDATE  */
  YYSYMBOL_USER = 465,                     /* USER  */
  YYSYMBOL_USING = 466,                    /* USING  */
  YYSYMBOL_VACUUM = 467,                   /* VACUUM  */
  YYSYMBOL_VALID = 468,                    /* VALID  */
  YYSYMBOL_VALIDATE = 469,                 /* VALIDATE  */
  YYSYMBOL_VALIDATOR = 470,                /* VALIDATOR  */
  YYSYMBOL_VALUE_P = 471,                  /* VALUE_P  */
  YYSYMBOL_VALUES = 472,                   /* VALUES  */
  YYSYMBOL_VARCHAR = 473,                  /* VARCHAR  */
  YYSYMBOL_VARIADIC = 474,                 /* VARIADIC  */
  YYSYMBOL_VARYING = 475,                  /* VARYING  */
  YYSYMBOL_VERBOSE = 476,                  /* VERBOSE  */
  YYSYMBOL_VERSION_P = 477,                /* VERSION_P  */
  YYSYMBOL_VIEW = 478,                     /* VIEW  */
  YYSYMBOL_VIEWS = 479,                    /* VIEWS  */
  YYSYMBOL_VOLATILE = 480,                 /* VOLATILE  */
  YYSYMBOL_WHEN = 481,                     /* WHEN  */
  YYSYMBOL_WHERE = 482,                    /* WHERE  */
  YYSYMBOL_WHITESPACE_P = 483,             /* WHITESPACE_P  */
  YYSYMBOL_WINDOW = 484,                   /* WINDOW  */
  YYSYMBOL_WITH = 485,                     /* WITH  */
  YYSYMBOL_WITHIN = 486,                   /* WITHIN  */
  YYSYMBOL_WITHOUT = 487,                  /* WITHOUT  */
  YYSYMBOL_WORK = 488,                     /* WORK  */
  YYSYMBOL_WRAPPER = 489,                  /* WRAPPER  */
  YYSYMBOL_WRITE = 490,                    /* WRITE  */
  YYSYMBOL_XML_P = 491,                    /* XML_P  */
  YYSYMBOL_XMLATTRIBUTES = 492,            /* XMLATTRIBUTES  */
  YYSYMBOL_XMLCONCAT = 493,                /* XMLCONCAT  */
  YYSYMBOL_XMLELEMENT = 494,               /* XMLELEMENT  */
  YYSYMBOL_XMLEXISTS = 495,                /* XMLEXISTS  */
  YYSYMBOL_XMLFOREST = 496,                /* XMLFOREST  */
  YYSYMBOL_XMLNAMESPACES = 497,            /* XMLNAMESPACES  */
  YYSYMBOL_XMLPARSE = 498,                 /* XMLPARSE  */
  YYSYMBOL_XMLPI = 499,                    /* XMLPI  */
  YYSYMBOL_XMLROOT = 500,                  /* XMLROOT  */
  YYSYMBOL_XMLSERIALIZE = 501,             /* XMLSERIALIZE  */
  YYSYMBOL_XMLTABLE = 502,                 /* XMLTABLE  */
  YYSYMBOL_YEAR_P = 503,                   /* YEAR_P  */
  YYSYMBOL_YES_P = 504,                    /* YES_P  */
  YYSYMBOL_ZONE = 505,                     /* ZONE  */
  YYSYMBOL_NOT_LA = 506,                   /* NOT_LA  */
  YYSYMBOL_NULLS_LA = 507,                 /* NULLS_LA  */
  YYSYMBOL_WITH_LA = 508,                  /* WITH_LA  */
  YYSYMBOL_WITH_LA_UNIQUE = 509,           /* WITH_LA_UNIQUE  */
  YYSYMBOL_WITHOUT_LA = 510,               /* WITHOUT_LA  */
  YYSYMBOL_MODE_TYPE_NAME = 511,           /* MODE_TYPE_NAME  */
  YYSYMBOL_MODE_PLPGSQL_EXPR = 512,        /* MODE_PLPGSQL_EXPR  */
  YYSYMBOL_MODE_PLPGSQL_ASSIGN1 = 513,     /* MODE_PLPGSQL_ASSIGN1  */
  YYSYMBOL_MODE_PLPGSQL_ASSIGN2 = 514,     /* MODE_PLPGSQL_ASSIGN2  */
  YYSYMBOL_MODE_PLPGSQL_ASSIGN3 = 515,     /* MODE_PLPGSQL_ASSIGN3  */
  YYSYMBOL_516_ = 516,                     /* '<'  */
  YYSYMBOL_517_ = 517,                     /* '>'  */
  YYSYMBOL_518_ = 518,                     /* '='  */
  YYSYMBOL_519_ = 519,                     /* '+'  */
  YYSYMBOL_520_ = 520,                     /* '-'  */
  YYSYMBOL_521_ = 521,                     /* '*'  */
  YYSYMBOL_522_ = 522,                     /* '/'  */
  YYSYMBOL_523_ = 523,                     /* '%'  */
  YYSYMBOL_524_ = 524,                     /* '^'  */
  YYSYMBOL_UMINUS = 525,                   /* UMINUS  */
  YYSYMBOL_526_ = 526,                     /* '['  */
  YYSYMBOL_527_ = 527,                     /* ']'  */
  YYSYMBOL_528_ = 528,                     /* '('  */
  YYSYMBOL_529_ = 529,                     /* ')'  */
  YYSYMBOL_530_ = 530,                     /* '.'  */
  YYSYMBOL_json_table_column = 531,        /* json_table_column  */
  YYSYMBOL_empty_json_unique = 532,        /* empty_json_unique  */
  YYSYMBOL_533_ = 533,                     /* ';'  */
  YYSYMBOL_534_ = 534,                     /* ','  */
  YYSYMBOL_535_ = 535,                     /* ':'  */
  YYSYMBOL_YYACCEPT = 536,                 /* $accept  */
  YYSYMBOL_parse_toplevel = 537,           /* parse_toplevel  */
  YYSYMBOL_stmtmulti = 538,                /* stmtmulti  */
  YYSYMBOL_toplevel_stmt = 539,            /* toplevel_stmt  */
  YYSYMBOL_stmt = 540,                     /* stmt  */
  YYSYMBOL_opt_single_name = 541,          /* opt_single_name  */
  YYSYMBOL_opt_qualified_name = 542,       /* opt_qualified_name  */
  YYSYMBOL_opt_concurrently = 543,         /* opt_concurrently  */
  YYSYMBOL_opt_drop_behavior = 544,        /* opt_drop_behavior  */
  YYSYMBOL_CallStmt = 545,                 /* CallStmt  */
  YYSYMBOL_CreateRoleStmt = 546,           /* CreateRoleStmt  */
  YYSYMBOL_opt_with = 547,                 /* opt_with  */
  YYSYMBOL_OptRoleList = 548,              /* OptRoleList  */
  YYSYMBOL_AlterOptRoleList = 549,         /* AlterOptRoleList  */
  YYSYMBOL_AlterOptRoleElem = 550,         /* AlterOptRoleElem  */
  YYSYMBOL_CreateOptRoleElem = 551,        /* CreateOptRoleElem  */
  YYSYMBOL_CreateUserStmt = 552,           /* CreateUserStmt  */
  YYSYMBOL_AlterRoleStmt = 553,            /* AlterRoleStmt  */
  YYSYMBOL_opt_in_database = 554,          /* opt_in_database  */
  YYSYMBOL_AlterRoleSetStmt = 555,         /* AlterRoleSetStmt  */
  YYSYMBOL_DropRoleStmt = 556,             /* DropRoleStmt  */
  YYSYMBOL_CreateGroupStmt = 557,          /* CreateGroupStmt  */
  YYSYMBOL_AlterGroupStmt = 558,           /* AlterGroupStmt  */
  YYSYMBOL_add_drop = 559,                 /* add_drop  */
  YYSYMBOL_CreateSchemaStmt = 560,         /* CreateSchemaStmt  */
  YYSYMBOL_OptSchemaEltList = 561,         /* OptSchemaEltList  */
  YYSYMBOL_schema_stmt = 562,              /* schema_stmt  */
  YYSYMBOL_VariableSetStmt = 563,          /* VariableSetStmt  */
  YYSYMBOL_set_rest = 564,                 /* set_rest  */
  YYSYMBOL_generic_set = 565,              /* generic_set  */
  YYSYMBOL_set_rest_more = 566,            /* set_rest_more  */
  YYSYMBOL_var_name = 567,                 /* var_name  */
  YYSYMBOL_var_list = 568,                 /* var_list  */
  YYSYMBOL_var_value = 569,                /* var_value  */
  YYSYMBOL_iso_level = 570,                /* iso_level  */
  YYSYMBOL_opt_boolean_or_string = 571,    /* opt_boolean_or_string  */
  YYSYMBOL_zone_value = 572,               /* zone_value  */
  YYSYMBOL_opt_encoding = 573,             /* opt_encoding  */
  YYSYMBOL_NonReservedWord_or_Sconst = 574, /* NonReservedWord_or_Sconst  */
  YYSYMBOL_VariableResetStmt = 575,        /* VariableResetStmt  */
  YYSYMBOL_reset_rest = 576,               /* reset_rest  */
  YYSYMBOL_generic_reset = 577,            /* generic_reset  */
  YYSYMBOL_SetResetClause = 578,           /* SetResetClause  */
  YYSYMBOL_FunctionSetResetClause = 579,   /* FunctionSetResetClause  */
  YYSYMBOL_VariableShowStmt = 580,         /* VariableShowStmt  */
  YYSYMBOL_ConstraintsSetStmt = 581,       /* ConstraintsSetStmt  */
  YYSYMBOL_constraints_set_list = 582,     /* constraints_set_list  */
  YYSYMBOL_constraints_set_mode = 583,     /* constraints_set_mode  */
  YYSYMBOL_CheckPointStmt = 584,           /* CheckPointStmt  */
  YYSYMBOL_DiscardStmt = 585,              /* DiscardStmt  */
  YYSYMBOL_AlterTableStmt = 586,           /* AlterTableStmt  */
  YYSYMBOL_alter_table_cmds = 587,         /* alter_table_cmds  */
  YYSYMBOL_partition_cmd = 588,            /* partition_cmd  */
  YYSYMBOL_index_partition_cmd = 589,      /* index_partition_cmd  */
  YYSYMBOL_alter_table_cmd = 590,          /* alter_table_cmd  */
  YYSYMBOL_alter_column_default = 591,     /* alter_column_default  */
  YYSYMBOL_opt_collate_clause = 592,       /* opt_collate_clause  */
  YYSYMBOL_alter_using = 593,              /* alter_using  */
  YYSYMBOL_replica_identity = 594,         /* replica_identity  */
  YYSYMBOL_reloptions = 595,               /* reloptions  */
  YYSYMBOL_opt_reloptions = 596,           /* opt_reloptions  */
  YYSYMBOL_reloption_list = 597,           /* reloption_list  */
  YYSYMBOL_reloption_elem = 598,           /* reloption_elem  */
  YYSYMBOL_alter_identity_column_option_list = 599, /* alter_identity_column_option_list  */
  YYSYMBOL_alter_identity_column_option = 600, /* alter_identity_column_option  */
  YYSYMBOL_PartitionBoundSpec = 601,       /* PartitionBoundSpec  */
  YYSYMBOL_hash_partbound_elem = 602,      /* hash_partbound_elem  */
  YYSYMBOL_hash_partbound = 603,           /* hash_partbound  */
  YYSYMBOL_AlterCompositeTypeStmt = 604,   /* AlterCompositeTypeStmt  */
  YYSYMBOL_alter_type_cmds = 605,          /* alter_type_cmds  */
  YYSYMBOL_alter_type_cmd = 606,           /* alter_type_cmd  */
  YYSYMBOL_ClosePortalStmt = 607,          /* ClosePortalStmt  */
  YYSYMBOL_CopyStmt = 608,                 /* CopyStmt  */
  YYSYMBOL_copy_from = 609,                /* copy_from  */
  YYSYMBOL_opt_program = 610,              /* opt_program  */
  YYSYMBOL_copy_file_name = 611,           /* copy_file_name  */
  YYSYMBOL_copy_options = 612,             /* copy_options  */
  YYSYMBOL_copy_opt_list = 613,            /* copy_opt_list  */
  YYSYMBOL_copy_opt_item = 614,            /* copy_opt_item  */
  YYSYMBOL_opt_binary = 615,               /* opt_binary  */
  YYSYMBOL_copy_delimiter = 616,           /* copy_delimiter  */
  YYSYMBOL_opt_using = 617,                /* opt_using  */
  YYSYMBOL_copy_generic_opt_list = 618,    /* copy_generic_opt_list  */
  YYSYMBOL_copy_generic_opt_elem = 619,    /* copy_generic_opt_elem  */
  YYSYMBOL_copy_generic_opt_arg = 620,     /* copy_generic_opt_arg  */
  YYSYMBOL_copy_generic_opt_arg_list = 621, /* copy_generic_opt_arg_list  */
  YYSYMBOL_copy_generic_opt_arg_list_item = 622, /* copy_generic_opt_arg_list_item  */
  YYSYMBOL_CreateStmt = 623,               /* CreateStmt  */
  YYSYMBOL_OptTemp = 624,                  /* OptTemp  */
  YYSYMBOL_OptTableElementList = 625,      /* OptTableElementList  */
  YYSYMBOL_OptTypedTableElementList = 626, /* OptTypedTableElementList  */
  YYSYMBOL_TableElementList = 627,         /* TableElementList  */
  YYSYMBOL_TypedTableElementList = 628,    /* TypedTableElementList  */
  YYSYMBOL_TableElement = 629,             /* TableElement  */
  YYSYMBOL_TypedTableElement = 630,        /* TypedTableElement  */
  YYSYMBOL_columnDef = 631,                /* columnDef  */
  YYSYMBOL_columnOptions = 632,            /* columnOptions  */
  YYSYMBOL_column_compression = 633,       /* column_compression  */
  YYSYMBOL_opt_column_compression = 634,   /* opt_column_compression  */
  YYSYMBOL_column_storage = 635,           /* column_storage  */
  YYSYMBOL_opt_column_storage = 636,       /* opt_column_storage  */
  YYSYMBOL_ColQualList = 637,              /* ColQualList  */
  YYSYMBOL_ColConstraint = 638,            /* ColConstraint  */
  YYSYMBOL_ColConstraintElem = 639,        /* ColConstraintElem  */
  YYSYMBOL_opt_unique_null_treatment = 640, /* opt_unique_null_treatment  */
  YYSYMBOL_generated_when = 641,           /* generated_when  */
  YYSYMBOL_ConstraintAttr = 642,           /* ConstraintAttr  */
  YYSYMBOL_TableLikeClause = 643,          /* TableLikeClause  */
  YYSYMBOL_TableLikeOptionList = 644,      /* TableLikeOptionList  */
  YYSYMBOL_TableLikeOption = 645,          /* TableLikeOption  */
  YYSYMBOL_TableConstraint = 646,          /* TableConstraint  */
  YYSYMBOL_ConstraintElem = 647,           /* ConstraintElem  */
  YYSYMBOL_opt_no_inherit = 648,           /* opt_no_inherit  */
  YYSYMBOL_opt_column_list = 649,          /* opt_column_list  */
  YYSYMBOL_columnList = 650,               /* columnList  */
  YYSYMBOL_columnElem = 651,               /* columnElem  */
  YYSYMBOL_opt_c_include = 652,            /* opt_c_include  */
  YYSYMBOL_key_match = 653,                /* key_match  */
  YYSYMBOL_ExclusionConstraintList = 654,  /* ExclusionConstraintList  */
  YYSYMBOL_ExclusionConstraintElem = 655,  /* ExclusionConstraintElem  */
  YYSYMBOL_OptWhereClause = 656,           /* OptWhereClause  */
  YYSYMBOL_key_actions = 657,              /* key_actions  */
  YYSYMBOL_key_update = 658,               /* key_update  */
  YYSYMBOL_key_delete = 659,               /* key_delete  */
  YYSYMBOL_key_action = 660,               /* key_action  */
  YYSYMBOL_OptInherit = 661,               /* OptInherit  */
  YYSYMBOL_OptPartitionSpec = 662,         /* OptPartitionSpec  */
  YYSYMBOL_PartitionSpec = 663,            /* PartitionSpec  */
  YYSYMBOL_part_params = 664,              /* part_params  */
  YYSYMBOL_part_elem = 665,                /* part_elem  */
  YYSYMBOL_table_access_method_clause = 666, /* table_access_method_clause  */
  YYSYMBOL_OptWith = 667,                  /* OptWith  */
  YYSYMBOL_OnCommitOption = 668,           /* OnCommitOption  */
  YYSYMBOL_OptTableSpace = 669,            /* OptTableSpace  */
  YYSYMBOL_OptConsTableSpace = 670,        /* OptConsTableSpace  */
  YYSYMBOL_ExistingIndex = 671,            /* ExistingIndex  */
  YYSYMBOL_CreateStatsStmt = 672,          /* CreateStatsStmt  */
  YYSYMBOL_stats_params = 673,             /* stats_params  */
  YYSYMBOL_stats_param = 674,              /* stats_param  */
  YYSYMBOL_AlterStatsStmt = 675,           /* AlterStatsStmt  */
  YYSYMBOL_CreateAsStmt = 676,             /* CreateAsStmt  */
  YYSYMBOL_create_as_target = 677,         /* create_as_target  */
  YYSYMBOL_opt_with_data = 678,            /* opt_with_data  */
  YYSYMBOL_CreateMatViewStmt = 679,        /* CreateMatViewStmt  */
  YYSYMBOL_create_mv_target = 680,         /* create_mv_target  */
  YYSYMBOL_OptNoLog = 681,                 /* OptNoLog  */
  YYSYMBOL_RefreshMatViewStmt = 682,       /* RefreshMatViewStmt  */
  YYSYMBOL_CreateSeqStmt = 683,            /* CreateSeqStmt  */
  YYSYMBOL_AlterSeqStmt = 684,             /* AlterSeqStmt  */
  YYSYMBOL_OptSeqOptList = 685,            /* OptSeqOptList  */
  YYSYMBOL_OptParenthesizedSeqOptList = 686, /* OptParenthesizedSeqOptList  */
  YYSYMBOL_SeqOptList = 687,               /* SeqOptList  */
  YYSYMBOL_SeqOptElem = 688,               /* SeqOptElem  */
  YYSYMBOL_opt_by = 689,                   /* opt_by  */
  YYSYMBOL_NumericOnly = 690,              /* NumericOnly  */
  YYSYMBOL_NumericOnly_list = 691,         /* NumericOnly_list  */
  YYSYMBOL_CreatePLangStmt = 692,          /* CreatePLangStmt  */
  YYSYMBOL_opt_trusted = 693,              /* opt_trusted  */
  YYSYMBOL_handler_name = 694,             /* handler_name  */
  YYSYMBOL_opt_inline_handler = 695,       /* opt_inline_handler  */
  YYSYMBOL_validator_clause = 696,         /* validator_clause  */
  YYSYMBOL_opt_validator = 697,            /* opt_validator  */
  YYSYMBOL_opt_procedural = 698,           /* opt_procedural  */
  YYSYMBOL_CreateTableSpaceStmt = 699,     /* CreateTableSpaceStmt  */
  YYSYMBOL_OptTableSpaceOwner = 700,       /* OptTableSpaceOwner  */
  YYSYMBOL_DropTableSpaceStmt = 701,       /* DropTableSpaceStmt  */
  YYSYMBOL_CreateExtensionStmt = 702,      /* CreateExtensionStmt  */
  YYSYMBOL_create_extension_opt_list = 703, /* create_extension_opt_list  */
  YYSYMBOL_create_extension_opt_item = 704, /* create_extension_opt_item  */
  YYSYMBOL_AlterExtensionStmt = 705,       /* AlterExtensionStmt  */
  YYSYMBOL_alter_extension_opt_list = 706, /* alter_extension_opt_list  */
  YYSYMBOL_alter_extension_opt_item = 707, /* alter_extension_opt_item  */
  YYSYMBOL_AlterExtensionContentsStmt = 708, /* AlterExtensionContentsStmt  */
  YYSYMBOL_CreateFdwStmt = 709,            /* CreateFdwStmt  */
  YYSYMBOL_fdw_option = 710,               /* fdw_option  */
  YYSYMBOL_fdw_options = 711,              /* fdw_options  */
  YYSYMBOL_opt_fdw_options = 712,          /* opt_fdw_options  */
  YYSYMBOL_AlterFdwStmt = 713,             /* AlterFdwStmt  */
  YYSYMBOL_create_generic_options = 714,   /* create_generic_options  */
  YYSYMBOL_generic_option_list = 715,      /* generic_option_list  */
  YYSYMBOL_alter_generic_options = 716,    /* alter_generic_options  */
  YYSYMBOL_alter_generic_option_list = 717, /* alter_generic_option_list  */
  YYSYMBOL_alter_generic_option_elem = 718, /* alter_generic_option_elem  */
  YYSYMBOL_generic_option_elem = 719,      /* generic_option_elem  */
  YYSYMBOL_generic_option_name = 720,      /* generic_option_name  */
  YYSYMBOL_generic_option_arg = 721,       /* generic_option_arg  */
  YYSYMBOL_CreateForeignServerStmt = 722,  /* CreateForeignServerStmt  */
  YYSYMBOL_opt_type = 723,                 /* opt_type  */
  YYSYMBOL_foreign_server_version = 724,   /* foreign_server_version  */
  YYSYMBOL_opt_foreign_server_version = 725, /* opt_foreign_server_version  */
  YYSYMBOL_AlterForeignServerStmt = 726,   /* AlterForeignServerStmt  */
  YYSYMBOL_CreateForeignTableStmt = 727,   /* CreateForeignTableStmt  */
  YYSYMBOL_ImportForeignSchemaStmt = 728,  /* ImportForeignSchemaStmt  */
  YYSYMBOL_import_qualification_type = 729, /* import_qualification_type  */
  YYSYMBOL_import_qualification = 730,     /* import_qualification  */
  YYSYMBOL_CreateUserMappingStmt = 731,    /* CreateUserMappingStmt  */
  YYSYMBOL_auth_ident = 732,               /* auth_ident  */
  YYSYMBOL_DropUserMappingStmt = 733,      /* DropUserMappingStmt  */
  YYSYMBOL_AlterUserMappingStmt = 734,     /* AlterUserMappingStmt  */
  YYSYMBOL_CreatePolicyStmt = 735,         /* CreatePolicyStmt  */
  YYSYMBOL_AlterPolicyStmt = 736,          /* AlterPolicyStmt  */
  YYSYMBOL_RowSecurityOptionalExpr = 737,  /* RowSecurityOptionalExpr  */
  YYSYMBOL_RowSecurityOptionalWithCheck = 738, /* RowSecurityOptionalWithCheck  */
  YYSYMBOL_RowSecurityDefaultToRole = 739, /* RowSecurityDefaultToRole  */
  YYSYMBOL_RowSecurityOptionalToRole = 740, /* RowSecurityOptionalToRole  */
  YYSYMBOL_RowSecurityDefaultPermissive = 741, /* RowSecurityDefaultPermissive  */
  YYSYMBOL_RowSecurityDefaultForCmd = 742, /* RowSecurityDefaultForCmd  */
  YYSYMBOL_row_security_cmd = 743,         /* row_security_cmd  */
  YYSYMBOL_CreateAmStmt = 744,             /* CreateAmStmt  */
  YYSYMBOL_am_type = 745,                  /* am_type  */
  YYSYMBOL_CreateTrigStmt = 746,           /* CreateTrigStmt  */
  YYSYMBOL_TriggerActionTime = 747,        /* TriggerActionTime  */
  YYSYMBOL_TriggerEvents = 748,            /* TriggerEvents  */
  YYSYMBOL_TriggerOneEvent = 749,          /* TriggerOneEvent  */
  YYSYMBOL_TriggerReferencing = 750,       /* TriggerReferencing  */
  YYSYMBOL_TriggerTransitions = 751,       /* TriggerTransitions  */
  YYSYMBOL_TriggerTransition = 752,        /* TriggerTransition  */
  YYSYMBOL_TransitionOldOrNew = 753,       /* TransitionOldOrNew  */
  YYSYMBOL_TransitionRowOrTable = 754,     /* TransitionRowOrTable  */
  YYSYMBOL_TransitionRelName = 755,        /* TransitionRelName  */
  YYSYMBOL_TriggerForSpec = 756,           /* TriggerForSpec  */
  YYSYMBOL_TriggerForOptEach = 757,        /* TriggerForOptEach  */
  YYSYMBOL_TriggerForType = 758,           /* TriggerForType  */
  YYSYMBOL_TriggerWhen = 759,              /* TriggerWhen  */
  YYSYMBOL_FUNCTION_or_PROCEDURE = 760,    /* FUNCTION_or_PROCEDURE  */
  YYSYMBOL_TriggerFuncArgs = 761,          /* TriggerFuncArgs  */
  YYSYMBOL_TriggerFuncArg = 762,           /* TriggerFuncArg  */
  YYSYMBOL_OptConstrFromTable = 763,       /* OptConstrFromTable  */
  YYSYMBOL_ConstraintAttributeSpec = 764,  /* ConstraintAttributeSpec  */
  YYSYMBOL_ConstraintAttributeElem = 765,  /* ConstraintAttributeElem  */
  YYSYMBOL_CreateEventTrigStmt = 766,      /* CreateEventTrigStmt  */
  YYSYMBOL_event_trigger_when_list = 767,  /* event_trigger_when_list  */
  YYSYMBOL_event_trigger_when_item = 768,  /* event_trigger_when_item  */
  YYSYMBOL_event_trigger_value_list = 769, /* event_trigger_value_list  */
  YYSYMBOL_AlterEventTrigStmt = 770,       /* AlterEventTrigStmt  */
  YYSYMBOL_enable_trigger = 771,           /* enable_trigger  */
  YYSYMBOL_CreateAssertionStmt = 772,      /* CreateAssertionStmt  */
  YYSYMBOL_DefineStmt = 773,               /* DefineStmt  */
  YYSYMBOL_definition = 774,               /* definition  */
  YYSYMBOL_def_list = 775,                 /* def_list  */
  YYSYMBOL_def_elem = 776,                 /* def_elem  */
  YYSYMBOL_def_arg = 777,                  /* def_arg  */
  YYSYMBOL_old_aggr_definition = 778,      /* old_aggr_definition  */
  YYSYMBOL_old_aggr_list = 779,            /* old_aggr_list  */
  YYSYMBOL_old_aggr_elem = 780,            /* old_aggr_elem  */
  YYSYMBOL_opt_enum_val_list = 781,        /* opt_enum_val_list  */
  YYSYMBOL_enum_val_list = 782,            /* enum_val_list  */
  YYSYMBOL_AlterEnumStmt = 783,            /* AlterEnumStmt  */
  YYSYMBOL_opt_if_not_exists = 784,        /* opt_if_not_exists  */
  YYSYMBOL_CreateOpClassStmt = 785,        /* CreateOpClassStmt  */
  YYSYMBOL_opclass_item_list = 786,        /* opclass_item_list  */
  YYSYMBOL_opclass_item = 787,             /* opclass_item  */
  YYSYMBOL_opt_default = 788,              /* opt_default  */
  YYSYMBOL_opt_opfamily = 789,             /* opt_opfamily  */
  YYSYMBOL_opclass_purpose = 790,          /* opclass_purpose  */
  YYSYMBOL_opt_recheck = 791,              /* opt_recheck  */
  YYSYMBOL_CreateOpFamilyStmt = 792,       /* CreateOpFamilyStmt  */
  YYSYMBOL_AlterOpFamilyStmt = 793,        /* AlterOpFamilyStmt  */
  YYSYMBOL_opclass_drop_list = 794,        /* opclass_drop_list  */
  YYSYMBOL_opclass_drop = 795,             /* opclass_drop  */
  YYSYMBOL_DropOpClassStmt = 796,          /* DropOpClassStmt  */
  YYSYMBOL_DropOpFamilyStmt = 797,         /* DropOpFamilyStmt  */
  YYSYMBOL_DropOwnedStmt = 798,            /* DropOwnedStmt  */
  YYSYMBOL_ReassignOwnedStmt = 799,        /* ReassignOwnedStmt  */
  YYSYMBOL_DropStmt = 800,                 /* DropStmt  */
  YYSYMBOL_object_type_any_name = 801,     /* object_type_any_name  */
  YYSYMBOL_object_type_name = 802,         /* object_type_name  */
  YYSYMBOL_drop_type_name = 803,           /* drop_type_name  */
  YYSYMBOL_object_type_name_on_any_name = 804, /* object_type_name_on_any_name  */
  YYSYMBOL_any_name_list = 805,            /* any_name_list  */
  YYSYMBOL_any_name = 806,                 /* any_name  */
  YYSYMBOL_attrs = 807,                    /* attrs  */
  YYSYMBOL_type_name_list = 808,           /* type_name_list  */
  YYSYMBOL_TruncateStmt = 809,             /* TruncateStmt  */
  YYSYMBOL_opt_restart_seqs = 810,         /* opt_restart_seqs  */
  YYSYMBOL_CommentStmt = 811,              /* CommentStmt  */
  YYSYMBOL_comment_text = 812,             /* comment_text  */
  YYSYMBOL_SecLabelStmt = 813,             /* SecLabelStmt  */
  YYSYMBOL_opt_provider = 814,             /* opt_provider  */
  YYSYMBOL_security_label = 815,           /* security_label  */
  YYSYMBOL_FetchStmt = 816,                /* FetchStmt  */
  YYSYMBOL_fetch_args = 817,               /* fetch_args  */
  YYSYMBOL_from_in = 818,                  /* from_in  */
  YYSYMBOL_opt_from_in = 819,              /* opt_from_in  */
  YYSYMBOL_GrantStmt = 820,                /* GrantStmt  */
  YYSYMBOL_RevokeStmt = 821,               /* RevokeStmt  */
  YYSYMBOL_privileges = 822,               /* privileges  */
  YYSYMBOL_privilege_list = 823,           /* privilege_list  */
  YYSYMBOL_privilege = 824,                /* privilege  */
  YYSYMBOL_parameter_name_list = 825,      /* parameter_name_list  */
  YYSYMBOL_parameter_name = 826,           /* parameter_name  */
  YYSYMBOL_privilege_target = 827,         /* privilege_target  */
  YYSYMBOL_grantee_list = 828,             /* grantee_list  */
  YYSYMBOL_grantee = 829,                  /* grantee  */
  YYSYMBOL_opt_grant_grant_option = 830,   /* opt_grant_grant_option  */
  YYSYMBOL_GrantRoleStmt = 831,            /* GrantRoleStmt  */
  YYSYMBOL_RevokeRoleStmt = 832,           /* RevokeRoleStmt  */
  YYSYMBOL_opt_grant_admin_option = 833,   /* opt_grant_admin_option  */
  YYSYMBOL_opt_granted_by = 834,           /* opt_granted_by  */
  YYSYMBOL_AlterDefaultPrivilegesStmt = 835, /* AlterDefaultPrivilegesStmt  */
  YYSYMBOL_DefACLOptionList = 836,         /* DefACLOptionList  */
  YYSYMBOL_DefACLOption = 837,             /* DefACLOption  */
  YYSYMBOL_DefACLAction = 838,             /* DefACLAction  */
  YYSYMBOL_defacl_privilege_target = 839,  /* defacl_privilege_target  */
  YYSYMBOL_IndexStmt = 840,                /* IndexStmt  */
  YYSYMBOL_opt_unique = 841,               /* opt_unique  */
  YYSYMBOL_access_method_clause = 842,     /* access_method_clause  */
  YYSYMBOL_index_params = 843,             /* index_params  */
  YYSYMBOL_index_elem_options = 844,       /* index_elem_options  */
  YYSYMBOL_index_elem = 845,               /* index_elem  */
  YYSYMBOL_opt_include = 846,              /* opt_include  */
  YYSYMBOL_index_including_params = 847,   /* index_including_params  */
  YYSYMBOL_opt_collate = 848,              /* opt_collate  */
  YYSYMBOL_opt_asc_desc = 849,             /* opt_asc_desc  */
  YYSYMBOL_opt_nulls_order = 850,          /* opt_nulls_order  */
  YYSYMBOL_CreateFunctionStmt = 851,       /* CreateFunctionStmt  */
  YYSYMBOL_opt_or_replace = 852,           /* opt_or_replace  */
  YYSYMBOL_func_args = 853,                /* func_args  */
  YYSYMBOL_func_args_list = 854,           /* func_args_list  */
  YYSYMBOL_function_with_argtypes_list = 855, /* function_with_argtypes_list  */
  YYSYMBOL_function_with_argtypes = 856,   /* function_with_argtypes  */
  YYSYMBOL_func_args_with_defaults = 857,  /* func_args_with_defaults  */
  YYSYMBOL_func_args_with_defaults_list = 858, /* func_args_with_defaults_list  */
  YYSYMBOL_func_arg = 859,                 /* func_arg  */
  YYSYMBOL_arg_class = 860,                /* arg_class  */
  YYSYMBOL_param_name = 861,               /* param_name  */
  YYSYMBOL_func_return = 862,              /* func_return  */
  YYSYMBOL_func_type = 863,                /* func_type  */
  YYSYMBOL_func_arg_with_default = 864,    /* func_arg_with_default  */
  YYSYMBOL_aggr_arg = 865,                 /* aggr_arg  */
  YYSYMBOL_aggr_args = 866,                /* aggr_args  */
  YYSYMBOL_aggr_args_list = 867,           /* aggr_args_list  */
  YYSYMBOL_aggregate_with_argtypes = 868,  /* aggregate_with_argtypes  */
  YYSYMBOL_aggregate_with_argtypes_list = 869, /* aggregate_with_argtypes_list  */
  YYSYMBOL_opt_createfunc_opt_list = 870,  /* opt_createfunc_opt_list  */
  YYSYMBOL_createfunc_opt_list = 871,      /* createfunc_opt_list  */
  YYSYMBOL_common_func_opt_item = 872,     /* common_func_opt_item  */
  YYSYMBOL_createfunc_opt_item = 873,      /* createfunc_opt_item  */
  YYSYMBOL_func_as = 874,                  /* func_as  */
  YYSYMBOL_ReturnStmt = 875,               /* ReturnStmt  */
  YYSYMBOL_opt_routine_body = 876,         /* opt_routine_body  */
  YYSYMBOL_routine_body_stmt_list = 877,   /* routine_body_stmt_list  */
  YYSYMBOL_routine_body_stmt = 878,        /* routine_body_stmt  */
  YYSYMBOL_transform_type_list = 879,      /* transform_type_list  */
  YYSYMBOL_opt_definition = 880,           /* opt_definition  */
  YYSYMBOL_table_func_column = 881,        /* table_func_column  */
  YYSYMBOL_table_func_column_list = 882,   /* table_func_column_list  */
  YYSYMBOL_AlterFunctionStmt = 883,        /* AlterFunctionStmt  */
  YYSYMBOL_alterfunc_opt_list = 884,       /* alterfunc_opt_list  */
  YYSYMBOL_opt_restrict = 885,             /* opt_restrict  */
  YYSYMBOL_RemoveFuncStmt = 886,           /* RemoveFuncStmt  */
  YYSYMBOL_RemoveAggrStmt = 887,           /* RemoveAggrStmt  */
  YYSYMBOL_RemoveOperStmt = 888,           /* RemoveOperStmt  */
  YYSYMBOL_oper_argtypes = 889,            /* oper_argtypes  */
  YYSYMBOL_any_operator = 890,             /* any_operator  */
  YYSYMBOL_operator_with_argtypes_list = 891, /* operator_with_argtypes_list  */
  YYSYMBOL_operator_with_argtypes = 892,   /* operator_with_argtypes  */
  YYSYMBOL_DoStmt = 893,                   /* DoStmt  */
  YYSYMBOL_dostmt_opt_list = 894,          /* dostmt_opt_list  */
  YYSYMBOL_dostmt_opt_item = 895,          /* dostmt_opt_item  */
  YYSYMBOL_CreateCastStmt = 896,           /* CreateCastStmt  */
  YYSYMBOL_cast_context = 897,             /* cast_context  */
  YYSYMBOL_DropCastStmt = 898,             /* DropCastStmt  */
  YYSYMBOL_opt_if_exists = 899,            /* opt_if_exists  */
  YYSYMBOL_CreateTransformStmt = 900,      /* CreateTransformStmt  */
  YYSYMBOL_transform_element_list = 901,   /* transform_element_list  */
  YYSYMBOL_DropTransformStmt = 902,        /* DropTransformStmt  */
  YYSYMBOL_ReindexStmt = 903,              /* ReindexStmt  */
  YYSYMBOL_reindex_target_relation = 904,  /* reindex_target_relation  */
  YYSYMBOL_reindex_target_all = 905,       /* reindex_target_all  */
  YYSYMBOL_opt_reindex_option_list = 906,  /* opt_reindex_option_list  */
  YYSYMBOL_AlterTblSpcStmt = 907,          /* AlterTblSpcStmt  */
  YYSYMBOL_RenameStmt = 908,               /* RenameStmt  */
  YYSYMBOL_opt_column = 909,               /* opt_column  */
  YYSYMBOL_opt_set_data = 910,             /* opt_set_data  */
  YYSYMBOL_AlterObjectDependsStmt = 911,   /* AlterObjectDependsStmt  */
  YYSYMBOL_opt_no = 912,                   /* opt_no  */
  YYSYMBOL_AlterObjectSchemaStmt = 913,    /* AlterObjectSchemaStmt  */
  YYSYMBOL_AlterOperatorStmt = 914,        /* AlterOperatorStmt  */
  YYSYMBOL_operator_def_list = 915,        /* operator_def_list  */
  YYSYMBOL_operator_def_elem = 916,        /* operator_def_elem  */
  YYSYMBOL_operator_def_arg = 917,         /* operator_def_arg  */
  YYSYMBOL_AlterTypeStmt = 918,            /* AlterTypeStmt  */
  YYSYMBOL_AlterOwnerStmt = 919,           /* AlterOwnerStmt  */
  YYSYMBOL_CreatePublicationStmt = 920,    /* CreatePublicationStmt  */
  YYSYMBOL_PublicationObjSpec = 921,       /* PublicationObjSpec  */
  YYSYMBOL_pub_obj_list = 922,             /* pub_obj_list  */
  YYSYMBOL_AlterPublicationStmt = 923,     /* AlterPublicationStmt  */
  YYSYMBOL_CreateSubscriptionStmt = 924,   /* CreateSubscriptionStmt  */
  YYSYMBOL_AlterSubscriptionStmt = 925,    /* AlterSubscriptionStmt  */
  YYSYMBOL_DropSubscriptionStmt = 926,     /* DropSubscriptionStmt  */
  YYSYMBOL_RuleStmt = 927,                 /* RuleStmt  */
  YYSYMBOL_RuleActionList = 928,           /* RuleActionList  */
  YYSYMBOL_RuleActionMulti = 929,          /* RuleActionMulti  */
  YYSYMBOL_RuleActionStmt = 930,           /* RuleActionStmt  */
  YYSYMBOL_RuleActionStmtOrEmpty = 931,    /* RuleActionStmtOrEmpty  */
  YYSYMBOL_event = 932,                    /* event  */
  YYSYMBOL_opt_instead = 933,              /* opt_instead  */
  YYSYMBOL_NotifyStmt = 934,               /* NotifyStmt  */
  YYSYMBOL_notify_payload = 935,           /* notify_payload  */
  YYSYMBOL_ListenStmt = 936,               /* ListenStmt  */
  YYSYMBOL_UnlistenStmt = 937,             /* UnlistenStmt  */
  YYSYMBOL_TransactionStmt = 938,          /* TransactionStmt  */
  YYSYMBOL_TransactionStmtLegacy = 939,    /* TransactionStmtLegacy  */
  YYSYMBOL_opt_transaction = 940,          /* opt_transaction  */
  YYSYMBOL_transaction_mode_item = 941,    /* transaction_mode_item  */
  YYSYMBOL_transaction_mode_list = 942,    /* transaction_mode_list  */
  YYSYMBOL_transaction_mode_list_or_empty = 943, /* transaction_mode_list_or_empty  */
  YYSYMBOL_opt_transaction_chain = 944,    /* opt_transaction_chain  */
  YYSYMBOL_ViewStmt = 945,                 /* ViewStmt  */
  YYSYMBOL_opt_check_option = 946,         /* opt_check_option  */
  YYSYMBOL_LoadStmt = 947,                 /* LoadStmt  */
  YYSYMBOL_CreatedbStmt = 948,             /* CreatedbStmt  */
  YYSYMBOL_createdb_opt_list = 949,        /* createdb_opt_list  */
  YYSYMBOL_createdb_opt_items = 950,       /* createdb_opt_items  */
  YYSYMBOL_createdb_opt_item = 951,        /* createdb_opt_item  */
  YYSYMBOL_createdb_opt_name = 952,        /* createdb_opt_name  */
  YYSYMBOL_opt_equal = 953,                /* opt_equal  */
  YYSYMBOL_AlterDatabaseStmt = 954,        /* AlterDatabaseStmt  */
  YYSYMBOL_AlterDatabaseSetStmt = 955,     /* AlterDatabaseSetStmt  */
  YYSYMBOL_DropdbStmt = 956,               /* DropdbStmt  */
  YYSYMBOL_drop_option_list = 957,         /* drop_option_list  */
  YYSYMBOL_drop_option = 958,              /* drop_option  */
  YYSYMBOL_AlterCollationStmt = 959,       /* AlterCollationStmt  */
  YYSYMBOL_AlterSystemStmt = 960,          /* AlterSystemStmt  */
  YYSYMBOL_CreateDomainStmt = 961,         /* CreateDomainStmt  */
  YYSYMBOL_AlterDomainStmt = 962,          /* AlterDomainStmt  */
  YYSYMBOL_opt_as = 963,                   /* opt_as  */
  YYSYMBOL_AlterTSDictionaryStmt = 964,    /* AlterTSDictionaryStmt  */
  YYSYMBOL_AlterTSConfigurationStmt = 965, /* AlterTSConfigurationStmt  */
  YYSYMBOL_any_with = 966,                 /* any_with  */
  YYSYMBOL_CreateConversionStmt = 967,     /* CreateConversionStmt  */
  YYSYMBOL_ClusterStmt = 968,              /* ClusterStmt  */
  YYSYMBOL_cluster_index_specification = 969, /* cluster_index_specification  */
  YYSYMBOL_VacuumStmt = 970,               /* VacuumStmt  */
  YYSYMBOL_AnalyzeStmt = 971,              /* AnalyzeStmt  */
  YYSYMBOL_utility_option_list = 972,      /* utility_option_list  */
  YYSYMBOL_analyze_keyword = 973,          /* analyze_keyword  */
  YYSYMBOL_utility_option_elem = 974,      /* utility_option_elem  */
  YYSYMBOL_utility_option_name = 975,      /* utility_option_name  */
  YYSYMBOL_utility_option_arg = 976,       /* utility_option_arg  */
  YYSYMBOL_opt_analyze = 977,              /* opt_analyze  */
  YYSYMBOL_opt_verbose = 978,              /* opt_verbose  */
  YYSYMBOL_opt_full = 979,                 /* opt_full  */
  YYSYMBOL_opt_freeze = 980,               /* opt_freeze  */
  YYSYMBOL_opt_name_list = 981,            /* opt_name_list  */
  YYSYMBOL_vacuum_relation = 982,          /* vacuum_relation  */
  YYSYMBOL_vacuum_relation_list = 983,     /* vacuum_relation_list  */
  YYSYMBOL_opt_vacuum_relation_list = 984, /* opt_vacuum_relation_list  */
  YYSYMBOL_ExplainStmt = 985,              /* ExplainStmt  */
  YYSYMBOL_ExplainableStmt = 986,          /* ExplainableStmt  */
  YYSYMBOL_PrepareStmt = 987,              /* PrepareStmt  */
  YYSYMBOL_prep_type_clause = 988,         /* prep_type_clause  */
  YYSYMBOL_PreparableStmt = 989,           /* PreparableStmt  */
  YYSYMBOL_ExecuteStmt = 990,              /* ExecuteStmt  */
  YYSYMBOL_execute_param_clause = 991,     /* execute_param_clause  */
  YYSYMBOL_DeallocateStmt = 992,           /* DeallocateStmt  */
  YYSYMBOL_InsertStmt = 993,               /* InsertStmt  */
  YYSYMBOL_insert_target = 994,            /* insert_target  */
  YYSYMBOL_insert_rest = 995,              /* insert_rest  */
  YYSYMBOL_override_kind = 996,            /* override_kind  */
  YYSYMBOL_insert_column_list = 997,       /* insert_column_list  */
  YYSYMBOL_insert_column_item = 998,       /* insert_column_item  */
  YYSYMBOL_opt_on_conflict = 999,          /* opt_on_conflict  */
  YYSYMBOL_opt_conf_expr = 1000,           /* opt_conf_expr  */
  YYSYMBOL_returning_clause = 1001,        /* returning_clause  */
  YYSYMBOL_DeleteStmt = 1002,              /* DeleteStmt  */
  YYSYMBOL_using_clause = 1003,            /* using_clause  */
  YYSYMBOL_LockStmt = 1004,                /* LockStmt  */
  YYSYMBOL_opt_lock = 1005,                /* opt_lock  */
  YYSYMBOL_lock_type = 1006,               /* lock_type  */
  YYSYMBOL_opt_nowait = 1007,              /* opt_nowait  */
  YYSYMBOL_opt_nowait_or_skip = 1008,      /* opt_nowait_or_skip  */
  YYSYMBOL_UpdateStmt = 1009,              /* UpdateStmt  */
  YYSYMBOL_set_clause_list = 1010,         /* set_clause_list  */
  YYSYMBOL_set_clause = 1011,              /* set_clause  */
  YYSYMBOL_set_target = 1012,              /* set_target  */
  YYSYMBOL_set_target_list = 1013,         /* set_target_list  */
  YYSYMBOL_MergeStmt = 1014,               /* MergeStmt  */
  YYSYMBOL_merge_when_list = 1015,         /* merge_when_list  */
  YYSYMBOL_merge_when_clause = 1016,       /* merge_when_clause  */
  YYSYMBOL_opt_merge_when_condition = 1017, /* opt_merge_when_condition  */
  YYSYMBOL_merge_update = 1018,            /* merge_update  */
  YYSYMBOL_merge_delete = 1019,            /* merge_delete  */
  YYSYMBOL_merge_insert = 1020,            /* merge_insert  */
  YYSYMBOL_merge_values_clause = 1021,     /* merge_values_clause  */
  YYSYMBOL_DeclareCursorStmt = 1022,       /* DeclareCursorStmt  */
  YYSYMBOL_cursor_name = 1023,             /* cursor_name  */
  YYSYMBOL_cursor_options = 1024,          /* cursor_options  */
  YYSYMBOL_opt_hold = 1025,                /* opt_hold  */
  YYSYMBOL_SelectStmt = 1026,              /* SelectStmt  */
  YYSYMBOL_select_with_parens = 1027,      /* select_with_parens  */
  YYSYMBOL_select_no_parens = 1028,        /* select_no_parens  */
  YYSYMBOL_select_clause = 1029,           /* select_clause  */
  YYSYMBOL_simple_select = 1030,           /* simple_select  */
  YYSYMBOL_with_clause = 1031,             /* with_clause  */
  YYSYMBOL_cte_list = 1032,                /* cte_list  */
  YYSYMBOL_common_table_expr = 1033,       /* common_table_expr  */
  YYSYMBOL_opt_materialized = 1034,        /* opt_materialized  */
  YYSYMBOL_opt_search_clause = 1035,       /* opt_search_clause  */
  YYSYMBOL_opt_cycle_clause = 1036,        /* opt_cycle_clause  */
  YYSYMBOL_opt_with_clause = 1037,         /* opt_with_clause  */
  YYSYMBOL_into_clause = 1038,             /* into_clause  */
  YYSYMBOL_OptTempTableName = 1039,        /* OptTempTableName  */
  YYSYMBOL_opt_table = 1040,               /* opt_table  */
  YYSYMBOL_set_quantifier = 1041,          /* set_quantifier  */
  YYSYMBOL_distinct_clause = 1042,         /* distinct_clause  */
  YYSYMBOL_opt_all_clause = 1043,          /* opt_all_clause  */
  YYSYMBOL_opt_distinct_clause = 1044,     /* opt_distinct_clause  */
  YYSYMBOL_opt_sort_clause = 1045,         /* opt_sort_clause  */
  YYSYMBOL_sort_clause = 1046,             /* sort_clause  */
  YYSYMBOL_sortby_list = 1047,             /* sortby_list  */
  YYSYMBOL_sortby = 1048,                  /* sortby  */
  YYSYMBOL_select_limit = 1049,            /* select_limit  */
  YYSYMBOL_opt_select_limit = 1050,        /* opt_select_limit  */
  YYSYMBOL_limit_clause = 1051,            /* limit_clause  */
  YYSYMBOL_offset_clause = 1052,           /* offset_clause  */
  YYSYMBOL_select_limit_value = 1053,      /* select_limit_value  */
  YYSYMBOL_select_offset_value = 1054,     /* select_offset_value  */
  YYSYMBOL_select_fetch_first_value = 1055, /* select_fetch_first_value  */
  YYSYMBOL_I_or_F_const = 1056,            /* I_or_F_const  */
  YYSYMBOL_row_or_rows = 1057,             /* row_or_rows  */
  YYSYMBOL_first_or_next = 1058,           /* first_or_next  */
  YYSYMBOL_group_clause = 1059,            /* group_clause  */
  YYSYMBOL_group_by_list = 1060,           /* group_by_list  */
  YYSYMBOL_group_by_item = 1061,           /* group_by_item  */
  YYSYMBOL_empty_grouping_set = 1062,      /* empty_grouping_set  */
  YYSYMBOL_rollup_clause = 1063,           /* rollup_clause  */
  YYSYMBOL_cube_clause = 1064,             /* cube_clause  */
  YYSYMBOL_grouping_sets_clause = 1065,    /* grouping_sets_clause  */
  YYSYMBOL_having_clause = 1066,           /* having_clause  */
  YYSYMBOL_for_locking_clause = 1067,      /* for_locking_clause  */
  YYSYMBOL_opt_for_locking_clause = 1068,  /* opt_for_locking_clause  */
  YYSYMBOL_for_locking_items = 1069,       /* for_locking_items  */
  YYSYMBOL_for_locking_item = 1070,        /* for_locking_item  */
  YYSYMBOL_for_locking_strength = 1071,    /* for_locking_strength  */
  YYSYMBOL_locked_rels_list = 1072,        /* locked_rels_list  */
  YYSYMBOL_values_clause = 1073,           /* values_clause  */
  YYSYMBOL_from_clause = 1074,             /* from_clause  */
  YYSYMBOL_from_list = 1075,               /* from_list  */
  YYSYMBOL_table_ref = 1076,               /* table_ref  */
  YYSYMBOL_joined_table = 1077,            /* joined_table  */
  YYSYMBOL_alias_clause = 1078,            /* alias_clause  */
  YYSYMBOL_opt_alias_clause = 1079,        /* opt_alias_clause  */
  YYSYMBOL_opt_alias_clause_for_join_using = 1080, /* opt_alias_clause_for_join_using  */
  YYSYMBOL_func_alias_clause = 1081,       /* func_alias_clause  */
  YYSYMBOL_join_type = 1082,               /* join_type  */
  YYSYMBOL_opt_outer = 1083,               /* opt_outer  */
  YYSYMBOL_join_qual = 1084,               /* join_qual  */
  YYSYMBOL_relation_expr = 1085,           /* relation_expr  */
  YYSYMBOL_extended_relation_expr = 1086,  /* extended_relation_expr  */
  YYSYMBOL_relation_expr_list = 1087,      /* relation_expr_list  */
  YYSYMBOL_relation_expr_opt_alias = 1088, /* relation_expr_opt_alias  */
  YYSYMBOL_tablesample_clause = 1089,      /* tablesample_clause  */
  YYSYMBOL_opt_repeatable_clause = 1090,   /* opt_repeatable_clause  */
  YYSYMBOL_func_table = 1091,              /* func_table  */
  YYSYMBOL_rowsfrom_item = 1092,           /* rowsfrom_item  */
  YYSYMBOL_rowsfrom_list = 1093,           /* rowsfrom_list  */
  YYSYMBOL_opt_col_def_list = 1094,        /* opt_col_def_list  */
  YYSYMBOL_opt_ordinality = 1095,          /* opt_ordinality  */
  YYSYMBOL_where_clause = 1096,            /* where_clause  */
  YYSYMBOL_where_or_current_clause = 1097, /* where_or_current_clause  */
  YYSYMBOL_OptTableFuncElementList = 1098, /* OptTableFuncElementList  */
  YYSYMBOL_TableFuncElementList = 1099,    /* TableFuncElementList  */
  YYSYMBOL_TableFuncElement = 1100,        /* TableFuncElement  */
  YYSYMBOL_xmltable = 1101,                /* xmltable  */
  YYSYMBOL_xmltable_column_list = 1102,    /* xmltable_column_list  */
  YYSYMBOL_xmltable_column_el = 1103,      /* xmltable_column_el  */
  YYSYMBOL_xmltable_column_option_list = 1104, /* xmltable_column_option_list  */
  YYSYMBOL_xmltable_column_option_el = 1105, /* xmltable_column_option_el  */
  YYSYMBOL_xml_namespace_list = 1106,      /* xml_namespace_list  */
  YYSYMBOL_xml_namespace_el = 1107,        /* xml_namespace_el  */
  YYSYMBOL_Typename = 1108,                /* Typename  */
  YYSYMBOL_opt_array_bounds = 1109,        /* opt_array_bounds  */
  YYSYMBOL_SimpleTypename = 1110,          /* SimpleTypename  */
  YYSYMBOL_ConstTypename = 1111,           /* ConstTypename  */
  YYSYMBOL_GenericType = 1112,             /* GenericType  */
  YYSYMBOL_opt_type_modifiers = 1113,      /* opt_type_modifiers  */
  YYSYMBOL_Numeric = 1114,                 /* Numeric  */
  YYSYMBOL_opt_float = 1115,               /* opt_float  */
  YYSYMBOL_Bit = 1116,                     /* Bit  */
  YYSYMBOL_ConstBit = 1117,                /* ConstBit  */
  YYSYMBOL_BitWithLength = 1118,           /* BitWithLength  */
  YYSYMBOL_BitWithoutLength = 1119,        /* BitWithoutLength  */
  YYSYMBOL_Character = 1120,               /* Character  */
  YYSYMBOL_ConstCharacter = 1121,          /* ConstCharacter  */
  YYSYMBOL_CharacterWithLength = 1122,     /* CharacterWithLength  */
  YYSYMBOL_CharacterWithoutLength = 1123,  /* CharacterWithoutLength  */
  YYSYMBOL_character = 1124,               /* character  */
  YYSYMBOL_opt_varying = 1125,             /* opt_varying  */
  YYSYMBOL_ConstDatetime = 1126,           /* ConstDatetime  */
  YYSYMBOL_ConstInterval = 1127,           /* ConstInterval  */
  YYSYMBOL_opt_timezone = 1128,            /* opt_timezone  */
  YYSYMBOL_opt_interval = 1129,            /* opt_interval  */
  YYSYMBOL_interval_second = 1130,         /* interval_second  */
  YYSYMBOL_JsonType = 1131,                /* JsonType  */
  YYSYMBOL_a_expr = 1132,                  /* a_expr  */
  YYSYMBOL_b_expr = 1133,                  /* b_expr  */
  YYSYMBOL_json_predicate_type_constraint_opt = 1134, /* json_predicate_type_constraint_opt  */
  YYSYMBOL_json_key_uniqueness_constraint_opt = 1135, /* json_key_uniqueness_constraint_opt  */
  YYSYMBOL_unique_keys = 1136,             /* unique_keys  */
  YYSYMBOL_c_expr = 1137,                  /* c_expr  */
  YYSYMBOL_func_application = 1138,        /* func_application  */
  YYSYMBOL_func_expr = 1139,               /* func_expr  */
  YYSYMBOL_func_expr_windowless = 1140,    /* func_expr_windowless  */
  YYSYMBOL_func_expr_common_subexpr = 1141, /* func_expr_common_subexpr  */
  YYSYMBOL_xml_root_version = 1142,        /* xml_root_version  */
  YYSYMBOL_opt_xml_root_standalone = 1143, /* opt_xml_root_standalone  */
  YYSYMBOL_xml_attributes = 1144,          /* xml_attributes  */
  YYSYMBOL_xml_attribute_list = 1145,      /* xml_attribute_list  */
  YYSYMBOL_xml_attribute_el = 1146,        /* xml_attribute_el  */
  YYSYMBOL_document_or_content = 1147,     /* document_or_content  */
  YYSYMBOL_xml_whitespace_option = 1148,   /* xml_whitespace_option  */
  YYSYMBOL_xmlexists_argument = 1149,      /* xmlexists_argument  */
  YYSYMBOL_xml_passing_mech = 1150,        /* xml_passing_mech  */
  YYSYMBOL_within_group_clause = 1151,     /* within_group_clause  */
  YYSYMBOL_filter_clause = 1152,           /* filter_clause  */
  YYSYMBOL_window_clause = 1153,           /* window_clause  */
  YYSYMBOL_window_definition_list = 1154,  /* window_definition_list  */
  YYSYMBOL_window_definition = 1155,       /* window_definition  */
  YYSYMBOL_over_clause = 1156,             /* over_clause  */
  YYSYMBOL_window_specification = 1157,    /* window_specification  */
  YYSYMBOL_opt_existing_window_name = 1158, /* opt_existing_window_name  */
  YYSYMBOL_opt_partition_clause = 1159,    /* opt_partition_clause  */
  YYSYMBOL_opt_frame_clause = 1160,        /* opt_frame_clause  */
  YYSYMBOL_frame_extent = 1161,            /* frame_extent  */
  YYSYMBOL_frame_bound = 1162,             /* frame_bound  */
  YYSYMBOL_opt_window_exclusion_clause = 1163, /* opt_window_exclusion_clause  */
  YYSYMBOL_row = 1164,                     /* row  */
  YYSYMBOL_explicit_row = 1165,            /* explicit_row  */
  YYSYMBOL_implicit_row = 1166,            /* implicit_row  */
  YYSYMBOL_sub_type = 1167,                /* sub_type  */
  YYSYMBOL_all_Op = 1168,                  /* all_Op  */
  YYSYMBOL_MathOp = 1169,                  /* MathOp  */
  YYSYMBOL_qual_Op = 1170,                 /* qual_Op  */
  YYSYMBOL_qual_all_Op = 1171,             /* qual_all_Op  */
  YYSYMBOL_subquery_Op = 1172,             /* subquery_Op  */
  YYSYMBOL_expr_list = 1173,               /* expr_list  */
  YYSYMBOL_func_arg_list = 1174,           /* func_arg_list  */
  YYSYMBOL_func_arg_expr = 1175,           /* func_arg_expr  */
  YYSYMBOL_func_arg_list_opt = 1176,       /* func_arg_list_opt  */
  YYSYMBOL_type_list = 1177,               /* type_list  */
  YYSYMBOL_array_expr = 1178,              /* array_expr  */
  YYSYMBOL_array_expr_list = 1179,         /* array_expr_list  */
  YYSYMBOL_extract_list = 1180,            /* extract_list  */
  YYSYMBOL_extract_arg = 1181,             /* extract_arg  */
  YYSYMBOL_unicode_normal_form = 1182,     /* unicode_normal_form  */
  YYSYMBOL_overlay_list = 1183,            /* overlay_list  */
  YYSYMBOL_position_list = 1184,           /* position_list  */
  YYSYMBOL_substr_list = 1185,             /* substr_list  */
  YYSYMBOL_trim_list = 1186,               /* trim_list  */
  YYSYMBOL_in_expr = 1187,                 /* in_expr  */
  YYSYMBOL_case_expr = 1188,               /* case_expr  */
  YYSYMBOL_when_clause_list = 1189,        /* when_clause_list  */
  YYSYMBOL_when_clause = 1190,             /* when_clause  */
  YYSYMBOL_case_default = 1191,            /* case_default  */
  YYSYMBOL_case_arg = 1192,                /* case_arg  */
  YYSYMBOL_columnref = 1193,               /* columnref  */
  YYSYMBOL_indirection_el = 1194,          /* indirection_el  */
  YYSYMBOL_opt_slice_bound = 1195,         /* opt_slice_bound  */
  YYSYMBOL_indirection = 1196,             /* indirection  */
  YYSYMBOL_opt_indirection = 1197,         /* opt_indirection  */
  YYSYMBOL_opt_asymmetric = 1198,          /* opt_asymmetric  */
  YYSYMBOL_json_func_expr = 1199,          /* json_func_expr  */
  YYSYMBOL_json_parse_expr = 1200,         /* json_parse_expr  */
  YYSYMBOL_json_scalar_expr = 1201,        /* json_scalar_expr  */
  YYSYMBOL_json_serialize_expr = 1202,     /* json_serialize_expr  */
  YYSYMBOL_json_value_func_expr = 1203,    /* json_value_func_expr  */
  YYSYMBOL_json_api_common_syntax = 1204,  /* json_api_common_syntax  */
  YYSYMBOL_json_context_item = 1205,       /* json_context_item  */
  YYSYMBOL_json_path_specification = 1206, /* json_path_specification  */
  YYSYMBOL_json_as_path_name_clause_opt = 1207, /* json_as_path_name_clause_opt  */
  YYSYMBOL_json_table_path_name = 1208,    /* json_table_path_name  */
  YYSYMBOL_json_passing_clause_opt = 1209, /* json_passing_clause_opt  */
  YYSYMBOL_json_arguments = 1210,          /* json_arguments  */
  YYSYMBOL_json_argument = 1211,           /* json_argument  */
  YYSYMBOL_json_value_expr = 1212,         /* json_value_expr  */
  YYSYMBOL_json_format_clause_opt = 1213,  /* json_format_clause_opt  */
  YYSYMBOL_json_representation = 1214,     /* json_representation  */
  YYSYMBOL_json_encoding_clause_opt = 1215, /* json_encoding_clause_opt  */
  YYSYMBOL_json_encoding = 1216,           /* json_encoding  */
  YYSYMBOL_json_behavior_error = 1217,     /* json_behavior_error  */
  YYSYMBOL_json_behavior_null = 1218,      /* json_behavior_null  */
  YYSYMBOL_json_behavior_true = 1219,      /* json_behavior_true  */
  YYSYMBOL_json_behavior_false = 1220,     /* json_behavior_false  */
  YYSYMBOL_json_behavior_unknown = 1221,   /* json_behavior_unknown  */
  YYSYMBOL_json_behavior_empty = 1222,     /* json_behavior_empty  */
  YYSYMBOL_json_behavior_empty_array = 1223, /* json_behavior_empty_array  */
  YYSYMBOL_json_behavior_empty_object = 1224, /* json_behavior_empty_object  */
  YYSYMBOL_json_behavior_default = 1225,   /* json_behavior_default  */
  YYSYMBOL_json_value_behavior = 1226,     /* json_value_behavior  */
  YYSYMBOL_json_value_on_behavior_clause_opt = 1227, /* json_value_on_behavior_clause_opt  */
  YYSYMBOL_json_query_expr = 1228,         /* json_query_expr  */
  YYSYMBOL_json_wrapper_clause_opt = 1229, /* json_wrapper_clause_opt  */
  YYSYMBOL_json_wrapper_behavior = 1230,   /* json_wrapper_behavior  */
  YYSYMBOL_array_opt = 1231,               /* array_opt  */
  YYSYMBOL_json_conditional_or_unconditional_opt = 1232, /* json_conditional_or_unconditional_opt  */
  YYSYMBOL_json_quotes_clause_opt = 1233,  /* json_quotes_clause_opt  */
  YYSYMBOL_json_quotes_behavior = 1234,    /* json_quotes_behavior  */
  YYSYMBOL_json_on_scalar_string_opt = 1235, /* json_on_scalar_string_opt  */
  YYSYMBOL_json_query_behavior = 1236,     /* json_query_behavior  */
  YYSYMBOL_json_query_on_behavior_clause_opt = 1237, /* json_query_on_behavior_clause_opt  */
  YYSYMBOL_json_table = 1238,              /* json_table  */
  YYSYMBOL_json_table_columns_clause = 1239, /* json_table_columns_clause  */
  YYSYMBOL_json_table_column_definition_list = 1240, /* json_table_column_definition_list  */
  YYSYMBOL_json_table_column_definition = 1241, /* json_table_column_definition  */
  YYSYMBOL_json_table_ordinality_column_definition = 1242, /* json_table_ordinality_column_definition  */
  YYSYMBOL_json_table_regular_column_definition = 1243, /* json_table_regular_column_definition  */
  YYSYMBOL_json_table_exists_column_definition = 1244, /* json_table_exists_column_definition  */
  YYSYMBOL_json_table_error_behavior = 1245, /* json_table_error_behavior  */
  YYSYMBOL_json_table_error_clause_opt = 1246, /* json_table_error_clause_opt  */
  YYSYMBOL_json_table_column_path_specification_clause_opt = 1247, /* json_table_column_path_specification_clause_opt  */
  YYSYMBOL_json_table_formatted_column_definition = 1248, /* json_table_formatted_column_definition  */
  YYSYMBOL_json_table_nested_columns = 1249, /* json_table_nested_columns  */
  YYSYMBOL_path_opt = 1250,                /* path_opt  */
  YYSYMBOL_json_table_plan_clause_opt = 1251, /* json_table_plan_clause_opt  */
  YYSYMBOL_json_table_specific_plan = 1252, /* json_table_specific_plan  */
  YYSYMBOL_json_table_plan = 1253,         /* json_table_plan  */
  YYSYMBOL_json_table_plan_simple = 1254,  /* json_table_plan_simple  */
  YYSYMBOL_json_table_plan_parent_child = 1255, /* json_table_plan_parent_child  */
  YYSYMBOL_json_table_plan_outer = 1256,   /* json_table_plan_outer  */
  YYSYMBOL_json_table_plan_inner = 1257,   /* json_table_plan_inner  */
  YYSYMBOL_json_table_plan_sibling = 1258, /* json_table_plan_sibling  */
  YYSYMBOL_json_table_plan_union = 1259,   /* json_table_plan_union  */
  YYSYMBOL_json_table_plan_cross = 1260,   /* json_table_plan_cross  */
  YYSYMBOL_json_table_plan_primary = 1261, /* json_table_plan_primary  */
  YYSYMBOL_json_table_default_plan = 1262, /* json_table_default_plan  */
  YYSYMBOL_json_table_default_plan_choices = 1263, /* json_table_default_plan_choices  */
  YYSYMBOL_json_table_default_plan_inner_outer = 1264, /* json_table_default_plan_inner_outer  */
  YYSYMBOL_json_table_default_plan_union_cross = 1265, /* json_table_default_plan_union_cross  */
  YYSYMBOL_json_returning_clause_opt = 1266, /* json_returning_clause_opt  */
  YYSYMBOL_json_output_clause_opt = 1267,  /* json_output_clause_opt  */
  YYSYMBOL_json_exists_predicate = 1268,   /* json_exists_predicate  */
  YYSYMBOL_json_exists_error_clause_opt = 1269, /* json_exists_error_clause_opt  */
  YYSYMBOL_json_exists_error_behavior = 1270, /* json_exists_error_behavior  */
  YYSYMBOL_json_value_constructor = 1271,  /* json_value_constructor  */
  YYSYMBOL_json_object_constructor = 1272, /* json_object_constructor  */
  YYSYMBOL_json_object_args = 1273,        /* json_object_args  */
  YYSYMBOL_json_object_func_args = 1274,   /* json_object_func_args  */
  YYSYMBOL_json_object_constructor_args = 1275, /* json_object_constructor_args  */
  YYSYMBOL_json_object_constructor_args_opt = 1276, /* json_object_constructor_args_opt  */
  YYSYMBOL_json_name_and_value_list = 1277, /* json_name_and_value_list  */
  YYSYMBOL_json_name_and_value = 1278,     /* json_name_and_value  */
  YYSYMBOL_json_object_constructor_null_clause_opt = 1279, /* json_object_constructor_null_clause_opt  */
  YYSYMBOL_json_array_constructor = 1280,  /* json_array_constructor  */
  YYSYMBOL_json_value_expr_list = 1281,    /* json_value_expr_list  */
  YYSYMBOL_json_array_constructor_null_clause_opt = 1282, /* json_array_constructor_null_clause_opt  */
  YYSYMBOL_json_aggregate_func = 1283,     /* json_aggregate_func  */
  YYSYMBOL_json_object_aggregate_constructor = 1284, /* json_object_aggregate_constructor  */
  YYSYMBOL_json_array_aggregate_constructor = 1285, /* json_array_aggregate_constructor  */
  YYSYMBOL_json_array_aggregate_order_by_clause_opt = 1286, /* json_array_aggregate_order_by_clause_opt  */
  YYSYMBOL_opt_target_list = 1287,         /* opt_target_list  */
  YYSYMBOL_target_list = 1288,             /* target_list  */
  YYSYMBOL_target_el = 1289,               /* target_el  */
  YYSYMBOL_qualified_name_list = 1290,     /* qualified_name_list  */
  YYSYMBOL_qualified_name = 1291,          /* qualified_name  */
  YYSYMBOL_name_list = 1292,               /* name_list  */
  YYSYMBOL_name = 1293,                    /* name  */
  YYSYMBOL_attr_name = 1294,               /* attr_name  */
  YYSYMBOL_file_name = 1295,               /* file_name  */
  YYSYMBOL_func_name = 1296,               /* func_name  */
  YYSYMBOL_AexprConst = 1297,              /* AexprConst  */
  YYSYMBOL_Iconst = 1298,                  /* Iconst  */
  YYSYMBOL_Sconst = 1299,                  /* Sconst  */
  YYSYMBOL_SignedIconst = 1300,            /* SignedIconst  */
  YYSYMBOL_RoleId = 1301,                  /* RoleId  */
  YYSYMBOL_RoleSpec = 1302,                /* RoleSpec  */
  YYSYMBOL_role_list = 1303,               /* role_list  */
  YYSYMBOL_PLpgSQL_Expr = 1304,            /* PLpgSQL_Expr  */
  YYSYMBOL_PLAssignStmt = 1305,            /* PLAssignStmt  */
  YYSYMBOL_plassign_target = 1306,         /* plassign_target  */
  YYSYMBOL_plassign_equals = 1307,         /* plassign_equals  */
  YYSYMBOL_ColId = 1308,                   /* ColId  */
  YYSYMBOL_type_function_name = 1309,      /* type_function_name  */
  YYSYMBOL_NonReservedWord = 1310,         /* NonReservedWord  */
  YYSYMBOL_ColLabel = 1311,                /* ColLabel  */
  YYSYMBOL_BareColLabel = 1312,            /* BareColLabel  */
  YYSYMBOL_unreserved_keyword = 1313,      /* unreserved_keyword  */
  YYSYMBOL_col_name_keyword = 1314,        /* col_name_keyword  */
  YYSYMBOL_type_func_name_keyword = 1315,  /* type_func_name_keyword  */
  YYSYMBOL_reserved_keyword = 1316,        /* reserved_keyword  */
  YYSYMBOL_bare_label_keyword = 1317       /* bare_label_keyword  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  924
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   119076

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  536
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  782
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3443
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6471

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   773


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   523,     2,     2,
     528,   529,   521,   519,   534,   520,   530,   522,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   535,   533,
     516,   518,   517,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   526,     2,   527,   524,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   525,   531,   532
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   979,   979,   983,   987,   992,  1000,  1008,  1028,  1040,
    1054,  1055,  1059,  1060,  1061,  1062,  1063,  1064,  1065,  1066,
    1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,  1075,  1076,
    1077,  1078,  1079,  1080,  1081,  1082,  1083,  1084,  1085,  1086,
    1087,  1088,  1089,  1090,  1091,  1092,  1093,  1094,  1095,  1096,
    1097,  1098,  1099,  1100,  1101,  1102,  1103,  1104,  1105,  1106,
    1107,  1108,  1109,  1110,  1111,  1112,  1113,  1114,  1115,  1116,
    1117,  1118,  1119,  1120,  1121,  1122,  1123,  1124,  1125,  1126,
    1127,  1128,  1129,  1130,  1131,  1132,  1133,  1134,  1135,  1136,
    1137,  1138,  1139,  1140,  1141,  1142,  1143,  1144,  1145,  1146,
    1147,  1148,  1149,  1150,  1151,  1152,  1153,  1154,  1155,  1156,
    1157,  1158,  1159,  1160,  1161,  1162,  1163,  1164,  1165,  1166,
    1167,  1168,  1169,  1170,  1171,  1172,  1173,  1174,  1175,  1176,
    1177,  1178,  1179,  1180,  1181,  1182,  1184,  1191,  1192,  1196,
    1197,  1201,  1202,  1206,  1207,  1208,  1217,  1233,  1245,  1246,
    1247,  1256,  1257,  1261,  1262,  1266,  1271,  1275,  1285,  1293,
    1297,  1301,  1306,  1310,  1358,  1360,  1364,  1368,  1372,  1376,
    1390,  1409,  1418,  1430,  1431,  1435,  1444,  1453,  1462,  1484,
    1492,  1500,  1508,  1516,  1524,  1542,  1561,  1573,  1574,  1585,
    1596,  1607,  1623,  1642,  1649,  1657,  1658,  1659,  1660,  1661,
    1662,  1676,  1683,  1690,  1700,  1709,  1718,  1722,  1731,  1740,
    1748,  1759,  1760,  1769,  1781,  1789,  1798,  1810,  1819,  1828,
    1836,  1846,  1857,  1858,  1862,  1863,  1866,  1868,  1872,  1873,
    1874,  1875,  1879,  1880,  1881,  1887,  1899,  1903,  1907,  1924,
    1932,  1933,  1934,  1938,  1939,  1940,  1944,  1945,  1949,  1953,
    1954,  1962,  1970,  1981,  1989,  2000,  2001,  2006,  2007,  2012,
    2019,  2026,  2033,  2040,  2051,  2062,  2063,  2067,  2068,  2076,
    2092,  2099,  2106,  2113,  2120,  2140,  2150,  2160,  2170,  2180,
    2192,  2204,  2214,  2224,  2234,  2246,  2258,  2268,  2278,  2288,
    2298,  2308,  2318,  2330,  2342,  2352,  2365,  2366,  2371,  2385,
    2398,  2414,  2431,  2441,  2451,  2461,  2471,  2481,  2490,  2499,
    2508,  2518,  2528,  2544,  2554,  2564,  2574,  2584,  2601,  2611,
    2621,  2631,  2642,  2656,  2672,  2682,  2691,  2707,  2716,  2727,
    2738,  2746,  2755,  2764,  2772,  2780,  2789,  2798,  2807,  2815,
    2823,  2832,  2840,  2848,  2857,  2866,  2875,  2884,  2893,  2902,
    2913,  2921,  2930,  2939,  2948,  2957,  2966,  2975,  2983,  2991,
    2999,  3006,  3017,  3018,  3022,  3031,  3035,  3036,  3040,  3048,
    3056,  3064,  3075,  3078,  3079,  3083,  3084,  3089,  3093,  3097,
    3102,  3109,  3111,  3116,  3120,  3124,  3135,  3143,  3196,  3209,
    3223,  3235,  3242,  3246,  3260,  3273,  3274,  3279,  3289,  3300,
    3311,  3338,  3345,  3379,  3415,  3438,  3439,  3443,  3444,  3453,
    3454,  3455,  3458,  3459,  3464,  3465,  3469,  3473,  3477,  3481,
    3485,  3489,  3493,  3497,  3501,  3505,  3509,  3513,  3517,  3526,
    3530,  3534,  3538,  3542,  3543,  3548,  3552,  3559,  3566,  3567,
    3568,  3569,  3570,  3574,  3578,  3586,  3597,  3617,  3637,  3658,
    3679,  3700,  3734,  3735,  3736,  3737,  3738,  3745,  3752,  3753,
    3757,  3758,  3762,  3763,  3767,  3771,  3778,  3782,  3789,  3790,
    3791,  3795,  3796,  3799,  3823,  3842,  3864,  3865,  3869,  3870,
    3874,  3878,  3879,  3883,  3884,  3888,  3896,  3897,  3898,  3930,
    3938,  3946,  3959,  3971,  3984,  3994,  4004,  4028,  4048,  4049,
    4050,  4054,  4055,  4074,  4082,  4090,  4098,  4110,  4122,  4123,
    4124,  4128,  4129,  4130,  4131,  4132,  4133,  4134,  4135,  4136,
    4137,  4146,  4154,  4158,  4172,  4190,  4206,  4223,  4239,  4259,
    4282,  4283,  4287,  4288,  4292,  4293,  4296,  4302,  4303,  4306,
    4310,  4318,  4323,  4329,  4330,  4334,  4339,  4346,  4347,  4351,
    4361,  4371,  4379,  4388,  4401,  4413,  4420,  4428,  4436,  4444,
    4452,  4462,  4463,  4467,  4468,  4471,  4483,  4484,  4487,  4498,
    4509,  4523,  4524,  4529,  4530,  4531,  4534,  4535,  4536,  4537,
    4540,  4541,  4544,  4545,  4548,  4568,  4581,  4603,  4604,  4607,
    4613,  4619,  4636,  4645,  4667,  4681,  4698,  4714,  4715,  4716,
    4728,  4742,  4759,  4773,  4774,  4786,  4807,  4818,  4832,  4841,
    4853,  4854,  4857,  4858,  4861,  4862,  4865,  4869,  4873,  4877,
    4881,  4885,  4889,  4893,  4897,  4901,  4905,  4910,  4914,  4918,
    4924,  4925,  4929,  4930,  4931,  4938,  4941,  4942,  4954,  4970,
    4986,  4987,  4995,  4996,  5000,  5001,  5005,  5006,  5010,  5011,
    5015,  5016,  5026,  5038,  5039,  5052,  5060,  5078,  5087,  5099,
    5102,  5106,  5110,  5114,  5121,  5133,  5144,  5147,  5151,  5164,
    5174,  5184,  5194,  5204,  5214,  5224,  5234,  5244,  5254,  5264,
    5274,  5284,  5303,  5315,  5316,  5317,  5318,  5322,  5323,  5327,
    5328,  5338,  5347,  5360,  5361,  5365,  5369,  5377,  5381,  5385,
    5392,  5396,  5401,  5406,  5413,  5420,  5425,  5435,  5448,  5464,
    5465,  5470,  5471,  5475,  5476,  5486,  5496,  5505,  5523,  5544,
    5565,  5587,  5621,  5637,  5638,  5642,  5651,  5666,  5676,  5689,
    5690,  5702,  5711,  5729,  5754,  5772,  5787,  5788,  5792,  5793,
    5797,  5798,  5802,  5803,  5807,  5821,  5825,  5826,  5830,  5831,
    5832,  5833,  5834,  5844,  5856,  5857,  5868,  5891,  5923,  5924,
    5925,  5929,  5931,  5953,  5955,  5957,  5959,  5961,  5966,  5967,
    5971,  5972,  5976,  5988,  5989,  5993,  6002,  6006,  6010,  6015,
    6025,  6026,  6030,  6031,  6035,  6036,  6040,  6041,  6045,  6046,
    6047,  6051,  6055,  6056,  6057,  6061,  6062,  6067,  6068,  6095,
    6096,  6097,  6098,  6099,  6100,  6113,  6124,  6139,  6141,  6146,
    6151,  6153,  6158,  6169,  6170,  6171,  6172,  6183,  6202,  6214,
    6227,  6238,  6249,  6261,  6270,  6278,  6286,  6296,  6306,  6316,
    6326,  6336,  6347,  6357,  6370,  6373,  6374,  6377,  6381,  6388,
    6389,  6390,  6391,  6392,  6393,  6396,  6399,  6400,  6408,  6415,
    6416,  6419,  6421,  6432,  6444,  6456,  6468,  6482,  6483,  6499,
    6515,  6516,  6520,  6533,  6544,  6553,  6563,  6573,  6574,  6577,
    6578,  6581,  6582,  6583,  6586,  6600,  6605,  6616,  6626,  6639,
    6640,  6644,  6653,  6666,  6677,  6691,  6702,  6725,  6736,  6755,
    6766,  6777,  6788,  6799,  6810,  6821,  6832,  6843,  6854,  6865,
    6876,  6891,  6892,  6893,  6894,  6895,  6896,  6897,  6898,  6899,
    6900,  6901,  6902,  6903,  6913,  6914,  6915,  6916,  6917,  6921,
    6922,  6923,  6924,  6925,  6926,  6927,  6928,  6933,  6934,  6935,
    6939,  6940,  6943,  6944,  6947,  6949,  6954,  6955,  6966,  6978,
    6979,  6980,  6990,  6999,  7008,  7017,  7026,  7035,  7044,  7053,
    7062,  7071,  7085,  7094,  7103,  7112,  7121,  7130,  7139,  7148,
    7160,  7161,  7175,  7186,  7197,  7208,  7219,  7230,  7241,  7252,
    7263,  7274,  7287,  7288,  7291,  7292,  7302,  7309,  7318,  7327,
    7336,  7345,  7354,  7363,  7372,  7381,  7390,  7399,  7408,  7417,
    7426,  7435,  7444,  7453,  7464,  7465,  7468,  7469,  7479,  7497,
    7513,  7541,  7543,  7545,  7547,  7555,  7565,  7566,  7569,  7577,
    7585,  7593,  7600,  7611,  7615,  7622,  7626,  7637,  7646,  7655,
    7664,  7673,  7682,  7691,  7700,  7709,  7718,  7727,  7736,  7745,
    7753,  7762,  7771,  7780,  7789,  7798,  7807,  7816,  7829,  7830,
    7834,  7835,  7840,  7841,  7851,  7865,  7876,  7889,  7890,  7893,
    7894,  7904,  7915,  7916,  7920,  7924,  7928,  7939,  7953,  7968,
    7986,  7987,  7988,  7989,  7990,  7991,  8003,  8035,  8070,  8071,
    8075,  8076,  8079,  8080,  8085,  8097,  8116,  8121,  8126,  8133,
    8134,  8137,  8138,  8141,  8142,  8146,  8147,  8148,  8151,  8152,
    8153,  8169,  8183,  8198,  8212,  8229,  8230,  8233,  8234,  8238,
    8239,  8243,  8244,  8249,  8263,  8271,  8279,  8295,  8296,  8300,
    8301,  8316,  8326,  8336,  8346,  8356,  8369,  8370,  8371,  8372,
    8373,  8379,  8383,  8398,  8399,  8405,  8415,  8419,  8424,  8432,
    8474,  8478,  8482,  8486,  8494,  8495,  8499,  8511,  8512,  8517,
    8518,  8523,  8524,  8531,  8535,  8539,  8543,  8547,  8551,  8555,
    8559,  8563,  8567,  8571,  8575,  8579,  8583,  8587,  8591,  8596,
    8603,  8607,  8611,  8615,  8619,  8625,  8626,  8632,  8642,  8646,
    8657,  8663,  8672,  8678,  8679,  8683,  8684,  8688,  8689,  8692,
    8705,  8709,  8724,  8733,  8742,  8755,  8756,  8761,  8762,  8779,
    8790,  8801,  8812,  8823,  8834,  8848,  8859,  8873,  8884,  8898,
    8906,  8908,  8910,  8915,  8917,  8922,  8923,  8928,  8947,  8957,
    8958,  8962,  8966,  8978,  8990,  9002,  9016,  9017,  9018,  9022,
    9035,  9036,  9046,  9059,  9063,  9067,  9071,  9078,  9100,  9113,
    9126,  9141,  9142,  9145,  9146,  9149,  9150,  9160,  9170,  9188,
    9198,  9208,  9218,  9228,  9238,  9248,  9258,  9268,  9278,  9288,
    9298,  9308,  9319,  9330,  9340,  9350,  9360,  9370,  9380,  9390,
    9401,  9412,  9423,  9434,  9445,  9456,  9467,  9478,  9489,  9500,
    9511,  9522,  9534,  9546,  9558,  9570,  9582,  9594,  9605,  9616,
    9628,  9640,  9651,  9662,  9671,  9681,  9691,  9701,  9711,  9721,
    9731,  9741,  9751,  9761,  9776,  9777,  9780,  9781,  9791,  9801,
    9811,  9821,  9832,  9842,  9854,  9855,  9865,  9875,  9885,  9895,
    9905,  9915,  9925,  9935,  9945,  9955,  9965,  9975,  9985,  9995,
   10005, 10015, 10025, 10035, 10045, 10055, 10065, 10075, 10085, 10095,
   10105, 10115, 10125, 10144, 10154, 10155, 10158, 10160, 10166, 10167,
   10168, 10169, 10170, 10182, 10198, 10207, 10216, 10225, 10234, 10243,
   10252, 10261, 10270, 10279, 10288, 10297, 10306, 10315, 10324, 10333,
   10342, 10351, 10360, 10369, 10378, 10387, 10396, 10405, 10433, 10441,
   10450, 10476, 10485, 10492, 10498, 10525, 10536, 10545, 10553, 10555,
   10577, 10585, 10595, 10605, 10624, 10643, 10653, 10663, 10673, 10684,
   10695, 10706, 10717, 10728, 10746, 10755, 10772, 10790, 10791, 10792,
   10797, 10803, 10812, 10813, 10814, 10815, 10816, 10820, 10821, 10824,
   10825, 10826, 10827, 10831, 10832, 10833, 10845, 10856, 10857, 10860,
   10870, 10877, 10897, 10906, 10914, 10923, 10932, 10940, 10948, 10956,
   10964, 10972, 10980, 10988, 10999, 11007, 11018, 11019, 11020, 11024,
   11027, 11030, 11033, 11036, 11043, 11045, 11047, 11052, 11054, 11058,
   11059, 11060, 11072, 11086, 11100, 11119, 11141, 11142, 11143, 11144,
   11154, 11171, 11182, 11183, 11187, 11188, 11192, 11196, 11200, 11218,
   11219, 11220, 11221, 11222, 11223, 11224, 11231, 11232, 11243, 11251,
   11259, 11268, 11278, 11296, 11305, 11314, 11323, 11335, 11339, 11350,
   11362, 11380, 11387, 11404, 11418, 11428, 11437, 11446, 11456, 11468,
   11480, 11491, 11492, 11503, 11514, 11526, 11538, 11550, 11562, 11572,
   11585, 11586, 11600, 11625, 11637, 11646, 11658, 11672, 11673, 11685,
   11706, 11717, 11729, 11741, 11745, 11752, 11753, 11757, 11764, 11765,
   11769, 11770, 11771, 11775, 11776, 11780, 11781, 11784, 11785, 11788,
   11789, 11793, 11794, 11798, 11805, 11807, 11812, 11813, 11826, 11834,
   11845, 11853, 11864, 11865, 11866, 11867, 11868, 11869, 11870, 11871,
   11872, 11873, 11883, 11894, 11895, 11899, 11900, 11901, 11902, 11903,
   11913, 11921, 11939, 11959, 11960, 11970, 11977, 11984, 11991, 12008,
   12026, 12030, 12038, 12044, 12051, 12057, 12064, 12073, 12074, 12078,
   12080, 12085, 12096, 12106, 12116, 12122, 12131, 12140, 12146, 12147,
   12158, 12173, 12174, 12185, 12196, 12197, 12200, 12201, 12202, 12203,
   12204, 12205, 12206, 12207, 12210, 12211, 12215, 12216, 12217, 12228,
   12247, 12248, 12252, 12257, 12281, 12292, 12293, 12305, 12323, 12324,
   12328, 12335, 12342, 12349, 12359, 12372, 12373, 12377, 12390, 12403,
   12412, 12421, 12430, 12439, 12451, 12463, 12475, 12478, 12479, 12480,
   12481, 12482, 12483, 12486, 12487, 12488, 12536, 12537, 12541, 12542,
   12557, 12558, 12565, 12573, 12581, 12589, 12597, 12605, 12616, 12617,
   12649, 12665, 12682, 12683, 12702, 12706, 12710, 12725, 12732, 12739,
   12749, 12750, 12753, 12769, 12770, 12771, 12775, 12785, 12796, 12802,
   12814, 12827, 12833, 12834, 12838, 12850, 12858, 12863, 12868, 12873,
   12878, 12886, 12894, 12899, 12904, 12911, 12912, 12916, 12917, 12918,
   12925, 12926, 12930, 12931, 12935, 12936, 12940, 12941, 12945, 12949,
   12950, 12953, 12962, 12975, 12980, 12985, 12989, 13001, 13002, 13006,
   13015, 13031, 13040, 13049, 13058, 13070, 13073, 13078, 13079, 13087,
   13107, 13108, 13110, 13115, 13116, 13120, 13121, 13124, 13125, 13150,
   13159, 13169, 13170, 13174, 13175, 13176, 13177, 13178, 13182, 13195,
   13202, 13209, 13216, 13217, 13221, 13222, 13226, 13227, 13231, 13232,
   13236, 13248, 13249, 13250, 13251, 13255, 13256, 13266, 13273, 13292,
   13293, 13297, 13298, 13304, 13309, 13318, 13326, 13335, 13342, 13350,
   13359, 13368, 13372, 13377, 13384, 13413, 13417, 13431, 13452, 13474,
   13487, 13504, 13510, 13515, 13521, 13528, 13529, 13539, 13545, 13553,
   13557, 13561, 13568, 13576, 13581, 13582, 13583, 13584, 13588, 13589,
   13604, 13608, 13616, 13623, 13630, 13637, 13644, 13655, 13656, 13669,
   13673, 13681, 13695, 13709, 13710, 13725, 13736, 13749, 13754, 13755,
   13758, 13759, 13762, 13763, 13768, 13769, 13774, 13775, 13784, 13789,
   13790, 13794, 13798, 13804, 13829, 13840, 13854, 13855, 13859, 13873,
   13930, 13944, 13946, 13951, 13953, 13955, 13957, 13959, 13964, 13966,
   13971, 13979, 13999, 14004, 14011, 14016, 14022, 14027, 14036, 14038,
   14041, 14045, 14046, 14047, 14048, 14049, 14050, 14055, 14061, 14076,
   14077, 14078, 14079, 14080, 14091, 14097, 14105, 14106, 14112, 14117,
   14122, 14127, 14132, 14137, 14142, 14147, 14153, 14159, 14165, 14172,
   14194, 14203, 14207, 14215, 14219, 14227, 14239, 14260, 14264, 14270,
   14274, 14287, 14295, 14305, 14307, 14309, 14311, 14313, 14315, 14320,
   14321, 14328, 14337, 14345, 14354, 14365, 14373, 14374, 14375, 14379,
   14381, 14383, 14385, 14387, 14389, 14391, 14396, 14401, 14407, 14415,
   14420, 14427, 14434, 14438, 14442, 14450, 14485, 14486, 14488, 14497,
   14513, 14515, 14517, 14519, 14521, 14523, 14525, 14527, 14529, 14531,
   14533, 14535, 14537, 14539, 14542, 14544, 14547, 14549, 14551, 14553,
   14556, 14561, 14570, 14575, 14584, 14589, 14598, 14603, 14613, 14622,
   14631, 14640, 14659, 14668, 14677, 14686, 14695, 14712, 14721, 14730,
   14739, 14748, 14757, 14766, 14770, 14774, 14782, 14790, 14798, 14806,
   14827, 14850, 14862, 14869, 14885, 14890, 14896, 14903, 14910, 14918,
   14926, 14945, 14967, 14993, 14995, 14997, 14999, 15001, 15003, 15005,
   15007, 15009, 15011, 15013, 15015, 15017, 15019, 15021, 15023, 15025,
   15027, 15029, 15033, 15037, 15042, 15051, 15052, 15053, 15054, 15055,
   15059, 15060, 15061, 15065, 15066, 15077, 15078, 15079, 15096, 15109,
   15111, 15113, 15125, 15150, 15162, 15174, 15182, 15193, 15204, 15214,
   15220, 15229, 15239, 15249, 15262, 15272, 15303, 15339, 15349, 15360,
   15361, 15362, 15369, 15376, 15380, 15384, 15388, 15392, 15396, 15400,
   15404, 15408, 15412, 15416, 15420, 15424, 15428, 15432, 15436, 15438,
   15445, 15452, 15459, 15466, 15477, 15491, 15501, 15512, 15528, 15538,
   15545, 15552, 15559, 15563, 15571, 15580, 15589, 15593, 15597, 15601,
   15605, 15609, 15618, 15622, 15632, 15636, 15640, 15645, 15655, 15662,
   15664, 15668, 15670, 15672, 15675, 15678, 15681, 15682, 15685, 15693,
   15703, 15704, 15707, 15708, 15709, 15714, 15718, 15722, 15726, 15733,
   15734, 15742, 15743, 15747, 15748, 15756, 15757, 15761, 15762, 15767,
   15776, 15778, 15793, 15796, 15824, 15825, 15828, 15829, 15837, 15845,
   15853, 15862, 15872, 15890, 15936, 15945, 15954, 15963, 15972, 15984,
   15985, 15986, 15987, 15988, 16002, 16003, 16004, 16007, 16008, 16011,
   16014, 16015, 16016, 16019, 16020, 16023, 16024, 16025, 16026, 16027,
   16028, 16029, 16030, 16031, 16032, 16033, 16034, 16037, 16039, 16044,
   16046, 16051, 16053, 16055, 16057, 16059, 16061, 16073, 16077, 16084,
   16088, 16094, 16098, 16108, 16120, 16121, 16124, 16125, 16128, 16132,
   16136, 16142, 16143, 16148, 16158, 16159, 16160, 16161, 16162, 16163,
   16164, 16165, 16169, 16170, 16171, 16172, 16177, 16182, 16191, 16212,
   16216, 16221, 16232, 16249, 16255, 16256, 16257, 16260, 16268, 16278,
   16293, 16294, 16298, 16310, 16311, 16314, 16315, 16318, 16322, 16329,
   16333, 16337, 16346, 16358, 16359, 16363, 16364, 16368, 16369, 16372,
   16373, 16378, 16379, 16380, 16381, 16382, 16383, 16384, 16388, 16402,
   16414, 16426, 16445, 16461, 16465, 16469, 16470, 16474, 16478, 16479,
   16483, 16484, 16488, 16499, 16506, 16512, 16518, 16526, 16527, 16531,
   16535, 16539, 16543, 16547, 16551, 16555, 16559, 16561, 16565, 16569,
   16574, 16575, 16576, 16580, 16582, 16584, 16587, 16591, 16619, 16620,
   16624, 16625, 16629, 16630, 16634, 16635, 16636, 16640, 16641, 16645,
   16646, 16650, 16651, 16655, 16656, 16657, 16658, 16659, 16663, 16665,
   16667, 16670, 16674, 16693, 16697, 16699, 16704, 16705, 16706, 16707,
   16708, 16712, 16724, 16747, 16768, 16769, 16773, 16774, 16778, 16779,
   16783, 16811, 16827, 16828, 16832, 16833, 16834, 16838, 16842, 16843,
   16844, 16848, 16860, 16861, 16865, 16870, 16875, 16876, 16880, 16882,
   16887, 16889, 16894, 16895, 16903, 16915, 16916, 16918, 16919, 16924,
   16925, 16929, 16930, 16934, 16944, 16948, 16957, 16961, 16979, 16980,
   16984, 16985, 16986, 16987, 16991, 16992, 16996, 17003, 17004, 17008,
   17017, 17028, 17040, 17051, 17053, 17063, 17066, 17071, 17072, 17073,
   17077, 17091, 17108, 17123, 17124, 17128, 17129, 17130, 17134, 17135,
   17139, 17160, 17180, 17181, 17190, 17191, 17195, 17196, 17199, 17207,
   17215, 17223, 17246, 17247, 17258, 17262, 17268, 17270, 17275, 17277,
   17279, 17289, 17291, 17302, 17306, 17310, 17314, 17318, 17327, 17335,
   17367, 17371, 17378, 17386, 17390, 17394, 17400, 17401, 17403, 17404,
   17405, 17409, 17450, 17478, 17482, 17486, 17492, 17494, 17508, 17544,
   17557, 17558, 17561, 17562, 17579, 17580, 17581, 17586, 17587, 17588,
   17593, 17594, 17595, 17596, 17602, 17603, 17604, 17605, 17606, 17612,
   17613, 17633, 17634, 17635, 17636, 17637, 17638, 17639, 17640, 17641,
   17642, 17643, 17644, 17645, 17646, 17647, 17648, 17649, 17650, 17651,
   17652, 17653, 17654, 17655, 17656, 17657, 17658, 17659, 17660, 17661,
   17662, 17663, 17664, 17665, 17666, 17667, 17668, 17669, 17670, 17671,
   17672, 17673, 17674, 17675, 17676, 17677, 17678, 17679, 17680, 17681,
   17682, 17683, 17684, 17685, 17686, 17687, 17688, 17689, 17690, 17691,
   17692, 17693, 17694, 17695, 17696, 17697, 17698, 17699, 17700, 17701,
   17702, 17703, 17704, 17705, 17706, 17707, 17708, 17709, 17710, 17711,
   17712, 17713, 17714, 17715, 17716, 17717, 17718, 17719, 17720, 17721,
   17722, 17723, 17724, 17725, 17726, 17727, 17728, 17729, 17730, 17731,
   17732, 17733, 17734, 17735, 17736, 17737, 17738, 17739, 17740, 17741,
   17742, 17743, 17744, 17745, 17746, 17747, 17748, 17749, 17750, 17751,
   17752, 17753, 17754, 17755, 17756, 17757, 17758, 17759, 17760, 17761,
   17762, 17763, 17764, 17765, 17766, 17767, 17768, 17769, 17770, 17771,
   17772, 17773, 17774, 17775, 17776, 17777, 17778, 17779, 17780, 17781,
   17782, 17783, 17784, 17785, 17786, 17787, 17788, 17789, 17790, 17791,
   17792, 17793, 17794, 17795, 17796, 17797, 17798, 17799, 17800, 17801,
   17802, 17803, 17804, 17805, 17806, 17807, 17808, 17809, 17810, 17811,
   17812, 17813, 17814, 17815, 17816, 17817, 17818, 17819, 17820, 17821,
   17822, 17823, 17824, 17825, 17826, 17827, 17828, 17829, 17830, 17831,
   17832, 17833, 17834, 17835, 17836, 17837, 17838, 17839, 17840, 17841,
   17842, 17843, 17844, 17845, 17846, 17847, 17848, 17849, 17850, 17851,
   17852, 17853, 17854, 17855, 17856, 17857, 17858, 17859, 17860, 17861,
   17862, 17863, 17864, 17865, 17866, 17867, 17868, 17869, 17870, 17871,
   17872, 17873, 17874, 17875, 17876, 17877, 17878, 17879, 17880, 17881,
   17882, 17883, 17884, 17885, 17886, 17887, 17888, 17889, 17890, 17891,
   17892, 17893, 17894, 17895, 17896, 17897, 17898, 17899, 17900, 17901,
   17902, 17903, 17904, 17905, 17906, 17907, 17908, 17909, 17910, 17911,
   17912, 17913, 17914, 17915, 17916, 17917, 17918, 17919, 17920, 17921,
   17922, 17923, 17924, 17925, 17926, 17927, 17928, 17929, 17930, 17931,
   17932, 17933, 17934, 17935, 17936, 17937, 17938, 17939, 17940, 17941,
   17942, 17943, 17944, 17945, 17946, 17947, 17948, 17949, 17950, 17951,
   17952, 17953, 17954, 17955, 17956, 17970, 17971, 17972, 17973, 17974,
   17975, 17976, 17977, 17978, 17979, 17980, 17981, 17982, 17983, 17984,
   17985, 17986, 17987, 17988, 17989, 17990, 17991, 17992, 17993, 17994,
   17995, 17996, 17997, 17998, 17999, 18000, 18001, 18002, 18003, 18004,
   18005, 18006, 18007, 18008, 18009, 18010, 18011, 18012, 18013, 18014,
   18015, 18016, 18017, 18018, 18019, 18020, 18021, 18022, 18023, 18024,
   18025, 18026, 18027, 18028, 18029, 18030, 18031, 18045, 18046, 18047,
   18048, 18049, 18050, 18051, 18052, 18053, 18054, 18055, 18056, 18057,
   18058, 18059, 18060, 18061, 18062, 18063, 18064, 18065, 18066, 18067,
   18077, 18078, 18079, 18080, 18081, 18082, 18083, 18084, 18085, 18086,
   18087, 18088, 18089, 18090, 18091, 18092, 18093, 18094, 18095, 18096,
   18097, 18098, 18099, 18100, 18101, 18102, 18103, 18104, 18105, 18106,
   18107, 18108, 18109, 18110, 18111, 18112, 18113, 18114, 18115, 18116,
   18117, 18118, 18119, 18120, 18121, 18122, 18123, 18124, 18125, 18126,
   18127, 18128, 18129, 18130, 18131, 18132, 18133, 18134, 18135, 18136,
   18137, 18138, 18139, 18140, 18141, 18142, 18143, 18144, 18145, 18146,
   18147, 18148, 18149, 18150, 18151, 18152, 18153, 18166, 18167, 18168,
   18169, 18170, 18171, 18172, 18173, 18174, 18175, 18176, 18177, 18178,
   18179, 18180, 18181, 18182, 18183, 18184, 18185, 18186, 18187, 18188,
   18189, 18190, 18191, 18192, 18193, 18194, 18195, 18196, 18197, 18198,
   18199, 18200, 18201, 18202, 18203, 18204, 18205, 18206, 18207, 18208,
   18209, 18210, 18211, 18212, 18213, 18214, 18215, 18216, 18217, 18218,
   18219, 18220, 18221, 18222, 18223, 18224, 18225, 18226, 18227, 18228,
   18229, 18230, 18231, 18232, 18233, 18234, 18235, 18236, 18237, 18238,
   18239, 18240, 18241, 18242, 18243, 18244, 18245, 18246, 18247, 18248,
   18249, 18250, 18251, 18252, 18253, 18254, 18255, 18256, 18257, 18258,
   18259, 18260, 18261, 18262, 18263, 18264, 18265, 18266, 18267, 18268,
   18269, 18270, 18271, 18272, 18273, 18274, 18275, 18276, 18277, 18278,
   18279, 18280, 18281, 18282, 18283, 18284, 18285, 18286, 18287, 18288,
   18289, 18290, 18291, 18292, 18293, 18294, 18295, 18296, 18297, 18298,
   18299, 18300, 18301, 18302, 18303, 18304, 18305, 18306, 18307, 18308,
   18309, 18310, 18311, 18312, 18313, 18314, 18315, 18316, 18317, 18318,
   18319, 18320, 18321, 18322, 18323, 18324, 18325, 18326, 18327, 18328,
   18329, 18330, 18331, 18332, 18333, 18334, 18335, 18336, 18337, 18338,
   18339, 18340, 18341, 18342, 18343, 18344, 18345, 18346, 18347, 18348,
   18349, 18350, 18351, 18352, 18353, 18354, 18355, 18356, 18357, 18358,
   18359, 18360, 18361, 18362, 18363, 18364, 18365, 18366, 18367, 18368,
   18369, 18370, 18371, 18372, 18373, 18374, 18375, 18376, 18377, 18378,
   18379, 18380, 18381, 18382, 18383, 18384, 18385, 18386, 18387, 18388,
   18389, 18390, 18391, 18392, 18393, 18394, 18395, 18396, 18397, 18398,
   18399, 18400, 18401, 18402, 18403, 18404, 18405, 18406, 18407, 18408,
   18409, 18410, 18411, 18412, 18413, 18414, 18415, 18416, 18417, 18418,
   18419, 18420, 18421, 18422, 18423, 18424, 18425, 18426, 18427, 18428,
   18429, 18430, 18431, 18432, 18433, 18434, 18435, 18436, 18437, 18438,
   18439, 18440, 18441, 18442, 18443, 18444, 18445, 18446, 18447, 18448,
   18449, 18450, 18451, 18452, 18453, 18454, 18455, 18456, 18457, 18458,
   18459, 18460, 18461, 18462, 18463, 18464, 18465, 18466, 18467, 18468,
   18469, 18470, 18471, 18472, 18473, 18474, 18475, 18476, 18477, 18478,
   18479, 18480, 18481, 18482, 18483, 18484, 18485, 18486, 18487, 18488,
   18489, 18490, 18491, 18492, 18493, 18494, 18495, 18496, 18497, 18498,
   18499, 18500, 18501, 18502, 18503, 18504, 18505, 18506, 18507, 18508,
   18509, 18510, 18511, 18512, 18513, 18514, 18515, 18516, 18517, 18518,
   18519, 18520, 18521, 18522, 18523, 18524, 18525, 18526, 18527, 18528,
   18529, 18530, 18531, 18532, 18533, 18534, 18535, 18536, 18537, 18538,
   18539, 18540, 18541, 18542, 18543, 18544, 18545, 18546, 18547, 18548,
   18549, 18550, 18551, 18552, 18553, 18554, 18555, 18556, 18557, 18558,
   18559, 18560, 18561, 18562, 18563, 18564, 18565, 18566, 18567, 18568,
   18569, 18570, 18571, 18572, 18573, 18574, 18575, 18576, 18577, 18578,
   18579, 18580, 18581, 18582, 18583, 18584, 18585, 18586, 18587, 18588,
   18589, 18590, 18591, 18592, 18593, 18594, 18595, 18596, 18597, 18598,
   18599, 18600, 18601, 18602, 18603, 18604, 18605, 18606, 18607, 18608,
   18609, 18610, 18611, 18612
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "IDENT", "UIDENT",
  "FCONST", "SCONST", "USCONST", "BCONST", "XCONST", "Op", "ICONST",
  "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER",
  "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSENT",
  "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE",
  "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY",
  "ARRAY", "AS", "ASC", "ASENSITIVE", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "ATOMIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BREADTH", "BY", "CACHE", "CALL", "CALLED",
  "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P",
  "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE",
  "CLUSTER", "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS",
  "COMMENT", "COMMENTS", "COMMIT", "COMMITTED", "COMPRESSION",
  "CONCURRENTLY", "CONDITIONAL", "CONFIGURATION", "CONFLICT", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P",
  "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA",
  "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE",
  "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P",
  "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER",
  "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DEPTH", "DESC",
  "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "EMPTY_P",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ERROR_P",
  "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE",
  "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FINALIZE", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORMAT", "FORWARD",
  "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P",
  "INCLUDE", "INCLUDING", "INCREMENT", "INDEX", "INDEXES", "INHERIT",
  "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT", "INPUT_P",
  "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER", "INTERSECT",
  "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN",
  "JSON", "JSON_ARRAY", "JSON_ARRAYAGG", "JSON_EXISTS", "JSON_OBJECT",
  "JSON_OBJECTAGG", "JSON_QUERY", "JSON_SCALAR", "JSON_SERIALIZE",
  "JSON_TABLE", "JSON_VALUE", "KEY", "KEYS", "KEEP", "LABEL", "LANGUAGE",
  "LARGE_P", "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST",
  "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE", "MERGE", "METHOD",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NESTED", "NEW", "NEXT", "NFC", "NFD",
  "NFKC", "NFKD", "NO", "NONE", "NORMALIZE", "NORMALIZED", "NOT",
  "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P",
  "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "OMIT",
  "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARAMETER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PATH",
  "PLACING", "PLAN", "PLANS", "POLICY", "POSITION", "PRECEDING",
  "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY", "PRIOR",
  "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROCEDURES", "PROGRAM",
  "PUBLICATION", "QUOTE", "QUOTES", "RANGE", "READ", "REAL", "REASSIGN",
  "RECHECK", "RECURSIVE", "REF", "REFERENCES", "REFERENCING", "REFRESH",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURN", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE",
  "ROUTINES", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCALAR", "SCHEMA",
  "SCHEMAS", "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT",
  "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SKIP", "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE",
  "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT",
  "STORAGE", "STORED", "STRICT_P", "STRING", "STRIP_P", "SUBSCRIPTION",
  "SUBSTRING", "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UESCAPE", "UNBOUNDED",
  "UNCONDITIONAL", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA",
  "WITH_LA_UNIQUE", "WITHOUT_LA", "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR",
  "MODE_PLPGSQL_ASSIGN1", "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3",
  "'<'", "'>'", "'='", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "json_table_column",
  "empty_json_unique", "';'", "','", "':'", "$accept", "parse_toplevel",
  "stmtmulti", "toplevel_stmt", "stmt", "opt_single_name",
  "opt_qualified_name", "opt_concurrently", "opt_drop_behavior",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "PartitionBoundSpec", "hash_partbound_elem", "hash_partbound",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "column_compression", "opt_column_compression", "column_storage",
  "opt_column_storage", "ColQualList", "ColConstraint",
  "ColConstraintElem", "opt_unique_null_treatment", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "opt_c_include",
  "key_match", "ExclusionConstraintList", "ExclusionConstraintElem",
  "OptWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_params", "part_elem", "table_access_method_clause", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateStatsStmt", "stats_params", "stats_param", "AlterStatsStmt",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "MergeStmt", "merge_when_list",
  "merge_when_clause", "opt_merge_when_condition", "merge_update",
  "merge_delete", "merge_insert", "merge_values_clause",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause",
  "opt_distinct_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "json_predicate_type_constraint_opt",
  "json_key_uniqueness_constraint_opt", "unique_keys", "c_expr",
  "func_application", "func_expr", "func_expr_windowless",
  "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "xml_passing_mech", "within_group_clause",
  "filter_clause", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "opt_window_exclusion_clause", "row",
  "explicit_row", "implicit_row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "func_arg_list_opt", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "unicode_normal_form",
  "overlay_list", "position_list", "substr_list", "trim_list", "in_expr",
  "case_expr", "when_clause_list", "when_clause", "case_default",
  "case_arg", "columnref", "indirection_el", "opt_slice_bound",
  "indirection", "opt_indirection", "opt_asymmetric", "json_func_expr",
  "json_parse_expr", "json_scalar_expr", "json_serialize_expr",
  "json_value_func_expr", "json_api_common_syntax", "json_context_item",
  "json_path_specification", "json_as_path_name_clause_opt",
  "json_table_path_name", "json_passing_clause_opt", "json_arguments",
  "json_argument", "json_value_expr", "json_format_clause_opt",
  "json_representation", "json_encoding_clause_opt", "json_encoding",
  "json_behavior_error", "json_behavior_null", "json_behavior_true",
  "json_behavior_false", "json_behavior_unknown", "json_behavior_empty",
  "json_behavior_empty_array", "json_behavior_empty_object",
  "json_behavior_default", "json_value_behavior",
  "json_value_on_behavior_clause_opt", "json_query_expr",
  "json_wrapper_clause_opt", "json_wrapper_behavior", "array_opt",
  "json_conditional_or_unconditional_opt", "json_quotes_clause_opt",
  "json_quotes_behavior", "json_on_scalar_string_opt",
  "json_query_behavior", "json_query_on_behavior_clause_opt", "json_table",
  "json_table_columns_clause", "json_table_column_definition_list",
  "json_table_column_definition",
  "json_table_ordinality_column_definition",
  "json_table_regular_column_definition",
  "json_table_exists_column_definition", "json_table_error_behavior",
  "json_table_error_clause_opt",
  "json_table_column_path_specification_clause_opt",
  "json_table_formatted_column_definition", "json_table_nested_columns",
  "path_opt", "json_table_plan_clause_opt", "json_table_specific_plan",
  "json_table_plan", "json_table_plan_simple",
  "json_table_plan_parent_child", "json_table_plan_outer",
  "json_table_plan_inner", "json_table_plan_sibling",
  "json_table_plan_union", "json_table_plan_cross",
  "json_table_plan_primary", "json_table_default_plan",
  "json_table_default_plan_choices", "json_table_default_plan_inner_outer",
  "json_table_default_plan_union_cross", "json_returning_clause_opt",
  "json_output_clause_opt", "json_exists_predicate",
  "json_exists_error_clause_opt", "json_exists_error_behavior",
  "json_value_constructor", "json_object_constructor", "json_object_args",
  "json_object_func_args", "json_object_constructor_args",
  "json_object_constructor_args_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor", "json_value_expr_list",
  "json_array_constructor_null_clause_opt", "json_aggregate_func",
  "json_object_aggregate_constructor", "json_array_aggregate_constructor",
  "json_array_aggregate_order_by_clause_opt", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "attr_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "SignedIconst", "RoleId", "RoleSpec", "role_list",
  "PLpgSQL_Expr", "PLAssignStmt", "plassign_target", "plassign_equals",
  "ColId", "type_function_name", "NonReservedWord", "ColLabel",
  "BareColLabel", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", "bare_label_keyword", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,    60,    62,    61,    43,
      45,    42,    47,    37,    94,   771,    91,    93,    40,    41,
      46,   772,   773,    59,    44,    58
};
#endif

#define YYPACT_NINF (-5807)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-3028)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    8588,    44, 19495, -5807, -5807,    44, 70437, -5807, 79994,   993,
     890,  1410,   228, 20777, 80497, 90054,  1122,  1156, 16187,    44,
   90054,  3034, 60880, 75970,  1034, 90054,  1291,  1201, 60880, 90054,
   90557,  1245,  1349,  1168, 91060, 81000, 74461,  1454, 90054,  1499,
    1445, 91563, 81503,  1434, 82006,  1201, 56867,   454,  1231, 92066,
   90054,116126,  1445, 82509, 82509, 82509,  1493,  1843,  1360, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807,  1519, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807,  1657, -5807,  1409,
    2113,  1518,   956,  1387, -5807, -5807,  2018, 70437, 90054, 90054,
   90054,  1792, 90054,  1648, 90054,   881, 70437, 66413, 83012,  1845,
    1713, 52727, 92569, -5807, 70437, 90054, 63898, 70437, 90054, 90054,
   93072, 90054, 93575, 90054,  1550, 78485, 90054,  1930, 90054, 90054,
   64401, 94078,  2033,   273,   262, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807,  1839,  1854, -5807,   264, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, 68928, 90054,
   20124,  1291,  2018, -5807,  1493, 90054,  2058, 90054,  1853, 94581,
   90054, -5807, 90054,  1980, 95084,   893,  2068, 66413,  2099, 53249,
    2109, 90054, 90054, 66413, 95587, 96090, 96593, 90054, 90054, -5807,
   -5807,  2045, 90054, -5807,  2185, 66916,  1977,  2251,  2449,  2365,
    1323, -5807, 83515, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, 69934,  1156, -5807, -5807,  2290, 70940,  2383, -5807, -5807,
   97096,116615,  2139, -5807,   926, 71443, 67419,  2510,  2126, 53771,
    2554, -5807, 71946, -5807, 67922, 72449, -5807, -5807, -5807, -5807,
   -5807, 97599, -5807, 98102,  2230,  2383, -5807,117104, 68425, -5807,
    2419, 98605, 99108, 99611,  2018,  2114,  2122,  2362, 46577, -5807,
   -5807, -5807,  2176, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807,   366,  2084,   258,   237,   306, -5807, -5807,   243,
     251,   252,   366,  2661,  2661, -5807, 90054, -5807, -5807,  2084,
      62,  2252,  2166,  2166,  2166,  2398,   725, -5807,  2166,  2328,
   -5807, -5807, -5807, -5807, 82006, -5807,  2173,  1291,  2189,  2662,
    2273, 68928,  1571, 90054, -5807, -5807,  2694,  2226,  2536,  2234,
   -5807, -5807, -5807,  2465,  2468,  2464,   380,  1291,   345, -5807,
    2612, -5807,  2474, 32115, 32115,  1291, 84018,100114,   241, 69934,
    1291, 84521,  2284,  1572,  2524, -5807, -5807, -5807,   155, -5807,
    2776,  2343,  2616,  2234,   273, 48613, -5807, -5807,  2379,  1854,
   82006, -5807, -5807, -5807, 68928,  2710, 34720, 90054,  2355, -5807,
    2387,  2355, -5807, -5807,  2421, -5807,  2421,  2421,  2403,  2403,
    2566,  2407, -5807, -5807, -5807, -5807,  2174,  2421,  2403, -5807,
  118082, -5807,  1954,  1976, -5807, -5807,  2885, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807,  2414, -5807,  1277, -5807,  2051,
   -5807, -5807, -5807, 32115, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807,  2436,  2443,  1518, -5807, 12213, 68928, 90054,  1497,  1497,
    2917,  1497,  1549,  1721, -5807,  3449, -5807,  2803,  2762,  2801,
   82006,  2530,   333, -5807,  1856,  2542,  1798,  2508,  1909,  2517,
   -5807,  1008, 90054,   239,  2565, 85024,  6264,  2545,  1854,  2569,
   -5807, -5807, -5807, -5807,  2716,   411, -5807, -5807, -5807, -5807,
    2920,  2971,  4552,   315, 85527, -5807, -5807, -5807, -5807, 90054,
   90054, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
    2597,  1547, -5807, -5807,  2601,  2991,  2851,  9731,   344,  2959,
    2815,  1526, 10247,  2889,  1719,  3048,  7116,  1633,  3062,  1957,
    1482, 86030, 90054,  3037,  3091,  2300,  1998,   916,  2945,  1087,
    2959,  3089,  2901,  1526,  3109,  4987, 90054, -5807,  3018,  3147,
     117, -5807,   359, -5807, 24876, 34720, 56364, -5807,  1854,  1942,
   -5807, -5807, 59874, -5807,  2804,  2965,  1199, 70437,  2745, 90054,
   90054, -5807,116126, 70437, -5807,  2975, 54293, 70437, -5807, 70437,
   -5807, -5807,  3104,116126, 90054, 90054, -5807, 90054, -5807, -5807,
    2747, -5807, -5807, -5807, -5807, -5807,  2166, 90054,  3205,116126,
    2992,   163,  1773,  3243, 90054,  2994,  1773,  2797,100617, -5807,
   -5807,  1773, -5807, -5807, -5807, 90054, 90054,  2761,  2581,  2987,
     176,  1773,  3004,  3248,  3249,  3008,  2848,  3010,  2387, -5807,
    3210,  2980,   920,   219,  2120,  1773,  2828,101120,101623, 90054,
    2829, 90054,  3225, 70437,  2867, 70437, 70437, 90054,  3150, 90054,
   -5807,  2978, -5807, -5807,  1524, -5807, -5807, -5807, -5807, -5807,
    3166, -5807,   210,  3169,  2800,  3172,  1705,  3174,   322, -5807,
   -5807,  2841, -5807,  3177,   323, -5807,  3179, -5807,  2808,102126,
   -5807,102629,103132,  3183,   369, -5807, 66413,  3186,   323,  3188,
    2808,  3189,   323,  3194,   294,  3196, -5807,  1038,  3187,  3200,
     322,  3203,  2157,  2808, -5807,  3204,   417, -5807,  3208,   433,
   -5807,  3212,  3056, -5807, 34720, -5807,  2938, -5807,  1231,  2069,
    2362,  2084, -5807, 90054,  2084, 90054,  2084, 90054,  2084, 90054,
    2084, 90054, 90054, 90054,  2084, -5807, -5807, -5807, 90054,  2842,
   90054, -5807, 90054, -5807, -5807, -5807, 77479, 66413, 77982, -5807,
   90054, -5807,   135,  1291, -5807, -5807,116126,  3334, 66413,  3225,
    2082, -5807, -5807,  3225, -5807, -5807,  3225,  3225, -5807, -5807,
   -5807,  3124, 90054,  3207,  3209, 77479, 66413, -5807,103635, -5807,
   69934,  3070,  2859, -5807, -5807, -5807, -5807, -5807,  2079,  3373,
     265,  3382, 34720,  2865,   265,   265,  2869,  3224, -5807, -5807,
   -5807,   313,  2870,  2871, -5807,   253,   253, -5807,  2872,  2873,
   -5807,   254,  2876,  2880,  3403,  3405,   268,   269,  2884,  2887,
    2888,  2890,  2892,  2893,  2894,  2896,  2900,  2902,  2903,  2904,
    2174,   265,  2905, 34720, -5807,  2907,   253,  2909,  2910,  2911,
    3407,  2913, -5807,  3436,  2915,   226,   247,  2916,  2919, -5807,
    3148, -5807,   284,  2921,  2922,  2924,  2927,  2928,  2930,  2931,
    2932, 34720, 34720, 34720, -5807, 29505,  1854,  1291, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807,   316, -5807, 51161, -5807,
    2962, -5807, -5807,  3143, -5807, -5807, 34720, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,  3296,
   -5807, -5807,   791, -5807,   317, -5807, -5807, -5807,  1854,  3246,
    2934, -5807, -5807,  1064,  2936, -5807,  2288, -5807, -5807, -5807,
   -5807, -5807, -5807, 69431,  3426, -5807,   353,  1291,   359,   407,
    3369, 58868, 59371, -5807, -5807,  3228, -5807, 90054, -5807, -5807,
    1854,   288,  2089, -5807,  2176, 19101,  2116,  2355, 90054, 90054,
    3444, -5807,  2958, -5807, -5807, 34720, -5807, -5807, -5807,  2661,
   -5807,  2421,  2421, -5807, -5807,  3450,  3050,  3051,  2661, -5807,
    2661, -5807,  2969,  2973,  2661,  3053,  3059,  3061, -5807,  2981,
    3071,  2661, -5807, -5807, 61886,  2143, -5807,  3320,   235, -5807,
   -5807, -5807,  2124, -5807,  2977, -5807,  2387, -5807, -5807,  1518,
    1518, 34720,  1518,   320,  1406, 32636, 35241,  3332,  3213,   300,
    1439,  3343, -5807,  3217,  1549,  1721, 82006, 90054, 82006,104138,
    3119, 34720, -5807,  3452,  3080,  3082,  3138, 57873, -5807,  3088,
    3054,  3092,  3141,  3002,  3093,  3095,  3151, -5807,  3286, -5807,
   -5807,  3099,  3464,  3103,104641, -5807, -5807,  1090, -5807, -5807,
   -5807,  1090, -5807,  3029,   238,  1130,  1527,  3111,   536,   918,
    3461, -5807,   259, -5807, -5807,  3181, -5807, 18571, 90054,  3398,
    6559,  3252,   315,  3178, -5807, -5807, -5807,  3313,  3127, 90054,
    3130,  3278,   315,  1011,105144, -5807, -5807, 90054, -5807, -5807,
   -5807, -5807,  3193,  3446, 28004, -5807,  2213,  3135,  3114,  3149,
   90054, 73455,  2112,  3255,  3279,  1771,  2179,   314,  3206, 90054,
    1029,  3288, 90054,  3058,  3152,  3153,  3395,  3067,   418,  3498,
    3063, -5807, -5807, -5807,  3470, -5807,   505,  2397,  3277, -5807,
    3399,  3448,  7264,  3137,  3140,114170, -5807,  3167,   698, 54815,
   90054, 90054,  3170,  3171,105647,  3193,  3482, 76473, 76473,  3176,
    3180, 47595,  3505,  1604,  3182, -5807, -5807, -5807,  1604,  3184,
    3185,106150,  3193,  3487, 90054,  3191,  3198, 90054,118082,   315,
   -5807,  3563,   315,   315,  2144,  3565,  3199,   382,  3353,   639,
    1773,  3063,  2323, -5807,  3202,  3215,   368, -5807,  3318, 90054,
    3218,  3219,  1627,  3281,  1291, -5807,  3287, -5807,  3221,  3297,
    3222,   924,  2761, -5807, -5807,  1584,  3214, 82006,  3307,  3322,
    1029,   263,   750,  3063, -5807,  3229,  3234,  3067,  3067, 90054,
   90054, 90054, 90054, 90054,   274,  3604,  3622,  3235,   291,  1147,
    3144, -5807,  1604, 64904,  3240, -5807,  1604, 90054,   282,  1031,
    3063,  1866,  1761, -5807, -5807, -5807,   273, -5807, 34720, 34720,
   34720,  3145, -5807,  2472, 19101,   787, -5807,   318, 14361,  3154,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, 90054, 68928, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, 90054, -5807, 90054,  3462,116126,
    3468,  3381,  3469,  3471,   315, 90054, 90054,  3474,  3477,  3481,
  116126,  3486,  3488,  3489,  3387,  3264,   205,  3262,  3192,  3676,
    3558, 90054, 61886, -5807,  1090, -5807,116126,  3411,  3562, -5807,
   90054,  3431,    85, -5807,  3602,  3257, -5807, -5807,    92, 90054,
   76976,  2761, -5807, -5807,  3567, 66413,  1065,  3568,  1291,  3254,
    3569,  3423,  1291, 66413,  3476, 90054, 90054, 90054, 90054,   144,
   -5807, 64904,  3445, -5807, 90054,  3447,  2323,  3453,  3700,    98,
    2166,106653,  3571, -5807,107156,  3231, 90054,  3232,  3232,  3702,
  116126,  1600,  3504, -5807, -5807,  2223, -5807,  3359, -5807, 70437,
   -5807, -5807, 70437, -5807, -5807,116126, 90054,  3236,116126,116126,
   -5807, -5807, 70437, 70437, -5807, 66413, 66413,  3592,   417,  3593,
    3299,  3610,  3303, 54815, 54815, -5807,   451, 70437, -5807, 66413,
   70437, -5807, 90054, -5807, 90054, -5807, -5807, -5807, -5807,116126,
  116126, -5807, 66413, 64904,  3614, 90054, 90054, -5807, 90054, 90054,
   -5807, 90054, 90054,  2141,107659,  2362, -5807, 90054, -5807, 90054,
   -5807, 90054, -5807, 90054, -5807, 90054, -5807, -5807, -5807, 90054,
   -5807, 90054,  2145, -5807, -5807,  2149,  1770, 90054, 90054,   255,
   70437, 90054,  3473, 90054, 70437, 70437, 90054, 90054, 90054, 90054,
   90054,  3335,  2936,  1585, -5807,   293,   572, 82006,  3479, -5807,
   -5807,  2155,  1493,  1182, 90054, -5807, 90054, 90054, 90054, -5807,
   -5807, 77982, 75970,  3600,   449, 90054, -5807, -5807, 14072, 34720,
    1854, 31589, -5807, -5807, 19101,  3298, 34720, 34720,  3253,  2661,
    2661, -5807,  1069, 34720, 34720, 34720, 28984, 34720, 34720, 34720,
   34720, 34720, 34720, 34720, 34720, 34720,  2661,  2661, 34720,  5957,
   34720, 54815, 34720, 40451, 25930, 34720, 34720, 30026,   970,  2872,
   34720,  3506, 41487, 34720,   407,  3514, 34720,   407,  5957,  3776,
    3776,  2856,  8302,  3259,  1854, -5807,  2661,  1026, -5807,   324,
  116126, 34720, 34720, 34720, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, 34720,
   -5807, 61886, -5807, -5807, -5807, -5807, -5807, -5807,  3355, -5807,
   -5807, -5807, -5807, -5807, -5807,  4161, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, 90054,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, 30547, -5807, -5807, -5807,
   -5807,  3267, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807,  3501, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, 31068,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807,  3269, -5807, -5807, 34720, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807,  3357, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807,  1080, 34720, 34720, 34720, 34720, 34720,
   34720, 34720, 34720, 34720, -5807, 34720,   479, -5807, -5807,  3613,
    3296,    59,   480,  3275,  3490, 86533, 32115,  3320, 24876, -5807,
     312,  3320, -5807, -5807, -5807, 90054,  3426, -5807, -5807,  3363,
   -5807, -5807, -5807, -5807, -5807,   321, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807,  3274, -5807, -5807, -5807, -5807,  3274, -5807,
    3282,  3618,  3623,   294, 90054,  2321, 34720,  3355,   287, 90054,
   34720,  3267,  3501, 34720,  3269, 34720,  3357, -5807, 34720, -5807,
    2161,  1716, 34720,  2164,  3285, -5807, -5807,  3292,  2973,  3314,
    3317,  3291,  3304,  2661,   231,  3306,   220,   187,  3437,  2661,
    3554,  3308, -5807, 61886, -5807, 43523,  3346, -5807, -5807, -5807,
    1445, 90054, 90054, -5807,  3619, -5807,  3305, -5807, 14941,  3619,
   -5807, -5807, 40969,  3438,  3603,  3538, -5807, -5807, -5807,  3312,
   19101, 35762, 35762, -5807,  2031, 19101,  2076, -5807, -5807, -5807,
   -5807, -5807, -5807,   151, -5807, 90054,   168,  3332,  1439,  3383,
     605,  3809,  3384, 90054, -5807, 49122,  2167, -5807, 66413, 90054,
   90054,  3539, -5807,  3794, -5807,118082, -5807,  3326, -5807,117593,
  113192, -5807, -5807,   939, -5807,  1329, 66413, -5807, 90054, 90054,
   66413, 90054, 90054, -5807, 66413,  3379, 90054, 90054, -5807, -5807,
   -5807, -5807, -5807, 60377,   777, 75970,  3472, 74964, -5807, -5807,
    3338, 90054,  3396,  3629,  3630,   824, -5807, -5807,108162, -5807,
    3575, 66413, 90054, 90054, 34720,  3580, 90054, 90054, -5807,   960,
    3435,  3442, -5807, 90054,  3443, 70437,  3360,116126, 70437, 55337,
   70437, 70437,  3714,116126, 90054, 90054,   160, 82006,   390,  1032,
    3063,  3591, -5807,  1407, -5807, 66413, -5807, 90054,  3581, -5807,
   -5807, -5807, 87036,  3841,  3483, -5807, -5807, -5807,108665, -5807,
   -5807,  3586, -5807,  2168, -5807, 66413, 66413, 90054,  7686,109168,
    1227,  3605, -5807, -5807,116126, -5807, 90054, 87539, 90054, 90054,
    3643, 90054, 78988,109671,110174,    93,  1123,  3646, 90054, 79491,
    3649, -5807,  3519, 90054, -5807, -5807, 62389, 66413, 90054,   991,
   61886, -5807,  3633, -5807, 90054, -5807,   968, -5807, 90054,  5280,
    3596, -5807, -5807,  3463,  3478, 90054,   420,  1051,  3063,  3775,
   90054, 90054,  3374,  2184, 66413, 90054, 61886, -5807,  3606,  1431,
   66413, 90054, 87036, -5807,  3607,  3485, -5807, 82006, -5807,  3375,
    2166,  2379,  1993,  3375, 66413, 90054, -5807,  3375, 90054,100114,
   -5807, 66413,  1106, -5807, 66413, 90054, 87036, -5807,  3612,  3552,
   66413, 90054,  8726, -5807, -5807, -5807,   315, -5807, -5807, -5807,
   -5807, -5807, 90054, 90054,   315, 90054, 90054,   315,  1598, -5807,
   66413, 90054, -5807, -5807, -5807,  3512, 66413, 90054, 90054,   366,
   90054, -5807, 90054, 66413,  3441, 90054, 90054, -5807, -5807, 90054,
    4254, 90054, 90054, 90054, 90054, 90054, 90054, 66413, 90054, -5807,
   -5807,  1218,   825,  1613,  1808,   182, 90054,  3726, 90054,110677,
   66413, 90054, 90054,  1291, 90054, 61886,   438, -5807, -5807,  3527,
   -5807, 66413,  1106, -5807,  8106, 90054, 90054, 90054,  3491,  3492,
     376,  3577, -5807, -5807, -5807,   866,   866,  3615, -5807, 34720,
   34720, 33157,  3401, -5807, -5807, 34720,  2804, -5807, -5807, -5807,
    1108,  3896,  1108,111180,  1108,  1108,  3713,  3480,  3484,  1108,
    1108,  1108,  3696,  1108,  1108,  1108, 90054,  3597, -5807, -5807,
    3597,   845, 34720,116126, 90054, -5807,  2191, -5807,  3421, -5807,
   -5807, 61886, 90054,   289,   818,  3783,  3645, 73958,  2442,  3777,
   90054,  3475, 90054,  3909,  3521,  1590, -5807,  2442, 90054, -5807,
    2751, 75970, -5807, -5807, -5807, -5807, -5807, -5807, -5807, 90054,
   -5807, -5807,  3781, 90054, 44032,  3608, -5807,  1291,  2761,  2761,
    2761,  2761,  3427,  2761, 90054,  3561,  3801,  2442,  3432,  3805,
   -5807,  2323,  3806,  1490, 90054,  3667, 73958,  3502,  3495,  3679,
    3932,  2166,  1291,  3681,  3666, -5807, 58365, -5807,  2761,  3946,
   28494,  5246,  6911,  3669,  3734, -5807, -5807,  3682,  1050, 90054,
    3792,  3796,  3820, -5807,   210, -5807,  3958,  1705,  3825,   322,
   -5807,   323, -5807,  2808, -5807, 90054, -5807, 90054, 90054, 90054,
   90054,   369, -5807, -5807,   323,  2808,   323,   294, -5807,  3759,
     322,  2808,  3609,  3837,   417, -5807,   433, -5807,  3704,   294,
   -5807,  3721,  2166, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
    2199, -5807, 90054, -5807,  3811,  3818,  3819,  3822,  3827,  3496,
    3499,  3532, 90054,  3503,  3496,   315,  3507,  3508, -5807,  3503,
    3503,  3496,  2936,  2936,  3496,  3499, 65407,  4000,  3845, -5807,
    3595,  3511,  3855,   233, -5807,   887,   756,  3769, -5807, -5807,
   -5807, -5807,116126, -5807, 66413,  3559, -5807, -5807, -5807,   383,
    3737,  3513, 65407,  3987,   294, -5807, 70437, 90054,116126, 70437,
    3749, 70437, 70437,116126, 90054, 90054,  2203, -5807,  1217, -5807,
    1684, 34720,   901, -5807, 15469,  2211, 34720,  3520,  3524, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807,  3526,  3873, -5807,  2221,
    2224, 15771,  1886,116126,  1737,  3684, -5807,  3528,   234,  3746,
    3687,  3529, -5807,  6970,  3589,  3531,  3533, -5807, -5807,  3684,
     281, -5807,  6970,   352,  3684, 16075,  3684,  3687,  2228,  3537,
    3540,  7251,  7501,  3545, 16507,  3531,  3549,  3550,  3548, 40451,
   40451, 29505,  1078, -5807, 40451,  3551,  3743,  2238, 14524,  3553,
    3556, 16998, 33678, 34720, 33678, 33678, 17080,  3570,  3557, -5807,
    3948, -5807,  2244, 61886,  3739, 17163,  2264, -5807, 34720, 61886,
    7919, 34720, -5807, 34720,  3564, -5807, -5807,  4424,  4424,  4424,
    5957, -5807,  3576, -5807, 40451, 40451, -5807,  2340, 29505, -5807,
   -5807,  3913, -5807, -5807,   229, -5807, -5807, -5807, -5807, -5807,
    3547, -5807, -5807, -5807,  1886,  3803,  3233, 54815, 17842, 34720,
     296, 34720,  3267, 34720,  3654,  4424,  4424,  4424,   546,   546,
     292,   292,   292,  1974,   480, -5807, -5807, -5807,  3587,  3588,
    3490,  3594, 34720, -5807,  3621, 49631, -5807,  2432,  2478, 90054,
    3173,  5239,  6342, -5807, -5807, -5807,  3346,   787,  3346, -5807,
     273,  2661,  1026, 59874, -5807, -5807, -5807, -5807, -5807, -5807,
   90054, 19101, -5807, -5807,  3831,  3601,  2268, -5807, -5807,  2661,
   -5807, -5807,  2348,  2348,  3590, -5807,  3598, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807,  3626, -5807, -5807, -5807,  3624,  3628,
   44541,  3920,  3631, 43014, 88042,  3617,  2428, -5807, 88042, 88545,
   88042, -5807,  3616, -5807, 88042, -5807,  1854, 34720,  3935, -5807,
   -5807, -5807, 34720, -5807, -5807,  1729,  3627,  1042,   119,  2497,
    2497,  2031,   949, -5807, -5807,  3672, -5807, 34720,  2433, -5807,
    2611, -5807, -5807, -5807, -5807,  2936, -5807,  3870, -5807, -5807,
   -5807, 43523,  3665,  3659,    77, 48104,  3843, -5807, 90054, 43523,
   -5807, 90054,   389, -5807,  3639, -5807, -5807, -5807, -5807, -5807,
   -5807,113192,  2051, -5807,117593, -5807,117593, -5807,  2051,  4099,
   -5807,113192,   -10, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, 66413, 66413,  3854, 90054,
    3853,  3857, 34720,   906, 90054,  3640,  3644,  1605,  3962,  3650,
   -5807,  4014,   294, -5807, -5807,  3736, -5807, 19101, -5807, -5807,
   -5807, -5807, -5807, 66413, 90054, -5807, 69934, -5807, -5807,116126,
   -5807, -5807, 90054, 90054, -5807, -5807, -5807,116126, -5807, -5807,
   -5807, 90054,   966,  3741,  3744, 90054, -5807,   954,  3318,  9415,
   90054, 90054, 90054,  3967, -5807, -5807, -5807, -5807,  3889, -5807,
    4030, -5807,113192, -5807,  2808,  1316,  3752,  3063,  3904, -5807,
    4039,  3779, -5807,  3799,  1113, -5807, -5807,  3810, -5807, -5807,
   -5807, -5807,  4045,   294,  4046,   294, 90054, 90054, 90054, 90054,
    3815, -5807, -5807, -5807, -5807,  3816,  3959, -5807, 61886, 61886,
   61886,  2275, -5807, -5807,  1291, -5807, -5807, -5807, -5807, -5807,
   -5807,  4003, -5807,  2276, -5807,  1762, 90054, -5807, -5807, -5807,
   -5807, -5807,  4052, 66413, 90054, 10734, 90054, 90054, 90054,  3907,
    2057,  1290,116126, -5807,114659, -5807, -5807,  2277, -5807,  3697,
   90054,  3778, 66413,  3751, -5807, -5807, -5807,  4058,  4019,  2166,
   76473,  3740,  3740,  1996, -5807, -5807, -5807, -5807, -5807,  3969,
    3894, -5807,  1119,  3898, 66413,  3762, -5807, -5807, -5807, -5807,
    4073,  3793, -5807, -5807,  3797,  1055,  3063,  2323, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807,  3824, -5807, -5807,
   -5807, -5807,  1626,  1626, -5807, -5807, -5807,  1626,  1505,   271,
    1247,  3063, -5807,   372,   371,  3800, -5807,  3807, -5807, -5807,
   -5807,  3973,  3975,  3978,  3808,  3812,  3864,  3813,  3814,  3865,
   -5807,  3821,  3866,  3823,  3871,  3826,  4128,   294,116126,  3976,
    1291,  3860,  4106,   294, -5807,  3828, -5807,  3829, -5807,  2279,
    4218, -5807, 90054, -5807,   441,  1379,  3063, -5807,  3830, -5807,
   66413, 90054, -5807, -5807, -5807, 34720,  3754,  3757,  3758, 19101,
   19101, 34720, -5807, -5807, 19101,  3748, -5807, -5807, -5807, -5807,
  116126, -5807, 90054,  4050, -5807, -5807,  1108, 90054, 90054, -5807,
   -5807, -5807, 90054, -5807, -5807, -5807,  4057, -5807,   290,   290,
   -5807, -5807,  4092,  8333,  3760,   388, -5807, 61886, 51683,  2297,
     837,  1773, -5807, 69934, 90054, 69934, -5807,   818,  3982, 90054,
   90054, 90054,  3765,  3761, -5807, -5807, -5807, -5807, 66413,  1235,
   66413,  2661, -5807, -5807,  3850, -5807, 90054,  2166,  4285,  4131,
     834, -5807,  4255,  3249,  1065,  2037,   199,  2848,  4191,  2387,
   34720,   398, -5807, -5807,  1854, 90054,  3495, -5807, -5807, -5807,
   -5807,  1291, -5807,  3787,  3771, -5807, 90054,  4135, 90054, 90054,
   90054, 90054,  3559,  3784, 90054,  3790,116126, 90054,  2481,  3067,
    4282,  4164,  1493,  3502,  3882,  4167, 82006,  3817,  2283, -5807,
   -5807,  1050, -5807,  2287,   280, -5807,  1291, 69934,113681,  4154,
   -5807,   981,  6911, -5807, -5807,   981,  1142, 90054, -5807, -5807,
   -5807, -5807,  4027,  2400, -5807,  4139, -5807, -5807,  1493, -5807,
  116126,  3832, -5807,  2293, -5807, -5807, -5807,   417,  3867,   294,
    3868,   294, -5807, -5807, -5807, -5807, 90054, -5807, 90054, 64904,
   -5807, -5807, 90054, -5807,  4174, -5807, -5807,  3950,  3951,  3953,
    3955,  3956, 90054,  3496, -5807,  3833, 90054, 90054, 66413,  1698,
   -5807, -5807,  4034, -5807, -5807, 82006,  3949, -5807, -5807, -5807,
   -5807,  4193,  4195, -5807, -5807, -5807,  1397, -5807, 66413, 77479,
     450, 66413, -5807,  4123,  4129,  4130,  4132,   315,  4133,  4134,
    4136,  4138,  4140, -5807, -5807, -5807,  3836, 16746, 34720, -5807,
    4207,116126, -5807,  9246, -5807, -5807, -5807, 34720, -5807, -5807,
    4137, -5807,  3899,  3899,  3687,  4192,  3840, -5807,  4065,  4066,
   34720,  3684,  4317,   355,116126,  1413, 34720, 34720, 34720, -5807,
   -5807,  4077,  4078, 34720,  1886,  1886,  2525,  3859,  3861,  1570,
   -5807, -5807, -5807, -5807,  2974, 34720, -5807, 34720, -5807, -5807,
   26457,  4366,  4366,  3852,116126, 40451, 40451, 40451, 40451,  1473,
    2909, 40451, 40451, 40451, 40451, 40451, 40451, 40451, 40451, 40451,
   40451,   542, -5807,  4071, 34720, 34720, 34199, -5807, -5807,116126,
    3862,  3570,  3863,  3872, 34720, -5807, -5807, -5807,  2296, 41996,
    3874, 61886, -5807, 34720, 15205,  2311,  3916, 17684,  1854,  9283,
    1291, 34720,  1181,  1975, 34720,  2315, 34720, -5807, -5807, -5807,
   -5807,  4220, -5807, -5807, -5807, -5807, -5807, -5807,  1886,  4113,
   -5807, -5807, 34720,  3875,  3358, 40451, 40451,  3494, -5807,  3620,
   34720, 29505, -5807,  3615, -5807, 26984,  3876, 34720,112689, -5807,
   -5807,  1201,  1201,  1201,  1201, -5807, 90054, 90054, 90054,  3935,
    3877,  3935,   359,  3878, -5807, -5807, -5807, -5807,  1493, -5807,
    3881, -5807, -5807, -5807, -5807, -5807, 34720, 88042, 88545, 88042,
   88042,  3884, 42505, 27494,  2428,  3887, 90054, -5807, -5807,  3890,
   43523,  4169,  4101, -5807, 43523,  4101,  1959,  4101,  4196,  3988,
   50140, -5807, -5807,  3893, -5807,  4110, -5807, -5807,  2213, 19101,
    4365,  4235, -5807,  3900, -5807,  3627,  1024, -5807, -5807, -5807,
     980, -5807,  3991, -5807, -5807, -5807,  3617, 36283,  4059, -5807,
   -5807, -5807,  3961,  2339, -5807, -5807,  4340,  4059, -5807,  2806,
   -5807,  2342, 49122,  3665, 34720,  1854,  2353,  1924, -5807, -5807,
  113192, -5807,  3984,  2808,  2808,  1834,  3496,  4262,  1834,  9431,
   -5807, -5807, 45050, 90054, 90054, -5807, 90054, 90054,  1933, 90054,
   -5807, 90054, -5807, -5807, -5807,  4398,  3972,  3974,  4197, -5807,
    2508, -5807, -5807, 66413, 90054, -5807, -5807, -5807,   467,  1388,
    3063, -5807,  4005, -5807, -5807,  4231, 90054, -5807,  4388,  4017,
   90054,  4293, 90054, 90054, -5807,  4367,  1933,  4036,  4271,  1641,
    3067,   382,  5678, -5807,  1455, -5807, -5807,  4004, -5807, 90054,
   -5807, 90054, -5807, -5807, -5807, -5807, -5807, -5807, -5807,  4063,
   -5807, -5807, -5807, -5807, 62389, -5807, -5807, 90054, -5807, 61886,
   51683, 61886, -5807, 90054, -5807,  1516,   468,  1416,  3063, -5807,
    4015, -5807,  4298,  4018,  4023,  4074,   950,   278,  4024,  4025,
    4084,  3942,  3943,  3952, -5807, 61886, 52205,  4111, 90054,  2808,
    3954,  3994, 90054,  4094,  3740, -5807,  3965, -5807, -5807,  3740,
     366,  1291, -5807, -5807,  1291,  2808,  1291, 90054, 90054, 90054,
   90054,   366, -5807, -5807, -5807,  4435,  4051, 90054, 90054, 90054,
   90054, -5807,  4026, -5807, -5807, -5807, 90054, 90054,  4324,   236,
    2177, 66413, 90054, 90054, 66413, 90054, 90054, 90054, 90054, 90054,
   90054, 90054,  4190, -5807,  4419,  4342,  2336,  4387,  4053, 90054,
   -5807, 90054,  1291, -5807,  3318, 90054, 90054, 90054, 90054, -5807,
   -5807, -5807, -5807, -5807,  3615, -5807,  3977,  4278,  1108, -5807,
    4284,  4286,  4287,  1108, -5807, -5807,  1773, -5807,   557, 90054,
   -5807,  2602, 90054, -5807, -5807, -5807,  3900,   505,  2397, -5807,
   -5807, -5807, -5807, -5807, -5807,  3980, 90054, 90054, 40451, -5807,
    2142,  1630,  1417, -5807,  4267, 90054,  3148, -5807, -5807, -5807,
    1185, 90054, -5807, -5807, -5807, -5807,  3983, -5807,   729,  3784,
   -5807,  4305, 73958,  2808, 66413, 66413,  2808, -5807,116126,  3986,
    3495, -5807,   506,  4075, -5807, 66413,  1065,111683,  3254,  4028,
    4212,  9483, 43523, 44032,  1626, -5807,  3990,  3989, -5807, -5807,
   90054,  3982, 64904,  2368,  2323,  4482,   815,  2114, -5807, 75467,
    4198,  3784,  4305, -5807,  3067,  4219,  4221, -5807,  1493, 90054,
    3559,  3495,  1291, 90054,  3396, 51683, -5807,  4521,  2520, -5807,
  113192, 34720, 34720, -5807,  3992, -5807,  4001,  6911, -5807,  4079,
    3998,  4484, 34720, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807,  4093,  4007, 90054, 90054,  1050, 90054, -5807,  4008,  3825,
   -5807,  3825, -5807, 90054, -5807, 90054, -5807,   294, -5807,  4145,
     294, 90054, 90054, 90054, 90054, 90054, 90054,  3496,   315,  3508,
   -5807, -5807,  4353, 65407,  3845, -5807,  2375, 90054, -5807, -5807,
   -5807,  4430,   449,  4368,   294, -5807,  1124,  1124,  1124,  1124,
    4323,  1124,  1124,  1124,  1124,  1124, -5807, 34720, 19101, -5807,
    4022, -5807, 19101,  4403, -5807,  4314, -5807, -5807,  4031, -5807,
   -5807,  4260,  4264, -5807,  4032, 34720,  3684, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807,  4040,  4257, 19101,  4530,
   -5807, -5807,  4275,  4276, -5807, -5807,  3684,   414,  4535,   232,
    4085, -5807, -5807, 34720, -5807, -5807, -5807, -5807,  4269,  4044,
    4049, 10042, 17930, -5807,  2390, 34720, -5807,  1718,  1718,  1718,
    1267,  4402, -5807,  2968,  1718,  1718,  1718,   354,   354,   250,
     250,   250,  4366,   542, 18039, 18084, 18278,  4056, -5807, -5807,
   -5807,  3570, -5807, 36804,    97,  4522, 41487, -5807, -5807, -5807,
    4103,  4107,  4064, -5807, 34720, 37325,  4048,118082,  4274, -5807,
    1137, 34720, 34720,  4826, -5807,  7641, 34720, -5807, -5807,  4826,
     497, 34720,  3968,  4280, 34720, 34720,  3723, 10071,  4068, -5807,
    2391, 34720, 10469,  4272, -5807, 90054, 90054, 90054, 90054, -5807,
   -5807, -5807,  4235,  1291,  4235,  1291,  4076, -5807,  4523, -5807,
   -5807, -5807, -5807, 62892,  4080,  3739, 88042,  4081, 90054,  2428,
   43523, -5807, -5807,  2701, -5807, 43523,  4376, -5807, 43523, 70437,
   -5807, 90054,  4082, 90054, -5807,  1497, 34720,  4119, 54815, -5807,
   -5807, -5807, -5807,  4173, -5807,  4307, 19101, 32115, -5807,  1493,
    2503, 90054,  1854,   880, -5807, 34720,  4096, 90054, -5807,  4059,
   19101, -5807,  4166,  2392, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807,  4171, 75970,  4438, -5807, 34720,  2394, -5807,  4141,  4545,
     439,  2409,  2410,  1933, -5807,  2412, -5807,  1751,  4417,   520,
   -5807,   294, -5807,116126, 90054, 90054, 90054,  3002, -5807, -5807,
   90054, 90054, 90054, 90054, -5807, -5807, 66413, 90054, -5807, 90054,
   -5807, -5807, 89048, -5807,  3982,   366,  2142,  4432,  4436,  4335,
   -5807,   315, -5807,  2142,  4337,   366, -5807, -5807, -5807, -5807,
    1936, -5807,116126,   294,   294, -5807, -5807, -5807, -5807, -5807,
    4115, -5807,  4576,  4204, 90054, 90054, 90054, 90054, 90054, 66413,
   90054, 90054,  2661,  2661,116126,  4104, -5807,  2661,  2661,  4105,
   -5807, 66413, 90054, 90054, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807,  4199, -5807, 34720,  4565, -5807,
   -5807, 89551, -5807, 34720, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, 66413, 90054,  4200, -5807,  4201, -5807,
     195, -5807, -5807, 90054, 90054, 90054, 90054,  4487, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,  4488,
   90054, -5807, -5807,  1291,  1291,116126,   294,   294, -5807, -5807,
   -5807,  4208, -5807, -5807,  4121,  4428,  1108, -5807,  1108,  1108,
    1108, -5807,  4127, -5807,  1773,  4531, -5807,  1933,   311,  4478,
   -5807, 34720, -5807,  2210,  1267, -5807,  4540,  4623, -5807, -5807,
   -5807, -5807,  3441,  2166,  3441, -5807, -5807, 70437,   415, -5807,
    4461,   289, 61886,  4363, 73958,   372,   337,  4142,  4268, -5807,
    2808,  2808,  4202, 90054,  4627, -5807, -5807, -5807, -5807, -5807,
   -5807, 66413,  3751, -5807,  4377,   863,  4493, 90054, 44032, -5807,
    3617, -5807, -5807, -5807,  1291, -5807, -5807,  4273,  3495, -5807,
    1935, 90054,  4372, 73958,  3559,  2423, -5807, -5807, -5807,  4189,
    4617,  3502, -5807,   372,  4198, -5807, -5807,  4593,  4248,  4206,
    4644, -5807,  4248,  4506,  4378,  4158, -5807,  3817, -5807, 90054,
   -5807, 19101, 19101,  1291,118571,   981,116126,  4516, -5807, 19101,
   90054,   946,  4159,  4338, -5807,  4489,   294,  2425, -5807,   294,
     294, -5807, 90054, -5807,  3496,  3496,  3496,  3496,  3496, -5807,
    4389, -5807, -5807, -5807,  4479, -5807,   294, 65407, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807,  1124, -5807, -5807, -5807, -5807,
   -5807, 19101, -5807, 90054, -5807, -5807, -5807, -5807, -5807, -5807,
    3305,  4172, -5807,  4553, 90054,  4375, -5807, -5807,  4175, -5807,
   -5807,  4535, -5807, -5807, -5807, -5807,  1438,  4355, -5807, 19101,
    2382, -5807, -5807, -5807, 34720, -5807, 11152, 40451,  4529, -5807,
   34720, 34720, 34720, -5807,  4179,  2453,  2460, -5807, -5807,    97,
   -5807,  4522, -5807, -5807, -5807, 11536,  4240, 19101,  4300,  4184,
    4185,  4826,  4826,  7641,  4826, 34720, 34720,  4826,  4826, 34720,
   -5807, -5807, -5807, 11574, -5807,  4656,  3615, -5807, -5807, -5807,
   -5807,  4119, -5807,  4119, -5807,  4329,  4194,  4393, -5807,  2461,
    4681, 39409,  4640, -5807, 90054,  2467, -5807, 34720,  4203, -5807,
   -5807, 43523,  2701,  4209,  2484, 90054,  2494,116126, 37846, 19101,
   90054,  3615,  4205, -5807, 90054,  2934, -5807,    77, -5807, -5807,
    4634, 45050,  4591, 18452, 34720, -5807, -5807, -5807, -5807, 65407,
    4429, 65407,  1933, 11991,  4528, 45050, 55859, 90054, -5807, 90054,
   -5807,  4381,  4528,  4528, -5807, -5807, -5807, -5807, -5807, -5807,
    4213, -5807, -5807, -5807, -5807,  4302, -5807, -5807,    35,  3479,
   -5807, -5807, -5807, -5807, -5807,  4703,  4587,  4588, -5807, -5807,
   -5807, -5807, -5807,  4419, -5807, -5807, 51683, 66413, 90054, -5807,
    4308, -5807, -5807, -5807, -5807, -5807, -5807, 47086, 54815, -5807,
     950,  4222,  4223,   278, -5807, -5807, -5807, 90054, 12690,  4224,
   -5807, -5807, 12742,  1393,  3479, 90054, 90054,  4226,  4230,  4234,
    1678,    64,  1903,  3496,  4592, 90054, -5807, -5807, -5807,  4419,
   -5807, -5807, 90054, -5807,  1108, -5807, -5807, -5807, -5807, 61886,
   -5807,  3301,  4127,  1291, 70437,  4726,  4726, 12840,  4470, -5807,
   -5807,   137,  4301,  4503,  4301,  4244, 90054,  1185,  4245,  2495,
   -5807, 90054,  4249,  4383,  1587,  1587, 90054, 90054, 90054,  2496,
    1493,  2808,  3994,  1065,  4620, 73958,  4661,  3982,   429, -5807,
   90054,  4743, 90054,  3559,  3784, 90054,  4253, -5807, -5807, 75467,
    4473,  2297, 90054,  2481,  4198,  3502,   283, 90054, -5807,  1581,
   -5807,  1493, -5807, 90054, 82006, 45050,  4607, -5807,117593, -5807,
    2505, -5807, -5807, -5807,  4336, 20615,  3346,  4380,  4384,  4277,
    2094,  4615, 90054,   130, -5807, -5807, -5807, -5807, -5807, -5807,
   90054, -5807,   450, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   34720, -5807, -5807, -5807,   341, -5807, -5807, -5807, -5807, -5807,
    4485,  4289,  4499,  1570, -5807, 18688, -5807,  1821, 40451, 19101,
   19101, 19101, 34720, -5807, 34720, -5807, -5807, -5807, -5807,   118,
   -5807, -5807,  4826,  4826,  4826, -5807, 34720,  1239, -5807, -5807,
    1887,  4699,112186,   221,  2386, -5807, -5807,  3616, 62892,  4265,
   -5807, 40451,  2506, -5807,  1139, 90054,  2515, -5807, 19101, 90054,
   -5807, -5807, 34720, -5807,  2522, -5807,  4291,  1085,  4294, 25403,
    4292, -5807, -5807, -5807, -5807, -5807, 19101,  4296, -5807,  4787,
    1439, -5807, -5807,  4356, 90054,  2537, -5807,  1254,  1301,  4350,
   -5807, 19101,  1698,  1834,   493,  4545,  4306,  3441, -5807,  4309,
   -5807, -5807,   432,  3067, 90054,  3441,  3441, -5807, 90054,  4409,
   -5807,  2297,  4641, -5807, -5807,  4379, -5807,  1400,  3479, 90054,
  116126, -5807,   445,  4673, -5807,116126,116126, -5807, -5807, -5807,
   34720, -5807,  4415, -5807, -5807, -5807, 34720, 34720, 72952, -5807,
   -5807, 90054, 90054, 90054, 90054, 90054, -5807,   294, -5807, -5807,
    2540, -5807, 46068, -5807, -5807,  3243,  1291,  3243,  1920, -5807,
   -5807,  3243,  3243, -5807,  3346, -5807,  4726,  1425, -5807, -5807,
    4562,  4321, 34720,  4645, -5807,   224,  4547, -5807,  4325, -5807,
   70437,  4849, -5807, 61886,  3784,  4305, 90054, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807, -5807,  2548,
    3982,  4692,  3495,  4206, -5807, 90054,  4369, -5807, 43523,  3982,
    1493,  2114, -5807,  4198,  3784,  4305, -5807, -5807,  4332,  4221,
    3502,  2481,  4475, -5807,  4481, -5807,  4792,  4556,  4794,  3559,
   -5807,  3396,  2550, 90054, -5807, -5807,  6911,118571,116126, -5807,
   -5807, -5807,  4334,  4734,  4390,  4392, -5807, -5807, -5807,  2094,
   -5807,   105,  4731,  4399, -5807,  4411, 90054, -5807, -5807,  3982,
     294,  4349, -5807,  4846, -5807, -5807,  2404, -5807,  4500, -5807,
    4580, 34720,  1821,  2552,  2559,  4416, -5807,  3570, 38367, 38367,
   38367,  4360,  4722,  4723, 90054, -5807,   348,  2561, -5807, -5807,
   -5807, -5807, -5807, -5807,115148,  4364, 50649, -5807, -5807, -5807,
    4589,  4370, -5807, -5807, 90054,  1267,  4359, 39409, 61886,  2562,
   -5807,115637, -5807,  2570,  2572, -5807, 34720,  4373, 34720, -5807,
   37846, 90054,  4374,  3332,  1493, -5807,  3346, 45050, -5807,  4495,
    4861,  4636, -5807, -5807,  4721, -5807, -5807, 90054,  4301, 54815,
    3627,   432,  2166,  4301,  4301, -5807, 90054,  4321, 34720, -5807,
    4471, -5807, -5807,  2582,  1507,  4550,  4550,  2584,  2586, 13124,
   90054,  2598,  2600, -5807,  2608,  2661,  3499,  1903,  3499, -5807,
    3496, -5807, -5807, 61886, -5807, 65910, -5807, -5807, -5807,  1291,
   -5807,  1291,  4611, 90054, 57370,  1291,  1291, -5807, -5807, -5807,
   -5807,  4700, -5807,  2323, -5807, 13262,  4476, -5807, -5807, -5807,
     958, -5807,  4603,  4608, -5807,  4394, -5807,  2609, -5807,   372,
    4519,  3982, -5807, -5807, 90054,  4880,  4883, -5807,   868, 90054,
    3617, -5807,  4206,  3559,  3502,   372,  4198,  2297, 45559,  4248,
    2481,  4221, -5807, -5807,  4614, -5807,  4618, -5807,  4400,  4729,
   -5807,  2138,   981, -5807, -5807, -5807,  1470,  4753,  4754, -5807,
   -5807, -5807,  3243, -5807,   795,  4407,  4781, -5807, -5807, -5807,
   -5807, 34720, 61886,  1438, -5807,  4518,  4800, 19101, -5807, -5807,
   -5807, 39930,  4569,  1333, 15226,  4802, -5807,  4802,  4802, -5807,
    4898,  4901,  1404, -5807,  1291, -5807,112186,  4648,  1649,   266,
   50649, -5807,  4437,   131, -5807, -5807, -5807, -5807,  4509,  4864,
     342,  4819, -5807,  2610, 41487, -5807, -5807, -5807, 90054,  4660,
    1341,  4931,  4609,  2618, 37846,  2621, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, 49122, 34720,  4538,  4861, 65407,  2622,  3740,
    4447, -5807,  3627,  4503, -5807, -5807,  3479, -5807, 19101, 90054,
   70437,  4919, -5807, -5807, -5807, -5807, -5807, -5807, -5807,  3479,
    4539, -5807, -5807, 72952, -5807, 90054, -5807, -5807,  2625, -5807,
   -5807, -5807, 90054,  4159, -5807,  4159, -5807, -5807, -5807,  1614,
    4563, 90054,  1061,  1061,  4858, -5807,  4520, -5807,  4456, -5807,
    4980,  4594, 90054, -5807, -5807,   950,  1493, 73958,  3982, -5807,
   -5807,  2481,  4198,  3502, 34720,  2648, -5807,  4545,   439, -5807,
    4221,  4248, -5807, -5807, 45050,  4460,  3148,  4850, -5807, -5807,
   -5807,  2706, 70437, 70437, 90054, -5807, -5807, -5807, 34720,  1185,
   -5807, -5807,  4686, -5807, -5807,  4959, -5807, -5807, -5807, -5807,
   -5807,   942, -5807, -5807, -5807, 90054, 90054, 90054,  4530, -5807,
   -5807,  4665,  4137,  1291,  2525, -5807, -5807, -5807, -5807,  4467,
    4465,  4469,  4472, -5807, 50649, 50649, 50649, 50649, 50649, 50649,
   -5807, -5807,  3739, -5807, -5807, 40451, 40451,  4709, -5807, 40451,
    1341, -5807, 90054, -5807,  4477, -5807, -5807,  2651, -5807,  1558,
   19101,   962,  4572,   493, -5807, -5807, -5807, -5807,  4547,  1933,
    1933, -5807,  3479, -5807, 90054, -5807,  4483, -5807, -5807, -5807,
   65910,  4159, -5807, -5807, -5807, -5807,  4982, -5807,   302, -5807,
   -5807, -5807, -5807, 90054,  3982,  4104,  4206, -5807,  4221,  3502,
    2481, 13292, -5807, 45559, 90054, 90054,  4248, -5807,  2658, 45050,
    3495,  4629, -5807,  3315, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807,   964,  4480,  4486, -5807, -5807, 13812, 70437,  4866, 38888,
    4632, -5807,  4702, -5807,  1426,  1450,    56,  4523,  1413,  4665,
   -5807,   232, -5807,   464,   923, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807,  4936,  1267,  1267, -5807,  1267, -5807, -5807,
   34720, -5807, -5807, -5807,  4728,  4624, -5807, -5807,  1392, -5807,
    1933, -5807, -5807, -5807, 34720, -5807, -5807,  2166,  2166,  3982,
   -5807, -5807,  4248,  2481,  4221,  4545, -5807, -5807, -5807, -5807,
    4729, -5807,  2659,  4248,  4399,  1872, -5807, -5807,  1956,  2443,
    4585,  4851, -5807,  4502, -5807, -5807, -5807, -5807, 90054, 90054,
   63395, 90054, -5807, -5807,  2525,  1570, -5807, -5807, 90054, 14186,
   -5807, 49122,  4740,   554, -5807,  1933,  2660, -5807, -5807, -5807,
   -5807,  4221,  4248, 90054,  3148, -5807, 45050,  3346,  4876, -5807,
    3315,  4625,  4626, 61383, -5807, -5807,  5028,   327,  4917, -5807,
     232, -5807,  2667, -5807,  4504, -5807,  4567,    77,  4512, 90054,
   -5807, -5807,  4248, -5807, -5807,  3495, -5807, -5807,  1185, -5807,
    4557,  4558, -5807,  2669, -5807, -5807, -5807, -5807, 34720, 63395,
    1438, -5807, -5807,  4570, 34720,  2670, -5807,  4248, 70437,  4867,
    4868, -5807, 61383,   866,  4583, -5807,  4578,  2683,   111,  3346,
    4525, 70437, 70437, -5807,  4532, 90054, -5807, -5807,    77, -5807,
   -5807, 61383, -5807, -5807,  1291, -5807,  4586,  2715,  4578, -5807,
   -5807
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
    1693,  1438,   651,  1526,  1525,  1438,     0,   269,     0,  1536,
       0,  1438,   430,  1096,     0,     0,     0,     0,   651,  1438,
       0,  1693,     0,     0,     0,     0,     0,  1706,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,  1438,     0,     0,
    1713,     0,     0,     0,     0,  1706,     0,  1538,     0,     0,
       0,     0,  1713,     0,     0,     0,     0,     0,     2,     9,
      10,    45,    80,    81,    38,    37,    98,    63,    24,    71,
     133,   132,   134,    50,    46,    88,    33,    35,    47,    51,
      73,    75,    40,    53,    64,   110,    72,    31,    70,    76,
      96,    58,    19,    20,    59,    21,    60,    22,    61,   106,
      82,    99,    43,    69,    30,    52,    78,    79,    12,    54,
      86,    18,    65,    66,    68,    91,    92,    93,   116,    94,
     128,    49,   125,   103,   104,   122,   105,   123,    16,   107,
      62,    23,   119,   118,   120,    89,    55,    90,    77,    97,
     117,    34,   121,    25,    26,    28,    29,    27,    67,    36,
      74,    39,    95,   124,   114,   109,   129,   127,    11,   135,
     111,    83,    14,    15,   100,    13,    32,    57,    17,    42,
      41,    56,    48,   131,    44,  1536,   102,   115,   101,    84,
     108,    87,   112,   130,   113,    85,   126,  1657,  1656,  1717,
    1660,  1692,     0,  1672,  1437,  1436,  1451,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   650,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1448,  2494,  2511,  2512,  2513,  2514,  2515,
    2516,  2517,  2518,  2519,  2520,  2521,  2522,  2523,  2524,  2525,
    2527,  2526,  2528,  2529,  2897,  2530,  2531,  2532,  2835,  2836,
    2898,  2837,  2838,  2533,  2534,  2535,  2536,  2537,  2538,  2539,
    2540,  2541,  2839,  2840,  2542,  2543,  2544,  2545,  2546,  2841,
    2899,  2547,  2548,  2549,  2550,  2551,  2552,  2900,  2553,  2554,
    2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2901,  2563,
    2564,  2565,  2902,  2566,  2567,  2568,  2569,  2570,  2571,  2842,
    2843,  2572,  2573,  2574,  2575,  2576,  2577,  2578,  2579,  2580,
    2581,  2582,  2583,  2584,  2585,  2586,  2587,  2588,  2589,  2590,
    2591,  2592,  2593,  2594,  2595,  2596,  2597,  2598,  2599,  2600,
    2601,  2844,  2602,  2603,  2604,  2605,  2845,  2606,  2607,  2608,
    2609,  2846,  2610,  2611,  2612,  2613,  2903,  2904,  2614,  2615,
    2616,  2617,  2618,  2847,  2848,  2619,  2620,  2621,  2622,  2623,
    2624,  2625,  2905,  2626,  2627,  2628,  2629,  2630,  2631,  2632,
    2633,  2634,  2635,  2636,  2637,  2906,  2849,  2638,  2639,  2640,
    2641,  2850,  2851,  2852,  2642,  2907,  2908,  2643,  2909,  2853,
    2854,  2855,  2856,  2857,  2858,  2859,  2860,  2861,  2862,  2863,
    2645,  2646,  2644,  2647,  2648,  2649,  2650,  2651,  2864,  2910,
    2652,  2911,  2653,  2654,  2655,  2656,  2657,  2658,  2659,  2660,
    2661,  2662,  2663,  2664,  2665,  2666,  2667,  2668,  2669,  2670,
    2671,  2672,  2673,  2865,  2912,  2866,  2674,  2675,  2676,  2677,
    2678,  2679,  2680,  2681,  2867,  2868,  2682,  2683,  2684,  2913,
    2685,  2869,  2686,  2870,  2687,  2688,  2689,  2690,  2691,  2692,
    2693,  2694,  2695,  2696,  2697,  2871,  2914,  2698,  2915,  2872,
    2699,  2700,  2701,  2702,  2703,  2704,  2705,  2706,  2707,  2708,
    2709,  2710,  2711,  2712,  2873,  2713,  2874,  2716,  2714,  2715,
    2717,  2718,  2719,  2720,  2721,  2722,  2723,  2724,  2725,  2726,
    2727,  2875,  2728,  2729,  2730,  2731,  2732,  2733,  2734,  2735,
    2736,  2737,  2738,  2739,  2740,  2741,  2742,  2743,  2744,  2745,
    2746,  2916,  2747,  2748,  2749,  2750,  2751,  2876,  2752,  2753,
    2754,  2755,  2756,  2757,  2758,  2759,  2760,  2761,  2762,  2763,
    2764,  2765,  2766,  2767,  2768,  2877,  2769,  2770,  2917,  2771,
    2772,  2878,  2773,  2774,  2775,  2776,  2777,  2778,  2779,  2780,
    2781,  2782,  2783,  2784,  2785,  2786,  2787,  2879,  2788,  2789,
    2790,  2791,  2918,  2792,  2793,  2794,  2795,  2796,  2797,  2880,
    2881,  2798,  2799,  2882,  2800,  2883,  2801,  2802,  2803,  2804,
    2805,  2806,  2808,  2807,  2809,  2810,  2811,  2812,  2813,  2814,
    2815,  2816,  2817,  2818,  2819,  2884,  2885,  2820,  2919,  2821,
    2822,  2823,  2824,  2825,  2826,  2827,  2828,  2829,  2830,  2831,
    2886,  2887,  2888,  2889,  2890,  2891,  2892,  2893,  2894,  2895,
    2896,  2832,  2833,  2834,   146,     0,     0,  2461,  2495,  2496,
    2499,  2494,   402,   401,  1646,  2458,  2495,  1535,     0,  1515,
     651,     0,  1451,   429,  1693,     0,     0,     0,     0,     0,
       0,   867,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   138,     0,   140,     0,     0,   453,
     452,     0,     0,  1068,   458,     0,     0,     0,     0,     0,
     641,  1577,  2714,  1575,  1647,   270,   273,   274,   271,   272,
    2477,     0,  1208,  1209,  1211,     0,     0,  1221,   907,   908,
       0,     0,     0,   921,     0,     0,     0,   905,     0,     0,
       0,   927,     0,   924,     0,     0,   928,   925,   902,   926,
     909,     0,   901,     0,     0,  1221,   929,     0,     0,   903,
       0,     0,     0,     0,  1451,  1574,   459,  1693,     0,  1558,
    1559,  1560,  1536,  1548,  1561,  1553,  1555,  1554,  1556,  1557,
    1552,  2476,  2513,   997,   997,   997,   997,   994,   995,   997,
     997,   997,  2735,     0,     0,   976,     0,   978,  2478,   997,
    1002,  2521,   533,   533,   533,     0,  1001,  1006,   533,     0,
    1419,  1460,  2460,  1705,     0,   977,  1418,  2798,  1564,     0,
       0,     0,     0,  2754,  1428,   254,  2766,  2880,  2798,   253,
     248,   249,   222,  2517,     0,     0,  1001,     0,  1451,  1426,
     973,  1712,  1710,     0,  2445,  2540,  2557,  2655,   245,  2747,
    2756,  2766,  2880,  2798,  2831,   201,   211,   206,     0,   263,
    2766,  2880,  2798,   259,  1448,     0,  1673,  1823,  1822,  2454,
       0,  1421,  1420,  1537,     0,  1540,     0,  2730,  1677,  1680,
    1542,  1678,  2497,  1901,  1930,  1908,  1930,  1930,  1897,  1897,
    2587,  1910,  1898,  1899,  1935,  1955,     0,  1930,  1897,  1902,
       0,  1900,  1938,  1938,  1925,     3,  1880,  1881,  1882,  1883,
    1911,  1912,  1884,  1917,  1918,  1922,  1885,  1952,  1888,  1897,
    2498,  1714,  1715,  2445,     4,  2491,     5,  2277,  2490,     6,
       7,  1669,     0,     0,     1,  1693,     0,  1547,  1709,  1709,
       0,  1709,     0,  1661,  1669,  1664,  1668,     0,     0,     0,
       0,     0,     0,  1422,     0,     0,     0,   932,     0,  1463,
    1053,     0,     0,     0,     0,     0,  1305,     0,  1105,  1104,
    2500,  2483,  2484,  2485,     0,  2481,  2482,  2501,  2502,  2503,
       0,  2625,  1305,     0,     0,  2193,  2204,  2205,  2206,  2544,
    2606,  2201,  2202,  2203,  2195,  2196,  2197,  2198,  2199,  2200,
       0,     0,  1203,  2194,     0,  2625,     0,  1305,     0,   173,
       0,   150,  1305,     0,     0,  2625,     0,     0,  2625,     0,
       0,     0,     0,     0,  2625,     0,     0,     0,     0,     0,
     173,  2660,     0,   150,  2625,     0,     0,  1442,     0,     0,
       0,  1444,  1447,  1434,     0,  2274,     0,  2275,  2462,     0,
    1529,  1523,  1532,  1528,  1518,     0,  2454,     0,     0,     0,
       0,   915,     0,     0,   905,     0,     0,     0,   916,     0,
     917,   918,     0,     0,     0,     0,   914,     0,  1432,  1424,
       0,  1566,  1568,  1567,  1569,  1565,   533,     0,     0,     0,
    2625,     0,   150,  1502,     0,  2625,   150,     0,     0,   457,
     456,   150,  2481,   455,   454,  2544,  2606,     0,  1095,     0,
    1178,   150,  2625,     0,   194,  2625,   710,  2625,  1542,   139,
       0,   654,     0,   822,  2660,   150,     0,     0,     0,     0,
       0,     0,   142,     0,     0,     0,     0,     0,     0,     0,
     640,   651,  1578,  1576,     0,  1212,   247,   246,  1210,   919,
    2625,  1137,   145,     0,     0,  2625,  1483,  2625,   145,   936,
     920,     0,   906,  2625,   145,  1101,  2625,  2486,   183,     0,
     904,  2544,  2606,  2625,   145,  1205,     0,  2625,   145,  2625,
     179,  2625,   145,  2625,   145,  2625,   655,     0,     0,  2625,
     145,  2625,  2660,   181,   923,  2625,   145,   930,  2625,   145,
    2456,  2625,     0,  1435,     0,  1570,     0,  1550,  2884,     0,
    1693,   997,   996,     0,   997,     0,   997,     0,   997,     0,
     997,     0,     0,     0,   997,  2479,  2480,   979,     0,  1003,
       0,  1011,     0,  1010,  1009,  1008,     0,     0,     0,  1012,
       0,  1827,  1605,     0,  1416,  1431,     0,     0,     0,   142,
       0,  1234,  1231,   142,  1233,  1232,   142,   142,  1427,   252,
     250,     0,     0,     0,     0,     0,     0,  1433,     0,  1425,
       0,     0,     0,  2464,  2466,  2467,  2207,  2277,     0,  2836,
    2837,  2838,  2266,     0,  2839,  2840,  2841,  2899,  2096,  2083,
    2092,  2097,  2084,  2086,  2093,  2842,  2843,  2022,  2844,  2845,
    2474,  2846,  2847,  2848,  2850,  2851,  2852,  2853,  2854,  2855,
    2856,  2857,  2858,  2859,  2860,  2861,  2863,  2864,  2088,  2090,
    2865,  2866,  2868,     0,  2475,  2869,  2870,  2693,  2872,  2873,
    2875,  2876,  2094,  2878,  2879,  2880,  2881,  2882,  2883,  2473,
     500,  2095,  2885,  2887,  2888,  2889,  2890,  2892,  2893,  2894,
    2895,     0,     0,     0,  2451,     0,  2061,     0,  1889,  1890,
    1913,  1914,  1891,  1919,  1920,  1892,     0,  1893,  2450,  1956,
    2152,  2060,  2078,     0,  2066,  2067,     0,  2059,  2055,  2128,
    2285,  2286,  2287,  2282,  2283,  2284,  2281,  2414,  2415,  2154,
    2438,  2439,  1695,  2446,     0,  2056,  2463,  2465,  2267,  1695,
    2444,   214,   265,     0,   266,  2452,  2766,   202,   244,   216,
     243,   217,   215,     0,  2542,   203,     0,     0,   204,     0,
       0,     0,     0,   262,   260,     0,  1423,     0,  1825,  1824,
    2455,   941,     0,  1539,  1536,  2217,     0,  1679,     0,     0,
       0,  1929,  1916,  1924,  1923,     0,  1906,  1905,  1904,     0,
    1903,  1930,  1930,  1928,  1907,  1880,     0,     0,     0,  1934,
       0,  1932,  1876,  1872,     0,  1941,  1942,  1943,  1940,  1953,
    1939,     0,  1886,  1944,     0,  1897,  1894,  1780,     0,  1659,
    1658,     8,     0,  1544,  1546,  1521,  1542,  1707,  1708,     0,
       0,     0,     0,     0,     0,     0,     0,  1767,  1725,  1726,
    1728,  1764,  1768,  1776,     0,  1665,     0,     0,     0,  1829,
       0,     0,  1449,     0,     0,     0,     0,     0,  1136,     0,
       0,     0,     0,   933,     0,     0,     0,  1469,     0,  1471,
    1472,  1473,     0,     0,     0,  1474,  1475,  1463,   256,  1482,
    1479,  1462,  1464,  1477,     0,     0,     0,     0,     0,     0,
       0,  1494,     0,   187,   188,     0,   667,   651,     0,  2625,
       0,     0,     0,     0,  1146,  1153,  1304,     0,     0,     0,
       0,     0,     0,     0,     0,  1147,  1145,     0,  1148,   258,
    1158,  1185,  1188,     0,     0,  1103,  1106,     0,     0,     0,
       0,     0,  1295,     0,     0,     0,  1295,     0,     0,     0,
    1304,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     281,   283,   296,   361,     0,   632,     0,     0,     0,   635,
       0,  2625,  1305,     0,     0,     0,  1207,     0,     0,     0,
       0,     0,     0,     0,     0,  1188,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   148,   149,   154,     0,     0,
       0,     0,  1188,     0,     0,     0,     0,     0,     0,     0,
     618,   631,     0,     0,     0,     0,     0,   628,     0,     0,
     150,   286,   608,   614,     0,     0,     0,   717,   716,     0,
       0,     0,     0,     0,     0,  1392,     0,  1391,     0,     0,
       0,     0,     0,  1492,  1491,     0,     0,     0,     0,     0,
       0,  1295,     0,   275,   277,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     394,   395,     0,     0,     0,   154,     0,     0,  1295,     0,
     288,     0,     0,  1443,  1440,  1441,     0,  1446,     0,     0,
       0,     0,  2069,     0,  2221,  1717,  2219,  1121,  2273,     0,
    2504,  2920,  2921,  2922,  2923,  2924,  2925,  2926,  2927,  2928,
    2929,  2930,  2931,  2932,  2933,  2934,  2935,  2936,  2937,  2938,
    2939,  2940,  2941,  2942,  2943,  2944,  2945,  2946,  2947,  2948,
    2949,  2950,  2951,  2952,  2953,  2954,  2955,  2956,  2957,  2958,
    2959,  2960,  2961,  2962,  2963,  2964,  2965,  2966,  2967,  2968,
    2969,  2970,  2971,  2972,  2973,  2974,  2975,  2976,  2977,  2978,
    2979,  2980,  2981,  2982,  2983,  2984,  2985,  2986,  2987,  2988,
    2989,  2990,  2991,  2992,  2993,  2994,  2995,  2996,  2270,  2269,
    2459,  2505,  2506,  2507,  2508,  2276,     0,     0,   233,   234,
     232,  1530,   235,  1531,  1527,     0,  1513,     0,     0,     0,
       0,     0,     0,     0,     0,  2544,  2606,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   830,  1463,  1501,     0,     0,     0,   660,
       0,  2625,     0,   152,   868,     0,   820,   458,     0,     0,
       0,     0,  1368,   152,     0,     0,   190,     0,     0,   714,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     821,     0,     0,   152,     0,  2625,   611,  2625,     0,   533,
     533,     0,     0,   141,   138,     0,     0,     0,     0,     0,
       0,     0,     0,  1651,  1650,  1653,  1652,     0,  1649,     0,
     143,   144,     0,  1195,  1220,     0,     0,     0,     0,     0,
     897,   922,     0,     0,  1189,     0,     0,  2625,   145,  2625,
       0,  2625,     0,     0,     0,  1197,   145,     0,  1191,     0,
       0,  1193,     0,  1394,     0,   913,   911,   910,   912,     0,
       0,   895,     0,     0,     0,     0,     0,   890,     0,     0,
     892,     0,     0,     0,     0,  1693,  1549,     0,   987,     0,
     991,     0,   982,     0,   988,     0,   983,   980,   981,     0,
     986,     0,     0,   534,   536,     0,     0,  2569,  2586,     0,
    2614,  2648,  2649,  2703,  2720,  2750,  2756,  2762,     0,  2792,
    2803,     0,  1017,  1048,  1007,   726,     0,     0,  1615,  1417,
    2226,     0,  1693,     0,     0,  1235,     0,     0,   138,   251,
     223,     0,     0,     0,  1050,  2754,  1430,   972,   651,     0,
    2057,     0,  2064,  2065,  2265,     0,     0,     0,     0,     0,
       0,  2063,     0,     0,     0,     0,  2406,     0,     0,  2422,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1978,
       0,     0,  2225,     0,     0,  2225,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1979,  1960,
    1961,  2061,  2217,     0,  2062,  2470,     0,  1952,  2509,  2207,
       0,  2204,  2205,  2206,  2997,  2998,  2999,  3000,  3001,  3002,
    3003,  3004,  3005,  3006,  3007,  3008,  3009,  3010,  3011,  3012,
    3013,     0,  3014,  3015,  3016,  3017,  3018,  3020,  3019,  3021,
    3022,  3023,  3024,  3025,  3026,  2280,  3028,  3029,  3030,  3031,
    3032,  3033,  3034,  3035,  3036,  3037,  3038,  3039,  3040,  3041,
    3042,  3043,  3044,  3045,  3046,  3047,  3048,  3049,  3050,  3051,
    3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,  3060,  3061,
    3062,  3063,  3064,  3065,  3066,  3067,  3068,  3069,  3070,  3071,
    3072,  3073,  3074,  3075,  3076,  3077,  3078,  3079,  3080,  3081,
    3082,  3083,  3084,  3085,  3086,  3087,  3088,  3089,  3090,  3091,
    3092,  3093,  3094,  3095,  3096,  3097,  3098,  3099,  3100,  3101,
    3102,  3103,  3104,  3105,  3106,  3107,  3108,  3109,  3110,  3111,
    3112,  3113,  3114,  3115,  3116,  3117,  3118,  3119,  3120,  3121,
    3122,  3123,  3124,  3125,  3126,  3127,  3128,  3129,  3130,  3131,
    3132,  3133,  3134,  3135,  3136,  3137,  3138,  3139,  3140,  3141,
    3142,  3143,  3144,  3145,  3146,  3147,  3148,  3149,  3150,  3151,
    3152,  3153,  3154,  3155,  3156,  3157,  3158,  3159,  3160,  3161,
    3162,  3163,  3164,  3165,  3166,  3167,  3168,  3169,  3170,  3171,
    3172,  3173,  3174,  3175,  3176,  3177,  3178,  3179,  3180,  3181,
    3182,  3183,  1993,  3184,  3185,  3186,  3187,  3188,  3189,  3190,
    3191,  3192,  3193,  3194,  3195,  3196,  3198,  3199,  3197,  3200,
    3201,  3202,  3203,  3204,  3205,  3206,  3207,  3208,  3209,  3210,
    3211,  3212,  3213,  3214,  3215,  3216,  3217,  3218,  3219,  3220,
    3221,  3222,  3223,  3224,  3225,  3226,  3227,  3228,  3229,  3230,
    3231,  3232,  3233,  3234,  3235,  3236,  3237,  3238,  3239,  3240,
    3241,  3242,  3243,  3244,  3245,  3246,  3247,  3248,  1995,  3249,
    3250,  3251,  3252,  3253,  3254,  3255,  3256,  3257,  3258,  3259,
    3260,  3261,  3262,  3263,  3264,  3265,  3266,  3267,  3268,  3269,
    3270,  3271,  3272,  3273,  3274,  3275,  3276,  3277,  3278,  3279,
    3280,  3281,  3282,  3283,  3284,  3285,  3286,  3289,  3287,  3288,
    3290,  3291,  3292,  3293,  3294,  3295,  3296,  3297,  3298,  3299,
    3300,  3301,  3302,  3303,  3304,  3305,  3306,  3307,  3308,  3309,
    3310,  3311,  3312,  3313,  3314,  3315,  3316,  3317,  3318,  3319,
    3320,  3321,  3322,  3323,  3324,  3325,  3326,  3327,  3328,  3329,
    3330,  3331,  3332,  3333,  3334,  3335,  3336,  3337,  3338,  3339,
    3340,  3341,  3342,  3343,  3344,  3345,  3346,  3348,  3347,  3349,
    3350,  3351,  3352,  3353,  3354,  3355,  3356,  3357,  3358,  3359,
    3360,  3361,  3362,  3363,  3364,  3365,  3366,  3367,  3368,  3369,
    3370,  3371,  3372,  3373,  3374,  3375,  3376,  3377,  3378,  3379,
    3380,  3381,  3382,  3383,  3384,  3385,  3386,  3387,  3388,  3389,
    3390,  3391,  3392,  3393,  3394,  3395,  3396,  3397,  3398,  3399,
    3400,  3402,  3401,  3403,  3404,  3405,  3406,  3407,  3408,  3409,
    3410,  3411,  3412,  3413,  3414,  3415,  3416,  3417,  3418,  3419,
    3420,  3421,  3422,  3423,  3424,  3425,  3426,  3427,  3428,  3429,
    3430,  3431,  3432,  3433,  3434,  3435,  3436,  3437,  3438,  3439,
    3440,  3441,  3442,  3443,     0,  2201,  2202,  2203,  2195,  2196,
    2197,  2198,  2199,  2200,  2211,     0,     0,  2449,  2510,     0,
    2154,     0,  1975,     0,  2162,     0,     0,  1780,     0,  2468,
    2268,  1780,   267,   268,   264,     0,     0,   219,   218,     0,
     237,   241,   242,   213,   240,     0,   236,   221,  2141,  2140,
     220,   212,   209,   207,   224,   226,   227,   210,   208,   261,
       0,     0,     0,   145,  1547,  1534,     0,     0,  2280,     0,
    2215,     0,     0,  2213,     0,     0,     0,  1777,     0,  1681,
       0,  1685,     0,     0,     0,  1927,  1926,  1877,  1873,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   934,     0,  1895,     0,  1845,  2492,  2493,  2278,
    1713,  1547,     0,  1543,  1676,  1675,  1718,  1719,  1087,  1674,
    1747,  1748,     0,     0,     0,     0,  1773,  1771,  1738,  1729,
    1737,     0,     0,  1735,     0,  1739,  1956,  1766,  1663,  1723,
    1724,  1727,  1662,     0,  1769,     0,  1618,  1767,  1728,  1602,
       0,  1580,     0,     0,  1830,     0,     0,  1450,     0,     0,
       0,  1116,  1118,     0,  1117,     0,  1120,     0,  1129,     0,
       0,  1115,  1134,     0,  1123,  1121,     0,  1490,     0,     0,
       0,     0,     0,  1470,     0,     0,     0,  2792,   255,  1473,
    1478,  1465,  1476,     0,     0,     0,     0,     0,  1052,  1051,
       0,     0,  1071,     0,     0,   500,  1497,   522,     0,   363,
       0,     0,     0,     0,     0,     0,     0,     0,   816,   813,
       0,     0,   812,     0,   665,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   690,     0,  1295,     0,
     294,     0,  1155,     0,  1154,     0,  1159,     0,     0,  1156,
    1151,  1152,  2756,  2766,  2798,   257,  1157,  1187,     0,  1186,
    1182,     0,  1098,     0,  1099,     0,     0,     0,     0,     0,
    2598,  2625,   302,   325,     0,  1294,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   347,     0,     0,   350,   349,     0,     0,     0,     0,
       0,   355,     0,   333,     0,   334,     0,   354,     0,     0,
       0,   633,   634,     0,     0,     0,  1295,     0,   290,     0,
       0,     0,     0,     0,     0,     0,     0,  1204,     0,   743,
       0,     0,  2756,  1183,     0,     0,  1377,     0,  1378,  1381,
     533,     0,   533,  1383,     0,     0,  1380,  1382,     0,     0,
     176,     0,   171,   175,     0,     0,  2756,  1184,     0,     0,
       0,     0,     0,   616,   617,   630,     0,   621,   622,   619,
     623,   624,     0,     0,     0,     0,     0,     0,     0,   615,
       0,     0,   712,   711,   715,     0,     0,     0,     0,     0,
       0,  1386,     0,     0,  1178,     0,     0,  1385,  1393,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1238,
    1237,     0,     0,     0,     0,  1305,     0,   858,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   178,   730,     0,
     729,     0,   172,   177,     0,     0,     0,     0,     0,     0,
       0,     0,   231,  1439,  1445,  1717,  1717,  1717,  2075,     0,
       0,     0,     0,  1716,  2271,  2274,  1518,  1524,  1517,  1516,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   405,   406,
     408,     0,     0,     0,     0,   832,     0,   835,   838,  1461,
     484,     0,     0,   657,   690,     0,     0,   461,   185,     0,
       0,     0,     0,   745,     0,  1178,  1177,   147,   138,   194,
     459,     0,   193,   195,   197,   198,   199,   196,   200,     0,
     709,   713,     0,     0,     0,     0,   653,     0,     0,     0,
       0,     0,     0,     0,  1850,     0,     0,   170,     0,     0,
     606,   610,     0,     0,     0,     0,   461,   572,   374,  2625,
       0,   533,     0,  2625,     0,   137,     0,   819,     0,     0,
       0,  1140,  1140,     0,     0,   759,   758,     0,     0,     0,
       0,     0,     0,  1648,   145,  1138,     0,  1484,     0,   145,
     937,   145,  1102,   184,  2487,     0,   899,     0,     0,     0,
       0,   145,  1206,   887,   145,   180,   145,   145,   656,     0,
     145,   182,     0,     0,   145,   931,   145,  2457,     0,   145,
    1573,  2625,   533,  1551,   984,   993,   992,   990,   989,   985,
       0,  1004,     0,   532,     0,     0,     0,     0,     0,  1025,
    1026,     0,     0,  1022,  1027,     0,  1029,  1013,  1015,  1023,
    1024,  1030,  1019,  1018,  1031,  1032,     0,     0,  1050,   724,
       0,     0,     0,     0,  1612,     0,  1610,     0,  1828,  1614,
    1603,  1563,     0,  1562,     0,   599,  1229,  1228,  1230,     0,
       0,  1001,     0,     0,   145,  1429,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2230,     0,  2231,
       0,     0,  2264,  2260,     0,     0,     0,     0,     0,  2234,
    2237,  2238,  2239,  2236,  2240,  2235,     0,     0,  2241,     0,
       0,  2305,  2052,     0,  2061,  2406,  2433,     0,  2437,  2443,
    2404,     0,  2293,  2221,  1956,  2419,     0,  2418,  2417,  2406,
    2429,  2423,     0,  2429,  2406,  2404,  2406,  2404,     0,     0,
       0,     0,     0,     0,  2221,  2224,     0,     0,  2876,     0,
       0,     0,     0,  2023,     0,     0,  2188,     0,  2221,     0,
       0,     0,     0,     0,     0,     0,  2217,  2256,     0,   498,
       0,  2013,     0,     0,     0,  2139,     0,  2136,     0,     0,
       0,     0,  2277,     0,     0,  2471,  1957,  1971,  1972,  1973,
    1976,  2448,     0,  2279,     0,     0,  1958,  1984,     0,  2257,
    2009,     0,  2014,  1999,  2045,  2242,  2243,  2244,  2245,  2016,
       0,  1992,  1997,  2001,  2052,     0,  1980,     0,  1977,     0,
    2280,  2216,     0,  2214,     0,  1968,  1969,  1970,  1962,  1963,
    1964,  1965,  1966,  1967,  1974,  2192,  2190,  2191,     0,     0,
    2162,     0,     0,  1996,     0,     0,  2077,  2617,  2655,     0,
    1706,  1706,  1706,  1694,  1704,  2447,  1845,  1717,  1845,  2453,
       0,     0,  1952,     0,  1826,   939,   940,   938,  1520,  1533,
    1547,  2218,  1541,  1683,     0,     0,     0,  1896,  1909,     0,
    1936,  1937,  1938,  1938,     0,  1878,     0,  1921,  1946,  1947,
    1948,  1949,  1950,  1951,     0,  1945,  1887,   935,  2853,  2862,
       0,  2752,  2896,     0,  1806,  1779,  1781,  1791,  1806,  1813,
    1806,  2079,  1843,  2080,  1806,  2081,  2454,     0,  1750,  2489,
    1522,  1545,     0,  1085,  1086,     0,  1090,  2876,  2752,     0,
       0,     0,     0,  1740,  1774,     0,  1765,     0,  2464,  1741,
    2463,  1742,  1745,  1746,  1736,  1775,  1616,     0,  1770,  1667,
    1666,     0,  1848,     0,     0,     0,  1594,  1582,     0,     0,
    1831,     0,  1780,  1620,     0,  2277,  1778,  1344,  1239,  1306,
    1119,     0,  1897,  1130,     0,  1114,     0,  1113,  1897,     0,
    1131,     0,  1897,  1345,  1240,  1307,  1346,  1241,  1308,  1347,
    1481,  1242,  1480,  1468,  1467,  1466,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     797,  2625,   145,  1495,  1348,     0,  1243,   362,  1496,  1309,
    1500,   815,   814,     0,     0,  1310,     0,   666,   671,     0,
     673,   674,  2544,  2606,   675,   678,   679,     0,   681,   670,
     669,     0,     0,     0,     0,     0,   687,   692,     0,     0,
       0,     0,     0,     0,  1149,  1150,  1349,  1246,     0,  1311,
       0,  1097,     0,  1247,   186,     0,     0,   282,  2625,   304,
       0,   482,   797,     0,  1297,   301,   331,     0,   346,   341,
     342,   340,  2625,   145,  2625,   145,     0,     0,     0,     0,
       0,   343,   338,   339,   335,     0,     0,   348,  2516,  2588,
    2767,     0,   698,   700,     0,   705,   351,  1267,   370,   369,
     368,     0,   356,     0,   375,   378,     0,   353,   332,   330,
     327,   297,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1199,     0,  1352,  1312,     0,  1334,     0,
       0,     0,     0,   737,  1355,  1253,  1315,     0,     0,   533,
       0,   548,   548,   533,  1366,  1254,   174,  1284,   163,     0,
       0,   159,     0,     0,     0,     0,   153,  1356,  1255,  1316,
       0,     0,  1357,  1256,     0,     0,   287,   609,   620,   625,
    1261,   629,   626,  1324,   627,  1364,  1257,     0,  1360,  1287,
    1319,   592,  1178,  1178,  1367,  1387,  1258,  1178,     0,  1295,
       0,   276,   278,     0,   142,     0,  1259,     0,  1317,  1359,
    1286,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1503,     0,     0,     0,     0,     0,     0,   145,     0,     0,
       0,  1297,  2625,   145,  1358,     0,  1292,     0,  1332,     0,
       0,   396,     0,  1285,  1295,     0,   289,  1263,     0,  1326,
       0,     0,   229,   228,   230,     0,     0,     0,     0,  2222,
    2223,     0,  2220,  2070,  2273,     0,  1514,   961,   947,   960,
       0,   943,  2586,     0,   946,   948,     0,     0,     0,   949,
     953,   954,     0,   945,   942,   944,     0,   407,     0,     0,
     754,   755,     0,     0,     0,     0,   834,     0,     0,  1493,
       0,   150,   664,     0,     0,     0,   659,   689,   694,     0,
       0,     0,     0,   460,   464,   468,   469,   470,     0,     0,
       0,     0,   164,   151,     0,   876,     0,   533,     0,   747,
    1178,  1370,     0,   194,   189,     0,     0,   710,     0,  1542,
       0,     0,   587,   590,   589,     0,   374,   829,   827,   826,
     828,   850,   825,     0,  1849,  1851,     0,     0,     0,     0,
       0,     0,   599,   463,     0,     0,   536,     0,   575,     0,
       0,     0,     0,   572,     0,     0,     0,  2497,     0,   846,
     818,     0,  1108,     0,  1126,  1109,     0,     0,     0,     0,
    1163,  1170,  1139,  1164,  1141,  1170,     0,     0,   760,   764,
     763,   767,   765,     0,   761,   638,  1654,  1655,     0,  1196,
       0,     0,  1489,     0,  1487,   898,  1190,   145,     0,   145,
       0,   145,  1198,  1192,  1194,  1395,     0,   896,     0,     0,
     889,   891,     0,   893,     0,  1005,   535,     0,     0,     0,
       0,     0,     0,  1021,   636,  1028,     0,     0,     0,  1043,
    1038,  1040,     0,  1044,   723,     0,     0,  1613,  1606,  1608,
    1607,     0,     0,  1604,  2227,   888,     0,   605,     0,     0,
    1050,     0,  1045,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1711,  2228,  2229,     0,     0,     0,  2261,
       0,     0,  2113,     0,  2085,  2087,  2099,     0,  2114,  2068,
       0,  2303,     0,     0,  2404,  2305,     0,  2432,     0,     0,
       0,  2406,     0,  2437,     0,  2409,     0,     0,     0,  2416,
    2420,     0,     0,     0,  2052,  2052,  2329,     0,     0,  2326,
    2115,  2089,  2091,  2100,     0,     0,  2208,     0,  2103,  2102,
       0,  2025,  2026,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2040,  2104,  2187,     0,     0,     0,  2106,  2105,     0,
       0,  2255,     0,     0,     0,  2111,   499,  2116,     0,     0,
       0,     0,  2122,     0,  2144,     0,     0,     0,  2058,  2218,
       0,     0,     0,     0,     0,     0,     0,  2047,  2048,  2049,
    2046,     0,  2015,  2000,  2018,  1994,  1998,  2002,  2052,     0,
    2020,  2017,     0,     0,  1988,     0,     0,  1986,  2010,  1982,
       0,     0,  2011,     0,  2076,     0,     0,     0,  2165,  2160,
    2161,  1706,  1706,  1706,  1706,  1703,     0,     0,     0,  1750,
       0,  1750,   205,     0,   238,   225,  1519,  1684,  1693,  1915,
       0,  1933,  1931,  1874,  1879,  1954,     0,  1806,  1813,  1806,
    1806,     0,     0,  1669,     0,  1791,     0,  1805,  1789,  1804,
       0,     0,  1819,  1817,     0,  1819,     0,  1819,     0,  1783,
       0,  1809,  1785,  1804,  1787,     0,  1835,  1793,  2455,  1844,
       0,  1763,  1720,     0,  2209,  1090,     0,  1722,  1744,  1743,
       0,  1733,     0,  1772,  1730,  1617,  1601,     0,  1599,  1586,
    1588,  1587,     0,     0,  1589,  2277,     0,  1599,  1581,     0,
    1625,     0,     0,  1848,     0,  1624,     0,  1897,  1111,  1112,
       0,  1135,     0,  1055,  1056,     0,  1054,     0,     0,     0,
     521,  1070,     0,     0,     0,   797,     0,     0,   525,     0,
    1498,     0,  1365,  1283,   668,     0,     0,     0,     0,   683,
     642,   684,   686,     0,     0,   685,   688,   691,  1295,     0,
     295,  1269,     0,  1330,  1143,     0,     0,  1100,     0,     0,
       0,     0,     0,     0,   481,   479,   326,     0,     0,     0,
       0,   383,     0,   306,   318,   381,   324,     0,   358,     0,
     329,     0,   322,   344,   336,   345,   337,   357,   359,     0,
     702,   703,   701,   697,     0,   704,   706,     0,   372,     0,
       0,     0,   352,     0,  1351,     0,  1295,     0,   291,  1265,
       0,  1328,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1333,     0,     0,     0,     0,   742,
       0,   739,     0,     0,   548,  1379,     0,  1376,  1374,   548,
       0,     0,   156,   155,     0,   162,     0,     0,     0,     0,
       0,     0,  1388,  1389,  1390,     0,     0,     0,     0,     0,
       0,   390,     0,   298,   300,   299,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   397,   365,     0,   853,     0,     0,     0,
     399,     0,     0,  1343,     0,     0,     0,     0,     0,  1350,
    1248,  2073,  2074,  2071,  1717,  2272,     0,     0,     0,   958,
       0,     0,     0,     0,   410,   411,   150,   409,   432,     0,
     797,     0,     0,   831,   836,   844,  2693,  2195,  2196,   842,
     837,   839,   841,   843,   840,     0,     0,     0,     0,   503,
       0,     0,     0,   490,     0,     0,   500,   483,   486,   487,
       0,     0,   660,   663,   661,   662,     0,   682,     0,   463,
     510,   562,     0,   166,     0,     0,   167,   165,     0,     0,
     374,   744,     0,   741,  1369,     0,   192,     0,   714,     0,
       0,     0,     0,     0,  1178,   652,     0,   849,   851,   823,
       0,   694,     0,     0,   611,     0,   533,  1574,   594,     0,
     564,   463,   562,   571,     0,     0,   579,   373,     0,     0,
     599,   374,     0,     0,  1071,     0,   845,     0,     0,  1107,
       0,     0,     0,  1160,  1165,  1161,     0,  1140,  1122,     0,
    1162,     0,     0,  1168,  1093,  1142,  1094,  1411,  1412,  1409,
    1410,     0,     0,     0,     0,     0,     0,  1645,     0,     0,
    1485,     0,   900,     0,   883,     0,   885,   145,   731,     0,
     145,     0,     0,     0,     0,     0,     0,  1020,     0,  1014,
    1016,  1041,     0,     0,  1050,  1047,     0,     0,  1611,  1609,
     597,     0,  1050,     0,   145,  1049,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2232,     0,  2263,  2259,
       0,  2082,  2233,  2308,  2304,  2053,  2051,  2050,     0,  2405,
    2431,     0,     0,  2434,     0,     0,  2406,  2403,  2310,  2313,
    2312,  2314,  2410,  2411,  2412,  2413,     0,     0,  2294,  2296,
    2426,  2425,     0,     0,  2424,  2421,  2406,  2336,  2333,  2338,
       0,  2289,  2290,     0,  2311,  2321,  2320,  2322,     0,     0,
       0,     0,     0,  2188,     0,     0,  2024,  2036,  2037,  2038,
    2248,     0,  2043,     0,  2033,  2034,  2035,  2027,  2028,  2029,
    2030,  2031,  2032,  2039,  2252,  2251,     0,     0,  2108,  2109,
    2110,  2254,  2117,     0,  2534,  2145,     0,  2121,  2138,  2137,
       0,     0,     0,  2124,     0,     0,  2134,     0,  2189,  2472,
    1959,     0,     0,  1985,  2258,  2003,     0,  2021,  2019,  1981,
    2208,     0,     0,     0,     0,     0,  1990,     0,     0,  2185,
       0,     0,     0,  2167,  2164,     0,     0,     0,     0,  1697,
    1696,  1702,  1763,  2070,  1763,     0,     0,  1875,     0,  1790,
    1786,  1788,  1794,     0,  2891,     0,  1795,  1802,     0,  1782,
       0,  1818,  1814,     0,  1815,     0,     0,  1816,     0,     0,
    1784,     0,  1802,     0,  1842,  1709,     0,  2156,     0,  1721,
    1088,  1089,  1731,     0,  1734,  2565,  1846,     0,  1600,     0,
       0,     0,  1591,  1597,  1579,     0,     0,     0,  1621,  1599,
    1622,  1132,     0,     0,  1124,  1061,  1062,  1065,  1063,  1060,
    1064,     0,     0,     0,   797,     0,     0,   543,     0,  1084,
    1084,     0,     0,   527,   584,     0,   800,     0,     0,     0,
     798,   145,  1244,     0,     0,     0,     0,   643,  1363,  1245,
       0,     0,     0,     0,  1144,  1298,     0,     0,  1268,     0,
     303,   480,     0,   478,   694,     0,     0,   309,   319,     0,
     314,     0,  1296,     0,     0,     0,   313,   316,   315,   385,
       0,   382,     0,   145,   145,   360,   699,   371,   376,   377,
     380,  1303,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   877,   860,     0,     0,   878,
     879,     0,     0,     0,  1201,  1202,  1200,  1335,  1336,  1341,
    1338,  1337,  1340,  1342,  1339,     0,  1251,     0,     0,   735,
    1299,     0,  1371,     0,  1375,   160,   157,   158,   161,  1300,
    1281,  1262,  1325,   593,     0,     0,     0,  1260,     0,  1318,
       0,  1277,  1271,     0,     0,     0,     0,     0,  1362,  1291,
    1323,  1361,  1289,  1321,  1288,  1320,  1290,  1322,  1282,     0,
       0,  1853,   857,     0,     0,     0,   145,   145,   856,   733,
    1264,     0,  1327,  1273,     0,     0,     0,   950,     0,     0,
       0,   952,   415,   433,   150,     0,   753,   817,     0,     0,
     833,     0,   488,     0,   494,   501,     0,     0,   505,   506,
     504,   489,  1178,   533,  1178,   786,   787,     0,     0,   807,
       0,   658,     0,     0,   461,     0,   507,     0,     0,   465,
     169,   168,     0,     0,     0,   748,   752,   750,   749,   751,
     746,     0,   737,   194,  2625,     0,     0,     0,     0,   591,
     585,   588,  1384,   824,     0,  1852,   727,     0,   374,   607,
       0,     0,     0,   461,   599,     0,   466,   471,   472,   484,
       0,   572,   563,     0,   564,   573,   574,     0,   581,  1459,
       0,   600,   581,     0,     0,     0,   848,     0,   847,     0,
    1110,  1127,  1128,     0,     0,  1170,     0,     0,  1172,  1167,
       0,     0,   766,   769,   762,   645,   145,     0,  1488,   145,
     145,  1227,     0,   894,  1035,  1036,  1037,  1034,  1033,   637,
       0,  1039,   998,   725,     0,   598,   145,     0,   999,   975,
     967,   974,   963,   966,   968,     0,   970,   971,   965,   962,
     964,  2262,  2098,     0,  2306,  2054,  2288,  2436,  2435,  2430,
    2442,     0,  2407,     0,     0,  2299,  2428,  2427,     0,  2334,
    2335,  2333,  2332,  2330,  2339,  2340,  2351,     0,  2328,  2319,
       0,  2291,  2101,  2112,     0,  2187,  2218,     0,     0,  2044,
       0,     0,     0,  2107,  2886,     0,     0,  2149,  2150,     0,
    2146,  2147,  2142,  2143,  2123,     0,  2681,  2129,     0,     0,
       0,  2007,  2005,  2004,  1989,     0,     0,  1987,  1983,     0,
    2012,  2151,  2184,  2218,  2153,     0,  1717,  1701,  1700,  1699,
    1698,  2156,  2469,  2156,   239,  1688,     0,  2376,  1838,     0,
    1841,     0,     0,  1792,     0,     0,  1796,     0,     0,  1798,
    1800,     0,     0,     0,     0,     0,     0,  2458,     0,  1762,
       0,  1717,     0,  1732,     0,  1598,  1583,     0,  1584,  1590,
       0,     0,     0,     0,     0,  1626,  1619,  1125,  1133,     0,
       0,     0,   523,     0,   538,     0,     0,     0,  1077,   140,
    1076,     0,   538,   538,   802,   801,   804,   799,   803,  1499,
       0,   676,   677,   680,  1270,     0,  1331,  1279,     0,  1615,
     305,   477,   476,   484,   312,     0,     0,     0,   307,   384,
     386,   308,   311,   365,   328,   321,     0,     0,     0,  1266,
       0,  1329,  1275,  1302,  1353,  1249,  1313,     0,     0,   866,
       0,     0,     0,     0,  1354,  1250,  1314,     0,     0,     0,
    1373,  1372,     0,     0,  1615,     0,     0,     0,     0,     0,
       0,     0,     0,  1508,     0,     0,   364,   855,   854,   365,
     398,  1293,     0,  2072,     0,   951,   956,   957,   955,     0,
     404,   412,   415,     0,     0,  1218,  1218,     0,     0,   485,
     502,     0,   583,   542,   583,     0,     0,     0,     0,     0,
     695,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   740,   739,   191,     0,   461,     0,   694,     0,   852,
       0,     0,     0,   599,   463,     0,     0,  1571,   462,     0,
       0,   474,     0,   575,   564,   572,     0,     0,   596,     0,
    1452,     0,   602,     0,     0,     0,   796,  1166,     0,  1180,
       0,  1121,  1091,  1175,     0,  1693,  1845,     0,     0,     0,
       0,   779,     0,   649,  1219,  1486,   884,   886,   732,  1042,
       0,  1046,  1050,   969,  2307,  2309,  2441,  2408,  2295,  2297,
       0,  2292,  2440,  2331,  2317,  2343,  2344,  2345,  2346,  2347,
       0,     0,  2342,  2323,  2325,  2247,  2189,  2041,     0,  2250,
    2249,  2253,     0,  2118,     0,  2119,  2148,  2125,  2130,     0,
    2126,  2127,  2008,  2006,  1991,  2186,     0,  2171,  1671,  1670,
       0,  1691,     0,     0,  2367,  2374,  2375,  1843,     0,     0,
    1837,     0,     0,  1868,     0,     0,     0,  1803,  1821,     0,
    1799,  1797,     0,  1810,     0,  1812,  2564,  2848,  2749,     0,
    1749,  1751,  1754,  1756,  1755,  1757,  1753,  2155,  2157,     0,
    1728,  2210,  1847,     0,     0,     0,  1072,     0,     0,  1627,
    1628,  1623,  1043,     0,   145,  1084,     0,  1178,   544,  2693,
     545,  1083,  1087,   139,     0,  1178,  1178,   672,     0,     0,
     284,   473,     0,   310,   320,   367,   379,     0,  1615,     0,
       0,   864,   873,   873,   861,     0,     0,   880,  1252,   736,
       0,   547,     0,   279,  1278,  1272,     0,     0,     0,  1510,
    1511,     0,     0,     0,     0,     0,  1301,   145,  1274,   959,
       0,   435,   442,   416,   420,  1502,     0,  1502,     0,   417,
     421,  1502,  1502,   414,  1845,   431,  1218,     0,  1215,  1214,
     531,   613,     0,     0,   492,     0,   553,   491,     0,   808,
       0,     0,   693,     0,   463,   562,     0,   520,   511,   512,
     513,   514,   516,   515,   517,   518,   519,   509,   508,     0,
     694,   870,   374,  1459,   734,     0,     0,   707,     0,   694,
       0,  1574,   595,   564,   463,   562,   467,   484,     0,   579,
     572,   575,     0,   576,     0,   580,     0,     0,     0,   599,
    1512,  1071,     0,     0,   797,  1179,  1140,     0,     0,  1169,
    1173,  1174,     0,     0,     0,     0,  1222,   773,   774,   768,
     770,     0,   781,   785,   644,     0,     0,   648,   639,   694,
     145,  2298,  2300,     0,  2316,  2318,     0,  2327,     0,  2337,
       0,     0,  2042,     0,     0,  2132,  2131,  2166,     0,     0,
       0,     0,     0,     0,     0,  1682,  2674,     0,  2354,  2356,
    2357,  2359,  2358,  2360,     0,     0,     0,  2315,  2364,  2365,
       0,     0,  1836,  1839,     0,  1871,     0,     0,     0,     0,
    1856,     0,  1801,     0,     0,  1811,     0,     0,     0,  1758,
       0,     0,     0,  1767,     0,  1596,  1845,     0,  1593,     0,
    1636,     0,  1629,  1057,     0,  1058,  1078,     0,   583,     0,
    1090,  1087,   533,   583,   583,  1280,     0,   613,     0,   323,
       0,   292,  1276,     0,     0,   875,   875,     0,     0,     0,
       0,     0,     0,   392,     0,     0,  1504,     0,  1505,  1506,
    1509,   400,   413,     0,   440,     0,   438,   437,   439,     0,
     428,     0,     0,     0,     0,     0,     0,   403,  1213,  1217,
    1216,     0,   493,     0,   495,     0,     0,   539,   540,   541,
       0,   497,   549,   550,   805,     0,   810,     0,   696,     0,
       0,   694,   561,   718,     0,     0,     0,  1453,     0,     0,
     586,   728,  1459,   599,   572,     0,   564,   475,     0,   581,
     575,   579,   577,   578,     0,  1456,     0,   601,     0,  1080,
     795,     0,  1170,  1181,  1176,  1171,  1415,     0,     0,   771,
     776,   775,  1502,   780,     0,     0,     0,   647,   646,   722,
    1000,     0,     0,  2348,  2350,     0,     0,  2246,  2135,  2120,
    2133,  2835,  2565,  2806,     0,  2183,  2172,  2183,  2183,  2163,
       0,     0,     0,  2372,     0,  2353,     0,     0,  2369,     0,
       0,  2381,     0,  2392,  2379,  2382,  2383,  2380,  2386,  2387,
       0,     0,  2352,     0,     0,  1869,  1870,  1854,     0,     0,
    1858,  1808,  1834,     0,     0,     0,  1752,  2158,  2159,  2488,
    1585,  1595,  1073,     0,     0,     0,  1636,     0,     0,   548,
       0,  1074,  1090,   542,   797,   797,  1615,   317,   366,     0,
       0,     0,   871,   874,   862,   863,   882,   881,   738,  1615,
       0,   388,   387,     0,   391,     0,   436,   445,     0,   443,
     418,   423,     0,   427,   425,   424,   419,   422,   530,     0,
       0,     0,     0,     0,     0,   551,     0,   552,     0,   809,
       0,     0,     0,   720,   869,     0,     0,   461,   694,  1454,
    1572,   575,   564,   572,     0,     0,   566,  1084,  1084,   448,
     579,   581,  1457,  1458,     0,     0,   500,     0,  1092,  1414,
    1413,  1693,     0,     0,     0,   782,   783,   778,     0,     0,
    2301,  2302,     0,  2341,  2324,     0,  2176,  2175,  2174,  2178,
    2177,     0,  2170,  2168,  2169,     0,     0,     0,  2296,  2355,
    2361,  2369,     0,     0,  2329,  2402,  2399,  2400,  2401,     0,
    2395,  2397,     0,  2377,     0,     0,     0,     0,     0,     0,
    2366,  1840,     0,  1857,  1860,     0,     0,     0,  1866,     0,
    1859,  1861,     0,  1820,     0,  1832,  1760,     0,  1759,  1845,
    1635,     0,     0,   145,   537,   797,   546,  1075,   553,   526,
     524,   285,  1615,   865,     0,   280,     0,   393,  1507,   441,
       0,   426,   612,   496,   582,   558,     0,   557,     0,   555,
     554,   806,   811,     0,   694,   859,  1459,   708,   579,   572,
     575,     0,   565,     0,   140,   140,   581,   446,     0,     0,
     374,     0,  1397,  1693,  1396,  1398,  1406,  1403,  1405,  1404,
    1402,     0,  1225,  1226,   772,   777,     0,     0,     0,     0,
       0,  2180,     0,  2181,     0,     0,     0,     0,  2409,  2369,
    2368,  2338,  2394,     0,     0,  2393,  2392,  2385,  2384,  2389,
    2391,  2390,  2388,     0,  1863,  1864,  1865,  1867,  1862,  1807,
       0,  1761,  1592,  1638,     0,     0,  1630,  1631,     0,  1059,
     528,   797,   293,   872,     0,   444,   556,   533,   533,   694,
     719,  1455,   581,   575,   579,  1084,   567,   569,   568,   450,
    1080,  1081,     0,   581,   785,     0,  1407,  1401,  1669,  1656,
       0,     0,   784,     0,  2349,  2173,  2179,  2182,     0,     0,
       0,     0,  2371,  2363,  2329,  2326,  2396,  2398,     0,     0,
    1633,     0,     0,     0,  1632,   529,     0,   560,   559,   721,
     449,   579,   581,   140,   500,  1079,     0,  1845,     0,  1399,
    1693,     0,     0,   790,  1687,  1686,  2853,     0,     0,  1690,
    2338,  2362,     0,  1833,  1637,  1634,     0,     0,     0,     0,
    1639,   389,   581,   447,   570,   374,  1082,  1066,     0,  1400,
       0,     0,   792,     0,   788,   791,   793,   794,     0,     0,
    2351,  1855,  1643,     0,     0,     0,   451,   581,     0,     0,
       0,   756,     0,  1717,     0,  2370,     0,     0,     0,  1845,
       0,     0,     0,   789,     0,     0,  1640,  1644,     0,  1641,
    1067,   790,  1223,  1224,     0,  1689,     0,     0,     0,   757,
    1642
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5807, -5807, -5807,  4143,  -451, -1734, -5152, -1136,  7090, -5807,
   -5807,  -970, -1372,  3345, -1767, -5807, -5807, -5807,  1447, -5807,
   -5807, -5807, -5807,  4097, -5807, -2932, -5807, -5807,   181,  4054,
   -1405,   161,  3652,  1642, -5807, -1023, -5807, -5807,  -657,     1,
   -5807,  4061,   556, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807,  -813,  2107, -5807,  2200,  1436, -3391, -5807, -5807, -1558,
   -3819, -5807,   695, -5807,   726, -4879, -1002, -5807, -5807, -5807,
    2101, -5807, -5807, -5807,  2049,  1241,  -339, -5807, -5807, -5807,
   -5807, -5807, -5807,  -806, -5807, -5807, -1132,     2,  -638, -2987,
   -4368, -5807, -5807,   558,  -380, -1535, -5807,   749, -5807,   754,
   -5807, -4899, -5807,    45, -2713, -2795, -5807, -5807, -5807,  -348,
   -1487,  1546, -5807,  -751, -1158,  1929, -2717,  -951, -5807,  -222,
   -3613, -1104,  -818,  -816,  -986, -4413, -4948, -5807, -5807, -1135,
   -3820, -5284, -5510, -4987, -5172,  1552, -5807,    17,   559, -5807,
       4, -3699, -3807,     8,   534, -5807,     9,    10, -5807,   550,
    -749,  -994, -1625, -5807,  -758, -5807, -5807, -5807, -3480, -5807,
   -5807, -5807,   177, -5807, -5807, -5807, -5807,   594, -5807, -5807,
   -5807, -5807, -5807, -5807, -3226,  2075,  2078, -5807, -4430, -5807,
    -952, -5807,   759, -3531,  1471, -5807, -5807,  1238,  4144,   578,
   -5807, -5807, -5807, -5807, -5807, -5807, -1823, -5807, -5807, -5807,
   -5807,    36,  -323, -5807, -5807, -5807, -5807, -5807, -5807, -5807,
      11, -5807,  1200,   515, -5807, -5807,  -637, -5807, -5807, -5807,
   -5807, -5807, -5807, -1200, -5257, -1316, -1295, -5807, -3555, -5807,
   -5807, -5807,  -297, -5807, -5807, -5807, -5807, -5807,  -864, -5807,
    1295, -4196, -5807, -5807,   561, -5807, -5807, -5807, -5807, -5807,
    -962,  -236,  3289, -5807,  -498,  -730, -5807, -5807, -5807,  -233,
   -5807, -5807, -5807, -5807, -5807,  -516, -1240,  5144,  4505, -1121,
   10831,  -851,  -577, -5807, -5807, -5807, -2736, -5807, -5807, -4359,
   -5807,  5138,  2526,  1763,    13, -5807,    31,   107,  3940, -5807,
    1163, -1176, -3156,   517,  -450, -5807, -5807, -5807, -3119, -5807,
   -5807, -5807, -5807, -4145,    14, -5807, -4419, -5275, -4661, -4170,
   -1169, -5807, -5717, -5235, -4121, -5807,  2106, -5807, -5807,  -572,
    -189,  3260, -5807, -1500,  2447, -1438, -5807, -2624,   579,  1643,
    3268, -3304,  -134,  3263, -3040, -5807,  -721,  1230, -5807,  -310,
   -3827, -5807, -5807, -5807, -2798,  -571, -5807, -5807,  2250,  -432,
   -5807, -5807, -5807, -5807,  -648,  3244,  -177, -5807, -5807,  4490,
   -5807, -5052, -5807,  4455, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -5807, -1493,  1412, -5807,  -848, -5807, -5807,  2219,
     800, -5807, -5807, -5807, -5807,  1498, -1237, -5807, -5807, -5807,
   -5807, -5807, -5807, -5807,  -929, -1175, -5807, -5807, -5751, -5807,
   -5807, -5807, -5807, -5807,  2385,  -975,  -757,  4362,  -235,    15,
   -5477, -5807, -5807,  -868, -5807,  3683, -5807, -5807, -5807, -5807,
   -5807,   588,   587, -5807, -5807, -5807, -5807, -4099, -5807, -5807,
   -5067, -5807, -5807,  2206, -5807, -5807,  1094,     5,  3392, -5807,
   -5807, -5807,   -14, -5807, -5807, -1033,  2553, -5807, -2410, -5807,
    -591, -5807, -5807, -1931,    16, -4415, -5807,    22, -5807, -5807,
   -5144, -1185,   365, -5807, -5807, -4046,    24, -5807, -5807, -5807,
   -5807, -5142, -5807,    50, -5688,   945, -3369, -5807,     3, -5807,
    -390,  -824, -5807, -5807, -5807, -3995,    18,   166, -5807, -5807,
      66,   350,   -49,   -34,   -26,     6,   157,  3834, -5807, -5807,
   -5807, -4679,  3848, -5807,    -5,  -880,  5198,  5200, -5807,  -906,
    -156,   547,  1759,  -687, -2640,  3764,  3755, -5807,  1749,  2568,
   -2469, -2476, -5807, -1092,  -793,  -593, -5807, -5807, -5807, -5807,
   -1695,  -684, -2646, -5807,  3774, -5807, -5807, -5807, -2382, -3431,
   -3315,  1803, -3322, -3230, -5807,  1053,  1033, -1026,   -28,    58,
   -1505,  -800,  1727, -5807, -5807,  1816,  -300, -5807, -5807,  -309,
   -3326,   997, -5807, -4649, -2838,  1823, -1082,  -750, -5807,  -911,
   -5807,  -547,  3113,  3847,  -834, -5807, -5807,  -807, 12178, -5807,
   -5807, -5807, 13719, 14335, -5807, -5807, 15499, 16144, -5807,  -576,
   16571, 12077,  -796, -1956,   -23, 16725, 18222, -1818,  1923, -3128,
    1233,  2678,    38, -5807, -2912, -1543, -5807, -5807, -5807,  -254,
    1157,   452, -5807, -4683, -4431, -5807,  2719, -2052, -5807,  -548,
    1904,  -546, -5807, -5807, -5807, -2810, -4847, -2966,  2726, -5807,
   -5807, -5807,  -175, -5807, 18587, -3296, -5807,  -846, -1011, -1622,
    3227, -3176, -1918, -5807, -5807, -5807, -3136, -5807, -5807, -5807,
     -61,  1928, -5807, -5807,  2061, -5807, -5807, -5807,  -965,  2299,
    -761, -1203,  1937, -5807, -5807, -5807, -5807, -5807, -1954, -5807,
   -5807,  -852,   106, -5807, -5807,  -672, -1982,  1256,  -850, -5807,
   -5807, -3971, -5049, -5807, -5807, -5807, -5807, -5807, -5807, -5031,
    -219, -1039, -5807, -5759, -5807,   109, -5807, -5806, -5807, -5807,
    -666, -1102,  1871,  -954, -5807,  -682, -5807, -5807, -5807, -5807,
   -5807, -5697, -5807, -5807, -5807, -5807, -5807,  -685, -4580, -5807,
   -5807, -5807, -5807, -5807, -5807, -3612, -5807, -5807,  -957,  -950,
   -3069, -3111, -5807,  -947, -5807, -5807, -5807, -5807, -5807, -5807,
   -5807, -5807, -1951,  2059, -5807, -5807,  1269, -1342, -5807, -5807,
   -5807,  4440,  -803,  2771,  -804,  6755,  -335, 13941, -1296, -5807,
    6193, -4617,   988,   141,    37,  -116,  2253,  -639,  2688,  3086,
   -5807, -5807,  5050,  8252,  -623, -1015, -5807,    -6, 10186, 10709,
   -3712, -5807
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    57,    58,    59,    60,  1103,  1108,  1914,  1933,    61,
      62,  1637,  3058,  2912,  3882,  3883,    63,    64,  1633,    65,
      66,    67,    68,  1547,    69,  1886,  3072,    70,  2748,   846,
     847,   848,  2613,  2614,  3003,  2615,  2603,  1399,  1832,  1569,
     820,   821,  1529,  1570,    72,    73,  1393,  2594,    74,    75,
      76,  1600,  1694,  1601,  1602,  1541,  5031,  5879,  3672,  2867,
    3930,  3673,  3674,  4354,  4355,  4443,  5893,  5894,    77,  1710,
    1711,    78,    79,  3040,  3848,  4496,  5430,  5431,  5693,   665,
    5054,  5055,  5680,  5681,  5907,  6088,  6089,  3073,   696,  3925,
    4580,  3873,  5125,  3874,  5126,  3875,  5127,  4923,  4924,  4344,
    4345,  3859,  4527,  4528,  2089,  5067,  4529,  3876,  5086,  5727,
    3877,  2767,  5922,  3107,  2005,  2003,  5627,  5706,  4886,  4887,
    4417,  5931,  5932,  5933,  6239,  5088,  5131,  5132,  6125,  6126,
    3928,  4586,  5138,  5488,  5704,  3570,    81,  3901,  3902,    82,
     759,  1908,  4027,   760,  3110,   697,   761,  3074,    87,  3100,
    5924,  3101,  1663,  2926,  4509,  4005,    88,  1131,  4319,  5513,
    5787,  5788,   750,    89,  1894,    90,    91,  3053,  3866,    92,
    2784,  3587,    93,    94,  3606,  3607,  3608,    95,  4537,  5449,
    1603,  3661,  3662,  3663,  3664,  4375,    96,  1889,  3081,  3082,
      97,    98,    99,  3211,  3212,   100,  2989,   101,   102,   103,
     104,  4411,  4989,  5102,  3703,  3889,  4553,  5100,   105,  3852,
    3075,  3128,  3963,  3964,  5511,  5779,  5780,  5781,  5982,  6274,
    5783,  5984,  6147,  5986,  5077,  6423,  6424,  5764,  4308,  4900,
     107,  5078,  5079,  5937,   108,  2782,   109,   110,  1863,  3046,
    3047,  4510,  3117,  3938,  3939,  4566,  4567,   111,  3790,   112,
    4965,  4966,   698,  5945,  5885,  6074,   113,   114,  4969,  4970,
     115,   116,   117,   118,   119,   751,  1065,  1066,   753,  1186,
    1187,  3542,  1148,   120,  2623,   121,  3828,   122,  1261,  5190,
     123,   785,  1202,  1203,  3076,   125,   795,  3231,   797,  3196,
    3197,  2021,  4009,  4010,  4654,   126,   127,  3208,  3234,   128,
    1534,  2758,  2759,  4881,  3077,   699,  3565,  5615,  5338,  5616,
    6136,  6342,  5339,  3486,  4257,   130,   700,  1575,  2823,  1154,
    1155,  3121,  3943,  2728,  2729,  1733,  4607,  2731,  3945,  2732,
    1508,  2733,  1141,  1142,  3951,  3952,  3953,  3954,  4603,  4613,
    4614,  5505,  5772,  4610,  1882,  5499,  5500,   131,  1572,  2820,
     132,   133,   134,  1616,   990,  1164,  1165,   135,   712,   713,
     136,  5698,   137,  1144,   138,  5509,   139,   140,  1246,  1247,
     812,   141,   142,  2837,  4357,   143,  1573,   144,   145,  3697,
    3698,  4981,   146,   147,   148,  2898,  2899,   149,   150,   151,
     152,   153,  6264,  6345,  6346,  6347,  4621,  6141,   154,  1234,
     155,   156,   157,   158,   196,  1031,  1032,  1033,   943,  3078,
    5490,   160,   161,  1530,  1531,  1532,  1533,  2753,   162,   163,
     164,  3973,  3974,   165,   166,   167,   168,  1866,   169,   170,
    5671,   171,   172,  1836,   173,   174,  1039,  1040,  1041,  1042,
    1834,  3430,   659,   865,  1424,  1430,  1473,  1474,  1475,   176,
     763,   177,  1237,  1070,   764,  1195,   179,   765,  2710,  3516,
    4272,  4273,  4274,  4277,  5322,  4858,   766,  3512,   182,  2028,
    3217,  3220,  3508,   767,  3522,  3523,  3524,  4281,   768,  5619,
    5620,  6055,  6316,  6317,  6374,  6410,   769,   787,  1134,  3132,
     770,  1346,   188,   189,   190,   923,   868,   869,  3435,  5571,
    5815,   192,  2587,  3413,   804,  1479,   911,   912,   913,   932,
    3013,  2676,  2677,  2701,  2702,  1488,  1489,  2689,  2693,  2694,
    3499,  3492,  2682,  4251,  5600,  5601,  5602,  5603,  5604,  5605,
    4847,  2697,  2698,  1491,  1492,  1493,  2706,   193,  2666,  3465,
    3466,  3467,  4227,  4228,  6203,  4242,  4238,  4832,  5299,  3468,
     857,  1232,  1500,  4840,  6205,  3469,  5288,  5289,  5580,  4246,
    3478,  4268,  3913,  3914,  3915,  3470,  5839,  5840,  6200,  6201,
    5582,  5583,  2734,  1453,   896,  1347,   897,  1466,  1348,  1440,
     899,  1349,  1350,  1351,   902,  1352,  1353,  1354,   905,  1432,
    1355,  1356,  1449,  1462,  1463,  1357,  1425,  5584,  3374,  4064,
    4686,  1359,  1360,  1361,  3472,  1362,  4776,  5259,  5245,  3336,
    3337,  2610,  4772,  4140,  4766,  2580,  2584,  5311,  5607,  5608,
    3406,  4189,  4803,  5276,  5811,  6005,  6006,  6162,  1363,  1364,
    1365,  3398,  2574,   993,  1366,  4512,  2576,  3327,  3305,  1736,
    3306,  2031,  2053,  3250,  3266,  3267,  3375,  3307,  3315,  3320,
    3328,  3360,  1367,  3252,  3253,  4050,  2055,  1368,  1037,  1739,
    1038,  1468,  3355,  1369,  1370,  1371,  1372,  1373,  3280,  3281,
    4709,  5215,  6021,  5531,  5791,  5792,  3282,  4061,  4684,  5204,
    5524,  4725,  4726,  4703,  4704,  4705,  5829,  5537,  5538,  4727,
    4728,  4729,  1374,  4719,  4720,  5223,  5221,  5226,  5227,  5799,
    5540,  5541,  3474,  5287,  5817,  5818,  5819,  5820,  5821,  5830,
    5831,  6174,  5822,  5823,  6014,  5574,  5575,  6022,  6296,  6024,
    6025,  6026,  6027,  6028,  6029,  6030,  5576,  6179,  6180,  6181,
    4075,  3277,  1375,  4706,  4707,  1376,  1377,  3286,  3287,  3288,
    3289,  3290,  3291,  4084,  1378,  3278,  4071,  1379,  1380,  1381,
    4073,  1389,  1390,  1383,  2022,   858,  5295,  1190,  1819,   801,
    1384,  1385,  1386,  1387,  1609,   964,  1157,  1158,   914,   916,
     917,  2670,   655,   647,   966,  3665,  2577,   656,   649,   650,
    1824,  2578
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     648,    71,    80,   184,    83,   175,   191,   922,    84,    85,
      86,   106,  1662,   124,   129,   159,   178,   956,   185,  1831,
    1426,  1820,   180,  1735,   181,   997,   762,   191,  1002,  1494,
    1382,  1097,  1394,   933,   991,  1043,   992,  2939,  1948,  2861,
     860,  1223,  1224,  1225,   644,   910,  2832,  1229,  2766,  1480,
     183,  1482,  3569,  1715,  1135,  1667,  1445,  1727,  1465,   789,
    1421,  3509,  2002,   944,  2050,   789,   186,   825,  3510,  2730,
    3872,  1436,  1437,  1825,  2824,  1891,  4030,  4346,  3095,  2043,
    4266,  1444,  3955,  3272,  3276,  3279,  1408,  4565,  1137,  4013,
    4199,  3296,  4201,  2844,  2833,  1170,  1513,  1451,  1420,  4418,
    1000,  3223,   856,  2034,  4702,  3535,  3537,  2036,  3007,  1183,
    2037,  2038,  1864,  4591,  1022,  4578,  1869,  3294,  1196,  3293,
    3297,  1873,  2900,  2900,  1604,  4325,  2900,  4370,  4616,  4372,
     796,  1883,  4888,  3249,  4849,  1043,  2730,  3894,  3787,  2969,
    2970,  5116,  5292,   826,  1064,  1903,  4514,  4241,  4224,  1626,
    3162,  3345,  4280,  4883,  1643,  5492,  3755,   935,   714,  2815,
    1168,   927,  5124,  1172,  4066,   936,  1197,   802,  2662,  5134,
    1180,  5085,  3903,  5613,   653,  5145,  1937,  5536,  4080,   232,
    3114,   704,  1401,  4086,  4949,  4088,  5485,  5632,  1043,  4255,
    5710,   648,  5304,  1661,  5306,  5539,   819,  1576,  2965,  5749,
     648,   967,  1693,   853,  4279,  3416,  5453,   871,   648,  3418,
     967,   648,  1720,  5133,  3428,  1608,  1137,  5640,  3504,  2815,
    5762,  4575,   845,  3501,   967,  2996,  4087,  4286,  4089,  5340,
    5481,  4864, -1938,  1876,  4169,  1571,  2815, -2609,  4239,  5959,
    4244,  1043,   771, -2650,  4247,  1487,  4170,   710,  1490,  1900,
    2667, -2676, -2717, -1938,  5484,  4068,  5947,  1899, -2530, -1897,
   -1910,  3480,  5663,  4104,  1543,  3312,  4157,  3891, -2497,   771,
   -2498, -1930,  5707,  1930, -1935, -1955,  1571, -2497, -2497, -2498,
   -2498,  1571,   663,  1015,  1833,  1420,  3831,  1204,  3834,  3835,
   -1925,  1124,  3092,  3839,  3840,  3841,   710,  3843,  3844,  3845,
    1433,  1434,  4081,  1043,  3228,  2110, -2613,  2795,  5192,  5193,
    5194,  1443,  5196,  5197,  5198,  5199,  5200,   771, -2462, -2902,
    1605,  2976,   710,   710, -2461,  1856,   771,   710, -2902, -2902,
    3353,  5701,  1410,   710,  5250,  1208,  2026,  2627,  2981,  3353,
    1861,  5825,  6184,  2835,  5673,  5674,  2845,  1880,  1983,  3601,
     187,  2835,  3862, -2193, -2373,  2963,  2600,  1930,  1605,   710,
   -2193,  1398,  2835,  4437,   771,  6209,  6175,  4104,  3191,  1627,
    2629,   187,  5407,  4081,   710,  2900,  4068,   771,  5794,  1544,
     942,  4326,  3038,  2621,  5699,  1930,  1930,  -150,  4017,  2683,
    6266,  2903,  2778,  -150,  2907,  1027,  5408,  5870,  3104,  5146,
    4601,  1502,  5927,  2779,  5805,  1219,   921,  5014,  5752,  2754,
    6254,  6255,  3056,  3448,   777,  6291,  5785,  1189, -2673,  1137,
     777,  2755,  6327,  5753,  1724,  3105, -1746,  1069,   777,   777,
    5672,  6458,  1930,  1727,  5639,   777,  1543,  2684,   778,  2756,
    3401,  2862,  6188,  2673,   778,  3209,  3602,  6185,  3061,  1820,
    5446,  6131,   778,   778,  5247,  1825,  3451,  4967,  1913,   778,
    1878,  3812,  3506,  3800,  5641,  1483,  3863,  5961,  1556,  1705,
    2835,  3483,  5224,  2601,  6288,  6119,  3646,  6176,  1436,  1437,
    1930,  1027,  3603,   777,  1628,  6365,  5980,   194,  2680,  3449,
    5434,  5454,  4441,  2110,  5363,  3093,  1930,  6360,  1028,  2103,
    2835,  2608,  5219,  2669,   992,  4270,  5881,   778,  3395,  1444,
    2871,  3067,  6266,  4292,  1930,  3396,   771,  5337,  1435,  1193,
    2663,  2835,  6361,  5435,  3604,  2627, -2212,  1956,  4158,  4069,
    1451,  3097,   195, -2212,  5981,  5095,  5750,  5225,  4444,  3647,
    5455,   934,  4271,  4442,  2609,  3210,  3785,  2835,  2835,  5669,
    5928,  1544,  1485,  2686,   992,  4104,  1930,  1256,  2629,  2110,
    4028,  1091,  3484,  1029,  6175,  4502,  2665,  1101,  5248,  1946,
    3062,  5447,  5670,   884,  3507,  4562,  4082,  1459,  1706,  1115,
    1931,  2780,  6177,  6408,  1028,  2104,  4968,  3402,  2023,  2643,
    1220,  2627,  6364,  1259,  6430,  3213,  1411,  6328,  1979,  2033,
    5786,  2681,  5015,  2047, -1746,  6400,  5738,  1725,  2602,  1986,
    1459,  1825,  2757,  3057,  4159,  2687,  5884,  2044,  6383,  1503,
    6256,  5754,  5806,  2781,  2629,  1030,  3106,  2590,  2772,  5929,
    3605,  5096,   863,  3233,  3233,  4018,  6062,  1137,  1545,  6266,
    5795,  4326,  5347,  3065,  5918,  1129,  3039,  4082,  2604,  1029,
    4069,  3192,   967,  2616,  2616,  2716,  5594,  2622,  2664,  2750,
   -2378,  1881,  2862,  2942,  1931,  5702,  1629,  1074,  4514,  2027,
     191,   967,  3094,  1412,  6406,  3864,  6130,   967,  6013,  2863,
    5409,  2846, -2673,  6404,  -434,  1252,  1071,  2934,  1072,   967,
    2937,  1862,  1931,  1931,  4984,  2847,  6059,  2848,  1433,  1434,
    4160,  6064,  6065,  1546,  2964,   967,  4494,  4495,  1630,   922,
     648,  1030,  4438,  3354,  1073,   910,  2944,  3005,  3006,   648,
     967,  5097,  4175,  2995,  6178,  3513,   648,  3214,   967,   648,
    1075,  5094,  2982, -2193,  1446,  1443,  1447,  2800,  6332,  1931,
    1431,   910,   967,  1631,  1932,  2977,  2598,  1862,  1200,  5826,
    4893,  3004,   967,  2668,  1448,  1446,   664,  1447,  3445, -2673,
    2849,  1035,  2983,   191,  2879,  1036,  3865,  2906,  4070,  6331,
   -2609, -2673,  5142,  2862,  4119,  1450, -2650,   783,   784,  1495,
    1137,  1435,  1439,  5141, -2676, -2717,  1258,  1931,  1137,  1137,
   -2497, -2530, -2498, -1930,  2802,  5954, -1935,  2065,  4602,  2878,
    6189,  4992,  1068,  1931,  2809,   967,  4994,  2707,  3245,  1201,
    2708,  1206, -1925,  1210,  2923,  4083,  2573,  2957,  2958,  1214,
    5556,  1931,  2027,  5326,  6382,   783,   784,   648,   648,  3012,
    6085,  3610,  3813,   967,  1606,  1607,  5523,  6248,  1035, -2613,
   -2462, -2902,  1036,  3180,  2106,  2588, -2461,  3048,  5957,  3421,
    2864,  2819,  1136,   714,  3164,  6428,  1939,  1943,   967,  6258,
     648,  3686,  1231,  1931,  1843,  2645,  2646,  1635,  1848,  5220,
    1849,  6412,  1606,  1607,  6407,  4116,  4117,  4118,  4119,  1847,
    2865,   992,  4475,  4514,   910,   783,   784,  3190,  3397,   935,
    1636,  2924,  6277,  1726,  2927,  2928,  4241,   936,  5098,  3205,
    2863,  -150,  -150,  1954,  2819,  2866, -2212,   648,  4910,  4954,
    4288,  4664,  4289,  1838,  1228,  4829,  1862,  1228,  1231,  4833,
     967,  2819,  6178,  4282,  6221,  3514,    71,    80,   184,    83,
     175,   191,  4563,    84,    85,    86,   106,  6225,   124,   129,
     159,   178,  4575,   185,  5536,  5057,  2860,   180,  1235,   181,
    1528,  1976,  1217,  3215,  4432,  4433,  4715,  4716,  4730,  4434,
    4694,  4556,  5539,  4563,  5866,  1035,  6334,  1979,  1257,  1036,
    5099,  2887,  6129,  1615,  3216,   183,  1391,  2773,  2760,  1400,
    1136,  1402,   864,  1946,  4653,  1946,  4873,  4819,  5348,  4821,
    4822,   186,  3581,  4530,   954,  4688,  3049,    40,  1499,  2568,
    2569,  2570,  2571,  2572,  2573,  1699,  1087,  3601,  6123,  1895,
     788,  2863,  2585,  1550,   187,  4260,   788,  3066,  1397,  5056,
    4206,  3501,  1405,  5053,  1427,  2936,  6408,  4653,   648,   648,
    1821,  2794,  4611,  1535,    44,  4413,   967,  5737,  2774,  1151,
    4787,   648,  4019,  4048,  3678,  6280,   910,   648,  1700,  6381,
    3850,   648,  1896,   648,  2862,  2862,  5083,   910,  3285,  2762,
    6111,  4114,  4115,  4116,  4117,  4118,  4119,  2570,  2571,  2572,
    2573,  2864,  3259,   910,  2862,   710,  6122,    48,  2862,  2763,
    6322,   937,  6409,  6102,  2885,  2669,  3026,  6313,  1266,   937,
      49,  4104,  4554,  1517,  2640,  4105,  4106,  4107,  6314,   930,
    4489,  2865,  6337,  6338,  3602,  3329,  5743,   187,   921,  3718,
    4982,  3668,  1704,    50,   710,  5121,  3351,   648,  1705,   648,
     648,  2088,  3473,  5507,  6235,   710,  2866,  1965,  6281,  4962,
     710,  5110,  3380,  3515,  6176,  2810,  2966,  4021,  4348,  1825,
    4283,  1455,  5122,  3601,  6257,  3726,  5165,  3777,  1536,  1266,
    2110,   705,  4104,  3556,  6155,  4321,  4105,  4106,  4107,  3108,
     967,  6438,   710,  3104,  3070,  4888,  1227,  2860,  5121,  3669,
    1966,   938,   819,  1685,  6249,  3959,  6145,  5838,   930,   938,
    5646,  1518,  2864,  1136,  3260,  6033,  5320,  2592,   648,  3778,
    3105,  1266,  4850,  2893,  4104,  5122,   660,  3719,  4105,  4106,
    4107,  2852,  2760,  3246,  1043,  3248,   191,   799,  2775,  6146,
    2917,  3255,  2865,  3202,  3203,  2629,  4781,  3269,  3270,  1456,
    4022,   967,  2761,   939,  3779,  3726,  2886,  1706,  6282,  3298,
     910,  6414,   967,  2811,  4511,  1519,  2853,  2866,  3317,  6177,
    3602,  1701,  3557,  3771,  3332,  1897,  6023,  2764,  3071,  3772,
     967,  3539,  3720,  4349,   967,  5535,  4261,  5084,  4963,  1228,
    3330,  2593,  3261,  6433,  -689,  3960,   648,  4617,  4851,  6339,
    2862,  3679,  2956,   934,  3851,   187,  3381,  1266,  2860,  4108,
    4104,  3382,  3670,  2762,  4105,  4106,  4107,  4852,  3605,  4020,
    3568,  3534,  2863,  2863,  3629,  1457,   922,   710,  1458,  5471,
    5943,  4109,  5940,  2763,  2776,  3611,  3143,   648,  1922,  5951,
     955,  5483,  2863,  3721,  6466,  4396,  2863,  5477,  4531,  1881,
    3155,  3011,  1088,  3475,  4608,  2586,  5953,  3582,  5502,  5332,
    1537,  3383,  5956,  3161,  3892,   648,   648,   648,  3262,   648,
    2104,  3263,  5968,  5123,  6195,  6380,  5939,  6236,  1520, -1745,
    1702,  1123,  4612,  1862,  1898,  1152,  6387,  4618,  3773,  5989,
     648,  3139,  4109,  1967,  5075,  2765, -1897,  3457,  4964,  1988,
    3141,  1990,  1538,  1992,  2029,  1994,  5955,  1996,  1997,  1998,
    6283,  5536,  3251,  3687,  2000,  3154,  4110,  5508,  3156,  3822,
    4889,  5465,  1455,  3160,  3173,  6413,  6117,   967,   711,  5539,
    3815,  1136,  2862,  3827,  4109,   967,   967,  1539,  5321,  1707,
    2625,  2862,  2749,  2815,  4422,  1124,  1459,  2997,  3612,  5189,
     940,  4544,  6103,  1593,  3605,  6436,  6315,  5808,   940,   648,
    4397,  6237,  6355,  3303,  4262,  3722,  4322,  3688,  3193,  2862,
    6023,  4430,  3199,  3200,   992,  2674,  2675,  4110,  2679, -1897,
    6449,  1708,  1862,   936,   936,   706,   936,  3671,  1821,  3264,
    6238,  6196,  6271,  2864,  2864,  4853,  4204,  5919,  3540,   657,
    1456,  2764,  1968,  3541,   831,   648,  2939,  1540,  5864,   648,
     648,  4350,  4351,  2864,  3384,  5847,  1709,  2864,  2105,  4110,
    4109,  4101,  4102,  2865,  2865,   648,  4121,  2107,  5325,  3961,
    6139,   910,  1125,  6157,  5293, -2458,  3648,  1673,  2863,  6303,
    4660,  6113,  4352,  2865,  3962,  5296,   707,  2865,  2866,  2866,
    5300,   658,  1525,  5302,  1526,  2589,  1477, -1745,  6372,  1460,
    5076,  3614,  3244,  2984,  4619,  5182,  4152,  4153,  2866,  5070,
    3774,  3473,  2866,  5186,  1136,  5858,  1457,  2606,  2607,  1458,
     187,  5450,  1136,  1136,  1499,   708,  1499,   709,  4723,  2860,
    2860,   928,  4698,  3723,  1923,  5860,   809,  5155,   910,  3649,
    4100,  3724,  3265,  1674,  3725,  4110,  4699,  3417,  1924,  2860,
     832,  5534,  3775,  2860,  6271,  5211,  5909,  4698,  5911,  2765,
    5809,  5861,  5915,  5916,  4111,  4112,  4113,  4114,  4115,  4116,
    4117,  4118,  4119,  5828,  1483,  5218,  4620,  6373,  4741,   910,
    4742,  4545,  4398,  2064,   810,  1675,  5717,  3776,  2052,  2768,
    3944,  5810,  1676,  3224,  5920,  1825,  1677,  3125,   929,  3615,
     803,  6197,  1478,  4440,  1528,  1925,  6198,  4338,  2061,  1528,
    2863, -1897,   910,  3166,  2683,  5756,  3921,  2769,  1820,  2863,
    3126,  3903,  1648,  5757,  4399,  4111,  4112,  4113,  4114,  4115,
    4116,  4117,  4118,  4119,  4514,  5751,  5742,  1459,  1126,  6158,
    5718,  6199,  3189,  5719,  1649,  2985,  3194,  2863,  2730,  2864,
    5720,  3201,  2730,  4661,  3204,  1241,  6140,  6052,  6247,  4400,
    4723,  1485,  2684,  3564,  1027,  2101,   811,  4111,  4112,  4113,
    4114,  4115,  4116,  4117,  4118,  4119,  1127,   967,  5721,  2865,
    2929,  6271,  5071,  1528,  1483,  4339,  1946,  1528,  5859,  4698,
    1484,   930,   648,   648,   648,  1035,  1650,  1632,  1266,  1036,
    3554,  4104,  5115,  4724,  2866, -3028, -3028, -3028,  1926,   975,
     830,  1486,  3475,  6398,  4044,  2960,   976,   977,   978,  6061,
     661,  2638,  5047,  5068,  3142, -1071,  4511,  5051,  2685,   866,
     788,  2769,   788,  4743,   788,  4477,  5112,  1128,  5722,  1129,
     788,  1215,  1216,  1130,  4912,  2860,  1242,  3152,   992,   992,
    1460,  5723,  4980,  4111,  4112,  4113,  4114,  4115,  4116,  4117,
    4118,  4119,  5662,  5724,   827,  3701,  3436,  1028,  3135,  5880,
    4927,  1485,  4956,  6167,  1678,  1461,  6171,  2943,  2686, -1669,
    1927,  2864,  6444,  5074,  6330,  2951,  3127,  2770,  1651,  6071,
    2864,   967, -1669,  6172,  4351,  6358,  4435,  5069, -1669,   934,
     934,  1266,   934,   910,  4104,  4928,  5758,  4952,  4105,  4106,
    4107,  2865,  1679,   924,   910,  3675,  1680, -1897,  2864,  6359,
    2865,  1486,  1199,   194,  4940, -1897,  1821,  1435, -1897,  1464,
     910,  4700,  1029, -1897,  2930,  4724,  2866,   931,  2931,  1617,
    2687,  3699,  3702,  4701,  5344,  2866, -1669,   854,  2865,   967,
    1652,  1681,    40,  6144,  1653,    40, -1716,   967,  1682, -1669,
   -2481,  1445, -1716,   925,  -173,   967,  6072,   194,   195,  6379,
    2938,  3505, -1669,  2866,  4436,  1240,   992,  2860, -1669, -1669,
      40,  5290,  1928,  5946,   910,  4953,  2860,  3473,  1011,    44,
    3473,   941,    44,   648,  1030,  -173,   648,  1946,  3737,   910,
    5960,  4929,   910,   910,  1946,  1655,   648,   648,  3182,   967,
     967,  6217,   195,  1593,  2860,  5812,  1618,    44,  5345,  1012,
    3184,   648,  5967,   967,   648,  1664, -1669,  1243,  1422, -1669,
    3182,   788,    48,   910,   910,    48,   967,   967,  3473, -1669,
    3699,  4511,    35, -1716,  1648,    49,  3473,  3781,    49,  6173,
    1407,  3433,  5645,  1657,  3182,  1266,  5590,  2110,  4104, -1669,
      48,   191,  4105,  4106,  4107,   657,  1649,  1665,    50,  1244,
    1245,    50,  5725,  2909,   648,  5726,  3434,  1658,   648,   648,
    4782,  1635,  3782,  2948,  4875,  3627,  5813,  3275,    56,  2627,
    1472,    56,  5535, -1716,  3977,  1411,  4110,  1660,  5677,  3080,
     788,  5522,  5784,  3085,  1636,  1074,  3860,  4253,   191, -1669,
    3477,  1645,  2949,   648, -3028,   648,    56,   926,  1650, -1669,
     648,   648,  2629,   942,  1071,  4896,  1072,   648,   648,   648,
     648,   648,   648,   648,   648,   648,   648,   648,   648,   648,
    3207,  3568,   648,  3230,   648,  1881,   648,   648,   648,   648,
     648,   648,  1073,  1646,   648,  3218,   648,   648,  4693,  6341,
     648,  5472,  4282,  2730,   952,  4710,  4711,  5452,  1075,  3816,
    3817,  3818,  1412,  2730,   910,   648,   648,   648,  3780,  3736,
    1666,  1881,  2939,  3000,  1252, -1669,  3185,  4933,  3475,  1946,
    1509,  3475,  4337,   648,  3710,  1821,  3001,  3786,  4676,  4110,
    1137,  5365,  4714,  4304,  6121,   950,  5476,  4232,  5370,  4148,
    1651,  3713,  4897,  6232,   973,  6138,  6120,  3761,  3229,  3711,
    3186,  3712,  2840,  3174,  2841,  3175,  3002,  3176,  1510,  3177,
    1979,  3178,  1511,  5669,  3187,  3179,  4639,  3971,  3738,  3475,
    4233,  5463,  3783,  5622,  5065,  5624,  3741,  3475,  1504,  3744,
    5773,  3806,  5938,  4652,  2730,  4835,  5670,  3624,  2998,  2910,
    1635,   974,  2835,  3822,  2913, -1669,  3903,  1512,  4109,  4484,
    3188,  5066,  1652,  3268,  2836,  2900,  1653,  3784,  4235,  5971,
    5912,  4045,  1979,  1636,  4876,  5913,  6416,  2842,  4046,  4898,
    1505,  4877,  2938,  4899,  3907,  3908,  3909,  3910,  4878,  3912,
    2999,  1514,  4653,  -150, -3028, -3028, -3028,  4114,  4115,  4116,
    4117,  4118,  4119,  1441,  1442,   981,   982,   983,   984,   985,
     986,   987,   988,   989,  3940,  1506,  2929,  1655,  1635,  2835,
    4896,   777,  4818,  1035,  4879, -1668,  4439,  1036,  2987,  5914,
     648,  2843,  2993,  1515,  5442,  1026,  5444,  4816, -1668,  1670,
    4380,  1636,  4515,  4110, -1668,   778,  4880,  4737,  4738,  4739,
    4740,  1901,  4381,  4744,  4745,  4746,  4747,  4748,  4749,  4750,
    4751,  4752,  4753,  6250,   676,  1657,  5988,  5950,  1516,  6137,
    5425,  4476,  5426,  5427,  5428,  1902,  2852,  4702,  4138,  1017,
    1695,  1671,  4285,   648,  4145,  1581,  1077,    40,  1973,  1658,
    4518,  1582, -1668,  1116,  4237,   187,  1403,  4111,  4112,  4113,
    4114,  4115,  4116,  4117,  4118,  4119,  1688,  4897,  5016,  1660,
    2109,  2853,  1974,  2110,     3,     4,  1672,  4792,  4793,  2596,
    3933,  1648,  1696,  5033,    44, -1668,  1697,  1034,  5917,  4515,
    1117,  4587,  5017,  4062,  5777,  4516,  1584,   678,   648,  4393,
    1035,  1079,   187,  1649,  1036,  2627,  5034,  -604,  5669,  4517,
     233,  4520, -3028,  1116,   788,  4063,   662,  1698,  5778,   788,
     788,  6389,  2872,  5790,   754,  6390,  1118,    48,   771,  4889,
    2930,  5670,  3502,  3503,  2931, -1668,  3274,  4518,  2629,  4519,
      49,  4394,   828,  4889,  4898, -1668,  1084,  2644,  4899,  6333,
    1117,  1689,  3895,  1585,  1112,  1650,  2651,  4004,  2652,  3331,
    1586,  6343,  2655,    50,  1587,  3718,  6215,  4872,  1638,  2661,
    -603,  6456,  1435,  6459,  2663,  1119,  4395, -1740, -1740,  5535,
     965,   756,  1446,    56,  1447,  4103,  4557,  1712,  3878,  1001,
    1716,  1826,  1588,  6470,  5883,  1098,  1827,  4131,  4520,  5887,
    5888,    15,  1448,  1023,  1446,  1469,  1447,  3009,  3010, -1657,
    4154,  4111,  4112,  4113,  4114,  4115,  4116,  4117,  4118,  4119,
    5438,  1089,  4258,  1090,  1450,  4523,  4521,  1589,   771,  6219,
    6220,  4200,  4155,  2104, -2454,  1119,  1120, -2455,    20,  1035,
    1517,  1222,  1035,  1036,  1222,  5543,  1036,  1651,  4231,  5827,
    6051,  5544,  1093,  3719,  1094,  4698, -3028,  1205,  1207,  1209,
     788, -3028,  1211,  1212,  1213,  1121,  3338,  5993,   786,  3341,
     788,  4524,  1218,  5994,   786,   689,  4186,   690,  1139,   648,
     648,   648,   648,   648,   648,   648,   648,   648,  4525,   648,
    1122, -1668,  6297,  6298,  6299,  6300,  6301,  6302,  1143,  1435,
     648,  1464,   648,  4889,   694,  1150,  1690,  4522,  3720,  1652,
    1591, -3028,  4523,  1653,  1215,  1216,  6437,  1159,  1985,  3591,
    1592,  3595,  3596,  1827,  1160,  2051,  4232,    56,  1518,  2938,
    1593,  2035,  3594,  1166,   992,  3752,  1827,  3753,  2624,  1177,
     648,  3757,  1594,  1827,   648,  5635,  5636,   648,  4445,   648,
    3429,  3359,   648,  3450,  3452,  3453,   648,   788,  4524,  4233,
     788,   788,  1194,  3879,  1655,  2637,  4211,  4212,  2634,  3721,
    2638,  3588,   657,  2671,  4234,  4525,  4327,  1821,  1827,   648,
    6320,  1184,  1519,  4202,  1691,  2616,  5290,  1596,  1597,  4526,
    3170,  1435,   771,  2663,  3181,  2638,   648,  4235,  3183,  3182,
    1221,  4287,  4356,  3182,  3221,   648,   648,  3473,  5679,  3222,
    3432,  3473,  1657,  3437,  1222,  1979,  3526,  3621,  2638,  1692,
    5064,  2638,  3622,  3471,  1226,  4236,  4624,  1233,  3130,  3623,
    3131,  4625,   967,  3693,  1230,  4248,  1658,  1236,  3694,   910,
    3856,  1238,    32,   910,   910,  3857,  5972,  4939,  3995,  4173,
     967,  1250,  4043,  3182,   967,  2664,  1660,  2638,   967,  1035,
    4052, -2462,  1249,  1036, -3028,  2638,  3422,   967,  1825,  5117,
    4058,  1239,  4511,  4059,    40,  2638,  4526,  4090,  2638,  3473,
    4573,  1251,  2638,   676,  1252,   967,  6375,  4123,   648,  1599,
    1255,  3722,  2638,  4137,  1253,  1520,  3517,  1254,  2638,   648,
    1262,   910,   648,  1260,   648,   648,  3558,   910,  3561,  1406,
    3555,    44,  4930,  4142,  4936,  3717,  4330,  4209,  4143,   967,
    1137,  4231,  2638,  4237,  4373,  4378,  4404,  4920,  4473,  4374,
    4379,  4405,  4596,  4405, -1744, -1744,  4599,  4597,  3880,   967,
     967,  4600,  4630,  5317,  1413,  4762,  5149,  4631,   910,  5868,
    4763,  4625,   788,  1409,    48,  4911,   678,  5873,  5874,  1521,
    4773,  1415,  3048, -1096,  4784,  4774, -3028,    49,  1414,  2638,
    1821,   967,  2730,  4663,  1821,  3609,  1446,  4003,  1447,  2568,
    2569,  2570,  2571,  2572,  2573,  4191,  4560,  4192,  4860,  3881,
      50,  4866,  4388,  4861,  5765,  3803,  4867,  1522,   967,  4232,
    1821,  1523,  4871,  6312,   967,    35,  1423,  3541,  3475,  1428,
      56,  4532,  3475,  4955,  1136,    40,  1431,  5118,   967,  3723,
    1419,  6213,  3182,  1438,  5183,   967,  4231,  3724,   967,  2027,
    3725,  4193,  4233,  4194,   967,  1429,  1524,  4293,  4294,  5235,
    5272,  5328,  1452,  5334,  2638,  2638,  3541,  4234,  5335,  4314,
    1092,  1435,    44,   676,   967,  1439,  1092,  -459,  5341,  5342,
     967,  5343,  1454,  3182,  3182,  4889,  3182,   967,  1092,  1525,
    4235,  1526,  5478,  1402,  5515,  3709, -1069,  5479,  4414,  4631,
    3475,   967,  4419,  1137,  1987,  1469,  4584,  1989,  4585,  1991,
    5853,  1993,  1470,  1995,   967,    48,  1481,  1999,  4236,  1821,
    1496,  3359,  5553,  1497,  4232,   967,  3751,  5554,    49,  5555,
    5577,  4503, -1743, -1743,  2638,  5578,  5587,  6262,    29,  6007,
    6008,  1979,  1527,   648,   648,   648,   678,  5297, -1669,   648,
    4717,    50,  4718,  5593,   689,  3464,   690,  4233,  4570,  3473,
    3473, -1669,  1498,  5595,  5712,  5732,  5135, -1669,  4570,  5713,
    3182,    56,  4234,  1402,  5766,  5836,   648,   910,  1464,  5767,
    5837,  6163,  6164,  1877,  5842,  1821,  6127,  3257,  3258,  1979,
    4036,  5845,  4038,  4039,  1548,  4235,  4570,  1402,  1501,  -459,
     187,  6417,   680,  4409,  3299,  3300,  5856,     3,     4,  5902,
    1507,  5857,  4862,  1574,  5903, -1669,  4237,  5942,   648,  5969,
    1577,  5998,  2595,  4236,  5857,  4425,  4143,  5058,  5999,  5059,
    6015,  6037,  5128,  2638,  3344,  6016,  6038, -2499,    40,  6041,
    3944,  6042,  4033,  5238,  1979,  5239,  2638,  4812, -1669,  4814,
     910,  6070,  4865,  6076,   910,  6077,  3222,  5281,  3222,  5283,
    3222,  1579,  3471,  6460,  3797,  1615,  4768,  6080,  1580,  6081,
    5476,  1619,  2638,   756,  2638,    44,  4550,  6082,  6109,  6191,
     919,   920,  6083,  6110,  4570,  4891,  4892,  6206,  1620,  4895,
    6208,  6214,  2638,    15,  6229,  2638,  3182,  1621, -1669,  6230,
    1632,  3829,  2730,  3829,   895,  3829,  3829,  5298, -1669,  3922,
    3829,  3829,  3829, -2793,  3829,  3829,  3829,  6252,    48,  1634,
    6311,  4237,  6253,  2669,   689,  5850,   690,  6340,  6385,  6411,
      20,    49,  5857,  6386,  2638,  1644,  6431, -1096,  6441,  6448,
     967,  6038,   992,  6442,  4861,  1647,  4533,  6049,  4535,  4834,
     693,  4837,  6457,  1877,    50,  4656,   910,  2638,   967,  1669,
    3475,  3475,  4889,  2709,  4296,  2712,   967,  1727,  3906,  5568,
     648,  5569,   910,   648,  6263,   648,   648,   910,  1686,  4543,
    1137,  4546,  1137,  2109,  6469,   648,  2110,  1625,  1687,  6442,
     648,  1703,  1642,  3934,  4734,  1551,  3365,  3366,  3367,  3368,
    1713,  4130,   922,  4132,  4133,  1714,  1717,   910,  1722,  1723,
    1835,  1837, -2793,  1839,  1844,  1850,  1855,  1858,  2627,  4670,
    3473,  1865,  1860,  1825,  1868, -3028,  1870,  3473,  4761,  1862,
    4605,  1552,  3473,  1879,  1884,  3473,  1885,  -137,  1887,  1888,
    1890,  1892,  1893,   648,   648,   648,  1904,  1911,   648,   922,
    4254,  2629,  1913,  1916, -1669,  4939,   648,   648,   648,   648,
    2669,  1920,   213,  1929,  1137, -2793,  1934,  1821,  1935,  1936,
    1941,  1938,   648,  1821,  1942,   648,  1945,   648, -2793,  4800,
    1953,  6127,  1946,  1957, -2793,  1959,  1960,  4889,   648,   648,
   -2793,  1962,   648,  1964,  1553,  5683, -2793,  1970,  1969, -2793,
    1972,  1975,  1982, -2793,  3675,  1978,  4950,  1984,  2109,  1981,
    2001,  2110,  2032,   648,  2039,   648,  2048,   648,  2041, -1901,
    2042,  4931,  1035,  4172,  5360,  1469,  1036,  2049, -1908,  4662,
    3699,  1554, -2793,  2056,    32,  2058,   648,  2057,  2059,  2060,
      56,  2062,  5684,  2627,  2063,  4196,  4197,  4198,  2064, -1898,
   -3028, -1899,  2066, -1902,   922,  2067,  2068,   967,  2069,  5547,
    2070,  2071,  2072,  6260,  2073, -2793,    40,  5685,  2074, -3028,
    2075,  2076,  2077,  2078, -3028,  2080,  2629,  2081,  2082,  2083,
    1555,  2084, -1900,  2085,  2086,  2088,  5686,  2087,  2579,  2090,
    2091,  5687,  2092,   187,   648,  2093,  2094,   648,  2095,  2096,
    2097,  2581,  2583,    44,  2599,  5162,   922,  2585,  2586,  4907,
    2595,   648,  2611,  5688,  4889, -2793,   648,  5689,  2619, -2793,
    2664,  3475,  2641,  1557, -3028, -2793,  2642,  2647,  3475,  2649,
    2650,   648,  5690,  3475,  2656,  2653,  3475,  2665,  3471,  2654,
    2657,  3471,  2658,  1484,  2109,   648,    48,  2110,  4791,  2659,
     757,  2672,  2660,   648,  2703,  1486,  1559,  2705,  2715,    49,
    2717,  2718,  5039,  2719,  2720,   910,  5052,  2739,   910,  2736,
     910,  2737,  2663,  2738,  2740,   910,  2741,  2742,  2743,  2627,
    2744,  2634,    50,  2745,  2746, -2793, -3028,  2752,  5793,  3471,
     967,   967,  2771,  2777, -3028,  2797,   648,  3471,  2801, -3028,
    2804,    35,   758,  2817,  1136,  3473,  1561,  2783,  2805,  2803,
    4564,  2807,  2629,  2808,  2821,  1562,  2825,   967,  5044,  2826,
     967,  2827,  2838,   910,  1563,  2839,  2856,  2850,  2854,  2859,
    2868,   910,  2818,  2857,  2858,  2860,  5691,  2869,  2870,  2873,
    2874,   928,   803,  2880,  1565,  2875,  2881,    29,  2884, -3028,
    2894,  2890,  2891,  1566, -1717,  2918,   910,  2904,  1567,  2908,
   -1717,  2905,  2925,  2911,  2932,  2914,  2915,  2935,  1593,  2950,
    2109, -2793,  2920,  2110,  2961,  2952,  3361, -3028,  3362,  2921,
    2933,  3444,  3446,  2940,  4794,  2954,  2959,  3454,  4979,  2962,
    5692,  2978,  1821,  1821,  1821, -2793,  2941, -2793, -2793,  2946,
    2947,  2101,  2953,  2955,  3363,  2627,  2634,  4647,   929,  2979,
    2967,  6415, -3028,  1568,  3008,  2968,  2980,   967,  2986,  3500,
    3500,  2991,  4161,  4254,  4162,  3020,   910,  3023,   910,  3015,
   -3028,  3022,  3024,  3036,  3025, -3028,   967,  3029,  2629, -2793,
    3030, -1717, -2793, -2793,  3031,  3037, -2793,    40,  2101,  3033,
    4163,  3034,  3035,  3041,  3043,  3044,  5498,  3051,   967,  3052,
    3042,  3055,   671,  3060,  3068,  3079,  3083,  1136,  3364,  3084,
    5802,  1666,  3359,  2109,  3087,  3096,  2110,  3099,  3103, -3028,
    3123,   788,  3112,  3102,    44, -3028,  3129,  3133,  4182,  3145,
    3147, -1717,  2568,  2569,  2570,  2571,  2572,  2573,  3473,  3116,
    3120,   930, -3028,  5835,  3138,  3148,  3475,  3149,  2627,  3150,
    4795,  3163,  3195,  3219,  3364, -3028,  3206,  3232,  3473,  3251,
    3333,  3256,   910,  3365,  3366,  3367,  3368,    48,  3339,  2110,
    3369,  3370,  3473,  3343,  3352,  3358,  3371,  3377,  3379,  3399,
      49,  2629,  2634,  3404,   967,  4376,  3420,  3405,  3423,   648,
    4217,  3424,  3425,  4223,  3438,   648, -3028,  3426,  3439,  3440,
    3442, -3028,  3441,    50,   910,  3633,  3455,  1459,  3477,  3365,
    3366,  3367,  3368,  3443,  1149,  3447,  4164,  3456,   929,  3482,
    3494,  3495,  4165,    56, -1408,  3496,  3497,  3518, -1408,  3511,
    3519,  1821,   910,  3531,  3530,  3533,  3550,   967,  3559,   967,
    1149,  3464,  3564,  4423, -3028,   921,  3562,  3566,  3567,  3464,
    3573, -3028,   967,  5269,   967,  3578,  3583,  2568,  2569,  2570,
    2571,  2572,  2573,  3584,  3586,  3597,  3613,  3618,  3589,  1403,
    5179,  1407,  3620,  3637,   648,  3630,  3650,  2669, -3028,  3655,
    3656,  3676,  3682,  3689,  3683,  5090,  5091,   931,  3692,  3710,
    3684,  3747,  3700,  3707,   788,  3708,  3731,  5246,  3730, -3028,
     910,  3789,   788,  3802, -3028,   788,  1881,   930,  2634,  3814,
    3823,  4466,  3810,  3811,  3830,  5459,  3836,   788,  3842,  3858,
    3869,   967,   910,  5260,  3847,  3870,  3837,  3888,  3884,  3372,
    3838,  3890,  3473,  3886,  3898,  3911,  3905,  3916,  3917,  3475,
    3918,  3373,  3919,  3920,   910,  5308,  2990,  3924,  3927,  3931,
    3932,  3935,  3936,  3941, -3028,  3956,  3957,  3829,  1266,  3475,
    3929,  4104,  3958,   967,  3966,  4105,  4106,  4107,  3967,  4497,
    4497,  3968,  5128,  3475,  4594,  4166,  3970,  3972,  4590,  4513,
   -3028,  3986,   967,  5265,  1136,  3988,  1136,  4167,  3989,  5793,
    3992,  3994,  3997,  2568,  2569,  2570,  2571,  2572,  2573,  3998,
    3999,  4002,   967,  4000, -3028,   967,  4012,  4798,  4001,  3233,
    1979,  2634,  4016,  1976,  4627,  3473,  4014,  1943,  4007,  4015,
    4023,  4006,   648,  4029,  4026,   910,  4031,  1228,  4037,  4054,
    4057,   648,  4568,  4055,  5315,  4056,  3273,  4067,  4072,  4074,
    4078, -2185,  4079,  4076,   648,  3815,  4091,  4139,   910,  4092,
     648,   648,   648,  1231,  4096,  5871,  4100,   648,  4098,  4099,
    4122,  4151,  4127,  4136,  5432,  4128,  4135,  4604,  1136,   648,
    4156,   648,  4171,  4150,   648,  4180,  4207,  4221,   910,   648,
     648,   648,   648,  4187,  2638,   648,   648,   648,   648,   648,
     648,   648,   648,   648,   648,  4181,  4183,  4213,   648,   648,
     648,  4250,  4185,   910,  4245,  4214, -3028, -3028,   648,  4208,
    4265,  4269,   922,   648,  4256,  1821,  4263,   648,  3069,  2568,
    2569,  2570,  2571,  2572,  2573,   648,  3086,  4267,   648,  4276,
     648,  4230,  2065,  3475,  2990,  4215,  4216,  4284,  4290,  4222,
    4295, -3027,  4297,  4298,  2696,  1842,   648,  4306,  4302,   648,
     648,  4309,  4303,  5369,   648,   648,  1851,  4311,  4307,   648,
    4334,   648,  4323,   788,  4335,  4324,  4805,  4806,  4807,  4808,
    4336,  4109,  1859,  4340,  4341,  3473,  4342,  4343,  4347,  3144,
    5312,  4358,  4359,  4361,  3353,  4254,  4367,  4368,  4377,  4369,
     648,  1074,  4383,  4392,   191,  4406,   648,  4410,  4412,  4408,
    4413,  4420,  4416,  4421,   648,  4426,  2990,  4424,   648, -3028,
    1071,  4254,  1072,  4427,  4428,  4448,  3475,  4449,  4429,  4431,
    4450,  4446,  2568,  2569,  2570,  2571,  2572,  2573,  4447,  4451,
    4453,  4456,  4458,  4452,  4454,  4455,  4462,  4460,  1073,  4467,
   -3027,   648,  4457,  4469,  4459,  2976,  4465,  4461,  3471,  4471,
    4472,  4478,  3471,  4488,  1075,  4485,  4110,  5358,   648,  1581,
    4493,  4499,   187,  4481,   910,  1582,  4482,  4483,  4551,  4501,
    1266,  4779,  4536,  4104,  4541,  4542,   648,  4105,  4106,  4107,
    1688,  4548,  4552,  4555,  4559,  4570,  4572,  5174,  5175,  5176,
    5177,  5178,  4579, -3027,  3473,  5266,  4569,   967,   187,  4582,
    4588,  4589,  5443,  4592,  4593,  4609, -3027,  4623,  4626,  5498,
    1584,  4641, -3027,  4633,  4635,  4595,  4642,  4643, -3027,  4644,
    3471,  4645,  4646,  4655, -3027,  4657,  4666, -3027,  4658,  2030,
    4659, -3027,  4667,  4668,  4679,  4669,  4671,  4672,  4685,  4673,
    4629,  4674,  2051,  4675,  4683,  5403,  4060,  4648,  1821,  4690,
    5567,  4691,  4692,  1821,   910,  1821,  4695,  6304,  6305,  4104,
   -3027,  6307, -3027,  4712,  4713,  1689,  4735,  1585,  4721, -2184,
    4722,  4758,  4759,  4775,  1586,  4830,  3475,  4786,  1587,  1821,
     910,  4760,  4788,  4767,  4790,  5610,  4813,  4815,  4817,  4203,
    4801,   788,  4823, -3027,  5682,  3473,  4826,  4831,  4828,  4839,
    4254,  4843,  4838,  4844,  4845,  4846,  1588,  4210,  4848,  4854,
    4863,  4857,  4859,  4882,  2109,  4874,  4903,  2110,  4904,  4906,
    4905, -3028, -3028, -3028,  4914,   967,  4913,  4916,   967,  4917,
    4919,  4925,  4926,  4922,  4945,  4942,  4957,  4995,  4958,  4959,
    4961,  1589,  5461, -3027,  4960,  4971,  4972, -3027,  5003,  2627,
    4973,  4974,  4975, -3027,  2939,  4985,  2628,  4259,  4259,  4988,
    4991,  4976,  4987,  5005,  4111,  4112,  4113,  4114,  4115,  4116,
    4117,  4118,  4119,  4993,  5004,  5013,  5029,  5030,  5010,  5032,
    4932,  5046,  2629,  4109,  5035,  5072,  5045,  5048,  5061,  5049,
    5050,  5082,   648,  5087,  5093,  3475,  5101,  5107,  5108,  5113,
    5120,  4513,  5136,  5114,  5147,  5130,  5153,  5137,  5158,  5154,
    5156,  2101,  5157, -3027,  5160,  5161,  5180,  5166,   967,   967,
    1690,  5172,   910,  5185,  1591,  5187,  5195,  4983,  5203,   967,
    5896,  5202,  5898,  5205,  1592,  5207,   648,   648,   187,  5208,
    5206,  5209,  4996,  5213,  1593,  4997,   967,  4998,  5214,  5212,
    5216,  5217,  5222,  5231,  5228,  5230,  1594,  1581,  5232,  5237,
    3464,  5249,  5258,  1582,  3464,  5243,  5252,  3354,  4110,   910,
    5253,  3473, -2186,  5254,   910,   648,   648,  5271,  1583,  5275,
    3471,  3471,  5301,  5310,  5286,  5285,   648,  5314,  5291,  5294,
    5305,  5313,  5329,  5038,  5324,  5331,  3475,  5327,  3759, -3027,
    2630,  1596,  1597,  5337,  5346,  2631,  5336,  5366,  1584,  3829,
    5368,  5367,  5371,  5376,  3829,  5377,  5378,  5399,  5390,  5393,
    5397,  5405,  5406, -3027,  5414, -3027, -3027,   967,  5415,  5422,
    5423,  5424,  5729,  3760,  5139,  5429,  6012,  5436,  5433,  5906,
    5440,  5441,  5448,  5451,  5457,  5460,  5466,  5464,  5458,  5470,
    5456,   648,  5475,   992,  5480,  2633,  5482,  5486,  5410,  5411,
    5487,  5413,  5491,  5493,  5494,  1585,  5495,  5504,  5630,   648,
   -3027,  5489,  1586,  3182, -3027, -3027,  1587,  5510,  5519,  5512,
    5520,  5526,  5527,  5530,  5532,  5542,  5548,  5552,  5804,  6058,
    3473,  5558,  5559,  5560,  5561,  5566,  3473,   648,  5570,  5579,
    5807,  5585,  5572,  1599,  1588,  5573,  5614,  5617,  2883,   648,
    5626,  5589,  2634,  5143,  5611,  5623,  4513,  5592,  5647,  5634,
    5652,  5642,  5637,  5638,  5643,  5644,  5844,  3284,  3284,  5649,
    5655,  5656,  5660,  2103,  5666,  6093,  6095,   648,  5667,  1589,
     648,  3313,  5668,  5675,  5697,  5071,  5705,  5703,   648,   648,
    3334,   910,  5708,  5711,  5736,   648,   648,  5735,  5715,  5716,
     648,  5740,  5745,  5747,  5763,   648,  5782,  5768,   648,   648,
    5774,  5796,  3475,  5834,  5775,   648,  4111,  4112,  4113,  4114,
    4115,  4116,  4117,  4118,  4119,  5798,  5776,  5191,  5191,  5191,
    5191,  5814,  5191,  5191,  5191,  5191,  5191,   648,  5797,  5846,
    5891,  5892,  5848,  6036,   648,  5852,  5850,  5854,  2636,   648,
    5851,  5618,   648,   648,  5867,  5877,  2109,  5869,  1590,  2110,
     648,  5876,  1591,  3473,  5884,  5878,   788,  5890,  5921,  5923,
    5926,   648,  1592,  5930,  5934,  5936,  5944,  5962,  5949,   648,
    5958,  3471,  1593,  5963,  5964,  5965,  5966,  5975,  3471,  4547,
    5976,  2627,  5983,  3471,  1594,  5977,  3471,  5978, -3028,   648,
    5985,  5987,  6087,  5991,  5992,  5995,  5996,  6000,  5682,  6009,
    6010,  6011,  6019,  6034,  6053,  6031,  6054,   910,  6057,  6032,
    6056,  6044,  4188,  6069,  2629,  6073,  6092,  6098,  6101,  6104,
     967,  3475,  3464,  5330,  6106,  6112,  1595,  3475,  6115,  1596,
    1597,  6116,  6108,  6132,  5908,  5316,  5318,  6133,  6134,  6099,
    2564,  6135,  6142,  6143,  6231,  6148,   910,  6149,   187,  6153,
   -3028, -3028, -3028,  2568,  2569,  2570,  2571,  2572,  2573,  6154,
    6156,  1598,  3021,   967,  5282,  6161,  5284,  6165,   910,  5586,
    6166,  6170,  5364,  3032,  6187,   967,  6183,  6186,  6190,  6202,
    5586,  3527,  5372,  6194,  6204,  6211,  6216,  6151,  6224,  3050,
    6226,   648,  6233,  6102,  6103,  6241,  6242,   648,  6259,  3543,
    6243,  6261,  6278,  3546,  6279,  6173,  6292,  3549,   967,  6293,
    6043,  6295,  6045,  6294,  6306,  6310,  6326,  6284,  6285,  6318,
    6344,  6324,  1581,  6356,  6350,  6354,  6357,  6368,  1582,  6370,
    6351,  1599, -3028,  6371,  3574,   788,  6391, -3028,  6392,   910,
    6393,  6405,  6418,  3124, -1955,  6420,  6421,  6429,  4282,  6432,
    6434,  6446,  6439,  6440,  3475,  5895,  6451,  6452,  3136,  6455,
    6408,  1149,  3140,  6461,  5770,   648,   646,  6468,  3616,  1137,
    2992,  6464,  1578,  1584,  2618,  4205,  1684,  3762,  1471,  3681,
    4353,   648,  1683,   798,  4948,   800,  1821, -3028,  1092,   806,
    4941,  6227,  3159,  1149,   814,   822,   798,  3801,   829,  3849,
    4498,   822,   822,  5694,   859,   967,   862,  6086,  6325,  5746,
    5089,  4937,   648,   918,   918,   918,  4938,  5728,  5439,  4300,
    3666,  3996,  6218,  5628,  6321,  6107,  6105,  6240,  6336,  4305,
    1585,  6063,  5111,  5140,  5119,  5468,  5081,  1586,  6067,  3867,
    4371,  1587,  3868,  4946,  2634,  4558,  5106,  3695,  5462,  5734,
    5164,  4598,  5979,  3704,  6388,  6467,  3471,  6453,   910,  5709,
     910,  1668,  4504,  6245,  5654,  5886,  6075,  3714,  5148,  1588,
    5657,   992,   752,  3059,  1092,  1067,   805,  3727,  2024,  4649,
    5181,  6384,  5863,  3732,  5417,  5418,  3896,  3536,  3122,  5150,
    3464,   967,  4615,  3118,  4291,  3464,  5473,  3829,  3464,  3829,
    3829,  3829,  3134,  3745,  1589,  5771,  5973,  3151,  5651,  3748,
    1178,  4254,  1138,  4468,  3799,  4977,  3754,  6087,  4415,   187,
     187,  5653,  6265,   992,  2751,  6419,  1416,  5167,  5168,  3017,
    3769,  6060,  3826,  3346,  6435,  3481,  5319,  4868,   648,  5862,
   -3028,   648,  6212,  3794,   648,   648,   648,  2591,   833, -2795,
     834,  4252,  5210,  2699,  1092,  5696,  4264,   646,   947,   947,
    3491,  6207,   947,  2700,  5843,  5469,   958,  6046,   859,   648,
     648,   994,  2639,   648,   958,  2704,  4225,   958,  5832,  4836,
     859,  4820,   947,  1690,  5591,   859,  4218,  1591,  5833,   947,
    4869,   859,  1137,  4219,  3946,   648,  6402,  1592,  6193,  6308,
    6035,   648,  2648,  4168,  5497,   648,  4687,  1593,  5803,  3400,
    4769,   910,   648,  6047,  4184,  1581,  6048,  3403,  1551,  1594,
    4178,  1582,  3319,  4049,  3825,   648,  6287,  4176,   648,  6150,
    5528,  4689,  6289,   967,  5800,   967,  6401,  6152,  6445,   648,
    5533,  4220, -3028,  6362,  6169,  6182,  5191,  6367, -2795,  3471,
    5900,  6363,  4696,  6366,  1552,  2568,  2569,  2570,  2571,  2572,
    2573,  1718,  4085,  1467,  1596,  1597,  1584,  3415,  3479,  3471,
    3493,     0,     0,     0,     0,     0,     0,     0,   788,     0,
     910,   967,     0,  3471,     0,     0,     0,     0,  6427,     0,
       0,   648,     0,     0,     0,     0,  1719,     0,     0,     0,
       0, -2795,     0,     0,   788,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2795,     0,     0,  1553,   788,     0,
   -2795,     0,     0,  1585,     0,     0, -2795,  6443,     0,   788,
    1586,     0, -2795,  1821,  1587, -2795,     0,  6427,   648, -2795,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1554,     0,  6427,     0,     0,     0,
       0,     0,  1588,     0,     0,     0,  1599,     0, -2795,  4011,
    5895,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     187,     0,     0,     0,     0,     0,     0,  4025,  6376,     0,
    5612,     0,     0,     0,     0,  4011,     0,  1589,  3947,   648,
       0, -2795,   910,  1555,     0,  1215,  1216,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    71,    80,   184,    83,
     175,   191,     0,    84,    85,    86,   106,  4513,   124,   129,
     159,   178,     0,   185,   648,     0,  5733,   180,     0,   181,
       0,     0,     0,  3471,     0,     0,  1557,  6454,     0,     0,
       0, -2795,   648,     0,     0, -2795,   648,     0,   648,     0,
     922, -2795,  5761,     0,     0,   183,     0,  5759,     0,     0,
     648,     0,     0,     0,     0,  3829,  1690,     0,     0,  1559,
    1591,   186,   648,     0,  5695,   648,  6377,  6378,     0,     0,
    1592,     0,     0,   788,     0,     0,   648,     0,  6447,     0,
    1593,     0,     0,   648,     0,     0,     0,     0,     0,     0,
       0,     0,  1594,     0,     0,     0,     0,  1137,     0,     0,
       0, -2795,     0,     0,    35,     0,  3471,     0,     0,  3948,
       0,     0,     0,     0,     0,     0,     0,     0,  1562,     0,
       0,     0,     0,     0,     0,     0,   788,  1563,     0,     0,
       0,     0,     0,     0,   910,  2818,     0,  1596,  1597,   910,
     910,  3464,     0,     0,   648,     0,     0,  1565,     0,     0,
     648,   648,   967,     0,     0,     0,  1566,     0,   803,     0,
       0,  1567,     0,     0,     0,     0,   967,     0,     0,  1598,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3949,     0,     0,     0,   992,     0,   648, -2795,     0,     0,
       0,     0,     0,     0,   648,     0,     0,  1821,     0,  1046,
       0,     0,     0,     0,     0,   859,  1648,   947,     0,   947,
       0, -2795,   947, -2795, -2795,     0,  1568,     0,     0,   994,
    3950,     0,   648,     0,  1104,     0,   947,     0,  1649,     0,
       0,     0,   947,     0,     0,     0,     0,     0,     0,  1599,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   910,   910,     0,  4922, -2795,   646,     0, -2795, -2795,
       0,     0, -2795,     0,     0,   958,  3471,     0,     0,   994,
       0,     0,   958,     0,     0,   958,     0,     0,     0,     0,
    1650,  4932,     0,     0,     0,   648,     0,     0,  2774,     0,
       0,   947,   648,   648,   648,     0,  5952,     0,     0,     0,
     187,     0,     0,     0,     0,     0,     0,     0,   910,     0,
       0,     0,     0,  1136,     0,     0,     0,  5910,     0,     0,
       0,   648,  1821,     0,     0,   910,  4312,     0,     0,     0,
     648,   187,   648,     0,   648,     0,     0,     0,     0,     0,
       0,   648,     0,     0,   859,   187,     0,     0,     0,  4933,
       0,     0,     0,  1248,     0,     0,     0,     0,     0,     0,
       0,     0,   648,     0,     0,     0,     0,     0,     0,     0,
       0,  6223,  1651,  1388,  1388,     0,   859,   822,     0,     0,
       0,   822,     0,     0,     0,  3471,     0,  1821,     0,   967,
    3590,     0,     0,     0,     0,   859,  3598,     0,     0,     0,
     859,     0,     0,   788,     0,     0,  1388,     0,     0,   788,
    6050,     0,     0,   788,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4384,     0,     0,     0,
       0,     0,     0,     0,  1652,     0,     0,  3631,  1653,  2101,
    5387,  5388,   648,  6272,  6273,  5391,  5392,     0,     0,     0,
       0,     0,     0,  1388,  2938,     0,     0,  2109,  4934,     0,
    2110,     0,     0,     0,  2111,  2112,  2113,   859,     0,     0,
       0,     0,     0,     0,     0,   648,  1821,  3313,  3313,     0,
     859,     0,  3313,     0,     0,   648,  3471,     0,     0,  1655,
       0,     0,  2627,     0,     0,   859,     0,     0,     0,  2628,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   859,     0,     0,     0,   648,   947,
     947,     0,  3313,  3313,     0,  2629,     0,     0,   648,     0,
       0,     0,     0,     0,     0,     0,  1136,  1657,   648,     0,
    6090,   967,  6091,     0,     0,     0,  6096,  6097,     0,     0,
       0,   822,   822,  4479,   648,     0,     0,     0,     0,     0,
       0,  1658,     0,     0,     0,     0,     0,   967,     0,     0,
       0,     0,     0,     0,  1388,  1388,     0,     0,  3464,     0,
     187,  1660,     0,  4935,     0,     0,  4343,   646,     0,   947,
       0,     0,     0,   958,     0,     0,   994,   958,     0,   958,
       0,     0,     0,     0,   947,     0,     0,     0,   648,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   648,     0,
       0,     0,     0,     0,     0,     0,   648,   648,   859,     0,
       0,     0,   648,     0,     0,   947,   947,   191,     0,     0,
       0,     0,     0,  2630,     0,  6168,  3854,     0,  2631,     0,
       0,     0,     0,  6267,     0,  6268,     0,   859,   859,   859,
       0,   947,  3471,   646,     0,   646,   646,     0,     0,     0,
    2632,  2302,  6246,     0,     0,     0,     0,     0,     0,   648,
     648,  6269,     0,   648,     0,     0,     0,     0,     0,   645,
       0,     0,     0,     0,   187,     0,  2860,  6270,  2633,   947,
       0,   947,   947,     0,  6349,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   967,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2990,     0,  1388,     0,     0,   648,     0,     0,
    2368,     0,     0,   648,     0,     0,     0,     0,     0,     0,
       0,  4651,  6462,  6463,     0,  2634,     0,     0,     0,   191,
    2004,   648,  2004,   648,     0,     0,   859,     0,   798,     0,
       0,     0,     0,     0,  4665,  6267,     0,  6268,     0,     0,
       0,  3471,     0,     0,     0,     0,     0,  3471,     0,     0,
       0,     0,  2040,     0,   648,   859,     0,     0,  2046,     0,
       0,     0,     0,  6269,  6290,     0,     0,     0,   648,     0,
       0,     0,  1388,     0,     0,     0,  1551,     0,     0,  6270,
       0,     0,     0,     0,     0,  4024,     0,     0,     0,     0,
       0,     0, -2812,     0,     0,     0,     0,     0,     0,     0,
       0,  4035,     0,     0,   648,     0,  4040,     0,     0,     0,
       0,  2636,  1552,  1388,   788,     0,     0,     0,     0,     0,
       0,  1136,     0,     0,     0,     0,     0,     0,     0,     0,
     648,     0,     0,     0,     0,     0,  4065,  1821,     0,     0,
     945,  1388,  1388,  1388,     0,  1388,   191,     0,     0,   957,
       0,     0,     0,     0,     0,     0,     0,   957,     0,     0,
     957,     0,  6267,     0,  6268,     0,  1388,     0,     0,     0,
       0,     0,   648,   648,  3471,  1553,     0,     0,   648,     0,
       0,     0,   648,     0,     0,     0,  1821,     0,     0,     0,
    6269, -2812,     0,     0,     0,   648,   648,     0,     0,     0,
       0,     0,     0,     0,     0,  1821,  6270,     0,     0,     0,
       0,     0,  1554,  2564,     0,     0,   187,   859,     0,     0,
       0,     0,     0,  2565,  2566,  2567,  2568,  2569,  2570,  2571,
    2572,  2573,     0,     0,     0,  1388,     0,     0,     0,     0,
       0,   187,     0,     0, -2812,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2812,     0,     0,
       0,  1555,     0, -2812,     0,     0,     0,     0,     0, -2812,
       0,     0,     0,     0,     0, -2812,     0,     0, -2812,     0,
       0,  1388, -2812,     0,  6426,  1388,  1388,     0,  2589,     0,
       0,     0,     0,     0,     0,     0,   859,   859,   859,  2714,
    1556,  1388,     0,     0,  1557,     0,     0,     0,     0,     0,
       0, -2812,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   822,     0,  4908,     0,     0,     0,
       0,     0,     0,  6426,  1581,     0,  1558,  1559,     0,     0,
    1582,     0,     0,     0, -2812,     0,     0,     0,     0,     0,
       0,     0,  6426,     0,     0,  5282,     0,     0,     0,  2806,
       0,     0,     0,  6348,   822,     0,     0,   947,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1560,     0,
     859,  2834,    35,     0,     0,  1584,     0,  1561,     0,   859,
       0,     0,   947,     0, -2812,     0,  1562,     0, -2812,     0,
       0,     0,     0,     0, -2812,  1563,     0,     0,     0,     0,
       0,     0,     0,  1564,     0,     0,     0,     0,     0,   994,
     788,   859,     0,     0,   822,  1565,     0,  2902,  2902,     0,
       0,  2902,     0,     0,  1566,     0,     0,     0,     0,  1567,
       0,   822,  1585,     0,   859,     0,     0,   859,     0,  1586,
       0,     0,  4315,  1587,  5018,     0,     0,  5021,     0,     0,
    4318,     0,     0,     0, -2812,     0,     0,     0,     0,   947,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,     0,     0,     0,     0,     0,   859,     0,     0,
     187,     0,     0,     0,  1568,     0,     0,     0,     0,   947,
     947,   947,   947,   859,     0,     0,     0,     0,     0,     0,
       0,  3284,     0,     0,     0,     0,  1589,   859,     0,     0,
       0,   803,     0,     0,     0,     0,     0,     0,  1388,  1388,
    1388,     0,     0,  3313,  3313,  3313,  3313,     0,     0,  3313,
    3313,  3313,  3313,  3313,  3313,  3313,  3313,  3313,  3313,     0,
   -2812,     0,     0,     0,     0,  4401,     0,  4403,  5103,     0,
       0,     0,     0,     0,     0,     0,     0,  4765,     0,     0,
       0,     0,     0,     0, -2812,  2990, -2812, -2812,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1690,     0,     0,     0,  1591,
       0,     0,     0,  3313,  3313,     0,     0,     0,     0,  1592,
       0,     0,     0,     0,     0,     0,     0,     0, -2812,  1593,
       0, -2812, -2812,     0,     0, -2812,   859,     0,     0,     0,
       0,  1594,     0,  6084,     0,     0,     0,   859,     0,     0,
       0,     0,     0,     0,     0,   947,   947,     0,     0,     0,
    4825,  4464,     0,     0,     0,     0,  4011,     0,     0,   945,
       0,   947,     0,     0,     0,     0,     0,     0,   957,     0,
       0,     0,     0,  2798,     0,   957,  1596,  1597,   957,   859,
    2902,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4486,     0,   947,   947,   947,   947,  3946,
       0,     0,     0,     0,   859,     0,     0,     0,  2799,     0,
       0,   859,     0,   972,  3115,     0,     0,     0,     0,     0,
       0,     0,     0,  1551,     0,  1006,     0,     0,     0,   646,
    2109,     0,   646,  2110,     0,     0,  1025,  2111,  2112,  2113,
       0,     0,   958,   958,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   994,   994,  2626,     0,   958,     0,  1552,
     958,     0,     0,     0,     0,  2627,     0,     0,     0,     0,
       0,     0,  2628,     0,     0,   947,   947,     0,  1599,     0,
       0,     0,   947,     0,   859,     0,     0,     0,     0,  3631,
       0,     0,     0,     0,     0,     0,     0,     0,  2629,     0,
       0,  2004,     0,     0,     0,     0,     0,     0,   947,     0,
     958,     0,     0,  3198,   958,   958,     0,   859,   859,     0,
     947,     0,  1553,     0,     0,     0,     0,   859,     0,     0,
       0,     0,     0,  4628,   859,     0,     0,   859,  3115,     0,
       0,   798,   798,     0,     0,  3235,     0,     0,     0,  1388,
       0,  1388,     0,     0,     0,     0,  1388,  1388,     0,  1554,
       0,     0,     0,  1388,  1388,  1388,  1388,  1388,  1388,  1388,
    1388,  1388,  1388,  1388,  1388,  1388,     0,     0,  1388,     0,
    1388,   994,  1388,  1388,  1388,  1388,  1388,  1388,     0,     0,
    1388,  1581,  1388,  1388,     0,     0,  1388,  1582,     0,     0,
       0,     0,     0,  3947,  1648,     0,     0,     0,  1555,     0,
       0,  1388,  1388,  1388,  4680,     0,  2630,     0,     0,     0,
       0,  2631,     0,     0,     0,     0,  1649,     0,     0,  1388,
       0,     0,     0,     0,     0,     0,     0,  4697,     0,     0,
       0,     0,  1584,  2632,  2302,     0,  3313,     0,     0,     0,
       0,  1557,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5384,     0,     0,     0,     0,  4736,     0,   947,
       0,  2633,     0,     0,  5394,     0,     0,     0,  1650,     0,
       0,     0,     0,     0,  1559,     0,     0,     0,     0,     0,
     945,     0,  4757,     0,     0,     0,   957,     0,     0,  1585,
     957,     0,   957,     0,     0,     0,  1586,     0,     0,     0,
    1587,  2109,     0,  2368,  2110,     0,     0,     0,  2111,  2112,
    2113,     0,     0,     0,     0,     0,     0,     0,  2634,    35,
       0,  2635,     0,     0,  1561,     0,  2626,     0,  1588,  1581,
       0,     0,     0,  1562,     0,  1582,  2627,     0,     0,     0,
       0,     0,  1563,  2628,     0,     0,     0,     0,     0,     0,
    2818,     0,     0,     0,     0,     0,  1915,     0,  1917,  1918,
    1651,     0,  1565,  1589,     0,     0,  1388,     0,     0,  2629,
       0,  1566,     0,     0,     0,     0,  1567,     0,     0,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3949,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2636,     0,     0,     0,     0,  1388,
       0,  6425,  1652,     0,     0,     0,  1653,     0,     0,     0,
       0,  1568,     0,     0,     0,  3950,     0,  1585,     0,     0,
       0,     0,  1654,     0,  1586,     0,  1591,     0,  1587,     0,
       0,     0,     0,     0,  1044,     0,  1592,     0,     0,     0,
    1076,     0,     0,     0,     0,     0,  1593,     0,     0,     0,
    6425,     0,     0,     0,  1388,     0,  1588,  1655,  1594,     0,
    4011,     0,     0,     0,  5251,     0,     0,  2630,     0,  6425,
       0,     0,  2631,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1589,     0,     0,  2632,  2302,  2564,     0,     0,     0,
    1656,     0,     0,  1596,  1597,  1657,  2565,  2566,  2567,  2568,
    2569,  2570,  2571,  2572,  2573,     0,     0,     0,     0,     0,
       0,     0,  2633,     0,     0,  4077,     0,     0,     0,  1658,
       0,  2109,     0,     0,  2110,  1659,     0,     0,  2111,  2112,
    2113,     0,     0,     0,     0,     0,     0,     0,     0,  1660,
       0,     0,     0,     0,     0,     0,  2626,     0,     0,     0,
       0,     0,     0,     0,  2368,     0,  2627,     0,     0,     0,
    1590,     0,     0,  2628,  1591,     0,     0,     0,     0,  2634,
       0,     0,  2635,     0,  1592,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1593,     0,     0,     0,     0,  2629,
       0,     0,  4011,     0,  4011,  1599,  1594,     0,     0,     0,
       0,  1395,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1418,     0,     0,     0,     0,  1388,  1388,  1388,  1388,  1388,
    1388,  1388,  1388,  1388,     0,  1388,     0,     0,  2876,     0,
       0,  1596,  1597,     0,     0,   859,  1388,     0,  1388,     0,
       0,     0,     0,     0,     0,   859,     0,     0,     0,     0,
       0,  2109,     0,     0,  2110,  2636,     0,     0,  2111,  2112,
    2113,  5092,     0,  2877,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   859,     0,  1388,     0,     0,   947,
    1388,     0,  1476,  1388,     0,  1388,  2627,     0,  1388,     0,
       0,     0,  1388,  2628,     0,     0,     0,  2630,     0,     0,
       0,     0,  2631,     0,     0,     0,     0,     0,     0,     0,
       0,  1581,     0,     0,     0,  3476,     0,  1582,     0,  2629,
       0,   859,   859,     0,  2632,  2302,     0,     0,     0,  1612,
       0,     0,  1388,  1599,     0,     0,     0,     0,     0,     0,
       0,  1388,  1388,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2633,     0,     0,   859,     0,  2564,     0,     0,
       0,     0,  1584,  3520,     0,  3525,     0,  2565,  2566,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,     0,     0,     0,     0,
    4093,     0,     0,     0,     0,  4094,     0,     0,     0,     0,
       0,     0,     0,     0,  2368,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   798,     0,   798,     0,  2634,
       0,     0,  2635,     0,     0,     0,     0,     0,     0,  1585,
       0,     0,     0,     0,  1388,     0,  1586,     0,     0,     0,
    1587,     0,     0,     0,     0,   646,     0,  2630,   958,   994,
     958,   958,  2631,  1872,   947,     0,     0,   859,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1588,     0,
       0,     0,     0,     0, -3028, -3028,     0,     0,   822,     0,
       0,     0,  1906,  1909,  1910,     0,     0,     0,     0,  2834,
       0,     0,     0,     0,     0,     0,     0,  3634,   859,     0,
       0,     0,  2633,  1589,  3645,     0,     0,     0,     0,     0,
       0,     0,     0,   859,     0,  2636,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3313,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   859,     0,     0,     0,  2109,
       0,     0,  2110,     0, -3028,     0,  2111,  2112,  2113,     0,
       0,     0,     0,     0,     0,     0,     0,   859,     0,  2634,
       0,     0,     0,     0,  2626,     0,     0,     0,     0,   822,
       0,     0,     0,     0,  2627,     0,     0,     0,     0,  3313,
       0,  2628,  1690,     0,     0,     0,  1591,     0,     0,     0,
       0,  1395,   947,     0,     0,   947,  1592,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1593,  2629,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2564,  1594,     0,
    1395,   859,   859,     0,     0,     0,  5350,  2565,  2566,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,  3788,     0,  3791,  3793,
       0,     0,     0,     0,     0,  4095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2636,     0,     0,     0,     0,
    3626,     0,     0,  1596,  1597,  5373,     0,     0,     0,  1388,
    1388,  1388,     0,     0,     0,  1388,     0,     0,     0,     0,
       0,     0,     0,   947,     0,     0,     0,  5389,     0,     0,
       0,     0,     0,     0,     0,  1598,   947,     0,     0,     0,
       0,     0,  1388,     0,   947,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2834,     0,     0,
       0,     0,   859,     0,     0,  2630,     0,     0,  3893,     0,
    2631,   798,   945,     0,     0,   945,     0,     0,     0,     0,
       0,  1581,     0,   947,  3904,   957,   957,  1582,     0,     0,
       0,     0,  2632,  2302,  3788,     0,     0,  2564,  5419,     0,
     957,     0,     0,   957,   947,  1599,  3926,  2565,  2566,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,     0,     0,     0,     0,
    2633,     0,  2620,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   947,     0,   947,     0,   947,
       0,     0,     0,   957,     0,     0,     0,   957,   957,     0,
       0,     0,  2368,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3313,  2634,     0,     0,
    2635,     0,  2004,     0,     0,     0,     0,     0,  1940,  1585,
       0,     0,     0,     0,  1944,     0,  1586,     0,     0,     0,
    1587,     0,  2711,     0,  1955,     0,     0,     0,  1958,  3313,
       0,     0,  1961,     0,  1963,     0,     0,     0,     0,  5503,
    1971,     0,     0,     0,     0,     0,  1977,     0,  1588,  1980,
       0,     0,     0,     0,     0,     0,   646,   947,     0,   958,
       0,   958,   958,     0,   947,     0,     0,     0,     0,     0,
       0,  1388,     0,   909,     0,     0,  1388,     0,     0,     0,
    4011,     0,  2109,  1589,     0,  2110,     0,     0,     0,  2111,
    2112,  2113,     0,  2636,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2828,     0,  2626,     0,     0,
       0,     0,     0,  2109,  2851,     0,  2110,  2627,     0,     0,
    2111,  2112,  2113,     0,  2628,     0,     0,     0,     0,  1388,
    1388,  1388,     0,     0,  1388,     0,     0,     0,  2626,     0,
       0,     0,  1388,  1388,  1388,  1388,  2889,     0,  2627,     0,
    2629,     0,  2901,  2901,     0,  2628,  2901,     0,  1388,     0,
       0,  1388,  1690,  1388,     0,     0,  1591,     0,     0,  2919,
       0,     0,  2922,     0,  1388,  1388,  1592,     0,  1388,     0,
       0,  2629,     0,     0,     0,     0,  1593,     0,     0,     0,
    4464,     0,     0,     0,     0,  2564,     0,   994,  1594,  1388,
       0,  1388,     0,  1388,     0,  2565,  2566,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,     0,     0,     0,     0,     0,     0,
       0,     0,  1388,  4146,     0,  4190,     0,     0,  2975,   859,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3804,     0,  2994,  1596,  1597,     0,     0,     0,     0,     0,
     859,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2630,     0,
       0,     0,     0,  2631,     0,  3805,     0,     0,     0,     0,
     646,     0,     0,  3476,  4229,  3313,     0,     0,  4229,  4243,
    4229,     0,     0,     0,  4229,  2632,  2302,  1388,     0,  2630,
       0,     0,  1388,     0,  2631,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1388,     0,     0,
       0,     0,     0,  2633,     0,     0,  2632,  2302,     0,     0,
       0,  3476,     0,     0,     0,  4275,     0,     0,  4278,  3476,
       0,  3525,     0,     0,     0,  1599,     0,     0,     0,     0,
       0,  3016,     0,     0,  2633,     0,     0,     0,  -136,     0,
       0,     0,  3019,     0,     0,  2368,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     1,     0,
    2634,     0,  1388,  2635,     0,     0,     0,     0,     0,     2,
       0,     3,     4,     0,     0,     0,  2368,     0,     0,     0,
       0,     0,     0,     0,  3063,  2901,     0,     0,     0,     5,
       0,  2634,   947,   947,  2635,     0,     0,     0,     0,     6,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3098,
       0,     7,     0,     8,     9,     0,  3111,     0,     0,     0,
      10,     0,    11,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    12,     0,    13,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    14,     0,  2636,    15,     0,     0,
       0,     0,  6192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    16,     0,    17,     0,     0,     0,    18,     0,
       0,     0,     0,     0,     0,    19,     0,  2636,     0,  3172,
       0,     0,     0,     0,    20,     0,    21,     0,     0,     0,
     859,  1581,     0,    22,     0,     0,     0,  1582,     0,     0,
    2902,     0,     0,  2030,  1648,     0,     0,     0,  2030,  2030,
       0,    23,  1395,  1395,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1649,     0,    24,  3225,
       0,     0,  3227,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,  2564,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2565,  2566,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,     0,     0,
       0,  3342,     0,     0,     0,     0,     0,     0,  1650,  2564,
       0,    25,    26,     0,     0,     0,     0,    27,     0,  2565,
    2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,   645,  1585,
       0,    28,  4500,     0,     0,  1388,  1586,     0,     0,     0,
    1587,  1388,     0,  3313,  3313,     0,     0,  3313,     0,     0,
      29,  5974,   947,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1588,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   859,
     859,   859,     0,     0,     0,     0,     0,    30,     0,     0,
    1651,     0,     0,  1589,     0,     0,   859,  6018,     0,     0,
       0,     0,    31,     0,     0,     0,     0,     0,    32,    33,
    1388,    34,     0,     0,  6040,     0,    35,     0,     0,     0,
       0,     0,    36,     0,     0,    37,     0,     0,  2004,   859,
     859,     0,    38,   909,   859,     0,     0,     0,   945,    39,
      40,   957,     0,   957,   957,     0,   859,    41,     0,     0,
       0,    42,  1652,     0,     0,     0,  1653,     0,     0,   909,
       0,    43,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1654,     0,     0,     0,  1591,    44,     0,     0,
       0,     0,     0,     0,     0,     0,  1592,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1593,    45,  3146,     0,
       0,     0,   947,     0,     0,     0,  3153,  1655,  1594,    46,
       0,     0,     0,     0,     0,    47,  3198,  4650,     0,     0,
      48,     0,     0,     0,     0,   859,     0,     0,     0,     0,
       0,     0,     0,    49,     0,     0,     0,     0,     0,   859,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3734,     0,     0,  1596,  1597,  1657,    50,     0,  1388,    51,
      52,    53,    54,    55,     0,     0,     0,  1388,     0,     0,
       0,     0,     0,     0,     0,     0,    56,     0,     0,  1658,
    1388,  -136,     0,     0,     0,  3735,  1388,  1388,  1388,     0,
       0,     0,     0,  1388,     0,     0,     0,     0,     0,  1660,
       0,     0,   909,     0,     0,  1388,     0,  1388,     0,     0,
    1388,     0,     0,     0,     0,  1388,  1388,  1388,  1388,     0,
       0,  1388,  1388,  1388,  1388,  1388,  1388,  1388,  1388,  1388,
    1388,     0,     0,     0,  1388,  1388,  1388,     0,     0,     0,
       0,     0,     0,     0,  1388,     0,     0,     0,     0,  1388,
       0,     0,     0,  1388,     0,  1599,     0,     0,     0,     0,
       0,  1388,     0,     0,  1388,     0,  1388,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1388,     0,     0,  1388,  1388,     0,     0,     0,
    1388,  1388,     0,     0,     0,  1388,     0,  1388,  4804,     0,
       0,     0,     0,     0,     0,     0,   859,   859,   859,     0,
       0,     0,     0,     0,     0,     0,  2109,     0,     0,  2110,
       0,     0,     0,  2111,  2112,  2113,  1388,  4229,  4243,  4229,
    4229,     0,  1388,  4229,     0,     0,  4827,   645,     0,     0,
    3476,  2626,     0,     0,  3476,     0,  1737,     0,     0,     0,
    4842,  2627,     0,  2109,     0,     0,  2110,     0,  2628,     0,
    2111,  2112,  2113,     0,   909,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   909,     0,  1388,  2626,     0,
       0,     0,     0,     0,  2629,     0,     0,     0,  2627,     0,
       0,   909,  3525,     0,  1388,  2628,     0,     0,     0,     0,
    3414,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3419,     0,  4890,  2004,  2004,     0,     0,  2004,     0,     0,
       0,  2629,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1476,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2834,  4921,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4944,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1476,  1476,     0,   945,
       0,     0,   957,     0,   957,   957,     0,     0,     0,     0,
    1581,  2109,  2630,     0,  2110,     0,  1582,  2631,  2111,  2112,
    2113,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1395,     0,     0,     0,     0,     0,  2626,     0,     0,  2632,
    2302,     0,     0,     0,     0,     0,  2627,     0,     0,  2630,
       0,     0,     0,  2628,  2631,     0,     0,     0,   909,     0,
       0,  1584,     0,  2109,     0,     0,  2110,  2633,     0,     0,
    2111,  2112,  2113,     0,     0,     0,  2632,  2302,     0,  2629,
       0,     0,     0,     0,     0,     0,     0,     0,  2626,  5036,
       0,     0,     0,     0,     0,     0,     0,     0,  2627,     0,
       0,     0,     0,     0,  2633,  2628,     0,     0,     0,  2368,
       0,     0,     0,     0,     0,     0,     0,     0,  1585,     0,
       0,     0,   947,     0,  2634,  1586,     0,  2635,     0,  1587,
       0,  2629,     0,     0,     0,     0,   947,     0,  1388,     0,
       0,     0,     0,     0,     0,   859,  2368,     0,     0,     0,
       0,  5080,     0,     0,     0,     0,     0,  1588,     0,     0,
       0,  2634,  2834,  3635,  2635,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   859,  3657,     0,
       0,     0,  3476,  3904,     0,     0,     0,     0,     0,     0,
    3788,     0,  1589,     0,     0,     0,     0,  2630,     0,  5129,
    3685,     0,  2631,     0,     0,     0,     0,     0,     0,   859,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2636,  1388,  1388,   645,  2632,  2302,   645,     0,     0,     0,
       0,     0,  1388,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2004,   859,     0,     0,     0,     0,  2630,
       0,     0,  2633,     0,  2631,     0,     0,  2636,     0,     0,
       0,   859,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1690,     0,     0,   645,  1591,  2632,  2302,     0,     0,
       0,     0,   645,  3427,     0,  1592,  3763,  3764,     0,     0,
       0,     0,     0,     0,  2368,  1593,     0,  1388,     0,     0,
       0,     0,     0,     0,  2633,     0,     0,  1594,     0,  2634,
       0,     0,  2635,     0,     0,  1388,     0,     0,     0,     0,
       0,     0,  2564,     0,     0,     0,     0,     0,     0,  2735,
       0,     0,  2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,
    2573,     0,     0,  1388,     0,  4681,  2368,     0,     0,  4328,
       0,     0,  1596,  1597,     0,  1388,     0,     0,     0,  2564,
       0,  2634,     0,  1551,  2635,     0,     0,     0,     0,  2565,
    2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,     0,
       0,     0,  4778,  1388,  4329,     0,  1388,  3887,     0,     0,
       0,     0,     0,     0,  1388,  1388,  2735,     0,     0,  1552,
       0,  1388,  1388,     0,     0,  2636,  1388,     0,     0,     0,
       0,  1388,     0,     0,  1388,  1388,     0,     0,     0,     0,
       0,  1388,     0,     0,     0,   859,   859,   859,   859,     0,
       0,     0,     0,     0,     0,     0,     0,   909,     0,     0,
       0,     0,     0,   646,     0,     0,  4229,     0,     0,     0,
    3476,     0,     0,     0,  1599,  3476,     0,  2636,  3476,   646,
       0,  3788,  1553,  5307,     0,     0,  1388,     0,   994,     0,
     909,     0,     0,     0,     0,     0,     0,  1388,     0,     0,
       0,  4275,     0,     0,     0,  1388,     0,  3525,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1554,
       0,     0,   798,     0,     0,  1388,     0,  2564,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2565,  2566,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,     0,     0,     0,     0,
    4884,     0,     0,     0,     0,     0,     0,     0,     0,  2834,
       0,     0,  5362,     0,     0,     0,     0,     0,  1555,     0,
    1737,  1737,  1737,     0,     0,     0,     0,     0,     0,  2564,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2565,
    2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,     0,
       0,     0,  5109,     0,     0,     0,     0,  1556,     0,     0,
       0,  1557,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1388,     0,     0,
       0,  5401,     0,  1388,     0,     0,     0,     0,     0,     0,
       0,     0,  2109,  1622,  1559,  2110,     0,     0,     0,  2111,
    2112,  2113,     0,     0,     0,   947,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2626,     0,     0,
     947,  2109,     0,     0,  2110,     0,     0,  2627,  2111,  2112,
    2113,   909,     0,     0,  2628,  1623,     0,     0,     0,    35,
       0,     0,   909,     0,  1561,     0,  2626,     0,     0,     0,
       0,  1388,     0,  1562,     0,     0,  2627,     0,   909,     0,
    2629,     0,  1563,  2628,     0,     0,     0,   646,     0,     0,
    1624,     0,     0,     0,  2834,     0,     0,     0,     0,     0,
       0,     0,  1565,  2004,     0,     0,     0,     0,     0,  2629,
       0,  1566,     0,     0,     0,     0,  1567,     0,  3904,     0,
       0,     0,     0,     0,  4195,     0,     0,     0,     0,     0,
       0,   947,   909,  3926,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1476,     0,   909,     0,     0,
     909,   909,     0,     0,     0,     0,     0,     0,     0,   859,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     859,  1568,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   909,   909,     0,  3969,     0,     0,     0,     0,  3975,
       0,  3976,     0,     0,     0,     0,     0,     0,  2630,     0,
       0,  3982,     0,  2631,  3983,     0,  3984,  3985,     0,     0,
    3987,     0,     0,     0,  3990,     0,  3991,     0,     0,  3993,
       0,     0,     0,     0,     0,  2632,  2302,  2630,     0,     0,
       0,     0,  2631,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1388,     0,     0,  1388,     0,     0,
    1388,  1388,  1388,  2633,  2632,  2302,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1551,
       0,     0,     0,     0,     0,  1388,  1388,     0,     0,  1388,
       0,  1737,  2633,     0,  4032,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1737,  2368,     0,  1737,     0,     0,
       0,  1388,     0,     0,     0,  1552,     0,  1388,     0,     0,
    2634,  3476,     0,  2635,     0,  5307,     0,     0,  1388,     0,
    5609,     0,   909,     0,  2368,     0,     0,     0,     0,     0,
       0,  4890,     0,     0,  1388,     0,     0,     0,     0,  2634,
       0,     0,  2635,     0,     0,  4890,   994,   947,     0,   947,
       0,     0,     0,   968,     0,     0,     0,     0,     0,     0,
       0,     0,   968,     0,     0,     0,     0,     0,  1553,     0,
       0,     0,     0,     0,     0,     0,   968,     0,     0,     0,
       0,     0,     0,   645,     0,     0,     0,   645,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   958,   994,     0,
       0,     0,     0,     0,     0,  1554,  2636,     0,     0,     0,
       0,     0,     0,     0,     0,  4407,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2901,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2636,     0,     0,     0,  2109,
       0,     0,  2110,     0,   958,     0,  2111,  2112,  2113,     0,
       0,     0,     0,     0,  1555,   645,  5080,     0,     0,     0,
       0,   859,     0,     0,  2626,     0,   859,     0,     0,     0,
       0,     0,     0,     0,  2627,  2834,     0,     0,     0,     0,
       0,  2628,     0,     0,     0,   859,     0,     0,     0,  5129,
       0,     0,  5748,  1556,     0,     0,     0,  1557,     0,     0,
       0,     0,     0,   947,   859,  4890,     0,  2629,  2564,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2565,  2566,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,     0,  1639,
    1559,  5233,     0,     0,     0,     0,     0,  2564,     0,     0,
    1388,     0,     0,     0,     0,     0,     0,  2565,  2566,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,     0,     0,  1388,     0,
    5270,     0,  1388,     0,  1388,     0,     0,     0,     0,     0,
       0,  1640,     0,     0,     0,    35,  1388,     0,     0,     0,
    1561,     0,  5824,     0,  4538,  4539,  4540,     0,   646,  1562,
       0,  1388,     0,     0,     0,  5841,     0,     0,  1563,     0,
       0,  4549,  1388,     0,     0,     0,  1641,     0,     0,  1388,
       0,     0,     0,     0,     0,     0,     0,     0,  1565,     0,
       0,     0,  4310,     0,     0,  2630,     0,  1566,     0,     0,
    2631,     0,  1567,     0,  4574,  4576,     0,     0,     0,  4581,
       0,     0,     0,     0,   859,     0,     0,     0,     0,     0,
       0,     0,  2632,  2302,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1388,     0,     0,     0,     0,     0,  1388,  1388,     0,     0,
    2633,   947,   947,   947,   947,     0,     0,  1568,     0,     0,
       0,     0,     0,  4360,     0,  4362,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1388,     0,     0,   645,   645,     0,     0,  1581,
     646,     0,  2368,     0,     0,  1582,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2634,     0,     0,
    2635,     0,     0,     0,  1395,   859,     0,     0,  3476,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,     0,   859,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1737,     0,     0,     0,   968,     0,     0,     0,     0,     0,
       0,  1388,     0,     0,     0,     0,     0,     0,  1388,  1388,
    1388,     0,     0,   968,  2004,     0,     0,  1585,     0,   968,
       0,     0,     0,  2636,  1586,     0,     0,  4463,  1587,     0,
       0,   968,     0,  4470,  3788,     0,     0,  1388,     0,     0,
       0,     0,     0,     0,     0,     0,  1388,   968,  1388,     0,
    1388,  5609,     0,     0,     0,     0,  1588,  4890,     0,     0,
       0,     0,   968,     0,     0,   959,   969,  2004,     0,   994,
     968,     0,     0,   959,     0,   969,   959,     0,  1388,     0,
       0,     0,     0,     0,   968,     0,     0,     0,     0,   969,
       0,  1589,     0,     0,   968,     0,     0,     0,     0,     0,
       0,  4809,  4810,  4811,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2004,  2004,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2564,     0,  3532,     0,     0,
       0,  2735,  3538,     0,     0,  2565,  2566,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,   947,     0,     0,   968,  5274,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6128,     0,
       0,     0,     0,     0,     0,     0,   645,     0,     0,     0,
    1690,     0,     0,   645,  1591,   968,     0,     0,   645,   946,
     948,   645,  5303,   951,  1592,     0,     0,     0,     0,   909,
       0,  1388,     0,     0,  1593,   909,     0,     0,     0,     0,
     968,  1388,     0,  1009,     0,     0,  1594,     0,     0,     0,
    1019,     0,     0,     0,     0,     0,  5824,  4632,     0,  4634,
       0,  4636,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1388,     0,   909,     0,  5841,     0,
       0,     0,     0,     0,  1388,     0,     0,     0,  4386,     0,
       0,  1596,  1597,  3525,  1388,     0,     0,     0,     0,     0,
       0,     0,   968,     0,     0,     0,     0,     0,     0,     0,
     958,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4387,     0,   947,     0,     0,     0,     0,
       0,     0,  2004,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2109,     0,     0,  2110,     0,  2834,     0,  2111,
    2112,  2113,     0,     0,  1388,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4890,     0,     0,  2626,     0,     0,
       0,     0,   958,   958,  6275,     0,     0,  2627,  1388,     0,
       0,     0,     0,  1599,  2628,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2004,  2004,  6286,     0,     0,
       0,     0,  1822,     0,     0,     0,     0,     0,   968,     0,
    2629,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1388,  1388,     0,     0,  1388,
       0,     0,  6309,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1737,     0,     0,     0,     0,     0,     0,
    5445,     0,     0,     0,   947,     0,     0,     0,     0,     0,
    5073,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   909,     0,     0,     0,     0,
       0,   645,     0,  6128,   947,   947,     0,     0,     0,  4890,
       0,     0,  5105,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   646,     0,  1388,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3111,     0,     0,     0,  2630,     0,
       0,     0,   968,  2631,     0,     0,     0,     0,     0,     0,
    1388,     0,     0,     0,     0,     0,     0,   969,  2735,     0,
       0,     0,  2735,     0,  1388,  2632,  2302,     0,     0,  5163,
       0,     0,     0,     0,     0,     0,   969,     0,     0,     0,
       0,     0,   969,     0,     0,     0,  3172,     0,     0,     0,
       0,     0,     0,  2633,   969,     0,     0,     0,  6394,  6395,
     646,  6399,     0,   968,     0,     0,     0,     0,  5841,     0,
     969,  3525,     0,     0,   968,     0,     0,     0,     0,     0,
       0,     0,     0,   947,   959,   969,  4890,     0,     0,     0,
       0,   959,   968,   969,   959,  2368,   968,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   969,     0,  4275,
    2634,     0,     0,  2635,     0,     0,     0,   969,     0,     0,
       0,     0,     0,     0,   909,     0,     0,     0,  1388,   646,
       0,     0,     0,     0,  1388,     0,     0,     0,   646,     0,
     909,     0,     0,     0,   645,   909,     0,     0,  1078,     0,
    1081,   958,   958,  1083,     0,  6465,     0,     0,     0,     0,
       0,     0,     0,     0,   645,     0,     0,  1109,     0,     0,
     969,     0,     0,  1113,     0,   909,     0,     0,   645,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2109,     0,   969,  2110,
       0,     0,     0,  2111,  2112,  2113,  2636,     0,     0,     0,
    5277,  5278,  5279,  5280,     0,     0,     0,     0,     0,     0,
       0,  2626,     0,   969,     0,     0,     0,     0,     0,     0,
     957,  2627,     0,     0,  2109,     0,     0,  2110,  2628,   968,
       0,  2111,  2112,  2113,     0,     0,     0,   968,   968,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2626,
       0,     0,     0,     0,  2629,     0,     0,     0,     0,  2627,
       0,     0,     0,     0,     0,     0,  2628,   957,     0,     0,
       0,     0,     0,     0,     0,   969,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1822,     0,  2629,     0,     0,     0,     0,     0,  2564,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2565,  2566,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,     0,     0,
       0,  5546,     0,     0,     0,     0,     0,     0,   645,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5171,     0,     0,
    5173,     0,  2630,     0,     0,     0,     0,  2631,     0,     0,
       0,     0,     0,     0,     0,  1823,     0,     0,     0,     0,
       0,   969,     0,     0,  5188,     0,     0,     0,     0,  2632,
    2302,     0,   959,     0,     0,     0,   959,     0,   959,     0,
    2630,   645,     0,     0,     0,  2631,     0,     0,     0,     0,
       0,     0,     0,  2735,     0,     0,  3538,  2633,  3538,     0,
       0,     0,     0,  2735,     0,     0,     0,  2632,  2302,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1613,  1614,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2633,     0,     0,     0,  2368,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   909,     0,     0,  2634,     0,     0,  2635,     0,   909,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2368,     0,     0,
       0,     0,     0,     0,  2735,   969,     0,     0,     0,     0,
    1840,     0,  2634,     0,     0,  2635,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1852,     0,     0,     0,   968,
       0,     0,     0,  5935,  5496,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5506,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1874,  1875,     0,     0,
       0,   645,     0,     0,     0,     0,   969,     0,     0,     0,
    2636,     0,     0,     0,   909,     0,   909,   969,     0,     0,
       0,     0,  1912,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   969,     0,     0,     0,   969,
       0,     0,     0,     0,     0,     0,     0,     0,  2636,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5349,  1950,  1952,     0,     0,     0,     0,     0,     0,
       0,  2109,     0,     0,  2110,     0,     0,     0,  2111,  2112,
    2113,     0,     0,   968,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2626,     0,     0,     0,
       0,     0,     0,  5374,  5375,     0,  2627,     0,     0,     0,
     909,     0,  2564,  2628,     0,     0,     0,     0,  1822,     0,
     645,     0,  2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,
    2573,     0,     0,     0,     0,  5557,     0,  1737,     0,  2629,
       0,   968,     0,  1737,     0,     0,     0,     0,     0,   968,
    2564,     0,   909,     0,     0,     0,     0,   968,     0,     0,
    2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,
       0,     0,     0,  5565,     0,     0,     0,     0,     0,     0,
    3538,     0,   969,     0,     0,     0,     0,     0,     0,     0,
     969,   969,     0,     0,     0,     0,  5420,  5421,   907,     0,
       0,   968,   968,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   968,     0,     0,     0,     0,
       0,   645,     0,     0,     0,     0,     0,     0,   968,   968,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1823,     0,     0,     0,     0,   909,     0,
       0,     0,     0,     0,     0,     0,     0,  2630,     0,     0,
       0,     0,  2631,     0,     0,     0,     0,     0,     0,     0,
    3538,     0,     0,     0,     0,     0,  5714,     0,     0,     0,
       0,  1395,     0,  -136,  2632,  2302,     0,     0,     0,     0,
       0,     0,   909,     0,     0,     0,     0,     0,     0,   898,
    5744,     0,     0,     1,     0,     0,     0,     0,     0,     0,
       0,     0,  2633,     0,     2,     0,     3,     4,     0,     0,
       0,     0,     0,     0,     0,     0,  5514,     0,     0,  5516,
    5517,     0,     0,   957,     5,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     6,     0,  5521,     0,     0,     0,
       0,     0,     0,     0,  2368,     0,     7,     0,     8,     9,
       0,     0,     0,     0,     0,    10,     0,    11,     0,  2634,
       0,     0,  2635,   909,     0,     0,     0,     0,     0,     0,
      12,     0,    13,     0,     0,     0,     0,  1822,     0,     0,
       0,     0,     0,     0,     0,     0,   909,   645,     0,    14,
       0,     0,    15,     0,     0,   957,   957,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    16,     0,    17,
       0,     0,     0,    18,     0,     0,   909,     0,     0,     0,
      19,     0,     0,     0,     0,     0,     0,     0,     0,    20,
       0,    21,     0,     0,     0,     0,     0,     0,    22,     0,
       0,   909,     0,     0,     0,     0,     0,     0,     0,  5872,
       0,     0,     0,     0,     0,  2636,    23,     0,  2816,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    24,     0,     0,     0,     0,     0,     0,
       0,     0,   969,  2855,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   645,     0,     0,     0,
       0,     0,   645,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    25,    26,     0,     0,
    6353,     0,    27,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    28,     0,     0,     0,
    5948,     0,     0,     0,     0,     0,     0,  2564,     0,     0,
    2945,     0,     0,     0,     0,    29,     0,  2565,  2566,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,     0,     0,  5970,     0,
    5625,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2971,  2972,  2973,  2974,     0,     0,   969,     0,     0,     0,
       0,     0,  2735,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    30,  6397,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    31,     0,     0,
       0,  1823,     0,    32,    33,     0,    34,     0,     0,   645,
       0,    35,     0,     0,     0,     0,     0,    36,     0,     0,
      37,     0,     0,     0,   969,     0,     0,    38,     0,     0,
       0,     0,   969,     0,    39,    40,     0,     0,     0,     0,
     969,     0,    41,     0,     0,     0,    42,     0,     0,     0,
       0,     0,  6397,     0,     0,     0,    43,     0,     0,     0,
       0,  6450,  3538,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    44,     0,   957,   957,     0,     0,     0,     0,
       0,   959,   959,     0,   969,   969,     0,     0,  3538,     0,
       0,     0,    45,     0,     0,     0,   959,     0,   969,   959,
       0,     0,     0,     0,    46,     0,  3027,  3028,     0,     0,
      47,   969,   969,     0,     0,    48,     0,     0,     0,     0,
       0,     0,  3045,     0,     0,     0,     0,     0,    49,     0,
    2109,     0,     0,  2110,     0,     0,     0,  2111,  2112,  2113,
       0,     0,     0,     0,  5865,     0,     0,     0,     0,   959,
       0,    50,     0,   959,   959,  2626,  3088,  3089,  3090,  3091,
       0,     0,     0,     0,     0,  2627,     0,     0,     0,     0,
       0,    56,  2628,     0,     0,     0,  -136,     0,     0,     0,
       0,     0,  2109,     0,     0,  2110,     0,     0,     0,  2111,
    2112,  2113,     0,     0,     0,     0,     0,  5901,  2629,     0,
       0,     0,     0,     0,     0,     0,     0,  2626,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2627,     0,     0,
       0,     0,     0,     0,  2628,     0,     0,     0,   907,     0,
     909,     0,     0,     0,     0,     0,     0,  3165,     0,     0,
       0,     0,     0,  3169,     0,     0,     0,     0,     0,     0,
    2629,     0,     0,     0,   907,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1823,     0,     0,     0,     0,     0,     0,  3538,     0,  1822,
    2109,     0,  2735,  2110,     0,     0,     0,  2111,  2112,  2113,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2626,     0,     0,     0,     0,
    5990,     0,     0,     0,     0,  2627,  2630,     0,     0,     0,
       0,  2631,  2628,     0,     0,     0,     0,     0,     0,   898,
       0,     0,     0,     0,   968,     0,     0,     0,     0,     0,
       0,     0,     0,  2632,  2302,     0,     0,     0,  2629,     0,
       0,     0,   968,     0,     0,   898,   968,     0,     0,     0,
     968,     0,     0,     0,     0,     0,     0,     0,  2630,   968,
       0,  2633,     0,  2631,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   968,     0,     0,
       0,     0,     0,     0,     0,  2632,  2302,   907,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2368,     0,     0,     0,     0,     0,     0,
       0,   968,     0,  2633,     0,     0,     0,     0,  2634,     0,
    3356,  2635,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   968,   968,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   909,
       0,     0,     0,     0,     0,  2368,  2630,     0,     0,     0,
       0,  2631,  1822,   968,     0,     0,  1822,     0,     0,     0,
    2634,     0,     0,  2635,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2632,  2302,     0,     0,     0,   898,     0,
     968,     0,  1822,     0,     0,     0,   968,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     968,  2633,     0,     0,  2636,     0,     0,   968,     0,     0,
     968,     0,     0,     0,     0,     0,   968,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   968,     0,     0,   907,
       0,     0,   968,  2368,  2109,     0,     0,  2110,     0,   968,
     907,  2111,  2112,  2113,     0,     0,  2636,     0,  2634,     0,
       0,  2635,     0,   968,     0,   909,   907,     0,     0,  2626,
       0,     0,     0,     0,     0,     0,   968,     0,     0,  2627,
       0,  1822,     0,     0,     0,     0,  2628,   968,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   909,     0,  2564,     0,     0,     0,
       0,     0,  2629,     0,     0,     0,  2565,  2566,  2567,  2568,
    2569,  2570,  2571,  2572,  2573,     0,   909,     0,     0,  5659,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     898,     0,     0,     0,     0,     0,     0,  1822,     0,     0,
       0,   898,     0,     0,  2636,     0,     0,     0,  2564,     0,
       0,     0,     0,     0,     0,     0,     0,   898,  2565,  2566,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,     0,     0,
       0,  5661,  2109,     0,     0,  2110,     0,     0,     0,  2111,
    2112,  2113,     0,     0,     0,     0,     0,   909,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2626,     0,     0,
       0,     0,  2109,  6319,     0,  2110,     0,  2627,     0,  2111,
    2112,  2113,     0,   907,  2628,     0,     0,     0,     0,     0,
    2630,     0,     0,     0,     0,  2631,     0,  2626,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2627,     0,     0,
    2629,     0,     0,     0,  2628,     0,  2564,  2632,  2302,     0,
       0,     0,     0,     0,     0,     0,  2565,  2566,  2567,  2568,
    2569,  2570,  2571,  2572,  2573,     0,     0,     0,     0,  5700,
    2629,     0,  1823,     0,     0,  2633,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   968,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5501,     0,   909,     0,
     968,     0,     0,     0,   898,     0,     0,  2368,   968,     0,
       0,     0,     0,     0,     0,     0,     0,   969,     0,     0,
       0,     0,  2634,     0,     0,  2635,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   969,     0,     0,     0,   969,
       0,     0,     0,   969,     0,     0,     0,     0,  2630,     0,
    3356,     0,   969,  2631,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     969,     0,     0,  2605,     0,  2632,  2302,     0,  2630,     0,
       0,     0,     0,  2631,     0,     0,     0,   959,     0,   959,
     959,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2633,   969,  2632,  2302,     0,     0,  1822,
       0,     0,     0,     0,     0,  1822,     0,     0,  2636,     0,
       0,     0,     0,     0,   969,   969,     0,     0,     0,     0,
       0,     0,     0,  2633,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2368,     0,     0,     0,   909,
       0,     0,     0,     0,     0,  1823,   969,     0,     0,  1823,
    2634,     0,     0,  2635,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   907,  2368,     0,     0,     0,     0,
       0,     0,     0,   969,     0,  1823,     0,     0,     0,   969,
    2634,     0,     0,  2635,     0,     0,     0,     0,     0,   968,
       0,     0,     0,   969,     0,     0,     0,     0,     0,     0,
     969,     0,     0,   969,     0,  3599,     0,     0,  3538,   969,
    2564,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,   969,
       0,   907,     0,  6078,     0,   969,     0,     0,     0,     0,
       0,     0,   969,     0,     0,     0,  2636,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   969,     0,     0,     0,
       0,     0,     0,     0,     0,   898,     0,     0,     0,   969,
       0,     0,   907,     0,  1823,     0,  2636,     0,     0,     0,
     969,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   907,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   968,   968,     0,     0,     0,     0,     0,     0,
    3538,     0,   898,     0,     0,     0,     0,     0,     0,     0,
    1823,     0,     0,  3739,     0,     0,  3742,     0,  2564,   968,
     900,     0,   968,     0,     0,     0,     0,     0,  2565,  2566,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,     0,     0,
       0,  6100,     0,   898,     0,     0,     0,     0,  2564,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2565,  2566,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,     0,     0,
       0,  6335,  2109,     0,     0,  2110,   898,     0,     0,  2111,
    2112,  2113,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1822,  1822,  1822,  2626,     0,     0,
       0,     0,     0,     0,  3833,     0,     0,  2627,     0,     0,
       0,     0,     0,     0,  2628,     0,     0,  3846,     0,   968,
       0,     0,     0,     0,     0,  3855,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   968,     0,
    2629,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   909,     0,     0,     0,     0,   909,   909,     0,
     968,     0,     0,     0,  3899,   969,   907,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   907,     0,     0,
       0,     0,     0,   969,     0,  3923,     0,     0,     0,     0,
       0,   969,     0,   907,     0,     0,     0,     0,   959,   654,
     959,   959,     0,     0,     0,   703,   654,     0,     0,     0,
       0,   755,     0,   654,     0,     0,     0,     0,     0,   654,
       0,   808,     0,     0,     0,     0,     0,     0,  3978,     0,
    3980,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     870,   870,     0,     0,     0,     0,   968,   907,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2630,     0,
       0,     0,   907,  2631,     0,   907,   907,   898,     0,  5501,
     909,     0,     0,     0,     0,     0,     0,     0,   898,     0,
       0,     0,     0,     0,     0,  2632,  2302,     0,     0,     0,
       0,     0,  1823,  1822,   898,     0,   907,   907,  1823,   968,
       0,   968,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2633,   968,     0,   968,     0,  4034,     0,
       0,     0,     0,     0,     0,  4041,   909,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   909,     0,   715,     0,     0,   898,     0,
    3236,     0,     0,     0,     0,  2368,     0,     0,     0,     0,
       0,     0,     0,   898,     0,     0,   898,   898,     0,     0,
    2634,     0,     0,  2635,     0,     0,     0,     0,     0,     0,
       0,     0,   969,   968,     0,     0,     0,     0,     0,     0,
       0,   949,     0,     0,     0,   953,     0,   898,   898,     0,
       0,   718,  3237,   996,     0,     0,   998,     0,     0,  1003,
    1004,     0,  1007,     0,  1010,     0,     0,  1016,   719,  1018,
       0,     0,     0,     0,     0,   968,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1051,   907,     0,     0,
       0,     0,     0,     0,   968,     0,  2109,     0,     0,  2110,
       0,     0,     0,  2111,  2112,  2113,     0,     0,     0,     0,
    3238,     0,     0,     0,   968,     0,  2636,   968,     0,     0,
       0,  2626,     0,   722,     0,     0,     0,     0,     0,     0,
       0,  2627,   723,     0,     0,     0,     0,     0,  2628,     0,
       0,     0,     0,     0,     0,   724,     0,     0,     0,     0,
       0,  3239,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2629,   969,   969,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1054,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   898,     0,
       0,     0,   969,     0,     0,   969,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3240,     0,     0,  2564,     0,
       0,     0,     0,     0,     0,     0,     0,  1822,  2565,  2566,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,   728,     0,     0,
       0,  6352,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1823,  1823,  1823,
       0,  2109,     0,     0,  2110,     0,     0,     0,  2111,  2112,
    2113,     0,  2630,     0,     0,     0,   901,  2631,     0,     0,
       0,     0,   969,     0,     0,     0,  2626,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2627,     0,     0,  2632,
    2302,   969,     0,  2628,     0,     0,   213,  3241,     0,     0,
     733,     0,     0,  4316,  4317,     0,     0,     0,     0,     0,
       0,     0,     0,   969,     0,     0,     0,  2633,     0,  2629,
     900,     0,     0,     0,     0,     0,     0,     0,  1058,     0,
       0,  3242,     0,     0,     0,     0,     0,     0,   737,     0,
       0,     0,     0,     0,     0,   738,   900,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2368,
       0,     0,     0,     0,     0,     0,     0,   740,     0,     0,
       0,     0,     0,     0,  2634,  1060,     0,  2635,     0,     0,
       0,   742,     0,     0,  1061,     0,     0,     0,   744,   968,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   969,
       0,     0,     0,  3243,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2109,     0,     0,  2110,     0,     0,
       0,  2111,  2112,  2113,     0,     0,     0,     0,     0,     0,
     749,     0,     0,     0,     0,     0,     0,  2630,     0,  2626,
    1822,     0,  2631,     0,     0,  1822,  1823,  1822,     0,  2627,
       0,     0,   969,     0,   969,     0,  2628,     0,     0,     0,
       0,     0,     0,     0,  2632,  2302,     0,   969,     0,   969,
    2636,  1822,     0,     0,     0,     0,     0,     0,     0,     0,
    1045,     0,  2629,     0,     0,     0,     0,     0,     0,   900,
       0,  1082,  2633,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,  1099,  1100,     0,     0,  1106,     0,  1110,  1111,
       0,     0,     0,     0,     0,     0,     0,   968,     0,     0,
     968,     0,     0,  1133,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2368,     0,   969,     0,     0,     0,
       0,  1146,     0,  4487,     0,     0,     0,     0,     0,  2634,
       0,     0,  2635,     0,     0,     0,     0,     0,     0,     0,
    1737,     0,  1174,     0,  1176,     0,     0,     0,     0,     0,
       0,     0,  2564,     0,  1192,  4124,     0,     0,   969,     0,
       0,  4125,  2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,
    2573,     0,     0,     0,     0,  6403,     0,   969,     0,     0,
    2630,     0,     0,     0,     0,  2631,     0,   654,     0,     0,
     968,   968,     0,     0,     0,     0,     0,   969,     0,     0,
     969,   968,     0,     0,     0,     0,     0,  2632,  2302,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   968,     0,
       0,     0,     0,     0,     0,  2636,     0,     0,     0,     0,
       0,   900,     0,     0,     0,  2633,     0,     0,     0,     0,
       0,     0,   900,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   900,     0,
       0,     0,   907,     0,     0,     0,   907,   907,   870,     0,
       0,     0,     0,     0,     0,     0,     0,  2368,     0,     0,
       0,     0,     0,  4640,     0,     0,     0,     0,     0,     0,
       0,     0,  2634,     0,     0,  2635,     0,     0,     0,   968,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1823,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   907,     0,     0,  2564,     0,     0,
     907,     0,     0,     0,     0,     0,     0,  2565,  2566,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,     0,     0,  3014,     0,
       0,     0,     0,  1542,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   898,     0,     0,     0,   898,   898,     0,
       0,   907,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4126,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2109,     0,     0,  2110,   900,     0,     0,  2111,  2112,
    2113,     0,     0,     0,     0,   898,     0,  1721,     0,     0,
       0,   898,     0,     0,     0,     0,  2626,     0,     0,     0,
    3483,     0,     0,     0,     0,     0,  2627,     0,     0,     0,
       0,  1841,     0,  2628,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1853,     0,  1854,     0,
       0,     0,   898,     0,     0,     0,     0,     0,  1857,  2629,
       0,     0,     0,     0,     0,  1867,     0,     0,     0,     0,
    2564,     0,   969,     0,     0,     0,     0,     0,     0,     0,
    2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,
       0,     0,     0,     0,     0,     0,   901,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1919,     0,
    1921,  3484,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   901,  1823,     0,     0,     0,     0,  1823,     0,
    1823,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   968,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1823,     0,     0,     0,     0,     0,
     907,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2630,     0,     0,
       0,     0,  2631,     0,   654,   968,   654,     0,   654,     0,
     654,     0,   654,   654,   654,     0,     0,   968,     0,   654,
     969,     0,     0,   969,  2632,  2302,     0,     0,     0,     0,
       0,  2025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     968,     0,  2633,   907,     0,     0,     0,   907,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2109,     0,     0,  2110,     0,
       0,   898,  2111,  2112,  2113,   901,   900,     0,     0,     0,
       0,     0,     0,     0,  2368,     0,  2109,     0,     0,  2110,
    2626,     0,     0,  2111,  2112,  2113,     0,     0,     0,  2634,
    2627,     0,  2635,   969,   969,     0,     0,  2628,     0,     0,
       0,  2626,     0,     0,   969,     0,     0,     0,  1822,     0,
       0,  2627,     0,     0,     0,     0,     0,     0,  2628,     0,
       0,   969,     0,  2629,     0,     0,     0,   968,     0,     0,
       0,     0,     0,   900,   898,     0,     0,     0,   898,   907,
       0,     0,     0,     0,  2629,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   907,     0,     0,     0,     0,
     907,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5060,   900,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2636,     0,  5062,     0,     0,
     907,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   969,     0,     0,     0,     0,   900,     0,   870,
       0,     0,     0,   968,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   901,     0,     0,
       0,     0,     0,     0,     0,     0,  6159,     0,   901,     0,
     898,  2630,     0,     0,     0,     0,  2631,  3485,     0,     0,
       0,     0,     0,     0,   901,     0,   898,     0,     0,     0,
       0,   898,  2630,     0,     0,     0,     0,  2631,  2632,  2302,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2564,     0,  2632,
    2302,   898,     0,     0,     0,     0,  2633,  2565,  2566,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2633,     0,  2109,
       0,     0,  2110,     0,     0,     0,  2111,  2112,  2113,  2796,
       0,     0,     0,     0,     0,     0,     0,     0,  2368,     0,
       0,     0,     0,     0,  2626,     0,     0,  4051,     0,     0,
       0,     0,     0,  2634,  2627,   968,  2635,   968,     0,  2368,
       0,  2628,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2634,     0,     0,  2635,     0,     0,
       0,     0,     0,  4770,     0,     0,     0,  2629,     0,     0,
     903,     0,     0,     0,     0,     0,     0,     0,   900,     0,
       0,  2888,  6160,   968,     0,     0,     0,     0,     0,   900,
       0,   901,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   900,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   907,  2636,
       0,   907,     0,   907,     0,  1822,     0,     0,   907,     0,
       0,     0,     0,     0,     0,   969,     0,  4771,     0,     0,
    2636,     0,     0,     0,     0,     0,     0,     0,     0,   900,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   900,     0,     0,   900,   900,     0,
       0,     0,     0,     0,     0,  2630,   907,     0,   969,     0,
    2631,     0,     0,     0,   907,     0,     0,     0,     0,     0,
     969,     0,     0,     0,     0,     0,     0,     0,   900,   900,
       0,     0,  2632,  2302,     0,     0,     0,     0,     0,   907,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   898,
       0,  2564,   898,   969,   898,     0,     0,     0,     0,   898,
    2633,  2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,
       0,     0,  2564,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,
    2573,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2368,     0,     0,     0,     0,   898,     0,   907,
       0,   907,     0,     0,     0,   898,  3018,  2634,     0,     0,
    2635,  2109,     0,     0,  2110,     0,     0,     0,  2111,  2112,
    2113,  1823,     0,     0,     0,     0,     0,     0,     0,     0,
     898,     0,     0,     0,     0,     0,  2626,     0,     0,     0,
     969,  3054,     0,     0,     0,     0,  2627,     0,     0,     0,
       0,     0,     0,  2628,     0,     0,     0,     0,     0,   900,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   901,     0,     0,     0,  5412,     0,     0,  2629,
       0,     0,     0,     0,   968,     0,     0,  3119,     0,     0,
       0,  5416,     0,     0,     0,   907,     0,     0,   968,     0,
     898,     0,   898,  2636,     0,     0,     0,  3137,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   969,     0,     0,  1822,
       0,     0,     0,  3157,     0,  3158,     0,   907,     0,   901,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3167,     0,  3168,     0,     0,     0,     0,     0,   654,     0,
     654,     0,   654,     0,   654,   907,   654,     0,     0,     0,
     654,     0,     0,     0,     0,  4060,     0,     0,     0,     0,
     901,     0,  5474,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   898,  2630,     0,     0,
       0,     0,  2631,     0,     0,  2564,     0,  3226,     0,     0,
       0,     0,     0,   901,     0,  2565,  2566,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,  2632,  2302,     0,     0,     0,     0,
       0,     0,     0,   907,     0,     0,     0,     0,   898,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2633,     0,  1822,   907,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   898,     0,   969,     0,
     969,     0,     0,     0,     0,     0,     0,   907,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2368,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2634,
       0,     0,  2635,     0,     0,  2109,   969,     0,  2110,  1822,
       0,   968,  2111,  2112,  2113,     0,   959,     0,     0,     0,
       0,     0,     0,     0,   898,     0,     0,     0,     0,     0,
    2626,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2627,     0,     0,     0,     0,     0,   898,  2628,   907,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1823,     0,
       0,     0,     0,   959,     0,     0,     0,     0,   898,     0,
       0,   907,     0,  2629,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5631,     0,
    5633,     0,     0,     0,   901,  2636,     0,     0,  1822,     0,
       0,   907,     0,     0,     0,   901,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   904,     0,     0,     0,     0,
       0,   901,     0,     0,     0,     0,   907,     0,     0,     0,
     715,     0,     0,     0,     0,   716,     0,     0,     0,     0,
     903,     0,     0,     0,     0,     0,     0,     0,     0,   898,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   968,     0,     0,   903,     0,     0,     0,
       0,     0,   898,   717,     0,   901,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   718,     0,     0,   968,
     901,  2630,     0,   901,   901,     0,  2631,  2564,     0,     0,
       0,     0,   898,   719,     0,     0,     0,  2565,  2566,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,     0,     0,  2632,  2302,
       0,   720,     0,     0,   901,   901,     0,   898,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5760,   721,  2633,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   722,     0,
       0,     0,     0,     0,     0,     0,     0,   723,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     724,     0,     0,     0,     0,     0,   725,   907,  2368,     0,
       0,     0,     0,   726,     0,     0,     0,   969,     0,     0,
       0,     0,     0,  2634,     0,     0,  2635,     0,     0,   903,
       0,   969,   727,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   968,     0,     0,     0,
       0,     0,  1823,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   900,   901,     0,  4074,   900,   900,
       0,     0,   728,     0,     0,     0,     0,   907,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   898,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2636,
       0,     0,     0,   907,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   729,     0,     0,     0,     0,
       0,     0,     0,  5897,     0,  5899,   900,     0,   730,     0,
       0,     0,   900,     0,     0,     0,     0,  2109,     0,     0,
    2110,   731,     0,     0,  2111,  2112,  2113,     0,     0,     0,
       0,   213,   732,     0,     0,   733,     0,     0,     0,     0,
       0,     0,  2626,     0,     0,     0,     0,  1823,     0,     0,
       0,   903,  2627,   900,     0,     0,     0,     0,   898,  2628,
       0,     0,   903,   734,     0,     0,   735,     0,     0,     0,
     736,     0,     0,   737,     0,     0,     0,     0,   903,  1822,
     738,  2564,     0,   739,   898,  2629,     0,     0,     0,     0,
       0,  2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,
       0,     0,   740,     0,     0,     0,     0,     0,     0,     0,
     741,     0,  1823,     0,   969,     0,   742,     0,     0,   743,
       0,     0,   906,   744,     0,   907,     0,     0,  1822,     0,
       0,   745,     0,   746,     0,     0,     0,     0,   747,     0,
       0,     0,     0,     0,     0,     0,     0,  1822,     0,     0,
       0,     0,   748,     0,     0,     0,     0,     0,     0,     0,
    3528,  3529,     0,     0,     0,   749,     0,     0,     0,     0,
       0,     0,   907,     0,     0,     0,     0,   907,     0,  3544,
    3545,     0,  3547,  3548,     0,     0,     0,  3551,  3552,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1823,  3563,  2630,     0,     0,     0,     0,  2631,  3572,
       0,     0,     0,  3575,  3576,     0,     0,  3579,  3580,     0,
       0,     0,     0,     0,  3585,     0,   898,     0,     0,     0,
    2632,  2302,     0,     0,     0,   903,  3600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3617,     0,
       0,     0,     0,  3619,     0,     0,  2109,     0,  2633,  2110,
       0,     0,   900,  2111,  2112,  2113,   969,     0,  3625,     0,
       0,     0,     0,   898,     0,  6114,   908,  3632,   898,   959,
    3636,  2626,  3638,  3641,  3643,     0,     0,     0,     0,  3651,
    3654,  2627,   969,     0,     0,     0,     0,     0,  2628,  3667,
    2368,     0,     0,     0,     0,  3677,     0,     0,     0,  3680,
       0,     0,     0,     0,     0,  2634,     0,     0,  2635,     0,
       0,  3690,  3691,     0,  2629,     0,  3696,     0,     0,     0,
       0,     0,  3705,  3706,     0,   900,     0,     0,  4097,   900,
       0,     0,     0,     0,     0,     0,  3715,     0,     0,  3716,
       0,   959,   959,     0,   907,     0,  3728,  3729,     0,     0,
       0,     0,  3733,     0,     0,   904,     0,     0,     0,     0,
       0,     0,     0,     0,  3740,     0,     0,  3743,     0,     0,
       0,     0,  3746,     0,     0,     0,     0,     0,  3749,  3750,
       0,   904,     0,     0,     0,     0,  3756,     0,     0,     0,
    3758,     0,     0,     0,  3765,  3766,  3767,  3768,     0,  3770,
       0,  2636,     0,     0,     0,     0,  6228,     0,     0,     0,
       0,     0,  3795,  3796,     0,  3798,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3807,  3808,  3809,   969,
       0,   900,  2630,     0,     0,     0,     0,  2631,     0,     0,
       0,     0,     0,     0,     0,   898,     0,   900,     0,     0,
       0,     0,   900,     0,     0,     0,     0,     0,     0,  2632,
    2302,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     907,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   900,  3861,     0,     0,     0,  2633,     0,     0,
       0,  3885,     0,     0,     0,     0,   903,     0,  2109,     0,
       0,  2110,     0,  2564,     0,  2111,  2112,  2113,     0,   907,
    3897,     0,     0,  2565,  2566,  2567,  2568,  2569,  2570,  2571,
    2572,  2573,     0,  2626,   904,     0,  4129,     0,     0,  2368,
       0,   907,     0,  2627,     0,     0,     0,     0,     0,     0,
    2628,     0,     0,     0,  2634,  6323,     0,  2635,     0,     0,
     901,     0,     0,     0,   901,   901,     0,     0,     0,     0,
    3965,     0,     0,   903,     0,     0,  2629,     0,     0,     0,
       0,   898,     0,     0,     0,  1109,  1109,     0,     0,  3979,
    2109,  3981,     0,  2110,     0,     0,     0,  2111,  2112,  2113,
       0,     0,  1823,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   907,     0,   903,  2626,     0,     0,     0,     0,
     898,     0,   901,     0,     0,  2627,     0,     0,   901,     0,
       0,     0,  2628,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   898,     0,     0,     0,     0,   903,     0,     0,
    2636,  1823,     0,     0,     0,     0,     0,     0,  2629,     0,
     959,   959,     0,     0,     0,     0,     0,     0,     0,   901,
    1823,     0,     0,  2109,     0,     0,  2110,     0,     0,     0,
    2111,  2112,  2113,  4677,     0,     0,  4042,     0,     0,     0,
       0,     0,     0,     0,  2630,     0,   904,     0,  2626,  2631,
       0,  4141,     0,     0,     0,     0,     0,   904,  2627,     0,
       0,     0,     0,   898,  1109,  2628,     0,     0,     0,     0,
       0,  2632,  2302,   904,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   907,     0,     0,     0,     0,     0,     0,
       0,  2629,     0,     0,     0,     0,     0,     0,     0,  2633,
     900,     0,  2564,   900,     0,   900,     0,  4134,     0,     0,
     900,     0,  2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,
    2573,     0,     0,     0,     0,     0,  2630,     0,     0,     0,
       0,  2631,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2368,   906,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2632,  2302,     0,  2634,     0,   900,  2635,
       0,     0,     0,     0,     0,     0,   900,     0,   906,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2633,     0,     0,   898,     0,     0,     0,   903,     0,
       0,   900,     0,     0,     0,     0,     0,     0,     0,   903,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2630,
       0,     0,     0,     0,  2631,   903,     0,     0,     0,     0,
       0,     0,     0,  2368,     0,     0,     0,     0,   901,     0,
     904,     0,     0,     0,   907,     0,  2632,  2302,  2634,     0,
       0,  2635,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2636,     0,     0,     0,     0,     0,     0,     0,
       0,   900,     0,   900,  2633,     0,     0,     0,     0,   903,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   903,     0,     0,   903,   903,     0,
       0,     0,     0,     0,     0,     0,   908,     0,     0,     0,
       0,   901,     0,   907,     0,   901,  2368,     0,     0,     0,
       0,   906,     0,     0,     0,     0,     0,     0,   903,   903,
       0,  2634,   908,     0,  2635,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2636,   898,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2564,  4301,     0,   900,     0,     0,
       0,     0,     0,     0,  2565,  2566,  2567,  2568,  2569,  2570,
    2571,  2572,  2573,     0,     0,  4313,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4320,     0,     0,     0,  4320,     0,     0,   900,
       0,  4331,  4332,  4333,   898,     0,     0,   901,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2636,     0,     0,
       0,     0,     0,   901,     0,   907,     0,   900,   901,     0,
       0,     0,     0,     0,     0,     0,  2564,  4363,  4364,  4365,
    4366,     0,     0,     0,     0,     0,  2565,  2566,  2567,  2568,
    2569,  2570,  2571,  2572,  2573,     0,     0,     0,   901,   903,
       0,     0,     0,     0,     0,   908,     0,  4382,     0,     0,
       0,     0,     0,   906,     0,  4385,     0,  4389,  4390,  4391,
       0,     0,     0,     0,   906,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   900,     0,     0,     0,     0,
     906,   904,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   900,     0,  2564,
       0,     0,     0,     0,     0,     0,   898,     0,     0,  2565,
    2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,   900,
       0,     0,     0,     0,  2109,     0,     0,  2110,     0,     0,
       0,  2111,  2112,  2113,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   904,  2626,
       0,     0,  4777,     0,     0,     0,     0,   907,     0,  2627,
       0,     0,   907,   907,     0,     0,  2628,     0,     0,     0,
       0,     0,     0,  4474,     0,     0,     0,     0,     0,     0,
       0,     0,  4480,     0,     0,     0,     0,     0,     0,   904,
       0,     0,  2629,     0,     0,     0,     0,     0,     0,     0,
     900,     0,     0,     0,     0,     0,     0,   908,  4490,  4491,
       0,     0,     0,  4492,     0,     0,     0,     0,   908,     0,
       0,     0,   904,   900,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   908,  4534,     0,   906,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   900,     0,     0,     0,     0,   898,     0,
       0,     0,     0,   898,   898,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   907,     0,     0,   900,     0,
       0,     0,  2109,     0,     0,  2110,     0,  4571,     0,  2111,
    2112,  2113,  4577,     0,     0,     0,   901,     0,  4583,   901,
       0,   901,     0,     0,     0,     0,   901,  2626,     0,     0,
    2630,     0,     0,     0,     0,  2631,     0,  2627,     0,     0,
       0,     0,     0,     0,  2628,     0,     0,     0,  4622,     0,
       0,   907,     0,     0,     0,     0,     0,  2632,  2302,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   907,     0,
    2629,     0,     0,     0,   901,     0,     0,  4637,     0,  4638,
       0,     0,   901,     0,     0,  2633,     0,     0,     0,     0,
    2109,     0,     0,  2110,     0,     0,   898,  2111,  2112,  2113,
       0,     0,     0,     0,     0,     0,     0,   901,     0,     0,
       0,   908,     0,     0,     0,  2626,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2627,     0,  2368,     0,     0,
       0,     0,  2628,   904,     0,     0,     0,     0,     0,     0,
       0,     0,  2634,     0,   904,  2635,     0,     0,     0,     0,
       0,     0,   898,     0,     0,     0,     0,     0,  2629,   900,
     904,     0,     0,     0,     0,     0,     0,     0,     0,   898,
       0,     0,     0,     0,     0,     0,     0,   901,     0,   901,
       0,     0,     0,     0,     0,     0,     0,     0,  2630,     0,
       0,     0,     0,  2631,     0,     0,     0,     0,     0,  2109,
       0,     0,  2110,     0,     0,     0,  2111,  2112,  2113,     0,
       0,     0,     0,     0,   904,  2632,  2302,     0,     0,     0,
       0,     0,     0,     0,  2626,     0,     0,     0,   906,   904,
       0,     0,   904,   904,  2627,     0,     0,     0,  2636,     0,
       0,  2628,     0,  2633,  2109,     0,     0,  2110,     0,   900,
       0,  2111,  2112,  2113,     0,     0,     0,  5234,     0,     0,
       0,     0,     0,   904,   904,     0,     0,  2629,     0,  2626,
       0,     0,     0,   901,     0,   900,  2630,     0,     0,  2627,
       0,  2631,     0,     0,     0,  2368,  2628,     0,     0,     0,
       0,     0,     0,     0,     0,   906,     0,     0,     0,     0,
    2634,     0,     0,  2632,  2302,     0,     0,     0,     0,     0,
       0,     0,  2629,     0,     0,   901,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2633,     0,     0,     0,     0,   906,     0,     0,     0,
    2564,     0,     0,   901,     0,     0,     0,     0,     0,     0,
    2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,
       0,     0,     0,     0,     0,     0,  5240,     0,     0,   906,
       0,     0,     0,  2368,   903,     0,     0,     0,   903,   903,
       0,     0,   908,     0,     0,  2630,     0,     0,  2634,     0,
    2631,  2635,     0,     0,     0,     0,  2636,  4894,     0,     0,
    4901,     0,  4902,     0,   904,  5241,     0,     0,     0,     0,
       0,   901,  2632,  2302,     0,  4909,     0,   900,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4915,     0,     0,
    2630,  4918,     0,   901,     0,  2631,   903,     0,  2109,     0,
    2633,  2110,   903,     0,     0,  2111,  2112,  2113,     0,   908,
    4943,     0,     0,     0,     0,   901,     0,  2632,  2302,     0,
       0,     0,     0,  2626,   900,     0,     0,     0,  4947,   900,
       0,     0,     0,  2627,  4951,     0,     0,     0,     0,     0,
    2628,     0,  2368,   903,  2636,  2633,     0,     0,     0,     0,
     908,     0,     0,     0,     0,     0,     0,  2634,  2564,  4986,
    2635,     0,     0,  4990,     0,     0,  2629,     0,  2565,  2566,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,  4999,  5000,
    5001,  5002,     0,   908,     0,     0,     0,  2368,  5006,  5007,
    5008,  5009,     0,     0,     0,     0,   901,  5011,  5012,     0,
       0,     0,  2634,  5019,  5020,  2635,  5022,  5023,  5024,  5025,
    5026,  5027,  5028,     0,     0,     0,     0,     0,     0,   901,
     906,     0,  5037,     0,     0,     0,  5040,  5041,  5042,  5043,
       0,   906,     0,     0,     0,     0,     0,     0,  5242,     0,
       0,     0,     0,     0,     0,     0,  2564,   906,     0,   901,
    4320,     0,     0,  2636,     0,     0,  2565,  2566,  2567,  2568,
    2569,  2570,  2571,  2572,  2573,     0,     0,     0,  5063,     0,
       0,     0,  2109,     0,   901,  2110,     0,     0,     0,  2111,
    2112,  2113,     0,     0,  2630,     0,     0,     0,     0,  2631,
       0,     0,     0,     0,     0,     0,     0,  2626,  2636,     0,
       0,   906,     0,     0,     0,     0,   900,  2627,     0,     0,
       0,  2632,  2302,     0,  2628,     0,   906,     0,     0,   906,
     906,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2633,
    2629,     0,     0,     0,  5144,     0,     0,     0,     0,     0,
     906,   906,   903,     0,     0,  2564,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2565,  2566,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,   908,     0,     0,  4320,     0,     0,
       0,  2368,     0,     0,  5169,   908,  5170,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2634,     0,     0,  2635,
    2564,   908,     0,     0,   715,     0,     0,     0,  5184,  2785,
    2565,  2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,
       0,     0,     0,     0,     0,   903,     0,     0,     0,   903,
       0,     0,   900,     0,     0,   901,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2786,     0,     0,
       0,     0,     0,     0,     0,   908,     0,     0,  2630,     0,
     718,     0,     0,  2631,     0,     0,     0,     0,     0,     0,
     908,   900,     0,   908,   908,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,  2632,  2302,     0,     0,     0,
       0,   906,  2636,   900,     0,  1051,     0,     0,     0,     0,
       0,     0,     0,     0,   908,   908,     0,     0,  2109,     0,
       0,  2110,     0,  2633,     0,  2111,  2112,  2113,     0,  2787,
       0,     0,     0,     0,     0,   901,     0,     0,     0,     0,
       0,   903,   722,  2626,     0,     0,     0,     0,     0,     0,
       0,   723,     0,  2627,     0,     0,     0,   903,     0,     0,
    2628,   901,   903,     0,   724,  2368,     0,     0,     0,     0,
    2788,     0,     0,     0,   900,     0,     0,     0,     0,     0,
    2634,     0,     0,  2635,     0,     0,  2629,     0,     0,     0,
       0,     0,   903,     0,     0,     0,  1054,     0,     0,     0,
       0,     0,     0,     0,  2564,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2565,  2566,  2567,  2568,  2569,  2570,
    2571,  2572,  2573,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   908,   728,     0,     0,     0,
       0,     0,     0,     0,     0,  5351,  5352,  5353,     0,     0,
       0,  5354,  5355,  5356,  5357,     0,  2636,     0,  5359,  5801,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   904,
       0,     0,     0,   904,   904,   900,     0,     0,     0,  2789,
       0,     0,     0,   901,  2630,     0,     0,     0,     0,  2631,
       0,     0,     0,     0,     0,  5379,  5380,  5381,  5382,  5383,
       0,  5385,  5386,     0,     0,     0,     0,     0,     0,     0,
       0,  2632,  2302,  5395,  5396,   213,  2790,     0,     0,   733,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     901,   904,     0,  5618,     0,   901,     0,   904,     0,  2633,
       0,     0,     0,     0,     0,     0,  5404,  1058,     0,     0,
    2791,     0,     0,     0,     0,     0,     0,   737,  2564,     0,
       0,     0,     0,     0,   738,     0,     0,   739,  2565,  2566,
    2567,  2568,  2569,  2570,  2571,  2572,  2573,     0,   904,     0,
       0,  2368,     0,     0,     0,     0,   740,     0,     0,     0,
       0,     0,     0,     0,  1060,     0,  2634,     0,     0,  2635,
     742,     0,     0,  1061,     0,     0,     0,   744,     0,     0,
       0,     0,     0,     0,     0,  2792,     0,     0,     0,     0,
       0,     0,  2793,     0,     0,     0,   900,     0,     0,     0,
     903,     0,     0,   903,     0,   903,     0,     0,     0,     0,
     903,     0,     0,     0,     0,     0,     0,     0,  5467,   749,
       0,     0,     0,     0,     0,  1358,  1358,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   903,     0,
       0,     0,  2636,     0,     0,   900,   903,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2109,   901,  5518,  2110,     0,     0,     0,  2111,  2112,
    2113,   903,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1358,  2626,     0,     0,     0,
       0,     0,     0,     0,  5525,     0,  2627,     0,     0,     0,
       0,     0,     0,  2628,     0,  5529,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2629,
       0,     0,     0,     0,     0,     0,     0,   904,     0,     0,
       0,   903,     0,   903,  2564,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2565,  2566,  2567,  2568,  2569,  2570,
    2571,  2572,  2573,     0,     0,     0,     0,   900,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   901,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   654,  1734,  1738,     0,     0,
     904,     0,     0,     0,   904,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   901,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   903,     0,     0,
       0,     0,     0,     0,     0,     0,   906,  2630,     0,   901,
     906,   906,  2631,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5648,
       0,     0,     0,     0,  2632,  2302,     0,     0,     0,   903,
       0,     0,     0,     0,     0,     0,     0,     0,  5658,     0,
       0,     0,     0,     0,     0,     0,  5664,  5665,     0,     0,
       0,     0,  2633,     0,     0,     0,  5676,   903,   906,     0,
       0,     0,     0,  5678,   906,     0,   904,     0,     0,   900,
     901,     0,     0,     0,   900,   900,     0,     0,     0,     0,
       0,     0,   904,     0,     0,     0,     0,   904,     0,     0,
       0,     0,     0,     0,  2368,     0,     0,     0,  5730,  5731,
       0,     0,     0,     0,     0,   906,     0,     0,     0,  2634,
       0,  5739,  2635,  5741,     0,     0,     0,   904,     0,     0,
       0,     0,     0,     0,     0,   903,     0,     0,  5755,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   903,     0,     0,
     908,     0,     0,  4320,   908,   908,     0,     0,     0,     0,
       0,  5789,     0,     0,     0,     0,     0,     0,     0,   903,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   900,     0,     0,
       0,   901,     0,     0,  2054,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2636,     0,     0,     0,     0,
       0,     0,   908,     0,     0,     0,     0,     0,   908,     0,
       0,     0,     0,   197,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2079,     0,     0,     0,     0,
       0,     0,     0,   900,     0,     0,     0,     0,     0,     0,
     903,     0,     0,     0,     0,  5855,     0,     0,     0,   908,
     900,     0,     0,  2098,  2099,  2100,     0,  2102,     0,     0,
       0,     0,     0,   903,   198,     0,     0,     0,     0,  5875,
       0,     0,     0,     0,     0,     0,     0,     0,  2582,     0,
    5882,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   903,     0,     0,     0,  2564,     0,   200,
       0,     0,     0,     0,   906,   201,     0,  2565,  2566,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,     0,     0,   903,     0,
       0,     0,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,   901,     0,     0,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,  5941,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   205,     0,
       0,     0,     0,     0,   206,   904,     0,     0,   904,     0,
     904,   207,     0,     0,     0,   904,     0,   906,     0,     0,
       0,   906,     0,     0,     0,     0,     0,     0,     0,     0,
     208,     0,     0,  2678,     0,     0,     0,  2690,  2695,     0,
       0,   901,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4320,     0,     0,
       0,     0,     0,   904,     0,     0,     0,     0,   209,     0,
       0,   904,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     210,     0,     0,     0,     0,     0,   904,  5529,   908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   903,
       0,     0,     0,   906,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,     0,     0,   906,
       0,     0,     0,     0,   906,     0,     0,  6066,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   212,
       0,  6079,     0,   901,     0,     0,   904,     0,   904,   213,
     214,   908,     0,   215,   906,   908,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   216,     0,     0,   217,     0,     0,     0,   218,   903,
       0,   219,     0,     0,     0,     0,     0,     0,   220,     0,
    6118,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   903,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,   224,   225,     0,     0,   226,     0,     0,
       0,   227,   904,     0,     0,     0,     0,     0,     0,     0,
       0,   228,     0,     0,     0,  2575,   229,   908,     0,     0,
    1734,  1734,  1734,     0,     0,     0,     0,     0,     0,     0,
     230,  5529,     0,   908,     0,     0,     0,     0,   908,     0,
       0,     0,     0,   231,   904,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   901,     0,     0,     0,     0,
     901,   901,     0,     0,     0,     0,     0,     0,   908,     0,
       0,     0,   904,     0,     0,     0,     0,     0,     0,     0,
    6222,     0,  2575,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6234,     0,     0,     0,     0,   903,     0,     0,
       0,     0,     0,  6244,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     904,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   904,     0,   903,     0,     0,     0,     0,   903,
       0,     0,   906,   901,     0,   906,     0,   906,     0,     0,
       0,     0,   906,     0,   904,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5529,  5529,  5529,  5529,  5529,
    5529,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   715,     0,     0,
       0,     0,  1047,     0,     0,     0,     0,     0,     0,   901,
     906,     0,     0,     0,     0,     0,     0,     0,   906,     0,
       0,     0,     0,     0,     0,     0,   901,     0,     0,     0,
       0,     0,     0,     0,  6329,     0,     0,     0,     0,     0,
    1048,     0,     0,   906,     0,   904,     0,     0,     0,     0,
       0,     0,     0,   718,  1049,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1050,     0,   904,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1051,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   904,     0,
       0,     0,     0,     0,     0,     0,   908,     0,     0,   908,
       0,   908,  1052,   906,     0,   906,   908,     0,     0,     0,
       0,     0,     0,   904,     0,   722,   903,     0,  3254,     0,
       0,     0,     0,     0,   723,     0,     0,  3271,  3271,  3271,
    3271,  3283,  3292,  3271,  3295,  3271,  3271,   724,     0,     0,
    3301,     0,  3302,  1053,  3304,     0,     0,  3318,  3321,  3326,
       0,     0,     0,     0,   908,  3335,     0,     0,  3340,     0,
       0,  2575,   908,     0,     0,  2575,     0,     0,     0,  1054,
       0,     0,     0,  3347,  3348,  3349,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   908,     0,     0,
       0,  3350,     0,     0,     0,     0,     0,     0,     0,   906,
       0,     0,     0,     0,     0,     0,     0,  1055,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   728,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   906,   903,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   908,     0,   908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   906,
       0,     0,  1056,     0,   904,     0,     0,     0,     0,     0,
       0,   903,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   731,     0,
       0,     0,     0,   903,     0,     0,     0,     0,   213,  1057,
       0,     0,   733,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   906,  3357,     0,
    1058,     0,     0,  1059,     0,     0,     0,   736,     0,     0,
     737,     0,     0,   908,     0,     0,     0,   738,     0,   906,
     739,     0,     0,     0,   904,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   903,     0,     0,     0,     0,   740,
       0,   906,     0,     0,     0,     0,     0,  1060,     0,     0,
     904,  3376,     0,   742,     0,   908,  1061,     0,     0,     0,
     744,     0,     0,     0,     0,     0,     0,     0,  1062,     0,
     746,     0,     0,     0,     0,  1063,     0,     0,     0,     0,
       0,     0,     0,   908,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   749,     0,     0,     0,  3378,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   906,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     1,     0,     0,     0,     0,
       0,  2575,     0,     0,     0,   906,     2,     0,     3,     4,
       0,   908,     0,     0,     0,   903,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2575,     0,     0,     0,
    3314,     0,     0,   908,     0,   906,     6,     0,     0,     0,
       0,     0,     0,     0,     0,  2575,  2575,  2575,     7,  2575,
       8,     9,   904,     0,     0,   908,     0,    10,     0,    11,
     906,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    12,     0,    13,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    14,     0,     0,    15,     0,     0,     0,     0,   904,
       0,     0,     0,     0,   904,     0,     0,     0,     0,    16,
       0,    17,     0,     0,     0,    18,     0,     0,     0,     0,
       0,     0,  5769,     0,     0,     0,     0,     0,     0,     0,
       0,    20,     0,    21,     0,     0,   908,     0,     0,     0,
      22,     0,     0,     0,     0,     0,     0,  3385,  3386,  3387,
    3388,  3389,  3390,  3391,  3392,  3393,     0,  3394,    23,   908,
     666,     0,     0,     0,     0,     0,   903,     0,  1358,     0,
    1734,     0,     0,     0,     0,    24,     0,     0,   667,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   668,     0,     0,     0,     0,  3350,     0,
       0,     0,  3357,     0,   908,  3376,   669,  3378,     0,     0,
    3431,   906,     0,     0,     0,     0,     0,     0,    25,    26,
       0,     0,     0,  -868,    27,   903,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    28,     0,
       0,   670,     0,     0,     0,     0,     0,   671,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    29,     0,     0,
       0,     0,     0,  2099,  2100,   672,     0,     0,     0,     0,
       0,   904,     0,     0,     0,     0,     0,     0,   673,     0,
       0,     0,     0,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     675,   906,     0,     0,    30,     0,     0,     0,     0,   676,
       0,     0,     0,   677,     0,     0,     0,     0,     0,    31,
       0,     0,     0,     0,     0,    32,    33,   906,    34,     0,
       0,     0, -1069,    35,     0,     0,  4612,     0,     0,    36,
       0,     0,    37,     0,     0,     0,  3577,   903,     0,    38,
       0,     0,     0,     0,     0,     0,    39,    40,     0,     0,
       0,     0,     0,     0,    41,   908,     0,     0,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    43,     0,
       0,     0,   678,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  -604,     0,    44,     0,     0,   904,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    46,     0,     0,     0,
       0,     0,    47,     0,     0,   679,   904,    48,   680,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      49,     0,     0,     0,     0,   908,     0,     0,   904,     0,
       0,   681,     0,     0,     0,     0,     0,     0,     0,   906,
       0,     0,     0,    50,     0,   682,     0,     0,     0,     0,
       0,   908,     0,  -459,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,     0,  -136,   903,
       0,     0,     0,   683,   903,   903,     0,     0,     0,     0,
       0,     0,     0,   684,     0,     0,   906,     0,     0,  2575,
    -459,   906,     0,   685,     0,     0,     0,     0,     0,   904,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
     687,     0,     0,     0,     0,     0,  -459,     0,     0,   688,
     689,     0,   690,   691,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   692,     0,
       0,  3819,  3820,  1734,     0,     0,   693,  3824,     0,   694,
       0,     0,   695,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  -459,     0,     0,     0,     0,
       0,     0,     0,     0,  3853,  2575,     0,   903,     0,     0,
       0,     0,     0,   908,     0,     0,     0,  2575,     0,     0,
       0,     0,  2575,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     904,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     908,     0,     0,   903,     0,   908,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     903,     0,     0,     0,     0,     0,     0,     0,   906,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   904,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4047,   906,     0,     0,     0,  4053,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   908,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   906,     0,     0,     0,     0,     0,     0,
     904,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2102,     0,   906,     0,     0,     0,     0,
       0,     0,     0,     0,  3326,     0,  3326,  3326,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4144,     0,     0,  4147,     0,  4149,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4174,     0,  4177,     0,  4179,   906,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   908,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   904,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4249,
       0,     0,     0,     0,  2678,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2695,
       0,     0,     0,     0,     0,     0,     0,   906,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     908,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4299,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   904,     0,     0,     0,     0,   904,
     904,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2575,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2575,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2575,     0,     0,     0,     0,     0,     0,     0,   906,  2575,
       0,   908,  2575,     0,     0,     0,     0,     0,  2575,  2575,
       0,  2575,     0,     0,     0,     0,  3314,  3314,     0,  4120,
       0,  3314,     0,     0,     0,  2575,     0,     0,  2575,     0,
       0,     0,   904,  2575,     0,     0,     0,     0,     0,     0,
       0,     0,  2575,     0,     0,     0,     0,  2575,     0,     0,
       0,     0,     0,     0,  2575,  2575,  2575,  2575,     0,     0,
       0,  3314,  3314,     0,  2575,     0,     0,   906,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2575,     0,  2575,     0,     0,   904,     0,
       0,     0,  2575,  2575,  2575,  2575,  2575,  2575,  2575,  2575,
    2575,  2575,     0,     0,     0,   904,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2575,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   908,     0,     0,     0,     0,  1734,     0,     0,
       0,     0,     0,  1734,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   906,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4561,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2575,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   906,     0,   908,     0,     0,   906,   906,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4678,     0,     0,     0,     0,     0,     0,     0,     0,  4682,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3271,     0,     0,     0,     0,     0,  4708,  3271,
    3271,     0,     0,     0,     0,  3292,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4731,     0,  4732,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   906,
       0,     0,     0,     0,     0,     0,  4754,  4755,  4756,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3335,     0,     0,     0,     0,
       0,     0,     0,  4780,     0,   908,  4783,     0,  4785,     0,
     908,   908,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4789,   906,     0,     0,     0,     0,
       0,     0,  4796,  4797,     0,     0,  2575,  2575,     0,  4802,
       0,  2575,   906,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3271,     0,
    2575,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4856,
       0,     0,     0,   908,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4870,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   908,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   908,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2575,     0,     0,     0,     0,     0,
    2575,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4120,  4120,
       0,     0,  3314,  3314,  3314,  3314,     0,     0,  3314,  3314,
    3314,  3314,  3314,  3314,  3314,  3314,  3314,  3314,  4120,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2575,     0,     0,  2575,     0,  2575,     0,     0,  4120,
    4120,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2575,  3314,  3314,  2575,     0,  2575,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5151,  5152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5159,     0,  2575,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2575,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5229,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5255,  5257,     0,     0,
       0,     0,     0,  5261,  5262,     0,     0,     0,  5263,     0,
       0,     0,     0,  5264,     0,     0,  5267,  5268,     0,     0,
       0,     0,     0,  5273,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5309,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1358,
       0,     0,     0,     0,     0,     0,     0,  5323,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3314,     0,  5333,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2575,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5398,
       0,     0,     0,     0,     0,  5402,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2575,     0,     0,     0,  2575,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5437,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2575,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2575,  2575,
       0,     0,     0,     0,  4120,  4120,  4120,  4120,     0,     0,
       0,  4120,  4120,  4120,  4120,  4120,  4120,  4120,  4120,  4120,
    4120,  2575,  2575,  2575,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2575,     0,     0,
    2575,     0,  2575,     0,     0,     0,  2575,     0,     0,  4120,
    4120,     0,     0,  2575,  2575,     0,     0,     0,     0,  2575,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2575,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5545,  2575,     0,     0,
       0,     0,  5549,  5550,  5551,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5562,  5563,     0,
       0,  5564,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5606,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5621,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4120,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2575,  2575,
       0,     0,     0,     0,     0,     0,  2575,     0,     0,     0,
       0,     0,  3271,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3335,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2575,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2575,     0,     0,     0,
       0,  2102,     0,  2575,  3314,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2575,     0,  2575,     0,     0,     0,  2575,  2575,
    2575,  2575,     0,     0,  2575,  2575,     0,     0,     0,     0,
    2575,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3314,     0,
       0,     0,  5889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2575,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2575,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2575,     0,     0,     0,  5925,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2575,     0,     0,     0,  2575,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5997,  2575,     0,     0,     0,     0,     0,
    6004,  6004,  6004,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5606,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6068,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2575,     0,  4120,  3314,  2575,  2575,  2575,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2575,
    2575,  2575,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3314,     0,
       0,  4120,     0,     0,     0,  2575,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2575,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2575,     0,
       0,     0,     0,  3271,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6004,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5606,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6251,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6276,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4120,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4120,     0,  3314,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2575,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6004,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2575,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6369,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2575,     0,     0,     0,     0,     0,
       0,  2575,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1734,     0,     0,     0,     0,  2575,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3314,  3314,     0,     0,  3314,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2575,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2575,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2575,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   234,
       0,  1263,   710,     0,  1264,  1265,  1266,   771,  1267,     0,
       0,  4120,  4120,     0,  4120,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  1728,   244,   245,   246,     0,
       0,     0,     0,  1268,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1269,
     260,  1270,  1271,     0,   263,   264,   265,   266,   267,   268,
     269,  1272,  1273,   270,   271,  1274,  1275,   274,     0,   275,
     276,   277,   278,  1276,     0,  1277,  2575,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1278,  1279,  1280,  1281,  1282,  1283,  1284,   303,   304,   305,
     306,   307,   308,  1285,  1286,   311,  1287,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,  1729,     0,   324,   325,   880,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1288,   342,   343,   344,   345,  1289,  1290,
     347,     0,   348,   349,   350,  1291,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1292,     0,  1293,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
     388,   389,   390,  1294,  1295,     0,  1296,     0,   394,   395,
     396,   397,   398,  1297,  1298,  1299,  1300,  1301,  1302,  1303,
    1304,  1305,   408,  1306,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,  1307,   419,   420,   421,     0,   422,
     423,   424,  1308,  1309,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,  1310,   444,  1311,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  1312,   456,  1313,   457,   458,   459,
     460,  1314,  1315,   462,  1316,   464,   465,   466,     0,   467,
     468,   469,     0,     0,  1317,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,  1318,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,  1319,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,  1320,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,  1321,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,  1322,   553,   554,   555,   556,   557,
     558,   559,   560,  1323,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
    1324,   578,     0,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,     0,   588,  1325,  1326,     0,     0,   591,
     592,  1327,   594,  1328,  1329,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,  1330,   605,   606,   607,   608,
     609,  1331,     0,   610,   611,   612,   613,   614,   615,  1332,
    1730,   617,   618,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,  1333,
    1334,  1335,  1336,   635,  1337,  1338,  1339,  1340,   640,   641,
     642,   643,  1341,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1342,  1343,  1731,     0,     0,
       0,     0,     0,     0,  1345,  1732,   234,     0,  1263,   710,
       0,  1264,  1265,  1266,   771,  1267,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1268,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1269,   260,  1270,  1271,
       0,   263,   264,   265,   266,   267,   268,   269,  1272,  1273,
     270,   271,  1274,  1275,   274,     0,   275,   276,   277,   278,
    1276,     0,  1277,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1278,  1279,  1280,
    1281,  1282,  1283,  1284,   303,   304,   305,   306,   307,   308,
    1285,  1286,   311,  1287,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   880,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1288,   342,   343,   344,   345,  1289,  1290,   347,     0,   348,
     349,   350,  1291,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1292,     0,
    1293,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,   385,   386,   387,   388,   389,   390,
    1294,  1295,     0,  1296,     0,   394,   395,   396,   397,   398,
    1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,   408,
    1306,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,  1307,   419,   420,   421,     0,   422,   423,   424,  1308,
    1309,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,  1310,
     444,  1311,   446,   447,   448,   449,   450,   451,   452,   453,
     454,  1312,   456,  1313,   457,   458,   459,   460,  1314,  1315,
     462,  1316,   464,   465,   466,     0,   467,   468,   469,     0,
       0,  1317,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,  1318,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,  1319,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,  1320,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,   535,   536,  1321,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,    40,   548,   549,   550,   551,
     552,  1322,   553,   554,   555,   556,   557,   558,   559,   560,
    1323,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,  1324,   578,     0,
     579,   580,    44,   581,   582,   583,   584,   585,   586,   587,
       0,   588,  1325,  1326,     0,     0,   591,   592,  1327,   594,
    1328,  1329,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,  1330,   605,   606,   607,   608,   609,  1331,     0,
     610,   611,   612,   613,   614,  1198,  1332,     0,   617,   618,
     619,   620,   621,   622,     0,     0,   623,     0,    49,   624,
     625,   626,   627,   628,   629,   630,  1333,  1334,  1335,  1336,
     635,  1337,  1338,  1339,  1340,   640,   641,   642,   643,  1341,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1342,  1343,     0,     0,     0,     0,     0,     0,
       0,  1345,  5849,   234,     0,  1263,   710,     0,  1264,  1265,
    1266,   771,  1267,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1268,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1269,   260,  1270,  1271,     0,   263,   264,
     265,   266,   267,   268,   269,  1272,  1273,   270,   271,  1274,
    1275,   274,     0,   275,   276,   277,   278,  1276,     0,  1277,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1278,  1279,  1280,  1281,  1282,  1283,
    1284,   303,   304,   305,   306,   307,   308,  1285,  1286,   311,
    1287,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   880,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1288,   342,   343,
     344,   345,  1289,  1290,   347,     0,   348,   349,   350,  1291,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1292,     0,  1293,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,   388,   389,   390,  1294,  1295,     0,
    1296,     0,   394,   395,   396,   397,   398,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   408,  1306,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,  1307,   419,
     420,   421,     0,   422,   423,   424,  1308,  1309,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,  1310,   444,  1311,   446,
     447,   448,   449,   450,   451,   452,   453,   454,  1312,   456,
    1313,   457,   458,   459,   460,  1314,  1315,   462,  1316,   464,
     465,   466,     0,   467,   468,   469,     0,     0,  1317,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,  1318,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,  1319,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,  1320,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,  1321,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,  1322,   553,
     554,   555,   556,   557,   558,   559,   560,  1323,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,  1324,   578,     0,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,     0,   588,  1325,
    1326,     0,     0,   591,   592,  1327,   594,  1328,  1329,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,  1330,
     605,   606,   607,   608,   609,  1331,     0,   610,   611,   612,
     613,   614,   615,  1332,     0,   617,   618,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,  1333,  1334,  1335,  1336,   635,  1337,  1338,
    1339,  1340,   640,   641,   642,   643,  1341,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1342,
    1343,     0,     0,     0,     0,     0,     0,     0,  1345,  3316,
     234,     0,  1263,   710,     0,  1264,  1265,  1266,   771,  1267,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1268,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1269,   260,  1270,  1271,     0,   263,   264,   265,   266,   267,
     268,   269,  1272,  1273,   270,   271,  1274,  1275,   274,     0,
     275,   276,   277,   278,  1276,     0,  1277,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1278,  1279,  1280,  1281,  1282,  1283,  1284,   303,   304,
     305,   306,   307,   308,  1285,  1286,   311,  1287,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   880,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1288,   342,   343,   344,   345,  1289,
    1290,   347,     0,   348,   349,   350,  1291,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1292,     0,  1293,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,   385,   386,
     387,   388,   389,   390,  1294,  1295,     0,  1296,     0,   394,
     395,   396,   397,   398,  1297,  1298,  1299,  1300,  1301,  1302,
    1303,  1304,  1305,   408,  1306,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,  1307,   419,   420,   421,     0,
     422,   423,   424,  1308,  1309,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,  1310,   444,  1311,   446,   447,   448,   449,
     450,   451,   452,   453,   454,  1312,   456,  1313,   457,   458,
     459,   460,  1314,  1315,   462,  1316,   464,   465,   466,     0,
     467,   468,   469,     0,     0,  1317,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,  1318,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,  1319,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
    1320,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,  1321,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,  1322,   553,   554,   555,   556,
     557,   558,   559,   560,  1323,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,  1324,   578,     0,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,     0,   588,  1325,  1326,     0,     0,
     591,   592,  1327,   594,  1328,  1329,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,  1330,   605,   606,   607,
     608,   609,  1331,     0,   610,   611,   612,   613,   614,   615,
    1332,     0,   617,   618,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
    1333,  1334,  1335,  1336,   635,  1337,  1338,  1339,  1340,   640,
     641,   642,   643,  1341,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1342,  1343,     0,     0,
       0,     0,     0,     0,     0,  1345,  4733,   234,     0,  1263,
     710,     0,  1264,  1265,  1266,   771,  1267,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1268,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1269,   260,  1270,
    1271,     0,   263,   264,   265,   266,   267,   268,   269,  1272,
    1273,   270,   271,  1274,  1275,   274,     0,   275,   276,   277,
     278,  1276,     0,  1277,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1278,  1279,
    1280,  1281,  1282,  1283,  1284,   303,   304,   305,   306,   307,
     308,  1285,  1286,   311,  1287,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   880,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1288,   342,   343,   344,   345,  1289,  1290,   347,     0,
     348,   349,   350,  1291,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1292,
       0,  1293,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,   388,   389,
     390,  1294,  1295,     0,  1296,     0,   394,   395,   396,   397,
     398,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,
     408,  1306,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,  1307,   419,   420,   421,     0,   422,   423,   424,
    1308,  1309,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
    1310,   444,  1311,   446,   447,   448,   449,   450,   451,   452,
     453,   454,  1312,   456,  1313,   457,   458,   459,   460,  1314,
    1315,   462,  1316,   464,   465,   466,     0,   467,   468,   469,
       0,     0,  1317,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,  1318,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,  1319,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,  1320,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,   535,   536,  1321,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,  1322,   553,   554,   555,   556,   557,   558,   559,
     560,  1323,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,  1324,   578,
       0,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,     0,   588,  1325,  1326,     0,     0,   591,   592,  1327,
     594,  1328,  1329,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,  1330,   605,   606,   607,   608,   609,  1331,
       0,   610,   611,   612,   613,   614,   615,  1332,     0,   617,
     618,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,   630,  1333,  1334,  1335,
    1336,   635,  1337,  1338,  1339,  1340,   640,   641,   642,   643,
    1341,     0,     0,     0,     0,     0,     0,   651,     0,     0,
       0,     0,     0,  1342,  1343,     0,     0,     0,     0,     0,
       0,     0,  1345,  4799,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,  4226,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0, -1806,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0, -1806,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384, -1806,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,     0,     0,   397,
   -1806,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418, -1806,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443, -1806,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530, -1806,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,     0,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,     0,   583,   584,   585,   586,
     587,     0,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,     0,   617,
       0,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
       0,     0,     0,     0,     0,     0,     0,   872,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1469,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   873,   260,   874,
     875,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   876,   877,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   878,   879,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   880,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   881,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,  2721,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,  2722,   387,   388,   389,
     390,   882,   883,     0,   884,     0,   394,   395,   396,   397,
     398,   885,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,     0,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     886,   444,   887,   446,   447,   448,   449,   450,   451,   452,
     453,     0,     0,   456,     0,   457,   458,   459,   460,     0,
       0,   462,   888,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,  2724,
     476,   477,   478,     0,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     495,     0,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   889,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,     0,   553,   554,  2725,   556,   557,   558,   559,
     560,   891,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   578,
       0,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   892,   893,     0,     0,   591,   592,     0,
     594,     0,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,     0,   894,  2726,   617,
     618,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,     0,   872,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   641,   642,   643,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,  2822,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   873,   260,   874,
     875,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   876,   877,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   878,   879,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   880,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   881,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,  2721,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,  2722,   387,   388,   389,
     390,   882,   883,     0,   884,     0,   394,   395,   396,   397,
     398,   885,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,     0,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     886,   444,   887,   446,   447,   448,   449,   450,   451,   452,
     453,     0,     0,   456,     0,   457,   458,   459,   460,     0,
       0,   462,   888,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,  2724,
     476,   477,   478,     0,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     495,     0,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   889,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,     0,   553,   554,  2725,   556,   557,   558,   559,
     560,   891,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   578,
       0,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   892,   893,     0,     0,   591,   592,     0,
     594,     0,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,     0,   894,  2726,   617,
     618,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,     0,   234,     0,  1263,
     710,     0,  1264,  1265,  1266,   771,  1267,   641,   642,   643,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1268,     0,  3942,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1269,   260,  1270,
    1271,     0,   263,   264,   265,   266,   267,   268,   269,  1272,
    1273,   270,   271,  1274,  1275,   274,     0,   275,   276,   277,
     278,  1276,     0,  1277,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1278,  1279,
    1280,  1281,  1282,  1283,  1284,   303,   304,   305,   306,   307,
     308,  1285,  1286,   311,  1287,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   880,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1288,   342,   343,   344,   345,  1289,  1290,   347,     0,
     348,   349,   350,  1291,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1292,
       0,  1293,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,   388,   389,
     390,  1294,  1295,     0,  1296,     0,   394,   395,   396,   397,
     398,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,
     408,  1306,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,  1307,   419,   420,   421,     0,   422,   423,   424,
    1308,  1309,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
    1310,   444,  1311,   446,   447,   448,   449,   450,   451,   452,
     453,   454,  1312,   456,  1313,   457,   458,   459,   460,  1314,
    1315,   462,  1316,   464,   465,   466,     0,   467,   468,   469,
       0,     0,  1317,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,  1318,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,  1319,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,  1320,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,  3273,   529,   530,   531,
     532,   533,   534,   535,   536,  1321,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,    40,   548,   549,   550,
     551,   552,  1322,   553,   554,   555,   556,   557,   558,   559,
     560,  1323,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,  1324,   578,
       0,   579,   580,    44,   581,   582,   583,   584,   585,   586,
     587,     0,   588,  1325,  1326,     0,     0,   591,   592,  1327,
     594,  1328,  1329,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,  1330,   605,   606,   607,   608,   609,  1331,
       0,   610,   611,   612,   613,   614,  1198,  1332,     0,   617,
     618,   619,   620,   621,   622,     0,     0,   623,     0,    49,
     624,   625,   626,   627,   628,   629,   630,  1333,  1334,  1335,
    1336,   635,  1337,  1338,  1339,  1340,   640,   641,   642,   643,
    1341,     0,    50,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1342,  1343,     0,     0,     0,   234,     0,
    1263,   710,  1345,  1264,  1265,  1266,   771,  1267,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1268,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1269,   260,
    1270,  1271,     0,   263,   264,   265,   266,   267,   268,   269,
    1272,  1273,   270,   271,  1274,  1275,   274,     0,   275,   276,
     277,   278,  1276,     0,  1277,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1278,
    1279,  1280,  1281,  1282,  1283,  1284,   303,   304,   305,   306,
     307,   308,  1285,  1286,   311,  1287,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   880,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1288,   342,   343,   344,   345,  1289,  1290,   347,
       0,   348,   349,   350,  1291,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1292,     0,  1293,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,   385,   386,   387,   388,
     389,   390,  1294,  1295,     0,  1296,     0,   394,   395,   396,
     397,   398,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,
    1305,   408,  1306,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,  1307,   419,   420,   421,     0,   422,   423,
     424,  1308,  1309,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,  1310,   444,  1311,   446,   447,   448,   449,   450,   451,
     452,   453,   454,  1312,   456,  1313,   457,   458,   459,   460,
    1314,  1315,   462,  1316,   464,   465,   466,     0,   467,   468,
     469,     0,     0,  1317,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,  1318,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
    1319,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,  1320,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,   535,   536,  1321,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,    40,   548,   549,
     550,   551,   552,  1322,   553,   554,   555,   556,   557,   558,
     559,   560,  1323,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,  1324,
     578,     0,   579,   580,    44,   581,   582,   583,   584,   585,
     586,   587,     0,   588,  1325,  1326,     0,     0,   591,   592,
    1327,   594,  1328,  1329,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,  1330,   605,   606,   607,   608,   609,
    1331,     0,   610,   611,   612,   613,   614,  1198,  1332,     0,
     617,   618,   619,   620,   621,   622,     0,     0,   623,     0,
      49,   624,   625,   626,   627,   628,   629,   630,  1333,  1334,
    1335,  1336,   635,  1337,  1338,  1339,  1340,   640,   641,   642,
     643,  1341,     0,    50,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1342,  1343,     0,     0,     0,   234,
       0,  1263,   710,  1345,  1264,  1265,  1266,   771,  1267,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1268,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1269,
     260,  1270,  1271,  3322,   263,   264,   265,   266,   267,   268,
     269,  1272,  1273,   270,   271,  1274,  1275,   274,     0,   275,
     276,   277,   278,  1276,     0,  1277,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1278,  1279,  1280,  1281,  1282,  1283,  1284,   303,   304,   305,
     306,   307,   308,  1285,  1286,   311,  1287,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   880,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1288,   342,   343,   344,   345,  1289,  1290,
     347,     0,   348,   349,   350,  1291,   352,     0,   353,     0,
     354,   355,   356,  3323,   357,   358,   359,   360,   361,     0,
     362,  1292,     0,  1293,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
     388,   389,   390,  1294,  1295,     0,  1296,     0,   394,   395,
     396,   397,   398,  1297,  1298,  1299,  1300,  1301,  1302,  1303,
    1304,  1305,   408,  1306,   410,   411,   412,   413,   414,   415,
     416,     0,  3324,   417,  1307,   419,   420,   421,     0,   422,
     423,   424,  1308,  1309,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,  1310,   444,  1311,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  1312,   456,  1313,   457,   458,   459,
     460,  1314,  1315,   462,  1316,   464,   465,   466,     0,   467,
     468,   469,     0,     0,  1317,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,  1318,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,  1319,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,  1320,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,  1321,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,  1322,   553,   554,   555,   556,   557,
     558,   559,   560,  1323,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
    1324,   578,     0,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,     0,   588,  1325,  1326,     0,  3325,   591,
     592,  1327,   594,  1328,  1329,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,  1330,   605,   606,   607,   608,
     609,  1331,     0,   610,   611,   612,   613,   614,   615,  1332,
       0,   617,   618,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,  1333,
    1334,  1335,  1336,   635,  1337,  1338,  1339,  1340,   640,   641,
     642,   643,  1341,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1342,  1343,     0,     0,     0,
     234,     0,  1263,   710,  1345,  1264,  1265,  1266,   771,  1267,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243, -2215,   244,   245,   246,
       0,     0,     0, -2215,  1268,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1269,   260,  1270,  1271,     0,   263,   264,   265,   266,   267,
     268,   269,  1272,  1273,   270,   271,  1274,  1275,   274,     0,
     275,   276,   277,   278,  1276,     0,  1277,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1278,  1279,  1280,  1281,  1282,  1283,  1284,   303,   304,
     305,   306,   307,   308,  1285,  1286,   311,  1287,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   880,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1288,   342,   343,   344,   345,  1289,
    1290,   347,     0,   348,   349,   350,  1291,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1292,     0,  1293,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,   385,   386,
     387,   388,   389,   390,  1294,  1295,     0,  1296,     0,   394,
     395,   396,   397,   398,  1297,  1298,  1299,  1300,  1301,  1302,
    1303,  1304,  1305,   408,  1306,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,  1307,   419,   420,   421,     0,
     422,   423,   424,  1308,  1309,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,  1310,   444,  1311,   446,   447,   448,   449,
     450,   451,   452,   453,   454,  1312,   456,  1313,   457,   458,
     459,   460,  1314,  1315,   462,  1316,   464,   465,   466,     0,
     467,   468,   469,     0,     0,  1317,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,  1318,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,  1319,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
    1320,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,  1321,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,  1322,   553,   554,   555,   556,
     557,   558,   559,   560,  1323,   562, -2215,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,  1324,   578,     0,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,     0,   588,  1325,  1326,     0,     0,
     591,   592,  1327,   594,  1328,  1329,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,  1330,   605,   606,   607,
     608,   609,  1331,     0,   610,   611,   612,   613,   614,   615,
    1332,     0,   617,   618,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
    1333,  1334,  1335,  1336,   635,  1337,  1338,  1339,  1340,   640,
     641,   642,   643,  1341,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1342,  1343,     0,     0,
       0,   234,     0,  1263,   710,  1345,  1264,  1265,  1266,   771,
    1267,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243, -2213,   244,   245,
     246,     0,     0,     0, -2213,  1268,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1269,   260,  1270,  1271,     0,   263,   264,   265,   266,
     267,   268,   269,  1272,  1273,   270,   271,  1274,  1275,   274,
       0,   275,   276,   277,   278,  1276,     0,  1277,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1278,  1279,  1280,  1281,  1282,  1283,  1284,   303,
     304,   305,   306,   307,   308,  1285,  1286,   311,  1287,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   880,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1288,   342,   343,   344,   345,
    1289,  1290,   347,     0,   348,   349,   350,  1291,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1292,     0,  1293,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,   388,   389,   390,  1294,  1295,     0,  1296,     0,
     394,   395,   396,   397,   398,  1297,  1298,  1299,  1300,  1301,
    1302,  1303,  1304,  1305,   408,  1306,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1307,   419,   420,   421,
       0,   422,   423,   424,  1308,  1309,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,  1310,   444,  1311,   446,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,  1319,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,  1320,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,   535,   536,  1321,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,  1322,   553,   554,   555,
     556,   557,   558,   559,   560,  1323,   562, -2213,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,  1324,   578,     0,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,     0,   588,  1325,  1326,     0,
       0,   591,   592,  1327,   594,  1328,  1329,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,  1330,   605,   606,
     607,   608,   609,  1331,     0,   610,   611,   612,   613,   614,
     615,  1332,     0,   617,   618,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,  1333,  1334,  1335,  1336,   635,  1337,  1338,  1339,  1340,
     640,   641,   642,   643,  1341,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1342,  1343,     0,
       0,     0,   234,     0,  1263,   710,  1345,  1264,  1265,  1266,
     771,  1267,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1268,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1269,   260,  1270,  1271,     0,   263,   264,   265,
     266,   267,   268,   269,  1272,  1273,   270,   271,  1274,  1275,
     274,     0,   275,   276,   277,   278,  1276,     0,  1277,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1278,  1279,  1280,  1281,  1282,  1283,  1284,
     303,   304,   305,   306,   307,   308,  1285,  1286,   311,  1287,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   880,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1288,   342,   343,   344,
     345,  1289,  1290,   347,     0,   348,   349,   350,  1291,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1292,     0,  1293,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,   388,   389,   390,  1294,  1295,     0,  1296,
       0,   394,   395,   396,   397,   398,  1297,  1298,  1299,  1300,
    1301,  1302,  1303,  1304,  1305,   408,  1306,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,  1307,   419,   420,
     421,     0,   422,   423,   424,  1308,  1309,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,  1310,   444,  1311,   446,   447,
     448,   449,   450,   451,   452,   453,   454,  1312,   456,  1313,
     457,   458,   459,   460,  1314,  1315,   462,  1316,   464,   465,
     466,     0,   467,   468,   469,     0,     0,  1317,   471,   472,
       0,     0,   473,   474,   475,   476,   477,   478,  1318,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,  1319,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,  1320,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
    1321,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,  1322,   553,   554,
     555,   556,   557,   558,   559,   560,  1323,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,  1324,   578,     0,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,     0,   588,  1325,  1326,
       0,     0,   591,   592,  1327,   594,  1328,  1329,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,  1330,   605,
     606,   607,   608,   609,  1331,     0,   610,   611,   612,   613,
     614,   615,  1332,     0,   617,   618,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,  1333,  1334,  1335,  1336,   635,  1337,  1338,  1339,
    1340,   640,   641,   642,   643,  1341,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1342,  1343,
       0,     0,     0,     0,     0,  2051,  3247,  1345,   234,     0,
    1263,   710,     0,  1264,  1265,  1266,   771,  1267,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1268,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1269,   260,
    1270,  1271,     0,   263,   264,   265,   266,   267,   268,   269,
    1272,  1273,   270,   271,  1274,  1275,   274,     0,   275,   276,
     277,   278,  1276,     0,  1277,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1278,
    1279,  1280,  1281,  1282,  1283,  1284,   303,   304,   305,   306,
     307,   308,  1285,  1286,   311,  1287,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   880,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1288,   342,   343,   344,   345,  1289,  1290,   347,
       0,   348,   349,   350,  1291,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1292,     0,  1293,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,   385,   386,   387,   388,
     389,   390,  1294,  1295,     0,  1296,     0,   394,   395,   396,
     397,   398,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,
    1305,   408,  1306,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,  1307,   419,   420,   421,     0,   422,   423,
     424,  1308,  1309,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,  1310,   444,  1311,   446,   447,   448,   449,   450,   451,
     452,   453,   454,  1312,   456,  1313,   457,   458,   459,   460,
    1314,  1315,   462,  1316,   464,   465,   466,     0,   467,   468,
     469,     0,     0,  1317,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,  1318,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
    1319,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,  1320,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,   535,   536,  1321,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,  1322,   553,   554,   555,   556,   557,   558,
     559,   560,  1323,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,  1324,
     578,     0,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,     0,   588,  1325,  1326,     0,     0,   591,   592,
    1327,   594,  1328,  1329,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,  1330,   605,   606,   607,   608,   609,
    1331,     0,   610,   611,   612,   613,   614,   615,  1332,     0,
     617,   618,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,  1333,  1334,
    1335,  1336,   635,  1337,  1338,  1339,  1340,   640,   641,   642,
     643,  1341,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1342,  1343,  1344,     0,     0,   234,
       0,  1263,   710,  1345,  1264,  1265,  1266,   771,  1267,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  2688,   244,   245,   246,     0,
       0,     0,     0,  1268,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1269,
     260,  1270,  1271,     0,   263,   264,   265,   266,   267,   268,
     269,  1272,  1273,   270,   271,  1274,  1275,   274,     0,   275,
     276,   277,   278,  1276,     0,  1277,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1278,  1279,  1280,  1281,  1282,  1283,  1284,   303,   304,   305,
     306,   307,   308,  1285,  1286,   311,  1287,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   880,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1288,   342,   343,   344,   345,  1289,  1290,
     347,     0,   348,   349,   350,  1291,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1292,     0,  1293,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
     388,   389,   390,  1294,  1295,     0,  1296,     0,   394,   395,
     396,   397,   398,  1297,  1298,  1299,  1300,  1301,  1302,  1303,
    1304,  1305,   408,  1306,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,  1307,   419,   420,   421,     0,   422,
     423,   424,  1308,  1309,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,  1310,   444,  1311,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  1312,   456,  1313,   457,   458,   459,
     460,  1314,  1315,   462,  1316,   464,   465,   466,     0,   467,
     468,   469,     0,     0,  1317,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,  1318,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,  1319,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,  1320,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,  1321,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,  1322,   553,   554,   555,   556,   557,
     558,   559,   560,  1323,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
    1324,   578,     0,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,     0,   588,  1325,  1326,     0,     0,   591,
     592,  1327,   594,  1328,  1329,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,  1330,   605,   606,   607,   608,
     609,  1331,     0,   610,   611,   612,   613,   614,   615,  1332,
       0,   617,   618,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,  1333,
    1334,  1335,  1336,   635,  1337,  1338,  1339,  1340,   640,   641,
     642,   643,  1341,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1342,  1343,     0,     0,     0,
     234,     0,  1263,   710,  1345,  1264,  1265,  1266,   771,  1267,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1268,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1269,   260,  1270,  1271,     0,   263,   264,   265,   266,   267,
     268,   269,  1272,  1273,   270,   271,  1274,  1275,   274,     0,
     275,   276,   277,   278,  1276,     0,  1277,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1278,  1279,  1280,  1281,  1282,  1283,  1284,   303,   304,
     305,   306,   307,   308,  1285,  1286,   311,  1287,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   880,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1288,   342,   343,   344,   345,  1289,
    1290,   347,     0,   348,   349,   350,  1291,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1292,     0,  1293,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,   385,   386,
     387,   388,   389,   390,  1294,  1295,     0,  1296,     0,   394,
     395,   396,   397,   398,  1297,  1298,  1299,  1300,  1301,  1302,
    1303,  1304,  1305,   408,  1306,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,  1307,   419,   420,   421,     0,
     422,   423,   424,  1308,  1309,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,  1310,   444,  1311,   446,   447,   448,   449,
     450,   451,   452,   453,   454,  1312,   456,  1313,   457,   458,
     459,   460,  1314,  1315,   462,  1316,   464,   465,   466,     0,
     467,   468,   469,     0,     0,  1317,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,  1318,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,  1319,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
    1320,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,  1321,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,  1322,   553,   554,   555,   556,
     557,   558,   559,   560,  1323,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,  1324,   578,     0,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,     0,   588,  1325,  1326,     0,     0,
     591,   592,  1327,   594,  1328,  1329,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,  1330,   605,   606,   607,
     608,   609,  1331,     0,   610,   611,   612,   613,   614,   615,
    1332,  3821,   617,   618,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
    1333,  1334,  1335,  1336,   635,  1337,  1338,  1339,  1340,   640,
     641,   642,   643,  1341,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1342,  1343,     0,     0,
       0,   234,     0,  1263,   710,  1345,  1264,  1265,  1266,   771,
    1267,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1268,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1269,   260,  1270,  1271,     0,   263,   264,   265,   266,
     267,   268,   269,  1272,  1273,   270,   271,  1274,  1275,   274,
       0,   275,   276,   277,   278,  1276,     0,  1277,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1278,  1279,  1280,  1281,  1282,  1283,  1284,   303,
     304,   305,   306,   307,   308,  1285,  1286,   311,  1287,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   880,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1288,   342,   343,   344,   345,
    1289,  1290,   347,     0,   348,   349,   350,  1291,   352,     0,
     353,     0,   354,   355,   356,  3323,   357,   358,   359,   360,
     361,     0,   362,  1292,     0,  1293,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,   388,   389,   390,  1294,  1295,     0,  1296,     0,
     394,   395,   396,   397,   398,  1297,  1298,  1299,  1300,  1301,
    1302,  1303,  1304,  1305,   408,  1306,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1307,   419,   420,   421,
       0,   422,   423,   424,  1308,  1309,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,  1310,   444,  1311,   446,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,  1319,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,  1320,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,   535,   536,  1321,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,  1322,   553,   554,   555,
     556,   557,   558,   559,   560,  1323,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,  1324,   578,     0,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,     0,   588,  1325,  1326,     0,
       0,   591,   592,  1327,   594,  1328,  1329,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,  1330,   605,   606,
     607,   608,   609,  1331,     0,   610,   611,   612,   613,   614,
     615,  1332,     0,   617,   618,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,  1333,  1334,  1335,  1336,   635,  1337,  1338,  1339,  1340,
     640,   641,   642,   643,  1341,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1342,  1343,     0,
       0,     0,   234,     0,  1263,   710,  1345,  1264,  1265,  1266,
     771,  1267,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1268,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1269,   260,  1270,  1271,     0,   263,   264,   265,
     266,   267,   268,   269,  1272,  1273,   270,   271,  1274,  1275,
     274,     0,   275,   276,   277,   278,  1276,     0,  1277,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1278,  1279,  1280,  1281,  1282,  1283,  1284,
     303,   304,   305,   306,   307,   308,  1285,  1286,   311,  1287,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   880,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1288,   342,   343,   344,
     345,  1289,  1290,   347,     0,   348,   349,   350,  1291,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1292,     0,  1293,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,   388,   389,   390,  1294,  1295,     0,  1296,
       0,   394,   395,   396,   397,   398,  1297,  1298,  1299,  1300,
    1301,  1302,  1303,  1304,  1305,   408,  1306,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,  1307,   419,   420,
     421,     0,   422,   423,   424,  1308,  1309,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,  1310,   444,  1311,   446,   447,
     448,   449,   450,   451,   452,   453,   454,  1312,   456,  1313,
     457,   458,   459,   460,  1314,  1315,   462,  1316,   464,   465,
     466,     0,   467,   468,   469,     0,     0,  1317,   471,   472,
       0,     0,   473,   474,   475,   476,   477,   478,  1318,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,  1319,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,  1320,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
    1321,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,  1322,   553,   554,
     555,   556,   557,   558,   559,   560,  1323,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,  1324,   578,     0,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,     0,   588,  1325,  1326,
    3379,     0,   591,   592,  1327,   594,  1328,  1329,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,  1330,   605,
     606,   607,   608,   609,  1331,     0,   610,   611,   612,   613,
     614,   615,  1332,     0,   617,   618,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,  1333,  1334,  1335,  1336,   635,  1337,  1338,  1339,
    1340,   640,   641,   642,   643,  1341,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1342,  1343,
       0,     0,     0,   234,     0,  1263,   710,  1345,  1264,  1265,
    1266,   771,  1267,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1268,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1269,   260,  1270,  1271,     0,   263,   264,
     265,   266,   267,   268,   269,  1272,  1273,   270,   271,  1274,
    1275,   274,     0,   275,   276,   277,   278,  1276,     0,  1277,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1278,  1279,  1280,  1281,  1282,  1283,
    1284,   303,   304,   305,   306,   307,   308,  1285,  1286,   311,
    1287,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   880,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1288,   342,   343,
     344,   345,  1289,  1290,   347,     0,   348,   349,   350,  1291,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1292,     0,  1293,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,   388,   389,   390,  1294,  1295,     0,
    1296,     0,   394,   395,   396,   397,   398,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   408,  1306,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,  1307,   419,
     420,   421,     0,   422,   423,   424,  1308,  1309,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,  1310,   444,  1311,   446,
     447,   448,   449,   450,   451,   452,   453,   454,  1312,   456,
    1313,   457,   458,   459,   460,  1314,  1315,   462,  1316,   464,
     465,   466,     0,   467,   468,   469,     0,     0,  1317,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,  1318,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,  1319,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,  1320,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,  1321,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,  1322,   553,
     554,   555,   556,   557,   558,   559,   560,  1323,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,  1324,   578,     0,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,     0,   588,  1325,
    1326,     0,     0,   591,   592,  1327,   594,  1328,  1329,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,  1330,
     605,   606,   607,   608,   609,  1331,     0,   610,   611,   612,
     613,   614,   615,  1332,     0,   617,   618,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,  1333,  1334,  1335,  1336,   635,  1337,  1338,
    1339,  1340,   640,   641,   642,   643,  1341,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1342,
    1343,     0,     0,     0,   234,     0,  1263,   710,  1345,  1264,
    1265,  1266,   771,  1267,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1268,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1269,   260,  1270,  1271,     0,   263,
     264,   265,   266,   267,   268,   269,  1272,  1273,   270,   271,
    1274,  1275,   274,     0,   275,   276,   277,   278,  1276,     0,
    1277,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1278,  1279,  1280,  1281,  1282,
    1283,  1284,   303,   304,   305,   306,   307,   308,  1285,  1286,
     311,  1287,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     880,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1288,   342,
     343,   344,   345,  1289,  1290,   347,     0,   348,   349,   350,
    1291,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1292,     0,  1293,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,   385,   386,   387,   388,   389,   390,  1294,  1295,
       0,  1296,     0,   394,   395,   396,   397,   398,  1297,  1298,
    1299,  1300,  1301,  1302,  1303,  1304,  1305,   408,  1306,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,  1307,
     419,   420,   421,     0,   422,   423,   424,  1308,  1309,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,  1310,   444,  1311,
     446,   447,   448,   449,   450,   451,   452,   453,   454,  1312,
     456,  1313,   457,   458,   459,   460,  1314,  1315,   462,  1316,
     464,   465,   466,     0,   467,   468,   469,     0,     0,  1317,
     471,   472,     0,     0,   473,   474,   475,   476,   477,   478,
    1318,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,  1319,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,  1320,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,  1321,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,  1322,
     553,   554,   555,   556,   557,   558,   559,   560,  1323,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,  1324,   578,     0,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,     0,   588,
    1325,  1326,     0,     0,   591,   592,  1327,   594,  1328,  1329,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
    1330,   605,   606,   607,   608,   609,  1331,     0,   610,   611,
     612,   613,   614,   615,  1332,     0,   617,   618,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,  1333,  1334,  1335,  1336,   635,  1337,
    1338,  1339,  1340,   640,   641,   642,   643,  1341,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2691,  2692,     0,     0,     0,   234,     0,  3498,   710,  1345,
    1264,  1265,  1266,   771,  1267,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1268,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1269,   260,  1270,  1271,     0,
     263,   264,   265,   266,   267,   268,   269,  1272,  1273,   270,
     271,  1274,  1275,   274,     0,   275,   276,   277,   278,  1276,
       0,  1277,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1278,  1279,  1280,  1281,
    1282,  1283,  1284,   303,   304,   305,   306,   307,   308,  1285,
    1286,   311,  1287,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   880,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,  1288,
     342,   343,   344,   345,  1289,  1290,   347,     0,   348,   349,
     350,  1291,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1292,     0,  1293,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,   388,   389,   390,  1294,
    1295,     0,  1296,     0,   394,   395,   396,   397,   398,  1297,
    1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,   408,  1306,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
    1307,   419,   420,   421,     0,   422,   423,   424,  1308,  1309,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,  1310,   444,
    1311,   446,   447,   448,   449,   450,   451,   452,   453,   454,
    1312,   456,  1313,   457,   458,   459,   460,  1314,  1315,   462,
    1316,   464,   465,   466,     0,   467,   468,   469,     0,     0,
    1317,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,  1318,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,  1319,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,  1320,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,   535,   536,  1321,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
    1322,   553,   554,   555,   556,   557,   558,   559,   560,  1323,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,  1324,   578,     0,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,     0,
     588,  1325,  1326,     0,     0,   591,   592,  1327,   594,  1328,
    1329,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,  1330,   605,   606,   607,   608,   609,  1331,     0,   610,
     611,   612,   613,   614,   615,  1332,     0,   617,   618,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   630,  1333,  1334,  1335,  1336,   635,
    1337,  1338,  1339,  1340,   640,   641,   642,   643,  1341,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1342,  1343,     0,     0,     0,   234,     0,  1263,   710,
    1345,  1264,  1265,  1266,   771,  1267,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1268,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1269,   260,  1270,  1271,
       0,   263,   264,   265,   266,   267,   268,   269,  1272,  1273,
     270,   271,  1274,  1275,   274,     0,   275,   276,   277,   278,
    1276,     0,  1277,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,  4855,  1278,  1279,  1280,
    1281,  1282,  1283,  1284,   303,   304,   305,   306,   307,   308,
    1285,  1286,   311,  1287,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   880,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1288,   342,   343,   344,   345,  1289,  1290,   347,     0,   348,
     349,   350,  1291,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1292,     0,
    1293,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,   385,   386,   387,   388,   389,   390,
    1294,  1295,     0,  1296,     0,   394,   395,   396,   397,   398,
    1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,   408,
    1306,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,  1307,   419,   420,   421,     0,   422,   423,   424,  1308,
    1309,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,  1310,
     444,  1311,   446,   447,   448,   449,   450,   451,   452,   453,
     454,  1312,   456,  1313,   457,   458,   459,   460,  1314,  1315,
     462,  1316,   464,   465,   466,     0,   467,   468,   469,     0,
       0,  1317,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,  1318,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,  1319,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,  1320,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,   535,   536,  1321,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,  1322,   553,   554,   555,   556,   557,   558,   559,   560,
    1323,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,  1324,   578,     0,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
       0,   588,  1325,  1326,     0,     0,   591,   592,  1327,   594,
    1328,  1329,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,  1330,   605,   606,   607,   608,   609,  1331,     0,
     610,   611,   612,   613,   614,   615,  1332,     0,   617,   618,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   630,  1333,  1334,  1335,  1336,
     635,  1337,  1338,  1339,  1340,   640,   641,   642,   643,  1341,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1342,  1343,     0,     0,     0,   234,     0,  1263,
     710,  1345,  1264,  1265,  1266,   771,  1267,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,  1268,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,  1269,   260,  1270,
    1271,     0,   263,   264,   265,   266,   267,   268,   269,  1272,
    1273,   270,   271,  1274,  1275,   274,     0,   275,   276,   277,
     278,  1276,     0,  1277,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1278,  1279,
    1280,  1281,  1282,  1283,  1284,   303,   304,   305,   306,   307,
     308,  1285,  1286,   311,  1287,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   880,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,  1288,   342,   343,   344,   345,  1289,  1290,   347,     0,
     348,   349,   350,  1291,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1292,
       0,  1293,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,   388,   389,
     390,  1294,  1295,     0,  1296,     0,   394,   395,   396,   397,
     398,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,
     408,  1306,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,  1307,   419,   420,   421,     0,   422,   423,   424,
    1308,  1309,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
    1310,   444,  1311,   446,   447,   448,   449,   450,   451,   452,
     453,   454,  1312,   456,  1313,   457,   458,   459,   460,  1314,
    1315,   462,  1316,   464,   465,   466,     0,   467,   468,   469,
       0,     0,  1317,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,  1318,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,  1319,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,  1320,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,   535,   536,  1321,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,  1322,   553,   554,   555,   556,   557,   558,   559,
     560,  1323,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,  1324,   578,
       0,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,     0,   588,  1325,  1326,     0,     0,   591,   592,  1327,
     594,  1328,  1329,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,  1330,   605,   606,   607,   608,   609,  1331,
       0,   610,   611,   612,   613,   614,   615,  1332,     0,   617,
     618,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,  5244,  1333,  1334,  1335,
    1336,   635,  1337,  1338,  1339,  1340,   640,   641,   642,   643,
    1341,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1342,  1343,     0,     0,     0,   234,     0,
    1263,   710,  1345,  1264,  1265,  1266,   771,  1267,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1268,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1269,   260,
    1270,  1271,     0,   263,   264,   265,   266,   267,   268,   269,
    1272,  1273,   270,   271,  1274,  1275,   274,     0,   275,   276,
     277,   278,  1276,     0,  1277,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1278,
    1279,  1280,  1281,  1282,  1283,  1284,   303,   304,   305,   306,
     307,   308,  1285,  1286,   311,  1287,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   880,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1288,   342,   343,   344,   345,  1289,  1290,   347,
       0,   348,   349,   350,  1291,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1292,     0,  1293,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,   385,   386,   387,   388,
     389,   390,  1294,  1295,     0,  1296,     0,   394,   395,   396,
     397,   398,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,
    1305,   408,  1306,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,  1307,   419,   420,   421,     0,   422,   423,
     424,  1308,  1309,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,  1310,   444,  1311,   446,   447,   448,   449,   450,   451,
     452,  5256,   454,  1312,   456,  1313,   457,   458,   459,   460,
    1314,  1315,   462,  1316,   464,   465,   466,     0,   467,   468,
     469,     0,     0,  1317,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,  1318,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
    1319,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,  1320,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,   535,   536,  1321,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,  1322,   553,   554,   555,   556,   557,   558,
     559,   560,  1323,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,  1324,
     578,     0,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,     0,   588,  1325,  1326,     0,     0,   591,   592,
    1327,   594,  1328,  1329,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,  1330,   605,   606,   607,   608,   609,
    1331,     0,   610,   611,   612,   613,   614,   615,  1332,     0,
     617,   618,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,  1333,  1334,
    1335,  1336,   635,  1337,  1338,  1339,  1340,   640,   641,   642,
     643,  1341,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1342,  1343,     0,     0,     0,   234,
       0,  1263,   710,  1345,  1264,  1265,  1266,   771,  1267,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1268,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1269,
     260,  1270,  1271,     0,   263,   264,   265,   266,   267,   268,
     269,  1272,  1273,   270,   271,  1274,  1275,   274,     0,   275,
     276,   277,   278,  1276,     0,  1277,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,  5596,   301,
    1278,  1279,  1280,  1281,  1282,  1283,  1284,   303,   304,   305,
     306,   307,   308,  1285,  1286,   311,  1287,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   880,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1288,   342,   343,   344,   345,  1289,  1290,
     347,     0,   348,   349,   350,  1291,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1292,     0,  5597,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
     388,   389,   390,  1294,  1295,     0,  1296,     0,   394,   395,
     396,   397,   398,  1297,  1298,  1299,  1300,  1301,  1302,  1303,
    1304,  1305,   408,  1306,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,  1307,   419,   420,   421,     0,   422,
     423,   424,  1308,  1309,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,  1310,   444,  1311,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  1312,   456,  1313,   457,   458,   459,
     460,  1314,  1315,   462,  1316,   464,   465,   466,     0,   467,
     468,   469,     0,     0,  1317,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,  1318,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,  1319,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,  1320,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,  5598,   535,   536,  1321,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,  1322,   553,   554,   555,   556,   557,
     558,   559,   560,  1323,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
    1324,   578,     0,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,     0,   588,  1325,  1326,     0,     0,   591,
     592,  1327,   594,  1328,  1329,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,  1330,   605,   606,   607,   608,
     609,  1331,     0,   610,   611,   612,   613,   614,   615,  1332,
       0,   617,   618,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,  1333,
    1334,  1335,  1336,   635,  1337,  1338,  1339,  1340,   640,   641,
     642,   643,  1341,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1342,  1343,     0,     0,     0,
     234,     0,  1263,   710,  5599,  1264,  1265,  1266,   771,  1267,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1268,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,  6001,
    1269,   260,  1270,  1271,     0,   263,   264,   265,   266,   267,
     268,   269,  1272,  1273,   270,   271,  1274,  1275,   274,     0,
     275,   276,   277,   278,  1276,     0,  1277,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
    6002,  1278,  1279,  1280,  1281,  1282,  1283,  1284,   303,   304,
     305,   306,   307,   308,  1285,  1286,   311,  1287,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   880,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1288,   342,   343,   344,   345,  1289,
    1290,   347,     0,   348,   349,   350,  1291,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1292,     0,  1293,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,   385,   386,
     387,   388,   389,   390,  1294,  1295,     0,  1296,     0,   394,
     395,   396,   397,   398,  1297,  1298,  1299,  1300,  1301,  1302,
    1303,  1304,  1305,   408,  1306,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,  1307,   419,   420,   421,     0,
     422,   423,   424,  1308,  1309,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,  1310,   444,  1311,   446,   447,   448,   449,
     450,   451,   452,   453,   454,  1312,   456,  1313,   457,   458,
     459,   460,  1314,  1315,   462,  1316,   464,   465,   466,     0,
     467,   468,   469,     0,     0,  1317,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,  1318,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,  1319,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
    1320,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,  1321,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,  1322,   553,   554,   555,   556,
     557,   558,   559,   560,  1323,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,  1324,   578,     0,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,     0,   588,  1325,  1326,     0,     0,
     591,   592,  1327,   594,  1328,  1329,   596,   597,   598,   599,
     600,  6003,   602,   603,   604,     0,  1330,   605,   606,   607,
     608,   609,  1331,     0,   610,   611,   612,   613,   614,   615,
    1332,     0,   617,   618,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
    1333,  1334,  1335,  1336,   635,  1337,  1338,  1339,  1340,   640,
     641,   642,   643,  1341,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1342,  1343,     0,     0,
       0,   234,     0,  1263,   710,  1345,  1264,  1265,  1266,   771,
    1267,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1268,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1269,   260,  1270,  1271,     0,   263,   264,   265,   266,
     267,   268,   269,  1272,  1273,   270,   271,  1274,  1275,   274,
       0,   275,   276,   277,   278,  1276,     0,  1277,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,  6002,  1278,  1279,  1280,  1281,  1282,  1283,  1284,   303,
     304,   305,   306,   307,   308,  1285,  1286,   311,  1287,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   880,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1288,   342,   343,   344,   345,
    1289,  1290,   347,     0,   348,   349,   350,  1291,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1292,     0,  1293,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,   388,   389,   390,  1294,  1295,     0,  1296,     0,
     394,   395,   396,   397,   398,  1297,  1298,  1299,  1300,  1301,
    1302,  1303,  1304,  1305,   408,  1306,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1307,   419,   420,   421,
       0,   422,   423,   424,  1308,  1309,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,  1310,   444,  1311,   446,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,  1319,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,  1320,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,   535,   536,  1321,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,  1322,   553,   554,   555,
     556,   557,   558,   559,   560,  1323,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,  1324,   578,     0,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,     0,   588,  1325,  1326,     0,
       0,   591,   592,  1327,   594,  1328,  1329,   596,   597,   598,
     599,   600,  6003,   602,   603,   604,     0,  1330,   605,   606,
     607,   608,   609,  1331,     0,   610,   611,   612,   613,   614,
     615,  1332,     0,   617,   618,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,  1333,  1334,  1335,  1336,   635,  1337,  1338,  1339,  1340,
     640,   641,   642,   643,  1341,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1342,  1343,     0,
       0,     0,   234,     0,  1263,   710,  1345,  1264,  1265,  1266,
     771,  1267,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1268,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1269,   260,  1270,  1271,     0,   263,   264,   265,
     266,   267,   268,   269,  1272,  1273,   270,   271,  1274,  1275,
     274,     0,   275,   276,   277,   278,  1276,     0,  1277,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1278,  1279,  1280,  1281,  1282,  1283,  1284,
     303,   304,   305,   306,   307,   308,  1285,  1286,   311,  5581,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   880,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1288,   342,   343,   344,
     345,  1289,  1290,   347,     0,   348,   349,   350,  1291,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1292,     0,  1293,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,   388,   389,   390,  1294,  1295,     0,  1296,
       0,   394,   395,   396,   397,   398,  1297,  1298,  1299,  1300,
    1301,  1302,  1303,  1304,  1305,   408,  1306,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,  1307,   419,   420,
     421,     0,   422,   423,   424,  1308,  1309,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,  1310,   444,  1311,   446,   447,
     448,   449,   450,   451,   452,   453,   454,  1312,   456,     0,
     457,   458,   459,   460,  1314,  1315,   462,  1316,   464,   465,
     466,     0,   467,   468,   469,     0,     0,  1317,   471,   472,
       0,     0,   473,   474,   475,   476,   477,   478,  1318,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,  1319,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,  1320,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
    3308,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,  1322,   553,   554,
     555,   556,   557,   558,   559,   560,  1323,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,  1324,   578,     0,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,     0,   588,  1325,  1326,
       0,     0,   591,   592,  1327,   594,  1328,  1329,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,  1331,     0,   610,   611,   612,   613,
     614,   615,  1332,     0,   617,   618,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,  1333,  1334,  1335,  1336,   635,  1337,  1338,  1339,
    1340,   640,   641,   642,   643,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3309,  3310,
       0,     0,     0,   234,     0,  1263,   710,  3311,  1264,  1265,
    1266,   771,  1267,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1268,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257, -3028,  1269,   260,  1270,  1271,     0,   263,   264,
     265,   266,   267,   268,   269,  1272,  1273,   270,   271,  1274,
    1275,   274,     0,   275,   276,   277,   278,  1276,     0,  1277,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,  6002,  1278,  1279,  1280,  1281,  1282,  1283,
    1284,   303,   304,   305,   306,   307,   308,  1285,  1286,   311,
    1287,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   880,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1288,   342,   343,
     344,   345,  1289,  1290,   347,     0,   348,   349,   350,  1291,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1292,     0,  1293,   365,   366,
       0,   367,   368,   369,   370,   371, -3028,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,   388,   389,   390,  1294,  1295,     0,
    1296,     0,   394,     0,     0,   397,   398,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   408,  1306,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,  1307,   419,
     420, -3028,     0,   422,   423,   424,  1308,  1309,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,  1310,   444,  1311,   446,
     447,   448,   449,   450,   451,   452,   453,   454,  1312,   456,
    1313,   457,   458,     0,   460,  1314,  1315,   462,  1316,   464,
     465,   466,     0,   467,   468,   469,     0,     0,  1317,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,  1318,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,  1319,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,  1320,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,  1321,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,  1322,   553,
     554,   555,   556,   557, -3028,   559,   560,  1323,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,  1324,   578,     0,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,     0,   588,  1325,
    1326,     0,     0,   591,   592,  1327,   594,  1328,  1329,   596,
     597,   598,   599,   600,  6003,   602,   603,   604,     0,  1330,
     605,   606,   607,   608,   609,  1331,     0,   610,   611,   612,
     613,   614,   615,  1332,     0,   617,   618,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,  1333,  1334,  1335,  1336,   635,  1337,  1338,
    1339,  1340,   640,   641,   642,   643, -3028,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1342,
    1343,     0,     0,     0,   234,     0,  1263,   710,  1345,  1264,
    1265,  1266,   771,  1267,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1268,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1269,   260,  1270,  1271,     0,   263,
     264,   265,   266,   267,   268,   269,  1272,  1273,   270,   271,
    1274,  1275,   274,     0,   275,   276,   277,   278,  1276,     0,
    1277,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1278,  1279,  1280,  1281,  1282,
    1283,  1284,   303,   304,   305,   306,   307,   308,  1285,  1286,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     880,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1288,   342,
     343,   344,   345,  1289,  1290,   347,     0,   348,   349,   350,
    1291,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1292,     0,  1293,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,   385,   386,   387,   388,   389,   390,  1294,  1295,
       0,  1296,     0,   394,   395,   396,   397,   398,  1297,  1298,
    1299,  1300,  1301,  1302,  1303,  1304,  1305,   408,  1306,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,  1307,
     419,   420,   421,     0,   422,   423,   424,  1308,  1309,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,  1310,   444,  1311,
     446,   447,   448,   449,   450,   451,   452,   453,   454,  1312,
     456,     0,   457,   458,   459,   460,  1314,  1315,   462,  1316,
     464,   465,   466,     0,   467,   468,   469,     0,     0,  1317,
     471,   472,     0,     0,   473,   474,   475,   476,   477,   478,
    1318,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,  1319,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,  1320,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,  3308,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,  1322,
     553,   554,   555,   556,   557,   558,   559,   560,  1323,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,  1324,   578,     0,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,     0,   588,
    1325,  1326,     0,     0,   591,   592,  1327,   594,  1328,  1329,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,  1331,     0,   610,   611,
     612,   613,   614,   615,  1332,     0,   617,   618,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,  1333,  1334,  1335,  1336,   635,  1337,
    1338,  1339,  1340,   640,   641,   642,   643,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3309,  3310,   234,     0,  1263,   710,     0,  1264,  1265,  3311,
     771,  1267,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1268,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1269,   260,  1270,  1271,     0,   263,   264,   265,
     266,   267,   268,   269,  1272,  1273,   270,   271,  1274,  1275,
     274,     0,   275,   276,   277,   278,  1276,     0,  1277,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1278,  1279,  1280,  1281,  1282,  1283,  1284,
     303,   304,   305,   306,   307,   308,  1285,  1286,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   880,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1288,   342,   343,   344,
     345,  1289,  1290,   347,     0,   348,   349,   350,  1291,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1292,     0,  1293,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,   388,   389,   390,  1294,  1295,     0,  1296,
       0,   394,   395,   396,   397,   398,  1297,  1298,  1299,  1300,
    1301,  1302,  1303,  1304,  1305,   408,  1306,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,  1307,   419,   420,
     421,     0,   422,   423,   424,  1308,  1309,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,  1310,   444,  1311,   446,   447,
     448,   449,   450,   451,   452,   453,   454,  1312,   456,     0,
     457,   458,   459,   460,  1314,  1315,   462,  1316,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,   476,   477,   478,  1318,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,  1319,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,  1320,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
    3487,  3488,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,  1322,   553,   554,
     555,   556,   557,   558,   559,   560,  1323,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,  1324,   578,     0,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,     0,   588,  1325,  1326,
       0,     0,   591,   592,  1327,   594,  1328,  1329,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,  1331,     0,   610,   611,   612,   613,
     614,   615,  1332,     0,   617,   618,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,  1333,  1334,  1335,  1336,   635,  1337,  1338,  1339,
    1340,   640,   641,   642,   643,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3489,  3490,
     234,     0,  1263,   710,     0,  1264,  1265,  3311,   771,  1267,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1268,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1269,   260,  1270,  1271,     0,   263,   264,   265,   266,   267,
     268,   269,  1272,  1273,   270,   271,  1274,  1275,   274,     0,
     275,   276,   277,   278,  1276,     0,  1277,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1278,  1279,  1280,  1281,  1282,  1283,  1284,   303,   304,
     305,   306,   307,   308,  1285,  1286,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   880,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1288,   342,   343,   344,   345,  1289,
    1290,   347,     0,   348,   349,   350,  1291,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1292,     0,  1293,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,   385,   386,
     387,   388,   389,   390,  1294,  1295,     0,  1296,     0,   394,
     395,   396,   397,   398,  1297,  1298,  1299,  1300,  1301,  1302,
    1303,  1304,  1305,   408,  1306,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,  1307,   419,   420,   421,     0,
     422,   423,   424,  1308,  1309,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,  1310,   444,  1311,   446,   447,   448,   449,
     450,   451,   452,   453,   454,  1312,   456,     0,   457,   458,
     459,   460,  1314,  1315,   462,  1316,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,  1318,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,  1319,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
    1320,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,  3308,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,  1322,   553,   554,   555,   556,
     557,   558,   559,   560,  1323,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,  1324,   578,     0,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,     0,   588,  1325,  1326,     0,     0,
     591,   592,  1327,   594,  1328,  1329,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,  1331,     0,   610,   611,   612,   613,   614,   615,
    1332,     0,   617,   618,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
    1333,  1334,  1335,  1336,   635,  1337,  1338,  1339,  1340,   640,
     641,   642,   643,     0,     0,     0,     0,     0,     0,   234,
       0,  1263,   710,     0,  1264,  1265,     0,   771,  1267,     0,
       0,     0,     0,     0,     0,  3311,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,  1268,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1269,
     260,  1270,  1271,     0,   263,  4764,   265,   266,   267,   268,
     269,  1272,  1273,   270,   271,  1274,  1275,   274,     0,   275,
     276,   277,   278,  1276,     0,  1277,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1278,  1279,  1280,  1281,  1282,  1283,  1284,   303,   304,   305,
     306,   307,   308,  1285,  1286,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   880,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,  1288,   342,   343,   344,   345,  1289,  1290,
     347,     0,   348,   349,   350,  1291,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1292,     0,  1293,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
     388,   389,   390,  1294,  1295,     0,  1296,     0,   394,   395,
     396,   397,   398,  1297,  1298,  1299,  1300,  1301,  1302,  1303,
    1304,  1305,   408,  1306,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,  1307,   419,   420,   421,     0,   422,
     423,   424,  1308,  1309,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,  1310,   444,  1311,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  1312,   456,     0,   457,   458,   459,
     460,  1314,  1315,   462,  1316,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,  1318,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,  1319,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,  1320,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,  3308,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,  1322,   553,   554,   555,   556,   557,
     558,   559,   560,  1323,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
    1324,   578,     0,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,     0,   588,  1325,  1326,     0,     0,   591,
     592,  1327,   594,  1328,  1329,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,     0,   605,   606,   607,   608,
     609,  1331,     0,   610,   611,   612,   613,   614,   615,  1332,
       0,   617,   618,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,  1333,
    1334,  1335,  1336,   635,  1337,  1338,  1339,  1340,   640,   641,
     642,   643,     0,     0,     0,     0,     0,     0,   234,     0,
    1263,   710,     0,  1264,  1265,     0,   771,  1267,     0,     0,
       0,     0,     0,     0,  3311,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1268,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1269,   260,
    1270,  1271,     0,   263,   264,   265,   266,   267,   268,   269,
    1272,  1273,   270,   271,  1274,  1275,   274,     0,   275,   276,
     277,   278,  1276,     0,  1277,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1278,
    1279,  1280,  1281,  1282,  1283,  1284,   303,   304,   305,   306,
     307,   308,  1285,  1286,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   880,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1288,   342,   343,   344,   345,  1289,  1290,   347,
       0,   348,   349,   350,  1291,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1292,     0,  1293,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,   385,   386,   387,   388,
     389,   390,  1294,  1295,     0,  1296,     0,   394,   395,   396,
     397,   398,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,
    1305,   408,  1306,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,  1307,   419,   420,   421,     0,   422,   423,
     424,  1308,  1309,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,  1310,   444,  1311,   446,   447,   448,   449,   450,   451,
     452,   453,   454,  1312,   456,     0,   457,   458,   459,   460,
    1314,  1315,   462,  1316,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,  1318,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
    1319,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,  1320,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,   535,   536,  3308,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,  1322,   553,   554,   555,   556,   557,   558,
     559,   560,  1323,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,  1324,
     578,     0,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,     0,   588,  1325,  1326,     0,     0,   591,   592,
    1327,   594,  1328,  1329,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
    1331,     0,   610,   611,   612,   613,   614,   615,  1332,     0,
     617,   618,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,  1333,  1334,
    1335,  1336,  4824,  1337,  1338,  1339,  1340,   640,   641,   642,
     643,     0,     0,     0,     0,     0,     0,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3311,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
    1273,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,  1276,     0,  1277,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1278,  1279,
    1280,  1281,  1282,  1283,  1284,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,  1289,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1292,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,   395,   396,   397,
     398,  3458,  1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,
    3459,  1306,   410,   411,   412,   413,   414,   415,   416,  3460,
       0,   417,  1307,   419,   420,   421,     0,   422,   423,   424,
    1308,  1309,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,  1312,   456,     0,   457,   458,   459,   460,     0,
    1315,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,   855,   470,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,  1318,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,  1319,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,   535,   536,   537,  3461,   539,   540,   541,
     542,   543,   544,   545,   546,   547,    40,   548,   549,   550,
     551,   552,  1322,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,  1324,   578,
       0,   579,   580,    44,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   590,     0,     0,   591,   592,  1327,
     594,  1328,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,  1331,
       0,   610,   611,   612,   613,   614,  1198,   616,     0,   617,
     618,   619,   620,   621,   622,     0,     0,   623,     0,    49,
     624,   625,   626,   627,   628,   629,   630,  1333,  1334,  1335,
    1336,   635,  1337,  1338,  1339,  1340,  3462,   641,   642,   643,
       0,     0,    50,     0,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3463,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,  1273,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
    1276,     0,  1277,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1278,  1279,  1280,
    1281,  1282,  1283,  1284,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,  1289,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1292,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,     0,   394,   395,   396,   397,   398,
    3458,  1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,  3459,
    1306,   410,   411,   412,   413,   414,   415,   416,  3460,     0,
     417,  1307,   419,   420,   421,     0,   422,   423,   424,  1308,
    1309,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,  1312,   456,     0,   457,   458,   459,   460,     0,  1315,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
     855,   470,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,  1318,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,  1319,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,   535,   536,   537,  3461,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,  1322,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,  1324,   578,     0,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   590,     0,     0,   591,   592,  1327,   594,
    1328,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,  1331,     0,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   630,  1333,  1334,  1335,  1336,
     635,  1337,  1338,  1339,  1340,  3462,   641,   642,   643,     0,
       0,     0,     0,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3463,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,  1273,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,  1276,
       0,  1277,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1278,  1279,  1280,  1281,
    1282,  1283,  1284,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,  1289,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1292,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,     0,   394,   395,   396,   397,   398,  3458,
    1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,   408,  1306,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
    1307,   419,   420,   421,     0,   422,   423,   424,  1308,  1309,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
    1312,   456,     0,   457,   458,   459,   460,     0,  1315,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,  1318,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,  1319,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
    1322,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,  1324,   578,     0,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   590,     0,     0,   591,   592,  1327,   594,  1328,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,  1331,     0,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   630,  1333,  1334,  1335,  1336,   635,
    1337,  1338,  1339,  1340,   640,   641,   642,   643,     0,     0,
       0,     0,     0,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3900,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,  1273,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,  1276,     0,
    1277,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1278,  1279,  1280,  1281,  1282,
    1283,  1284,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,  1289,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1292,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,   395,   396,   397,   398,  3458,  1298,
    1299,  1300,  1301,  1302,  1303,  1304,  1305,  3459,  1306,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,  1307,
     419,   420,   421,     0,   422,   423,   424,  1308,  1309,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,  1312,
     456,     0,   457,   458,   459,   460,     0,  1315,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,   475,   476,   477,   478,
    1318,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,  1319,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,   537,  3461,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,  1322,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,  1324,   578,     0,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   590,     0,     0,   591,   592,  1327,   594,  1328,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,  1331,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,  1333,  1334,  1335,  1336,   635,  1337,
    1338,  1339,  1340,  3462,   641,   642,   643,     0,     0,     0,
       0,     0,     0,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,  1273,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,  1276,     0,  1277,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1278,  1279,  1280,  1281,  1282,  1283,
    1284,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,  1289,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1292,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,   395,   396,   397,   398,  3458,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   408,  1306,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,  1307,   419,
     420,   421,     0,   422,   423,   424,  1308,  1309,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,  1312,   456,
       0,   457,   458,   459,   460,     0,  1315,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,  1318,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,  1319,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,  1322,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,  1324,   578,     0,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     590,     0,     0,   591,   592,  1327,   594,  1328,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,  1331,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,  1333,  1334,  1335,  1336,   635,  1337,  1338,
    1339,  1340,   640,   641,   642,   643,     0,     0,     0,     0,
       0,     0,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4885,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,  1273,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,  1276,     0,  1277,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1278,  1279,  1280,  1281,  1282,  1283,  1284,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,  1289,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1292,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,   395,   396,   397,   398,  3458,  1298,  1299,  1300,
    1301,  1302,  1303,  1304,  1305,   408,  1306,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,  1307,   419,   420,
     421,     0,   422,   423,   424,  1308,  1309,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,  1312,   456,     0,
     457,   458,   459,   460,     0,  1315,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,   476,   477,   478,  1318,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,  1319,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,  1322,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,  1324,   578,     0,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,  1327,   594,  1328,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,  1331,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,  1333,  1334,  1335,  1336,   635,  1337,  1338,  1339,
    1340,   640,   641,   642,   643,     0,     0,     0,     0,     0,
       0,   960,     0,  1605,   710,     0,     0,     0,     0,   771,
       0,     0,     0,     0,     0,     0,     0,  6124,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,  1828,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,     0,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,  1829,     0,   470,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,  1830,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,     0,   605,   606,
     607,   608,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,     0,     0,     0,     0,     0,     0,
     960,     0,     0,     0,     0,     0,     0,  1606,  1607,  5904,
       0,     0,     0,     0,     0,     0,  5905,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       3,     4,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,    40,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,    44,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,  1198,
     616,     0,   617,   618,   619,   620,   621,   622,     0,     0,
     623,     0,    49,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,     0,     0,    50,     0,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    56,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,     0,   605,   606,   607,   608,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,     0,     0,     0,     0,     0,     0,   651,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5650,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  2895,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,  2896,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,     0,   386,   387,   388,
     389,   390,   391,   392,     0,   393,     0,   394,     0,     0,
     397,     0,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,     0,   420,     0,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,     0,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,   855,   470,   471,   472,     0,     0,   473,   474,
     475,     0,   477,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,     0,
     559,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,  2897,   581,     0,   583,   584,   585,
     586,   587,     0,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,     0,
     617,     0,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,     0,     0,     0,     0,     0,     0,   651,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1862,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,     0,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,     0,     0,   397,
       0,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,    40,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,     0,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,    44,   581,     0,   583,   584,   585,   586,
     587,     0,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,  1198,   616,     0,   617,
       0,   619,   620,   621,   622,     0,     0,   623,     0,    49,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
       0,     0,    50,     0,     0,     0,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,     0,   386,   387,   388,   389,   390,
     391,   392,     0,   393,     0,   394,     0,     0,   397,     0,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,   418,     0,   420,     0,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,     0,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,   475,     0,
     477,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,     0,   559,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,     0,   583,   584,   585,   586,   587,
       0,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,     0,   617,     0,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,     0,
       0,     0,     0,     0,     0,   651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1417,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,     0,   386,   387,   388,   389,   390,   391,
     392,     0,   393,     0,   394,     0,     0,   397,     0,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,     0,   559,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,     0,   581,     0,   583,   584,   585,   586,   587,     0,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,     0,   617,     0,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,     0,     0,
       0,     0,     0,     0,   651,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3521,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,     0,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,     0,     0,   397,     0,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
       0,   420,     0,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,     0,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,   475,     0,   477,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,     0,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,     0,   583,   584,   585,   586,   587,     0,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,     0,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,     0,     0,     0,
       0,     0,     0,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4188,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,     0,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,     0,     0,   397,     0,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,     0,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,     0,   583,   584,   585,   586,   587,     0,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,     0,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,     0,     0,     0,     0,
       0,     0,   651,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4841,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
       0,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,     0,     0,   397,     0,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,   418,     0,   420,
       0,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,     0,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,     0,   477,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,     0,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
       0,   583,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,     0,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2108,     0,     0,     0,     0,     0,
       0,  2109,     0,     0,  2110,     0,     0,  6020,  2111,  2112,
    2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,
    2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,     0,  2131,
    2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,  2141,
    2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,
    2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,
       0,     0,  2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,
    2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,
    2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,
       0,  2190,  2191,  2192,  2193,  2194,  2195,  2196,  2197,  2198,
    2199,  2200,  2201,  2202,  2203,  2204,     0,  2205,  2206,  2207,
    2208,  2209,  2210,  2211,  2212,  2213,  2214,  2215,  2216,  2217,
    2218,  2219,  2220,  2221,  2222,  2223,  2224,  2225,  2226,  2227,
    2228,  2229,  2230,  2231,  2232,  2233,  2234,  2235,  2236,  2237,
    2238,  2239,  2240,     0,  2241,  2242,  2243,  2244,  2245,  2246,
    2247,  2248,  2249,  2250,  2251,  2252,     0,     0,  2253,  2254,
    2255,  2256,     0,  2257,  2258,  2259,  2260,  2261,     0,  2262,
    2263,  2264,  2265,  2266,     0,  2267,  2268,     0,  2269,  2270,
    2271,     0,  2272,  2273,     0,  2274,  2275,  2276,  2277,  2278,
    2279,  2280,  2281,  2282,  2283,  2284,  2285,  2286,  2287,  2288,
    2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,
       0,  2299,     0,  2300,  2301,  2302,  2303,  2304,  2305,  2306,
    2307,  2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,  2316,
    2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,  2326,
    2327,  2328,  2329,     0,  2330,  2331,  2332,  2333,  2334,  2335,
    2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,
       0,  2346,  2347,     0,  2348,  2349,  2350,  2351,  2352,  2353,
    2354,  2355,  2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,
    2364,  2365,  2366,  2367,  2368,  2369,  2370,  2371,  2372,  2373,
    2374,  2375,  2376,     0,  2377,  2378,  2379,     0,  2380,  2381,
    2382,  2383,  2384,     0,  2385,  2386,  2387,  2388,     0,     0,
    2389,  2390,  2391,  2392,  2393,  2394,  2395,  2396,  2397,  2398,
    2399,  2400,  2401,  2402,  2403,  2404,  2405,  2406,     0,  2407,
    2408,  2409,  2410,  2411,  2412,  2413,  2414,  2415,  2416,  2417,
    2418,  2419,  2420,  2421,  2422,  2423,  2424,  2425,  2426,  2427,
    2428,  2429,  2430,  2431,  2432,  2433,  2434,  2435,  2436,  2437,
    2438,  2439,  2440,     0,  2441,  2442,  2443,  2444,  2445,  2446,
    2447,  2448,  2449,  2450,  2451,  2452,  2453,  2454,  2455,  2456,
    2457,     0,  2458,  2459,  2460,  2461,  2462,  2463,  2464,  2465,
    2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,  2474,  2475,
    2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,  2484,  2485,
    2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,  2494,  2495,
    2496,  2497,  2498,  2499,  2500,  2501,  2502,  2503,  2504,  2505,
    2506,  2507,     0,  2508,  2509,  2510,  2511,  2512,  2513,  2514,
    2515,  2516,  2517,  2518,  2519,  2520,  2521,  2522,  2523,     0,
    2524,  2525,  2526,  2527,  2528,  2529,  2530,  2531,  2532,  2533,
    2534,  2535,  2536,  2537,  2538,  2539,     0,  2540,  2541,  2542,
    2543,  2544,  2545,     0,  2546,     0,     0,     0,     0,  2547,
    2548,  2549,  2550,  2551,  2552,  2553,  2554,  2555,  2556,  2557,
    2558,  2559,  2560,  2561,     0,  2562,  2563,  2564,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2565,  2566,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,   872,     0,  1605,   710,
       0,     0,     0,   975,   771,     0,     0,     0,     0,     0,
     976,   977,   978,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  1741,   244,   245,   246,  1742,  1743,  1744,  1745,
    1746,  1747,  1748,   247,   248,   249,  1749,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   873,   260,   874,   875,
    1750,   263,   264,   265,   266,   267,   268,   269,  1751,  1752,
     270,   271,   876,   877,   274,  1753,   275,   276,   277,   278,
       0,  1754,   280,  1755,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,  1756,   292,   293,   294,   295,
     296,   297,  1757,   298,   299,   300,   301,  1758,  1759,  1760,
     302,  1761,  1762,  1763,   303,   304,   305,   306,   307,   308,
     878,   879,   311,  1764,   312,  1765,   313,   314,   315,   316,
     317,   318,   319,  1766,   320,   321,   322,   323,  1767,  1768,
     324,   325,   880,   327,   328,  1769,   329,   330,   331,   332,
    1770,   333,   334,   335,   336,  1771,   337,   338,   339,   340,
       0,   342,   343,   344,   345,     0,  1772,   347,  1773,   348,
     349,   350,   881,   352,  1774,   353,  1775,   354,   355,   356,
    1776,   357,   358,   359,   360,   361,  1777,   362,     0,  1778,
       0,   365,   366,  1779,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,  1780,   377,   378,   379,   380,   381,
     382,   383,  1781,   384,   385,     0,   387,   388,   389,   390,
     882,   883,  1782,   884,  1783,   394,   395,   396,   397,   398,
     885,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   410,   411,   412,   413,   414,   415,   416,  1784,  1785,
     417,     0,   419,   420,   421,  1786,   422,   423,   424,  1787,
    1788,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   886,
     444,   887,   446,   447,   448,   449,   450,   451,   452,   453,
    4505,     0,   456,  1789,   457,   458,   459,   460,  1790,     0,
     462,   888,   464,   465,   466,  1791,   467,   468,   469,  1792,
    1793,  4506,   471,   472,  1794,  1795,   473,   474,     0,   476,
     477,   478,     0,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,  1796,   491,   492,   493,     0,   495,
       0,   497,   498,   499,  1797,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   889,   512,   513,   514,
     515,  1798,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,  1799,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,  1800,   548,   549,   550,   551,
     552,  1801,   553,   554,  2725,   556,   557,   558,   559,   560,
     891,   562,  1802,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,     0,   578,  1803,
     579,   580,  1804,   581,   582,   583,   584,   585,   586,   587,
    1805,   588,   892,   893,  1806,  1807,   591,   592,     0,   594,
       0,  1808,   596,   597,   598,   599,   600,   601,   602,   603,
     604,  1809,  1810,   605,   606,   607,   608,   609,  1811,  1812,
     610,   611,   612,   613,   614,     0,   894,  1813,   617,   618,
     619,   620,   621,   622,  1814,  1815,   623,  1816,  1817,   624,
     625,   626,   627,   628,   629,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   641,   642,   643,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   981,
     982,   983,  4507,  4508,   986,   987,   988,   989,   872,     0,
    1605,   710,     0,     0,     0,   975,   771,     0,     0,     0,
       0,     0,   976,   977,   978,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1741,   244,   245,   246,  1742,  1743,
    1744,  1745,  1746,  1747,  1748,   247,   248,   249,  1749,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   873,   260,
     874,   875,  1750,   263,   264,   265,   266,   267,   268,   269,
    1751,  1752,   270,   271,   876,   877,   274,  1753,   275,   276,
     277,   278,     0,  1754,   280,  1755,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,  1756,   292,   293,
     294,   295,   296,   297,  1757,   298,   299,   300,   301,  1758,
    1759,  1760,   302,  1761,  1762,  1763,   303,   304,   305,   306,
     307,   308,   878,   879,   311,  1764,   312,  1765,   313,   314,
     315,   316,   317,   318,   319,  1766,   320,   321,   322,   323,
    1767,  1768,   324,   325,   880,   327,   328,  1769,   329,   330,
     331,   332,  1770,   333,   334,   335,   336,  1771,   337,   338,
     339,   340,     0,   342,   343,   344,   345,     0,  1772,   347,
    1773,   348,   349,   350,   881,   352,  1774,   353,  1775,   354,
     355,   356,  1776,   357,   358,   359,   360,   361,  1777,   362,
       0,  1778,     0,   365,   366,  1779,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,  1780,   377,   378,   379,
     380,   381,   382,   383,  1781,   384,   385,     0,   387,   388,
     389,   390,   882,   883,  1782,   884,  1783,   394,   395,   396,
     397,   398,   885,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   410,   411,   412,   413,   414,   415,   416,
    1784,  1785,   417,     0,   419,   420,   421,  1786,   422,   423,
     424,  1787,  1788,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   886,   444,   887,   446,   447,   448,   449,   450,   451,
     452,   453,  4978,     0,   456,  1789,   457,   458,   459,   460,
    1790,     0,   462,   888,   464,   465,   466,  1791,   467,   468,
     469,  1792,  1793,  4506,   471,   472,  1794,  1795,   473,   474,
       0,   476,   477,   478,     0,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,  1796,   491,   492,   493,
       0,   495,     0,   497,   498,   499,  1797,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   889,   512,
     513,   514,   515,  1798,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,  1799,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,  1800,   548,   549,
     550,   551,   552,  1801,   553,   554,  2725,   556,   557,   558,
     559,   560,   891,   562,  1802,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,     0,
     578,  1803,   579,   580,  1804,   581,   582,   583,   584,   585,
     586,   587,  1805,   588,   892,   893,  1806,  1807,   591,   592,
       0,   594,     0,  1808,   596,   597,   598,   599,   600,   601,
     602,   603,   604,  1809,  1810,   605,   606,   607,   608,   609,
    1811,  1812,   610,   611,   612,   613,   614,     0,   894,  1813,
     617,   618,   619,   620,   621,   622,  1814,  1815,   623,  1816,
    1817,   624,   625,   626,   627,   628,   629,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   641,   642,
     643,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   981,   982,   983,  4507,  4508,   986,   987,   988,   989,
     651,     0,     0,     0,     0,     0,     0,   975,     0,     0,
       0,     0,     0,     0,   976,   977,   978,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   979,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   980,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,     0,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
       0,     0,   397,     0,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,     0,   420,     0,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
       0,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,     0,   477,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,     0,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,     0,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,     0,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   981,   982,   983,   984,   985,   986,   987,
     988,   989,   651,     0,     0,     0,     0,     0,     0,   975,
       0,     0,     0,     0,     0,     0,   976,   977,   978,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,  1095,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,  1096,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
       0,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,     0,     0,   397,     0,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,   418,     0,   420,
       0,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,     0,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,     0,   477,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,     0,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
       0,   583,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,     0,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   981,   982,   983,   984,   985,
     986,   987,   988,   989,   651,     0,     0,     0,     0,     0,
       0,   975,     0,     0,     0,     0,     0,     0,   976,   977,
     978,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,  1161,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,  1162,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  1163,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,     0,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,     0,     0,   397,     0,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
       0,   420,     0,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,     0,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,   475,     0,   477,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,     0,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,     0,   583,   584,   585,   586,   587,     0,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,     0,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   981,   982,   983,
     984,   985,   986,   987,   988,   989,   651,     0,     0,     0,
       0,     0,     0,   975,     0,     0,     0,     0,     0,     0,
     976,   977,   978,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,  1845,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,  1846,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,     0,   386,   387,   388,   389,   390,
     391,   392,     0,   393,     0,   394,     0,     0,   397,     0,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,   418,     0,   420,     0,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,     0,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,   475,     0,
     477,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,     0,   559,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,     0,   583,   584,   585,   586,   587,
       0,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,     0,   617,     0,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   981,
     982,   983,   984,   985,   986,   987,   988,   989,   651,     0,
       0,     0,     0,     0,     0,   975,     0,     0,     0,     0,
       0,     0,   976,   977,   978,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,     0,   386,   387,   388,
     389,   390,   391,   392,     0,   393,     0,   394,     0,     0,
     397,     0,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,     0,   420,     0,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,     0,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,     0,   477,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,     0,
     559,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,     0,   583,   584,   585,
     586,   587,     0,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,     0,
     617,     0,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   981,   982,   983,   984,   985,   986,   987,   988,   989,
     651,     0,     0,     0,     0,     0,     0,   975,     0,     0,
       0,     0,     0,     0,   976,   977,   978,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,  3592,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,  3593,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,     0,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
       0,     0,   397,     0,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,     0,   420,     0,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
       0,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,     0,   477,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,     0,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,     0,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,     0,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   981,   982,   983,   984,   985,   986,   987,
     988,   989,   651,     0,     0,     0,     0,     0,     0,   975,
       0,     0,     0,     0,     0,     0,   976,   977,   978,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
       0,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,     0,     0,   397,     0,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,   418,     0,   420,
       0,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,     0,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,  5629,   471,   472,
       0,     0,   473,   474,   475,     0,   477,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,     0,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
       0,   583,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,     0,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,     0,     0,  1740,     0,     0,
       0,     0,     0,     0,     0,   981,   982,   983,   984,   985,
     986,   987,   988,   989,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  1741,   244,   245,   246,  1742,  1743,  1744,
    1745,  1746,  1747,  1748,   247,   248,   249,  1749,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,  1750,   263,   264,   265,   266,   267,   268,   269,  1751,
    1752,   270,   271,   272,   273,   274,  1753,   275,   276,   277,
     278,   279,  1754,   280,  1755,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,  1756,   292,   293,   294,
     295,   296,   297,  1757,   298,   299,   300,   301,  1758,  1759,
    1760,   302,  1761,  1762,  1763,   303,   304,   305,   306,   307,
     308,   309,   310,   311,  1764,   312,  1765,   313,   314,   315,
     316,   317,   318,   319,  1766,   320,   321,   322,   323,  1767,
    1768,   324,   325,   326,   327,   328,  1769,   329,   330,   331,
     332,  1770,   333,   334,   335,   336,  1771,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,  1772,   347,  1773,
     348,   349,   350,   351,   352,  1774,   353,  1775,   354,   355,
     356,  1776,   357,   358,   359,   360,   361,  1777,   362,   363,
    1778,   364,   365,   366,  1779,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,  1780,   377,   378,   379,   380,
     381,   382,   383,  1781,   384,   385,   386,   387,   388,   389,
     390,   391,   392,  1782,   393,  1783,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,  1784,
    1785,   417,   418,   419,   420,   421,  1786,   422,   423,   424,
    1787,  1788,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  1789,   457,   458,   459,   460,  1790,
     461,   462,   463,   464,   465,   466,  1791,   467,   468,   469,
    1792,  1793,   470,   471,   472,  1794,  1795,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,  1796,   491,   492,   493,   494,
     495,   496,   497,   498,   499,  1797,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,  1798,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,  1799,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,  1800,   548,   549,   550,
     551,   552,  1801,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,  1802,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
    1803,   579,   580,  1804,   581,   582,   583,   584,   585,   586,
     587,  1805,   588,   589,   590,  1806,  1807,   591,   592,   593,
     594,   595,  1808,   596,   597,   598,   599,   600,   601,   602,
     603,   604,  1809,  1810,   605,   606,   607,   608,   609,  1811,
    1812,   610,   611,   612,   613,   614,   615,   616,  1813,   617,
     618,   619,   620,   621,   622,  1814,  1815,   623,  1816,  1817,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1818,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,     0,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
       0,     0,   397,     0,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,     0,   420,     0,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
       0,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,     0,   477,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,     0,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,     0,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,     0,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   861,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,     0,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,     0,     0,   397,     0,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,     0,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,     0,   583,   584,   585,   586,   587,     0,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,     0,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   872,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6094,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   873,   260,   874,   875,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   876,   877,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     878,   879,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   880,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
       0,   342,   343,   344,   345,     0,     0,   347,     0,   348,
     349,   350,   881,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,     0,     0,
       0,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,  2721,   377,   378,   379,   380,   381,
     382,   383,     0,   384,   385,  2722,   387,   388,   389,   390,
     882,   883,     0,   884,     0,   394,   395,   396,   397,   398,
     885,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,     0,   419,   420,   421,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   886,
     444,   887,   446,   447,   448,   449,   450,   451,   452,   453,
       0,     0,   456,     0,   457,   458,   459,   460,     0,     0,
     462,   888,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,  2723,   473,   474,  2724,   476,
     477,   478,     0,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   495,
       0,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   889,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,     0,   553,   554,  2725,   556,   557,   558,   559,   560,
     891,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,     0,   578,     0,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   892,   893,     0,     0,   591,   592,     0,   594,
       0,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,     0,     0,
     610,   611,   612,   613,   614,     0,   894,  2726,   617,   618,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,     0,     0,     0,  3937,     0,
       0,     0,     0,     0,     0,     0,   641,   642,   643,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  2727,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   873,   260,
     874,   875,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   876,   877,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   878,   879,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   880,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,     0,   342,   343,   344,   345,     0,     0,   347,
       0,   348,   349,   350,   881,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
       0,     0,     0,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,  2721,   377,   378,   379,
     380,   381,   382,   383,     0,   384,   385,  2722,   387,   388,
     389,   390,   882,   883,     0,   884,     0,   394,   395,   396,
     397,   398,   885,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,     0,   419,   420,   421,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   886,   444,   887,   446,   447,   448,   449,   450,   451,
     452,   453,     0,     0,   456,     0,   457,   458,   459,   460,
       0,     0,   462,   888,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,  2723,   473,   474,
    2724,   476,   477,   478,     0,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   495,     0,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   889,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,     0,   553,   554,  2725,   556,   557,   558,
     559,   560,   891,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,     0,
     578,     0,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   892,   893,     0,     0,   591,   592,
       0,   594,     0,     0,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,     0,   894,  2726,
     617,   618,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   641,   642,
     643,   960,     0,  1605,   710,     0,     0,     0,     0,   771,
       0,     0,     0,     0,     0,     0,  2727,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,  2612,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,  1828,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,     0,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,  1829,     0,   470,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,  1830,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,     0,   605,   606,
     607,   608,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   960,     0,  1605,   710,     0,     0,
       0,     0,   771,     0,     0,     0,     0,  1606,  1607,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,  2617,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,  1828,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,  1829,     0,   470,
     471,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,  1830,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   960,     0,  1605,
     710,     0,     0,     0,     0,   771,     0,     0,     0,     0,
    1606,  1607,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,  1828,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
    1829,     0,   470,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,  1830,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     960,     0,     0,   710,     0,     0,     0,     0,   771,     0,
       0,     0,     0,  1606,  1607,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,  3553,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
    1828,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,  1829,     0,   470,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,  1830,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   651,     0,     0,     0,     0,     0,     0,
       0,   771,     0,     0,     0,     0,   783,   784,     0,     0,
     235,   236,   772,   238,   239,   240,   241,   242,   243,   773,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   774,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   775,   351,
     352,     0,   353,     0,   354,   776,     0,   777,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,   778,   377,   378,   379,   380,   381,   382,   383,     0,
     384,     0,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,     0,     0,   397,     0,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   779,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,     0,   445,   446,
     447,   780,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   781,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   782,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,     0,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,     0,   583,   584,   585,   586,   587,     0,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,     0,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,  1740,     0,  6422,   710,
       0,     0,     0,     0,   771,     0,     0,     0,     0,   783,
     784,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  1741,   244,   245,   246,  1742,  1743,  1744,  1745,
    1746,  1747,  1748,   247,   248,   249,  1749,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
    1750,   263,   264,   265,   266,   267,   268,   269,  1751,  1752,
     270,   271,   272,   273,   274,  1753,   275,   276,   277,   278,
     279,  1754,   280,  1755,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,  1756,   292,   293,   294,   295,
     296,   297,  1757,   298,   299,   300,   301,  1758,  1759,  1760,
     302,  1761,  1762,  1763,   303,   304,   305,   306,   307,   308,
     309,   310,   311,  1764,   312,  1765,   313,   314,   315,   316,
     317,   318,   319,  1766,   320,   321,   322,   323,  1767,  1768,
     324,   325,   326,   327,   328,  1769,   329,   330,   331,   332,
    1770,   333,   334,   335,   336,  1771,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,  1772,   347,  1773,   348,
     349,   350,   351,   352,  1774,   353,  1775,   354,   355,   356,
    1776,   357,   358,   359,   360,   361,  1777,   362,   363,  1778,
     364,   365,   366,  1779,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,  1780,   377,   378,   379,   380,   381,
     382,   383,  1781,   384,   385,   386,   387,   388,   389,   390,
     391,   392,  1782,   393,  1783,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,  1784,  1785,
     417,   418,   419,   420,   421,  1786,   422,   423,   424,  1787,
    1788,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,  1789,   457,   458,   459,   460,  1790,   461,
     462,   463,   464,   465,   466,  1791,   467,   468,   469,  1792,
    1793,   470,   471,   472,  1794,  1795,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,  1796,   491,   492,   493,   494,   495,
     496,   497,   498,   499,  1797,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,  1798,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,  1799,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,  1800,   548,   549,   550,   551,
     552,  1801,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,  1802,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,  1803,
     579,   580,  1804,   581,   582,   583,   584,   585,   586,   587,
    1805,   588,   589,   590,  1806,  1807,   591,   592,   593,   594,
     595,  1808,   596,   597,   598,   599,   600,   601,   602,   603,
     604,  1809,  1810,   605,   606,   607,   608,   609,  1811,  1812,
     610,   611,   612,   613,   614,   615,   616,  1813,   617,   618,
     619,   620,   621,   622,  1814,  1815,   623,  1816,  1817,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,  1740,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  1741,   244,   245,   246,  1742,
    1743,  1744,  1745,  1746,  1747,  1748,   247,   248,   249,  1749,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,  1750,   263,   264,   265,   266,   267,   268,
     269,  1751,  1752,   270,   271,   272,   273,   274,  1753,   275,
     276,   277,   278,   279,  1754,   280,  1755,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,  1756,   292,
     293,   294,   295,   296,   297,  1757,   298,   299,   300,   301,
    1758,  1759,  1760,   302,  1761,  1762,  1763,   303,   304,   305,
     306,   307,   308,   309,   310,   311,  1764,   312,  1765,   313,
     314,   315,   316,   317,   318,   319,  1766,   320,   321,   322,
     323,  1767,  1768,   324,   325,   326,   327,   328,  1769,   329,
     330,   331,   332,  1770,   333,   334,   335,   336,  1771,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,  1772,
     347,  1773,   348,   349,   350,   351,   352,  1774,   353,  1775,
     354,   355,   356,  1776,   357,   358,   359,   360,   361,  1777,
     362,   363,  1778,   364,   365,   366,  1779,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,  1780,   377,   378,
     379,   380,   381,   382,   383,  1781,   384,   385,   386,   387,
     388,   389,   390,   391,   392,  1782,   393,  1783,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,  1784,  1785,   417,   418,   419,   420,   421,  1786,   422,
     423,   424,  1787,  1788,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  1789,   457,   458,   459,
     460,  1790,   461,   462,   463,   464,   465,   466,  1791,   467,
     468,   469,  1792,  1793,   470,   471,   472,  1794,  1795,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,  1796,   491,   492,
     493,   494,   495,   496,   497,   498,   499,  1797,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,  1798,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,  1799,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,  1800,   548,
     549,   550,   551,   552,  1801,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,  1802,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,  1803,   579,   580,  1804,   581,   582,   583,   584,
     585,   586,   587,  1805,   588,   589,   590,  1806,  1807,   591,
     592,   593,   594,   595,  1808,   596,   597,   598,   599,   600,
     601,   602,   603,   604,  1809,  1810,   605,   606,   607,   608,
     609,  1811,  1812,   610,   611,   612,   613,   614,   615,   616,
    1813,   617,   618,   619,   620,   621,   622,  1814,  1815,   623,
    1816,  1817,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,  1740,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,  3658,   241,   242,   243,  1741,   244,
     245,   246,  1742,  1743,  1744,  1745,  1746,  1747,  1748,   247,
     248,   249,  1749,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,  1750,   263,   264,   265,
     266,   267,   268,   269,  1751,  1752,   270,   271,   272,   273,
     274,  1753,   275,   276,   277,   278,   279,  1754,   280,  1755,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,  1756,   292,   293,   294,   295,   296,   297,  1757,   298,
     299,   300,   301,  1758,  1759,  1760,   302,  1761,  1762,  1763,
     303,   304,   305,   306,   307,   308,   309,   310,   311,  1764,
     312,  1765,   313,   314,   315,   316,   317,   318,   319,  1766,
     320,   321,   322,   323,  1767,  1768,   324,   325,   326,  3659,
     328,  1769,   329,   330,   331,   332,  1770,   333,   334,   335,
     336,  1771,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,  1772,   347,  1773,   348,   349,   350,   351,   352,
    1774,   353,  1775,   354,   355,   356,  1776,   357,   358,   359,
     360,   361,  1777,   362,   363,  1778,   364,   365,   366,  1779,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
    1780,   377,   378,   379,   380,   381,   382,   383,  1781,   384,
     385,   386,   387,   388,   389,   390,   391,   392,  1782,   393,
    1783,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,  1784,  1785,   417,   418,   419,   420,
     421,  1786,   422,   423,   424,  1787,  1788,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,  1789,
     457,   458,   459,   460,  1790,   461,   462,   463,   464,   465,
     466,  1791,   467,   468,   469,  1792,  1793,   470,   471,   472,
    1794,  1795,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
    1796,   491,   492,   493,   494,   495,   496,   497,   498,   499,
    1797,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,  1798,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,  1799,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,  1800,   548,   549,   550,   551,   552,  1801,  3660,   554,
     555,   556,   557,   558,   559,   560,   561,   562,  1802,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,  1803,   579,   580,  1804,   581,
     582,   583,   584,   585,   586,   587,  1805,   588,   589,   590,
    1806,  1807,   591,   592,   593,   594,   595,  1808,   596,   597,
     598,   599,   600,   601,   602,   603,   604,  1809,  1810,   605,
     606,   607,   608,   609,  1811,  1812,   610,   611,   612,   613,
     614,   615,   616,  1813,   617,   618,   619,   620,   621,   622,
    1814,  1815,   623,  1816,  1817,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,  1273,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,  1276,
       0,  1277,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1278,  1279,  1280,  1281,
    1282,  1283,  1284,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,  1289,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1292,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,     0,   394,   395,   396,   397,   398,  3458,
    1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,   408,  1306,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
    1307,   419,   420,   421,     0,   422,   423,   424,  1308,  1309,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
    1312,   456,     0,   457,   458,   459,   460,     0,  1315,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,  1318,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,  1319,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
    1322,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,  1324,   578,     0,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   590,     0,     0,   591,   592,  1327,   594,  1328,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,  1331,     0,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   630,  1333,  1334,  1335,  1336,   635,
    1337,  1338,  1339,  1340,   640,   641,   642,   643,   234,     0,
    1263,   710,     0,  1264,  1265,     0,   771,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1269,   260,
    1270,  1271,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,  1274,  1275,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,  1285,  1286,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   880,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,  1290,   347,
       0,   348,   349,   350,  1291,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,   385,   386,   387,   388,
     389,   390,  1294,  1295,     0,  1296,     0,   394,   395,   396,
     397,   398,  6396,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,  1310,   444,  1311,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,   459,   460,
    1314,   461,   462,  1316,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,  1320,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,   558,
     559,   560,  1323,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,     0,   588,  1325,  1326,     0,     0,   591,   592,
     593,   594,   595,  1329,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,   615,  1332,     0,
     617,   618,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   960,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   999,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,   961,   302,     0,     0,   962,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,     0,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,   963,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,     0,   605,   606,
     607,   608,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   960,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    1020,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,   961,   302,     0,
       0,   962,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,  1021,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,   963,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   960,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
     961,   302,     0,     0,   962,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,   963,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,  2988,
       0,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     960,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,   961,   302,     0,     0,   962,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,  4008,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,   963,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   960,     0,     0,   710,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,  1828,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,  1829,     0,   470,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,  1830,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   960,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,   961,
     302,     0,     0,   962,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,     0,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,   418,   419,   420,   421,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,   963,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   960,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,   961,   302,     0,     0,   962,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,  1114,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,   963,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,     0,   605,   606,   607,   608,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   960,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,   961,   302,     0,     0,   962,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1156,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,   963,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   960,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,   961,   302,
       0,     0,   962,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1169,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
     963,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   960,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,   961,   302,     0,     0,   962,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1181,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,   385,   386,   387,   388,
     389,   390,   391,   392,     0,   393,     0,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,  1182,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,   963,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   960,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     3,     4,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,   388,   389,   390,   391,   392,     0,   393,     0,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,     0,   605,   606,
     607,   608,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   960,     0,     0,   710,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,  2597,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,   385,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   960,     0,     0,
     710,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,   385,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1140,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1153,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,   385,   386,   387,   388,   389,   390,
     391,   392,     0,   393,     0,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,   418,   419,   420,   421,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,   459,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1167,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
     388,   389,   390,   391,   392,     0,   393,     0,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,     0,   605,   606,   607,   608,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   234,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1171,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   960,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,   388,   389,   390,   391,
     392,     0,   393,     0,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   651,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,  2760,   275,   276,
     277,   278,   279,     0,     0,  2829,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,  2761,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,  2830,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,  2763,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    2831,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,     0,   386,   387,   388,
     389,   390,   391,   392,     0,   393,     0,   394,     0,     0,
     397,     0,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,     0,   420,     0,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,     0,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,     0,   477,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,  2764,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,     0,
     559,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,     0,   583,   584,   585,
     586,   587,     0,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,  2765,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,     0,
     617,     0,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   651,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
    2760,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
    2761,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,  2830,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,  2763,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,     0,
     386,   387,   388,   389,   390,   391,   392,     0,   393,     0,
     394,     0,     0,   397,     0,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,  3871,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,  2764,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,     0,   559,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,     0,
     583,   584,   585,   586,   587,     0,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,  2765,   605,   606,
     607,   608,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,     0,   617,     0,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   651,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   823,   242,   243,
     790,   244,   791,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     792,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,   824,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,     0,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,     0,     0,   397,     0,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
       0,   420,     0,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,     0,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,   475,     0,   477,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   793,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   794,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,     0,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,     0,   583,   584,   585,   586,   587,     0,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,     0,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   651,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   790,   244,   791,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   792,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,  3560,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,     0,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,     0,     0,   397,
       0,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   793,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   794,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,     0,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,     0,   583,   584,   585,   586,
     587,     0,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,     0,   617,
       0,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,  2760,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,  2761,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
    2830,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
    2763,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,     0,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
       0,     0,   397,     0,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,     0,   420,     0,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
       0,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,     0,   477,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,  2764,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,     0,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,     0,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,  2765,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,     0,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   790,
     244,   791,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   792,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,     0,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,     0,     0,   397,     0,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   793,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   794,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,     0,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,     0,   583,   584,   585,   586,   587,     0,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,     0,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  2895,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
    2896,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,     0,   386,   387,   388,   389,   390,
     391,   392,     0,   393,     0,   394,     0,     0,   397,     0,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,   418,     0,   420,     0,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,     0,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
     855,   470,   471,   472,     0,     0,   473,   474,   475,     0,
     477,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,     0,   559,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,  2897,   581,     0,   583,   584,   585,   586,   587,
       0,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,     0,   617,     0,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   651,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  3064,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,  2896,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,     0,   386,   387,
     388,   389,   390,   391,   392,     0,   393,     0,   394,     0,
       0,   397,     0,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,   855,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
       0,   559,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,  2897,   581,     0,   583,   584,
     585,   586,   587,     0,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,     0,   605,   606,   607,   608,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
       0,   617,     0,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   651,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,  2006,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,  2007,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,  2008,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,  2009,   354,   355,     0,     0,     0,  2010,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
       0,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,     0,     0,   397,     0,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,  2011,  2012,   416,     0,     0,   417,   418,     0,   420,
       0,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,     0,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,     0,   477,     0,   479,   480,
     481,   482,   483,  2013,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,  2014,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   532,   533,   534,  2015,   536,
     537,   538,   539,   540,   541,  2016,   543,   544,   545,   546,
     547,     0,  2017,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,     0,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,  2018,   581,
       0,  2019,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,   596,   597,
    2020,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,     0,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   791,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   792,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,     0,   386,   387,   388,   389,   390,   391,
     392,     0,   393,     0,   394,     0,     0,   397,     0,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     793,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   794,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,     0,   559,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,     0,   581,     0,   583,   584,   585,   586,   587,     0,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,     0,   617,     0,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   651,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1013,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1014,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,     0,   386,   387,   388,
     389,   390,   391,   392,     0,   393,     0,   394,     0,     0,
     397,     0,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,     0,   420,     0,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,     0,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,   855,   470,   471,   472,     0,     0,   473,   474,
     475,     0,   477,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,     0,
     559,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,     0,   583,   584,   585,
     586,   587,     0,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,     0,
     617,     0,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   651,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  3639,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,     0,
     386,   387,   388,   389,   390,   391,   392,     0,   393,     0,
     394,     0,     0,   397,     0,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,     0,   559,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,     0,
     583,   584,   585,   586,   587,     0,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,     0,   605,   606,
     607,   608,   609,  3640,     0,   610,   611,   612,   613,   614,
     615,   616,     0,   617,     0,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   651,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    3652,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,     0,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,     0,     0,   397,     0,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
       0,   420,     0,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,     0,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,   475,     0,   477,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,     0,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,     0,   583,   584,   585,   586,   587,     0,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,  3653,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,     0,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   651,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   652,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,     0,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,     0,     0,   397,
       0,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,     0,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,     0,   583,   584,   585,   586,
     587,     0,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,     0,   617,
       0,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   701,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,     0,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
       0,     0,   397,     0,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,     0,   420,     0,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
       0,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,     0,   477,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   702,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,     0,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,     0,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,     0,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   815,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,     0,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,     0,     0,   397,     0,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   816,     0,   553,
     554,   555,   556,   557,     0,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,     0,   583,   584,   585,   586,   587,     0,   588,   817,
     590,     0,     0,   818,   592,   593,   594,   595,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,     0,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   849,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,     0,   386,   387,   388,   389,   390,
     391,   392,     0,   393,     0,   394,     0,     0,   397,     0,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,   418,     0,   420,     0,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,     0,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,   475,     0,
     477,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     850,     0,   553,   554,   555,   556,   557,     0,   559,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,     0,   583,   584,   585,   586,   587,
       0,   588,   851,   590,     0,     0,   852,   592,   593,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,     0,   617,     0,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   651,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,     0,   386,   387,
     388,   389,   390,   391,   392,     0,   393,     0,   394,     0,
       0,   397,     0,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,   855,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
       0,   559,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,     0,   581,     0,   583,   584,
     585,   586,   587,     0,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,     0,   605,   606,   607,   608,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
       0,   617,     0,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   651,     0,     0,     0,     0,     0,     0,     0,
       0,   915,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
       0,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,     0,     0,   397,     0,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,   418,     0,   420,
       0,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,     0,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,     0,   477,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,     0,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
       0,   583,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,     0,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   970,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   971,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,     0,   386,   387,   388,   389,   390,   391,
     392,     0,   393,     0,   394,     0,     0,   397,     0,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,     0,   559,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,     0,   581,     0,   583,   584,   585,   586,   587,     0,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,     0,   617,     0,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   651,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,  1132,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,     0,   386,   387,   388,
     389,   390,   391,   392,     0,   393,     0,   394,     0,     0,
     397,     0,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,     0,   420,     0,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,     0,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,     0,   477,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,     0,
     559,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,     0,   583,   584,   585,
     586,   587,     0,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,     0,
     617,     0,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   651,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1392,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,     0,
     386,   387,   388,   389,   390,   391,   392,     0,   393,     0,
     394,     0,     0,   397,     0,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,     0,   559,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,     0,
     583,   584,   585,   586,   587,     0,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,     0,   605,   606,
     607,   608,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,     0,   617,     0,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   651,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,  1403,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   835,   271,
     272,   273,  1404,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,     0,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,     0,     0,   397,     0,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
       0,   420,     0,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   838,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,     0,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,   475,     0,   477,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   839,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   840,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,  1396,     0,
     553,   554,   555,   556,   557,     0,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,     0,   583,   584,   585,   586,   587,     0,   588,
     842,   590,     0,     0,   843,   592,   593,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,     0,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   844,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   651,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1549,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,     0,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,     0,     0,   397,
       0,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,   855,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,     0,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,     0,   583,   584,   585,   586,
     587,     0,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,     0,   617,
       0,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,  1610,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1611,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,     0,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
       0,     0,   397,     0,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,     0,   420,     0,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
       0,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,     0,   477,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,     0,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,     0,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,     0,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   815,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,     0,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,     0,     0,   397,     0,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,     0,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,     0,   583,   584,   585,   586,   587,     0,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,     0,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,  3407,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,     0,   386,   387,   388,   389,   390,
     391,   392,     0,   393,     0,   394,     0,     0,   397,     0,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,   418,     0,   420,     0,     0,   422,   423,  3408,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,     0,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,   475,     0,
     477,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,     0,   559,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,  3409,   581,     0,   583,  3410,   585,  3411,   587,
       0,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,  3412,   608,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,     0,   617,     0,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   651,
       0,     0,   710,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,     0,   386,   387,
     388,   389,   390,   391,   392,     0,   393,     0,   394,     0,
       0,   397,     0,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
       0,   559,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,     0,   581,     0,   583,   584,
     585,   586,   587,     0,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,     0,   605,   606,   607,   608,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
       0,   617,     0,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   651,     0,     0,     0,     0,     0,     0,     0,
     771,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
       0,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,     0,     0,   397,     0,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,   418,     0,   420,
       0,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,     0,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,     0,   477,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,     0,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
       0,   583,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,     0,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
    4226,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,     0,   386,   387,   388,   389,   390,   391,
     392,     0,   393,     0,   394,     0,     0,   397,     0,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,     0,   559,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,     0,   581,     0,   583,   584,   585,   586,   587,     0,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,     0,   617,     0,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   651,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,  4240,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,     0,   386,   387,   388,
     389,   390,   391,   392,     0,   393,     0,   394,     0,     0,
     397,     0,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,     0,   420,     0,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,     0,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,     0,   477,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,     0,
     559,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,     0,   583,   584,   585,
     586,   587,     0,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,     0,
     617,     0,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   651,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,  5361,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,     0,
     386,   387,   388,   389,   390,   391,   392,     0,   393,     0,
     394,     0,     0,   397,     0,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,     0,   559,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,     0,
     583,   584,   585,   586,   587,     0,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,     0,   605,   606,
     607,   608,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,     0,   617,     0,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   651,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,  5400,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,     0,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,     0,     0,   397,     0,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
       0,   420,     0,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,     0,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,   475,     0,   477,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,     0,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,     0,   583,   584,   585,   586,   587,     0,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,     0,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   651,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,     0,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,     0,     0,   397,
       0,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,     0,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,     0,   583,   584,   585,   586,
     587,     0,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,     0,   617,
       0,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,     0,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
       0,     0,   397,     0,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,     0,   420,     0,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
       0,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,     0,   477,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,     0,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,     0,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     807,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,     0,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,     0,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,     0,     0,   397,     0,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   532,   533,   534,   535,
     536,   537,   538,   539,   813,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,     0,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,     0,   583,   584,   585,   586,   587,     0,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,     0,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     835,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   836,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,     0,   386,   387,   388,   389,   390,
     391,   392,     0,   393,     0,   394,     0,     0,   397,     0,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,   418,     0,   420,     0,     0,   422,   423,   837,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   838,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,     0,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,   475,     0,
     477,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   839,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   840,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     841,     0,   553,   554,   555,   556,   557,     0,   559,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,     0,   583,   584,   585,   586,   587,
       0,   588,   842,   590,     0,     0,   843,   592,   593,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,     0,   617,     0,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   844,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   651,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,     0,   386,   387,
     388,   389,   390,   391,   392,     0,   393,     0,   394,     0,
       0,   397,     0,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   867,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
       0,   559,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,     0,   581,     0,   583,   584,
     585,   586,   587,     0,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,     0,   605,   606,   607,   608,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
       0,   617,     0,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   651,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   995,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
       0,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,     0,     0,   397,     0,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,   418,     0,   420,
       0,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,     0,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,     0,   477,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,     0,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
       0,   583,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,     0,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1005,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,     0,   386,   387,   388,   389,   390,   391,
     392,     0,   393,     0,   394,     0,     0,   397,     0,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,     0,   559,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,     0,   581,     0,   583,   584,   585,   586,   587,     0,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,     0,   617,     0,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   651,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1008,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,     0,   386,   387,   388,
     389,   390,   391,   392,     0,   393,     0,   394,     0,     0,
     397,     0,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,     0,   420,     0,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,     0,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,     0,   477,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,     0,
     559,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,     0,   583,   584,   585,
     586,   587,     0,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,     0,
     617,     0,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   651,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1024,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,     0,
     386,   387,   388,   389,   390,   391,   392,     0,   393,     0,
     394,     0,     0,   397,     0,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,     0,   559,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,     0,
     583,   584,   585,   586,   587,     0,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,     0,   605,   606,
     607,   608,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,     0,   617,     0,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   651,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  1080,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,     0,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,     0,     0,   397,     0,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
       0,   420,     0,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,     0,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,   475,     0,   477,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,     0,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,     0,   583,   584,   585,   586,   587,     0,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,     0,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   651,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1085,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,     0,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,     0,     0,   397,
       0,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,     0,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,     0,   583,   584,   585,   586,
     587,     0,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,     0,   617,
       0,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1102,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,     0,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
       0,     0,   397,     0,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,     0,   420,     0,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
       0,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,     0,   477,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,     0,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,     0,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,     0,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1105,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,     0,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,     0,     0,   397,     0,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,     0,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,     0,   583,   584,   585,   586,   587,     0,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,     0,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1107,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,     0,   386,   387,   388,   389,   390,
     391,   392,     0,   393,     0,   394,     0,     0,   397,     0,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,   418,     0,   420,     0,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,     0,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,   475,     0,
     477,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,     0,   559,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,     0,   583,   584,   585,   586,   587,
       0,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,     0,   617,     0,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   651,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1145,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,     0,   386,   387,
     388,   389,   390,   391,   392,     0,   393,     0,   394,     0,
       0,   397,     0,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
       0,   559,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,     0,   581,     0,   583,   584,
     585,   586,   587,     0,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,     0,   605,   606,   607,   608,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
       0,   617,     0,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   651,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1173,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
       0,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,     0,     0,   397,     0,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,   418,     0,   420,
       0,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,     0,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,     0,   477,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,     0,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
       0,   583,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,     0,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1175,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,     0,   386,   387,   388,   389,   390,   391,
     392,     0,   393,     0,   394,     0,     0,   397,     0,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,     0,   559,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,     0,   581,     0,   583,   584,   585,   586,   587,     0,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,     0,   617,     0,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   651,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
    1185,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,     0,   386,   387,   388,
     389,   390,   391,   392,     0,   393,     0,   394,     0,     0,
     397,     0,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,     0,   420,     0,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,     0,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,     0,   477,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,     0,
     559,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,     0,   583,   584,   585,
     586,   587,     0,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,     0,
     617,     0,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   651,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1188,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,     0,
     386,   387,   388,   389,   390,   391,   392,     0,   393,     0,
     394,     0,     0,   397,     0,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,     0,   559,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,     0,
     583,   584,   585,   586,   587,     0,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,     0,   605,   606,
     607,   608,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,     0,   617,     0,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   651,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  1191,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,     0,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,     0,     0,   397,     0,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
       0,   420,     0,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,     0,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,   475,     0,   477,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,     0,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,     0,   583,   584,   585,   586,   587,     0,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,     0,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   651,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   835,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,     0,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,     0,     0,   397,
       0,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   838,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     839,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     840,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,  1396,     0,   553,   554,   555,   556,   557,     0,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,     0,   583,   584,   585,   586,
     587,     0,   588,   842,   590,     0,     0,   843,   592,   593,
     594,   595,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,     0,   617,
       0,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   844,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  1871,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,     0,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
       0,     0,   397,     0,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,     0,   420,     0,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
       0,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,     0,   477,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,     0,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,     0,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,     0,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1905,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,     0,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,     0,     0,   397,     0,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,     0,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,     0,   583,   584,   585,   586,   587,     0,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,     0,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  1907,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,     0,   386,   387,   388,   389,   390,
     391,   392,     0,   393,     0,   394,     0,     0,   397,     0,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,   418,     0,   420,     0,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,     0,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,   475,     0,
     477,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,     0,   559,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,     0,   583,   584,   585,   586,   587,
       0,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,     0,   617,     0,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   651,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1947,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,     0,   386,   387,
     388,   389,   390,   391,   392,     0,   393,     0,   394,     0,
       0,   397,     0,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
       0,   559,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,     0,   581,     0,   583,   584,
     585,   586,   587,     0,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,     0,   605,   606,   607,   608,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
       0,   617,     0,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   651,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  1949,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
       0,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,     0,     0,   397,     0,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,   418,     0,   420,
       0,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,     0,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,     0,   477,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,     0,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
       0,   583,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,     0,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1951,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,     0,   386,   387,   388,   389,   390,   391,
     392,     0,   393,     0,   394,     0,     0,   397,     0,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,     0,   559,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,     0,   581,     0,   583,   584,   585,   586,   587,     0,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,     0,   617,     0,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   651,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,     0,   386,   387,   388,
     389,   390,   391,   392,     0,   393,     0,   394,     0,     0,
     397,     0,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,     0,   420,     0,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,     0,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,     0,   477,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   532,   533,   534,   535,   536,   537,   538,   539,  2045,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   555,   556,   557,     0,
     559,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,     0,   583,   584,   585,
     586,   587,     0,   588,   589,   590,     0,     0,   591,   592,
     593,   594,   595,     0,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,     0,
     617,     0,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   651,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,  2713,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,     0,
     386,   387,   388,   389,   390,   391,   392,     0,   393,     0,
     394,     0,     0,   397,     0,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,     0,     0,   554,   555,
     556,   557,     0,   559,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,     0,
     583,   584,   585,   586,   587,     0,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,     0,   605,   606,
     607,   608,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,     0,   617,     0,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   651,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   835,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,     0,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,     0,     0,   397,     0,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
       0,   420,     0,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   838,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,     0,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,   475,     0,   477,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   839,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   840,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,  1396,     0,
     553,   554,   555,   556,   557,     0,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,     0,  2747,   584,   585,   586,   587,     0,   588,
     842,   590,     0,     0,   843,   592,   593,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,     0,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   844,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   651,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   835,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,     0,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,     0,     0,   397,
       0,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   838,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     839,   533,   534,   535,   536,   537,   538,   539,   540,   541,
    2812,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,  2813,     0,   553,   554,   555,   556,   557,     0,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,     0,   583,   584,   585,   586,
     587,     0,   588,   842,   590,     0,     0,  2814,   592,   593,
     594,   595,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,     0,   617,
       0,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   844,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   835,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,     0,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
       0,     0,   397,     0,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,     0,   420,     0,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   838,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
       0,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,     0,   477,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   839,   533,   534,   535,   536,   537,   538,
     539,   540,   541,  2892,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,  2813,     0,   553,   554,   555,   556,
     557,     0,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,     0,   583,
     584,   585,   586,   587,     0,   588,   842,   590,     0,     0,
    2814,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,     0,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   844,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   835,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,     0,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,     0,     0,   397,     0,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   838,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   839,   533,   534,   535,
     536,   537,   538,   539,   540,   541,  2916,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,  2813,     0,   553,
     554,   555,   556,   557,     0,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,     0,   583,   584,   585,   586,   587,     0,   588,   842,
     590,     0,     0,  2814,   592,   593,   594,   595,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,     0,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   844,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  3109,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,     0,   386,   387,   388,   389,   390,
     391,   392,     0,   393,     0,   394,     0,     0,   397,     0,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,   418,     0,   420,     0,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,     0,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,   475,     0,
     477,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,     0,   559,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,     0,   583,   584,   585,   586,   587,
       0,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,     0,   617,     0,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   651,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  3113,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,     0,   386,   387,
     388,   389,   390,   391,   392,     0,   393,     0,   394,     0,
       0,   397,     0,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,     0,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
       0,   559,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,     0,   581,     0,   583,   584,
     585,   586,   587,     0,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,     0,   605,   606,   607,   608,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
       0,   617,     0,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   651,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,  3171,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
       0,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,     0,     0,   397,     0,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,   418,     0,   420,
       0,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,     0,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,     0,   477,     0,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,     0,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
       0,   583,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,     0,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  3571,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,     0,   386,   387,   388,   389,   390,   391,
     392,     0,   393,     0,   394,     0,     0,   397,     0,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,     0,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,   494,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
       0,   553,   554,   555,   556,   557,     0,   559,   560,   561,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,     0,   579,
     580,     0,   581,     0,   583,   584,   585,   586,   587,     0,
     588,   589,   590,     0,     0,   591,   592,   593,   594,   595,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,     0,     0,   610,
     611,   612,   613,   614,   615,   616,     0,   617,     0,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   651,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   835,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,     0,   386,   387,   388,
     389,   390,   391,   392,     0,   393,     0,   394,     0,     0,
     397,     0,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,     0,   420,     0,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     838,   443,     0,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,     0,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,     0,   477,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
     494,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   839,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   840,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,  2813,     0,   553,   554,   555,   556,   557,     0,
     559,   560,   561,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,     0,   579,   580,     0,   581,     0,   583,   584,   585,
     586,   587,     0,   588,   842,   590,     0,     0,  2814,   592,
     593,   594,   595,     0,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,   615,   616,     0,
     617,     0,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   844,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   651,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  3628,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,     0,
     386,   387,   388,   389,   390,   391,   392,     0,   393,     0,
     394,     0,     0,   397,     0,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,     0,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,   494,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   555,
     556,   557,     0,   559,   560,   561,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,     0,   579,   580,     0,   581,     0,
     583,   584,   585,   586,   587,     0,   588,   589,   590,     0,
       0,   591,   592,   593,   594,   595,     0,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,     0,   605,   606,
     607,   608,   609,     0,     0,   610,   611,   612,   613,   614,
     615,   616,     0,   617,     0,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   651,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,     0,
     255,   256,   257,   258,   259,     0,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
       0,     0,   281,   282,   283,   284,   285,   286,     0,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,     0,   299,   300,   301,     0,     0,     0,     0,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,     0,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,     0,     0,     0,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,  3642,     0,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,     0,   386,   387,   388,   389,   390,   391,   392,
       0,   393,     0,   394,     0,     0,   397,     0,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
       0,   420,     0,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,     0,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,     0,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,   475,     0,   477,     0,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,   494,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,     0,
     553,   554,   555,   556,   557,     0,   559,   560,   561,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,     0,   579,   580,
       0,   581,     0,   583,   584,   585,   586,   587,     0,   588,
     589,   590,     0,     0,   591,   592,   593,   594,   595,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,   615,   616,     0,   617,     0,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   651,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  3644,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,     0,   386,   387,   388,   389,
     390,   391,   392,     0,   393,     0,   394,     0,     0,   397,
       0,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,   494,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   555,   556,   557,     0,   559,
     560,   561,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
       0,   579,   580,     0,   581,     0,   583,   584,   585,   586,
     587,     0,   588,   589,   590,     0,     0,   591,   592,   593,
     594,   595,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,   615,   616,     0,   617,
       0,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     651,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,  3792,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,     0,   386,
     387,   388,   389,   390,   391,   392,     0,   393,     0,   394,
       0,     0,   397,     0,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,     0,   420,     0,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,     0,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
       0,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,     0,   477,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,   494,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   555,   556,
     557,     0,   559,   560,   561,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,     0,   579,   580,     0,   581,     0,   583,
     584,   585,   586,   587,     0,   588,   589,   590,     0,     0,
     591,   592,   593,   594,   595,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,   615,
     616,     0,   617,     0,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   651,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,  3832,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,     0,   386,   387,   388,   389,   390,   391,   392,     0,
     393,     0,   394,     0,     0,   397,     0,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,     0,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,   494,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   555,   556,   557,     0,   559,   560,   561,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,     0,   579,   580,     0,
     581,     0,   583,   584,   585,   586,   587,     0,   588,   589,
     590,     0,     0,   591,   592,   593,   594,   595,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,   615,   616,     0,   617,     0,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,  5104,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,     0,   386,   387,   388,   389,   390,
     391,   392,     0,   393,     0,   394,     0,     0,   397,     0,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,   418,     0,   420,     0,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
       0,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,     0,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,   475,     0,
     477,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,   494,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,     0,   553,   554,   555,   556,   557,     0,   559,   560,
     561,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,     0,
     579,   580,     0,   581,     0,   583,   584,   585,   586,   587,
       0,   588,   589,   590,     0,     0,   591,   592,   593,   594,
     595,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,     0,     0,
     610,   611,   612,   613,   614,   615,   616,     0,   617,     0,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   651,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,     0,   386,   387,
     388,   389,   390,   391,   392,     0,   393,     0,   394,     0,
       0,   397,     0,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,     0,   445,  5816,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,   494,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   555,   556,   557,
       0,   559,   560,   561,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,     0,   579,   580,     0,   581,     0,   583,   584,
     585,   586,   587,     0,   588,   589,   590,     0,     0,   591,
     592,   593,   594,   595,     0,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,     0,   605,   606,   607,   608,
     609,     0,     0,   610,   611,   612,   613,   614,   615,   616,
       0,   617,     0,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   651,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,     0,   255,   256,
     257,   258,   259,     0,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,     0,     0,
     281,   282,   283,   284,   285,   286,     0,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,     0,
     299,   300,   301,     0,     0,     0,     0,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,     0,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,     0,     0,     0,   358,   359,
     360,   361,     0,   362,   363,     0,   364,     0,   366,     0,
     367,   368,   369,   370,   371,     0,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
       0,   386,   387,   388,   389,   390,   391,   392,     0,   393,
       0,   394,     0,     0,   397,     0,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,   418,     0,   420,
       0,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,     0,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,     0,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,   475,     0,   477,     0,   479,   480,
     481,   482,   483,   484,   485,   486,     0,   488,   489,   490,
       0,   491,   492,   493,   494,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   532,   533,   534,   535,   536,
     537,     0,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     555,   556,   557,     0,   559,   560,   561,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,     0,   579,   580,     0,   581,
       0,   583,   584,   585,   586,   587,     0,   588,   589,   590,
       0,     0,   591,   592,   593,   594,   595,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,   615,   616,     0,   617,     0,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   872,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   873,   260,   874,   875,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   876,   877,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   878,
     879,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   880,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,     0,
     342,   343,   344,   345,     0,     0,   347,     0,   348,   349,
     350,   881,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,     0,     0,     0,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,  2721,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,  2722,   387,   388,   389,   390,   882,
     883,     0,   884,     0,   394,   395,   396,   397,   398,   885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
       0,   419,   420,   421,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   886,   444,
     887,   446,   447,   448,   449,   450,   451,   452,   453,     0,
       0,   456,     0,   457,   458,   459,   460,     0,     0,   462,
     888,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,  2724,   476,   477,
     478,     0,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   495,     0,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   889,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
       0,   553,   554,  2725,   556,   557,   558,   559,   560,   891,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   578,     0,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   892,   893,     0,     0,   591,   592,     0,   594,     0,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,     0,     0,   610,
     611,   612,   613,   614,     0,   894,  2726,   617,   618,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   872,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   641,   642,   643,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   873,   260,   874,   875,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     876,   877,   274,     0,   275,   276,   277,   278,     0,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   878,   879,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     880,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,     0,   342,
     343,   344,   345,     0,     0,   347,     0,   348,   349,   350,
     881,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,     0,     0,     0,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,   385,     0,   387,   388,   389,   390,   882,   883,
       0,   884,     0,   394,   395,   396,   397,   398,   885,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,     0,
     419,   420,   421,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   886,   444,   887,
     446,   447,   448,   449,   450,   451,   452,   453,     0,     0,
     456,     0,   457,   458,   459,   460,  2808,     0,   462,   888,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,     0,   476,   477,   478,
       0,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   495,     0,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   889,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,     0,
     553,   554,  2725,   556,   557,   558,   559,   560,   891,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,     0,   578,     0,   579,   580,
    4606,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     892,   893,     0,     0,   591,   592,     0,   594,     0,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,     0,   894,     0,   617,   618,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,   872,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   641,   642,   643,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   873,   260,   874,   875,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   876,
     877,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   878,   879,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   880,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,     0,   342,   343,
     344,   345,     0,     0,   347,     0,   348,   349,   350,   881,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,     0,     0,     0,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,     0,   387,   388,   389,   390,   882,   883,     0,
     884,     0,   394,   395,   396,   397,   398,   885,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,     0,   419,
     420,   421,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   886,   444,   887,   446,
     447,   448,   449,   450,   451,   452,   453,  2882,     0,   456,
       0,   457,   458,   459,   460,     0,     0,   462,   888,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,     0,   476,   477,   478,     0,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   495,     0,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   889,   512,   513,   514,   515,     0,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,   535,
     536,     0,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,     0,   548,   549,   550,   551,   552,     0,   553,
     554,   890,   556,   557,   558,   559,   560,   891,   562,     0,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   578,     0,   579,   580,     0,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   892,
     893,     0,     0,   591,   592,     0,   594,     0,     0,   596,
     597,   598,   599,   600,   601,   602,   603,   604,     0,     0,
     605,   606,   607,   608,   609,     0,     0,   610,   611,   612,
     613,   614,     0,   894,     0,   617,   618,   619,   620,   621,
     622,     0,     0,   623,     0,     0,   624,   625,   626,   627,
     628,   629,   872,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   641,   642,   643,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,     0,   873,   260,   874,   875,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   876,   877,
     274,     0,   275,   276,   277,   278,     0,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   878,   879,   311,     0,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   880,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,     0,   342,   343,   344,
     345,     0,     0,   347,     0,   348,   349,   350,   881,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,     0,     0,     0,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,     0,   387,   388,   389,   390,   882,   883,     0,   884,
       0,   394,   395,   396,   397,   398,   885,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,     0,   419,   420,
     421,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   886,   444,   887,   446,   447,
     448,   449,   450,   451,   452,   453,  4402,     0,   456,     0,
     457,   458,   459,   460,     0,     0,   462,   888,   464,   465,
     466,     0,   467,   468,   469,     0,     0,   470,   471,   472,
       0,     0,   473,   474,     0,   476,   477,   478,     0,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   495,     0,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   889,   512,   513,   514,   515,     0,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,     0,   548,   549,   550,   551,   552,     0,   553,   554,
     890,   556,   557,   558,   559,   560,   891,   562,     0,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,     0,   578,     0,   579,   580,     0,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   892,   893,
       0,     0,   591,   592,     0,   594,     0,     0,   596,   597,
     598,   599,   600,   601,   602,   603,   604,     0,     0,   605,
     606,   607,   608,   609,     0,     0,   610,   611,   612,   613,
     614,     0,   894,     0,   617,   618,   619,   620,   621,   622,
       0,     0,   623,     0,     0,   624,   625,   626,   627,   628,
     629,   872,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   641,   642,   643,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   873,   260,   874,   875,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   876,   877,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   878,   879,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   880,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,     0,   342,   343,   344,   345,
       0,     0,   347,     0,   348,   349,   350,   881,   352,  6017,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,     0,     0,     0,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
       0,   387,   388,   389,   390,   882,   883,     0,   884,     0,
     394,   395,   396,   397,   398,   885,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,     0,   419,   420,   421,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   886,   444,   887,   446,   447,   448,
     449,   450,   451,   452,   453,     0,     0,   456,     0,   457,
     458,   459,   460,     0,     0,   462,   888,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,     0,   476,   477,   478,     0,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   495,     0,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   889,   512,   513,   514,   515,     0,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
       0,   548,   549,   550,   551,   552,     0,   553,   554,   890,
     556,   557,   558,   559,   560,   891,   562,     0,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   578,     0,   579,   580,     0,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   892,   893,     0,
       0,   591,   592,     0,   594,     0,     0,   596,   597,   598,
     599,   600,   601,   602,   603,   604,     0,     0,   605,   606,
     607,   608,   609,     0,     0,   610,   611,   612,   613,   614,
       0,   894,     0,   617,   618,   619,   620,   621,   622,     0,
       0,   623,     0,     0,   624,   625,   626,   627,   628,   629,
     872,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   641,   642,   643,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,     0,
     873,   260,   874,   875,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   876,   877,   274,     0,
     275,   276,   277,   278,     0,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   878,   879,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   880,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,     0,   342,   343,   344,   345,     0,
       0,   347,     0,   348,   349,   350,   881,   352,  6039,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,     0,     0,     0,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,     0,   384,   385,     0,
     387,   388,   389,   390,   882,   883,     0,   884,     0,   394,
     395,   396,   397,   398,   885,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,     0,   419,   420,   421,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   886,   444,   887,   446,   447,   448,   449,
     450,   451,   452,   453,     0,     0,   456,     0,   457,   458,
     459,   460,     0,     0,   462,   888,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,     0,   476,   477,   478,     0,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   495,     0,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     889,   512,   513,   514,   515,     0,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,     0,
     548,   549,   550,   551,   552,     0,   553,   554,   890,   556,
     557,   558,   559,   560,   891,   562,     0,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,     0,   578,     0,   579,   580,     0,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   892,   893,     0,     0,
     591,   592,     0,   594,     0,     0,   596,   597,   598,   599,
     600,   601,   602,   603,   604,     0,     0,   605,   606,   607,
     608,   609,     0,     0,   610,   611,   612,   613,   614,     0,
     894,     0,   617,   618,   619,   620,   621,   622,     0,     0,
     623,     0,     0,   624,   625,   626,   627,   628,   629,   872,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     641,   642,   643,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,     0,   873,
     260,   874,   875,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   876,   877,   274,     0,   275,
     276,   277,   278,     0,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   878,   879,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   880,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,     0,   342,   343,   344,   345,     0,     0,
     347,     0,   348,   349,   350,   881,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,     0,     0,     0,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,     0,   387,
     388,   389,   390,   882,   883,     0,   884,     0,   394,   395,
     396,   397,   398,   885,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,     0,   419,   420,   421,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   886,   444,   887,   446,   447,   448,   449,   450,
     451,   452,   453,     0,     0,   456,     0,   457,   458,   459,
     460,     0,     0,   462,   888,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,     0,   476,   477,   478,     0,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   495,     0,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   889,
     512,   513,   514,   515,     0,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,     0,   548,
     549,   550,   551,   552,     0,   553,   554,   890,   556,   557,
     558,   559,   560,   891,   562,     0,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   578,     0,   579,   580,     0,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   892,   893,     0,     0,   591,
     592,     0,   594,     0,     0,   596,   597,   598,   599,   600,
     601,   602,   603,   604,     0,     0,   605,   606,   607,   608,
     609,     0,     0,   610,   611,   612,   613,   614,     0,   894,
       0,   617,   618,   619,   620,   621,   622,     0,     0,   623,
       0,     0,   624,   625,   626,   627,   628,   629,   872,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   641,
     642,   643,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   873,   260,
     874,   875,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   876,   877,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   878,   879,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   880,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,     0,   342,   343,   344,   345,     0,     0,   347,
       0,   348,   349,   350,   881,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
       0,     0,     0,   365,   366,     0,   367,   368,   369,   370,
    1147,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,     0,   384,   385,     0,   387,   388,
     389,   390,   882,   883,     0,   884,     0,   394,   395,   396,
     397,   398,   885,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,     0,   419,   420,   421,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   886,   444,   887,   446,   447,   448,   449,   450,   451,
     452,   453,     0,     0,   456,     0,   457,   458,   459,   460,
       0,     0,   462,   888,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
       0,   476,   477,   478,     0,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   495,     0,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   889,   512,
     513,   514,   515,     0,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,     0,   548,   549,
     550,   551,   552,     0,   553,   554,   890,   556,   557,   558,
     559,   560,   891,   562,     0,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,     0,
     578,     0,   579,   580,     0,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   892,   893,     0,     0,   591,   592,
       0,   594,     0,     0,   596,   597,   598,   599,   600,   601,
     602,   603,   604,     0,     0,   605,   606,   607,   608,   609,
       0,     0,   610,   611,   612,   613,   614,     0,   894,     0,
     617,   618,   619,   620,   621,   622,     0,     0,   623,     0,
       0,   624,   625,   626,   627,   628,   629,   872,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   641,   642,
     643,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   873,   260,   874,
     875,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   876,   877,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   878,   879,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   880,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   881,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,  1179,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,     0,   387,   388,   389,
     390,   882,   883,     0,   884,     0,   394,   395,   396,   397,
     398,   885,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,     0,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     886,   444,   887,   446,   447,   448,   449,   450,   451,   452,
     453,     0,     0,   456,     0,   457,   458,   459,   460,     0,
       0,   462,   888,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,     0,
     476,   477,   478,     0,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     495,     0,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   889,   512,   513,
     514,   515,     0,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,   535,   536,     0,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,     0,   548,   549,   550,
     551,   552,     0,   553,   554,   890,   556,   557,   558,   559,
     560,   891,   562,     0,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   578,
       0,   579,   580,     0,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   892,   893,     0,     0,   591,   592,     0,
     594,     0,     0,   596,   597,   598,   599,   600,   601,   602,
     603,   604,     0,     0,   605,   606,   607,   608,   609,     0,
       0,   610,   611,   612,   613,   614,     0,   894,     0,   617,
     618,   619,   620,   621,   622,     0,     0,   623,     0,     0,
     624,   625,   626,   627,   628,   629,   872,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   641,   642,   643,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   873,   260,   874,   875,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   876,   877,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     878,   879,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   880,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
       0,   342,   343,   344,   345,     0,     0,   347,     0,   348,
     349,   350,   881,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,     0,     0,
       0,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,     0,   384,   385,     0,   387,   388,   389,   390,
     882,   883,     0,   884,     0,   394,   395,   396,   397,   398,
     885,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,     0,   419,   420,   421,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   886,
     444,   887,   446,   447,   448,   449,   450,   451,   452,   453,
       0,     0,   456,     0,   457,   458,   459,   460,     0,     0,
     462,   888,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,     0,   476,
     477,   478,     0,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   495,
       0,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   889,   512,   513,   514,
     515,     0,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,     0,   548,   549,   550,   551,
     552,     0,   553,   554,  2725,   556,   557,   558,   559,   560,
     891,   562,     0,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,     0,   578,     0,
     579,   580,     0,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   892,   893,     0,     0,   591,   592,     0,   594,
       0,     0,   596,   597,   598,   599,   600,   601,   602,   603,
     604,     0,     0,   605,   606,   607,   608,   609,     0,     0,
     610,   611,   612,   613,   614,     0,   894,     0,   617,   618,
     619,   620,   621,   622,     0,     0,   623,     0,     0,   624,
     625,   626,   627,   628,   629,   872,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   641,   642,   643,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   873,   260,   874,   875,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   876,   877,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   878,
     879,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   880,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,     0,
     342,   343,   344,   345,     0,     0,   347,     0,   348,   349,
     350,   881,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,     0,     0,     0,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,     0,   387,   388,   389,   390,   882,
     883,     0,   884,     0,   394,   395,   396,   397,   398,   885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
       0,   419,   420,   421,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   886,   444,
     887,   446,   447,   448,   449,   450,   451,   452,   453,     0,
       0,   456,     0,   457,   458,   459,   460,     0,     0,   462,
     888,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,     0,   476,   477,
     478,     0,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   495,     0,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   889,   512,   513,   514,   515,
       0,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,   535,   536,     0,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,     0,   548,   549,   550,   551,   552,
       0,   553,   554,     0,   556,   557,   558,   559,   560,   891,
     562,     0,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   578,     0,   579,
     580,     0,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   892,   893,     0,     0,   591,   592,     0,   594,     0,
       0,   596,   597,   598,   599,   600,   601,   602,   603,   604,
       0,     0,   605,   606,   607,   608,   609,     0,     0,   610,
     611,   612,   613,   614,     0,   894,     0,   617,   618,   619,
     620,   621,   622,     0,     0,   623,     0,     0,   624,   625,
     626,   627,   628,   629,   872,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   641,   642,   643,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,     0,     0,   260,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
       0,     0,   274,     0,   275,   276,   277,   278,     0,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,     0,     0,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,     0,   342,
     343,   344,   345,     0,     0,   347,     0,   348,   349,   350,
       0,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,     0,     0,     0,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
       0,   384,   385,     0,   387,   388,   389,   390,     0,     0,
       0,     0,     0,   394,   395,   396,   397,   398,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,     0,
     419,   420,   421,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   444,     0,
     446,   447,   448,   449,   450,   451,   452,   453,     0,     0,
     456,     0,   457,   458,   459,   460,     0,     0,   462,     0,
     464,   465,   466,     0,   467,   468,   469,     0,     0,   470,
     471,   472,     0,     0,   473,   474,     0,   476,   477,   478,
       0,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   495,     0,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,     0,   512,   513,   514,   515,     0,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,     0,   548,   549,   550,   551,   552,     0,
     553,   554,     0,   556,   557,   558,   559,   560,     0,   562,
       0,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,     0,   578,     0,   579,   580,
       0,   581,   582,   583,   584,   585,   586,   587,     0,   588,
       0,     0,     0,     0,   591,   592,     0,   594,     0,     0,
     596,   597,   598,   599,   600,   601,   602,   603,   604,     0,
       0,   605,   606,   607,   608,   609,     0,     0,   610,   611,
     612,   613,   614,     0,     0,     0,   617,   618,   619,   620,
     621,   622,     0,     0,   623,     0,     0,   624,   625,   626,
     627,   628,   629,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   641,   642,   643
};

static const yytype_int16 yycheck[] =
{
       6,     0,     0,     0,     0,     0,     0,    56,     0,     0,
       0,     0,  1006,     0,     0,     0,     0,   206,     0,  1042,
     866,  1036,     0,  1034,     0,   214,    21,    21,   217,   935,
     833,   679,   836,   189,   211,   658,   211,  1662,  1159,  1597,
      45,   792,   793,   794,     6,    51,  1581,   798,  1535,   929,
       0,   931,  2765,  1023,   711,  1007,   890,  1032,   909,    22,
     860,  2707,  1220,   197,  1267,    28,     0,    36,  2708,  1507,
    3057,   878,   879,  1038,  1574,  1108,  3232,  3632,  1901,  1255,
    3511,   888,  3122,  2065,  2066,  2067,   843,  3906,   711,  3208,
    3416,  2073,  3418,  1586,  1581,   734,   947,   893,   859,  3712,
     216,  2032,    44,  1239,  4075,  2729,  2730,  1243,  1730,   748,
    1246,  1247,  1082,  3933,   230,  3922,  1086,  2071,   756,  2070,
    2074,  1091,  1627,  1628,   972,  3605,  1631,  3658,  3955,  3660,
      23,  1101,  4302,  2051,  4255,   758,  1574,  3069,  2976,  1697,
    1698,  4571,  4825,    36,   660,  1115,  3858,  3469,  3463,   997,
    1973,  2107,  3521,  4298,  1002,  5142,  2954,   191,    17,  1564,
     732,   175,  4577,   735,  3275,   191,   757,    26,  1464,  4582,
     747,  4539,  3084,  5317,     8,  4594,  1146,  5226,  3289,     2,
    1914,    15,   839,  3294,  4380,  3296,  5134,  5339,   811,  3485,
    5447,   197,  4841,  1006,  4843,  5226,    35,   958,  1691,  5483,
     206,   207,  1015,    42,  3519,  2587,  5085,    50,   214,  2591,
     216,   217,  1025,  4581,  2624,   973,   839,  5359,  2694,  1624,
    5495,  3920,    41,  2692,   230,  1718,  3295,  3531,  3297,  4890,
    5129,  4277,     6,  1097,  3370,   956,  1641,     0,  3468,  5749,
    3470,   864,    11,     0,  3474,   932,  3374,     6,   932,  1113,
      15,     0,     0,     6,  5133,    21,  5733,    38,     0,     6,
       6,  2671,  5404,    13,    25,  2083,    37,  3065,     6,    11,
       6,     6,  5444,    63,     6,     6,   997,    15,    16,    15,
      16,  1002,    54,   225,  1042,  1046,  3022,    29,  3024,  3025,
       6,    92,   148,  3029,  3030,  3031,     6,  3033,  3034,  3035,
     876,   877,    21,   926,  2038,    13,     0,  1547,  4667,  4668,
    4669,   887,  4671,  4672,  4673,  4674,  4675,    11,     6,     6,
       5,    47,     6,     6,     6,  1076,    11,     6,    15,    16,
      43,   194,   177,     6,  4765,    29,   201,    45,    47,    43,
     177,   120,   211,    80,  5411,  5412,    32,   171,  1194,   189,
       0,    80,    63,    29,     6,    92,     3,    63,     5,     6,
      36,   120,    80,    92,    11,  6053,   100,    13,   113,    25,
      78,    21,   177,    21,     6,  1880,    21,    11,    37,   140,
      35,  3607,   177,    95,  5436,    63,    63,     5,   155,   238,
    6141,  1628,   133,    11,  1631,   122,   201,  5632,   300,  4595,
     120,    68,   178,   144,   286,   343,    56,   171,   125,   171,
    6127,  6128,   327,   193,   177,  6174,   286,   752,   177,  1042,
     177,   183,   120,   140,   307,   327,   307,   662,   177,   177,
     366,   320,    63,  1408,   399,   177,    25,   286,   201,   201,
     381,    23,   100,  1476,   201,   152,   286,   316,   356,  1464,
      35,  5961,   201,   201,   357,  1420,   269,   179,    87,   201,
    1098,    85,   294,    25,  5363,   165,   177,  5751,   286,    31,
      80,    39,   240,   120,  6171,  5952,   383,   211,  1285,  1286,
      63,   122,   322,   177,   140,  6291,   381,   443,   168,   269,
     179,   154,   120,    13,  4924,   351,    63,   441,   225,  1345,
      80,    94,    88,  1468,   679,   428,  5648,   201,    29,  1316,
       5,  1883,  6263,   523,    63,    36,    11,    78,   528,   754,
     530,    80,   466,   212,   364,    45,    29,  1166,   299,   295,
    1326,  1903,   488,    36,   429,    29,  5484,   305,   167,   446,
     203,   191,   465,   171,   137,   252,   364,    80,    80,   485,
     326,   140,   252,   402,   729,    13,    63,   177,    78,    13,
     177,   677,   130,   290,   100,   177,   177,   683,   471,   534,
     478,   156,   508,   220,   406,   177,   295,   390,   140,   695,
     370,   322,   316,   472,   225,  1346,   308,   528,  1227,  1435,
     528,    45,  6289,   828,  6400,    23,   441,   295,   534,  1238,
     470,   281,   366,  1260,   485,  6364,   177,   490,   255,  1200,
     390,  1576,   374,   528,   385,   464,   171,  1256,  6335,   286,
    6130,   338,   504,   364,    78,   352,   528,  1388,    92,   405,
     470,   125,   178,   184,   184,   402,  5871,  1260,   399,  6390,
     299,  3867,   122,  1880,  5696,   446,   441,   295,  1406,   290,
     295,   396,   658,  1411,  1412,  1501,  5305,   369,  1465,  1527,
     529,   485,    23,   295,   370,   528,   322,   664,  4380,   534,
     664,   677,   528,   518,   120,   386,  5960,   683,   330,   261,
     485,   367,   441,  6371,   127,   530,   664,  1657,   664,   695,
    1660,   528,   370,   370,  4406,   381,  5868,   383,  1274,  1275,
     471,  5873,  5874,   464,   441,   711,   416,   417,   364,   758,
     716,   352,   441,   426,   664,   721,  1668,  1728,  1729,   725,
     726,   215,   426,   441,   458,   120,   732,   155,   734,   735,
     664,  4550,   441,   409,   508,  1311,   510,  1550,  6248,   370,
     475,   747,   748,   399,   534,   471,  1403,   528,   762,   528,
    4305,  1726,   758,   518,   528,   508,   528,   510,   527,   518,
     446,   526,   471,   757,  1612,   530,   477,  1631,   534,  6246,
     533,   530,  4591,    23,   524,   528,   533,   519,   520,   935,
    1403,   528,   528,  4590,   533,   533,   441,   370,  1411,  1412,
     528,   533,   528,   528,  1552,  5743,   528,   528,   518,  1612,
     458,  4414,   661,   370,  1562,   811,  4419,  1494,  2048,   772,
    1494,   774,   528,   776,  1648,   534,   524,  1681,  1682,   782,
    5251,   370,   534,  4869,  6334,   519,   520,   833,   834,  1735,
    5897,   441,   456,   839,   519,   520,  5195,  6121,   526,   533,
     528,   528,   530,  2001,   528,   528,   528,  1862,  5747,   528,
     432,  1572,   711,   712,  1975,   528,   534,   534,   864,  6134,
     866,   441,   804,   370,  1053,  1441,  1442,   485,  1057,   455,
    1059,  6381,   519,   520,   320,   521,   522,   523,   524,  1056,
     462,  1056,   441,  4595,   890,   519,   520,  2008,   409,   923,
     508,  1649,  6149,   534,  1652,  1653,  4218,   923,   392,  2020,
     261,   519,   520,   534,  1625,   487,   409,   913,   441,   441,
    3534,  4030,  3536,  1047,   534,  4230,   528,   534,   860,  4234,
     926,  1642,   458,   534,  6066,   320,   925,   925,   925,   925,
     925,   925,   534,   925,   925,   925,   925,  6079,   925,   925,
     925,   925,  4641,   925,  5993,  4500,   528,   925,   807,   925,
     949,   534,   786,   381,  3752,  3753,  4084,  4085,  4094,  3757,
    4071,  3893,  5993,   534,  5625,   526,  6250,   534,   827,   530,
     464,  1619,  5959,   528,   402,   925,   835,   441,    72,   838,
     839,   840,   528,   534,   534,   534,  4290,  4217,   468,  4219,
    4220,   925,    32,   156,   113,  4064,  1864,   392,   940,   519,
     520,   521,   522,   523,   524,    89,   113,   189,  5956,    89,
      22,   261,   221,   955,   664,  3491,    28,  1881,   837,  4499,
    3430,  3490,   841,   466,   867,   386,   472,   534,  1034,  1035,
    1036,  1547,    51,    25,   429,   201,  1042,  5467,   120,   113,
    4168,  1047,   155,   142,    76,   103,  1052,  1053,   132,  6333,
     205,  1057,   132,  1059,    23,    23,   327,  1063,  2069,   153,
    5939,   519,   520,   521,   522,   523,   524,   521,   522,   523,
     524,   432,     3,  1079,    23,     6,  5955,   472,    23,   173,
    6222,   125,   528,   125,   386,  2050,  1844,   125,    10,   125,
     485,    13,  3890,     3,  1429,    17,    18,    19,   136,   312,
    3836,   462,  6254,  6255,   286,   135,  5474,   757,   758,     3,
    4406,   120,    25,   508,     6,   300,  2131,  1123,    31,  1125,
    1126,   297,  2665,   177,    63,     6,   487,    89,   186,   179,
       6,  4562,    52,   528,   211,   124,   386,   381,    25,  2104,
    3522,   115,   327,   189,  6131,  2912,  4626,   322,   140,    10,
      13,    29,    13,   376,  6001,   189,    17,    18,    19,  1910,
    1166,  6418,     6,   300,    99,  5335,   441,   528,   300,   178,
     132,   215,  1011,  1012,  6122,   125,   381,    38,   312,   215,
    5376,    91,   432,  1042,   115,  5834,   306,   123,  1194,   364,
     327,    10,   168,  1625,    13,   327,   306,    91,    17,    18,
      19,   172,    72,  2049,  1827,  2051,  1200,   173,   290,   414,
    1642,  2057,   462,  2017,  2018,    78,    35,  2063,  2064,   193,
     464,  1227,    92,   267,   399,  2992,   528,   140,   286,  2075,
    1236,  6383,  1238,   222,  3858,   145,   207,   487,  2084,   316,
     286,   325,   465,    25,  2090,   325,  5826,   341,   183,    31,
    1256,   312,   146,   140,  1260,  5226,   307,   528,   308,   534,
     290,   197,   193,  6407,   310,   215,  1272,   125,   244,  6256,
      23,   303,   348,   923,   429,   925,   196,    10,   528,   201,
      13,   201,   291,   153,    17,    18,    19,   307,   470,   402,
     466,  2729,   261,   261,  2829,   269,  1345,     6,   272,  5118,
    5730,   223,  5715,   173,   386,  2798,  1945,  1313,  1131,  5739,
     429,  5131,   261,   207,  6458,    25,   261,  5124,   481,   485,
    1959,   534,   429,  2665,  3948,   534,  5741,   367,  5155,  4884,
     322,   251,  5745,  1972,  3068,  1341,  1342,  1343,   269,  1345,
    2101,   272,  5761,   528,     3,  6332,  5714,   286,   258,   307,
     434,    28,   371,   528,   434,   429,  6343,   215,   140,  5789,
    1366,  1938,   223,   325,   179,   459,    37,  2663,   418,  1203,
    1942,  1205,   364,  1207,  1233,  1209,  5744,  1211,  1212,  1213,
     438,  6430,   481,  2876,  1218,  1957,   308,   441,  1960,  3011,
    4302,   528,   115,  1970,  1985,  6382,   528,  1403,   242,  6430,
     534,  1260,    23,   295,   223,  1411,  1412,   399,   528,   322,
    1424,    23,   322,  2818,   295,    92,   390,   386,   386,   295,
     464,   186,   464,   310,   470,  6412,   464,   188,   464,  1435,
     140,   370,  6279,  2081,   485,   329,   470,   386,  2010,    23,
    6020,   386,  2014,  2015,  1619,  1479,  1480,   308,  1482,   120,
    6437,   364,   528,  1479,  1480,   333,  1482,   466,  1464,   390,
     399,   120,  6141,   432,   432,   485,  3422,    42,   529,   476,
     193,   341,   434,   534,    29,  1481,  3101,   469,  5623,  1485,
    1486,   368,   369,   432,   404,   400,   399,   432,  1347,   308,
     223,  3309,  3310,   462,   462,  1501,  3314,  1356,  4867,   449,
      30,  1507,   179,   170,  4826,   306,   383,    25,   261,  6192,
     113,  5941,   399,   462,   464,  4830,   394,   462,   487,   487,
    4835,   528,   432,  4838,   434,  1384,    29,   485,   136,   503,
     345,   124,  2048,   386,   392,  4654,  3354,  3355,   487,   122,
     322,  3084,   487,  4662,  1403,   291,   269,  1406,  1407,   272,
    1200,  5082,  1411,  1412,  1496,   433,  1498,   435,   120,   528,
     528,   152,   149,   457,    40,   264,   321,  4607,  1574,   446,
     528,   465,   503,    91,   468,   308,   163,  2588,    54,   528,
     135,   143,   364,   528,  6263,  4696,  5685,   149,  5687,   459,
     351,   290,  5691,  5692,   516,   517,   518,   519,   520,   521,
     522,   523,   524,  5574,   165,  4716,   464,   215,   135,  1615,
     137,   376,   322,   528,   265,   133,    29,   399,  1268,    92,
    3120,   382,   140,   441,   199,  2590,   144,    27,   219,   222,
     429,   290,   135,   386,  1633,   111,   295,   321,  1288,  1638,
     261,   312,  1648,  1978,   238,    64,   156,   120,  2663,   261,
      50,  4563,    38,    72,   364,   516,   517,   518,   519,   520,
     521,   522,   523,   524,  5376,  5485,  5473,   390,   345,   336,
      83,   330,  2007,    86,    60,   528,  2011,   261,  3116,   432,
      93,  2016,  3120,   286,  2019,   114,   216,  5857,  6118,   399,
     120,   252,   286,   466,   122,  1345,   528,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   383,  1713,   121,   462,
     112,  6390,   295,  1712,   165,   399,   534,  1716,   464,   149,
     171,   312,  1728,  1729,  1730,   526,   112,   201,    10,   530,
    2753,    13,  4570,   295,   487,    17,    18,    19,   214,    10,
     241,   302,  3084,  6360,   527,  1687,    17,    18,    19,  5870,
     340,   534,  4488,   123,  1943,   528,  4380,  4493,   352,   528,
     772,   120,   774,   290,   776,   386,  4564,   444,   181,   446,
     782,   783,   784,   450,   386,   528,   205,  1954,  1953,  1954,
     503,   194,  4406,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   399,   206,   340,   364,  2642,   225,  1932,   399,
     159,   252,   386,   399,   322,   528,   157,  1666,   402,   152,
     286,   432,  6429,  4526,  6244,  1674,   216,   290,   204,   312,
     432,  1827,   165,   174,   369,   399,   321,   197,   171,  1479,
    1480,    10,  1482,  1839,    13,   194,   255,   321,    17,    18,
      19,   462,   360,     0,  1850,  2860,   364,   518,   432,   399,
     462,   302,   758,   443,   399,   526,  1862,   528,   529,   530,
    1866,   448,   290,   534,   266,   295,   487,   458,   270,   322,
     464,  2886,   441,   460,   123,   487,   219,   443,   462,  1885,
     266,   399,   392,  5982,   270,   392,   165,  1893,   406,   152,
     364,  2725,   171,   533,   368,  1901,   389,   443,   488,  6329,
     286,  2705,   165,   487,   399,   811,  2081,   528,   171,   252,
     392,  4823,   388,  5732,  1920,   399,   528,  3460,   368,   429,
    3463,   534,   429,  1929,   352,   399,  1932,   534,  2922,  1935,
    5750,   290,  1938,  1939,   534,   321,  1942,  1943,   534,  1945,
    1946,  6062,   488,   310,   528,    58,   399,   429,   197,   399,
     180,  1957,  5759,  1959,  1960,   322,   219,   386,   864,   302,
     534,   973,   472,  1969,  1970,   472,  1972,  1973,  3511,   312,
    2985,  4595,   368,   252,    38,   485,  3519,   364,   485,   330,
     408,   265,  5373,   369,   534,    10,  5301,    13,    13,   252,
     472,  1985,    17,    18,    19,   476,    60,   364,   508,   428,
     429,   508,   415,   399,  2010,   418,   290,   393,  2014,  2015,
      35,   485,   399,   386,   180,  2828,   129,  2066,   528,    45,
     926,   528,  5993,   302,  3145,   441,   308,   413,  5419,  1888,
    1042,  5187,  5512,  1892,   508,  2032,  3051,   308,  2032,   302,
     482,   322,   415,  2049,   223,  2051,   528,   528,   112,   312,
    2056,  2057,    78,    35,  2032,   122,  2032,  2063,  2064,  2065,
    2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,  2074,  2075,
     485,   466,  2078,  2042,  2080,   485,  2082,  2083,  2084,  2085,
    2086,  2087,  2032,   364,  2090,  2027,  2092,  2093,  4070,  6259,
    2096,   156,   534,  3531,   446,  4077,  4078,  5084,  2032,  3005,
    3006,  3007,   518,  3541,  2110,  2111,  2112,  2113,  2972,  2922,
     477,   485,  3737,   352,   530,   458,   346,   181,  3460,   534,
     322,  3463,  3622,  2129,   534,  2131,   365,  2975,  4046,   308,
    2753,  4926,  4083,   528,  5954,   343,  5123,   178,  4933,  3342,
     204,  2902,   209,   529,   299,  5972,  5953,  2960,  2041,  2900,
     380,  2902,   381,  1987,   383,  1989,   395,  1991,   360,  1993,
     534,  1995,   364,   485,   394,  1999,  3989,  3137,  2926,  3511,
     211,  5103,   364,  5329,    32,  5331,  2934,  3519,   322,  2937,
    5506,  2994,  5713,   485,  3622,   226,   508,  2826,   322,  1633,
     485,   478,    80,  3815,  1638,   458,  5108,   399,   223,  3821,
     430,    59,   266,  2062,    92,  3710,   270,   399,   249,  5764,
     290,   527,   534,   508,   380,   295,  6386,   446,   534,   286,
     364,   387,   286,   290,  3088,  3089,  3090,  3091,   394,  3093,
     364,   322,   534,   528,   516,   517,   518,   519,   520,   521,
     522,   523,   524,    69,    70,   516,   517,   518,   519,   520,
     521,   522,   523,   524,  3118,   399,   112,   321,   485,    80,
     122,   177,  4216,   526,   430,   152,  3759,   530,  1712,   349,
    2276,    92,  1716,   364,  5072,   242,  5074,  4208,   165,   322,
     518,   508,    72,   308,   171,   201,   452,  4105,  4106,  4107,
    4108,   171,   530,  4111,  4112,  4113,  4114,  4115,  4116,  4117,
    4118,  4119,  4120,  6123,   182,   369,  5786,  5738,   399,   171,
    5046,  3804,  5048,  5049,  5050,   195,   172,  6288,  3333,   389,
     322,   364,  3525,  2329,  3339,    25,   268,   392,   171,   393,
     120,    31,   219,   356,   375,  1985,    48,   516,   517,   518,
     519,   520,   521,   522,   523,   524,    46,   209,   171,   413,
      10,   207,   195,    13,    33,    34,   399,  4175,  4176,    71,
    3111,    38,   364,    27,   429,   252,   368,   528,  5694,    72,
     393,  3929,   195,   487,   280,    78,    76,   255,  2384,   322,
     526,   528,  2032,    60,   530,    45,    50,   265,   485,    92,
       5,   181,    52,   356,  1406,   509,    11,   399,   304,  1411,
    1412,   529,     5,  5522,    19,   533,   429,   472,    11,  5321,
     266,   508,   381,   382,   270,   302,  2066,   120,    78,   122,
     485,   364,    37,  5335,   286,   312,   446,  1439,   290,  6249,
     393,   131,  3070,   133,   389,   112,  1448,  3195,  1450,  2089,
     140,  6260,  1454,   508,   144,     3,  6059,   523,  1001,  1461,
     265,  6446,   528,  6448,   530,   478,   399,   381,   382,  6430,
     207,    99,   508,   528,   510,  3311,   429,  1020,    26,   216,
    1023,   529,   172,  6468,  5650,   366,   534,  3323,   181,  5655,
    5656,   119,   528,   230,   508,   529,   510,    15,    16,   533,
     150,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     290,   433,     5,   435,   528,   295,   209,   207,    11,  6064,
    6065,  3417,  3358,  3274,   521,   478,   265,   521,   156,   526,
       3,   528,   526,   530,   528,   143,   530,   204,   100,   143,
    5856,   149,   433,    91,   435,   149,   196,   774,   775,   776,
    1552,   201,   779,   780,   781,    96,  2094,   143,    22,  2097,
    1562,   341,   789,   149,    28,   433,  3402,   435,   268,  2565,
    2566,  2567,  2568,  2569,  2570,  2571,  2572,  2573,   358,  2575,
     205,   458,  6184,  6185,  6186,  6187,  6188,  6189,   195,   528,
    2586,   530,  2588,  5495,   462,   446,   286,   290,   146,   266,
     290,   251,   295,   270,  1606,  1607,  6415,    87,   529,  2788,
     300,  2790,  2791,   534,   478,   526,   178,   528,    91,   286,
     310,   529,  2789,    59,  2789,  2950,   534,  2952,   529,   389,
    2626,  2956,   322,   534,  2630,  5342,  5343,  2633,  3764,  2635,
    2625,  2281,  2638,  2656,  2657,  2658,  2642,  1649,   341,   211,
    1652,  1653,   528,   201,   321,   529,  3442,  3443,   308,   207,
     534,  2785,   476,   529,   226,   358,  3608,  2663,   534,  2665,
    6215,   242,   145,  3420,   364,  3423,  5578,   367,   368,   459,
     529,   528,    11,   530,   529,   534,  2682,   249,   529,   534,
     428,  3532,  3634,   534,   529,  2691,  2692,  4230,  5424,   534,
     529,  4234,   369,   529,   528,   534,   529,   529,   534,   399,
    4518,   534,   534,  2665,   306,   277,   306,   534,   485,  2825,
     487,   311,  2718,   529,   386,  3476,   393,   528,   534,  2725,
     529,    59,   360,  2729,  2730,   534,  5766,  4352,   529,  3377,
    2736,   505,   529,   534,  2740,  3542,   413,   534,  2744,   526,
     529,   528,    48,   530,   404,   534,  2605,  2753,  3713,  4572,
     529,   478,  5376,   529,   392,   534,   459,   529,   534,  4302,
    3918,   225,   534,   182,   530,  2771,  6321,   529,  2774,   469,
     306,   329,   534,   529,   309,   258,  2710,   309,   534,  2785,
     306,  2787,  2788,   171,  2790,  2791,  2755,  2793,  2757,   505,
    2753,   429,  4350,   529,  4352,  2911,  3609,   529,   534,  2805,
    3423,   100,   534,   375,   529,   529,   529,  4342,   529,   534,
     534,   534,   529,   534,   381,   382,   529,   534,   376,  2825,
    2826,   534,   529,   320,    48,   529,   306,   534,  2834,  5627,
     534,   311,  1844,   309,   472,  4328,   255,  5635,  5636,   322,
     529,   225,  3857,    92,   529,   534,   506,   485,   505,   534,
    2856,  2857,  4290,  4029,  2860,  2797,   508,  3192,   510,   519,
     520,   521,   522,   523,   524,   433,  3899,   435,   529,   427,
     508,   529,  3685,   534,  5498,  2991,   534,   360,  2884,   178,
    2886,   364,   529,  6209,  2890,   368,   176,   534,  4230,   534,
     528,  3861,  4234,  4386,  2753,   392,   475,   529,  2904,   457,
     521,  6057,   534,   337,   529,  2911,   100,   465,  2914,   534,
     468,   433,   211,   435,  2920,   528,   399,  3556,  3557,   529,
     529,   529,    37,   529,   534,   534,   534,   226,   534,  3586,
     677,   528,   429,   182,  2940,   528,   683,   356,   529,   529,
    2946,   529,   528,   534,   534,  5857,   534,  2953,   695,   432,
     249,   434,   529,  2812,   529,  2897,   205,   534,  3709,   534,
    4302,  2967,  3713,  3586,  1201,   529,   485,  1204,   487,  1206,
    5610,  1208,   529,  1210,  2980,   472,    59,  1214,   277,  2985,
     177,  2631,   529,   221,   178,  2991,  2949,   534,   485,   529,
     529,  3855,   381,   382,   534,   534,   529,   291,   292,  5809,
    5810,   534,   485,  3009,  3010,  3011,   255,   306,   152,  3015,
     485,   508,   487,   529,   433,  2665,   435,   211,   534,  4562,
    4563,   165,   221,   529,   529,   529,  4584,   171,   534,   534,
     534,   528,   226,  2892,   529,   529,  3042,  3043,   530,   534,
     534,  6007,  6008,   462,   529,  3051,  5958,  2059,  2060,   534,
    3239,   529,  3241,  3242,   489,   249,   534,  2916,   528,   478,
    2710,  6387,   311,  3702,  2076,  2077,   529,    33,    34,   529,
     528,   534,  4275,   528,   534,   219,   375,   529,  3084,   529,
     364,   529,   534,   277,   534,  3724,   534,   485,   529,   487,
     529,   529,  4579,   534,  2106,   534,   534,   528,   392,   529,
    4600,   529,  3236,   135,   534,   137,   534,  4199,   252,  4201,
    3116,   529,   306,   529,  3120,   529,   534,  4812,   534,  4814,
     534,   201,  3084,  6449,  2983,   528,  4141,   529,   157,   529,
    6117,   530,   534,    99,   534,   429,  3887,   529,   529,   529,
      54,    55,   534,   534,   534,  4303,  4304,   529,   157,  4307,
     529,   529,   534,   119,   529,   534,   534,   306,   302,   534,
     201,  3020,  4600,  3022,    51,  3024,  3025,   466,   312,  3103,
    3029,  3030,  3031,     0,  3033,  3034,  3035,   529,   472,   364,
     529,   375,   534,  4148,   433,   534,   435,   529,   529,   529,
     156,   485,   534,   534,   534,   306,   529,   446,   529,   529,
    3206,   534,  3377,   534,   534,   157,  3863,  5853,  3865,  4235,
     459,  4237,   529,   462,   508,  4015,  3222,   534,  3224,   157,
    4562,  4563,  6134,  1496,  3559,  1498,  3232,  4202,  3087,  5281,
    3236,  5283,  3238,  3239,   528,  3241,  3242,  3243,   201,  3878,
    3863,  3880,  3865,    10,   529,  3251,    13,   997,   157,   534,
    3256,   306,  1002,  3112,  4100,    62,   282,   283,   284,   285,
     171,  3322,  3311,  3324,  3325,   364,   157,  3273,   250,   122,
     466,   306,    99,   528,   299,   171,   529,    72,    45,  4037,
    4823,    38,   290,  4248,   290,    52,   489,  4830,  4134,   528,
    3947,    98,  4835,   306,   290,  4838,    48,    48,   290,   451,
     290,    91,   322,  3309,  3310,  3311,   478,   478,  3314,  3358,
    3485,    78,    87,   446,   458,  4940,  3322,  3323,  3324,  3325,
    4285,   171,   344,   157,  3947,   152,   157,  3333,   528,   157,
     489,   157,  3338,  3339,   157,  3341,   157,  3343,   165,  4185,
     157,  6253,   534,   157,   171,   157,   157,  6259,  3354,  3355,
     177,   157,  3358,   157,   161,    54,   183,   157,   171,   186,
     157,   157,   306,   190,  4379,   157,  4381,   429,    10,   157,
     528,    13,    38,  3379,   250,  3381,   306,  3383,   171,     6,
     171,  4351,   526,   150,  4919,   529,   530,   528,     6,  4028,
    4405,   198,   219,   528,   360,   171,  3402,   528,   528,   528,
     528,   528,   101,    45,   528,  3410,  3411,  3412,   528,     6,
      52,     6,   528,     6,  3463,   528,   528,  3423,   528,  5237,
     528,   528,   528,  6136,   528,   252,   392,   126,   528,   196,
     528,   528,   528,   528,   201,   528,    78,   528,   528,   528,
     247,   528,     6,   528,   528,   297,   145,   528,   486,   528,
     528,   150,   528,  3103,  3460,   528,   528,  3463,   528,   528,
     528,   318,   166,   429,    38,  4623,  3515,   221,   534,  4320,
     534,  3477,   103,   172,  6386,   302,  3482,   176,   250,   306,
    4287,  4823,    38,   290,   251,   312,   528,    37,  4830,   439,
     439,  3497,   191,  4835,   441,   526,  4838,   177,  3460,   526,
     441,  3463,   441,   171,    10,  3511,   472,    13,   150,   528,
     476,   534,   441,  3519,   171,   302,   323,   300,   399,   485,
      68,   441,  4474,   441,   386,  3531,  4496,   386,  3534,   441,
    3536,   477,   530,   441,   441,  3541,   441,   386,   252,    45,
     441,   308,   508,    79,   441,   372,    52,   518,  5530,  3511,
    3556,  3557,   441,    92,   196,   157,  3562,  3519,   306,   201,
     247,   368,   528,   370,  3423,  5108,   373,   386,   441,   391,
    3905,   441,    78,   295,   128,   382,   441,  3583,  4484,   465,
    3586,   432,   327,  3589,   391,   306,   528,   381,   300,   194,
      92,  3597,   399,   441,   441,   528,   295,   534,   128,   322,
     201,   152,   429,   466,   411,   157,   466,   292,   441,   251,
     128,   441,   441,   420,   165,   128,  3622,   441,   425,   114,
     171,   441,    59,   441,    59,   441,   441,   274,   310,   348,
      10,   458,   441,    13,   327,   348,   135,   404,   137,   441,
     441,  2653,  2654,   441,   150,   348,   432,  2659,  4406,   327,
     349,    47,  3658,  3659,  3660,   482,   441,   484,   485,   441,
     441,  3311,   441,   441,   163,    45,   308,  4002,   219,    47,
     441,  6384,    52,   480,   529,   441,   441,  3683,   534,  2691,
    2692,   441,   135,  3858,   137,   223,  3692,   306,  3694,   535,
     196,   223,   223,   306,   223,   201,  3702,   223,    78,   526,
     223,   252,   529,   530,   223,   441,   533,   392,  3358,   223,
     163,   223,   223,   451,    38,   157,  5154,   306,  3724,   157,
     528,   290,   120,   466,   157,   157,   157,  3586,   227,   306,
    5548,   477,  3382,    10,   258,   290,    13,   290,    38,   506,
      38,  2753,   171,   290,   429,   251,   242,   388,  3398,   157,
     157,   302,   519,   520,   521,   522,   523,   524,  5301,   528,
     528,   312,   404,  5581,   528,   466,  5108,   157,    45,   466,
     150,   157,   299,   294,   227,    52,   441,   177,  5321,   481,
     274,   528,  3788,   282,   283,   284,   285,   472,   274,    13,
     289,   290,  5335,   534,   439,   528,   295,   528,   441,   186,
     485,    78,   308,   528,  3810,  3664,   443,   317,   534,  3815,
    3460,   529,   194,  3463,   529,  3821,   196,   194,   526,   505,
     529,   201,   505,   508,  3830,  2837,   272,   390,   482,   282,
     283,   284,   285,   529,   721,   529,   289,   529,   219,   534,
     402,   238,   295,   528,   529,   307,   534,    38,   533,   466,
     466,  3857,  3858,    59,   315,   529,   477,  3863,   386,  3865,
     747,  3511,   466,  3722,   506,  3515,   528,   238,   238,  3519,
     295,   251,  3878,   150,  3880,   295,   441,   519,   520,   521,
     522,   523,   524,   441,   441,   171,   295,   306,   528,    48,
    4648,   408,   306,   250,  3900,   290,   250,  4862,   404,   250,
     381,   268,   306,   128,   441,  4544,  4545,   458,   534,   534,
     432,   399,   306,   306,  2926,   430,   364,  4763,   306,   196,
    3926,   195,  2934,   396,   201,  2937,   485,   312,   308,   352,
     529,  3790,   441,   441,    38,  5093,   223,  2949,   242,   518,
     157,  3947,  3948,  4777,   347,   300,   466,    38,   171,   448,
     466,   430,  5495,   478,   173,   528,   348,   396,   157,  5301,
     528,   460,   157,   157,  3970,  4845,  1713,   300,   466,   290,
      38,   290,   306,    27,   251,   306,   242,  3836,    10,  5321,
     485,    13,   300,  3989,   192,    17,    18,    19,   192,  3848,
    3849,   171,  5479,  5335,  3936,   448,    38,   172,  3932,  3858,
     506,   242,  4008,    35,  3863,   396,  3865,   460,   171,  5991,
     306,   290,   201,   519,   520,   521,   522,   523,   524,   201,
     201,   489,  4028,   201,   404,  4031,    26,  4183,   201,   184,
     534,   308,   177,   534,  3968,  5578,   441,   534,   530,   528,
     271,   534,  4048,   306,   485,  4051,    59,   534,   299,   529,
     177,  4057,  3911,   529,  4857,   529,   372,   529,   312,   372,
     471,   318,   529,   534,  4070,   534,   529,   328,  4074,   529,
    4076,  4077,  4078,  4015,   529,  5633,   528,  4083,   529,   529,
     529,   505,   529,   135,  5054,   529,   529,  3946,  3947,  4095,
     177,  4097,   289,   529,  4100,   441,   265,   177,  4104,  4105,
    4106,  4107,  4108,   482,   534,  4111,  4112,  4113,  4114,  4115,
    4116,  4117,  4118,  4119,  4120,   528,   528,   527,  4124,  4125,
    4126,   186,   528,  4129,   508,   527,   506,   404,  4134,   528,
     260,   472,  4181,  4139,   507,  4141,   464,  4143,  1885,   519,
     520,   521,   522,   523,   524,  4151,  1893,   482,  4154,   306,
    4156,   534,   528,  5495,  1901,   529,   528,   518,    59,   528,
     306,     0,   309,   306,  1486,  1052,  4172,   205,   528,  4175,
    4176,   157,   528,  4931,  4180,  4181,  1063,   441,   528,  4185,
     213,  4187,   441,  3195,   295,   441,  4191,  4192,  4193,  4194,
     160,   223,  1079,   441,   290,  5738,   157,   418,   399,  1946,
    4848,   391,   157,   157,    43,  4380,   391,   391,   205,   250,
    4216,  4208,   160,   306,  4208,   518,  4222,   466,   160,   441,
     201,   252,   482,   329,  4230,   463,  1973,   329,  4234,   506,
    4208,  4406,  4208,   160,   441,   262,  5578,   262,   441,   415,
     262,   441,   519,   520,   521,   522,   523,   524,   441,   441,
     386,   386,   386,   441,   441,   441,   128,   386,  4208,   399,
      99,  4267,   441,   157,   441,    47,   290,   441,  4230,   441,
     441,   441,  4234,   223,  4208,   527,   308,  4916,  4284,    25,
     223,   189,  3932,   529,  4290,    31,   529,   529,     3,   529,
      10,  4150,   310,    13,   529,   534,  4302,    17,    18,    19,
      46,   451,   171,    48,   113,   534,   171,  4642,  4643,  4644,
    4645,  4646,   528,   152,  5857,    35,   529,  4323,  3968,   529,
      38,   157,  5073,   441,   157,   171,   165,   300,   189,  5767,
      76,   157,   171,   466,   466,   518,   386,   386,   177,   386,
    4302,   386,   386,   309,   183,   396,   223,   186,   155,  1236,
     155,   190,   223,   223,   147,   223,   223,   223,   459,   223,
     528,   223,   526,   223,   227,  5004,   174,   534,  4374,   529,
    5276,   306,   306,  4379,  4380,  4381,    59,  6195,  6196,    13,
     219,  6199,   221,   306,   306,   131,   534,   133,   529,   318,
     529,   529,   529,   477,   140,   226,  5738,   177,   144,  4405,
    4406,   529,   289,   529,   529,  5311,   529,   529,   527,  3421,
     534,  3423,   528,   252,  5429,  5958,   529,   316,   528,   431,
    4595,   528,   226,   313,    59,   190,   172,  3439,   528,   438,
      90,   372,   471,   171,    10,   451,    38,    13,   466,   242,
     466,    17,    18,    19,   213,  4451,   441,    59,  4454,   432,
     157,   415,   181,    86,   391,   451,   441,  4420,   160,   441,
     386,   207,  5101,   302,   441,   441,   441,   306,  4431,    45,
     386,   529,   529,   312,  6099,   364,    52,  3489,  3490,   485,
     386,   529,   528,   432,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   528,    59,   171,   306,    78,   472,   157,
     113,   223,    78,   223,   451,   238,   529,   223,   528,   223,
     223,   528,  4518,   208,   528,  5857,   441,   489,   306,   529,
      38,  4380,   303,   534,     3,   327,   534,   306,    44,   528,
     451,  4181,   534,   372,   441,   528,   183,   529,  4544,  4545,
     286,   396,  4548,   113,   290,   177,   223,  4406,   145,  4555,
    5671,   529,  5673,   239,   300,   295,  4562,  4563,  4208,   295,
     529,   529,  4421,   306,   310,  4424,  4572,  4426,    38,   529,
     295,   295,    37,   529,   489,   306,   322,    25,   529,   177,
    4230,    59,   534,    31,  4234,   529,   483,   426,   308,  4595,
     483,  6134,   318,   529,  4600,  4601,  4602,   529,    46,   327,
    4562,  4563,   226,   484,    81,   529,  4612,   300,   528,   528,
     528,   438,   441,  4472,   518,   177,  5958,   451,   364,   458,
     196,   367,   368,    78,   207,   201,   485,   195,    76,  4488,
     295,   195,   295,   518,  4493,    59,   432,    72,   534,   534,
     441,   441,   441,   482,   157,   484,   485,  4653,   160,   441,
     529,   223,  5456,   399,  4588,   528,  5814,   179,   127,  5682,
     120,    38,   201,   300,   396,    38,   173,   290,   466,   396,
     528,  4677,   300,  4848,   485,   251,    59,    84,  5013,  5014,
     432,  5016,    38,   177,   306,   133,   528,   171,  5336,  4695,
     529,   485,   140,   534,   533,   534,   144,   359,   309,   210,
     221,   529,   149,   328,   529,   350,   177,   528,  5554,  5867,
    6253,   471,   412,   529,   529,    59,  6259,  4723,   389,    38,
    5566,    81,   528,   469,   172,   332,    92,   136,  1615,  4735,
     202,   528,   308,  4592,   529,   306,  4595,   528,  5377,   358,
    5388,    38,   529,   441,   157,   157,  5592,  2069,  2070,   441,
     528,   528,   528,  5599,   528,  5913,  5914,  4763,   528,   207,
    4766,  2083,   528,   171,    38,   295,   263,   466,  4774,  4775,
    2092,  4777,   528,   528,   113,  4781,  4782,   157,   529,   396,
    4786,    38,   529,   310,   177,  4791,   171,   451,  4794,  4795,
     410,   306,  6134,   528,   410,  4801,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   306,   529,  4666,  4667,  4668,
    4669,   112,  4671,  4672,  4673,  4674,  4675,  4823,   529,   528,
    5666,  5667,   528,  5838,  4830,    38,   534,   471,   404,  4835,
     534,   481,  4838,  4839,   528,   194,    10,   528,   286,    13,
    4846,   432,   290,  6386,   171,   466,  3858,   432,   286,   528,
     205,  4857,   300,   306,   529,     6,   164,   382,   489,  4865,
     528,  4823,   310,   382,    72,   309,    72,   533,  4830,  3881,
     136,    45,   141,  4835,   322,   485,  4838,   485,    52,  4885,
     481,   470,  5905,   534,    38,   385,   306,   471,  5903,   529,
     168,   168,   528,   534,   399,   306,    35,  4903,   177,   529,
     264,   528,   528,   432,    78,   355,   295,   207,   432,   306,
    4916,  6253,  4562,  4882,   306,   396,   364,  6259,    38,   367,
     368,    38,   528,   309,  5682,  4859,  4860,   309,   528,  5923,
     506,   202,   179,   179,  6092,   528,  4942,   156,  4588,   421,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   149,
     381,   399,  1839,  4959,  4813,   153,  4815,    59,  4964,  5294,
      59,   313,  4925,  1850,   100,  4971,   529,   458,   149,    38,
    5305,  2718,  4935,   313,   365,   437,   529,  5992,    59,  1866,
     441,  4987,   419,   125,   464,   529,     6,  4993,   528,  2736,
     396,   141,   306,  2740,    35,   330,   529,  2744,  5004,   534,
    5846,   529,  5848,   534,   295,   528,    24,  6165,  6166,   437,
     381,   528,    25,   381,   534,   149,   314,    81,    31,   291,
     534,   469,   196,   399,  2771,  4037,   441,   201,   177,  5035,
     528,   291,   156,  1920,     6,   410,   410,   120,   534,   472,
     528,   471,   485,   485,  6386,  5668,   179,   179,  1935,   466,
     472,  1938,  1939,   528,  5505,  5061,     6,   471,  2805,  5682,
    1715,   529,   965,    76,  1412,  3423,  1012,  2960,   925,  2869,
    3634,  5077,  1011,    23,  4379,    25,  5082,   251,  2825,    29,
    4354,  6083,  1969,  1970,    34,    35,    36,  2986,    38,  3040,
    3849,    41,    42,  5432,    44,  5101,    46,  5903,  6230,  5479,
    4542,  4352,  5108,    53,    54,    55,  4352,  5455,  5063,  3563,
    2857,  3182,  6063,  5335,  6218,  5933,  5932,  6103,  6253,  3567,
     133,  5872,  4563,  4589,  4574,  5108,  4532,   140,  5877,  3054,
    3659,   144,  3054,  4374,   308,  3897,  4558,  2884,  5102,  5462,
    4625,  3941,  5779,  2890,  6344,  6461,  5108,  6442,  5154,  5446,
    5156,  1007,  3857,  6115,  5390,  5653,  5886,  2904,  4597,   172,
    5393,  5336,    18,  1874,  2911,   660,    28,  2914,  1228,  4006,
    4653,  6340,  5622,  2920,  5033,  5034,  3070,  2730,  1918,  4600,
    4830,  5187,  3952,  1915,  3541,  4835,  5120,  5046,  4838,  5048,
    5049,  5050,  1929,  2940,   207,  5505,  5767,  1953,  5387,  2946,
     745,  5376,   712,  3791,  2985,  4405,  2953,  6230,  3710,  4859,
    4860,  5388,  6141,  5388,  1531,  6390,   854,  4629,  4631,  1827,
    2967,  5869,  3016,  2110,  6409,  2672,  4861,  4282,  5234,  5619,
     404,  5237,  6056,  2980,  5240,  5241,  5242,  1389,    40,     0,
      40,  3482,  4695,  1488,  2991,  5434,  3497,   197,   198,   199,
    2682,  6044,   202,  1489,  5589,  5114,   206,  5850,   208,  5265,
    5266,   211,  1428,  5269,   214,  1491,  3463,   217,  5577,  4236,
     220,  4218,   222,   286,  5302,   225,  3460,   290,  5578,   229,
    4283,   231,  5905,  3460,    38,  5291,  6368,   300,  6038,  6200,
    5837,  5297,  1445,  3370,  5153,  5301,  4063,   310,  5552,  2580,
    4143,  5307,  5308,  5851,  3400,    25,  5852,  2581,    62,   322,
    3382,    31,  2085,  3252,  3015,  5321,  6168,  3380,  5324,  5991,
    5214,  4065,  6172,  5329,  5543,  5331,  6365,  5993,  6430,  5335,
    5221,  3460,   506,  6287,  6016,  6020,  5195,  6294,    99,  5301,
    5675,  6288,  4073,  6293,    98,   519,   520,   521,   522,   523,
     524,   364,  3293,   913,   367,   368,    76,  2586,  2670,  5321,
    2682,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4380,    -1,
    5376,  5377,    -1,  5335,    -1,    -1,    -1,    -1,  6393,    -1,
      -1,  5387,    -1,    -1,    -1,    -1,   399,    -1,    -1,    -1,
      -1,   152,    -1,    -1,  4406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   165,    -1,    -1,   161,  4420,    -1,
     171,    -1,    -1,   133,    -1,    -1,   177,  6428,    -1,  4431,
     140,    -1,   183,  5429,   144,   186,    -1,  6442,  5434,   190,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   198,    -1,  6461,    -1,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   469,    -1,   219,  3206,
    6083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5120,    -1,    -1,    -1,    -1,    -1,    -1,  3224,  6324,    -1,
    5314,    -1,    -1,    -1,    -1,  3232,    -1,   207,   242,  5495,
      -1,   252,  5498,   247,    -1,  4507,  4508,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5505,  5505,  5505,  5505,
    5505,  5505,    -1,  5505,  5505,  5505,  5505,  5376,  5505,  5505,
    5505,  5505,    -1,  5505,  5530,    -1,  5460,  5505,    -1,  5505,
      -1,    -1,    -1,  5495,    -1,    -1,   290,  6443,    -1,    -1,
      -1,   302,  5548,    -1,    -1,   306,  5552,    -1,  5554,    -1,
    5599,   312,  5494,    -1,    -1,  5505,    -1,  5491,    -1,    -1,
    5566,    -1,    -1,    -1,    -1,  5424,   286,    -1,    -1,   323,
     290,  5505,  5578,    -1,  5433,  5581,  6327,  6328,    -1,    -1,
     300,    -1,    -1,  4595,    -1,    -1,  5592,    -1,  6434,    -1,
     310,    -1,    -1,  5599,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   322,    -1,    -1,    -1,    -1,  6230,    -1,    -1,
      -1,   372,    -1,    -1,   368,    -1,  5578,    -1,    -1,   373,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4648,   391,    -1,    -1,
      -1,    -1,    -1,    -1,  5650,   399,    -1,   367,   368,  5655,
    5656,  5301,    -1,    -1,  5660,    -1,    -1,   411,    -1,    -1,
    5666,  5667,  5668,    -1,    -1,    -1,   420,    -1,   429,    -1,
      -1,   425,    -1,    -1,    -1,    -1,  5682,    -1,    -1,   399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     444,    -1,    -1,    -1,  5869,    -1,  5702,   458,    -1,    -1,
      -1,    -1,    -1,    -1,  5710,    -1,    -1,  5713,    -1,   659,
      -1,    -1,    -1,    -1,    -1,   665,    38,   667,    -1,   669,
      -1,   482,   672,   484,   485,    -1,   480,    -1,    -1,   679,
     484,    -1,  5738,    -1,   684,    -1,   686,    -1,    60,    -1,
      -1,    -1,   692,    -1,    -1,    -1,    -1,    -1,    -1,   469,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5767,  5768,    -1,    86,   526,   716,    -1,   529,   530,
      -1,    -1,   533,    -1,    -1,   725,  5738,    -1,    -1,   729,
      -1,    -1,   732,    -1,    -1,   735,    -1,    -1,    -1,    -1,
     112,   113,    -1,    -1,    -1,  5801,    -1,    -1,   120,    -1,
      -1,   751,  5808,  5809,  5810,    -1,  5740,    -1,    -1,    -1,
    5460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5824,    -1,
      -1,    -1,    -1,  5682,    -1,    -1,    -1,  5686,    -1,    -1,
      -1,  5837,  5838,    -1,    -1,  5841,  3583,    -1,    -1,    -1,
    5846,  5491,  5848,    -1,  5850,    -1,    -1,    -1,    -1,    -1,
      -1,  5857,    -1,    -1,   804,  5505,    -1,    -1,    -1,   181,
      -1,    -1,    -1,   813,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6070,   204,   833,   834,    -1,   836,   837,    -1,    -1,
      -1,   841,    -1,    -1,    -1,  5857,    -1,  5903,    -1,  5905,
    2787,    -1,    -1,    -1,    -1,   855,  2793,    -1,    -1,    -1,
     860,    -1,    -1,  4925,    -1,    -1,   866,    -1,    -1,  4931,
    5854,    -1,    -1,  4935,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3683,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,  2834,   270,  5599,
    4962,  4963,  5958,  6142,  6143,  4967,  4968,    -1,    -1,    -1,
      -1,    -1,    -1,   913,   286,    -1,    -1,    10,   290,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,   927,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5991,  5992,  3309,  3310,    -1,
     940,    -1,  3314,    -1,    -1,  6001,  5958,    -1,    -1,   321,
      -1,    -1,    45,    -1,    -1,   955,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   974,    -1,    -1,    -1,  6034,   979,
     980,    -1,  3354,  3355,    -1,    78,    -1,    -1,  6044,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5905,   369,  6054,    -1,
    5909,  6057,  5911,    -1,    -1,    -1,  5915,  5916,    -1,    -1,
      -1,  1011,  1012,  3810,  6070,    -1,    -1,    -1,    -1,    -1,
      -1,   393,    -1,    -1,    -1,    -1,    -1,  6083,    -1,    -1,
      -1,    -1,    -1,    -1,  1034,  1035,    -1,    -1,  5738,    -1,
    5740,   413,    -1,   415,    -1,    -1,   418,  1047,    -1,  1049,
      -1,    -1,    -1,  1053,    -1,    -1,  1056,  1057,    -1,  1059,
      -1,    -1,    -1,    -1,  1064,    -1,    -1,    -1,  6124,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6134,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6142,  6143,  1088,    -1,
      -1,    -1,  6148,    -1,    -1,  1095,  1096,  6141,    -1,    -1,
      -1,    -1,    -1,   196,    -1,  6014,  3043,    -1,   201,    -1,
      -1,    -1,    -1,  6141,    -1,  6141,    -1,  1117,  1118,  1119,
      -1,  1121,  6134,  1123,    -1,  1125,  1126,    -1,    -1,    -1,
     223,   224,  6116,    -1,    -1,    -1,    -1,    -1,    -1,  6195,
    6196,  6141,    -1,  6199,    -1,    -1,    -1,    -1,    -1,     6,
      -1,    -1,    -1,    -1,  5854,    -1,   528,  6141,   251,  1159,
      -1,  1161,  1162,    -1,  6263,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6230,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3989,    -1,  1194,    -1,    -1,  6253,    -1,    -1,
     293,    -1,    -1,  6259,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4008,  6451,  6452,    -1,   308,    -1,    -1,    -1,  6263,
    1220,  6277,  1222,  6279,    -1,    -1,  1226,    -1,  1228,    -1,
      -1,    -1,    -1,    -1,  4031,  6263,    -1,  6263,    -1,    -1,
      -1,  6253,    -1,    -1,    -1,    -1,    -1,  6259,    -1,    -1,
      -1,    -1,  1252,    -1,  6310,  1255,    -1,    -1,  1258,    -1,
      -1,    -1,    -1,  6263,  6173,    -1,    -1,    -1,  6324,    -1,
      -1,    -1,  1272,    -1,    -1,    -1,    62,    -1,    -1,  6263,
      -1,    -1,    -1,    -1,    -1,  3222,    -1,    -1,    -1,    -1,
      -1,    -1,     0,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3238,    -1,    -1,  6360,    -1,  3243,    -1,    -1,    -1,
      -1,   404,    98,  1313,  5376,    -1,    -1,    -1,    -1,    -1,
      -1,  6230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6386,    -1,    -1,    -1,    -1,    -1,  3273,  6393,    -1,    -1,
     197,  1341,  1342,  1343,    -1,  1345,  6390,    -1,    -1,   206,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   214,    -1,    -1,
     217,    -1,  6390,    -1,  6390,    -1,  1366,    -1,    -1,    -1,
      -1,    -1,  6428,  6429,  6386,   161,    -1,    -1,  6434,    -1,
      -1,    -1,  6438,    -1,    -1,    -1,  6442,    -1,    -1,    -1,
    6390,    99,    -1,    -1,    -1,  6451,  6452,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6461,  6390,    -1,    -1,    -1,
      -1,    -1,   198,   506,    -1,    -1,  6116,  1417,    -1,    -1,
      -1,    -1,    -1,   516,   517,   518,   519,   520,   521,   522,
     523,   524,    -1,    -1,    -1,  1435,    -1,    -1,    -1,    -1,
      -1,  6141,    -1,    -1,   152,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,    -1,
      -1,   247,    -1,   171,    -1,    -1,    -1,    -1,    -1,   177,
      -1,    -1,    -1,    -1,    -1,   183,    -1,    -1,   186,    -1,
      -1,  1481,   190,    -1,  6393,  1485,  1486,    -1,  6397,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1496,  1497,  1498,  1499,
     286,  1501,    -1,    -1,   290,    -1,    -1,    -1,    -1,    -1,
      -1,   219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1524,    -1,  4323,    -1,    -1,    -1,
      -1,    -1,    -1,  6442,    25,    -1,   322,   323,    -1,    -1,
      31,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6461,    -1,    -1,  6464,    -1,    -1,    -1,  1559,
      -1,    -1,    -1,  6263,  1564,    -1,    -1,  1567,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,
    1580,  1581,   368,    -1,    -1,    76,    -1,   373,    -1,  1589,
      -1,    -1,  1592,    -1,   302,    -1,   382,    -1,   306,    -1,
      -1,    -1,    -1,    -1,   312,   391,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,  1619,
    5682,  1621,    -1,    -1,  1624,   411,    -1,  1627,  1628,    -1,
      -1,  1631,    -1,    -1,   420,    -1,    -1,    -1,    -1,   425,
      -1,  1641,   133,    -1,  1644,    -1,    -1,  1647,    -1,   140,
      -1,    -1,  3589,   144,  4451,    -1,    -1,  4454,    -1,    -1,
    3597,    -1,    -1,    -1,   372,    -1,    -1,    -1,    -1,  1669,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,    -1,  1687,    -1,    -1,
    6390,    -1,    -1,    -1,   480,    -1,    -1,    -1,    -1,  1699,
    1700,  1701,  1702,  1703,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4083,    -1,    -1,    -1,    -1,   207,  1717,    -1,    -1,
      -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,  1728,  1729,
    1730,    -1,    -1,  4105,  4106,  4107,  4108,    -1,    -1,  4111,
    4112,  4113,  4114,  4115,  4116,  4117,  4118,  4119,  4120,    -1,
     458,    -1,    -1,    -1,    -1,  3692,    -1,  3694,  4555,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4139,    -1,    -1,
      -1,    -1,    -1,    -1,   482,  4572,   484,   485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,   290,
      -1,    -1,    -1,  4175,  4176,    -1,    -1,    -1,    -1,   300,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,   310,
      -1,   529,   530,    -1,    -1,   533,  1826,    -1,    -1,    -1,
      -1,   322,    -1,  5895,    -1,    -1,    -1,  1837,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1845,  1846,    -1,    -1,    -1,
    4222,  3788,    -1,    -1,    -1,    -1,  4653,    -1,    -1,   716,
      -1,  1861,    -1,    -1,    -1,    -1,    -1,    -1,   725,    -1,
      -1,    -1,    -1,   364,    -1,   732,   367,   368,   735,  1879,
    1880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3830,    -1,  1895,  1896,  1897,  1898,    38,
      -1,    -1,    -1,    -1,  1904,    -1,    -1,    -1,   399,    -1,
      -1,  1911,    -1,   208,  1914,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    62,    -1,   220,    -1,    -1,    -1,  1929,
      10,    -1,  1932,    13,    -1,    -1,   231,    17,    18,    19,
      -1,    -1,  1942,  1943,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1953,  1954,    35,    -1,  1957,    -1,    98,
    1960,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,  1975,  1976,    -1,   469,    -1,
      -1,    -1,  1982,    -1,  1984,    -1,    -1,    -1,    -1,  3926,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,  2001,    -1,    -1,    -1,    -1,    -1,    -1,  2008,    -1,
    2010,    -1,    -1,  2013,  2014,  2015,    -1,  2017,  2018,    -1,
    2020,    -1,   161,    -1,    -1,    -1,    -1,  2027,    -1,    -1,
      -1,    -1,    -1,  3970,  2034,    -1,    -1,  2037,  2038,    -1,
      -1,  2041,  2042,    -1,    -1,  2045,    -1,    -1,    -1,  2049,
      -1,  2051,    -1,    -1,    -1,    -1,  2056,  2057,    -1,   198,
      -1,    -1,    -1,  2063,  2064,  2065,  2066,  2067,  2068,  2069,
    2070,  2071,  2072,  2073,  2074,  2075,    -1,    -1,  2078,    -1,
    2080,  2081,  2082,  2083,  2084,  2085,  2086,  2087,    -1,    -1,
    2090,    25,  2092,  2093,    -1,    -1,  2096,    31,    -1,    -1,
      -1,    -1,    -1,   242,    38,    -1,    -1,    -1,   247,    -1,
      -1,  2111,  2112,  2113,  4051,    -1,   196,    -1,    -1,    -1,
      -1,   201,    -1,    -1,    -1,    -1,    60,    -1,    -1,  2129,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4074,    -1,    -1,
      -1,    -1,    76,   223,   224,    -1,  4518,    -1,    -1,    -1,
      -1,   290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4959,    -1,    -1,    -1,    -1,  4104,    -1,  2169,
      -1,   251,    -1,    -1,  4971,    -1,    -1,    -1,   112,    -1,
      -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,
    1047,    -1,  4129,    -1,    -1,    -1,  1053,    -1,    -1,   133,
    1057,    -1,  1059,    -1,    -1,    -1,   140,    -1,    -1,    -1,
     144,    10,    -1,   293,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,   368,
      -1,   311,    -1,    -1,   373,    -1,    35,    -1,   172,    25,
      -1,    -1,    -1,   382,    -1,    31,    45,    -1,    -1,    -1,
      -1,    -1,   391,    52,    -1,    -1,    -1,    -1,    -1,    -1,
     399,    -1,    -1,    -1,    -1,    -1,  1123,    -1,  1125,  1126,
     204,    -1,   411,   207,    -1,    -1,  2276,    -1,    -1,    78,
      -1,   420,    -1,    -1,    -1,    -1,   425,    -1,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   444,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,    -1,  2329,
      -1,  6393,   266,    -1,    -1,    -1,   270,    -1,    -1,    -1,
      -1,   480,    -1,    -1,    -1,   484,    -1,   133,    -1,    -1,
      -1,    -1,   286,    -1,   140,    -1,   290,    -1,   144,    -1,
      -1,    -1,    -1,    -1,   659,    -1,   300,    -1,    -1,    -1,
     665,    -1,    -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,
    6442,    -1,    -1,    -1,  2384,    -1,   172,   321,   322,    -1,
    5187,    -1,    -1,    -1,  4766,    -1,    -1,   196,    -1,  6461,
      -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   207,    -1,    -1,   223,   224,   506,    -1,    -1,    -1,
     364,    -1,    -1,   367,   368,   369,   516,   517,   518,   519,
     520,   521,   522,   523,   524,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,   535,    -1,    -1,    -1,   393,
      -1,    10,    -1,    -1,    13,   399,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   293,    -1,    45,    -1,    -1,    -1,
     286,    -1,    -1,    52,   290,    -1,    -1,    -1,    -1,   308,
      -1,    -1,   311,    -1,   300,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,    78,
      -1,    -1,  5329,    -1,  5331,   469,   322,    -1,    -1,    -1,
      -1,   836,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     855,    -1,    -1,    -1,    -1,  2565,  2566,  2567,  2568,  2569,
    2570,  2571,  2572,  2573,    -1,  2575,    -1,    -1,   364,    -1,
      -1,   367,   368,    -1,    -1,  2585,  2586,    -1,  2588,    -1,
      -1,    -1,    -1,    -1,    -1,  2595,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,   404,    -1,    -1,    17,    18,
      19,  4548,    -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2624,    -1,  2626,    -1,    -1,  2629,
    2630,    -1,   927,  2633,    -1,  2635,    45,    -1,  2638,    -1,
      -1,    -1,  2642,    52,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,  2665,    -1,    31,    -1,    78,
      -1,  2671,  2672,    -1,   223,   224,    -1,    -1,    -1,   974,
      -1,    -1,  2682,   469,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2691,  2692,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,  2705,    -1,   506,    -1,    -1,
      -1,    -1,    76,  2713,    -1,  2715,    -1,   516,   517,   518,
     519,   520,   521,   522,   523,   524,    -1,    -1,    -1,    -1,
     529,    -1,    -1,    -1,    -1,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2755,    -1,  2757,    -1,   308,
      -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,   133,
      -1,    -1,    -1,    -1,  2774,    -1,   140,    -1,    -1,    -1,
     144,    -1,    -1,    -1,    -1,  2785,    -1,   196,  2788,  2789,
    2790,  2791,   201,  1088,  2794,    -1,    -1,  2797,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,   223,   224,    -1,    -1,  2818,    -1,
      -1,    -1,  1117,  1118,  1119,    -1,    -1,    -1,    -1,  2829,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2837,  2838,    -1,
      -1,    -1,   251,   207,  2844,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2853,    -1,   404,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5237,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2875,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,   293,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2897,    -1,   308,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,  2909,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,  5291,
      -1,    52,   286,    -1,    -1,    -1,   290,    -1,    -1,    -1,
      -1,  1226,  2932,    -1,    -1,  2935,   300,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   310,    78,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,   322,    -1,
    1255,  2961,  2962,    -1,    -1,    -1,  4903,   516,   517,   518,
     519,   520,   521,   522,   523,   524,  2976,    -1,  2978,  2979,
      -1,    -1,    -1,    -1,    -1,   534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,    -1,
     364,    -1,    -1,   367,   368,  4942,    -1,    -1,    -1,  3009,
    3010,  3011,    -1,    -1,    -1,  3015,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3023,    -1,    -1,    -1,  4964,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   399,  3036,    -1,    -1,    -1,
      -1,    -1,  3042,    -1,  3044,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3057,    -1,    -1,
      -1,    -1,  3062,    -1,    -1,   196,    -1,    -1,  3068,    -1,
     201,  3071,  1929,    -1,    -1,  1932,    -1,    -1,    -1,    -1,
      -1,    25,    -1,  3083,  3084,  1942,  1943,    31,    -1,    -1,
      -1,    -1,   223,   224,  3094,    -1,    -1,   506,  5035,    -1,
    1957,    -1,    -1,  1960,  3104,   469,  3106,   516,   517,   518,
     519,   520,   521,   522,   523,   524,    -1,    -1,    -1,    -1,
     251,    -1,  1417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3145,    -1,  3147,    -1,  3149,
      -1,    -1,    -1,  2010,    -1,    -1,    -1,  2014,  2015,    -1,
      -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5548,   308,    -1,    -1,
     311,    -1,  3182,    -1,    -1,    -1,    -1,    -1,  1148,   133,
      -1,    -1,    -1,    -1,  1154,    -1,   140,    -1,    -1,    -1,
     144,    -1,  1497,    -1,  1164,    -1,    -1,    -1,  1168,  5581,
      -1,    -1,  1172,    -1,  1174,    -1,    -1,    -1,    -1,  5156,
    1180,    -1,    -1,    -1,    -1,    -1,  1186,    -1,   172,  1189,
      -1,    -1,    -1,    -1,    -1,    -1,  3236,  3237,    -1,  3239,
      -1,  3241,  3242,    -1,  3244,    -1,    -1,    -1,    -1,    -1,
      -1,  3251,    -1,    51,    -1,    -1,  3256,    -1,    -1,    -1,
    6057,    -1,    10,   207,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,   404,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1580,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    10,  1589,    -1,    13,    45,    -1,    -1,
      17,    18,    19,    -1,    52,    -1,    -1,    -1,    -1,  3309,
    3310,  3311,    -1,    -1,  3314,    -1,    -1,    -1,    35,    -1,
      -1,    -1,  3322,  3323,  3324,  3325,  1621,    -1,    45,    -1,
      78,    -1,  1627,  1628,    -1,    52,  1631,    -1,  3338,    -1,
      -1,  3341,   286,  3343,    -1,    -1,   290,    -1,    -1,  1644,
      -1,    -1,  1647,    -1,  3354,  3355,   300,    -1,  3358,    -1,
      -1,    78,    -1,    -1,    -1,    -1,   310,    -1,    -1,    -1,
    5307,    -1,    -1,    -1,    -1,   506,    -1,  3377,   322,  3379,
      -1,  3381,    -1,  3383,    -1,   516,   517,   518,   519,   520,
     521,   522,   523,   524,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3402,   534,    -1,  3405,    -1,    -1,  1703,  3409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     364,    -1,  1717,   367,   368,    -1,    -1,    -1,    -1,    -1,
    3430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,   399,    -1,    -1,    -1,    -1,
    3460,    -1,    -1,  3463,  3464,  5837,    -1,    -1,  3468,  3469,
    3470,    -1,    -1,    -1,  3474,   223,   224,  3477,    -1,   196,
      -1,    -1,  3482,    -1,   201,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3497,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,   223,   224,    -1,    -1,
      -1,  3511,    -1,    -1,    -1,  3515,    -1,    -1,  3518,  3519,
      -1,  3521,    -1,    -1,    -1,   469,    -1,    -1,    -1,    -1,
      -1,  1826,    -1,    -1,   251,    -1,    -1,    -1,     0,    -1,
      -1,    -1,  1837,    -1,    -1,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    -1,
     308,    -1,  3562,   311,    -1,    -1,    -1,    -1,    -1,    31,
      -1,    33,    34,    -1,    -1,    -1,   293,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1879,  1880,    -1,    -1,    -1,    51,
      -1,   308,  3592,  3593,   311,    -1,    -1,    -1,    -1,    61,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1904,
      -1,    73,    -1,    75,    76,    -1,  1911,    -1,    -1,    -1,
      82,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    -1,    99,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,   404,   119,    -1,    -1,
      -1,    -1,  6034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   134,    -1,   136,    -1,    -1,    -1,   140,    -1,
      -1,    -1,    -1,    -1,    -1,   147,    -1,   404,    -1,  1984,
      -1,    -1,    -1,    -1,   156,    -1,   158,    -1,    -1,    -1,
    3700,    25,    -1,   165,    -1,    -1,    -1,    31,    -1,    -1,
    3710,    -1,    -1,  5650,    38,    -1,    -1,    -1,  5655,  5656,
      -1,   183,  2017,  2018,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    60,    -1,   200,  2034,
      -1,    -1,  2037,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,   506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,   517,
     518,   519,   520,   521,   522,   523,   524,    -1,    -1,    -1,
      -1,   529,    -1,    -1,    -1,    -1,    -1,    -1,   112,   506,
      -1,   253,   254,    -1,    -1,    -1,    -1,   259,    -1,   516,
     517,   518,   519,   520,   521,   522,   523,   524,  2665,   133,
      -1,   273,   529,    -1,    -1,  3815,   140,    -1,    -1,    -1,
     144,  3821,    -1,  6195,  6196,    -1,    -1,  6199,    -1,    -1,
     292,  5768,  3832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3869,
    3870,  3871,    -1,    -1,    -1,    -1,    -1,   339,    -1,    -1,
     204,    -1,    -1,   207,    -1,    -1,  3886,  5824,    -1,    -1,
      -1,    -1,   354,    -1,    -1,    -1,    -1,    -1,   360,   361,
    3900,   363,    -1,    -1,  5841,    -1,   368,    -1,    -1,    -1,
      -1,    -1,   374,    -1,    -1,   377,    -1,    -1,  3918,  3919,
    3920,    -1,   384,   721,  3924,    -1,    -1,    -1,  2785,   391,
     392,  2788,    -1,  2790,  2791,    -1,  3936,   399,    -1,    -1,
      -1,   403,   266,    -1,    -1,    -1,   270,    -1,    -1,   747,
      -1,   413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   286,    -1,    -1,    -1,   290,   429,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   310,   449,  1948,    -1,
      -1,    -1,  3992,    -1,    -1,    -1,  1956,   321,   322,   461,
      -1,    -1,    -1,    -1,    -1,   467,  4006,  4007,    -1,    -1,
     472,    -1,    -1,    -1,    -1,  4015,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,  4029,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     364,    -1,    -1,   367,   368,   369,   508,    -1,  4048,   511,
     512,   513,   514,   515,    -1,    -1,    -1,  4057,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   528,    -1,    -1,   393,
    4070,   533,    -1,    -1,    -1,   399,  4076,  4077,  4078,    -1,
      -1,    -1,    -1,  4083,    -1,    -1,    -1,    -1,    -1,   413,
      -1,    -1,   890,    -1,    -1,  4095,    -1,  4097,    -1,    -1,
    4100,    -1,    -1,    -1,    -1,  4105,  4106,  4107,  4108,    -1,
      -1,  4111,  4112,  4113,  4114,  4115,  4116,  4117,  4118,  4119,
    4120,    -1,    -1,    -1,  4124,  4125,  4126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4134,    -1,    -1,    -1,    -1,  4139,
      -1,    -1,    -1,  4143,    -1,   469,    -1,    -1,    -1,    -1,
      -1,  4151,    -1,    -1,  4154,    -1,  4156,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4172,    -1,    -1,  4175,  4176,    -1,    -1,    -1,
    4180,  4181,    -1,    -1,    -1,  4185,    -1,  4187,  4188,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4196,  4197,  4198,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,  4216,  4217,  4218,  4219,
    4220,    -1,  4222,  4223,    -1,    -1,  4226,  3084,    -1,    -1,
    4230,    35,    -1,    -1,  4234,    -1,  1034,    -1,    -1,    -1,
    4240,    45,    -1,    10,    -1,    -1,    13,    -1,    52,    -1,
      17,    18,    19,    -1,  1052,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1063,    -1,  4267,    35,    -1,
      -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    45,    -1,
      -1,  1079,  4282,    -1,  4284,    52,    -1,    -1,    -1,    -1,
    2585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2595,    -1,  4302,  4303,  4304,    -1,    -1,  4307,    -1,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2624,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4342,  4343,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2671,  2672,    -1,  3236,
      -1,    -1,  3239,    -1,  3241,  3242,    -1,    -1,    -1,    -1,
      25,    10,   196,    -1,    13,    -1,    31,   201,    17,    18,
      19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2705,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,   223,
     224,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,   196,
      -1,    -1,    -1,    52,   201,    -1,    -1,    -1,  1236,    -1,
      -1,    76,    -1,    10,    -1,    -1,    13,   251,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,   223,   224,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,  4469,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,
      -1,    -1,    -1,    -1,   251,    52,    -1,    -1,    -1,   293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   133,    -1,
      -1,    -1,  4502,    -1,   308,   140,    -1,   311,    -1,   144,
      -1,    78,    -1,    -1,    -1,    -1,  4516,    -1,  4518,    -1,
      -1,    -1,    -1,    -1,    -1,  4525,   293,    -1,    -1,    -1,
      -1,  4531,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   308,  4542,  2838,   311,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4557,  2853,    -1,
      -1,    -1,  4562,  4563,    -1,    -1,    -1,    -1,    -1,    -1,
    4570,    -1,   207,    -1,    -1,    -1,    -1,   196,    -1,  4579,
    2875,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,  4589,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     404,  4601,  4602,  3460,   223,   224,  3463,    -1,    -1,    -1,
      -1,    -1,  4612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4623,  4624,    -1,    -1,    -1,    -1,   196,
      -1,    -1,   251,    -1,   201,    -1,    -1,   404,    -1,    -1,
      -1,  4641,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   286,    -1,    -1,  3511,   290,   223,   224,    -1,    -1,
      -1,    -1,  3519,  2623,    -1,   300,  2961,  2962,    -1,    -1,
      -1,    -1,    -1,    -1,   293,   310,    -1,  4677,    -1,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,   322,    -1,   308,
      -1,    -1,   311,    -1,    -1,  4695,    -1,    -1,    -1,    -1,
      -1,    -1,   506,    -1,    -1,    -1,    -1,    -1,    -1,  1507,
      -1,    -1,   516,   517,   518,   519,   520,   521,   522,   523,
     524,    -1,    -1,  4723,    -1,   529,   293,    -1,    -1,   364,
      -1,    -1,   367,   368,    -1,  4735,    -1,    -1,    -1,   506,
      -1,   308,    -1,    62,   311,    -1,    -1,    -1,    -1,   516,
     517,   518,   519,   520,   521,   522,   523,   524,    -1,    -1,
      -1,    -1,   529,  4763,   399,    -1,  4766,  3062,    -1,    -1,
      -1,    -1,    -1,    -1,  4774,  4775,  1574,    -1,    -1,    98,
      -1,  4781,  4782,    -1,    -1,   404,  4786,    -1,    -1,    -1,
      -1,  4791,    -1,    -1,  4794,  4795,    -1,    -1,    -1,    -1,
      -1,  4801,    -1,    -1,    -1,  4805,  4806,  4807,  4808,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1615,    -1,    -1,
      -1,    -1,    -1,  4823,    -1,    -1,  4826,    -1,    -1,    -1,
    4830,    -1,    -1,    -1,   469,  4835,    -1,   404,  4838,  4839,
      -1,  4841,   161,  4843,    -1,    -1,  4846,    -1,  4848,    -1,
    1648,    -1,    -1,    -1,    -1,    -1,    -1,  4857,    -1,    -1,
      -1,  4861,    -1,    -1,    -1,  4865,    -1,  4867,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   198,
      -1,    -1,  4882,    -1,    -1,  4885,    -1,   506,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,   517,   518,
     519,   520,   521,   522,   523,   524,    -1,    -1,    -1,    -1,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4919,
      -1,    -1,  4922,    -1,    -1,    -1,    -1,    -1,   247,    -1,
    1728,  1729,  1730,    -1,    -1,    -1,    -1,    -1,    -1,   506,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,
     517,   518,   519,   520,   521,   522,   523,   524,    -1,    -1,
      -1,    -1,   529,    -1,    -1,    -1,    -1,   286,    -1,    -1,
      -1,   290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4987,    -1,    -1,
      -1,  4991,    -1,  4993,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,   322,   323,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,  5015,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
    5030,    10,    -1,    -1,    13,    -1,    -1,    45,    17,    18,
      19,  1839,    -1,    -1,    52,   364,    -1,    -1,    -1,   368,
      -1,    -1,  1850,    -1,   373,    -1,    35,    -1,    -1,    -1,
      -1,  5061,    -1,   382,    -1,    -1,    45,    -1,  1866,    -1,
      78,    -1,   391,    52,    -1,    -1,    -1,  5077,    -1,    -1,
     399,    -1,    -1,    -1,  5084,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   411,  5093,    -1,    -1,    -1,    -1,    -1,    78,
      -1,   420,    -1,    -1,    -1,    -1,   425,    -1,  5108,    -1,
      -1,    -1,    -1,    -1,  3409,    -1,    -1,    -1,    -1,    -1,
      -1,  5121,  1920,  5123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3430,    -1,  1935,    -1,    -1,
    1938,  1939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5149,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5160,   480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1969,  1970,    -1,  3134,    -1,    -1,    -1,    -1,  3139,
      -1,  3141,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,
      -1,  3151,    -1,   201,  3154,    -1,  3156,  3157,    -1,    -1,
    3160,    -1,    -1,    -1,  3164,    -1,  3166,    -1,    -1,  3169,
      -1,    -1,    -1,    -1,    -1,   223,   224,   196,    -1,    -1,
      -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5234,    -1,    -1,  5237,    -1,    -1,
    5240,  5241,  5242,   251,   223,   224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    62,
      -1,    -1,    -1,    -1,    -1,  5265,  5266,    -1,    -1,  5269,
      -1,  2069,   251,    -1,  3234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2082,   293,    -1,  2085,    -1,    -1,
      -1,  5291,    -1,    -1,    -1,    98,    -1,  5297,    -1,    -1,
     308,  5301,    -1,   311,    -1,  5305,    -1,    -1,  5308,    -1,
    5310,    -1,  2110,    -1,   293,    -1,    -1,    -1,    -1,    -1,
      -1,  5321,    -1,    -1,  5324,    -1,    -1,    -1,    -1,   308,
      -1,    -1,   311,    -1,    -1,  5335,  5336,  5337,    -1,  5339,
      -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,
      -1,    -1,    -1,  4230,    -1,    -1,    -1,  4234,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5387,  5388,    -1,
      -1,    -1,    -1,    -1,    -1,   198,   404,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3700,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3710,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,  5434,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,   247,  4302,  5446,    -1,    -1,    -1,
      -1,  5451,    -1,    -1,    35,    -1,  5456,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,  5465,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,  5475,    -1,    -1,    -1,  5479,
      -1,    -1,  5482,   286,    -1,    -1,    -1,   290,    -1,    -1,
      -1,    -1,    -1,  5493,  5494,  5495,    -1,    78,   506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,   517,
     518,   519,   520,   521,   522,   523,   524,    -1,    -1,   322,
     323,   529,    -1,    -1,    -1,    -1,    -1,   506,    -1,    -1,
    5530,    -1,    -1,    -1,    -1,    -1,    -1,   516,   517,   518,
     519,   520,   521,   522,   523,   524,    -1,    -1,  5548,    -1,
     529,    -1,  5552,    -1,  5554,    -1,    -1,    -1,    -1,    -1,
      -1,   364,    -1,    -1,    -1,   368,  5566,    -1,    -1,    -1,
     373,    -1,  5572,    -1,  3869,  3870,  3871,    -1,  5578,   382,
      -1,  5581,    -1,    -1,    -1,  5585,    -1,    -1,   391,    -1,
      -1,  3886,  5592,    -1,    -1,    -1,   399,    -1,    -1,  5599,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   411,    -1,
      -1,    -1,  3572,    -1,    -1,   196,    -1,   420,    -1,    -1,
     201,    -1,   425,    -1,  3919,  3920,    -1,    -1,    -1,  3924,
      -1,    -1,    -1,    -1,  5634,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   223,   224,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5660,    -1,    -1,    -1,    -1,    -1,  5666,  5667,    -1,    -1,
     251,  5671,  5672,  5673,  5674,    -1,    -1,   480,    -1,    -1,
      -1,    -1,    -1,  3643,    -1,  3645,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5702,    -1,    -1,  4562,  4563,    -1,    -1,    25,
    5710,    -1,   293,    -1,    -1,    31,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,
     311,    -1,    -1,    -1,  4029,  5735,    -1,    -1,  5738,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      76,    -1,    -1,  5763,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2588,    -1,    -1,    -1,   658,    -1,    -1,    -1,    -1,    -1,
      -1,  5801,    -1,    -1,    -1,    -1,    -1,    -1,  5808,  5809,
    5810,    -1,    -1,   677,  5814,    -1,    -1,   133,    -1,   683,
      -1,    -1,    -1,   404,   140,    -1,    -1,  3787,   144,    -1,
      -1,   695,    -1,  3793,  5834,    -1,    -1,  5837,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5846,   711,  5848,    -1,
    5850,  5851,    -1,    -1,    -1,    -1,   172,  5857,    -1,    -1,
      -1,    -1,   726,    -1,    -1,   206,   207,  5867,    -1,  5869,
     734,    -1,    -1,   214,    -1,   216,   217,    -1,  5878,    -1,
      -1,    -1,    -1,    -1,   748,    -1,    -1,    -1,    -1,   230,
      -1,   207,    -1,    -1,   758,    -1,    -1,    -1,    -1,    -1,
      -1,  4196,  4197,  4198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5913,  5914,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   506,    -1,  2725,    -1,    -1,
      -1,  2729,  2730,    -1,    -1,   516,   517,   518,   519,   520,
     521,   522,   523,   524,  5944,    -1,    -1,   811,   529,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5958,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4823,    -1,    -1,    -1,
     286,    -1,    -1,  4830,   290,   839,    -1,    -1,  4835,   198,
     199,  4838,  4839,   202,   300,    -1,    -1,    -1,    -1,  2787,
      -1,  5991,    -1,    -1,   310,  2793,    -1,    -1,    -1,    -1,
     864,  6001,    -1,   222,    -1,    -1,   322,    -1,    -1,    -1,
     229,    -1,    -1,    -1,    -1,    -1,  6016,  3977,    -1,  3979,
      -1,  3981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6034,    -1,  2834,    -1,  6038,    -1,
      -1,    -1,    -1,    -1,  6044,    -1,    -1,    -1,   364,    -1,
      -1,   367,   368,  6053,  6054,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   399,    -1,  6085,    -1,    -1,    -1,    -1,
      -1,    -1,  6092,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,  6117,    -1,    17,
      18,    19,    -1,    -1,  6124,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6134,    -1,    -1,    35,    -1,    -1,
      -1,    -1,  6142,  6143,  6144,    -1,    -1,    45,  6148,    -1,
      -1,    -1,    -1,   469,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6165,  6166,  6167,    -1,    -1,
      -1,    -1,  1036,    -1,    -1,    -1,    -1,    -1,  1042,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6195,  6196,    -1,    -1,  6199,
      -1,    -1,  6202,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3011,    -1,    -1,    -1,    -1,    -1,    -1,
    5077,    -1,    -1,    -1,  6224,    -1,    -1,    -1,    -1,    -1,
    4525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3043,    -1,    -1,    -1,    -1,
      -1,  5108,    -1,  6253,  6254,  6255,    -1,    -1,    -1,  6259,
      -1,    -1,  4557,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6277,    -1,  6279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4589,    -1,    -1,    -1,   196,    -1,
      -1,    -1,  1166,   201,    -1,    -1,    -1,    -1,    -1,    -1,
    6310,    -1,    -1,    -1,    -1,    -1,    -1,   658,  3116,    -1,
      -1,    -1,  3120,    -1,  6324,   223,   224,    -1,    -1,  4624,
      -1,    -1,    -1,    -1,    -1,    -1,   677,    -1,    -1,    -1,
      -1,    -1,   683,    -1,    -1,    -1,  4641,    -1,    -1,    -1,
      -1,    -1,    -1,   251,   695,    -1,    -1,    -1,  6358,  6359,
    6360,  6361,    -1,  1227,    -1,    -1,    -1,    -1,  6368,    -1,
     711,  6371,    -1,    -1,  1238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6383,   725,   726,  6386,    -1,    -1,    -1,
      -1,   732,  1256,   734,   735,   293,  1260,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   748,    -1,  6409,
     308,    -1,    -1,   311,    -1,    -1,    -1,   758,    -1,    -1,
      -1,    -1,    -1,    -1,  3222,    -1,    -1,    -1,  6428,  6429,
      -1,    -1,    -1,    -1,  6434,    -1,    -1,    -1,  6438,    -1,
    3238,    -1,    -1,    -1,  5301,  3243,    -1,    -1,   667,    -1,
     669,  6451,  6452,   672,    -1,  6455,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5321,    -1,    -1,   686,    -1,    -1,
     811,    -1,    -1,   692,    -1,  3273,    -1,    -1,  5335,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,   839,    13,
      -1,    -1,    -1,    17,    18,    19,   404,    -1,    -1,    -1,
    4805,  4806,  4807,  4808,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    -1,   864,    -1,    -1,    -1,    -1,    -1,    -1,
    5387,    45,    -1,    -1,    10,    -1,    -1,    13,    52,  1403,
      -1,    17,    18,    19,    -1,    -1,    -1,  1411,  1412,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,  5434,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   926,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1464,    -1,    78,    -1,    -1,    -1,    -1,    -1,   506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,   517,
     518,   519,   520,   521,   522,   523,   524,    -1,    -1,    -1,
      -1,   529,    -1,    -1,    -1,    -1,    -1,    -1,  5495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4637,    -1,    -1,
    4640,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1036,    -1,    -1,    -1,    -1,
      -1,  1042,    -1,    -1,  4664,    -1,    -1,    -1,    -1,   223,
     224,    -1,  1053,    -1,    -1,    -1,  1057,    -1,  1059,    -1,
     196,  5578,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3531,    -1,    -1,  3534,   251,  3536,    -1,
      -1,    -1,    -1,  3541,    -1,    -1,    -1,   223,   224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     979,   980,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,   293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3589,    -1,    -1,   308,    -1,    -1,   311,    -1,  3597,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,
      -1,    -1,    -1,    -1,  3622,  1166,    -1,    -1,    -1,    -1,
    1049,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1064,    -1,    -1,    -1,  1713,
      -1,    -1,    -1,  5710,  5149,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1095,  1096,    -1,    -1,
      -1,  5738,    -1,    -1,    -1,    -1,  1227,    -1,    -1,    -1,
     404,    -1,    -1,    -1,  3692,    -1,  3694,  1238,    -1,    -1,
      -1,    -1,  1121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1256,    -1,    -1,    -1,  1260,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4901,  1161,  1162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,    -1,  1827,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,  4943,  4944,    -1,    45,    -1,    -1,    -1,
    3788,    -1,   506,    52,    -1,    -1,    -1,    -1,  1862,    -1,
    5857,    -1,   516,   517,   518,   519,   520,   521,   522,   523,
     524,    -1,    -1,    -1,    -1,   529,    -1,  3815,    -1,    78,
      -1,  1885,    -1,  3821,    -1,    -1,    -1,    -1,    -1,  1893,
     506,    -1,  3830,    -1,    -1,    -1,    -1,  1901,    -1,    -1,
     516,   517,   518,   519,   520,   521,   522,   523,   524,    -1,
      -1,    -1,    -1,   529,    -1,    -1,    -1,    -1,    -1,    -1,
    3858,    -1,  1403,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1411,  1412,    -1,    -1,    -1,    -1,  5036,  5037,    51,    -1,
      -1,  1945,  1946,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1959,    -1,    -1,    -1,    -1,
      -1,  5958,    -1,    -1,    -1,    -1,    -1,    -1,  1972,  1973,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1464,    -1,    -1,    -1,    -1,  3926,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3948,    -1,    -1,    -1,    -1,    -1,  5451,    -1,    -1,    -1,
      -1,  5456,    -1,     0,   223,   224,    -1,    -1,    -1,    -1,
      -1,    -1,  3970,    -1,    -1,    -1,    -1,    -1,    -1,    51,
    5475,    -1,    -1,    20,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    31,    -1,    33,    34,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5166,    -1,    -1,  5169,
    5170,    -1,    -1,  6070,    51,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    61,    -1,  5186,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   293,    -1,    73,    -1,    75,    76,
      -1,    -1,    -1,    -1,    -1,    82,    -1,    84,    -1,   308,
      -1,    -1,   311,  4051,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    -1,    99,    -1,    -1,    -1,    -1,  2131,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4074,  6134,    -1,   116,
      -1,    -1,   119,    -1,    -1,  6142,  6143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,   136,
      -1,    -1,    -1,   140,    -1,    -1,  4104,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   156,
      -1,   158,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,  4129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5634,
      -1,    -1,    -1,    -1,    -1,   404,   183,    -1,  1567,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1713,  1592,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6253,    -1,    -1,    -1,
      -1,    -1,  6259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   253,   254,    -1,    -1,
    6277,    -1,   259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   273,    -1,    -1,    -1,
    5735,    -1,    -1,    -1,    -1,    -1,    -1,   506,    -1,    -1,
    1669,    -1,    -1,    -1,    -1,   292,    -1,   516,   517,   518,
     519,   520,   521,   522,   523,   524,    -1,    -1,  5763,    -1,
     529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1699,  1700,  1701,  1702,    -1,    -1,  1827,    -1,    -1,    -1,
      -1,    -1,  4290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   339,  6360,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,    -1,    -1,
      -1,  1862,    -1,   360,   361,    -1,   363,    -1,    -1,  6386,
      -1,   368,    -1,    -1,    -1,    -1,    -1,   374,    -1,    -1,
     377,    -1,    -1,    -1,  1885,    -1,    -1,   384,    -1,    -1,
      -1,    -1,  1893,    -1,   391,   392,    -1,    -1,    -1,    -1,
    1901,    -1,   399,    -1,    -1,    -1,   403,    -1,    -1,    -1,
      -1,    -1,  6429,    -1,    -1,    -1,   413,    -1,    -1,    -1,
      -1,  6438,  4380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   429,    -1,  6451,  6452,    -1,    -1,    -1,    -1,
      -1,  1942,  1943,    -1,  1945,  1946,    -1,    -1,  4406,    -1,
      -1,    -1,   449,    -1,    -1,    -1,  1957,    -1,  1959,  1960,
      -1,    -1,    -1,    -1,   461,    -1,  1845,  1846,    -1,    -1,
     467,  1972,  1973,    -1,    -1,   472,    -1,    -1,    -1,    -1,
      -1,    -1,  1861,    -1,    -1,    -1,    -1,    -1,   485,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,  5624,    -1,    -1,    -1,    -1,  2010,
      -1,   508,    -1,  2014,  2015,    35,  1895,  1896,  1897,  1898,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,   528,    52,    -1,    -1,    -1,   533,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,  5677,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,   721,    -1,
    4548,    -1,    -1,    -1,    -1,    -1,    -1,  1976,    -1,    -1,
      -1,    -1,    -1,  1982,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,    -1,    -1,   747,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2131,    -1,    -1,    -1,    -1,    -1,    -1,  4595,    -1,  2663,
      10,    -1,  4600,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,
    5790,    -1,    -1,    -1,    -1,    45,   196,    -1,    -1,    -1,
      -1,   201,    52,    -1,    -1,    -1,    -1,    -1,    -1,   721,
      -1,    -1,    -1,    -1,  2718,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   223,   224,    -1,    -1,    -1,    78,    -1,
      -1,    -1,  2736,    -1,    -1,   747,  2740,    -1,    -1,    -1,
    2744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,  2753,
      -1,   251,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2771,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   223,   224,   890,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2805,    -1,   251,    -1,    -1,    -1,    -1,   308,    -1,
    2169,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2825,  2826,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4777,
      -1,    -1,    -1,    -1,    -1,   293,   196,    -1,    -1,    -1,
      -1,   201,  2856,  2857,    -1,    -1,  2860,    -1,    -1,    -1,
     308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   223,   224,    -1,    -1,    -1,   890,    -1,
    2884,    -1,  2886,    -1,    -1,    -1,  2890,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2904,   251,    -1,    -1,   404,    -1,    -1,  2911,    -1,    -1,
    2914,    -1,    -1,    -1,    -1,    -1,  2920,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2940,    -1,    -1,  1052,
      -1,    -1,  2946,   293,    10,    -1,    -1,    13,    -1,  2953,
    1063,    17,    18,    19,    -1,    -1,   404,    -1,   308,    -1,
      -1,   311,    -1,  2967,    -1,  4903,  1079,    -1,    -1,    35,
      -1,    -1,    -1,    -1,    -1,    -1,  2980,    -1,    -1,    45,
      -1,  2985,    -1,    -1,    -1,    -1,    52,  2991,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4942,    -1,   506,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,   516,   517,   518,   519,
     520,   521,   522,   523,   524,    -1,  4964,    -1,    -1,   529,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1052,    -1,    -1,    -1,    -1,    -1,    -1,  3051,    -1,    -1,
      -1,  1063,    -1,    -1,   404,    -1,    -1,    -1,   506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1079,   516,   517,
     518,   519,   520,   521,   522,   523,   524,    -1,    -1,    -1,
      -1,   529,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,  5035,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    10,  6213,    -1,    13,    -1,    45,    -1,    17,
      18,    19,    -1,  1236,    52,    -1,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      78,    -1,    -1,    -1,    52,    -1,   506,   223,   224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   516,   517,   518,   519,
     520,   521,   522,   523,   524,    -1,    -1,    -1,    -1,   529,
      78,    -1,  2663,    -1,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5154,    -1,  5156,    -1,
    3224,    -1,    -1,    -1,  1236,    -1,    -1,   293,  3232,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2718,    -1,    -1,
      -1,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2736,    -1,    -1,    -1,  2740,
      -1,    -1,    -1,  2744,    -1,    -1,    -1,    -1,   196,    -1,
    2629,    -1,  2753,   201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2771,    -1,    -1,  1406,    -1,   223,   224,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,  2788,    -1,  2790,
    2791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,  2805,   223,   224,    -1,    -1,  3333,
      -1,    -1,    -1,    -1,    -1,  3339,    -1,    -1,   404,    -1,
      -1,    -1,    -1,    -1,  2825,  2826,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,  5307,
      -1,    -1,    -1,    -1,    -1,  2856,  2857,    -1,    -1,  2860,
     308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1507,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2884,    -1,  2886,    -1,    -1,    -1,  2890,
     308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,  3423,
      -1,    -1,    -1,  2904,    -1,    -1,    -1,    -1,    -1,    -1,
    2911,    -1,    -1,  2914,    -1,  2794,    -1,    -1,  5376,  2920,
     506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     516,   517,   518,   519,   520,   521,   522,   523,   524,  2940,
      -1,  1574,    -1,   529,    -1,  2946,    -1,    -1,    -1,    -1,
      -1,    -1,  2953,    -1,    -1,    -1,   404,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2967,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1507,    -1,    -1,    -1,  2980,
      -1,    -1,  1615,    -1,  2985,    -1,   404,    -1,    -1,    -1,
    2991,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1648,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3556,  3557,    -1,    -1,    -1,    -1,    -1,    -1,
    5498,    -1,  1574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3051,    -1,    -1,  2932,    -1,    -1,  2935,    -1,   506,  3583,
      51,    -1,  3586,    -1,    -1,    -1,    -1,    -1,   516,   517,
     518,   519,   520,   521,   522,   523,   524,    -1,    -1,    -1,
      -1,   529,    -1,  1615,    -1,    -1,    -1,    -1,   506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,   517,
     518,   519,   520,   521,   522,   523,   524,    -1,    -1,    -1,
      -1,   529,    10,    -1,    -1,    13,  1648,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3658,  3659,  3660,    35,    -1,    -1,
      -1,    -1,    -1,    -1,  3023,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,  3036,    -1,  3683,
      -1,    -1,    -1,    -1,    -1,  3044,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3702,    -1,
      78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5650,    -1,    -1,    -1,    -1,  5655,  5656,    -1,
    3724,    -1,    -1,    -1,  3083,  3206,  1839,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1850,    -1,    -1,
      -1,    -1,    -1,  3224,    -1,  3104,    -1,    -1,    -1,    -1,
      -1,  3232,    -1,  1866,    -1,    -1,    -1,    -1,  3239,     8,
    3241,  3242,    -1,    -1,    -1,    14,    15,    -1,    -1,    -1,
      -1,    20,    -1,    22,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    30,    -1,    -1,    -1,    -1,    -1,    -1,  3147,    -1,
    3149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,  3810,  1920,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,
      -1,    -1,  1935,   201,    -1,  1938,  1939,  1839,    -1,  5767,
    5768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1850,    -1,
      -1,    -1,    -1,    -1,    -1,   223,   224,    -1,    -1,    -1,
      -1,    -1,  3333,  3857,  1866,    -1,  1969,  1970,  3339,  3863,
      -1,  3865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,  3878,    -1,  3880,    -1,  3237,    -1,
      -1,    -1,    -1,    -1,    -1,  3244,  5824,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5841,    -1,    23,    -1,    -1,  1920,    -1,
      28,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1935,    -1,    -1,  1938,  1939,    -1,    -1,
     308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3423,  3947,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   200,    -1,    -1,    -1,   204,    -1,  1969,  1970,    -1,
      -1,    79,    80,   212,    -1,    -1,   215,    -1,    -1,   218,
     219,    -1,   221,    -1,   223,    -1,    -1,   226,    96,   228,
      -1,    -1,    -1,    -1,    -1,  3989,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   114,  2110,    -1,    -1,
      -1,    -1,    -1,    -1,  4008,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
     138,    -1,    -1,    -1,  4028,    -1,   404,  4031,    -1,    -1,
      -1,    35,    -1,   151,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    45,   160,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,    -1,   173,    -1,    -1,    -1,    -1,
      -1,   179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,  3556,  3557,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2110,    -1,
      -1,    -1,  3583,    -1,    -1,  3586,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,   506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4141,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   265,    -1,    -1,
      -1,   529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3658,  3659,  3660,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,   196,    -1,    -1,    -1,    51,   201,    -1,    -1,
      -1,    -1,  3683,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,   223,
     224,  3702,    -1,    52,    -1,    -1,   344,   345,    -1,    -1,
     348,    -1,    -1,  3592,  3593,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3724,    -1,    -1,    -1,   251,    -1,    78,
     721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,
      -1,   379,    -1,    -1,    -1,    -1,    -1,    -1,   386,    -1,
      -1,    -1,    -1,    -1,    -1,   393,   747,    -1,   396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,
      -1,    -1,    -1,    -1,   308,   423,    -1,   311,    -1,    -1,
      -1,   429,    -1,    -1,   432,    -1,    -1,    -1,   436,  4323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3810,
      -1,    -1,    -1,   451,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
     478,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    35,
    4374,    -1,   201,    -1,    -1,  4379,  3857,  4381,    -1,    45,
      -1,    -1,  3863,    -1,  3865,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   223,   224,    -1,  3878,    -1,  3880,
     404,  4405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     659,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,   890,
      -1,   670,   251,    -1,    -1,   674,    -1,    -1,    -1,    -1,
      -1,    -1,   681,   682,    -1,    -1,   685,    -1,   687,   688,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4451,    -1,    -1,
    4454,    -1,    -1,   702,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   293,    -1,  3947,    -1,    -1,    -1,
      -1,   720,    -1,  3832,    -1,    -1,    -1,    -1,    -1,   308,
      -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6428,    -1,   741,    -1,   743,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   506,    -1,   753,   171,    -1,    -1,  3989,    -1,
      -1,   177,   516,   517,   518,   519,   520,   521,   522,   523,
     524,    -1,    -1,    -1,    -1,   529,    -1,  4008,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,   786,    -1,    -1,
    4544,  4545,    -1,    -1,    -1,    -1,    -1,  4028,    -1,    -1,
    4031,  4555,    -1,    -1,    -1,    -1,    -1,   223,   224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4572,    -1,
      -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,    -1,
      -1,  1052,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    -1,  1063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1079,    -1,
      -1,    -1,  2725,    -1,    -1,    -1,  2729,  2730,   867,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,
      -1,    -1,    -1,  3992,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,  4653,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2787,    -1,    -1,   506,    -1,    -1,
    2793,    -1,    -1,    -1,    -1,    -1,    -1,   516,   517,   518,
     519,   520,   521,   522,   523,   524,    -1,    -1,   527,    -1,
      -1,    -1,    -1,   952,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2725,    -1,    -1,    -1,  2729,  2730,    -1,
      -1,  2834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,  1236,    -1,    -1,    17,    18,
      19,    -1,    -1,    -1,    -1,  2787,    -1,  1026,    -1,    -1,
      -1,  2793,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
      39,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,  1050,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1065,    -1,  1067,    -1,
      -1,    -1,  2834,    -1,    -1,    -1,    -1,    -1,  1077,    78,
      -1,    -1,    -1,    -1,    -1,  1084,    -1,    -1,    -1,    -1,
     506,    -1,  4323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     516,   517,   518,   519,   520,   521,   522,   523,   524,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   721,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1127,    -1,
    1129,   130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   747,  4374,    -1,    -1,    -1,    -1,  4379,    -1,
    4381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4405,    -1,    -1,    -1,    -1,    -1,
    3043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,   201,    -1,  1203,  4959,  1205,    -1,  1207,    -1,
    1209,    -1,  1211,  1212,  1213,    -1,    -1,  4971,    -1,  1218,
    4451,    -1,    -1,  4454,   223,   224,    -1,    -1,    -1,    -1,
      -1,  1230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5004,    -1,   251,  3116,    -1,    -1,    -1,  3120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,
      -1,  3043,    17,    18,    19,   890,  1507,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   293,    -1,    10,    -1,    -1,    13,
      35,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,   308,
      45,    -1,   311,  4544,  4545,    -1,    -1,    52,    -1,    -1,
      -1,    35,    -1,    -1,  4555,    -1,    -1,    -1,  5082,    -1,
      -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,  4572,    -1,    78,    -1,    -1,    -1,  5101,    -1,    -1,
      -1,    -1,    -1,  1574,  3116,    -1,    -1,    -1,  3120,  3222,
      -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3238,    -1,    -1,    -1,    -1,
    3243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4502,  1615,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,    -1,  4516,    -1,    -1,
    3273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4653,    -1,    -1,    -1,    -1,  1648,    -1,  1428,
      -1,    -1,    -1,  5187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1052,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   170,    -1,  1063,    -1,
    3222,   196,    -1,    -1,    -1,    -1,   201,   466,    -1,    -1,
      -1,    -1,    -1,    -1,  1079,    -1,  3238,    -1,    -1,    -1,
      -1,  3243,   196,    -1,    -1,    -1,    -1,   201,   223,   224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,    -1,   223,
     224,  3273,    -1,    -1,    -1,    -1,   251,   516,   517,   518,
     519,   520,   521,   522,   523,   524,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,  1548,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    38,    -1,    -1,
      -1,    -1,    -1,   308,    45,  5329,   311,  5331,    -1,   293,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,
      -1,    -1,    -1,   338,    -1,    -1,    -1,    78,    -1,    -1,
      51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1839,    -1,
      -1,  1620,   336,  5377,    -1,    -1,    -1,    -1,    -1,  1850,
      -1,  1236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1866,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3531,   404,
      -1,  3534,    -1,  3536,    -1,  5429,    -1,    -1,  3541,    -1,
      -1,    -1,    -1,    -1,    -1,  4916,    -1,   422,    -1,    -1,
     404,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1920,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1935,    -1,    -1,  1938,  1939,    -1,
      -1,    -1,    -1,    -1,    -1,   196,  3589,    -1,  4959,    -1,
     201,    -1,    -1,    -1,  3597,    -1,    -1,    -1,    -1,    -1,
    4971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1969,  1970,
      -1,    -1,   223,   224,    -1,    -1,    -1,    -1,    -1,  3622,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3531,
      -1,   506,  3534,  5004,  3536,    -1,    -1,    -1,    -1,  3541,
     251,   516,   517,   518,   519,   520,   521,   522,   523,   524,
      -1,    -1,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   516,   517,   518,   519,   520,   521,   522,   523,
     524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   293,    -1,    -1,    -1,    -1,  3589,    -1,  3692,
      -1,  3694,    -1,    -1,    -1,  3597,  1835,   308,    -1,    -1,
     311,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,  5082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3622,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,
    5101,  1870,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,  2110,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1507,    -1,    -1,    -1,  5015,    -1,    -1,    78,
      -1,    -1,    -1,    -1,  5668,    -1,    -1,  1916,    -1,    -1,
      -1,  5030,    -1,    -1,    -1,  3788,    -1,    -1,  5682,    -1,
    3692,    -1,  3694,   404,    -1,    -1,    -1,  1936,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5187,    -1,    -1,  5713,
      -1,    -1,    -1,  1962,    -1,  1964,    -1,  3830,    -1,  1574,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1979,    -1,  1981,    -1,    -1,    -1,    -1,    -1,  1987,    -1,
    1989,    -1,  1991,    -1,  1993,  3858,  1995,    -1,    -1,    -1,
    1999,    -1,    -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,
    1615,    -1,  5121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3788,   196,    -1,    -1,
      -1,    -1,   201,    -1,    -1,   506,    -1,  2036,    -1,    -1,
      -1,    -1,    -1,  1648,    -1,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   223,   224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3926,    -1,    -1,    -1,    -1,  3830,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,  5838,  3948,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3858,    -1,  5329,    -1,
    5331,    -1,    -1,    -1,    -1,    -1,    -1,  3970,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,
      -1,    -1,   311,    -1,    -1,    10,  5377,    -1,    13,  5903,
      -1,  5905,    17,    18,    19,    -1,  5387,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3926,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      45,    -1,    -1,    -1,    -1,    -1,  3948,    52,  4051,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5429,    -1,
      -1,    -1,    -1,  5434,    -1,    -1,    -1,    -1,  3970,    -1,
      -1,  4074,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5337,    -1,
    5339,    -1,    -1,    -1,  1839,   404,    -1,    -1,  5992,    -1,
      -1,  4104,    -1,    -1,    -1,  1850,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,
      -1,  1866,    -1,    -1,    -1,    -1,  4129,    -1,    -1,    -1,
      23,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,
     721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4051,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6057,    -1,    -1,   747,    -1,    -1,    -1,
      -1,    -1,  4074,    66,    -1,  1920,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    -1,    -1,  6083,
    1935,   196,    -1,  1938,  1939,    -1,   201,   506,    -1,    -1,
      -1,    -1,  4104,    96,    -1,    -1,    -1,   516,   517,   518,
     519,   520,   521,   522,   523,   524,    -1,    -1,   223,   224,
      -1,   114,    -1,    -1,  1969,  1970,    -1,  4129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5493,   138,   251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     173,    -1,    -1,    -1,    -1,    -1,   179,  4290,   293,    -1,
      -1,    -1,    -1,   186,    -1,    -1,    -1,  5668,    -1,    -1,
      -1,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,   890,
      -1,  5682,   205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6230,    -1,    -1,    -1,
      -1,    -1,  5713,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2725,  2110,    -1,   372,  2729,  2730,
      -1,    -1,   265,    -1,    -1,    -1,    -1,  4380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4290,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,
      -1,    -1,    -1,  4406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5672,    -1,  5674,  2787,    -1,   321,    -1,
      -1,    -1,  2793,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,   334,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,   344,   345,    -1,    -1,   348,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    -1,    -1,    -1,    -1,  5838,    -1,    -1,
      -1,  1052,    45,  2834,    -1,    -1,    -1,    -1,  4380,    52,
      -1,    -1,  1063,   376,    -1,    -1,   379,    -1,    -1,    -1,
     383,    -1,    -1,   386,    -1,    -1,    -1,    -1,  1079,  6393,
     393,   506,    -1,   396,  4406,    78,    -1,    -1,    -1,    -1,
      -1,   516,   517,   518,   519,   520,   521,   522,   523,   524,
      -1,    -1,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     423,    -1,  5903,    -1,  5905,    -1,   429,    -1,    -1,   432,
      -1,    -1,    51,   436,    -1,  4548,    -1,    -1,  6442,    -1,
      -1,   444,    -1,   446,    -1,    -1,    -1,    -1,   451,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6461,    -1,    -1,
      -1,    -1,   465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2719,  2720,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,
      -1,    -1,  4595,    -1,    -1,    -1,    -1,  4600,    -1,  2738,
    2739,    -1,  2741,  2742,    -1,    -1,    -1,  2746,  2747,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5992,  2761,   196,    -1,    -1,    -1,    -1,   201,  2768,
      -1,    -1,    -1,  2772,  2773,    -1,    -1,  2776,  2777,    -1,
      -1,    -1,    -1,    -1,  2783,    -1,  4548,    -1,    -1,    -1,
     223,   224,    -1,    -1,    -1,  1236,  2795,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2807,    -1,
      -1,    -1,    -1,  2812,    -1,    -1,    10,    -1,   251,    13,
      -1,    -1,  3043,    17,    18,    19,  6057,    -1,  2827,    -1,
      -1,    -1,    -1,  4595,    -1,  5944,    51,  2836,  4600,  6070,
    2839,    35,  2841,  2842,  2843,    -1,    -1,    -1,    -1,  2848,
    2849,    45,  6083,    -1,    -1,    -1,    -1,    -1,    52,  2858,
     293,    -1,    -1,    -1,    -1,  2864,    -1,    -1,    -1,  2868,
      -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,   311,    -1,
      -1,  2880,  2881,    -1,    78,    -1,  2885,    -1,    -1,    -1,
      -1,    -1,  2891,  2892,    -1,  3116,    -1,    -1,   331,  3120,
      -1,    -1,    -1,    -1,    -1,    -1,  2905,    -1,    -1,  2908,
      -1,  6142,  6143,    -1,  4777,    -1,  2915,  2916,    -1,    -1,
      -1,    -1,  2921,    -1,    -1,   721,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2933,    -1,    -1,  2936,    -1,    -1,
      -1,    -1,  2941,    -1,    -1,    -1,    -1,    -1,  2947,  2948,
      -1,   747,    -1,    -1,    -1,    -1,  2955,    -1,    -1,    -1,
    2959,    -1,    -1,    -1,  2963,  2964,  2965,  2966,    -1,  2968,
      -1,   404,    -1,    -1,    -1,    -1,  6085,    -1,    -1,    -1,
      -1,    -1,  2981,  2982,    -1,  2984,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2995,  2996,  2997,  6230,
      -1,  3222,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4777,    -1,  3238,    -1,    -1,
      -1,    -1,  3243,    -1,    -1,    -1,    -1,    -1,    -1,   223,
     224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3273,  3052,    -1,    -1,    -1,   251,    -1,    -1,
      -1,  3060,    -1,    -1,    -1,    -1,  1507,    -1,    10,    -1,
      -1,    13,    -1,   506,    -1,    17,    18,    19,    -1,  4942,
    3079,    -1,    -1,   516,   517,   518,   519,   520,   521,   522,
     523,   524,    -1,    35,   890,    -1,    38,    -1,    -1,   293,
      -1,  4964,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      52,    -1,    -1,    -1,   308,  6224,    -1,   311,    -1,    -1,
    2725,    -1,    -1,    -1,  2729,  2730,    -1,    -1,    -1,    -1,
    3129,    -1,    -1,  1574,    -1,    -1,    78,    -1,    -1,    -1,
      -1,  4903,    -1,    -1,    -1,  6254,  6255,    -1,    -1,  3148,
      10,  3150,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,  6393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5035,    -1,  1615,    35,    -1,    -1,    -1,    -1,
    4942,    -1,  2787,    -1,    -1,    45,    -1,    -1,  2793,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4964,    -1,    -1,    -1,    -1,  1648,    -1,    -1,
     404,  6442,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
    6451,  6452,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2834,
    6461,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,   437,    -1,    -1,  3245,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   196,    -1,  1052,    -1,    35,   201,
      -1,    38,    -1,    -1,    -1,    -1,    -1,  1063,    45,    -1,
      -1,    -1,    -1,  5035,  6383,    52,    -1,    -1,    -1,    -1,
      -1,   223,   224,  1079,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5156,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,
    3531,    -1,   506,  3534,    -1,  3536,    -1,   177,    -1,    -1,
    3541,    -1,   516,   517,   518,   519,   520,   521,   522,   523,
     524,    -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   293,   721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   223,   224,    -1,   308,    -1,  3589,   311,
      -1,    -1,    -1,    -1,    -1,    -1,  3597,    -1,   747,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,  5156,    -1,    -1,    -1,  1839,    -1,
      -1,  3622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1850,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,
      -1,    -1,    -1,    -1,   201,  1866,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,  3043,    -1,
    1236,    -1,    -1,    -1,  5307,    -1,   223,   224,   308,    -1,
      -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   404,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3692,    -1,  3694,   251,    -1,    -1,    -1,    -1,  1920,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1935,    -1,    -1,  1938,  1939,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   721,    -1,    -1,    -1,
      -1,  3116,    -1,  5376,    -1,  3120,   293,    -1,    -1,    -1,
      -1,   890,    -1,    -1,    -1,    -1,    -1,    -1,  1969,  1970,
      -1,   308,   747,    -1,   311,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   404,  5307,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,  3564,    -1,  3788,    -1,    -1,
      -1,    -1,    -1,    -1,   516,   517,   518,   519,   520,   521,
     522,   523,   524,    -1,    -1,  3584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3601,    -1,    -1,    -1,  3605,    -1,    -1,  3830,
      -1,  3610,  3611,  3612,  5376,    -1,    -1,  3222,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,
      -1,    -1,    -1,  3238,    -1,  5498,    -1,  3858,  3243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   506,  3646,  3647,  3648,
    3649,    -1,    -1,    -1,    -1,    -1,   516,   517,   518,   519,
     520,   521,   522,   523,   524,    -1,    -1,    -1,  3273,  2110,
      -1,    -1,    -1,    -1,    -1,   890,    -1,  3676,    -1,    -1,
      -1,    -1,    -1,  1052,    -1,  3684,    -1,  3686,  3687,  3688,
      -1,    -1,    -1,    -1,  1063,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3926,    -1,    -1,    -1,    -1,
    1079,  1507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3948,    -1,   506,
      -1,    -1,    -1,    -1,    -1,    -1,  5498,    -1,    -1,   516,
     517,   518,   519,   520,   521,   522,   523,   524,    -1,  3970,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1574,    35,
      -1,    -1,    38,    -1,    -1,    -1,    -1,  5650,    -1,    45,
      -1,    -1,  5655,  5656,    -1,    -1,    52,    -1,    -1,    -1,
      -1,    -1,    -1,  3802,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3811,    -1,    -1,    -1,    -1,    -1,    -1,  1615,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4051,    -1,    -1,    -1,    -1,    -1,    -1,  1052,  3837,  3838,
      -1,    -1,    -1,  3842,    -1,    -1,    -1,    -1,  1063,    -1,
      -1,    -1,  1648,  4074,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1079,  3864,    -1,  1236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4104,    -1,    -1,    -1,    -1,  5650,    -1,
      -1,    -1,    -1,  5655,  5656,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5768,    -1,    -1,  4129,    -1,
      -1,    -1,    10,    -1,    -1,    13,    -1,  3916,    -1,    17,
      18,    19,  3921,    -1,    -1,    -1,  3531,    -1,  3927,  3534,
      -1,  3536,    -1,    -1,    -1,    -1,  3541,    35,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,  3957,    -1,
      -1,  5824,    -1,    -1,    -1,    -1,    -1,   223,   224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5841,    -1,
      78,    -1,    -1,    -1,  3589,    -1,    -1,  3986,    -1,  3988,
      -1,    -1,  3597,    -1,    -1,   251,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,  5768,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3622,    -1,    -1,
      -1,  1236,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,   293,    -1,    -1,
      -1,    -1,    52,  1839,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   308,    -1,  1850,   311,    -1,    -1,    -1,    -1,
      -1,    -1,  5824,    -1,    -1,    -1,    -1,    -1,    78,  4290,
    1866,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5841,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3692,    -1,  3694,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,  1920,   223,   224,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,  1507,  1935,
      -1,    -1,  1938,  1939,    45,    -1,    -1,    -1,   404,    -1,
      -1,    52,    -1,   251,    10,    -1,    -1,    13,    -1,  4380,
      -1,    17,    18,    19,    -1,    -1,    -1,   177,    -1,    -1,
      -1,    -1,    -1,  1969,  1970,    -1,    -1,    78,    -1,    35,
      -1,    -1,    -1,  3788,    -1,  4406,   196,    -1,    -1,    45,
      -1,   201,    -1,    -1,    -1,   293,    52,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1574,    -1,    -1,    -1,    -1,
     308,    -1,    -1,   223,   224,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,  3830,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,  1615,    -1,    -1,    -1,
     506,    -1,    -1,  3858,    -1,    -1,    -1,    -1,    -1,    -1,
     516,   517,   518,   519,   520,   521,   522,   523,   524,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   177,    -1,    -1,  1648,
      -1,    -1,    -1,   293,  2725,    -1,    -1,    -1,  2729,  2730,
      -1,    -1,  1507,    -1,    -1,   196,    -1,    -1,   308,    -1,
     201,   311,    -1,    -1,    -1,    -1,   404,  4306,    -1,    -1,
    4309,    -1,  4311,    -1,  2110,   171,    -1,    -1,    -1,    -1,
      -1,  3926,   223,   224,    -1,  4324,    -1,  4548,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4336,    -1,    -1,
     196,  4340,    -1,  3948,    -1,   201,  2787,    -1,    10,    -1,
     251,    13,  2793,    -1,    -1,    17,    18,    19,    -1,  1574,
    4359,    -1,    -1,    -1,    -1,  3970,    -1,   223,   224,    -1,
      -1,    -1,    -1,    35,  4595,    -1,    -1,    -1,  4377,  4600,
      -1,    -1,    -1,    45,  4383,    -1,    -1,    -1,    -1,    -1,
      52,    -1,   293,  2834,   404,   251,    -1,    -1,    -1,    -1,
    1615,    -1,    -1,    -1,    -1,    -1,    -1,   308,   506,  4408,
     311,    -1,    -1,  4412,    -1,    -1,    78,    -1,   516,   517,
     518,   519,   520,   521,   522,   523,   524,    -1,  4427,  4428,
    4429,  4430,    -1,  1648,    -1,    -1,    -1,   293,  4437,  4438,
    4439,  4440,    -1,    -1,    -1,    -1,  4051,  4446,  4447,    -1,
      -1,    -1,   308,  4452,  4453,   311,  4455,  4456,  4457,  4458,
    4459,  4460,  4461,    -1,    -1,    -1,    -1,    -1,    -1,  4074,
    1839,    -1,  4471,    -1,    -1,    -1,  4475,  4476,  4477,  4478,
      -1,  1850,    -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   506,  1866,    -1,  4104,
    4499,    -1,    -1,   404,    -1,    -1,   516,   517,   518,   519,
     520,   521,   522,   523,   524,    -1,    -1,    -1,  4517,    -1,
      -1,    -1,    10,    -1,  4129,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,   196,    -1,    -1,    -1,    -1,   201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,   404,    -1,
      -1,  1920,    -1,    -1,    -1,    -1,  4777,    45,    -1,    -1,
      -1,   223,   224,    -1,    52,    -1,  1935,    -1,    -1,  1938,
    1939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,
      78,    -1,    -1,    -1,  4593,    -1,    -1,    -1,    -1,    -1,
    1969,  1970,  3043,    -1,    -1,   506,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   516,   517,   518,   519,   520,
     521,   522,   523,   524,  1839,    -1,    -1,  4626,    -1,    -1,
      -1,   293,    -1,    -1,  4633,  1850,  4635,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,   311,
     506,  1866,    -1,    -1,    23,    -1,    -1,    -1,  4657,    28,
     516,   517,   518,   519,   520,   521,   522,   523,   524,    -1,
      -1,    -1,    -1,    -1,    -1,  3116,    -1,    -1,    -1,  3120,
      -1,    -1,  4903,    -1,    -1,  4290,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1920,    -1,    -1,   196,    -1,
      79,    -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,
    1935,  4942,    -1,  1938,  1939,    -1,    -1,    96,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   223,   224,    -1,    -1,    -1,
      -1,  2110,   404,  4964,    -1,   114,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1969,  1970,    -1,    -1,    10,    -1,
      -1,    13,    -1,   251,    -1,    17,    18,    19,    -1,   138,
      -1,    -1,    -1,    -1,    -1,  4380,    -1,    -1,    -1,    -1,
      -1,  3222,   151,    35,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   160,    -1,    45,    -1,    -1,    -1,  3238,    -1,    -1,
      52,  4406,  3243,    -1,   173,   293,    -1,    -1,    -1,    -1,
     179,    -1,    -1,    -1,  5035,    -1,    -1,    -1,    -1,    -1,
     308,    -1,    -1,   311,    -1,    -1,    78,    -1,    -1,    -1,
      -1,    -1,  3273,    -1,    -1,    -1,   205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   516,   517,   518,   519,   520,   521,
     522,   523,   524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2110,   265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4904,  4905,  4906,    -1,    -1,
      -1,  4910,  4911,  4912,  4913,    -1,   404,    -1,  4917,   171,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2725,
      -1,    -1,    -1,  2729,  2730,  5156,    -1,    -1,    -1,   308,
      -1,    -1,    -1,  4548,   196,    -1,    -1,    -1,    -1,   201,
      -1,    -1,    -1,    -1,    -1,  4954,  4955,  4956,  4957,  4958,
      -1,  4960,  4961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   223,   224,  4972,  4973,   344,   345,    -1,    -1,   348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4595,  2787,    -1,   481,    -1,  4600,    -1,  2793,    -1,   251,
      -1,    -1,    -1,    -1,    -1,    -1,  5005,   376,    -1,    -1,
     379,    -1,    -1,    -1,    -1,    -1,    -1,   386,   506,    -1,
      -1,    -1,    -1,    -1,   393,    -1,    -1,   396,   516,   517,
     518,   519,   520,   521,   522,   523,   524,    -1,  2834,    -1,
      -1,   293,    -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   423,    -1,   308,    -1,    -1,   311,
     429,    -1,    -1,   432,    -1,    -1,    -1,   436,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   444,    -1,    -1,    -1,    -1,
      -1,    -1,   451,    -1,    -1,    -1,  5307,    -1,    -1,    -1,
    3531,    -1,    -1,  3534,    -1,  3536,    -1,    -1,    -1,    -1,
    3541,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5107,   478,
      -1,    -1,    -1,    -1,    -1,   833,   834,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3589,    -1,
      -1,    -1,   404,    -1,    -1,  5376,  3597,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    10,  4777,  5172,    13,    -1,    -1,    -1,    17,    18,
      19,  3622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   913,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5203,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,  5214,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3043,    -1,    -1,
      -1,  3692,    -1,  3694,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   516,   517,   518,   519,   520,   521,
     522,   523,   524,    -1,    -1,    -1,    -1,  5498,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4903,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5314,  1034,  1035,    -1,    -1,
    3116,    -1,    -1,    -1,  3120,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4942,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2725,   196,    -1,  4964,
    2729,  2730,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5378,
      -1,    -1,    -1,    -1,   223,   224,    -1,    -1,    -1,  3830,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5397,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5405,  5406,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,  5415,  3858,  2787,    -1,
      -1,    -1,    -1,  5422,  2793,    -1,  3222,    -1,    -1,  5650,
    5035,    -1,    -1,    -1,  5655,  5656,    -1,    -1,    -1,    -1,
      -1,    -1,  3238,    -1,    -1,    -1,    -1,  3243,    -1,    -1,
      -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,  5457,  5458,
      -1,    -1,    -1,    -1,    -1,  2834,    -1,    -1,    -1,   308,
      -1,  5470,   311,  5472,    -1,    -1,    -1,  3273,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3926,    -1,    -1,  5487,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3948,    -1,    -1,
    2725,    -1,    -1,  5512,  2729,  2730,    -1,    -1,    -1,    -1,
      -1,  5520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3970,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5768,    -1,    -1,
      -1,  5156,    -1,    -1,  1272,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,    -1,    -1,
      -1,    -1,  2787,    -1,    -1,    -1,    -1,    -1,  2793,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1313,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5824,    -1,    -1,    -1,    -1,    -1,    -1,
    4051,    -1,    -1,    -1,    -1,  5614,    -1,    -1,    -1,  2834,
    5841,    -1,    -1,  1341,  1342,  1343,    -1,  1345,    -1,    -1,
      -1,    -1,    -1,  4074,    79,    -1,    -1,    -1,    -1,  5638,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1366,    -1,
    5649,    96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4104,    -1,    -1,    -1,   506,    -1,   114,
      -1,    -1,    -1,    -1,  3043,   120,    -1,   516,   517,   518,
     519,   520,   521,   522,   523,   524,    -1,    -1,  4129,    -1,
      -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5307,    -1,    -1,    -1,   151,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   160,    -1,  5716,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   173,    -1,
      -1,    -1,    -1,    -1,   179,  3531,    -1,    -1,  3534,    -1,
    3536,   186,    -1,    -1,    -1,  3541,    -1,  3116,    -1,    -1,
      -1,  3120,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     205,    -1,    -1,  1481,    -1,    -1,    -1,  1485,  1486,    -1,
      -1,  5376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5786,    -1,    -1,
      -1,    -1,    -1,  3589,    -1,    -1,    -1,    -1,   243,    -1,
      -1,  3597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     265,    -1,    -1,    -1,    -1,    -1,  3622,  5826,  3043,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4290,
      -1,    -1,    -1,  3222,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   308,    -1,    -1,    -1,    -1,    -1,  3238,
      -1,    -1,    -1,    -1,  3243,    -1,    -1,  5876,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,
      -1,  5890,    -1,  5498,    -1,    -1,  3692,    -1,  3694,   344,
     345,  3116,    -1,   348,  3273,  3120,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   376,    -1,    -1,   379,    -1,    -1,    -1,   383,  4380,
      -1,   386,    -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,
    5949,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4406,    -1,    -1,    -1,    -1,
     415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,    -1,
      -1,    -1,    -1,   428,   429,    -1,    -1,   432,    -1,    -1,
      -1,   436,  3788,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   446,    -1,    -1,    -1,  1358,   451,  3222,    -1,    -1,
    1728,  1729,  1730,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     465,  6020,    -1,  3238,    -1,    -1,    -1,    -1,  3243,    -1,
      -1,    -1,    -1,   478,  3830,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5650,    -1,    -1,    -1,    -1,
    5655,  5656,    -1,    -1,    -1,    -1,    -1,    -1,  3273,    -1,
      -1,    -1,  3858,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6069,    -1,  1425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6101,    -1,    -1,    -1,    -1,  4548,    -1,    -1,
      -1,    -1,    -1,  6112,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3926,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3948,    -1,  4595,    -1,    -1,    -1,    -1,  4600,
      -1,    -1,  3531,  5768,    -1,  3534,    -1,  3536,    -1,    -1,
      -1,    -1,  3541,    -1,  3970,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6184,  6185,  6186,  6187,  6188,
    6189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,  5824,
    3589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3597,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5841,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6243,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,  3622,    -1,  4051,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    92,    -1,  4074,    -1,
      96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4104,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3531,    -1,    -1,  3534,
      -1,  3536,   138,  3692,    -1,  3694,  3541,    -1,    -1,    -1,
      -1,    -1,    -1,  4129,    -1,   151,  4777,    -1,  2056,    -1,
      -1,    -1,    -1,    -1,   160,    -1,    -1,  2065,  2066,  2067,
    2068,  2069,  2070,  2071,  2072,  2073,  2074,   173,    -1,    -1,
    2078,    -1,  2080,   179,  2082,    -1,    -1,  2085,  2086,  2087,
      -1,    -1,    -1,    -1,  3589,  2093,    -1,    -1,  2096,    -1,
      -1,  1734,  3597,    -1,    -1,  1738,    -1,    -1,    -1,   205,
      -1,    -1,    -1,  2111,  2112,  2113,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3622,    -1,    -1,
      -1,  2129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3788,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3830,  4903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3692,    -1,  3694,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3858,
      -1,    -1,   308,    -1,  4290,    -1,    -1,    -1,    -1,    -1,
      -1,  4942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,
      -1,    -1,    -1,  4964,    -1,    -1,    -1,    -1,   344,   345,
      -1,    -1,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3926,  2276,    -1,
     376,    -1,    -1,   379,    -1,    -1,    -1,   383,    -1,    -1,
     386,    -1,    -1,  3788,    -1,    -1,    -1,   393,    -1,  3948,
     396,    -1,    -1,    -1,  4380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5035,    -1,    -1,    -1,    -1,   415,
      -1,  3970,    -1,    -1,    -1,    -1,    -1,   423,    -1,    -1,
    4406,  2329,    -1,   429,    -1,  3830,   432,    -1,    -1,    -1,
     436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   444,    -1,
     446,    -1,    -1,    -1,    -1,   451,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3858,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   478,    -1,    -1,    -1,  2384,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    -1,    -1,    -1,    -1,
      -1,  2054,    -1,    -1,    -1,  4074,    31,    -1,    33,    34,
      -1,  3926,    -1,    -1,    -1,  5156,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2079,    -1,    -1,    -1,
    2083,    -1,    -1,  3948,    -1,  4104,    61,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2098,  2099,  2100,    73,  2102,
      75,    76,  4548,    -1,    -1,  3970,    -1,    82,    -1,    84,
    4129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    -1,    99,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,    -1,   119,    -1,    -1,    -1,    -1,  4595,
      -1,    -1,    -1,    -1,  4600,    -1,    -1,    -1,    -1,   134,
      -1,   136,    -1,    -1,    -1,   140,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   156,    -1,   158,    -1,    -1,  4051,    -1,    -1,    -1,
     165,    -1,    -1,    -1,    -1,    -1,    -1,  2565,  2566,  2567,
    2568,  2569,  2570,  2571,  2572,  2573,    -1,  2575,   183,  4074,
      23,    -1,    -1,    -1,    -1,    -1,  5307,    -1,  2586,    -1,
    2588,    -1,    -1,    -1,    -1,   200,    -1,    -1,    41,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,  2626,    -1,
      -1,    -1,  2630,    -1,  4129,  2633,    79,  2635,    -1,    -1,
    2638,  4290,    -1,    -1,    -1,    -1,    -1,    -1,   253,   254,
      -1,    -1,    -1,    96,   259,  5376,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   273,    -1,
      -1,   114,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   292,    -1,    -1,
      -1,    -1,    -1,  2691,  2692,   138,    -1,    -1,    -1,    -1,
      -1,  4777,    -1,    -1,    -1,    -1,    -1,    -1,   151,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     173,  4380,    -1,    -1,   339,    -1,    -1,    -1,    -1,   182,
      -1,    -1,    -1,   186,    -1,    -1,    -1,    -1,    -1,   354,
      -1,    -1,    -1,    -1,    -1,   360,   361,  4406,   363,    -1,
      -1,    -1,   205,   368,    -1,    -1,   371,    -1,    -1,   374,
      -1,    -1,   377,    -1,    -1,    -1,  2774,  5498,    -1,   384,
      -1,    -1,    -1,    -1,    -1,    -1,   391,   392,    -1,    -1,
      -1,    -1,    -1,    -1,   399,  4290,    -1,    -1,   403,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,    -1,
      -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   265,    -1,   429,    -1,    -1,  4903,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   449,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   461,    -1,    -1,    -1,
      -1,    -1,   467,    -1,    -1,   308,  4942,   472,   311,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     485,    -1,    -1,    -1,    -1,  4380,    -1,    -1,  4964,    -1,
      -1,   334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4548,
      -1,    -1,    -1,   508,    -1,   348,    -1,    -1,    -1,    -1,
      -1,  4406,    -1,   356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   528,    -1,    -1,    -1,    -1,   533,  5650,
      -1,    -1,    -1,   376,  5655,  5656,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   386,    -1,    -1,  4595,    -1,    -1,  2582,
     393,  4600,    -1,   396,    -1,    -1,    -1,    -1,    -1,  5035,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     423,    -1,    -1,    -1,    -1,    -1,   429,    -1,    -1,   432,
     433,    -1,   435,   436,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   451,    -1,
      -1,  3009,  3010,  3011,    -1,    -1,   459,  3015,    -1,   462,
      -1,    -1,   465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3042,  2678,    -1,  5768,    -1,    -1,
      -1,    -1,    -1,  4548,    -1,    -1,    -1,  2690,    -1,    -1,
      -1,    -1,  2695,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4595,    -1,    -1,  5824,    -1,  4600,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4777,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3251,  4903,    -1,    -1,    -1,  3256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4777,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4942,    -1,    -1,    -1,    -1,    -1,    -1,
    5376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3311,    -1,  4964,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3322,    -1,  3324,  3325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3338,    -1,    -1,  3341,    -1,  3343,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3379,    -1,  3381,    -1,  3383,  5035,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4903,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4942,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4964,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3477,
      -1,    -1,    -1,    -1,  3482,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3497,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5156,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3562,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5650,    -1,    -1,    -1,    -1,  5655,
    5656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5307,  3292,
      -1,  5156,  3295,    -1,    -1,    -1,    -1,    -1,  3301,  3302,
      -1,  3304,    -1,    -1,    -1,    -1,  3309,  3310,    -1,  3312,
      -1,  3314,    -1,    -1,    -1,  3318,    -1,    -1,  3321,    -1,
      -1,    -1,  5768,  3326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3335,    -1,    -1,    -1,    -1,  3340,    -1,    -1,
      -1,    -1,    -1,    -1,  3347,  3348,  3349,  3350,    -1,    -1,
      -1,  3354,  3355,    -1,  3357,    -1,    -1,  5376,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3376,    -1,  3378,    -1,    -1,  5824,    -1,
      -1,    -1,  3385,  3386,  3387,  3388,  3389,  3390,  3391,  3392,
    3393,  3394,    -1,    -1,    -1,  5841,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3431,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5307,    -1,    -1,    -1,    -1,  3815,    -1,    -1,
      -1,    -1,    -1,  3821,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5498,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3577,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5650,    -1,  5498,    -1,    -1,  5655,  5656,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4057,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4070,    -1,    -1,    -1,    -1,    -1,  4076,  4077,
    4078,    -1,    -1,    -1,    -1,  4083,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4095,    -1,  4097,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5768,
      -1,    -1,    -1,    -1,    -1,    -1,  4124,  4125,  4126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4151,    -1,  5650,  4154,    -1,  4156,    -1,
    5655,  5656,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4172,  5824,    -1,    -1,    -1,    -1,
      -1,    -1,  4180,  4181,    -1,    -1,  3819,  3820,    -1,  4187,
      -1,  3824,  5841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4216,    -1,
    3853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4267,
      -1,    -1,    -1,  5768,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5824,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5841,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4047,    -1,    -1,    -1,    -1,    -1,
    4053,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4101,  4102,
      -1,    -1,  4105,  4106,  4107,  4108,    -1,    -1,  4111,  4112,
    4113,  4114,  4115,  4116,  4117,  4118,  4119,  4120,  4121,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4144,    -1,    -1,  4147,    -1,  4149,    -1,    -1,  4152,
    4153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4174,  4175,  4176,  4177,    -1,  4179,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4601,  4602,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4612,    -1,  4249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4677,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4695,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4723,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4735,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4774,  4775,    -1,    -1,
      -1,    -1,    -1,  4781,  4782,    -1,    -1,    -1,  4786,    -1,
      -1,    -1,    -1,  4791,    -1,    -1,  4794,  4795,    -1,    -1,
      -1,    -1,    -1,  4801,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4846,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4857,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4865,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4518,    -1,  4885,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4561,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4987,
      -1,    -1,    -1,    -1,    -1,  4993,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4678,    -1,    -1,    -1,  4682,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5061,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4708,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4731,  4732,
      -1,    -1,    -1,    -1,  4737,  4738,  4739,  4740,    -1,    -1,
      -1,  4744,  4745,  4746,  4747,  4748,  4749,  4750,  4751,  4752,
    4753,  4754,  4755,  4756,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4780,    -1,    -1,
    4783,    -1,  4785,    -1,    -1,    -1,  4789,    -1,    -1,  4792,
    4793,    -1,    -1,  4796,  4797,    -1,    -1,    -1,    -1,  4802,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4856,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5234,  4870,    -1,    -1,
      -1,    -1,  5240,  5241,  5242,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5265,  5266,    -1,
      -1,  5269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5297,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5308,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5324,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5151,  5152,
      -1,    -1,    -1,    -1,    -1,    -1,  5159,    -1,    -1,    -1,
      -1,    -1,  5530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5552,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5201,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5229,    -1,    -1,    -1,
      -1,  5599,    -1,  5236,  5237,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5255,    -1,  5257,    -1,    -1,    -1,  5261,  5262,
    5263,  5264,    -1,    -1,  5267,  5268,    -1,    -1,    -1,    -1,
    5273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5291,    -1,
      -1,    -1,  5660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5309,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5333,    -1,    -1,    -1,  5702,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5398,    -1,    -1,    -1,  5402,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5801,  5437,    -1,    -1,    -1,    -1,    -1,
    5808,  5809,  5810,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5545,    -1,  5547,  5548,  5549,  5550,  5551,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5562,
    5563,  5564,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5581,    -1,
      -1,  5584,    -1,    -1,    -1,  5588,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5606,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5621,    -1,
      -1,    -1,    -1,  5991,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6001,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6044,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6054,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5802,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5835,    -1,  5837,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5889,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5997,    -1,    -1,    -1,    -1,    -1,
      -1,  6004,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6428,    -1,    -1,    -1,    -1,  6068,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6195,  6196,    -1,    -1,  6199,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6251,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6276,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,     5,     6,    -1,     8,     9,    10,    11,    12,    -1,
      -1,  6304,  6305,    -1,  6307,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,  6369,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   519,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,   528,   529,     3,    -1,     5,     6,
      -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,   476,
     477,   478,   479,   480,    -1,    -1,   483,    -1,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      -1,   508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   519,   520,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   528,   529,     3,    -1,     5,     6,    -1,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   519,
     520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,   529,
       3,    -1,     5,     6,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   519,   520,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   528,   529,     3,    -1,     5,
       6,    -1,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
     476,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,   519,   520,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   528,   529,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   529,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,   223,   224,   225,
     226,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,    -1,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,    -1,   291,   292,   293,   294,    -1,
      -1,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,    -1,
     336,    -1,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,    -1,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,   529,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,   223,   224,   225,
     226,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,    -1,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,    -1,   291,   292,   293,   294,    -1,
      -1,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,    -1,
     336,    -1,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,    -1,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,    -1,   473,   474,   475,
     476,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,    -1,     3,    -1,     5,
       6,    -1,     8,     9,    10,    11,    12,   503,   504,   505,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,   529,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
     476,   477,   478,   479,   480,    -1,    -1,   483,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    -1,   508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   519,   520,    -1,    -1,    -1,     3,    -1,
       5,     6,   528,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,    -1,    -1,   483,    -1,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    -1,   508,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   519,   520,    -1,    -1,    -1,     3,
      -1,     5,     6,   528,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,   476,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   519,   520,    -1,    -1,    -1,
       3,    -1,     5,     6,   528,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    36,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   519,   520,    -1,    -1,
      -1,     3,    -1,     5,     6,   528,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    36,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,   476,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   519,   520,    -1,
      -1,    -1,     3,    -1,     5,     6,   528,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   519,   520,
      -1,    -1,    -1,    -1,    -1,   526,   527,   528,     3,    -1,
       5,     6,    -1,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   519,   520,   521,    -1,    -1,     3,
      -1,     5,     6,   528,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,   476,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   519,   520,    -1,    -1,    -1,
       3,    -1,     5,     6,   528,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   519,   520,    -1,    -1,
      -1,     3,    -1,     5,     6,   528,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,   476,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   519,   520,    -1,
      -1,    -1,     3,    -1,     5,     6,   528,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   519,   520,
      -1,    -1,    -1,     3,    -1,     5,     6,   528,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   519,
     520,    -1,    -1,    -1,     3,    -1,     5,     6,   528,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,   476,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     519,   520,    -1,    -1,    -1,     3,    -1,     5,     6,   528,
       8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,   475,   476,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   519,   520,    -1,    -1,    -1,     3,    -1,     5,     6,
     528,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,   476,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   519,   520,    -1,    -1,    -1,     3,    -1,     5,
       6,   528,     8,     9,    10,    11,    12,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
     476,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   519,   520,    -1,    -1,    -1,     3,    -1,
       5,     6,   528,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   519,   520,    -1,    -1,    -1,     3,
      -1,     5,     6,   528,     8,     9,    10,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,   476,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   519,   520,    -1,    -1,    -1,
       3,    -1,     5,     6,   528,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   519,   520,    -1,    -1,
      -1,     3,    -1,     5,     6,   528,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,   476,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   519,   520,    -1,
      -1,    -1,     3,    -1,     5,     6,   528,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   519,   520,
      -1,    -1,    -1,     3,    -1,     5,     6,   528,     8,     9,
      10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,    -1,    -1,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   519,
     520,    -1,    -1,    -1,     3,    -1,     5,     6,   528,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,   476,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     519,   520,     3,    -1,     5,     6,    -1,     8,     9,   528,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   519,   520,
       3,    -1,     5,     6,    -1,     8,     9,   528,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,     5,     6,    -1,     8,     9,    -1,    11,    12,    -1,
      -1,    -1,    -1,    -1,    -1,   528,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,   476,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
       5,     6,    -1,     8,     9,    -1,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,   528,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   528,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,   307,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
     476,   477,   478,   479,   480,    -1,    -1,   483,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
      -1,    -1,   508,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   528,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
     307,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,   476,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   528,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,   475,   476,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     528,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,   476,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,   476,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,   519,   520,   521,
      -1,    -1,    -1,    -1,    -1,    -1,   528,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,    -1,    -1,
     483,    -1,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,    -1,    -1,   508,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   528,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,   476,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   528,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,    -1,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,   307,   308,   309,   310,    -1,    -1,   313,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   528,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,
      -1,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
      -1,    -1,   508,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   528,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,    -1,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,    -1,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   528,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     528,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,    -1,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,    -1,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   528,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,    -1,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,    -1,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,   528,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      -1,    -1,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,    -1,   167,   168,
     169,   170,    -1,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,    -1,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,    -1,   483,    -1,    -1,    -1,    -1,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,    -1,   504,   505,   506,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,   517,   518,
     519,   520,   521,   522,   523,   524,     3,    -1,     5,     6,
      -1,    -1,    -1,    10,    11,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      -1,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,    -1,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,    -1,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,
     517,   518,   519,   520,   521,   522,   523,   524,     3,    -1,
       5,     6,    -1,    -1,    -1,    10,    11,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    -1,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,    -1,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
      -1,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   516,   517,   518,   519,   520,   521,   522,   523,   524,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
      -1,    -1,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
      -1,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   516,   517,   518,   519,   520,   521,   522,
     523,   524,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,    -1,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,    -1,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   516,   517,   518,   519,   520,
     521,   522,   523,   524,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,    -1,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,    -1,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,   517,   518,
     519,   520,   521,   522,   523,   524,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,    -1,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,    -1,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   516,
     517,   518,   519,   520,   521,   522,   523,   524,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,    -1,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   516,   517,   518,   519,   520,   521,   522,   523,   524,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
      -1,    -1,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
      -1,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   516,   517,   518,   519,   520,   521,   522,
     523,   524,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,    -1,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,    -1,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   516,   517,   518,   519,   520,
     521,   522,   523,   524,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   521,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
      -1,    -1,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
      -1,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   521,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   521,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,    -1,    -1,
      -1,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,   223,   224,   225,   226,
     227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,    -1,   249,   250,   251,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,    -1,   291,   292,   293,   294,    -1,    -1,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,    -1,   336,
      -1,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,    -1,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,    -1,   473,   474,   475,   476,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,   521,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
      -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,   223,   224,
     225,   226,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,    -1,   249,   250,   251,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,    -1,   291,   292,   293,   294,
      -1,    -1,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
      -1,   336,    -1,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
      -1,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,    -1,   473,   474,
     475,   476,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,
     505,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,   521,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,   306,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,   476,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     3,    -1,     5,     6,    -1,    -1,
      -1,    -1,    11,    -1,    -1,    -1,    -1,   519,   520,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,   476,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     3,    -1,     5,
       6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,
     519,   520,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
     476,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,   519,   520,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    11,    -1,    -1,    -1,    -1,   519,   520,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,   177,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     3,    -1,     5,     6,
      -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,   519,
     520,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,   475,   476,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     3,    -1,
       5,     6,    -1,     8,     9,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,   106,   107,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,   476,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,   106,   107,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,   476,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
     106,   107,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
     476,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,   106,   107,    -1,    -1,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,   186,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     3,    -1,    -1,     6,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,   306,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,   106,
     107,    -1,    -1,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,   476,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,   106,   107,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,   476,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,   106,   107,    -1,    -1,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,   106,   107,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,   475,   476,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,   106,   107,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,   476,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,   476,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     3,    -1,    -1,     6,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,   476,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     3,    -1,    -1,
       6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
     476,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,   476,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,   476,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,   476,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,   476,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,   475,   476,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    -1,    -1,    80,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,   173,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,    -1,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,    -1,    -1,   225,    -1,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,   251,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      99,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,   183,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,    -1,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,    -1,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,   183,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,
      -1,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
     173,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
      -1,    -1,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
      -1,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,    -1,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
     307,   308,   309,   310,    -1,    -1,   313,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,    -1,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,    -1,
      -1,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,   307,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,    -1,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,    -1,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,    -1,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,   307,   308,   309,   310,    -1,    -1,   313,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,    -1,    -1,   225,    -1,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,    -1,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,    -1,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,
      -1,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
      -1,    -1,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
      -1,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,    -1,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,    -1,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,    -1,
      -1,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,   307,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,    -1,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,    -1,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,    -1,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,    -1,    -1,   225,    -1,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,    -1,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,    -1,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,
      -1,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,   307,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
      -1,    -1,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
      -1,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,    -1,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,    -1,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     3,
      -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,    -1,
      -1,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,    -1,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,    -1,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    38,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,    -1,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,    -1,    -1,   225,    -1,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,    -1,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,    -1,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,
      -1,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
      -1,    -1,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
      -1,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,    -1,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,    -1,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,    -1,
      -1,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,    -1,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,    -1,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,    -1,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,    -1,    -1,   225,    -1,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,    -1,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,    -1,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,
      -1,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
      -1,    -1,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
      -1,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,    -1,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,    -1,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,    -1,
      -1,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,    -1,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,    -1,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,    -1,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,    -1,    -1,   225,    -1,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,    -1,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,    -1,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,
      -1,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
      -1,    -1,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
      -1,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,    -1,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,    -1,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,    -1,
      -1,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,    -1,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,    -1,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,    -1,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    38,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,    -1,    -1,   225,    -1,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,    -1,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,    -1,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,
      -1,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
      -1,    -1,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
      -1,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,    -1,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,    -1,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,    -1,
      -1,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,    -1,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,    -1,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,   430,    -1,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
     468,   469,   470,   471,   472,   473,    -1,   475,    -1,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,    -1,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,   430,    -1,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
     445,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,   472,   473,    -1,
     475,    -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,    -1,    -1,   225,    -1,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,   430,    -1,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,   468,   469,   470,   471,
     472,   473,    -1,   475,    -1,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      -1,    -1,    81,    82,    83,    84,    85,    86,    -1,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,    -1,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,    -1,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,   430,    -1,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,   472,   473,    -1,   475,    -1,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,
      -1,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,   430,    -1,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,   472,   473,    -1,   475,
      -1,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,    -1,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
      -1,    -1,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
      -1,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,   430,    -1,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,   472,
     473,    -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
     430,    -1,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,   472,   473,    -1,   475,    -1,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,    -1,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,    -1,    -1,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,    -1,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,   430,    -1,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,   472,   473,    -1,   475,    -1,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,    -1,
      -1,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,    -1,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,   468,   469,   470,   471,   472,   473,
      -1,   475,    -1,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,
      81,    82,    83,    84,    85,    86,    -1,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,    -1,
     101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,    -1,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,    -1,    -1,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,    -1,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
      -1,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
      -1,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,   430,
      -1,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,    -1,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,   223,   224,   225,   226,   227,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
      -1,   249,   250,   251,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,    -1,   291,   292,   293,   294,    -1,    -1,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,    -1,   336,    -1,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,    -1,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,    -1,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
     468,   469,   470,   471,    -1,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    -1,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,    -1,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,   211,    -1,   213,   214,   215,   216,   217,   218,
      -1,   220,    -1,   222,   223,   224,   225,   226,   227,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,    -1,
     249,   250,   251,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,    -1,   291,   292,   293,   294,   295,    -1,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,    -1,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,    -1,   336,    -1,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,    -1,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,   438,
     439,   440,    -1,    -1,   443,   444,    -1,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,    -1,   473,    -1,   475,   476,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,   505,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,    -1,
     210,   211,    -1,   213,   214,   215,   216,   217,   218,    -1,
     220,    -1,   222,   223,   224,   225,   226,   227,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,    -1,   249,
     250,   251,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,    -1,    -1,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,    -1,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,    -1,   332,   333,   334,    -1,   336,    -1,   338,   339,
     340,    -1,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,    -1,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,    -1,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,    -1,   427,   428,    -1,
     430,   431,   432,   433,   434,   435,   436,    -1,   438,   439,
     440,    -1,    -1,   443,   444,    -1,   446,    -1,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,    -1,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,   468,   469,
     470,   471,    -1,   473,    -1,   475,   476,   477,   478,   479,
     480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,
     490,   491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,   504,   505,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,    -1,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,    -1,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,    -1,   210,
     211,    -1,   213,   214,   215,   216,   217,   218,    -1,   220,
      -1,   222,   223,   224,   225,   226,   227,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,    -1,   249,   250,
     251,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,    -1,   289,    -1,
     291,   292,   293,   294,    -1,    -1,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,    -1,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
      -1,   332,   333,   334,    -1,   336,    -1,   338,   339,   340,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,    -1,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,    -1,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,    -1,   427,   428,    -1,   430,
     431,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
      -1,    -1,   443,   444,    -1,   446,    -1,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,    -1,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,   468,   469,   470,
     471,    -1,   473,    -1,   475,   476,   477,   478,   479,   480,
      -1,    -1,   483,    -1,    -1,   486,   487,   488,   489,   490,
     491,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,   504,   505,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,    -1,   164,    -1,   166,   167,   168,   169,   170,   171,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,    -1,   210,   211,
      -1,   213,   214,   215,   216,   217,   218,    -1,   220,    -1,
     222,   223,   224,   225,   226,   227,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,    -1,   249,   250,   251,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,    -1,   291,
     292,   293,   294,    -1,    -1,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,    -1,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,    -1,
     332,   333,   334,    -1,   336,    -1,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
      -1,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,    -1,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,    -1,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,    -1,
      -1,   443,   444,    -1,   446,    -1,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,    -1,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,   468,   469,   470,   471,
      -1,   473,    -1,   475,   476,   477,   478,   479,   480,    -1,
      -1,   483,    -1,    -1,   486,   487,   488,   489,   490,   491,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,   504,   505,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    -1,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    -1,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
      -1,   164,    -1,   166,   167,   168,   169,   170,   171,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,   211,    -1,
     213,   214,   215,   216,   217,   218,    -1,   220,    -1,   222,
     223,   224,   225,   226,   227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,    -1,   249,   250,   251,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,    -1,   291,   292,
     293,   294,    -1,    -1,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,    -1,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,    -1,   332,
     333,   334,    -1,   336,    -1,   338,   339,   340,    -1,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,    -1,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,    -1,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,    -1,   427,   428,    -1,   430,   431,   432,
     433,   434,   435,   436,    -1,   438,   439,   440,    -1,    -1,
     443,   444,    -1,   446,    -1,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,   468,   469,   470,   471,    -1,
     473,    -1,   475,   476,   477,   478,   479,   480,    -1,    -1,
     483,    -1,    -1,   486,   487,   488,   489,   490,   491,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,   504,   505,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    -1,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,    -1,   210,   211,    -1,   213,
     214,   215,   216,   217,   218,    -1,   220,    -1,   222,   223,
     224,   225,   226,   227,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,    -1,   249,   250,   251,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,    -1,   291,   292,   293,
     294,    -1,    -1,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,    -1,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,    -1,   332,   333,
     334,    -1,   336,    -1,   338,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,    -1,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,    -1,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,   436,    -1,   438,   439,   440,    -1,    -1,   443,
     444,    -1,   446,    -1,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,    -1,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,   468,   469,   470,   471,    -1,   473,
      -1,   475,   476,   477,   478,   479,   480,    -1,    -1,   483,
      -1,    -1,   486,   487,   488,   489,   490,   491,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
     504,   505,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
      -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,    -1,   210,   211,    -1,   213,   214,
     215,   216,   217,   218,    -1,   220,    -1,   222,   223,   224,
     225,   226,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,    -1,   249,   250,   251,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,    -1,   291,   292,   293,   294,
      -1,    -1,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
      -1,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,    -1,   332,   333,   334,
      -1,   336,    -1,   338,   339,   340,    -1,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,    -1,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,    -1,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,    -1,   427,   428,    -1,   430,   431,   432,   433,   434,
     435,   436,    -1,   438,   439,   440,    -1,    -1,   443,   444,
      -1,   446,    -1,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,    -1,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,   468,   469,   470,   471,    -1,   473,    -1,
     475,   476,   477,   478,   479,   480,    -1,    -1,   483,    -1,
      -1,   486,   487,   488,   489,   490,   491,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,
     505,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,    -1,   210,   211,    -1,   213,   214,   215,
     216,   217,   218,    -1,   220,    -1,   222,   223,   224,   225,
     226,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,    -1,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,    -1,   291,   292,   293,   294,    -1,
      -1,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,    -1,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,    -1,   332,   333,   334,    -1,
     336,    -1,   338,   339,   340,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,    -1,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,    -1,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
      -1,   427,   428,    -1,   430,   431,   432,   433,   434,   435,
     436,    -1,   438,   439,   440,    -1,    -1,   443,   444,    -1,
     446,    -1,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,    -1,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,   468,   469,   470,   471,    -1,   473,    -1,   475,
     476,   477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,
     486,   487,   488,   489,   490,   491,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,    -1,    -1,
      -1,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,    -1,   210,   211,    -1,   213,   214,   215,   216,
     217,   218,    -1,   220,    -1,   222,   223,   224,   225,   226,
     227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,    -1,   249,   250,   251,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,    -1,   291,   292,   293,   294,    -1,    -1,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,    -1,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,    -1,   332,   333,   334,    -1,   336,
      -1,   338,   339,   340,    -1,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,    -1,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,    -1,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,    -1,
     427,   428,    -1,   430,   431,   432,   433,   434,   435,   436,
      -1,   438,   439,   440,    -1,    -1,   443,   444,    -1,   446,
      -1,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,    -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,   468,   469,   470,   471,    -1,   473,    -1,   475,   476,
     477,   478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,
     487,   488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,   504,   505,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,    -1,   210,   211,    -1,   213,   214,   215,   216,   217,
     218,    -1,   220,    -1,   222,   223,   224,   225,   226,   227,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
      -1,   249,   250,   251,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,    -1,   291,   292,   293,   294,    -1,    -1,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,    -1,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,    -1,   332,   333,   334,    -1,   336,    -1,
     338,   339,   340,    -1,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,    -1,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
      -1,   399,   400,    -1,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,    -1,   427,
     428,    -1,   430,   431,   432,   433,   434,   435,   436,    -1,
     438,   439,   440,    -1,    -1,   443,   444,    -1,   446,    -1,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
      -1,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
     468,   469,   470,   471,    -1,   473,    -1,   475,   476,   477,
     478,   479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,
     488,   489,   490,   491,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,   504,   505,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    -1,    54,    -1,    -1,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      -1,    -1,    71,    -1,    73,    74,    75,    76,    -1,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,    -1,    -1,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,    -1,   164,    -1,   166,   167,   168,
      -1,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
      -1,   210,   211,    -1,   213,   214,   215,   216,    -1,    -1,
      -1,    -1,    -1,   222,   223,   224,   225,   226,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,    -1,
     249,   250,   251,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,    -1,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,    -1,   291,   292,   293,   294,    -1,    -1,   297,    -1,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,    -1,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,    -1,   332,   333,   334,    -1,   336,    -1,   338,
     339,   340,    -1,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,    -1,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,    -1,
     399,   400,    -1,   402,   403,   404,   405,   406,    -1,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,    -1,   427,   428,
      -1,   430,   431,   432,   433,   434,   435,   436,    -1,   438,
      -1,    -1,    -1,    -1,   443,   444,    -1,   446,    -1,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,    -1,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,   468,
     469,   470,   471,    -1,    -1,    -1,   475,   476,   477,   478,
     479,   480,    -1,    -1,   483,    -1,    -1,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,   504,   505
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,    20,    31,    33,    34,    51,    61,    73,    75,    76,
      82,    84,    97,    99,   116,   119,   134,   136,   140,   147,
     156,   158,   165,   183,   200,   253,   254,   259,   273,   292,
     339,   354,   360,   361,   363,   368,   374,   377,   384,   391,
     392,   399,   403,   413,   429,   449,   461,   467,   472,   485,
     508,   511,   512,   513,   514,   515,   528,   537,   538,   539,
     540,   545,   546,   552,   553,   555,   556,   557,   558,   560,
     563,   575,   580,   581,   584,   585,   586,   604,   607,   608,
     623,   672,   675,   676,   679,   682,   683,   684,   692,   699,
     701,   702,   705,   708,   709,   713,   722,   726,   727,   728,
     731,   733,   734,   735,   736,   744,   746,   766,   770,   772,
     773,   783,   785,   792,   793,   796,   797,   798,   799,   800,
     809,   811,   813,   816,   820,   821,   831,   832,   835,   840,
     851,   883,   886,   887,   888,   893,   896,   898,   900,   902,
     903,   907,   908,   911,   913,   914,   918,   919,   920,   923,
     924,   925,   926,   927,   934,   936,   937,   938,   939,   945,
     947,   948,   954,   955,   956,   959,   960,   961,   962,   964,
     965,   967,   968,   970,   971,   973,   985,   987,   990,   992,
     993,  1002,  1004,  1009,  1014,  1022,  1026,  1027,  1028,  1029,
    1030,  1031,  1037,  1073,   443,   488,   940,    28,    79,    96,
     114,   120,   138,   151,   160,   173,   179,   186,   205,   243,
     265,   308,   334,   344,   345,   348,   376,   379,   383,   386,
     393,   396,   415,   423,   428,   429,   432,   436,   446,   451,
     465,   478,   698,   940,     3,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    30,    31,    32,    40,    41,    42,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    58,    59,    60,    61,    62,    63,    64,
      67,    68,    69,    70,    71,    73,    74,    75,    76,    77,
      79,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    93,    94,    95,    96,    97,    98,   100,   101,
     102,   103,   107,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   121,   123,   124,   125,   126,   127,   128,   129,
     131,   132,   133,   134,   137,   138,   139,   140,   141,   143,
     144,   145,   146,   148,   149,   150,   151,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   164,   166,   167,
     168,   169,   170,   172,   174,   175,   176,   178,   179,   180,
     181,   182,   184,   185,   187,   188,   189,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   202,   203,   204,
     205,   206,   207,   208,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   220,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   247,   248,   249,
     250,   251,   253,   254,   255,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   291,   292,   293,
     294,   296,   297,   298,   299,   300,   301,   303,   304,   305,
     308,   309,   310,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   393,   394,
     395,   396,   397,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   427,
     428,   430,   431,   432,   433,   434,   435,   436,   438,   439,
     440,   443,   444,   445,   446,   447,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   460,   461,   462,   463,   464,
     467,   468,   469,   470,   471,   472,   473,   475,   476,   477,
     478,   479,   480,   483,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,  1138,  1296,  1308,  1309,  1313,  1314,
    1315,     3,    29,  1023,  1293,  1308,  1313,   476,   528,   978,
     306,   340,   940,    54,   528,   615,    23,    41,    66,    79,
     114,   120,   138,   151,   160,   173,   182,   186,   255,   308,
     311,   334,   348,   376,   386,   396,   415,   423,   432,   433,
     435,   436,   451,   459,   462,   465,   624,   681,   788,   841,
     852,    29,   339,  1293,  1023,    29,   333,   394,   433,   435,
       6,   242,   894,   895,  1299,    23,    28,    66,    79,    96,
     114,   138,   151,   160,   173,   179,   186,   205,   265,   308,
     321,   334,   345,   348,   376,   379,   383,   386,   393,   396,
     415,   423,   429,   432,   436,   444,   446,   451,   465,   478,
     698,   801,   803,   804,   940,  1293,    99,   476,   528,   676,
     679,   682,   973,   986,   990,   993,  1002,  1009,  1014,  1022,
    1026,    11,    22,    29,    49,   168,   175,   177,   201,   244,
     281,   342,   362,   519,   520,   817,   818,  1023,  1298,  1300,
      29,    31,    99,   358,   392,   822,   823,   824,  1308,   173,
    1308,  1295,  1299,   429,  1040,   817,  1308,   443,  1293,   321,
     265,   528,   906,   384,  1308,    29,   397,   439,   443,   567,
     576,   577,  1308,    26,   183,   822,   823,   340,   940,  1308,
     241,    29,   135,  1042,  1043,    67,    93,   255,   275,   376,
     386,   397,   439,   443,   491,   564,   565,   566,   567,    29,
     397,   439,   443,   567,   443,   307,  1085,  1086,  1291,  1308,
    1040,   521,  1308,   178,   528,   979,   528,   356,  1032,  1033,
    1293,  1032,     3,    53,    55,    56,    69,    70,   117,   118,
     139,   169,   217,   218,   220,   227,   276,   278,   298,   353,
     401,   407,   439,   440,   473,  1108,  1110,  1112,  1114,  1116,
    1118,  1119,  1120,  1122,  1123,  1124,  1126,  1127,  1131,  1309,
    1313,  1042,  1043,  1044,  1304,    12,  1305,  1306,  1308,  1305,
    1305,  1027,  1028,  1031,     0,   533,   528,   978,   152,   219,
     312,   458,  1045,  1046,  1027,  1029,  1030,   125,   215,   267,
     464,   534,    35,   944,   868,  1296,   806,  1308,   806,  1293,
     343,   806,   446,  1293,   113,   429,   856,  1296,  1308,  1315,
       3,   106,   110,   398,  1301,  1302,  1310,  1313,  1314,  1315,
      29,   195,  1291,   299,   478,    10,    17,    18,    19,    74,
     164,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     890,   892,  1168,  1169,  1308,   195,  1293,   856,  1293,    29,
    1301,  1302,   856,  1293,  1293,   195,  1291,  1293,   195,   806,
    1293,   368,   399,    29,   195,  1085,  1293,   389,  1293,   806,
      29,   262,  1301,  1302,   195,  1291,   242,   122,   225,   290,
     352,   941,   942,   943,   528,   526,   530,  1194,  1196,   972,
     973,   974,   975,  1310,  1291,  1293,  1308,    28,    66,    80,
      92,   114,   138,   179,   205,   243,   308,   345,   376,   379,
     423,   432,   444,   451,   801,   802,   803,   804,  1299,   944,
     989,   993,  1002,  1009,  1014,  1026,  1291,   268,   806,   528,
     195,   806,  1293,   806,   446,   195,  1293,   113,   429,   433,
     435,  1301,  1302,   433,   435,    74,   164,   890,   366,  1293,
    1293,  1301,   195,   541,  1308,   195,  1293,   195,   542,   806,
    1293,  1293,   389,   806,   262,  1301,   356,   393,   429,   478,
     265,    96,   205,    28,    92,   179,   345,   383,   444,   446,
     450,   693,    29,  1293,  1024,   574,  1299,  1310,   895,   268,
     195,   868,   869,   195,   899,   195,  1293,   195,   808,  1108,
     446,   113,   429,   195,   855,   856,   195,  1302,  1303,    87,
     478,    74,   164,   195,   891,   892,    59,   195,   855,   195,
    1303,   195,   855,   195,  1293,   195,  1293,   389,   899,   195,
     808,   195,   262,  1303,   242,   195,   805,   806,   195,  1292,
    1293,   195,  1293,   944,   528,   991,   624,   986,   472,   972,
     978,  1300,   818,   819,    29,   819,  1300,   819,    29,   819,
    1300,   819,   819,   819,  1300,  1298,  1298,  1023,   819,   343,
     528,   428,   528,   649,   649,   649,   306,   441,   534,   649,
     386,  1085,  1087,   534,   935,  1299,   528,   988,    59,   478,
     972,   114,   205,   386,   428,   429,   904,   905,  1308,    48,
     505,   225,   530,   309,   309,   306,   177,  1299,   441,   944,
     171,   814,   306,     5,     8,     9,    10,    12,    37,    53,
      55,    56,    65,    66,    69,    70,    77,    79,   104,   105,
     106,   107,   108,   109,   110,   117,   118,   120,   157,   162,
     163,   169,   185,   187,   217,   218,   220,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   237,   248,   256,   257,
     276,   278,   288,   290,   295,   296,   298,   308,   319,   335,
     353,   381,   398,   407,   424,   439,   440,   445,   447,   448,
     459,   465,   473,   493,   494,   495,   496,   498,   499,   500,
     501,   506,   519,   520,   521,   528,  1027,  1111,  1114,  1117,
    1118,  1119,  1121,  1122,  1123,  1126,  1127,  1131,  1132,  1137,
    1138,  1139,  1141,  1164,  1165,  1166,  1170,  1188,  1193,  1199,
    1200,  1201,  1202,  1203,  1228,  1268,  1271,  1272,  1280,  1283,
    1284,  1285,  1288,  1289,  1296,  1297,  1298,  1299,  1308,  1287,
    1288,  1299,    29,   582,  1290,  1291,   397,   564,   120,   573,
    1299,   574,  1299,    48,    71,   564,   505,   408,   942,   309,
     177,   441,   518,    48,   505,   225,   943,   528,  1291,   521,
    1196,  1087,   972,   176,   980,  1132,  1173,  1032,   534,   528,
     981,   475,  1125,  1125,  1125,   528,  1113,  1113,   337,   528,
    1115,    69,    70,  1125,  1113,  1110,   508,   510,   528,  1128,
     528,  1128,    37,  1109,   528,   115,   193,   269,   272,   390,
     503,   528,  1129,  1130,   530,   807,  1113,  1287,  1197,   529,
     529,   539,   972,   982,   983,   984,  1291,    29,   135,  1041,
    1041,    59,  1041,   165,   171,   252,   302,  1049,  1051,  1052,
    1067,  1069,  1070,  1071,  1045,  1046,   177,   221,   221,  1085,
    1088,   528,    68,   286,   322,   364,   399,   528,   866,   322,
     360,   364,   399,   807,   322,   364,   399,     3,    91,   145,
     258,   322,   360,   364,   399,   432,   434,   485,   575,   578,
     949,   950,   951,   952,   836,    25,   140,   322,   364,   399,
     469,   591,  1293,    25,   140,   399,   464,   559,   489,   195,
    1085,    62,    98,   161,   198,   247,   286,   290,   322,   323,
     364,   373,   382,   391,   399,   411,   420,   425,   480,   575,
     579,   872,   884,   912,   528,   853,  1196,   364,   559,   201,
     157,    25,    31,    46,    76,   133,   140,   144,   172,   207,
     286,   290,   300,   310,   322,   364,   367,   368,   399,   469,
     587,   589,   590,   716,   912,     5,   519,   520,   690,  1300,
      29,   195,  1291,   806,   806,   528,   889,   322,   399,   530,
     157,   306,   322,   364,   399,   884,   912,    25,   140,   322,
     364,   399,   201,   554,   364,   485,   508,   547,   554,   322,
     364,   399,   884,   912,   306,   322,   364,   157,    38,    60,
     112,   204,   266,   270,   286,   321,   364,   369,   393,   399,
     413,   587,   687,   688,   322,   364,   477,   716,   724,   157,
     322,   364,   399,    25,    91,   133,   140,   144,   322,   360,
     364,   399,   406,   577,   565,   567,   201,   157,    46,   131,
     286,   364,   399,   587,   588,   322,   364,   368,   399,    89,
     132,   325,   434,   306,    25,    31,   140,   322,   364,   399,
     605,   606,   554,   171,   364,   547,   554,   157,   364,   399,
     587,  1293,   250,   122,   307,   490,   534,   941,    29,   135,
     474,   521,   529,   861,  1132,  1174,  1175,  1309,  1132,  1195,
       3,    29,    33,    34,    35,    36,    37,    38,    39,    43,
      57,    65,    66,    72,    78,    80,    92,    99,   104,   105,
     106,   108,   109,   110,   120,   122,   130,   135,   136,   142,
     147,   152,   163,   165,   171,   173,   177,   183,   186,   190,
     201,   209,   219,   221,   245,   246,   252,   256,   257,   290,
     295,   302,   306,   307,   311,   312,   331,   341,   358,   372,
     392,   398,   409,   426,   429,   437,   441,   442,   448,   458,
     459,   465,   466,   474,   481,   482,   484,   485,   521,  1294,
    1311,  1313,  1314,  1315,  1316,  1194,   529,   534,   163,   306,
     448,   571,   574,   690,   976,   466,   969,   306,   868,   528,
     806,  1293,  1108,   856,   299,    74,   164,   892,   856,   856,
     171,  1108,   806,  1293,  1293,   529,   649,  1293,    72,  1108,
     290,   177,   528,   774,   547,    38,   963,  1293,   290,   547,
     489,   195,  1291,   547,   806,   806,   774,   462,   624,   306,
     171,   485,   880,   547,   290,    48,   561,   290,   451,   723,
     290,   981,    91,   322,   700,    89,   132,   325,   434,    38,
     774,   171,   195,   547,   478,   195,  1291,   195,   677,  1291,
    1291,   478,   806,    87,   543,  1296,   446,  1296,  1296,  1293,
     171,  1293,   698,    40,    54,   111,   214,   286,   388,   157,
      63,   370,   534,   544,   157,   528,   157,   547,   157,   534,
     544,   489,   157,   534,   544,   157,   534,   195,   805,   195,
     806,   195,   806,   157,   534,   544,  1303,   157,   544,   157,
     157,   544,   157,   544,   157,    89,   132,   325,   434,   171,
     157,   544,   157,   171,   195,   157,   534,   544,   157,   534,
     544,   157,   306,  1173,   429,   529,   986,   819,  1023,   819,
    1023,   819,  1023,   819,  1023,   819,  1023,  1023,  1023,   819,
    1023,   528,   650,   651,  1308,   650,    29,   114,   138,   173,
     179,   242,   243,   324,   345,   379,   386,   393,   429,   432,
     451,   827,  1290,  1303,   824,  1293,   201,   534,  1005,  1299,
    1108,  1177,    38,  1303,   543,   529,   543,   543,   543,   250,
    1308,   171,   171,   827,  1303,   384,  1308,   574,   306,   528,
    1197,   526,  1027,  1178,  1132,  1192,   528,   528,   171,   528,
     528,  1027,   528,   528,   528,   528,   528,   528,   528,   528,
     528,   528,   528,   528,   528,   528,   528,   528,   528,  1132,
     528,   528,   528,   528,   528,   528,   528,   528,   297,   640,
     528,   528,   528,   528,   528,   528,   528,   528,  1132,  1132,
    1132,  1027,  1132,  1173,  1196,  1299,   528,  1299,     3,    10,
      13,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   167,   168,   169,   170,   172,   173,   174,
     175,   176,   178,   179,   180,   181,   182,   184,   185,   187,
     188,   189,   191,   192,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   220,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   270,   271,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   303,   304,   305,
     307,   308,   309,   310,   311,   313,   314,   315,   316,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     476,   477,   478,   479,   480,   481,   483,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   504,   505,   506,   516,   517,   518,   519,   520,
     521,   522,   523,   524,  1168,  1170,  1172,  1312,  1317,   486,
    1151,   318,  1132,   166,  1152,   221,   534,  1038,   528,  1299,
    1196,  1038,   123,   197,   583,   534,    71,   120,   574,    38,
       3,   120,   255,   572,   690,  1127,  1299,  1299,    94,   137,
    1147,   103,   120,   568,   569,   571,   690,   120,   568,   250,
    1291,    95,   369,   810,   529,   978,    35,    45,    52,    78,
     196,   201,   223,   251,   308,   311,   404,   529,   534,  1033,
    1292,    38,   528,  1173,  1298,  1125,  1125,    37,  1109,   439,
     439,  1298,  1298,   526,   526,  1298,   441,   441,   441,   528,
     441,  1298,  1294,   530,  1113,   177,  1074,    15,   518,  1194,
    1307,   529,   534,   981,  1029,  1029,  1047,  1048,  1132,  1029,
     168,   281,  1058,   238,   286,   352,   402,   464,    29,  1053,
    1132,   519,   520,  1054,  1055,  1132,  1137,  1067,  1068,  1052,
    1051,  1049,  1050,   171,  1070,   300,  1072,  1049,  1067,  1088,
     994,  1291,  1088,    38,  1308,   399,  1173,    68,   441,   441,
     386,   201,   212,   312,   315,   401,   474,   521,   859,   860,
     861,   863,   865,   867,  1108,  1309,   441,   477,   441,   386,
     441,   441,   386,   252,   441,    79,   441,   432,   564,   322,
     949,   951,   518,   953,   171,   183,   201,   374,   837,   838,
      72,    92,   153,   173,   341,   459,   646,   647,    92,   120,
     290,   441,    92,   441,   120,   290,   386,    92,   133,   144,
     322,   364,   771,   386,   706,    28,    66,   138,   179,   308,
     345,   379,   444,   451,   801,   802,  1293,   157,   364,   399,
     587,   306,   690,   391,   247,   441,  1308,   441,   295,   690,
     124,   222,   386,   397,   443,   566,   806,   370,   399,   872,
     885,   128,   529,   854,   859,   441,   465,   432,  1291,    80,
     153,   195,   631,   646,  1308,    80,    92,   909,   327,   306,
     381,   383,   446,    92,   909,    32,   367,   381,   383,   446,
     381,  1291,   172,   207,   300,   806,   528,   441,   441,   194,
     528,   595,    23,   261,   432,   462,   487,   595,    92,   534,
     128,     5,     5,   322,   201,   157,   364,   399,   587,   912,
     466,   466,   287,  1108,   441,   386,   528,   890,  1293,  1291,
     441,   441,   386,   885,   128,    29,   107,   429,   921,   922,
    1086,  1291,  1308,   922,   441,   441,   774,   922,   114,   399,
     578,   441,   549,   578,   441,   441,   386,   885,   128,  1291,
     441,   441,  1291,  1110,   690,    59,   689,   690,   690,   112,
     266,   270,    59,   441,   547,   274,   386,   547,   286,   688,
     441,   441,   295,  1299,   716,   806,   441,   441,   386,   415,
     348,  1299,   348,   441,   348,   441,   348,   774,   774,   432,
    1085,   327,   327,    92,   441,   909,   386,   441,   441,   595,
     595,   806,   806,   806,   806,  1291,    47,   471,    47,    47,
     441,    47,   441,   471,   386,   528,   534,   578,   465,   732,
    1302,   441,   549,   578,  1291,   441,   909,   386,   322,   364,
     352,   365,   395,   570,   941,  1174,  1174,  1175,   529,    15,
      16,   534,  1045,  1046,   527,   535,  1291,   974,  1293,  1291,
     223,  1108,   223,   306,   223,   223,   690,   806,   806,   223,
     223,   223,  1108,   223,   223,   223,   306,   441,   177,   441,
     609,   451,   528,    38,   157,   806,   775,   776,  1311,   949,
    1108,   306,   157,   703,  1293,   290,   327,   528,   548,   788,
     466,   356,   478,  1291,    29,   922,   774,   548,   157,  1302,
      99,   183,   562,   623,   683,   746,   820,   840,   945,   157,
    1299,   724,   725,   157,   306,  1299,  1302,   258,   806,   806,
     806,   806,   148,   351,   528,   732,   290,   548,  1291,   290,
     685,   687,   290,    38,   300,   327,   528,   649,   649,   195,
     680,  1291,   171,   195,   541,  1308,   528,   778,   866,  1293,
     528,   857,   857,    38,  1108,    27,    50,   216,   747,   242,
     485,   487,  1025,   388,   869,   868,  1108,  1293,   528,   808,
    1108,   855,   856,  1303,  1302,   157,   544,   157,   466,   157,
     466,   891,   892,   544,   855,  1303,   855,  1293,  1293,  1108,
     808,  1303,   732,   157,   805,   806,  1292,  1293,  1293,   806,
     529,   195,  1291,   986,  1023,  1023,  1023,  1023,  1023,  1023,
     650,   529,   534,   529,   180,   346,   380,   394,   430,  1292,
     805,   113,   396,   855,  1292,   299,   825,   826,  1308,   855,
     855,  1292,  1290,  1290,  1292,   805,   441,   485,   833,   152,
     252,   729,   730,    23,   155,   381,   402,  1006,  1085,   294,
    1007,   529,   534,   989,   441,  1291,  1293,  1291,   541,   823,
     822,   823,   177,   184,   834,  1308,    28,    80,   138,   179,
     243,   345,   379,   451,   801,   802,  1173,   527,  1173,  1178,
    1179,   481,  1189,  1190,  1132,  1173,   528,  1298,  1298,     3,
     115,   193,   269,   272,   390,   503,  1180,  1181,  1299,  1173,
    1173,  1132,  1212,   372,  1027,  1028,  1212,  1267,  1281,  1212,
    1204,  1205,  1212,  1132,  1137,  1174,  1273,  1274,  1275,  1276,
    1277,  1278,  1132,  1278,  1204,  1132,  1212,  1204,  1173,  1298,
    1298,  1132,  1132,   890,  1132,  1174,  1176,  1183,   381,   519,
     520,   528,  1133,  1137,  1170,  1184,   529,  1173,  1132,  1176,
    1185,  1132,    57,   177,   246,   442,  1132,  1173,  1186,   135,
     290,  1027,  1173,   274,  1137,  1132,  1145,  1146,  1147,   274,
    1132,  1147,   529,   534,  1298,  1129,  1108,  1132,  1132,  1132,
    1132,  1311,   439,    43,   426,  1198,   806,  1132,   528,  1027,
    1187,   135,   137,   163,   227,   282,   283,   284,   285,   289,
     290,   295,   448,   460,  1134,  1182,  1132,   528,  1132,   441,
      52,   196,   201,   251,   404,  1132,  1132,  1132,  1132,  1132,
    1132,  1132,  1132,  1132,  1132,    29,    36,   409,  1167,   186,
    1152,   381,   528,  1164,   528,   317,  1156,   182,   255,   429,
     433,   435,   462,  1039,  1291,  1289,  1074,  1174,  1074,  1291,
     443,   528,  1299,   534,   529,   194,   194,   544,   984,   973,
     977,  1132,   529,   265,   290,  1034,  1173,   529,   529,   526,
     505,   505,   529,   529,  1298,   527,  1298,   529,   193,   269,
    1130,   269,  1130,  1130,  1298,   272,   529,  1294,   227,   236,
     245,   382,   502,   528,  1027,  1075,  1076,  1077,  1085,  1091,
    1101,  1138,  1140,  1141,  1238,  1283,  1308,   482,  1096,  1304,
     984,   982,   534,    39,   130,   466,   849,   381,   382,   519,
     520,  1055,  1057,  1137,   402,   238,   307,   534,     5,  1056,
    1298,  1056,   381,   382,  1057,  1290,   294,   406,  1008,  1068,
    1050,   466,  1003,   120,   320,   528,   995,  1026,    38,   466,
    1308,   528,  1010,  1011,  1012,  1308,   529,  1302,  1293,  1293,
     315,    59,  1309,   529,   861,   863,   860,   863,  1309,   312,
     529,   534,   807,  1302,  1293,  1293,  1302,  1293,  1293,  1302,
     477,  1293,  1293,   120,   571,  1300,   376,   465,   822,   386,
     183,   822,   528,  1293,   466,   842,   238,   238,   466,   640,
     671,   195,  1293,   295,  1302,  1293,  1293,  1132,   295,  1293,
    1293,    32,   367,   441,   441,  1293,   441,   707,   868,   528,
    1108,   856,    74,   164,   892,   856,   856,   171,  1108,   806,
    1293,   189,   286,   322,   364,   470,   710,   711,   712,  1085,
     441,   909,   386,   295,   124,   222,  1302,  1293,   306,  1293,
     306,   529,   534,  1301,  1303,  1293,   364,   587,   195,   631,
     290,  1108,  1293,  1298,  1308,  1291,  1293,   250,  1293,    29,
     465,  1293,   195,  1293,   195,  1308,   383,   446,   383,   446,
     250,  1293,    29,   465,  1293,   250,   381,  1291,    25,   140,
     399,   717,   718,   719,   720,  1311,  1302,  1293,   120,   178,
     291,   466,   594,   597,   598,  1311,   268,  1293,    76,   303,
    1293,   590,   306,   441,   432,  1291,   441,   909,   386,   128,
    1293,  1293,   534,   529,   534,  1302,  1293,   915,   916,  1311,
     306,   364,   441,   740,  1302,  1293,  1293,   306,   430,  1085,
     534,   649,   649,  1196,  1302,  1293,  1293,  1301,     3,    91,
     146,   207,   329,   457,   465,   468,   550,  1302,  1293,  1293,
     306,   364,  1302,  1293,   364,   399,   587,   687,   690,   806,
    1293,   690,   806,  1293,   690,  1302,  1293,   399,  1302,  1293,
    1293,  1300,  1292,  1292,  1302,   880,  1293,  1292,  1293,   364,
     399,   587,   588,  1291,  1291,  1293,  1293,  1293,  1293,  1302,
    1293,    25,    31,   140,   322,   364,   399,   322,   364,   399,
     774,   364,   399,   364,   399,   364,   912,  1100,  1308,   195,
     784,  1308,   195,  1308,  1302,  1293,  1293,  1299,  1293,   915,
      25,   606,   396,  1301,   364,   399,   587,  1293,  1293,  1293,
     441,   441,    85,   456,   352,   534,  1045,  1045,  1045,  1132,
    1132,   474,  1175,   529,  1132,  1195,   969,   295,   812,  1299,
      38,   812,   138,   806,   812,   812,   223,   466,   466,   812,
     812,   812,   242,   812,   812,   812,   806,   347,   610,   610,
     205,   429,   745,  1132,  1108,   806,   529,   534,   518,   637,
    1311,  1293,    63,   177,   386,   477,   704,   711,   712,   157,
     300,   251,   625,   627,   629,   631,   643,   646,    26,   201,
     376,   427,   550,   551,   171,  1293,   478,  1291,    38,   741,
     430,   880,   541,  1308,   561,   624,   852,  1293,   173,   806,
     528,   673,   674,  1140,  1308,   348,  1299,   774,   774,   774,
     774,   528,   774,  1098,  1099,  1100,   396,   157,   528,   157,
     157,   156,  1026,   806,   300,   625,  1308,   466,   666,   485,
     596,   290,    38,   649,  1299,   290,   306,     3,   779,   780,
     774,    27,   529,   858,   859,   864,    38,   242,   373,   444,
     484,   870,   871,   872,   873,   870,   306,   242,   300,   125,
     215,   449,   464,   748,   749,  1293,   192,   192,   171,   544,
      38,   547,   172,   957,   958,   544,   544,   805,   806,  1293,
     806,  1293,   544,   544,   544,   544,   242,   544,   396,   171,
     544,   544,   306,   544,   290,   529,   651,   201,   201,   201,
     201,   201,   489,  1292,   690,   691,   534,   530,   186,   828,
     829,  1302,    26,   834,   441,   528,   177,   155,   402,   155,
     402,   381,   464,   271,  1108,  1302,   485,   678,   177,   306,
     828,    59,   544,   868,   806,  1108,   856,   299,   856,   856,
    1108,   806,  1293,   529,   527,   527,   534,  1132,   142,  1190,
    1191,    38,   529,  1132,   529,   529,   529,   177,   529,   529,
     174,  1213,   487,   509,  1135,  1108,  1267,   529,    21,   295,
     534,  1282,   312,  1286,   372,  1266,   534,   535,   471,   529,
    1267,    21,   295,   534,  1279,  1279,  1267,  1266,  1267,  1266,
     529,   529,   529,   529,   534,   534,   529,   331,   529,   529,
     528,  1133,  1133,  1173,    13,    17,    18,    19,   201,   223,
     308,   516,   517,   518,   519,   520,   521,   522,   523,   524,
    1170,  1133,   529,   529,   171,   177,   404,   529,   529,    38,
    1186,  1173,  1186,  1186,   177,   529,   135,   529,  1311,   328,
    1149,    38,   529,   534,  1132,  1311,   534,  1132,  1197,  1132,
     529,   505,  1133,  1133,   150,  1173,   177,    37,   299,   385,
     471,   135,   137,   163,   289,   295,   448,   460,  1134,  1182,
    1135,   289,   150,   890,  1132,   426,  1198,  1132,  1187,  1132,
     441,   528,  1027,   528,  1156,   528,  1173,   482,   528,  1157,
    1308,   433,   435,   433,   435,  1291,  1040,  1040,  1040,  1096,
    1045,  1096,   942,  1298,  1129,   569,   984,   265,   528,   529,
    1298,  1128,  1128,   527,   527,   529,   528,  1027,  1091,  1101,
    1238,   177,   528,  1027,  1076,  1077,    38,  1078,  1079,  1308,
     534,   100,   178,   211,   226,   249,   277,   375,  1082,  1079,
      38,  1078,  1081,  1308,  1079,   508,  1095,  1079,  1196,  1132,
     186,  1059,  1048,   308,  1168,  1171,   507,   850,     5,  1298,
    1057,   307,   485,   464,  1054,   260,  1075,   482,  1097,   472,
     428,   465,   996,   997,   998,  1308,   306,   999,  1308,  1076,
    1012,  1013,   534,  1074,   518,  1197,   867,   807,   863,   863,
      59,   865,   523,  1303,  1303,   306,  1292,   309,   306,  1132,
     647,  1293,   528,   528,   528,   671,   205,   528,   764,   157,
     544,   441,  1302,  1293,   574,  1108,   806,   806,  1108,   694,
    1293,   189,   470,   441,   441,   694,   710,   716,   364,   399,
     587,  1293,  1293,  1293,   213,   295,   160,   859,   321,   399,
     441,   290,   157,   418,   635,   636,   764,   399,    25,   140,
     368,   369,   399,   591,   599,   600,   716,   910,   391,   157,
     544,   157,   544,  1293,  1293,  1293,  1293,   391,   391,   250,
     719,   720,   719,   529,   534,   721,  1299,   205,   529,   534,
     518,   530,  1293,   160,  1302,  1293,   364,   399,   587,  1293,
    1293,  1293,   306,   322,   364,   399,    25,   140,   322,   364,
     399,  1108,   287,  1108,   529,   534,   518,  1291,   441,  1303,
     466,   737,   160,   201,   649,   921,   482,   656,   656,   649,
     252,   329,   295,  1299,   329,  1303,   463,   160,   441,   441,
     386,   415,   880,   880,   880,   321,   399,    92,   441,   909,
     386,   120,   171,   601,   167,   543,   441,   441,   262,   262,
     262,   441,   441,   386,   441,   441,   386,   441,   386,   441,
     386,   441,   128,   544,  1108,   290,  1299,   399,   910,   157,
     544,   441,   441,   529,  1293,   441,   909,   386,   441,  1302,
    1293,   529,   529,   529,  1175,   527,  1108,   806,   223,   812,
    1293,  1293,  1293,   223,   416,   417,   611,  1299,   611,   189,
     529,   529,   177,   774,   776,   287,   308,   519,   520,   690,
     777,   863,  1171,  1299,  1316,    72,    78,    92,   120,   122,
     181,   209,   290,   295,   341,   358,   459,   638,   639,   642,
     156,   481,   547,   574,  1293,   574,   310,   714,  1291,  1291,
    1291,   529,   534,  1303,   186,   376,  1303,  1298,   451,  1291,
     649,     3,   171,   742,   880,    48,   561,   429,   723,   113,
     981,  1132,   177,   534,  1292,   596,   781,   782,  1299,   529,
     534,  1293,   171,   650,  1291,   677,  1291,  1293,   678,   528,
     626,  1291,   529,  1293,   485,   487,   667,   595,    38,   157,
    1026,   666,   441,   157,  1085,   518,   529,   534,   748,   529,
     534,   120,   518,   874,  1299,   574,   429,   862,   863,   171,
     879,    51,   371,   875,   876,   873,   876,   125,   215,   392,
     464,   932,  1293,   300,   306,   311,   189,  1026,  1108,   528,
     529,   534,   544,   466,   544,   466,   544,  1293,  1293,   732,
     806,   157,   386,   386,   386,   386,   386,  1292,   534,   826,
    1308,  1302,   485,   534,   830,   309,  1087,   396,   155,   155,
     113,   286,  1303,   827,   834,  1302,   223,   223,   223,   223,
     690,   223,   223,   223,   223,   223,  1178,   437,  1132,   147,
    1108,   529,  1132,   227,  1214,   459,  1136,  1136,  1266,  1213,
     529,   306,   306,  1212,  1267,    59,  1282,  1108,   149,   163,
     448,   460,  1217,  1219,  1220,  1221,  1269,  1270,  1132,  1206,
    1212,  1212,   306,   306,  1278,  1135,  1135,   485,   487,  1229,
    1230,   529,   529,   120,   295,  1217,  1218,  1225,  1226,  1227,
    1182,  1132,  1132,   529,  1173,   534,  1108,  1133,  1133,  1133,
    1133,   135,   137,   290,  1133,  1133,  1133,  1133,  1133,  1133,
    1133,  1133,  1133,  1133,  1132,  1132,  1132,  1108,   529,   529,
     529,  1173,   529,   534,    59,  1137,  1150,   529,  1311,  1146,
     338,   422,  1148,   529,   534,   477,  1142,    38,   529,  1299,
    1132,    35,    35,  1132,   529,  1132,   177,  1135,   289,  1132,
     529,   150,  1133,  1133,   150,   150,  1132,  1132,  1046,   529,
    1173,   534,  1132,  1158,  1308,  1040,  1040,  1040,  1040,  1291,
    1291,  1291,  1059,   529,  1059,   529,   989,   527,  1204,  1079,
    1081,  1079,  1079,   528,   497,  1137,   529,  1308,   528,  1076,
     226,   316,  1083,  1076,  1083,   226,  1082,  1083,   226,   431,
    1089,   528,  1308,   528,   313,    59,   190,  1066,   528,   850,
     168,   244,   307,   485,   438,   103,  1132,   372,  1001,   471,
     529,   534,  1197,    90,  1001,   306,   529,   534,  1011,  1097,
    1132,   529,   523,   867,   451,   180,   380,   387,   394,   430,
     452,   839,   171,   839,   529,   528,   654,   655,   845,  1140,
    1308,   650,   650,   764,  1293,   650,   122,   209,   286,   290,
     765,  1293,  1293,    38,   466,   466,   242,   807,  1302,  1293,
     441,   909,   386,   441,   213,  1293,    59,   432,  1293,   157,
     631,  1308,    86,   633,   634,   415,   181,   159,   194,   290,
     595,   547,   113,   181,   290,   415,   595,   633,   635,   688,
     399,   600,   451,  1293,  1308,   391,   718,  1293,   598,   777,
    1311,  1293,   321,   399,   441,   909,   386,   441,   160,   441,
     441,   386,   179,   308,   418,   786,   787,   179,   308,   794,
     795,   441,   441,   386,   529,   529,   529,   916,   287,   690,
     863,   917,  1171,  1299,  1316,   364,  1293,   528,   485,   738,
    1293,   386,   656,   528,   656,  1300,  1299,  1299,  1299,  1293,
    1293,  1293,  1293,  1300,    59,   432,  1293,  1293,  1293,  1293,
     472,  1293,  1293,   171,   171,   366,   171,   195,  1302,  1293,
    1293,  1302,  1293,  1293,  1293,  1293,  1293,  1293,  1293,   306,
      78,   592,   157,    27,    50,   451,  1308,  1293,  1299,   716,
    1293,  1293,  1293,  1293,  1045,   529,   223,   812,   223,   223,
     223,   812,   547,   466,   616,   617,   694,   764,   485,   487,
     806,   528,   806,  1293,  1133,    32,    59,   641,   123,   197,
     122,   295,   238,  1291,   640,   179,   345,   760,   767,   768,
    1308,   703,   528,   327,   528,   626,   644,   208,   661,   629,
    1303,  1303,  1108,   528,   596,    29,   125,   215,   392,   464,
     743,   441,   739,  1302,   195,  1291,   725,   489,   306,   529,
    1075,   674,   880,   529,   534,  1100,   714,   732,   529,   685,
      38,   300,   327,   528,   991,   628,   630,   632,   646,  1308,
     327,   662,   663,   626,   661,   595,   303,   306,   668,  1026,
     680,   678,   596,  1299,  1293,   842,   777,     3,   780,   306,
     864,  1132,  1132,   534,   528,   870,   451,   534,    44,  1132,
     441,   528,   650,  1291,   749,   694,   529,   957,   958,  1293,
    1293,   544,   396,   544,  1292,  1292,  1292,  1292,  1292,   690,
     183,   829,   834,   529,  1293,   113,   834,   177,   544,   295,
     815,  1299,   815,   815,   815,   223,   815,   815,   815,   815,
     815,  1132,   529,   145,  1215,   239,   529,   295,   295,   529,
    1047,  1267,   529,   306,    38,  1207,   295,   295,  1267,    88,
     455,  1232,    37,  1231,   240,   305,  1233,  1234,   489,  1132,
     306,   529,   529,   529,   177,   529,  1132,   177,   135,   137,
     177,   171,   150,   529,   492,  1144,  1173,   357,   471,    59,
    1150,  1137,   483,   483,   529,  1132,   286,  1132,   534,  1143,
    1110,  1132,  1132,  1132,  1132,    35,    35,  1132,  1132,   150,
     529,   529,   529,  1132,   529,   327,  1159,  1291,  1291,  1291,
    1291,  1066,  1299,  1066,  1299,   529,    81,  1239,  1092,  1093,
    1140,   528,  1149,  1078,   528,  1292,  1076,   306,   466,  1084,
    1076,   226,  1076,  1296,  1099,   528,  1099,  1308,  1041,  1132,
     484,  1153,   890,   438,   300,  1288,  1026,   320,  1026,   998,
     306,   528,  1000,  1132,   518,  1012,  1001,   451,   529,   441,
     822,   177,   764,  1132,   529,   534,   485,    78,   844,   848,
     844,   529,   529,   529,   123,   197,   207,   122,   468,   544,
    1108,  1293,  1293,  1293,  1293,  1293,  1293,  1293,  1303,  1293,
     631,   120,  1308,   714,  1300,   641,   195,   195,   295,   690,
     641,   295,  1300,  1108,   544,   544,   518,    59,   432,  1293,
    1293,  1293,  1293,  1293,  1302,  1293,  1293,  1298,  1298,  1108,
     534,  1298,  1298,   534,  1302,  1293,  1293,   441,  1132,    72,
     107,  1308,  1132,  1303,  1293,   441,   441,   177,   201,   485,
    1292,  1292,   806,  1292,   157,   160,   806,  1299,  1299,  1108,
     544,   544,   441,   529,   223,   812,   812,   812,   812,   528,
     612,   613,   547,   127,   179,   212,   179,  1132,   290,   639,
     120,    38,   880,   649,   880,  1296,    35,   156,   201,   715,
     719,   300,   625,   601,   154,   203,   528,   396,   466,   650,
      38,  1303,   737,   561,   290,   528,   173,  1293,   673,  1299,
     396,   596,   156,  1026,   806,   300,   625,   678,   529,   534,
     485,   637,    59,   666,   601,   662,    84,   432,   669,   485,
     946,    38,   669,   177,   306,   528,  1291,  1299,   861,   881,
     882,  1309,   876,  1108,   171,   877,  1291,   177,   441,   901,
     359,   750,   210,   695,   544,   529,   544,   544,  1293,   309,
     221,   544,   828,   815,  1216,  1293,   529,   149,  1208,  1293,
     328,  1209,   529,  1231,   143,  1217,  1218,  1223,  1224,  1225,
    1236,  1237,   350,   143,   149,  1132,   529,  1133,   177,  1132,
    1132,  1132,   528,   529,   534,   529,  1150,   529,   471,   412,
     529,   529,  1132,  1132,  1132,   529,    59,  1045,  1153,  1153,
     389,  1035,   528,   332,  1251,  1252,  1262,   529,   534,    38,
    1094,   120,  1106,  1107,  1133,    81,  1292,   529,  1132,   528,
    1076,  1084,   528,   529,  1099,   529,   102,   187,   378,   528,
    1060,  1061,  1062,  1063,  1064,  1065,  1132,  1154,  1155,  1308,
    1045,   529,  1023,   996,    92,   843,   845,   136,   481,  1015,
    1016,  1132,   828,   306,   828,   529,   202,   652,   655,   308,
     890,   806,   542,   806,   358,   652,   652,   529,   441,   399,
    1007,   637,    38,   157,   157,   592,   777,  1303,  1293,   441,
     528,   856,   890,   892,   787,   528,   528,   795,  1293,   529,
     528,   529,   399,  1007,  1293,  1293,   528,   528,   528,   485,
     508,   966,   366,   966,   966,   171,  1293,   592,  1293,   812,
     618,   619,  1311,    54,   101,   126,   145,   150,   172,   176,
     191,   295,   349,   614,   612,  1299,   856,    38,   897,   897,
     529,   194,   528,   466,   670,   263,   653,   670,   528,   768,
     760,   528,   529,   534,  1291,   529,   396,    29,    83,    86,
      93,   121,   181,   194,   206,   415,   418,   645,   645,  1290,
    1293,  1293,   529,  1026,   738,   157,   113,   714,   177,  1293,
      38,  1293,   678,   626,  1291,   529,   630,   310,  1308,   667,
     662,   666,   125,   140,   338,  1293,    64,    72,   255,  1026,
     806,  1085,   843,   177,   763,   863,   529,   534,   451,   147,
     540,   875,   878,  1096,   410,   410,   529,   280,   304,   751,
     752,   753,   171,   756,   694,   286,   470,   696,   697,  1293,
     834,  1210,  1211,  1212,    37,   299,   306,   529,   306,  1235,
    1226,   171,  1133,  1145,  1173,   286,   504,  1173,   188,   351,
     382,  1160,    58,   129,   112,  1036,   279,  1240,  1241,  1242,
    1243,  1244,  1248,  1249,  1308,   120,   528,   143,  1217,  1222,
    1245,  1246,  1095,  1092,   528,  1133,   529,   534,    38,  1102,
    1103,  1308,   529,  1292,  1173,   529,   528,   400,   528,   529,
     534,   534,    38,  1050,   471,  1293,   529,   534,   291,   464,
     264,   290,  1016,   830,   839,   544,   844,   528,   880,   528,
     849,   595,  1291,   880,   880,  1293,   432,   194,   466,   593,
     399,  1007,  1293,  1177,   171,   790,   790,  1177,  1177,  1132,
     432,  1173,  1173,   602,   603,  1310,   805,   806,   805,   806,
    1292,   544,   529,   534,   521,   528,   571,   620,   690,   963,
    1299,   963,   290,   295,   349,   963,   963,  1096,   897,    42,
     199,   286,   648,   528,   686,  1132,   205,   178,   326,   405,
     306,   657,   658,   659,   529,  1296,     6,   769,   719,   626,
     661,  1293,   529,   714,   164,   789,   596,   946,  1291,   489,
    1075,   714,  1026,   991,   662,   626,   661,   637,   528,   668,
     666,   667,   382,   382,    72,   309,    72,   678,   842,   529,
    1291,   764,   870,   881,  1108,   533,   136,   485,   485,   752,
     381,   429,   754,   141,   757,   481,   759,   470,   694,   714,
     544,   534,    38,   143,   149,   385,   306,  1132,   529,   529,
     471,    52,   103,   454,  1132,  1161,  1162,  1161,  1161,   529,
     168,   168,   650,   330,  1250,   529,   534,   171,  1108,   528,
     528,  1208,  1253,  1254,  1255,  1256,  1257,  1258,  1259,  1260,
    1261,   306,   529,  1099,   534,  1107,  1311,   529,   534,   171,
    1108,   529,   529,  1173,   528,  1173,  1061,  1155,  1157,  1068,
    1026,  1096,   845,   399,    35,  1017,   264,   177,   650,   670,
     890,   850,   849,   649,   670,   670,  1293,   686,  1132,   432,
     529,   312,   389,   355,   791,   791,   529,   529,   529,  1293,
     529,   529,   529,   534,  1298,   966,   619,   571,   621,   622,
    1299,  1299,   295,   650,   521,   650,  1299,  1299,   207,   687,
     529,   432,   125,   464,   306,   659,   306,   658,   528,   529,
     534,   601,   396,   714,   806,    38,    38,   528,  1293,   946,
     678,   666,   601,   662,   528,   664,   665,  1140,  1308,   669,
     667,   668,   309,   309,   528,   202,   846,   171,   876,    30,
     216,   933,   179,   179,   963,   381,   414,   758,   528,   156,
    1211,  1311,  1236,   421,   149,  1162,   381,   170,   336,   170,
     336,   153,  1163,  1163,  1163,    59,    59,   399,  1299,  1241,
     313,   157,   174,   330,  1247,   100,   211,   316,   458,  1263,
    1264,  1265,  1253,   529,   211,   316,   458,   100,   100,   458,
     149,   529,  1137,  1103,   313,     3,   120,   290,   295,   330,
    1104,  1105,    38,  1080,   365,  1090,   529,  1060,   529,  1010,
    1132,   437,  1017,   828,   529,   656,   529,   850,   653,   764,
     764,  1007,  1293,   856,    59,  1007,   441,   602,   806,   529,
     534,   650,   529,   419,  1293,    63,   286,   370,   399,   660,
     660,   529,     6,   396,  1293,   786,  1026,   714,   667,   662,
     666,  1132,   529,   534,   848,   848,   668,   669,   843,   528,
     640,   141,   291,   528,   928,   930,   934,   993,  1002,  1009,
    1026,  1037,   856,   856,   755,  1308,  1132,   760,   306,    35,
     103,   186,   286,   438,   650,   650,  1308,  1207,  1247,  1214,
    1299,  1229,   529,   534,   534,   529,  1254,  1261,  1261,  1261,
    1261,  1261,  1261,  1149,  1133,  1133,   295,  1133,  1105,  1308,
     528,   529,  1096,   125,   136,   464,  1018,  1019,   437,   544,
     764,   657,  1007,   806,   528,   622,    24,   120,   295,  1293,
     714,   946,   668,   666,   667,   529,   665,   542,   542,   669,
     529,   845,   847,   596,   381,   929,   930,   931,  1027,  1028,
     534,   534,   529,  1296,   149,  1162,   381,   314,   399,   399,
     441,   466,  1239,  1269,  1247,  1233,  1265,  1264,    81,  1132,
     291,   399,   136,   215,  1020,   764,  1173,   649,   649,   714,
     669,   667,   668,   848,   846,   529,   534,   669,   759,   529,
     533,   441,   177,   528,  1308,  1308,   227,  1296,  1297,  1308,
    1229,  1227,  1102,   529,  1010,   291,   120,   320,   472,   528,
    1021,   529,   668,   669,   542,   640,   845,  1096,   156,   931,
     410,   410,     5,   761,   762,  1298,  1299,  1311,   528,   120,
    1233,   529,   472,   996,   528,   997,   669,   596,   760,   485,
     485,   529,   534,  1174,  1297,  1237,   471,  1173,   529,   669,
    1296,   179,   179,   762,  1045,   466,  1021,   529,   320,  1021,
    1096,   528,   856,   856,   529,  1308,   996,   761,   471,   529,
    1021
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,   536,   537,   537,   537,   537,   537,   537,   538,   538,
     539,   539,   540,   540,   540,   540,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   540,   540,   540,   540,
     540,   540,   540,   540,   540,   540,   540,   541,   541,   542,
     542,   543,   543,   544,   544,   544,   545,   546,   547,   547,
     547,   548,   548,   549,   549,   550,   550,   550,   550,   550,
     550,   550,   550,   550,   551,   551,   551,   551,   551,   551,
     552,   553,   553,   554,   554,   555,   555,   555,   555,   556,
     556,   556,   556,   556,   556,   557,   558,   559,   559,   560,
     560,   560,   560,   561,   561,   562,   562,   562,   562,   562,
     562,   563,   563,   563,   564,   564,   564,   565,   565,   565,
     565,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   567,   567,   568,   568,   569,   569,   570,   570,
     570,   570,   571,   571,   571,   571,   572,   572,   572,   572,
     572,   572,   572,   573,   573,   573,   574,   574,   575,   576,
     576,   576,   576,   577,   577,   578,   578,   579,   579,   580,
     580,   580,   580,   580,   581,   582,   582,   583,   583,   584,
     585,   585,   585,   585,   585,   586,   586,   586,   586,   586,
     586,   586,   586,   586,   586,   586,   586,   586,   586,   586,
     586,   586,   586,   586,   586,   586,   587,   587,   588,   588,
     588,   589,   590,   590,   590,   590,   590,   590,   590,   590,
     590,   590,   590,   590,   590,   590,   590,   590,   590,   590,
     590,   590,   590,   590,   590,   590,   590,   590,   590,   590,
     590,   590,   590,   590,   590,   590,   590,   590,   590,   590,
     590,   590,   590,   590,   590,   590,   590,   590,   590,   590,
     590,   590,   590,   590,   590,   590,   590,   590,   590,   590,
     590,   590,   591,   591,   592,   592,   593,   593,   594,   594,
     594,   594,   595,   596,   596,   597,   597,   598,   598,   598,
     598,   599,   599,   600,   600,   600,   600,   601,   601,   601,
     601,   602,   603,   603,   604,   605,   605,   606,   606,   606,
     606,   607,   607,   608,   608,   609,   609,   610,   610,   611,
     611,   611,   612,   612,   613,   613,   614,   614,   614,   614,
     614,   614,   614,   614,   614,   614,   614,   614,   614,   615,
     615,   616,   616,   617,   617,   618,   618,   619,   620,   620,
     620,   620,   620,   621,   621,   622,   623,   623,   623,   623,
     623,   623,   624,   624,   624,   624,   624,   624,   624,   624,
     625,   625,   626,   626,   627,   627,   628,   628,   629,   629,
     629,   630,   630,   631,   632,   632,   633,   633,   634,   634,
     635,   636,   636,   637,   637,   638,   638,   638,   638,   639,
     639,   639,   639,   639,   639,   639,   639,   639,   640,   640,
     640,   641,   641,   642,   642,   642,   642,   643,   644,   644,
     644,   645,   645,   645,   645,   645,   645,   645,   645,   645,
     645,   646,   646,   647,   647,   647,   647,   647,   647,   647,
     648,   648,   649,   649,   650,   650,   651,   652,   652,   653,
     653,   653,   653,   654,   654,   655,   655,   656,   656,   657,
     657,   657,   657,   657,   658,   659,   660,   660,   660,   660,
     660,   661,   661,   662,   662,   663,   664,   664,   665,   665,
     665,   666,   666,   667,   667,   667,   668,   668,   668,   668,
     669,   669,   670,   670,   671,   672,   672,   673,   673,   674,
     674,   674,   675,   675,   676,   676,   677,   678,   678,   678,
     679,   679,   680,   681,   681,   682,   683,   683,   684,   684,
     685,   685,   686,   686,   687,   687,   688,   688,   688,   688,
     688,   688,   688,   688,   688,   688,   688,   688,   688,   688,
     689,   689,   690,   690,   690,   690,   691,   691,   692,   692,
     693,   693,   694,   694,   695,   695,   696,   696,   697,   697,
     698,   698,   699,   700,   700,   701,   701,   702,   702,   703,
     703,   704,   704,   704,   704,   705,   706,   706,   707,   708,
     708,   708,   708,   708,   708,   708,   708,   708,   708,   708,
     708,   708,   709,   710,   710,   710,   710,   711,   711,   712,
     712,   713,   713,   714,   714,   715,   715,   716,   717,   717,
     718,   718,   718,   718,   719,   720,   721,   722,   722,   723,
     723,   724,   724,   725,   725,   726,   726,   726,   727,   727,
     727,   727,   728,   729,   729,   730,   730,   731,   731,   732,
     732,   733,   733,   734,   735,   736,   737,   737,   738,   738,
     739,   739,   740,   740,   741,   741,   742,   742,   743,   743,
     743,   743,   743,   744,   745,   745,   746,   746,   747,   747,
     747,   748,   748,   749,   749,   749,   749,   749,   750,   750,
     751,   751,   752,   753,   753,   754,   754,   755,   756,   756,
     757,   757,   758,   758,   759,   759,   760,   760,   761,   761,
     761,   762,   762,   762,   762,   763,   763,   764,   764,   765,
     765,   765,   765,   765,   765,   766,   766,   767,   767,   768,
     769,   769,   770,   771,   771,   771,   771,   772,   773,   773,
     773,   773,   773,   773,   773,   773,   773,   773,   773,   773,
     773,   773,   773,   773,   774,   775,   775,   776,   776,   777,
     777,   777,   777,   777,   777,   778,   779,   779,   780,   781,
     781,   782,   782,   783,   783,   783,   783,   784,   784,   785,
     786,   786,   787,   787,   787,   787,   787,   788,   788,   789,
     789,   790,   790,   790,   791,   791,   792,   793,   793,   794,
     794,   795,   795,   796,   796,   797,   797,   798,   799,   800,
     800,   800,   800,   800,   800,   800,   800,   800,   800,   800,
     800,   801,   801,   801,   801,   801,   801,   801,   801,   801,
     801,   801,   801,   801,   802,   802,   802,   802,   802,   803,
     803,   803,   803,   803,   803,   803,   803,   804,   804,   804,
     805,   805,   806,   806,   807,   807,   808,   808,   809,   810,
     810,   810,   811,   811,   811,   811,   811,   811,   811,   811,
     811,   811,   811,   811,   811,   811,   811,   811,   811,   811,
     812,   812,   813,   813,   813,   813,   813,   813,   813,   813,
     813,   813,   814,   814,   815,   815,   816,   816,   817,   817,
     817,   817,   817,   817,   817,   817,   817,   817,   817,   817,
     817,   817,   817,   817,   818,   818,   819,   819,   820,   821,
     821,   822,   822,   822,   822,   822,   823,   823,   824,   824,
     824,   824,   824,   825,   825,   826,   826,   827,   827,   827,
     827,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   827,   827,   827,   827,   827,   827,   828,   828,
     829,   829,   830,   830,   831,   832,   832,   833,   833,   834,
     834,   835,   836,   836,   837,   837,   837,   838,   838,   838,
     839,   839,   839,   839,   839,   839,   840,   840,   841,   841,
     842,   842,   843,   843,   844,   844,   845,   845,   845,   846,
     846,   847,   847,   848,   848,   849,   849,   849,   850,   850,
     850,   851,   851,   851,   851,   852,   852,   853,   853,   854,
     854,   855,   855,   856,   856,   856,   856,   857,   857,   858,
     858,   859,   859,   859,   859,   859,   860,   860,   860,   860,
     860,   861,   862,   863,   863,   863,   864,   864,   864,   865,
     866,   866,   866,   866,   867,   867,   868,   869,   869,   870,
     870,   871,   871,   872,   872,   872,   872,   872,   872,   872,
     872,   872,   872,   872,   872,   872,   872,   872,   872,   872,
     873,   873,   873,   873,   873,   874,   874,   875,   876,   876,
     876,   877,   877,   878,   878,   879,   879,   880,   880,   881,
     882,   882,   883,   883,   883,   884,   884,   885,   885,   886,
     886,   886,   886,   886,   886,   887,   887,   888,   888,   889,
     889,   889,   889,   890,   890,   891,   891,   892,   893,   894,
     894,   895,   895,   896,   896,   896,   897,   897,   897,   898,
     899,   899,   900,   901,   901,   901,   901,   902,   903,   903,
     903,   904,   904,   905,   905,   906,   906,   907,   907,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   909,   909,   910,   910,   911,   911,
     911,   911,   911,   911,   912,   912,   913,   913,   913,   913,
     913,   913,   913,   913,   913,   913,   913,   913,   913,   913,
     913,   913,   913,   913,   913,   913,   913,   913,   913,   913,
     913,   913,   913,   914,   915,   915,   916,   916,   917,   917,
     917,   917,   917,   918,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   920,   920,
     920,   921,   921,   921,   921,   921,   921,   921,   922,   922,
     923,   923,   923,   923,   924,   925,   925,   925,   925,   925,
     925,   925,   925,   925,   926,   926,   927,   928,   928,   928,
     929,   929,   930,   930,   930,   930,   930,   931,   931,   932,
     932,   932,   932,   933,   933,   933,   934,   935,   935,   936,
     937,   937,   938,   938,   938,   938,   938,   938,   938,   938,
     938,   938,   938,   938,   939,   939,   940,   940,   940,   941,
     941,   941,   941,   941,   942,   942,   942,   943,   943,   944,
     944,   944,   945,   945,   945,   945,   946,   946,   946,   946,
     947,   948,   949,   949,   950,   950,   951,   951,   951,   952,
     952,   952,   952,   952,   952,   952,   953,   953,   954,   954,
     954,   954,   955,   956,   956,   956,   956,   957,   957,   958,
     959,   960,   960,   961,   962,   962,   962,   962,   962,   962,
     962,   963,   963,   964,   965,   965,   965,   965,   965,   965,
     966,   966,   967,   968,   968,   968,   968,   969,   969,   970,
     970,   971,   971,   972,   972,   973,   973,   974,   975,   975,
     976,   976,   976,   977,   977,   978,   978,   979,   979,   980,
     980,   981,   981,   982,   983,   983,   984,   984,   985,   985,
     985,   985,   986,   986,   986,   986,   986,   986,   986,   986,
     986,   986,   987,   988,   988,   989,   989,   989,   989,   989,
     990,   990,   990,   991,   991,   992,   992,   992,   992,   993,
     994,   994,   995,   995,   995,   995,   995,   996,   996,   997,
     997,   998,   999,   999,   999,  1000,  1000,  1000,  1001,  1001,
    1002,  1003,  1003,  1004,  1005,  1005,  1006,  1006,  1006,  1006,
    1006,  1006,  1006,  1006,  1007,  1007,  1008,  1008,  1008,  1009,
    1010,  1010,  1011,  1011,  1012,  1013,  1013,  1014,  1015,  1015,
    1016,  1016,  1016,  1016,  1016,  1017,  1017,  1018,  1019,  1020,
    1020,  1020,  1020,  1020,  1021,  1022,  1023,  1024,  1024,  1024,
    1024,  1024,  1024,  1025,  1025,  1025,  1026,  1026,  1027,  1027,
    1028,  1028,  1028,  1028,  1028,  1028,  1028,  1028,  1029,  1029,
    1030,  1030,  1030,  1030,  1030,  1030,  1030,  1031,  1031,  1031,
    1032,  1032,  1033,  1034,  1034,  1034,  1035,  1035,  1035,  1036,
    1036,  1036,  1037,  1037,  1038,  1038,  1039,  1039,  1039,  1039,
    1039,  1039,  1039,  1039,  1039,  1040,  1040,  1041,  1041,  1041,
    1042,  1042,  1043,  1043,  1044,  1044,  1045,  1045,  1046,  1047,
    1047,  1048,  1048,  1049,  1049,  1049,  1049,  1050,  1050,  1051,
    1051,  1051,  1051,  1051,  1051,  1052,  1052,  1053,  1053,  1054,
    1055,  1055,  1055,  1056,  1056,  1057,  1057,  1058,  1058,  1059,
    1059,  1060,  1060,  1061,  1061,  1061,  1061,  1061,  1062,  1063,
    1064,  1065,  1066,  1066,  1067,  1067,  1068,  1068,  1069,  1069,
    1070,  1071,  1071,  1071,  1071,  1072,  1072,  1073,  1073,  1074,
    1074,  1075,  1075,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1077,  1077,  1077,  1077,  1077,
    1077,  1078,  1078,  1078,  1078,  1079,  1079,  1080,  1080,  1081,
    1081,  1081,  1081,  1081,  1082,  1082,  1082,  1082,  1083,  1083,
    1084,  1084,  1085,  1085,  1086,  1086,  1086,  1087,  1087,  1088,
    1088,  1088,  1089,  1090,  1090,  1091,  1091,  1092,  1093,  1093,
    1094,  1094,  1095,  1095,  1096,  1096,  1097,  1097,  1097,  1098,
    1098,  1099,  1099,  1100,  1101,  1101,  1102,  1102,  1103,  1103,
    1103,  1104,  1104,  1105,  1105,  1105,  1105,  1105,  1106,  1106,
    1107,  1107,  1108,  1108,  1108,  1108,  1108,  1108,  1109,  1109,
    1109,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1110,  1111,
    1111,  1111,  1111,  1111,  1112,  1112,  1113,  1113,  1114,  1114,
    1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1114,  1115,
    1115,  1116,  1116,  1117,  1117,  1118,  1119,  1120,  1120,  1121,
    1121,  1122,  1123,  1124,  1124,  1124,  1124,  1124,  1124,  1125,
    1125,  1126,  1126,  1126,  1126,  1127,  1128,  1128,  1128,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,  1129,
    1129,  1129,  1129,  1130,  1130,  1131,  1132,  1132,  1132,  1132,
    1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,
    1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,
    1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,
    1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,
    1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,
    1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,  1132,
    1132,  1132,  1132,  1133,  1133,  1133,  1133,  1133,  1133,  1133,
    1133,  1133,  1133,  1133,  1133,  1133,  1133,  1133,  1133,  1133,
    1133,  1133,  1133,  1133,  1133,  1134,  1134,  1134,  1134,  1134,
    1135,  1135,  1135,  1136,  1136,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1138,
    1138,  1138,  1138,  1138,  1138,  1138,  1139,  1139,  1139,  1140,
    1140,  1140,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,
    1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1141,  1142,
    1142,  1143,  1143,  1143,  1143,  1144,  1145,  1145,  1146,  1146,
    1147,  1147,  1148,  1148,  1148,  1149,  1149,  1149,  1149,  1150,
    1150,  1151,  1151,  1152,  1152,  1153,  1153,  1154,  1154,  1155,
    1156,  1156,  1156,  1157,  1158,  1158,  1159,  1159,  1160,  1160,
    1160,  1160,  1161,  1161,  1162,  1162,  1162,  1162,  1162,  1163,
    1163,  1163,  1163,  1163,  1164,  1164,  1164,  1165,  1165,  1166,
    1167,  1167,  1167,  1168,  1168,  1169,  1169,  1169,  1169,  1169,
    1169,  1169,  1169,  1169,  1169,  1169,  1169,  1170,  1170,  1171,
    1171,  1172,  1172,  1172,  1172,  1172,  1172,  1173,  1173,  1174,
    1174,  1175,  1175,  1175,  1176,  1176,  1177,  1177,  1178,  1178,
    1178,  1179,  1179,  1180,  1181,  1181,  1181,  1181,  1181,  1181,
    1181,  1181,  1182,  1182,  1182,  1182,  1183,  1183,  1184,  1185,
    1185,  1185,  1185,  1185,  1186,  1186,  1186,  1187,  1187,  1188,
    1189,  1189,  1190,  1191,  1191,  1192,  1192,  1193,  1193,  1194,
    1194,  1194,  1194,  1195,  1195,  1196,  1196,  1197,  1197,  1198,
    1198,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1200,  1201,
    1202,  1203,  1204,  1205,  1206,  1207,  1207,  1208,  1209,  1209,
    1210,  1210,  1211,  1212,  1213,  1213,  1214,  1215,  1215,  1216,
    1217,  1218,  1219,  1220,  1221,  1222,  1223,  1223,  1224,  1225,
    1226,  1226,  1226,  1227,  1227,  1227,  1227,  1228,  1229,  1229,
    1230,  1230,  1231,  1231,  1232,  1232,  1232,  1233,  1233,  1234,
    1234,  1235,  1235,  1236,  1236,  1236,  1236,  1236,  1237,  1237,
    1237,  1237,  1238,  1239,  1240,  1240,  1241,  1241,  1241,  1241,
    1241,  1242,  1243,  1244,  1245,  1245,  1246,  1246,  1247,  1247,
    1248,  1249,  1250,  1250,  1251,  1251,  1251,  1252,  1253,  1253,
    1253,  1254,  1255,  1255,  1256,  1257,  1258,  1258,  1259,  1259,
    1260,  1260,  1261,  1261,  1262,  1263,  1263,  1263,  1263,  1264,
    1264,  1265,  1265,  1266,  1266,  1267,  1267,  1268,  1269,  1269,
    1270,  1270,  1270,  1270,  1271,  1271,  1272,  1273,  1273,  1274,
    1275,  1276,  1276,  1277,  1277,  1278,  1278,  1279,  1279,  1279,
    1280,  1280,  1280,  1281,  1281,  1282,  1282,  1282,  1283,  1283,
    1284,  1285,  1286,  1286,  1287,  1287,  1288,  1288,  1289,  1289,
    1289,  1289,  1290,  1290,  1291,  1291,  1292,  1292,  1293,  1294,
    1295,  1296,  1296,  1297,  1297,  1297,  1297,  1297,  1297,  1297,
    1297,  1297,  1297,  1297,  1297,  1297,  1298,  1299,  1300,  1300,
    1300,  1301,  1302,  1302,  1302,  1302,  1303,  1303,  1304,  1305,
    1306,  1306,  1307,  1307,  1308,  1308,  1308,  1309,  1309,  1309,
    1310,  1310,  1310,  1310,  1311,  1311,  1311,  1311,  1311,  1312,
    1312,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,  1313,
    1313,  1313,  1313,  1313,  1313,  1314,  1314,  1314,  1314,  1314,
    1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,
    1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,
    1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,
    1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,
    1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,  1314,
    1314,  1314,  1314,  1314,  1314,  1314,  1314,  1315,  1315,  1315,
    1315,  1315,  1315,  1315,  1315,  1315,  1315,  1315,  1315,  1315,
    1315,  1315,  1315,  1315,  1315,  1315,  1315,  1315,  1315,  1315,
    1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,
    1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,
    1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,
    1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,
    1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,
    1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,
    1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,  1316,
    1316,  1316,  1316,  1316,  1316,  1316,  1316,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,  1317,
    1317,  1317,  1317,  1317
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     1,     0,     2,     5,     1,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       3,     3,     2,     1,     1,     2,     2,     2,     3,     3,
       5,     5,     5,     0,     3,     5,     5,     5,     5,     3,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     6,
       4,     9,     7,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     1,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     1,
       2,     3,     2,     1,     1,     2,     1,     2,     1,     2,
       3,     4,     3,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,     4,     6,    10,
      13,     4,     6,     4,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     5,     7,     1,     3,     4,     4,
       4,     3,     2,     5,     3,     6,     4,     6,     6,     5,
       7,     6,     6,     5,     5,     5,     5,     9,     4,     5,
       7,     6,     4,     8,     4,     2,     4,     3,     6,     4,
       3,     3,     3,     2,     2,     3,     4,     4,     3,     3,
       3,     3,     3,     3,     4,     4,     3,     2,     3,     2,
       2,     3,     4,     3,     2,     2,     3,     4,     4,     4,
       5,     1,     3,     2,     2,     0,     2,     0,     1,     1,
       1,     3,     3,     2,     0,     1,     3,     3,     1,     5,
       3,     1,     2,     1,     3,     2,     3,     6,     6,    10,
       1,     2,     1,     3,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    11,     9,     1,     1,     1,     0,     1,
       1,     1,     1,     3,     2,     0,     1,     1,     3,     3,
       1,     1,     3,     3,     3,     3,     4,     3,     2,     1,
       0,     3,     0,     1,     0,     1,     3,     2,     1,     1,
       1,     3,     0,     1,     3,     1,    13,    16,    12,    15,
      14,    17,     1,     1,     2,     2,     2,     2,     1,     0,
       1,     0,     3,     0,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     6,     2,     4,     2,     2,     1,     0,
       2,     1,     0,     2,     0,     3,     1,     1,     2,     2,
       1,     4,     4,     5,     2,     5,     7,     5,     2,     3,
       0,     1,     2,     1,     2,     2,     2,     3,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     9,     3,     9,     4,    10,    11,
       2,     0,     3,     0,     1,     3,     1,     4,     0,     2,
       2,     2,     0,     1,     3,     3,     6,     4,     0,     1,
       1,     2,     2,     0,     3,     3,     2,     1,     1,     3,
       3,     4,     0,     1,     0,     6,     1,     3,     3,     3,
       5,     2,     0,     2,     2,     0,     3,     4,     4,     0,
       2,     0,     4,     0,     3,     8,    11,     1,     3,     1,
       1,     3,     6,     8,     7,    10,     6,     2,     3,     0,
       8,    11,     5,     1,     0,     6,     5,     8,     4,     6,
       1,     0,     3,     0,     1,     2,     2,     2,     1,     2,
       3,     2,     2,     2,     2,     3,     3,     3,     1,     3,
       1,     0,     1,     2,     2,     1,     1,     3,     6,    10,
       1,     0,     1,     2,     2,     0,     2,     2,     1,     0,
       1,     0,     7,     2,     0,     3,     5,     5,     8,     2,
       0,     2,     2,     2,     1,     5,     2,     0,     2,     6,
       6,     6,    10,     6,     6,     6,     9,     9,     6,     6,
       9,     6,     7,     2,     2,     2,     2,     1,     2,     1,
       0,     7,     6,     4,     0,     1,     3,     4,     1,     3,
       1,     2,     2,     2,     2,     1,     1,    10,    13,     2,
       0,     2,     2,     1,     0,     5,     4,     4,    11,    14,
      12,    15,    11,     2,     1,     4,     0,     8,    11,     1,
       1,     7,     9,     8,    10,     8,     4,     0,     5,     0,
       2,     0,     2,     0,     2,     0,     2,     0,     1,     1,
       1,     1,     1,     8,     1,     1,    17,    21,     1,     1,
       2,     1,     3,     1,     1,     1,     3,     1,     2,     0,
       1,     2,     4,     1,     1,     1,     1,     1,     3,     0,
       1,     0,     1,     1,     4,     0,     1,     1,     1,     3,
       0,     1,     1,     1,     1,     2,     0,     0,     2,     2,
       1,     2,     2,     2,     2,    11,    13,     1,     3,     5,
       1,     3,     5,     1,     2,     2,     1,     8,     6,     5,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     6,
       4,     7,     5,     8,     3,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     3,     3,     1,
       0,     1,     3,     7,     9,     9,     8,     3,     0,    13,
       1,     3,     5,     5,     3,     6,     2,     1,     0,     2,
       0,     2,     4,     0,     1,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     6,     4,     6,     8,     4,     6,     4,     6,     5,
       7,     1,     1,     1,     2,     1,     2,     1,     1,     1,
       3,     3,     3,     3,     1,     1,     1,     1,     1,     2,
       2,     1,     3,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     2,     2,     3,     1,     3,     5,     2,
       2,     0,     6,     6,     6,     6,     6,     6,     6,     6,
       8,     9,     8,     6,     6,     9,     9,     9,     7,    10,
       1,     1,     8,     8,     8,     8,     8,     8,     8,     9,
       8,     8,     2,     0,     1,     1,     2,     2,     1,     2,
       3,     3,     3,     3,     4,     4,     3,     3,     3,     4,
       4,     3,     4,     4,     1,     1,     1,     0,     8,     8,
      11,     1,     1,     2,     4,     5,     1,     3,     2,     2,
       2,     2,     2,     1,     3,     1,     3,     1,     2,     2,
       4,     3,     2,     2,     2,     2,     2,     2,     3,     2,
       2,     2,     2,     5,     5,     5,     5,     5,     1,     3,
       1,     2,     3,     0,     6,     6,     9,     3,     0,     3,
       0,     5,     2,     0,     3,     3,     3,     7,     7,    10,
       1,     1,     1,     1,     1,     1,    16,    19,     1,     0,
       2,     0,     1,     3,     4,     5,     2,     2,     4,     4,
       0,     1,     3,     2,     0,     1,     1,     0,     2,     2,
       0,     9,    12,     7,     7,     2,     0,     3,     2,     1,
       3,     1,     3,     2,     1,     1,     2,     3,     2,     1,
       3,     3,     3,     2,     2,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     4,     5,     1,     3,     3,     1,
       3,     3,     5,     6,     1,     3,     2,     1,     3,     1,
       0,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     1,     2,     2,     2,     2,     1,     2,
       2,     2,     2,     1,     1,     1,     3,     2,     1,     4,
       0,     3,     0,     1,     1,     3,     5,     2,     0,     2,
       1,     3,     5,     5,     5,     1,     2,     1,     0,     4,
       6,     4,     6,     4,     6,     4,     6,     4,     6,     3,
       5,     5,     5,     1,     3,     1,     3,     2,     2,     1,
       2,     1,     2,    11,    10,    10,     2,     2,     0,     9,
       2,     0,    10,    11,    11,     5,     5,     8,     5,     5,
       5,     1,     1,     1,     1,     3,     0,     5,     5,     6,
       6,     6,     6,     6,     8,     8,     6,     6,     7,     9,
       9,     8,    10,     6,     6,     6,     6,     6,     6,     6,
       8,     6,     8,     6,     8,     7,     9,     6,     8,     7,
       9,     8,    10,     8,    10,     9,    11,     8,    10,     9,
      11,     8,     8,     7,     6,     6,     6,     6,     8,     8,
       8,     8,     6,     9,     1,     0,     2,     0,     8,     8,
       8,    10,     9,     8,     1,     0,     6,     6,     6,     6,
       6,     6,     6,     9,     9,     6,     6,     6,     8,     6,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       7,     9,     6,     7,     1,     3,     3,     3,     1,     1,
       1,     1,     1,     7,     6,     6,     6,     6,     6,     6,
       7,     7,     6,     9,     9,     6,     6,     6,     6,     6,
       6,     8,     8,     8,     6,     7,     6,     6,     4,     7,
       6,     4,     5,     5,     3,     4,     3,     1,     1,     3,
       5,     5,     5,     5,     8,     5,     5,     6,     7,     7,
       7,     4,     4,     5,     4,     6,    13,     1,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     1,     0,     3,     2,     0,     2,
       2,     2,     3,     3,     3,     3,     2,     3,     2,     5,
       4,     3,     3,     3,     3,     3,     1,     1,     0,     3,
       2,     2,     1,     2,     1,     3,     2,     1,     0,     2,
       3,     0,     9,    11,    12,    14,     3,     4,     4,     0,
       2,     5,     1,     0,     1,     2,     3,     3,     3,     1,
       2,     1,     1,     1,     1,     1,     1,     0,     5,     4,
       6,     6,     4,     3,     5,     7,     9,     1,     3,     1,
       5,     4,     4,     6,     4,     6,     6,     5,     7,     9,
       6,     1,     0,     6,    11,    11,    11,    13,     9,    11,
       1,     1,    10,     4,     6,     2,     5,     2,     0,     6,
       5,     3,     5,     1,     3,     1,     1,     2,     1,     1,
       1,     1,     0,     1,     0,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     1,     3,     1,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     5,     3,     0,     1,     1,     1,     1,     1,
       3,     9,    12,     3,     0,     2,     3,     2,     3,     7,
       1,     3,     1,     4,     4,     7,     2,     1,     1,     1,
       3,     2,     8,     5,     0,     4,     3,     0,     2,     0,
       7,     2,     0,     5,     3,     0,     2,     2,     2,     3,
       1,     3,     1,     2,     1,     0,     1,     2,     0,     8,
       1,     3,     3,     5,     2,     1,     3,     9,     1,     2,
       5,     5,     6,     6,     7,     2,     0,     3,     1,     2,
       5,     5,     8,     3,     4,     7,     1,     0,     3,     2,
       2,     2,     2,     0,     2,     2,     1,     1,     3,     3,
       1,     2,     4,     4,     2,     3,     5,     5,     1,     1,
       9,     9,     1,     2,     4,     4,     4,     2,     2,     3,
       1,     3,     9,     1,     2,     0,     7,     7,     0,    10,
       6,     0,     1,     0,     2,     0,     3,     3,     4,     4,
       4,     4,     3,     2,     1,     1,     0,     1,     1,     0,
       1,     5,     1,     0,     1,     1,     1,     0,     3,     1,
       3,     4,     3,     2,     2,     1,     1,     1,     0,     2,
       4,     5,     6,     4,     5,     2,     3,     1,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     4,
       0,     1,     3,     1,     1,     1,     1,     1,     2,     4,
       4,     5,     2,     0,     1,     3,     1,     0,     1,     2,
       3,     2,     4,     2,     3,     2,     0,     4,     5,     2,
       0,     1,     3,     2,     3,     2,     3,     2,     3,     2,
       3,     1,     4,     2,     3,     3,     4,     5,     4,     5,
       4,     5,     2,     4,     1,     1,     0,     2,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       5,     2,     1,     1,     2,     2,     4,     1,     3,     1,
       2,     3,     6,     4,     0,     2,     6,     2,     1,     3,
       4,     0,     2,     0,     2,     0,     2,     4,     0,     1,
       0,     1,     3,     3,     7,    12,     1,     3,     2,     3,
       3,     1,     2,     2,     2,     2,     1,     2,     1,     3,
       3,     2,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     4,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     0,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     1,     3,
       0,     1,     1,     1,     1,     5,     2,     1,     1,     1,
       1,     4,     1,     2,     2,     1,     3,     3,     2,     1,
       0,     5,     2,     5,     2,     1,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     0,     1,     4,     1,     1,     3,     3,     5,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     3,     3,     2,     2,
       3,     5,     4,     6,     3,     5,     4,     6,     4,     6,
       5,     7,     3,     2,     4,     2,     3,     3,     4,     3,
       4,     3,     4,     5,     6,     6,     7,     6,     7,     3,
       4,     4,     6,     3,     3,     4,     3,     4,     4,     5,
       4,     5,     1,     1,     3,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     5,     6,     3,     4,     1,     2,     2,     2,     2,
       2,     2,     0,     1,     2,     1,     1,     2,     4,     1,
       1,     1,     2,     2,     2,     2,     1,     1,     4,     3,
       5,     6,     8,     6,     6,     4,     4,     3,     1,     1,
       1,     1,     5,     1,     1,     4,     1,     4,     1,     4,
       1,     4,     1,     1,     1,     1,     1,     1,     6,     4,
       4,     6,     4,     4,     4,     4,     4,     6,     5,     5,
       5,     4,     6,     4,     4,     4,     4,     5,     7,     7,
       9,     5,     4,     6,     5,     7,     7,     7,     1,     2,
       3,     3,     3,     4,     0,     4,     1,     3,     3,     1,
       1,     1,     2,     2,     0,     2,     3,     3,     4,     2,
       2,     5,     0,     5,     0,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     3,     3,
       3,     0,     1,     4,     2,     2,     2,     2,     2,     3,
       2,     2,     3,     0,     4,     3,     5,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     1,
       4,     1,     4,     1,     2,     1,     2,     1,     3,     1,
       3,     1,     3,     3,     1,     0,     1,     3,     3,     3,
       2,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     7,     5,     3,     5,
       5,     3,     3,     5,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     0,     1,     2,     0,     2,     1,
       0,     1,     1,     1,     1,     1,     1,     1,     6,     5,
       5,     6,     5,     1,     1,     2,     0,     1,     2,     0,
       1,     3,     3,     2,     2,     0,     2,     2,     0,     1,
       1,     1,     1,     1,     1,     1,     2,     1,     2,     2,
       1,     1,     1,     3,     6,     3,     0,     8,     2,     0,
       2,     3,     1,     0,     1,     1,     0,     3,     0,     1,
       1,     3,     0,     1,     1,     1,     1,     1,     3,     6,
       3,     0,     7,     4,     1,     3,     1,     1,     1,     1,
       1,     3,     6,     5,     1,     1,     3,     0,     2,     0,
       8,     5,     1,     0,     1,     1,     0,     4,     1,     1,
       1,     1,     1,     1,     3,     3,     1,     1,     3,     3,
       3,     3,     1,     3,     5,     1,     3,     1,     3,     1,
       1,     1,     1,     2,     0,     3,     0,     6,     3,     0,
       1,     1,     1,     1,     1,     1,     4,     1,     1,     1,
       2,     3,     0,     1,     3,     3,     3,     3,     3,     0,
       6,     5,     4,     1,     3,     3,     3,     0,     1,     1,
       7,     7,     3,     0,     1,     0,     1,     3,     3,     2,
       1,     1,     1,     3,     1,     2,     1,     3,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     6,
       2,     3,     5,     1,     1,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     3,    10,     4,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YY_LOCATION_PRINT
#  if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#   define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

#  else
#   define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#  endif
# endif /* !defined YY_LOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  YY_USE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YY_LOCATION_PRINT (yyo, *yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule, core_yyscan_t yyscanner)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]), yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  YY_USE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* parse_toplevel: stmtmulti  */
#line 980 "gram.y"
                        {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 30086 "gram.c"
    break;

  case 3: /* parse_toplevel: MODE_TYPE_NAME Typename  */
#line 984 "gram.y"
                        {
				pg_yyget_extra(yyscanner)->parsetree = list_make1((yyvsp[0].typnam));
			}
#line 30094 "gram.c"
    break;

  case 4: /* parse_toplevel: MODE_PLPGSQL_EXPR PLpgSQL_Expr  */
#line 988 "gram.y"
                        {
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((yyvsp[0].node), 0));
			}
#line 30103 "gram.c"
    break;

  case 5: /* parse_toplevel: MODE_PLPGSQL_ASSIGN1 PLAssignStmt  */
#line 993 "gram.y"
                        {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 1;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 30115 "gram.c"
    break;

  case 6: /* parse_toplevel: MODE_PLPGSQL_ASSIGN2 PLAssignStmt  */
#line 1001 "gram.y"
                        {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 2;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 30127 "gram.c"
    break;

  case 7: /* parse_toplevel: MODE_PLPGSQL_ASSIGN3 PLAssignStmt  */
#line 1009 "gram.y"
                        {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 3;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 30139 "gram.c"
    break;

  case 8: /* stmtmulti: stmtmulti ';' toplevel_stmt  */
#line 1029 "gram.y"
                                {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 30155 "gram.c"
    break;

  case 9: /* stmtmulti: toplevel_stmt  */
#line 1041 "gram.y"
                                {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 30166 "gram.c"
    break;

  case 136: /* stmt: %empty  */
#line 1184 "gram.y"
                                { (yyval.node) = NULL; }
#line 30172 "gram.c"
    break;

  case 137: /* opt_single_name: ColId  */
#line 1191 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 30178 "gram.c"
    break;

  case 138: /* opt_single_name: %empty  */
#line 1192 "gram.y"
                                                                        { (yyval.str) = NULL; }
#line 30184 "gram.c"
    break;

  case 139: /* opt_qualified_name: any_name  */
#line 1196 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 30190 "gram.c"
    break;

  case 140: /* opt_qualified_name: %empty  */
#line 1197 "gram.y"
                                                                                { (yyval.list) = NIL; }
#line 30196 "gram.c"
    break;

  case 141: /* opt_concurrently: CONCURRENTLY  */
#line 1201 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 30202 "gram.c"
    break;

  case 142: /* opt_concurrently: %empty  */
#line 1202 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 30208 "gram.c"
    break;

  case 143: /* opt_drop_behavior: CASCADE  */
#line 1206 "gram.y"
                                                                                { (yyval.dbehavior) = DROP_CASCADE; }
#line 30214 "gram.c"
    break;

  case 144: /* opt_drop_behavior: RESTRICT  */
#line 1207 "gram.y"
                                                                                { (yyval.dbehavior) = DROP_RESTRICT; }
#line 30220 "gram.c"
    break;

  case 145: /* opt_drop_behavior: %empty  */
#line 1208 "gram.y"
                                                                        { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 30226 "gram.c"
    break;

  case 146: /* CallStmt: CALL func_application  */
#line 1218 "gram.y"
                                {
					CallStmt   *n = makeNode(CallStmt);

					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *) n;
				}
#line 30237 "gram.c"
    break;

  case 147: /* CreateRoleStmt: CREATE ROLE RoleId opt_with OptRoleList  */
#line 1234 "gram.y"
                                {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30250 "gram.c"
    break;

  case 151: /* OptRoleList: OptRoleList CreateOptRoleElem  */
#line 1256 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30256 "gram.c"
    break;

  case 152: /* OptRoleList: %empty  */
#line 1257 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 30262 "gram.c"
    break;

  case 153: /* AlterOptRoleList: AlterOptRoleList AlterOptRoleElem  */
#line 1261 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 30268 "gram.c"
    break;

  case 154: /* AlterOptRoleList: %empty  */
#line 1262 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 30274 "gram.c"
    break;

  case 155: /* AlterOptRoleElem: PASSWORD Sconst  */
#line 1267 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 30283 "gram.c"
    break;

  case 156: /* AlterOptRoleElem: PASSWORD NULL_P  */
#line 1272 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 30291 "gram.c"
    break;

  case 157: /* AlterOptRoleElem: ENCRYPTED PASSWORD Sconst  */
#line 1276 "gram.y"
                                {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 30305 "gram.c"
    break;

  case 158: /* AlterOptRoleElem: UNENCRYPTED PASSWORD Sconst  */
#line 1286 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 30317 "gram.c"
    break;

  case 159: /* AlterOptRoleElem: INHERIT  */
#line 1294 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 30325 "gram.c"
    break;

  case 160: /* AlterOptRoleElem: CONNECTION LIMIT SignedIconst  */
#line 1298 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 30333 "gram.c"
    break;

  case 161: /* AlterOptRoleElem: VALID UNTIL Sconst  */
#line 1302 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("validUntil", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 30341 "gram.c"
    break;

  case 162: /* AlterOptRoleElem: USER role_list  */
#line 1307 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30349 "gram.c"
    break;

  case 163: /* AlterOptRoleElem: IDENT  */
#line 1311 "gram.y"
                                {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 30398 "gram.c"
    break;

  case 164: /* CreateOptRoleElem: AlterOptRoleElem  */
#line 1358 "gram.y"
                                                                { (yyval.defelt) = (yyvsp[0].defelt); }
#line 30404 "gram.c"
    break;

  case 165: /* CreateOptRoleElem: SYSID Iconst  */
#line 1361 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("sysid", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 30412 "gram.c"
    break;

  case 166: /* CreateOptRoleElem: ADMIN role_list  */
#line 1365 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30420 "gram.c"
    break;

  case 167: /* CreateOptRoleElem: ROLE role_list  */
#line 1369 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 30428 "gram.c"
    break;

  case 168: /* CreateOptRoleElem: IN_P ROLE role_list  */
#line 1373 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 30436 "gram.c"
    break;

  case 169: /* CreateOptRoleElem: IN_P GROUP_P role_list  */
#line 1377 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 30444 "gram.c"
    break;

  case 170: /* CreateUserStmt: CREATE USER RoleId opt_with OptRoleList  */
#line 1391 "gram.y"
                                {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30457 "gram.c"
    break;

  case 171: /* AlterRoleStmt: ALTER ROLE RoleSpec opt_with AlterOptRoleList  */
#line 1410 "gram.y"
                                 {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 30470 "gram.c"
    break;

  case 172: /* AlterRoleStmt: ALTER USER RoleSpec opt_with AlterOptRoleList  */
#line 1419 "gram.y"
                                 {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 30483 "gram.c"
    break;

  case 173: /* opt_in_database: %empty  */
#line 1430 "gram.y"
                                                                        { (yyval.str) = NULL; }
#line 30489 "gram.c"
    break;

  case 174: /* opt_in_database: IN_P DATABASE name  */
#line 1431 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 30495 "gram.c"
    break;

  case 175: /* AlterRoleSetStmt: ALTER ROLE RoleSpec opt_in_database SetResetClause  */
#line 1436 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30508 "gram.c"
    break;

  case 176: /* AlterRoleSetStmt: ALTER ROLE ALL opt_in_database SetResetClause  */
#line 1445 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30521 "gram.c"
    break;

  case 177: /* AlterRoleSetStmt: ALTER USER RoleSpec opt_in_database SetResetClause  */
#line 1454 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30534 "gram.c"
    break;

  case 178: /* AlterRoleSetStmt: ALTER USER ALL opt_in_database SetResetClause  */
#line 1463 "gram.y"
                                {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30547 "gram.c"
    break;

  case 179: /* DropRoleStmt: DROP ROLE role_list  */
#line 1485 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30559 "gram.c"
    break;

  case 180: /* DropRoleStmt: DROP ROLE IF_P EXISTS role_list  */
#line 1493 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30571 "gram.c"
    break;

  case 181: /* DropRoleStmt: DROP USER role_list  */
#line 1501 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30583 "gram.c"
    break;

  case 182: /* DropRoleStmt: DROP USER IF_P EXISTS role_list  */
#line 1509 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30595 "gram.c"
    break;

  case 183: /* DropRoleStmt: DROP GROUP_P role_list  */
#line 1517 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30607 "gram.c"
    break;

  case 184: /* DropRoleStmt: DROP GROUP_P IF_P EXISTS role_list  */
#line 1525 "gram.y"
                                {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30619 "gram.c"
    break;

  case 185: /* CreateGroupStmt: CREATE GROUP_P RoleId opt_with OptRoleList  */
#line 1543 "gram.y"
                                {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30632 "gram.c"
    break;

  case 186: /* AlterGroupStmt: ALTER GROUP_P RoleSpec add_drop USER role_list  */
#line 1562 "gram.y"
                                {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 30646 "gram.c"
    break;

  case 187: /* add_drop: ADD_P  */
#line 1573 "gram.y"
                                                                                        { (yyval.ival) = +1; }
#line 30652 "gram.c"
    break;

  case 188: /* add_drop: DROP  */
#line 1574 "gram.y"
                                                                                                { (yyval.ival) = -1; }
#line 30658 "gram.c"
    break;

  case 189: /* CreateSchemaStmt: CREATE SCHEMA opt_single_name AUTHORIZATION RoleSpec OptSchemaEltList  */
#line 1586 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30673 "gram.c"
    break;

  case 190: /* CreateSchemaStmt: CREATE SCHEMA ColId OptSchemaEltList  */
#line 1597 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30688 "gram.c"
    break;

  case 191: /* CreateSchemaStmt: CREATE SCHEMA IF_P NOT EXISTS opt_single_name AUTHORIZATION RoleSpec OptSchemaEltList  */
#line 1608 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30708 "gram.c"
    break;

  case 192: /* CreateSchemaStmt: CREATE SCHEMA IF_P NOT EXISTS ColId OptSchemaEltList  */
#line 1624 "gram.y"
                                {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30728 "gram.c"
    break;

  case 193: /* OptSchemaEltList: OptSchemaEltList schema_stmt  */
#line 1643 "gram.y"
                                {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 30738 "gram.c"
    break;

  case 194: /* OptSchemaEltList: %empty  */
#line 1649 "gram.y"
                                { (yyval.list) = NIL; }
#line 30744 "gram.c"
    break;

  case 201: /* VariableSetStmt: SET set_rest  */
#line 1677 "gram.y"
                                {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 30755 "gram.c"
    break;

  case 202: /* VariableSetStmt: SET LOCAL set_rest  */
#line 1684 "gram.y"
                                {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 30766 "gram.c"
    break;

  case 203: /* VariableSetStmt: SET SESSION set_rest  */
#line 1691 "gram.y"
                                {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 30777 "gram.c"
    break;

  case 204: /* set_rest: TRANSACTION transaction_mode_list  */
#line 1701 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30790 "gram.c"
    break;

  case 205: /* set_rest: SESSION CHARACTERISTICS AS TRANSACTION transaction_mode_list  */
#line 1710 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30803 "gram.c"
    break;

  case 207: /* generic_set: var_name TO var_list  */
#line 1723 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30816 "gram.c"
    break;

  case 208: /* generic_set: var_name '=' var_list  */
#line 1732 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30829 "gram.c"
    break;

  case 209: /* generic_set: var_name TO DEFAULT  */
#line 1741 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30841 "gram.c"
    break;

  case 210: /* generic_set: var_name '=' DEFAULT  */
#line 1749 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30853 "gram.c"
    break;

  case 211: /* set_rest_more: generic_set  */
#line 1759 "gram.y"
                                                                                        {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 30859 "gram.c"
    break;

  case 212: /* set_rest_more: var_name FROM CURRENT_P  */
#line 1761 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30871 "gram.c"
    break;

  case 213: /* set_rest_more: TIME ZONE zone_value  */
#line 1770 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 30887 "gram.c"
    break;

  case 214: /* set_rest_more: CATALOG_P Sconst  */
#line 1782 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 30899 "gram.c"
    break;

  case 215: /* set_rest_more: SCHEMA Sconst  */
#line 1790 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30912 "gram.c"
    break;

  case 216: /* set_rest_more: NAMES opt_encoding  */
#line 1799 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 30928 "gram.c"
    break;

  case 217: /* set_rest_more: ROLE NonReservedWord_or_Sconst  */
#line 1811 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30941 "gram.c"
    break;

  case 218: /* set_rest_more: SESSION AUTHORIZATION NonReservedWord_or_Sconst  */
#line 1820 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30954 "gram.c"
    break;

  case 219: /* set_rest_more: SESSION AUTHORIZATION DEFAULT  */
#line 1829 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 30966 "gram.c"
    break;

  case 220: /* set_rest_more: XML_P OPTION document_or_content  */
#line 1837 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30979 "gram.c"
    break;

  case 221: /* set_rest_more: TRANSACTION SNAPSHOT Sconst  */
#line 1847 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30992 "gram.c"
    break;

  case 222: /* var_name: ColId  */
#line 1857 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 30998 "gram.c"
    break;

  case 223: /* var_name: var_name '.' ColId  */
#line 1859 "gram.y"
                                { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 31004 "gram.c"
    break;

  case 224: /* var_list: var_value  */
#line 1862 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31010 "gram.c"
    break;

  case 225: /* var_list: var_list ',' var_value  */
#line 1863 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31016 "gram.c"
    break;

  case 226: /* var_value: opt_boolean_or_string  */
#line 1867 "gram.y"
                                { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 31022 "gram.c"
    break;

  case 227: /* var_value: NumericOnly  */
#line 1869 "gram.y"
                                { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 31028 "gram.c"
    break;

  case 228: /* iso_level: READ UNCOMMITTED  */
#line 1872 "gram.y"
                                                                                { (yyval.str) = "read uncommitted"; }
#line 31034 "gram.c"
    break;

  case 229: /* iso_level: READ COMMITTED  */
#line 1873 "gram.y"
                                                                                        { (yyval.str) = "read committed"; }
#line 31040 "gram.c"
    break;

  case 230: /* iso_level: REPEATABLE READ  */
#line 1874 "gram.y"
                                                                                        { (yyval.str) = "repeatable read"; }
#line 31046 "gram.c"
    break;

  case 231: /* iso_level: SERIALIZABLE  */
#line 1875 "gram.y"
                                                                                        { (yyval.str) = "serializable"; }
#line 31052 "gram.c"
    break;

  case 232: /* opt_boolean_or_string: TRUE_P  */
#line 1879 "gram.y"
                                                                                                { (yyval.str) = "true"; }
#line 31058 "gram.c"
    break;

  case 233: /* opt_boolean_or_string: FALSE_P  */
#line 1880 "gram.y"
                                                                                                { (yyval.str) = "false"; }
#line 31064 "gram.c"
    break;

  case 234: /* opt_boolean_or_string: ON  */
#line 1881 "gram.y"
                                                                                                { (yyval.str) = "on"; }
#line 31070 "gram.c"
    break;

  case 235: /* opt_boolean_or_string: NonReservedWord_or_Sconst  */
#line 1887 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 31076 "gram.c"
    break;

  case 236: /* zone_value: Sconst  */
#line 1900 "gram.y"
                                {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 31084 "gram.c"
    break;

  case 237: /* zone_value: IDENT  */
#line 1904 "gram.y"
                                {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 31092 "gram.c"
    break;

  case 238: /* zone_value: ConstInterval Sconst opt_interval  */
#line 1908 "gram.y"
                                {
					TypeName   *t = (yyvsp[-2].typnam);

					if ((yyvsp[0].list) != NIL)
					{
						A_Const	   *n = (A_Const *) linitial((yyvsp[0].list));

						if ((n->val.ival.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 31113 "gram.c"
    break;

  case 239: /* zone_value: ConstInterval '(' Iconst ')' Sconst  */
#line 1925 "gram.y"
                                {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 31125 "gram.c"
    break;

  case 240: /* zone_value: NumericOnly  */
#line 1932 "gram.y"
                                                                                        { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 31131 "gram.c"
    break;

  case 241: /* zone_value: DEFAULT  */
#line 1933 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 31137 "gram.c"
    break;

  case 242: /* zone_value: LOCAL  */
#line 1934 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 31143 "gram.c"
    break;

  case 243: /* opt_encoding: Sconst  */
#line 1938 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 31149 "gram.c"
    break;

  case 244: /* opt_encoding: DEFAULT  */
#line 1939 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 31155 "gram.c"
    break;

  case 245: /* opt_encoding: %empty  */
#line 1940 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 31161 "gram.c"
    break;

  case 246: /* NonReservedWord_or_Sconst: NonReservedWord  */
#line 1944 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 31167 "gram.c"
    break;

  case 247: /* NonReservedWord_or_Sconst: Sconst  */
#line 1945 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 31173 "gram.c"
    break;

  case 248: /* VariableResetStmt: RESET reset_rest  */
#line 1949 "gram.y"
                                                                                        { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 31179 "gram.c"
    break;

  case 249: /* reset_rest: generic_reset  */
#line 1953 "gram.y"
                                                                                        { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31185 "gram.c"
    break;

  case 250: /* reset_rest: TIME ZONE  */
#line 1955 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 31197 "gram.c"
    break;

  case 251: /* reset_rest: TRANSACTION ISOLATION LEVEL  */
#line 1963 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 31209 "gram.c"
    break;

  case 252: /* reset_rest: SESSION AUTHORIZATION  */
#line 1971 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 31221 "gram.c"
    break;

  case 253: /* generic_reset: var_name  */
#line 1982 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 31233 "gram.c"
    break;

  case 254: /* generic_reset: ALL  */
#line 1990 "gram.y"
                                {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 31244 "gram.c"
    break;

  case 255: /* SetResetClause: SET set_rest  */
#line 2000 "gram.y"
                                                                        { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31250 "gram.c"
    break;

  case 256: /* SetResetClause: VariableResetStmt  */
#line 2001 "gram.y"
                                                                        { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 31256 "gram.c"
    break;

  case 257: /* FunctionSetResetClause: SET set_rest_more  */
#line 2006 "gram.y"
                                                                        { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 31262 "gram.c"
    break;

  case 258: /* FunctionSetResetClause: VariableResetStmt  */
#line 2007 "gram.y"
                                                                        { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 31268 "gram.c"
    break;

  case 259: /* VariableShowStmt: SHOW var_name  */
#line 2013 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31279 "gram.c"
    break;

  case 260: /* VariableShowStmt: SHOW TIME ZONE  */
#line 2020 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 31290 "gram.c"
    break;

  case 261: /* VariableShowStmt: SHOW TRANSACTION ISOLATION LEVEL  */
#line 2027 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 31301 "gram.c"
    break;

  case 262: /* VariableShowStmt: SHOW SESSION AUTHORIZATION  */
#line 2034 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 31312 "gram.c"
    break;

  case 263: /* VariableShowStmt: SHOW ALL  */
#line 2041 "gram.y"
                                {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 31323 "gram.c"
    break;

  case 264: /* ConstraintsSetStmt: SET CONSTRAINTS constraints_set_list constraints_set_mode  */
#line 2052 "gram.y"
                                {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);

					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31335 "gram.c"
    break;

  case 265: /* constraints_set_list: ALL  */
#line 2062 "gram.y"
                                                                                                        { (yyval.list) = NIL; }
#line 31341 "gram.c"
    break;

  case 266: /* constraints_set_list: qualified_name_list  */
#line 2063 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 31347 "gram.c"
    break;

  case 267: /* constraints_set_mode: DEFERRED  */
#line 2067 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 31353 "gram.c"
    break;

  case 268: /* constraints_set_mode: IMMEDIATE  */
#line 2068 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 31359 "gram.c"
    break;

  case 269: /* CheckPointStmt: CHECKPOINT  */
#line 2077 "gram.y"
                                {
					CheckPointStmt *n = makeNode(CheckPointStmt);

					(yyval.node) = (Node *) n;
				}
#line 31369 "gram.c"
    break;

  case 270: /* DiscardStmt: DISCARD ALL  */
#line 2093 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 31380 "gram.c"
    break;

  case 271: /* DiscardStmt: DISCARD TEMP  */
#line 2100 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 31391 "gram.c"
    break;

  case 272: /* DiscardStmt: DISCARD TEMPORARY  */
#line 2107 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 31402 "gram.c"
    break;

  case 273: /* DiscardStmt: DISCARD PLANS  */
#line 2114 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 31413 "gram.c"
    break;

  case 274: /* DiscardStmt: DISCARD SEQUENCES  */
#line 2121 "gram.y"
                                {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 31424 "gram.c"
    break;

  case 275: /* AlterTableStmt: ALTER TABLE relation_expr alter_table_cmds  */
#line 2141 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31438 "gram.c"
    break;

  case 276: /* AlterTableStmt: ALTER TABLE IF_P EXISTS relation_expr alter_table_cmds  */
#line 2151 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31452 "gram.c"
    break;

  case 277: /* AlterTableStmt: ALTER TABLE relation_expr partition_cmd  */
#line 2161 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31466 "gram.c"
    break;

  case 278: /* AlterTableStmt: ALTER TABLE IF_P EXISTS relation_expr partition_cmd  */
#line 2171 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31480 "gram.c"
    break;

  case 279: /* AlterTableStmt: ALTER TABLE ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2181 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31496 "gram.c"
    break;

  case 280: /* AlterTableStmt: ALTER TABLE ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2193 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31512 "gram.c"
    break;

  case 281: /* AlterTableStmt: ALTER INDEX qualified_name alter_table_cmds  */
#line 2205 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31526 "gram.c"
    break;

  case 282: /* AlterTableStmt: ALTER INDEX IF_P EXISTS qualified_name alter_table_cmds  */
#line 2215 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31540 "gram.c"
    break;

  case 283: /* AlterTableStmt: ALTER INDEX qualified_name index_partition_cmd  */
#line 2225 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31554 "gram.c"
    break;

  case 284: /* AlterTableStmt: ALTER INDEX ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2235 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31570 "gram.c"
    break;

  case 285: /* AlterTableStmt: ALTER INDEX ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2247 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31586 "gram.c"
    break;

  case 286: /* AlterTableStmt: ALTER SEQUENCE qualified_name alter_table_cmds  */
#line 2259 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31600 "gram.c"
    break;

  case 287: /* AlterTableStmt: ALTER SEQUENCE IF_P EXISTS qualified_name alter_table_cmds  */
#line 2269 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31614 "gram.c"
    break;

  case 288: /* AlterTableStmt: ALTER VIEW qualified_name alter_table_cmds  */
#line 2279 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31628 "gram.c"
    break;

  case 289: /* AlterTableStmt: ALTER VIEW IF_P EXISTS qualified_name alter_table_cmds  */
#line 2289 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31642 "gram.c"
    break;

  case 290: /* AlterTableStmt: ALTER MATERIALIZED VIEW qualified_name alter_table_cmds  */
#line 2299 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31656 "gram.c"
    break;

  case 291: /* AlterTableStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name alter_table_cmds  */
#line 2309 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31670 "gram.c"
    break;

  case 292: /* AlterTableStmt: ALTER MATERIALIZED VIEW ALL IN_P TABLESPACE name SET TABLESPACE name opt_nowait  */
#line 2319 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31686 "gram.c"
    break;

  case 293: /* AlterTableStmt: ALTER MATERIALIZED VIEW ALL IN_P TABLESPACE name OWNED BY role_list SET TABLESPACE name opt_nowait  */
#line 2331 "gram.y"
                                {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31702 "gram.c"
    break;

  case 294: /* AlterTableStmt: ALTER FOREIGN TABLE relation_expr alter_table_cmds  */
#line 2343 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31716 "gram.c"
    break;

  case 295: /* AlterTableStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr alter_table_cmds  */
#line 2353 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31730 "gram.c"
    break;

  case 296: /* alter_table_cmds: alter_table_cmd  */
#line 2365 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31736 "gram.c"
    break;

  case 297: /* alter_table_cmds: alter_table_cmds ',' alter_table_cmd  */
#line 2366 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31742 "gram.c"
    break;

  case 298: /* partition_cmd: ATTACH PARTITION qualified_name PartitionBoundSpec  */
#line 2372 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31759 "gram.c"
    break;

  case 299: /* partition_cmd: DETACH PARTITION qualified_name opt_concurrently  */
#line 2386 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = (yyvsp[0].boolean);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31776 "gram.c"
    break;

  case 300: /* partition_cmd: DETACH PARTITION qualified_name FINALIZE  */
#line 2399 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartitionFinalize;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;
					(yyval.node) = (Node *) n;
				}
#line 31792 "gram.c"
    break;

  case 301: /* index_partition_cmd: ATTACH PARTITION qualified_name  */
#line 2415 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31809 "gram.c"
    break;

  case 302: /* alter_table_cmd: ADD_P columnDef  */
#line 2432 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31822 "gram.c"
    break;

  case 303: /* alter_table_cmd: ADD_P IF_P NOT EXISTS columnDef  */
#line 2442 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31835 "gram.c"
    break;

  case 304: /* alter_table_cmd: ADD_P COLUMN columnDef  */
#line 2452 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31848 "gram.c"
    break;

  case 305: /* alter_table_cmd: ADD_P COLUMN IF_P NOT EXISTS columnDef  */
#line 2462 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31861 "gram.c"
    break;

  case 306: /* alter_table_cmd: ALTER opt_column ColId alter_column_default  */
#line 2472 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31874 "gram.c"
    break;

  case 307: /* alter_table_cmd: ALTER opt_column ColId DROP NOT NULL_P  */
#line 2482 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 31886 "gram.c"
    break;

  case 308: /* alter_table_cmd: ALTER opt_column ColId SET NOT NULL_P  */
#line 2491 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 31898 "gram.c"
    break;

  case 309: /* alter_table_cmd: ALTER opt_column ColId DROP EXPRESSION  */
#line 2500 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *) n;
				}
#line 31910 "gram.c"
    break;

  case 310: /* alter_table_cmd: ALTER opt_column ColId DROP EXPRESSION IF_P EXISTS  */
#line 2509 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31923 "gram.c"
    break;

  case 311: /* alter_table_cmd: ALTER opt_column ColId SET STATISTICS SignedIconst  */
#line 2519 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *) n;
				}
#line 31936 "gram.c"
    break;

  case 312: /* alter_table_cmd: ALTER opt_column Iconst SET STATISTICS SignedIconst  */
#line 2529 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *) n;
				}
#line 31955 "gram.c"
    break;

  case 313: /* alter_table_cmd: ALTER opt_column ColId SET reloptions  */
#line 2545 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31968 "gram.c"
    break;

  case 314: /* alter_table_cmd: ALTER opt_column ColId RESET reloptions  */
#line 2555 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31981 "gram.c"
    break;

  case 315: /* alter_table_cmd: ALTER opt_column ColId SET column_storage  */
#line 2565 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 31994 "gram.c"
    break;

  case 316: /* alter_table_cmd: ALTER opt_column ColId SET column_compression  */
#line 2575 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetCompression;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 32007 "gram.c"
    break;

  case 317: /* alter_table_cmd: ALTER opt_column ColId ADD_P GENERATED generated_when AS IDENTITY_P OptParenthesizedSeqOptList  */
#line 2585 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *) n;
				}
#line 32027 "gram.c"
    break;

  case 318: /* alter_table_cmd: ALTER opt_column ColId alter_identity_column_option_list  */
#line 2602 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32040 "gram.c"
    break;

  case 319: /* alter_table_cmd: ALTER opt_column ColId DROP IDENTITY_P  */
#line 2612 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32053 "gram.c"
    break;

  case 320: /* alter_table_cmd: ALTER opt_column ColId DROP IDENTITY_P IF_P EXISTS  */
#line 2622 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32066 "gram.c"
    break;

  case 321: /* alter_table_cmd: DROP opt_column IF_P EXISTS ColId opt_drop_behavior  */
#line 2632 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32080 "gram.c"
    break;

  case 322: /* alter_table_cmd: DROP opt_column ColId opt_drop_behavior  */
#line 2643 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32094 "gram.c"
    break;

  case 323: /* alter_table_cmd: ALTER opt_column ColId opt_set_data TYPE_P Typename opt_collate_clause alter_using  */
#line 2657 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32113 "gram.c"
    break;

  case 324: /* alter_table_cmd: ALTER opt_column ColId alter_generic_options  */
#line 2673 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32126 "gram.c"
    break;

  case 325: /* alter_table_cmd: ADD_P TableConstraint  */
#line 2683 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32138 "gram.c"
    break;

  case 326: /* alter_table_cmd: ALTER CONSTRAINT name ConstraintAttributeSpec  */
#line 2692 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 32157 "gram.c"
    break;

  case 327: /* alter_table_cmd: VALIDATE CONSTRAINT name  */
#line 2708 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32169 "gram.c"
    break;

  case 328: /* alter_table_cmd: DROP CONSTRAINT IF_P EXISTS name opt_drop_behavior  */
#line 2717 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32183 "gram.c"
    break;

  case 329: /* alter_table_cmd: DROP CONSTRAINT name opt_drop_behavior  */
#line 2728 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32197 "gram.c"
    break;

  case 330: /* alter_table_cmd: SET WITHOUT OIDS  */
#line 2739 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOids;
					(yyval.node) = (Node *) n;
				}
#line 32208 "gram.c"
    break;

  case 331: /* alter_table_cmd: CLUSTER ON name  */
#line 2747 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32220 "gram.c"
    break;

  case 332: /* alter_table_cmd: SET WITHOUT CLUSTER  */
#line 2756 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32232 "gram.c"
    break;

  case 333: /* alter_table_cmd: SET LOGGED  */
#line 2765 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *) n;
				}
#line 32243 "gram.c"
    break;

  case 334: /* alter_table_cmd: SET UNLOGGED  */
#line 2773 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *) n;
				}
#line 32254 "gram.c"
    break;

  case 335: /* alter_table_cmd: ENABLE_P TRIGGER name  */
#line 2781 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32266 "gram.c"
    break;

  case 336: /* alter_table_cmd: ENABLE_P ALWAYS TRIGGER name  */
#line 2790 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32278 "gram.c"
    break;

  case 337: /* alter_table_cmd: ENABLE_P REPLICA TRIGGER name  */
#line 2799 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32290 "gram.c"
    break;

  case 338: /* alter_table_cmd: ENABLE_P TRIGGER ALL  */
#line 2808 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 32301 "gram.c"
    break;

  case 339: /* alter_table_cmd: ENABLE_P TRIGGER USER  */
#line 2816 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 32312 "gram.c"
    break;

  case 340: /* alter_table_cmd: DISABLE_P TRIGGER name  */
#line 2824 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32324 "gram.c"
    break;

  case 341: /* alter_table_cmd: DISABLE_P TRIGGER ALL  */
#line 2833 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 32335 "gram.c"
    break;

  case 342: /* alter_table_cmd: DISABLE_P TRIGGER USER  */
#line 2841 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 32346 "gram.c"
    break;

  case 343: /* alter_table_cmd: ENABLE_P RULE name  */
#line 2849 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32358 "gram.c"
    break;

  case 344: /* alter_table_cmd: ENABLE_P ALWAYS RULE name  */
#line 2858 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32370 "gram.c"
    break;

  case 345: /* alter_table_cmd: ENABLE_P REPLICA RULE name  */
#line 2867 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32382 "gram.c"
    break;

  case 346: /* alter_table_cmd: DISABLE_P RULE name  */
#line 2876 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32394 "gram.c"
    break;

  case 347: /* alter_table_cmd: INHERIT qualified_name  */
#line 2885 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 32406 "gram.c"
    break;

  case 348: /* alter_table_cmd: NO INHERIT qualified_name  */
#line 2894 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 32418 "gram.c"
    break;

  case 349: /* alter_table_cmd: OF any_name  */
#line 2903 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName   *def = makeTypeNameFromNameList((yyvsp[0].list));

					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *) n;
				}
#line 32432 "gram.c"
    break;

  case 350: /* alter_table_cmd: NOT OF  */
#line 2914 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOf;
					(yyval.node) = (Node *) n;
				}
#line 32443 "gram.c"
    break;

  case 351: /* alter_table_cmd: OWNER TO RoleSpec  */
#line 2922 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 32455 "gram.c"
    break;

  case 352: /* alter_table_cmd: SET ACCESS METHOD name  */
#line 2931 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetAccessMethod;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32467 "gram.c"
    break;

  case 353: /* alter_table_cmd: SET TABLESPACE name  */
#line 2940 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32479 "gram.c"
    break;

  case 354: /* alter_table_cmd: SET reloptions  */
#line 2949 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32491 "gram.c"
    break;

  case 355: /* alter_table_cmd: RESET reloptions  */
#line 2958 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32503 "gram.c"
    break;

  case 356: /* alter_table_cmd: REPLICA IDENTITY_P replica_identity  */
#line 2967 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32515 "gram.c"
    break;

  case 357: /* alter_table_cmd: ENABLE_P ROW LEVEL SECURITY  */
#line 2976 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32526 "gram.c"
    break;

  case 358: /* alter_table_cmd: DISABLE_P ROW LEVEL SECURITY  */
#line 2984 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32537 "gram.c"
    break;

  case 359: /* alter_table_cmd: FORCE ROW LEVEL SECURITY  */
#line 2992 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32548 "gram.c"
    break;

  case 360: /* alter_table_cmd: NO FORCE ROW LEVEL SECURITY  */
#line 3000 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32559 "gram.c"
    break;

  case 361: /* alter_table_cmd: alter_generic_options  */
#line 3007 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_GenericOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32571 "gram.c"
    break;

  case 362: /* alter_column_default: SET DEFAULT a_expr  */
#line 3017 "gram.y"
                                                                { (yyval.node) = (yyvsp[0].node); }
#line 32577 "gram.c"
    break;

  case 363: /* alter_column_default: DROP DEFAULT  */
#line 3018 "gram.y"
                                                                { (yyval.node) = NULL; }
#line 32583 "gram.c"
    break;

  case 364: /* opt_collate_clause: COLLATE any_name  */
#line 3023 "gram.y"
                                {
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32596 "gram.c"
    break;

  case 365: /* opt_collate_clause: %empty  */
#line 3031 "gram.y"
                                                                { (yyval.node) = NULL; }
#line 32602 "gram.c"
    break;

  case 366: /* alter_using: USING a_expr  */
#line 3035 "gram.y"
                                                                { (yyval.node) = (yyvsp[0].node); }
#line 32608 "gram.c"
    break;

  case 367: /* alter_using: %empty  */
#line 3036 "gram.y"
                                                                { (yyval.node) = NULL; }
#line 32614 "gram.c"
    break;

  case 368: /* replica_identity: NOTHING  */
#line 3041 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32626 "gram.c"
    break;

  case 369: /* replica_identity: FULL  */
#line 3049 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32638 "gram.c"
    break;

  case 370: /* replica_identity: DEFAULT  */
#line 3057 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32650 "gram.c"
    break;

  case 371: /* replica_identity: USING INDEX name  */
#line 3065 "gram.y"
                                {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32662 "gram.c"
    break;

  case 372: /* reloptions: '(' reloption_list ')'  */
#line 3075 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 32668 "gram.c"
    break;

  case 373: /* opt_reloptions: WITH reloptions  */
#line 3078 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 32674 "gram.c"
    break;

  case 374: /* opt_reloptions: %empty  */
#line 3079 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 32680 "gram.c"
    break;

  case 375: /* reloption_list: reloption_elem  */
#line 3083 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32686 "gram.c"
    break;

  case 376: /* reloption_list: reloption_list ',' reloption_elem  */
#line 3084 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32692 "gram.c"
    break;

  case 377: /* reloption_elem: ColLabel '=' def_arg  */
#line 3090 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32700 "gram.c"
    break;

  case 378: /* reloption_elem: ColLabel  */
#line 3094 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 32708 "gram.c"
    break;

  case 379: /* reloption_elem: ColLabel '.' ColLabel '=' def_arg  */
#line 3098 "gram.y"
                                {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 32717 "gram.c"
    break;

  case 380: /* reloption_elem: ColLabel '.' ColLabel  */
#line 3103 "gram.y"
                                {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 32725 "gram.c"
    break;

  case 381: /* alter_identity_column_option_list: alter_identity_column_option  */
#line 3110 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32731 "gram.c"
    break;

  case 382: /* alter_identity_column_option_list: alter_identity_column_option_list alter_identity_column_option  */
#line 3112 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32737 "gram.c"
    break;

  case 383: /* alter_identity_column_option: RESTART  */
#line 3117 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 32745 "gram.c"
    break;

  case 384: /* alter_identity_column_option: RESTART opt_with NumericOnly  */
#line 3121 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32753 "gram.c"
    break;

  case 385: /* alter_identity_column_option: SET SeqOptElem  */
#line 3125 "gram.y"
                                {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 32768 "gram.c"
    break;

  case 386: /* alter_identity_column_option: SET GENERATED generated_when  */
#line 3136 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 32776 "gram.c"
    break;

  case 387: /* PartitionBoundSpec: FOR VALUES WITH '(' hash_partbound ')'  */
#line 3144 "gram.y"
                                {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 32831 "gram.c"
    break;

  case 388: /* PartitionBoundSpec: FOR VALUES IN_P '(' expr_list ')'  */
#line 3197 "gram.y"
                                {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 32846 "gram.c"
    break;

  case 389: /* PartitionBoundSpec: FOR VALUES FROM '(' expr_list ')' TO '(' expr_list ')'  */
#line 3210 "gram.y"
                                {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 32862 "gram.c"
    break;

  case 390: /* PartitionBoundSpec: DEFAULT  */
#line 3224 "gram.y"
                                {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 32875 "gram.c"
    break;

  case 391: /* hash_partbound_elem: NonReservedWord Iconst  */
#line 3236 "gram.y"
                        {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 32883 "gram.c"
    break;

  case 392: /* hash_partbound: hash_partbound_elem  */
#line 3243 "gram.y"
                        {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 32891 "gram.c"
    break;

  case 393: /* hash_partbound: hash_partbound ',' hash_partbound_elem  */
#line 3247 "gram.y"
                        {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 32899 "gram.c"
    break;

  case 394: /* AlterCompositeTypeStmt: ALTER TYPE_P any_name alter_type_cmds  */
#line 3261 "gram.y"
                                {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TYPE;
					(yyval.node) = (Node *) n;
				}
#line 32913 "gram.c"
    break;

  case 395: /* alter_type_cmds: alter_type_cmd  */
#line 3273 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32919 "gram.c"
    break;

  case 396: /* alter_type_cmds: alter_type_cmds ',' alter_type_cmd  */
#line 3274 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32925 "gram.c"
    break;

  case 397: /* alter_type_cmd: ADD_P ATTRIBUTE TableFuncElement opt_drop_behavior  */
#line 3280 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 32938 "gram.c"
    break;

  case 398: /* alter_type_cmd: DROP ATTRIBUTE IF_P EXISTS ColId opt_drop_behavior  */
#line 3290 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32952 "gram.c"
    break;

  case 399: /* alter_type_cmd: DROP ATTRIBUTE ColId opt_drop_behavior  */
#line 3301 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32966 "gram.c"
    break;

  case 400: /* alter_type_cmd: ALTER ATTRIBUTE ColId opt_set_data TYPE_P Typename opt_collate_clause opt_drop_behavior  */
#line 3312 "gram.y"
                                {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32986 "gram.c"
    break;

  case 401: /* ClosePortalStmt: CLOSE cursor_name  */
#line 3339 "gram.y"
                                {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32997 "gram.c"
    break;

  case 402: /* ClosePortalStmt: CLOSE ALL  */
#line 3346 "gram.y"
                                {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 33008 "gram.c"
    break;

  case 403: /* CopyStmt: COPY opt_binary qualified_name opt_column_list copy_from opt_program copy_file_name copy_delimiter opt_with copy_options where_clause  */
#line 3382 "gram.y"
                                {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 33046 "gram.c"
    break;

  case 404: /* CopyStmt: COPY '(' PreparableStmt ')' TO opt_program copy_file_name opt_with copy_options  */
#line 3416 "gram.y"
                                {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *) n;
				}
#line 33070 "gram.c"
    break;

  case 405: /* copy_from: FROM  */
#line 3438 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 33076 "gram.c"
    break;

  case 406: /* copy_from: TO  */
#line 3439 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 33082 "gram.c"
    break;

  case 407: /* opt_program: PROGRAM  */
#line 3443 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 33088 "gram.c"
    break;

  case 408: /* opt_program: %empty  */
#line 3444 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 33094 "gram.c"
    break;

  case 409: /* copy_file_name: Sconst  */
#line 3453 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 33100 "gram.c"
    break;

  case 410: /* copy_file_name: STDIN  */
#line 3454 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 33106 "gram.c"
    break;

  case 411: /* copy_file_name: STDOUT  */
#line 3455 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 33112 "gram.c"
    break;

  case 412: /* copy_options: copy_opt_list  */
#line 3458 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 33118 "gram.c"
    break;

  case 413: /* copy_options: '(' copy_generic_opt_list ')'  */
#line 3459 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 33124 "gram.c"
    break;

  case 414: /* copy_opt_list: copy_opt_list copy_opt_item  */
#line 3464 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 33130 "gram.c"
    break;

  case 415: /* copy_opt_list: %empty  */
#line 3465 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 33136 "gram.c"
    break;

  case 416: /* copy_opt_item: BINARY  */
#line 3470 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 33144 "gram.c"
    break;

  case 417: /* copy_opt_item: FREEZE  */
#line 3474 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("freeze", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 33152 "gram.c"
    break;

  case 418: /* copy_opt_item: DELIMITER opt_as Sconst  */
#line 3478 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33160 "gram.c"
    break;

  case 419: /* copy_opt_item: NULL_P opt_as Sconst  */
#line 3482 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("null", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33168 "gram.c"
    break;

  case 420: /* copy_opt_item: CSV  */
#line 3486 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("csv"), (yylsp[0]));
				}
#line 33176 "gram.c"
    break;

  case 421: /* copy_opt_item: HEADER_P  */
#line 3490 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("header", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 33184 "gram.c"
    break;

  case 422: /* copy_opt_item: QUOTE opt_as Sconst  */
#line 3494 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("quote", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33192 "gram.c"
    break;

  case 423: /* copy_opt_item: ESCAPE opt_as Sconst  */
#line 3498 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("escape", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 33200 "gram.c"
    break;

  case 424: /* copy_opt_item: FORCE QUOTE columnList  */
#line 3502 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33208 "gram.c"
    break;

  case 425: /* copy_opt_item: FORCE QUOTE '*'  */
#line 3506 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 33216 "gram.c"
    break;

  case 426: /* copy_opt_item: FORCE NOT NULL_P columnList  */
#line 3510 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) (yyvsp[0].list), (yylsp[-3]));
				}
#line 33224 "gram.c"
    break;

  case 427: /* copy_opt_item: FORCE NULL_P columnList  */
#line 3514 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force_null", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 33232 "gram.c"
    break;

  case 428: /* copy_opt_item: ENCODING Sconst  */
#line 3518 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("encoding", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33240 "gram.c"
    break;

  case 429: /* opt_binary: BINARY  */
#line 3527 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 33248 "gram.c"
    break;

  case 430: /* opt_binary: %empty  */
#line 3530 "gram.y"
                                                                                                { (yyval.defelt) = NULL; }
#line 33254 "gram.c"
    break;

  case 431: /* copy_delimiter: opt_using DELIMITERS Sconst  */
#line 3535 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 33262 "gram.c"
    break;

  case 432: /* copy_delimiter: %empty  */
#line 3538 "gram.y"
                                                                                                { (yyval.defelt) = NULL; }
#line 33268 "gram.c"
    break;

  case 435: /* copy_generic_opt_list: copy_generic_opt_elem  */
#line 3549 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 33276 "gram.c"
    break;

  case 436: /* copy_generic_opt_list: copy_generic_opt_list ',' copy_generic_opt_elem  */
#line 3553 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 33284 "gram.c"
    break;

  case 437: /* copy_generic_opt_elem: ColLabel copy_generic_opt_arg  */
#line 3560 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 33292 "gram.c"
    break;

  case 438: /* copy_generic_opt_arg: opt_boolean_or_string  */
#line 3566 "gram.y"
                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 33298 "gram.c"
    break;

  case 439: /* copy_generic_opt_arg: NumericOnly  */
#line 3567 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 33304 "gram.c"
    break;

  case 440: /* copy_generic_opt_arg: '*'  */
#line 3568 "gram.y"
                                                                                { (yyval.node) = (Node *) makeNode(A_Star); }
#line 33310 "gram.c"
    break;

  case 441: /* copy_generic_opt_arg: '(' copy_generic_opt_arg_list ')'  */
#line 3569 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 33316 "gram.c"
    break;

  case 442: /* copy_generic_opt_arg: %empty  */
#line 3570 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 33322 "gram.c"
    break;

  case 443: /* copy_generic_opt_arg_list: copy_generic_opt_arg_list_item  */
#line 3575 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33330 "gram.c"
    break;

  case 444: /* copy_generic_opt_arg_list: copy_generic_opt_arg_list ',' copy_generic_opt_arg_list_item  */
#line 3579 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33338 "gram.c"
    break;

  case 445: /* copy_generic_opt_arg_list_item: opt_boolean_or_string  */
#line 3586 "gram.y"
                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 33344 "gram.c"
    break;

  case 446: /* CreateStmt: CREATE OptTemp TABLE qualified_name '(' OptTableElementList ')' OptInherit OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3600 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33366 "gram.c"
    break;

  case 447: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name '(' OptTableElementList ')' OptInherit OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3620 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33388 "gram.c"
    break;

  case 448: /* CreateStmt: CREATE OptTemp TABLE qualified_name OF any_name OptTypedTableElementList OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3640 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33411 "gram.c"
    break;

  case 449: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name OF any_name OptTypedTableElementList OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3661 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33434 "gram.c"
    break;

  case 450: /* CreateStmt: CREATE OptTemp TABLE qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3682 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33457 "gram.c"
    break;

  case 451: /* CreateStmt: CREATE OptTemp TABLE IF_P NOT EXISTS qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec OptPartitionSpec table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 3703 "gram.y"
                                {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33480 "gram.c"
    break;

  case 452: /* OptTemp: TEMPORARY  */
#line 3734 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33486 "gram.c"
    break;

  case 453: /* OptTemp: TEMP  */
#line 3735 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33492 "gram.c"
    break;

  case 454: /* OptTemp: LOCAL TEMPORARY  */
#line 3736 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33498 "gram.c"
    break;

  case 455: /* OptTemp: LOCAL TEMP  */
#line 3737 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33504 "gram.c"
    break;

  case 456: /* OptTemp: GLOBAL TEMPORARY  */
#line 3739 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33515 "gram.c"
    break;

  case 457: /* OptTemp: GLOBAL TEMP  */
#line 3746 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33526 "gram.c"
    break;

  case 458: /* OptTemp: UNLOGGED  */
#line 3752 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 33532 "gram.c"
    break;

  case 459: /* OptTemp: %empty  */
#line 3753 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 33538 "gram.c"
    break;

  case 460: /* OptTableElementList: TableElementList  */
#line 3757 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 33544 "gram.c"
    break;

  case 461: /* OptTableElementList: %empty  */
#line 3758 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 33550 "gram.c"
    break;

  case 462: /* OptTypedTableElementList: '(' TypedTableElementList ')'  */
#line 3762 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 33556 "gram.c"
    break;

  case 463: /* OptTypedTableElementList: %empty  */
#line 3763 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 33562 "gram.c"
    break;

  case 464: /* TableElementList: TableElement  */
#line 3768 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33570 "gram.c"
    break;

  case 465: /* TableElementList: TableElementList ',' TableElement  */
#line 3772 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33578 "gram.c"
    break;

  case 466: /* TypedTableElementList: TypedTableElement  */
#line 3779 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33586 "gram.c"
    break;

  case 467: /* TypedTableElementList: TypedTableElementList ',' TypedTableElement  */
#line 3783 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33594 "gram.c"
    break;

  case 468: /* TableElement: columnDef  */
#line 3789 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 33600 "gram.c"
    break;

  case 469: /* TableElement: TableLikeClause  */
#line 3790 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 33606 "gram.c"
    break;

  case 470: /* TableElement: TableConstraint  */
#line 3791 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 33612 "gram.c"
    break;

  case 471: /* TypedTableElement: columnOptions  */
#line 3795 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 33618 "gram.c"
    break;

  case 472: /* TypedTableElement: TableConstraint  */
#line 3796 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 33624 "gram.c"
    break;

  case 473: /* columnDef: ColId Typename opt_column_storage opt_column_compression create_generic_options ColQualList  */
#line 3800 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->storage_name = (yyvsp[-3].str);
					n->compression = (yyvsp[-2].str);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 33650 "gram.c"
    break;

  case 474: /* columnOptions: ColId ColQualList  */
#line 3824 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33673 "gram.c"
    break;

  case 475: /* columnOptions: ColId WITH OPTIONS ColQualList  */
#line 3843 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 33696 "gram.c"
    break;

  case 476: /* column_compression: COMPRESSION ColId  */
#line 3864 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 33702 "gram.c"
    break;

  case 477: /* column_compression: COMPRESSION DEFAULT  */
#line 3865 "gram.y"
                                                                                { (yyval.str) = pstrdup("default"); }
#line 33708 "gram.c"
    break;

  case 478: /* opt_column_compression: column_compression  */
#line 3869 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 33714 "gram.c"
    break;

  case 479: /* opt_column_compression: %empty  */
#line 3870 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 33720 "gram.c"
    break;

  case 480: /* column_storage: STORAGE ColId  */
#line 3874 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 33726 "gram.c"
    break;

  case 481: /* opt_column_storage: column_storage  */
#line 3878 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 33732 "gram.c"
    break;

  case 482: /* opt_column_storage: %empty  */
#line 3879 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 33738 "gram.c"
    break;

  case 483: /* ColQualList: ColQualList ColConstraint  */
#line 3883 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 33744 "gram.c"
    break;

  case 484: /* ColQualList: %empty  */
#line 3884 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 33750 "gram.c"
    break;

  case 485: /* ColConstraint: CONSTRAINT name ColConstraintElem  */
#line 3889 "gram.y"
                                {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 33762 "gram.c"
    break;

  case 486: /* ColConstraint: ColConstraintElem  */
#line 3896 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 33768 "gram.c"
    break;

  case 487: /* ColConstraint: ConstraintAttr  */
#line 3897 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 33774 "gram.c"
    break;

  case 488: /* ColConstraint: COLLATE any_name  */
#line 3899 "gram.y"
                                {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33792 "gram.c"
    break;

  case 489: /* ColConstraintElem: NOT NULL_P  */
#line 3931 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33804 "gram.c"
    break;

  case 490: /* ColConstraintElem: NULL_P  */
#line 3939 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 33816 "gram.c"
    break;

  case 491: /* ColConstraintElem: UNIQUE opt_unique_null_treatment opt_definition OptConsTableSpace  */
#line 3947 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-3]);
					n->nulls_not_distinct = !(yyvsp[-2].boolean);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33833 "gram.c"
    break;

  case 492: /* ColConstraintElem: PRIMARY KEY opt_definition OptConsTableSpace  */
#line 3960 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33849 "gram.c"
    break;

  case 493: /* ColConstraintElem: CHECK '(' a_expr ')' opt_no_inherit  */
#line 3972 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33866 "gram.c"
    break;

  case 494: /* ColConstraintElem: DEFAULT b_expr  */
#line 3985 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *) n;
				}
#line 33880 "gram.c"
    break;

  case 495: /* ColConstraintElem: GENERATED generated_when AS IDENTITY_P OptParenthesizedSeqOptList  */
#line 3995 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 33894 "gram.c"
    break;

  case 496: /* ColConstraintElem: GENERATED generated_when AS '(' a_expr ')' STORED  */
#line 4005 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *) n;
				}
#line 33922 "gram.c"
    break;

  case 497: /* ColConstraintElem: REFERENCES qualified_name opt_column_list key_match key_actions  */
#line 4029 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable = (yyvsp[-3].range);
					n->fk_attrs = NIL;
					n->pk_attrs = (yyvsp[-2].list);
					n->fk_matchtype = (yyvsp[-1].ival);
					n->fk_upd_action = ((yyvsp[0].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[0].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[0].keyactions))->deleteAction->cols;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33943 "gram.c"
    break;

  case 498: /* opt_unique_null_treatment: NULLS_P DISTINCT  */
#line 4048 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 33949 "gram.c"
    break;

  case 499: /* opt_unique_null_treatment: NULLS_P NOT DISTINCT  */
#line 4049 "gram.y"
                                                { (yyval.boolean) = false; }
#line 33955 "gram.c"
    break;

  case 500: /* opt_unique_null_treatment: %empty  */
#line 4050 "gram.y"
                                                                { (yyval.boolean) = true; }
#line 33961 "gram.c"
    break;

  case 501: /* generated_when: ALWAYS  */
#line 4054 "gram.y"
                                                { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 33967 "gram.c"
    break;

  case 502: /* generated_when: BY DEFAULT  */
#line 4055 "gram.y"
                                        { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 33973 "gram.c"
    break;

  case 503: /* ConstraintAttr: DEFERRABLE  */
#line 4075 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 33985 "gram.c"
    break;

  case 504: /* ConstraintAttr: NOT DEFERRABLE  */
#line 4083 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33997 "gram.c"
    break;

  case 505: /* ConstraintAttr: INITIALLY DEFERRED  */
#line 4091 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34009 "gram.c"
    break;

  case 506: /* ConstraintAttr: INITIALLY IMMEDIATE  */
#line 4099 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 34021 "gram.c"
    break;

  case 507: /* TableLikeClause: LIKE qualified_name TableLikeOptionList  */
#line 4111 "gram.y"
                                {
					TableLikeClause *n = makeNode(TableLikeClause);

					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *) n;
				}
#line 34034 "gram.c"
    break;

  case 508: /* TableLikeOptionList: TableLikeOptionList INCLUDING TableLikeOption  */
#line 4122 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34040 "gram.c"
    break;

  case 509: /* TableLikeOptionList: TableLikeOptionList EXCLUDING TableLikeOption  */
#line 4123 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 34046 "gram.c"
    break;

  case 510: /* TableLikeOptionList: %empty  */
#line 4124 "gram.y"
                                                                                        { (yyval.ival) = 0; }
#line 34052 "gram.c"
    break;

  case 511: /* TableLikeOption: COMMENTS  */
#line 4128 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 34058 "gram.c"
    break;

  case 512: /* TableLikeOption: COMPRESSION  */
#line 4129 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_COMPRESSION; }
#line 34064 "gram.c"
    break;

  case 513: /* TableLikeOption: CONSTRAINTS  */
#line 4130 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 34070 "gram.c"
    break;

  case 514: /* TableLikeOption: DEFAULTS  */
#line 4131 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 34076 "gram.c"
    break;

  case 515: /* TableLikeOption: IDENTITY_P  */
#line 4132 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 34082 "gram.c"
    break;

  case 516: /* TableLikeOption: GENERATED  */
#line 4133 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 34088 "gram.c"
    break;

  case 517: /* TableLikeOption: INDEXES  */
#line 4134 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 34094 "gram.c"
    break;

  case 518: /* TableLikeOption: STATISTICS  */
#line 4135 "gram.y"
                                                        { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 34100 "gram.c"
    break;

  case 519: /* TableLikeOption: STORAGE  */
#line 4136 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 34106 "gram.c"
    break;

  case 520: /* TableLikeOption: ALL  */
#line 4137 "gram.y"
                                                                { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 34112 "gram.c"
    break;

  case 521: /* TableConstraint: CONSTRAINT name ConstraintElem  */
#line 4147 "gram.y"
                                {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 34124 "gram.c"
    break;

  case 522: /* TableConstraint: ConstraintElem  */
#line 4154 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 34130 "gram.c"
    break;

  case 523: /* ConstraintElem: CHECK '(' a_expr ')' ConstraintAttributeSpec  */
#line 4159 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34148 "gram.c"
    break;

  case 524: /* ConstraintElem: UNIQUE opt_unique_null_treatment '(' columnList ')' opt_c_include opt_definition OptConsTableSpace ConstraintAttributeSpec  */
#line 4174 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-8]);
					n->nulls_not_distinct = !(yyvsp[-7].boolean);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34169 "gram.c"
    break;

  case 525: /* ConstraintElem: UNIQUE ExistingIndex ConstraintAttributeSpec  */
#line 4191 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34189 "gram.c"
    break;

  case 526: /* ConstraintElem: PRIMARY KEY '(' columnList ')' opt_c_include opt_definition OptConsTableSpace ConstraintAttributeSpec  */
#line 4208 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-8]);
					n->keys = (yyvsp[-5].list);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34209 "gram.c"
    break;

  case 527: /* ConstraintElem: PRIMARY KEY ExistingIndex ConstraintAttributeSpec  */
#line 4224 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34229 "gram.c"
    break;

  case 528: /* ConstraintElem: EXCLUDE access_method_clause '(' ExclusionConstraintList ')' opt_c_include opt_definition OptConsTableSpace OptWhereClause ConstraintAttributeSpec  */
#line 4242 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method = (yyvsp[-8].str);
					n->exclusions = (yyvsp[-6].list);
					n->including = (yyvsp[-4].list);
					n->options = (yyvsp[-3].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-2].str);
					n->where_clause = (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 34251 "gram.c"
    break;

  case 529: /* ConstraintElem: FOREIGN KEY '(' columnList ')' REFERENCES qualified_name opt_column_list key_match key_actions ConstraintAttributeSpec  */
#line 4261 "gram.y"
                                {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable = (yyvsp[-4].range);
					n->fk_attrs = (yyvsp[-7].list);
					n->pk_attrs = (yyvsp[-3].list);
					n->fk_matchtype = (yyvsp[-2].ival);
					n->fk_upd_action = ((yyvsp[-1].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[-1].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[-1].keyactions))->deleteAction->cols;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 34275 "gram.c"
    break;

  case 530: /* opt_no_inherit: NO INHERIT  */
#line 4282 "gram.y"
                                                                                {  (yyval.boolean) = true; }
#line 34281 "gram.c"
    break;

  case 531: /* opt_no_inherit: %empty  */
#line 4283 "gram.y"
                                                                                        {  (yyval.boolean) = false; }
#line 34287 "gram.c"
    break;

  case 532: /* opt_column_list: '(' columnList ')'  */
#line 4287 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 34293 "gram.c"
    break;

  case 533: /* opt_column_list: %empty  */
#line 4288 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 34299 "gram.c"
    break;

  case 534: /* columnList: columnElem  */
#line 4292 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34305 "gram.c"
    break;

  case 535: /* columnList: columnList ',' columnElem  */
#line 4293 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 34311 "gram.c"
    break;

  case 536: /* columnElem: ColId  */
#line 4297 "gram.y"
                                {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 34319 "gram.c"
    break;

  case 537: /* opt_c_include: INCLUDE '(' columnList ')'  */
#line 4302 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 34325 "gram.c"
    break;

  case 538: /* opt_c_include: %empty  */
#line 4303 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 34331 "gram.c"
    break;

  case 539: /* key_match: MATCH FULL  */
#line 4307 "gram.y"
                        {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 34339 "gram.c"
    break;

  case 540: /* key_match: MATCH PARTIAL  */
#line 4311 "gram.y"
                        {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 34351 "gram.c"
    break;

  case 541: /* key_match: MATCH SIMPLE  */
#line 4319 "gram.y"
                        {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 34359 "gram.c"
    break;

  case 542: /* key_match: %empty  */
#line 4323 "gram.y"
                        {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 34367 "gram.c"
    break;

  case 543: /* ExclusionConstraintList: ExclusionConstraintElem  */
#line 4329 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 34373 "gram.c"
    break;

  case 544: /* ExclusionConstraintList: ExclusionConstraintList ',' ExclusionConstraintElem  */
#line 4331 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 34379 "gram.c"
    break;

  case 545: /* ExclusionConstraintElem: index_elem WITH any_operator  */
#line 4335 "gram.y"
                        {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 34387 "gram.c"
    break;

  case 546: /* ExclusionConstraintElem: index_elem WITH OPERATOR '(' any_operator ')'  */
#line 4340 "gram.y"
                        {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 34395 "gram.c"
    break;

  case 547: /* OptWhereClause: WHERE '(' a_expr ')'  */
#line 4346 "gram.y"
                                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 34401 "gram.c"
    break;

  case 548: /* OptWhereClause: %empty  */
#line 4347 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 34407 "gram.c"
    break;

  case 549: /* key_actions: key_update  */
#line 4352 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 34421 "gram.c"
    break;

  case 550: /* key_actions: key_delete  */
#line 4362 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 34435 "gram.c"
    break;

  case 551: /* key_actions: key_update key_delete  */
#line 4372 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[-1].keyaction);
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 34447 "gram.c"
    break;

  case 552: /* key_actions: key_delete key_update  */
#line 4380 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = (yyvsp[-1].keyaction);
					(yyval.keyactions) = n;
				}
#line 34459 "gram.c"
    break;

  case 553: /* key_actions: %empty  */
#line 4388 "gram.y"
                                {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 34475 "gram.c"
    break;

  case 554: /* key_update: ON UPDATE key_action  */
#line 4402 "gram.y"
                                {
					if (((yyvsp[0].keyaction))->cols)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("a column list with %s is only supported for ON DELETE actions",
										((yyvsp[0].keyaction))->action == FKCONSTR_ACTION_SETNULL ? "SET NULL" : "SET DEFAULT"),
								 parser_errposition((yylsp[-2]))));
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34489 "gram.c"
    break;

  case 555: /* key_delete: ON DELETE_P key_action  */
#line 4414 "gram.y"
                                {
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34497 "gram.c"
    break;

  case 556: /* key_action: NO ACTION  */
#line 4421 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_NOACTION;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34509 "gram.c"
    break;

  case 557: /* key_action: RESTRICT  */
#line 4429 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_RESTRICT;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34521 "gram.c"
    break;

  case 558: /* key_action: CASCADE  */
#line 4437 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_CASCADE;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34533 "gram.c"
    break;

  case 559: /* key_action: SET NULL_P opt_column_list  */
#line 4445 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETNULL;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34545 "gram.c"
    break;

  case 560: /* key_action: SET DEFAULT opt_column_list  */
#line 4453 "gram.y"
                                {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETDEFAULT;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34557 "gram.c"
    break;

  case 561: /* OptInherit: INHERITS '(' qualified_name_list ')'  */
#line 4462 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 34563 "gram.c"
    break;

  case 562: /* OptInherit: %empty  */
#line 4463 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 34569 "gram.c"
    break;

  case 563: /* OptPartitionSpec: PartitionSpec  */
#line 4467 "gram.y"
                                { (yyval.partspec) = (yyvsp[0].partspec); }
#line 34575 "gram.c"
    break;

  case 564: /* OptPartitionSpec: %empty  */
#line 4468 "gram.y"
                                                        { (yyval.partspec) = NULL; }
#line 34581 "gram.c"
    break;

  case 565: /* PartitionSpec: PARTITION BY ColId '(' part_params ')'  */
#line 4472 "gram.y"
                                {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = (yyvsp[-3].str);
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 34595 "gram.c"
    break;

  case 566: /* part_params: part_elem  */
#line 4483 "gram.y"
                                                                        { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 34601 "gram.c"
    break;

  case 567: /* part_params: part_params ',' part_elem  */
#line 4484 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 34607 "gram.c"
    break;

  case 568: /* part_elem: ColId opt_collate opt_qualified_name  */
#line 4488 "gram.y"
                                {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 34622 "gram.c"
    break;

  case 569: /* part_elem: func_expr_windowless opt_collate opt_qualified_name  */
#line 4499 "gram.y"
                                {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 34637 "gram.c"
    break;

  case 570: /* part_elem: '(' a_expr ')' opt_collate opt_qualified_name  */
#line 4510 "gram.y"
                                {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 34652 "gram.c"
    break;

  case 571: /* table_access_method_clause: USING name  */
#line 4523 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 34658 "gram.c"
    break;

  case 572: /* table_access_method_clause: %empty  */
#line 4524 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 34664 "gram.c"
    break;

  case 573: /* OptWith: WITH reloptions  */
#line 4529 "gram.y"
                                                                { (yyval.list) = (yyvsp[0].list); }
#line 34670 "gram.c"
    break;

  case 574: /* OptWith: WITHOUT OIDS  */
#line 4530 "gram.y"
                                                                { (yyval.list) = NIL; }
#line 34676 "gram.c"
    break;

  case 575: /* OptWith: %empty  */
#line 4531 "gram.y"
                                                                        { (yyval.list) = NIL; }
#line 34682 "gram.c"
    break;

  case 576: /* OnCommitOption: ON COMMIT DROP  */
#line 4534 "gram.y"
                                                        { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 34688 "gram.c"
    break;

  case 577: /* OnCommitOption: ON COMMIT DELETE_P ROWS  */
#line 4535 "gram.y"
                                                                { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 34694 "gram.c"
    break;

  case 578: /* OnCommitOption: ON COMMIT PRESERVE ROWS  */
#line 4536 "gram.y"
                                                                { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 34700 "gram.c"
    break;

  case 579: /* OnCommitOption: %empty  */
#line 4537 "gram.y"
                                                                                { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 34706 "gram.c"
    break;

  case 580: /* OptTableSpace: TABLESPACE name  */
#line 4540 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 34712 "gram.c"
    break;

  case 581: /* OptTableSpace: %empty  */
#line 4541 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 34718 "gram.c"
    break;

  case 582: /* OptConsTableSpace: USING INDEX TABLESPACE name  */
#line 4544 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 34724 "gram.c"
    break;

  case 583: /* OptConsTableSpace: %empty  */
#line 4545 "gram.y"
                                                                                                { (yyval.str) = NULL; }
#line 34730 "gram.c"
    break;

  case 584: /* ExistingIndex: USING INDEX name  */
#line 4548 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 34736 "gram.c"
    break;

  case 585: /* CreateStatsStmt: CREATE STATISTICS opt_qualified_name opt_name_list ON stats_params FROM from_list  */
#line 4570 "gram.y"
                                {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34752 "gram.c"
    break;

  case 586: /* CreateStatsStmt: CREATE STATISTICS IF_P NOT EXISTS any_name opt_name_list ON stats_params FROM from_list  */
#line 4583 "gram.y"
                                {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34768 "gram.c"
    break;

  case 587: /* stats_params: stats_param  */
#line 4603 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].selem)); }
#line 34774 "gram.c"
    break;

  case 588: /* stats_params: stats_params ',' stats_param  */
#line 4604 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].selem)); }
#line 34780 "gram.c"
    break;

  case 589: /* stats_param: ColId  */
#line 4608 "gram.y"
                                {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = (yyvsp[0].str);
					(yyval.selem)->expr = NULL;
				}
#line 34790 "gram.c"
    break;

  case 590: /* stats_param: func_expr_windowless  */
#line 4614 "gram.y"
                                {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[0].node);
				}
#line 34800 "gram.c"
    break;

  case 591: /* stats_param: '(' a_expr ')'  */
#line 4620 "gram.y"
                                {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[-1].node);
				}
#line 34810 "gram.c"
    break;

  case 592: /* AlterStatsStmt: ALTER STATISTICS any_name SET STATISTICS SignedIconst  */
#line 4637 "gram.y"
                                {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34823 "gram.c"
    break;

  case 593: /* AlterStatsStmt: ALTER STATISTICS IF_P EXISTS any_name SET STATISTICS SignedIconst  */
#line 4646 "gram.y"
                                {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34836 "gram.c"
    break;

  case 594: /* CreateAsStmt: CREATE OptTemp TABLE create_as_target AS SelectStmt opt_with_data  */
#line 4668 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34854 "gram.c"
    break;

  case 595: /* CreateAsStmt: CREATE OptTemp TABLE IF_P NOT EXISTS create_as_target AS SelectStmt opt_with_data  */
#line 4682 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34872 "gram.c"
    break;

  case 596: /* create_as_target: qualified_name opt_column_list table_access_method_clause OptWith OnCommitOption OptTableSpace  */
#line 4700 "gram.y"
                                {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 34888 "gram.c"
    break;

  case 597: /* opt_with_data: WITH DATA_P  */
#line 4714 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 34894 "gram.c"
    break;

  case 598: /* opt_with_data: WITH NO DATA_P  */
#line 4715 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 34900 "gram.c"
    break;

  case 599: /* opt_with_data: %empty  */
#line 4716 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 34906 "gram.c"
    break;

  case 600: /* CreateMatViewStmt: CREATE OptNoLog MATERIALIZED VIEW create_mv_target AS SelectStmt opt_with_data  */
#line 4729 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34924 "gram.c"
    break;

  case 601: /* CreateMatViewStmt: CREATE OptNoLog MATERIALIZED VIEW IF_P NOT EXISTS create_mv_target AS SelectStmt opt_with_data  */
#line 4743 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34942 "gram.c"
    break;

  case 602: /* create_mv_target: qualified_name opt_column_list table_access_method_clause opt_reloptions OptTableSpace  */
#line 4760 "gram.y"
                                {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 34958 "gram.c"
    break;

  case 603: /* OptNoLog: UNLOGGED  */
#line 4773 "gram.y"
                                                                { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 34964 "gram.c"
    break;

  case 604: /* OptNoLog: %empty  */
#line 4774 "gram.y"
                                                                        { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 34970 "gram.c"
    break;

  case 605: /* RefreshMatViewStmt: REFRESH MATERIALIZED VIEW opt_concurrently qualified_name opt_with_data  */
#line 4787 "gram.y"
                                {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);

					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 34983 "gram.c"
    break;

  case 606: /* CreateSeqStmt: CREATE OptTemp SEQUENCE qualified_name OptSeqOptList  */
#line 4808 "gram.y"
                                {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34998 "gram.c"
    break;

  case 607: /* CreateSeqStmt: CREATE OptTemp SEQUENCE IF_P NOT EXISTS qualified_name OptSeqOptList  */
#line 4819 "gram.y"
                                {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35013 "gram.c"
    break;

  case 608: /* AlterSeqStmt: ALTER SEQUENCE qualified_name SeqOptList  */
#line 4833 "gram.y"
                                {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35026 "gram.c"
    break;

  case 609: /* AlterSeqStmt: ALTER SEQUENCE IF_P EXISTS qualified_name SeqOptList  */
#line 4842 "gram.y"
                                {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35039 "gram.c"
    break;

  case 610: /* OptSeqOptList: SeqOptList  */
#line 4853 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 35045 "gram.c"
    break;

  case 611: /* OptSeqOptList: %empty  */
#line 4854 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 35051 "gram.c"
    break;

  case 612: /* OptParenthesizedSeqOptList: '(' SeqOptList ')'  */
#line 4857 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 35057 "gram.c"
    break;

  case 613: /* OptParenthesizedSeqOptList: %empty  */
#line 4858 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 35063 "gram.c"
    break;

  case 614: /* SeqOptList: SeqOptElem  */
#line 4861 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35069 "gram.c"
    break;

  case 615: /* SeqOptList: SeqOptList SeqOptElem  */
#line 4862 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35075 "gram.c"
    break;

  case 616: /* SeqOptElem: AS SimpleTypename  */
#line 4866 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].typnam), (yylsp[-1]));
				}
#line 35083 "gram.c"
    break;

  case 617: /* SeqOptElem: CACHE NumericOnly  */
#line 4870 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cache", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35091 "gram.c"
    break;

  case 618: /* SeqOptElem: CYCLE  */
#line 4874 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 35099 "gram.c"
    break;

  case 619: /* SeqOptElem: NO CYCLE  */
#line 4878 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 35107 "gram.c"
    break;

  case 620: /* SeqOptElem: INCREMENT opt_by NumericOnly  */
#line 4882 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("increment", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35115 "gram.c"
    break;

  case 621: /* SeqOptElem: MAXVALUE NumericOnly  */
#line 4886 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35123 "gram.c"
    break;

  case 622: /* SeqOptElem: MINVALUE NumericOnly  */
#line 4890 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("minvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 35131 "gram.c"
    break;

  case 623: /* SeqOptElem: NO MAXVALUE  */
#line 4894 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 35139 "gram.c"
    break;

  case 624: /* SeqOptElem: NO MINVALUE  */
#line 4898 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 35147 "gram.c"
    break;

  case 625: /* SeqOptElem: OWNED BY any_name  */
#line 4902 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("owned_by", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 35155 "gram.c"
    break;

  case 626: /* SeqOptElem: SEQUENCE NAME_P any_name  */
#line 4906 "gram.y"
                                {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 35164 "gram.c"
    break;

  case 627: /* SeqOptElem: START opt_with NumericOnly  */
#line 4911 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("start", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35172 "gram.c"
    break;

  case 628: /* SeqOptElem: RESTART  */
#line 4915 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 35180 "gram.c"
    break;

  case 629: /* SeqOptElem: RESTART opt_with NumericOnly  */
#line 4919 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 35188 "gram.c"
    break;

  case 632: /* NumericOnly: FCONST  */
#line 4929 "gram.y"
                                                                                        { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 35194 "gram.c"
    break;

  case 633: /* NumericOnly: '+' FCONST  */
#line 4930 "gram.y"
                                                                                { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 35200 "gram.c"
    break;

  case 634: /* NumericOnly: '-' FCONST  */
#line 4932 "gram.y"
                                {
					Float	   *f = makeFloat((yyvsp[0].str));

					doNegateFloat(f);
					(yyval.node) = (Node *) f;
				}
#line 35211 "gram.c"
    break;

  case 635: /* NumericOnly: SignedIconst  */
#line 4938 "gram.y"
                                                                                { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 35217 "gram.c"
    break;

  case 636: /* NumericOnly_list: NumericOnly  */
#line 4941 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35223 "gram.c"
    break;

  case 637: /* NumericOnly_list: NumericOnly_list ',' NumericOnly  */
#line 4942 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35229 "gram.c"
    break;

  case 638: /* CreatePLangStmt: CREATE opt_or_replace opt_trusted opt_procedural LANGUAGE name  */
#line 4955 "gram.y"
                        {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *) n;
			}
#line 35249 "gram.c"
    break;

  case 639: /* CreatePLangStmt: CREATE opt_or_replace opt_trusted opt_procedural LANGUAGE name HANDLER handler_name opt_inline_handler opt_validator  */
#line 4972 "gram.y"
                        {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);

				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *) n;
			}
#line 35265 "gram.c"
    break;

  case 640: /* opt_trusted: TRUSTED  */
#line 4986 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 35271 "gram.c"
    break;

  case 641: /* opt_trusted: %empty  */
#line 4987 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 35277 "gram.c"
    break;

  case 642: /* handler_name: name  */
#line 4995 "gram.y"
                                                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 35283 "gram.c"
    break;

  case 643: /* handler_name: name attrs  */
#line 4996 "gram.y"
                                                                { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 35289 "gram.c"
    break;

  case 644: /* opt_inline_handler: INLINE_P handler_name  */
#line 5000 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 35295 "gram.c"
    break;

  case 645: /* opt_inline_handler: %empty  */
#line 5001 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 35301 "gram.c"
    break;

  case 646: /* validator_clause: VALIDATOR handler_name  */
#line 5005 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 35307 "gram.c"
    break;

  case 647: /* validator_clause: NO VALIDATOR  */
#line 5006 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 35313 "gram.c"
    break;

  case 648: /* opt_validator: validator_clause  */
#line 5010 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 35319 "gram.c"
    break;

  case 649: /* opt_validator: %empty  */
#line 5011 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 35325 "gram.c"
    break;

  case 652: /* CreateTableSpaceStmt: CREATE TABLESPACE name OptTableSpaceOwner LOCATION Sconst opt_reloptions  */
#line 5027 "gram.y"
                                {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);

					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35339 "gram.c"
    break;

  case 653: /* OptTableSpaceOwner: OWNER RoleSpec  */
#line 5038 "gram.y"
                                                { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35345 "gram.c"
    break;

  case 654: /* OptTableSpaceOwner: %empty  */
#line 5039 "gram.y"
                                                                { (yyval.rolespec) = NULL; }
#line 35351 "gram.c"
    break;

  case 655: /* DropTableSpaceStmt: DROP TABLESPACE name  */
#line 5053 "gram.y"
                                {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35363 "gram.c"
    break;

  case 656: /* DropTableSpaceStmt: DROP TABLESPACE IF_P EXISTS name  */
#line 5061 "gram.y"
                                {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35375 "gram.c"
    break;

  case 657: /* CreateExtensionStmt: CREATE EXTENSION name opt_with create_extension_opt_list  */
#line 5079 "gram.y"
                                {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35388 "gram.c"
    break;

  case 658: /* CreateExtensionStmt: CREATE EXTENSION IF_P NOT EXISTS name opt_with create_extension_opt_list  */
#line 5088 "gram.y"
                                {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35401 "gram.c"
    break;

  case 659: /* create_extension_opt_list: create_extension_opt_list create_extension_opt_item  */
#line 5100 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35407 "gram.c"
    break;

  case 660: /* create_extension_opt_list: %empty  */
#line 5102 "gram.y"
                                { (yyval.list) = NIL; }
#line 35413 "gram.c"
    break;

  case 661: /* create_extension_opt_item: SCHEMA name  */
#line 5107 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("schema", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35421 "gram.c"
    break;

  case 662: /* create_extension_opt_item: VERSION_P NonReservedWord_or_Sconst  */
#line 5111 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35429 "gram.c"
    break;

  case 663: /* create_extension_opt_item: FROM NonReservedWord_or_Sconst  */
#line 5115 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 35440 "gram.c"
    break;

  case 664: /* create_extension_opt_item: CASCADE  */
#line 5122 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cascade", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 35448 "gram.c"
    break;

  case 665: /* AlterExtensionStmt: ALTER EXTENSION name UPDATE alter_extension_opt_list  */
#line 5134 "gram.y"
                                {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35460 "gram.c"
    break;

  case 666: /* alter_extension_opt_list: alter_extension_opt_list alter_extension_opt_item  */
#line 5145 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35466 "gram.c"
    break;

  case 667: /* alter_extension_opt_list: %empty  */
#line 5147 "gram.y"
                                { (yyval.list) = NIL; }
#line 35472 "gram.c"
    break;

  case 668: /* alter_extension_opt_item: TO NonReservedWord_or_Sconst  */
#line 5152 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35480 "gram.c"
    break;

  case 669: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop object_type_name name  */
#line 5165 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 35494 "gram.c"
    break;

  case 670: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop object_type_any_name any_name  */
#line 5175 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35508 "gram.c"
    break;

  case 671: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop AGGREGATE aggregate_with_argtypes  */
#line 5185 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35522 "gram.c"
    break;

  case 672: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop CAST '(' Typename AS Typename ')'  */
#line 5195 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 35536 "gram.c"
    break;

  case 673: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop DOMAIN_P Typename  */
#line 5205 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35550 "gram.c"
    break;

  case 674: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop FUNCTION function_with_argtypes  */
#line 5215 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35564 "gram.c"
    break;

  case 675: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR operator_with_argtypes  */
#line 5225 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35578 "gram.c"
    break;

  case 676: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR CLASS any_name USING name  */
#line 5235 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 35592 "gram.c"
    break;

  case 677: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop OPERATOR FAMILY any_name USING name  */
#line 5245 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 35606 "gram.c"
    break;

  case 678: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop PROCEDURE function_with_argtypes  */
#line 5255 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35620 "gram.c"
    break;

  case 679: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop ROUTINE function_with_argtypes  */
#line 5265 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35634 "gram.c"
    break;

  case 680: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TRANSFORM FOR Typename LANGUAGE name  */
#line 5275 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *) n;
				}
#line 35648 "gram.c"
    break;

  case 681: /* AlterExtensionContentsStmt: ALTER EXTENSION name add_drop TYPE_P Typename  */
#line 5285 "gram.y"
                                {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35662 "gram.c"
    break;

  case 682: /* CreateFdwStmt: CREATE FOREIGN DATA_P WRAPPER name opt_fdw_options create_generic_options  */
#line 5304 "gram.y"
                                {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35675 "gram.c"
    break;

  case 683: /* fdw_option: HANDLER handler_name  */
#line 5315 "gram.y"
                                                                        { (yyval.defelt) = makeDefElem("handler", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 35681 "gram.c"
    break;

  case 684: /* fdw_option: NO HANDLER  */
#line 5316 "gram.y"
                                                                                { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 35687 "gram.c"
    break;

  case 685: /* fdw_option: VALIDATOR handler_name  */
#line 5317 "gram.y"
                                                                        { (yyval.defelt) = makeDefElem("validator", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 35693 "gram.c"
    break;

  case 686: /* fdw_option: NO VALIDATOR  */
#line 5318 "gram.y"
                                                                                { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 35699 "gram.c"
    break;

  case 687: /* fdw_options: fdw_option  */
#line 5322 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35705 "gram.c"
    break;

  case 688: /* fdw_options: fdw_options fdw_option  */
#line 5323 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35711 "gram.c"
    break;

  case 689: /* opt_fdw_options: fdw_options  */
#line 5327 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 35717 "gram.c"
    break;

  case 690: /* opt_fdw_options: %empty  */
#line 5328 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 35723 "gram.c"
    break;

  case 691: /* AlterFdwStmt: ALTER FOREIGN DATA_P WRAPPER name opt_fdw_options alter_generic_options  */
#line 5339 "gram.y"
                                {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35736 "gram.c"
    break;

  case 692: /* AlterFdwStmt: ALTER FOREIGN DATA_P WRAPPER name fdw_options  */
#line 5348 "gram.y"
                                {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 35749 "gram.c"
    break;

  case 693: /* create_generic_options: OPTIONS '(' generic_option_list ')'  */
#line 5360 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 35755 "gram.c"
    break;

  case 694: /* create_generic_options: %empty  */
#line 5361 "gram.y"
                                                                                                        { (yyval.list) = NIL; }
#line 35761 "gram.c"
    break;

  case 695: /* generic_option_list: generic_option_elem  */
#line 5366 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 35769 "gram.c"
    break;

  case 696: /* generic_option_list: generic_option_list ',' generic_option_elem  */
#line 5370 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 35777 "gram.c"
    break;

  case 697: /* alter_generic_options: OPTIONS '(' alter_generic_option_list ')'  */
#line 5377 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 35783 "gram.c"
    break;

  case 698: /* alter_generic_option_list: alter_generic_option_elem  */
#line 5382 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 35791 "gram.c"
    break;

  case 699: /* alter_generic_option_list: alter_generic_option_list ',' alter_generic_option_elem  */
#line 5386 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 35799 "gram.c"
    break;

  case 700: /* alter_generic_option_elem: generic_option_elem  */
#line 5393 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 35807 "gram.c"
    break;

  case 701: /* alter_generic_option_elem: SET generic_option_elem  */
#line 5397 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 35816 "gram.c"
    break;

  case 702: /* alter_generic_option_elem: ADD_P generic_option_elem  */
#line 5402 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 35825 "gram.c"
    break;

  case 703: /* alter_generic_option_elem: DROP generic_option_name  */
#line 5407 "gram.y"
                                {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 35833 "gram.c"
    break;

  case 704: /* generic_option_elem: generic_option_name generic_option_arg  */
#line 5414 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 35841 "gram.c"
    break;

  case 705: /* generic_option_name: ColLabel  */
#line 5420 "gram.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 35847 "gram.c"
    break;

  case 706: /* generic_option_arg: Sconst  */
#line 5425 "gram.y"
                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35853 "gram.c"
    break;

  case 707: /* CreateForeignServerStmt: CREATE SERVER name opt_type opt_foreign_server_version FOREIGN DATA_P WRAPPER name create_generic_options  */
#line 5437 "gram.y"
                                {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35869 "gram.c"
    break;

  case 708: /* CreateForeignServerStmt: CREATE SERVER IF_P NOT EXISTS name opt_type opt_foreign_server_version FOREIGN DATA_P WRAPPER name create_generic_options  */
#line 5450 "gram.y"
                                {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35885 "gram.c"
    break;

  case 709: /* opt_type: TYPE_P Sconst  */
#line 5464 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 35891 "gram.c"
    break;

  case 710: /* opt_type: %empty  */
#line 5465 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 35897 "gram.c"
    break;

  case 711: /* foreign_server_version: VERSION_P Sconst  */
#line 5470 "gram.y"
                                                        { (yyval.str) = (yyvsp[0].str); }
#line 35903 "gram.c"
    break;

  case 712: /* foreign_server_version: VERSION_P NULL_P  */
#line 5471 "gram.y"
                                                        { (yyval.str) = NULL; }
#line 35909 "gram.c"
    break;

  case 713: /* opt_foreign_server_version: foreign_server_version  */
#line 5475 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 35915 "gram.c"
    break;

  case 714: /* opt_foreign_server_version: %empty  */
#line 5476 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 35921 "gram.c"
    break;

  case 715: /* AlterForeignServerStmt: ALTER SERVER name foreign_server_version alter_generic_options  */
#line 5487 "gram.y"
                                {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 35935 "gram.c"
    break;

  case 716: /* AlterForeignServerStmt: ALTER SERVER name foreign_server_version  */
#line 5497 "gram.y"
                                {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 35948 "gram.c"
    break;

  case 717: /* AlterForeignServerStmt: ALTER SERVER name alter_generic_options  */
#line 5506 "gram.y"
                                {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35960 "gram.c"
    break;

  case 718: /* CreateForeignTableStmt: CREATE FOREIGN TABLE qualified_name '(' OptTableElementList ')' OptInherit SERVER name create_generic_options  */
#line 5526 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35983 "gram.c"
    break;

  case 719: /* CreateForeignTableStmt: CREATE FOREIGN TABLE IF_P NOT EXISTS qualified_name '(' OptTableElementList ')' OptInherit SERVER name create_generic_options  */
#line 5547 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36006 "gram.c"
    break;

  case 720: /* CreateForeignTableStmt: CREATE FOREIGN TABLE qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec SERVER name create_generic_options  */
#line 5568 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36030 "gram.c"
    break;

  case 721: /* CreateForeignTableStmt: CREATE FOREIGN TABLE IF_P NOT EXISTS qualified_name PARTITION OF qualified_name OptTypedTableElementList PartitionBoundSpec SERVER name create_generic_options  */
#line 5590 "gram.y"
                                {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36054 "gram.c"
    break;

  case 722: /* ImportForeignSchemaStmt: IMPORT_P FOREIGN SCHEMA name import_qualification FROM SERVER name INTO name create_generic_options  */
#line 5623 "gram.y"
                        {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);

				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 36070 "gram.c"
    break;

  case 723: /* import_qualification_type: LIMIT TO  */
#line 5637 "gram.y"
                                                        { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 36076 "gram.c"
    break;

  case 724: /* import_qualification_type: EXCEPT  */
#line 5638 "gram.y"
                                                        { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 36082 "gram.c"
    break;

  case 725: /* import_qualification: import_qualification_type '(' relation_expr_list ')'  */
#line 5643 "gram.y"
                        {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));

				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 36094 "gram.c"
    break;

  case 726: /* import_qualification: %empty  */
#line 5651 "gram.y"
                        {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 36105 "gram.c"
    break;

  case 727: /* CreateUserMappingStmt: CREATE USER MAPPING FOR auth_ident SERVER name create_generic_options  */
#line 5667 "gram.y"
                                {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 36119 "gram.c"
    break;

  case 728: /* CreateUserMappingStmt: CREATE USER MAPPING IF_P NOT EXISTS FOR auth_ident SERVER name create_generic_options  */
#line 5677 "gram.y"
                                {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36133 "gram.c"
    break;

  case 729: /* auth_ident: RoleSpec  */
#line 5689 "gram.y"
                                        { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 36139 "gram.c"
    break;

  case 730: /* auth_ident: USER  */
#line 5690 "gram.y"
                                                        { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 36145 "gram.c"
    break;

  case 731: /* DropUserMappingStmt: DROP USER MAPPING FOR auth_ident SERVER name  */
#line 5703 "gram.y"
                                {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 36158 "gram.c"
    break;

  case 732: /* DropUserMappingStmt: DROP USER MAPPING IF_P EXISTS FOR auth_ident SERVER name  */
#line 5712 "gram.y"
                                {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 36171 "gram.c"
    break;

  case 733: /* AlterUserMappingStmt: ALTER USER MAPPING FOR auth_ident SERVER name alter_generic_options  */
#line 5730 "gram.y"
                                {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36184 "gram.c"
    break;

  case 734: /* CreatePolicyStmt: CREATE POLICY name ON qualified_name RowSecurityDefaultPermissive RowSecurityDefaultForCmd RowSecurityDefaultToRole RowSecurityOptionalExpr RowSecurityOptionalWithCheck  */
#line 5757 "gram.y"
                                {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);

					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 36201 "gram.c"
    break;

  case 735: /* AlterPolicyStmt: ALTER POLICY name ON qualified_name RowSecurityOptionalToRole RowSecurityOptionalExpr RowSecurityOptionalWithCheck  */
#line 5774 "gram.y"
                                {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);

					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 36216 "gram.c"
    break;

  case 736: /* RowSecurityOptionalExpr: USING '(' a_expr ')'  */
#line 5787 "gram.y"
                                                { (yyval.node) = (yyvsp[-1].node); }
#line 36222 "gram.c"
    break;

  case 737: /* RowSecurityOptionalExpr: %empty  */
#line 5788 "gram.y"
                                                        { (yyval.node) = NULL; }
#line 36228 "gram.c"
    break;

  case 738: /* RowSecurityOptionalWithCheck: WITH CHECK '(' a_expr ')'  */
#line 5792 "gram.y"
                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 36234 "gram.c"
    break;

  case 739: /* RowSecurityOptionalWithCheck: %empty  */
#line 5793 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 36240 "gram.c"
    break;

  case 740: /* RowSecurityDefaultToRole: TO role_list  */
#line 5797 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 36246 "gram.c"
    break;

  case 741: /* RowSecurityDefaultToRole: %empty  */
#line 5798 "gram.y"
                                                        { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 36252 "gram.c"
    break;

  case 742: /* RowSecurityOptionalToRole: TO role_list  */
#line 5802 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 36258 "gram.c"
    break;

  case 743: /* RowSecurityOptionalToRole: %empty  */
#line 5803 "gram.y"
                                                        { (yyval.list) = NULL; }
#line 36264 "gram.c"
    break;

  case 744: /* RowSecurityDefaultPermissive: AS IDENT  */
#line 5808 "gram.y"
                                {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
								 parser_errposition((yylsp[0]))));

				}
#line 36282 "gram.c"
    break;

  case 745: /* RowSecurityDefaultPermissive: %empty  */
#line 5821 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 36288 "gram.c"
    break;

  case 746: /* RowSecurityDefaultForCmd: FOR row_security_cmd  */
#line 5825 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 36294 "gram.c"
    break;

  case 747: /* RowSecurityDefaultForCmd: %empty  */
#line 5826 "gram.y"
                                                        { (yyval.str) = "all"; }
#line 36300 "gram.c"
    break;

  case 748: /* row_security_cmd: ALL  */
#line 5830 "gram.y"
                                                        { (yyval.str) = "all"; }
#line 36306 "gram.c"
    break;

  case 749: /* row_security_cmd: SELECT  */
#line 5831 "gram.y"
                                                { (yyval.str) = "select"; }
#line 36312 "gram.c"
    break;

  case 750: /* row_security_cmd: INSERT  */
#line 5832 "gram.y"
                                                { (yyval.str) = "insert"; }
#line 36318 "gram.c"
    break;

  case 751: /* row_security_cmd: UPDATE  */
#line 5833 "gram.y"
                                                { (yyval.str) = "update"; }
#line 36324 "gram.c"
    break;

  case 752: /* row_security_cmd: DELETE_P  */
#line 5834 "gram.y"
                                                { (yyval.str) = "delete"; }
#line 36330 "gram.c"
    break;

  case 753: /* CreateAmStmt: CREATE ACCESS METHOD name TYPE_P am_type HANDLER handler_name  */
#line 5845 "gram.y"
                                {
					CreateAmStmt *n = makeNode(CreateAmStmt);

					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 36343 "gram.c"
    break;

  case 754: /* am_type: INDEX  */
#line 5856 "gram.y"
                                                { (yyval.chr) = AMTYPE_INDEX; }
#line 36349 "gram.c"
    break;

  case 755: /* am_type: TABLE  */
#line 5857 "gram.y"
                                                { (yyval.chr) = AMTYPE_TABLE; }
#line 36355 "gram.c"
    break;

  case 756: /* CreateTrigStmt: CREATE opt_or_replace TRIGGER name TriggerActionTime TriggerEvents ON qualified_name TriggerReferencing TriggerForSpec TriggerWhen EXECUTE FUNCTION_or_PROCEDURE func_name '(' TriggerFuncArgs ')'  */
#line 5871 "gram.y"
                                {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-15].boolean);
					n->isconstraint = false;
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->deferrable = false;
					n->initdeferred = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *) n;
				}
#line 36380 "gram.c"
    break;

  case 757: /* CreateTrigStmt: CREATE opt_or_replace CONSTRAINT TRIGGER name AFTER TriggerEvents ON qualified_name OptConstrFromTable ConstraintAttributeSpec FOR EACH ROW TriggerWhen EXECUTE FUNCTION_or_PROCEDURE func_name '(' TriggerFuncArgs ')'  */
#line 5895 "gram.y"
                                {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-19].boolean);
					if (n->replace) /* not supported, see CreateTrigger */
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE OR REPLACE CONSTRAINT TRIGGER is not supported")));
					n->isconstraint = true;
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *) n;
				}
#line 36410 "gram.c"
    break;

  case 758: /* TriggerActionTime: BEFORE  */
#line 5923 "gram.y"
                                                                                        { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 36416 "gram.c"
    break;

  case 759: /* TriggerActionTime: AFTER  */
#line 5924 "gram.y"
                                                                                        { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 36422 "gram.c"
    break;

  case 760: /* TriggerActionTime: INSTEAD OF  */
#line 5925 "gram.y"
                                                                                { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 36428 "gram.c"
    break;

  case 761: /* TriggerEvents: TriggerOneEvent  */
#line 5930 "gram.y"
                                { (yyval.list) = (yyvsp[0].list); }
#line 36434 "gram.c"
    break;

  case 762: /* TriggerEvents: TriggerEvents OR TriggerOneEvent  */
#line 5932 "gram.y"
                                {
					int			events1 = intVal(linitial((yyvsp[-2].list)));
					int			events2 = intVal(linitial((yyvsp[0].list)));
					List	   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List	   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 36457 "gram.c"
    break;

  case 763: /* TriggerOneEvent: INSERT  */
#line 5954 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 36463 "gram.c"
    break;

  case 764: /* TriggerOneEvent: DELETE_P  */
#line 5956 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 36469 "gram.c"
    break;

  case 765: /* TriggerOneEvent: UPDATE  */
#line 5958 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 36475 "gram.c"
    break;

  case 766: /* TriggerOneEvent: UPDATE OF columnList  */
#line 5960 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 36481 "gram.c"
    break;

  case 767: /* TriggerOneEvent: TRUNCATE  */
#line 5962 "gram.y"
                                { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 36487 "gram.c"
    break;

  case 768: /* TriggerReferencing: REFERENCING TriggerTransitions  */
#line 5966 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 36493 "gram.c"
    break;

  case 769: /* TriggerReferencing: %empty  */
#line 5967 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 36499 "gram.c"
    break;

  case 770: /* TriggerTransitions: TriggerTransition  */
#line 5971 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36505 "gram.c"
    break;

  case 771: /* TriggerTransitions: TriggerTransitions TriggerTransition  */
#line 5972 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36511 "gram.c"
    break;

  case 772: /* TriggerTransition: TransitionOldOrNew TransitionRowOrTable opt_as TransitionRelName  */
#line 5977 "gram.y"
                                {
					TriggerTransition *n = makeNode(TriggerTransition);

					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *) n;
				}
#line 36524 "gram.c"
    break;

  case 773: /* TransitionOldOrNew: NEW  */
#line 5988 "gram.y"
                                                                                                        { (yyval.boolean) = true; }
#line 36530 "gram.c"
    break;

  case 774: /* TransitionOldOrNew: OLD  */
#line 5989 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 36536 "gram.c"
    break;

  case 775: /* TransitionRowOrTable: TABLE  */
#line 5993 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 36542 "gram.c"
    break;

  case 776: /* TransitionRowOrTable: ROW  */
#line 6002 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 36548 "gram.c"
    break;

  case 777: /* TransitionRelName: ColId  */
#line 6006 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 36554 "gram.c"
    break;

  case 778: /* TriggerForSpec: FOR TriggerForOptEach TriggerForType  */
#line 6011 "gram.y"
                                {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 36562 "gram.c"
    break;

  case 779: /* TriggerForSpec: %empty  */
#line 6015 "gram.y"
                                {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 36574 "gram.c"
    break;

  case 782: /* TriggerForType: ROW  */
#line 6030 "gram.y"
                                                                                                        { (yyval.boolean) = true; }
#line 36580 "gram.c"
    break;

  case 783: /* TriggerForType: STATEMENT  */
#line 6031 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 36586 "gram.c"
    break;

  case 784: /* TriggerWhen: WHEN '(' a_expr ')'  */
#line 6035 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[-1].node); }
#line 36592 "gram.c"
    break;

  case 785: /* TriggerWhen: %empty  */
#line 6036 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 36598 "gram.c"
    break;

  case 788: /* TriggerFuncArgs: TriggerFuncArg  */
#line 6045 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36604 "gram.c"
    break;

  case 789: /* TriggerFuncArgs: TriggerFuncArgs ',' TriggerFuncArg  */
#line 6046 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36610 "gram.c"
    break;

  case 790: /* TriggerFuncArgs: %empty  */
#line 6047 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 36616 "gram.c"
    break;

  case 791: /* TriggerFuncArg: Iconst  */
#line 6052 "gram.y"
                                {
					(yyval.node) = (Node *) makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 36624 "gram.c"
    break;

  case 792: /* TriggerFuncArg: FCONST  */
#line 6055 "gram.y"
                                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36630 "gram.c"
    break;

  case 793: /* TriggerFuncArg: Sconst  */
#line 6056 "gram.y"
                                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36636 "gram.c"
    break;

  case 794: /* TriggerFuncArg: ColLabel  */
#line 6057 "gram.y"
                                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36642 "gram.c"
    break;

  case 795: /* OptConstrFromTable: FROM qualified_name  */
#line 6061 "gram.y"
                                                                                        { (yyval.range) = (yyvsp[0].range); }
#line 36648 "gram.c"
    break;

  case 796: /* OptConstrFromTable: %empty  */
#line 6062 "gram.y"
                                                                                                { (yyval.range) = NULL; }
#line 36654 "gram.c"
    break;

  case 797: /* ConstraintAttributeSpec: %empty  */
#line 6067 "gram.y"
                                { (yyval.ival) = 0; }
#line 36660 "gram.c"
    break;

  case 798: /* ConstraintAttributeSpec: ConstraintAttributeSpec ConstraintAttributeElem  */
#line 6069 "gram.y"
                                {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 36688 "gram.c"
    break;

  case 799: /* ConstraintAttributeElem: NOT DEFERRABLE  */
#line 6095 "gram.y"
                                                                        { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 36694 "gram.c"
    break;

  case 800: /* ConstraintAttributeElem: DEFERRABLE  */
#line 6096 "gram.y"
                                                                        { (yyval.ival) = CAS_DEFERRABLE; }
#line 36700 "gram.c"
    break;

  case 801: /* ConstraintAttributeElem: INITIALLY IMMEDIATE  */
#line 6097 "gram.y"
                                                                { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 36706 "gram.c"
    break;

  case 802: /* ConstraintAttributeElem: INITIALLY DEFERRED  */
#line 6098 "gram.y"
                                                                { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 36712 "gram.c"
    break;

  case 803: /* ConstraintAttributeElem: NOT VALID  */
#line 6099 "gram.y"
                                                                                { (yyval.ival) = CAS_NOT_VALID; }
#line 36718 "gram.c"
    break;

  case 804: /* ConstraintAttributeElem: NO INHERIT  */
#line 6100 "gram.y"
                                                                        { (yyval.ival) = CAS_NO_INHERIT; }
#line 36724 "gram.c"
    break;

  case 805: /* CreateEventTrigStmt: CREATE EVENT TRIGGER name ON ColLabel EXECUTE FUNCTION_or_PROCEDURE func_name '(' ')'  */
#line 6115 "gram.y"
                                {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36738 "gram.c"
    break;

  case 806: /* CreateEventTrigStmt: CREATE EVENT TRIGGER name ON ColLabel WHEN event_trigger_when_list EXECUTE FUNCTION_or_PROCEDURE func_name '(' ')'  */
#line 6127 "gram.y"
                                {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36752 "gram.c"
    break;

  case 807: /* event_trigger_when_list: event_trigger_when_item  */
#line 6140 "gram.y"
                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36758 "gram.c"
    break;

  case 808: /* event_trigger_when_list: event_trigger_when_list AND event_trigger_when_item  */
#line 6142 "gram.y"
                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36764 "gram.c"
    break;

  case 809: /* event_trigger_when_item: ColId IN_P '(' event_trigger_value_list ')'  */
#line 6147 "gram.y"
                        { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 36770 "gram.c"
    break;

  case 810: /* event_trigger_value_list: SCONST  */
#line 6152 "gram.y"
                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36776 "gram.c"
    break;

  case 811: /* event_trigger_value_list: event_trigger_value_list ',' SCONST  */
#line 6154 "gram.y"
                        { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36782 "gram.c"
    break;

  case 812: /* AlterEventTrigStmt: ALTER EVENT TRIGGER name enable_trigger  */
#line 6159 "gram.y"
                                {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);

					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 36794 "gram.c"
    break;

  case 813: /* enable_trigger: ENABLE_P  */
#line 6169 "gram.y"
                                                                        { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 36800 "gram.c"
    break;

  case 814: /* enable_trigger: ENABLE_P REPLICA  */
#line 6170 "gram.y"
                                                                { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 36806 "gram.c"
    break;

  case 815: /* enable_trigger: ENABLE_P ALWAYS  */
#line 6171 "gram.y"
                                                                { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 36812 "gram.c"
    break;

  case 816: /* enable_trigger: DISABLE_P  */
#line 6172 "gram.y"
                                                                        { (yyval.chr) = TRIGGER_DISABLED; }
#line 36818 "gram.c"
    break;

  case 817: /* CreateAssertionStmt: CREATE ASSERTION any_name CHECK '(' a_expr ')' ConstraintAttributeSpec  */
#line 6184 "gram.y"
                                {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 36830 "gram.c"
    break;

  case 818: /* DefineStmt: CREATE opt_or_replace AGGREGATE func_name aggr_args definition  */
#line 6203 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36846 "gram.c"
    break;

  case 819: /* DefineStmt: CREATE opt_or_replace AGGREGATE func_name old_aggr_definition  */
#line 6215 "gram.y"
                                {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36863 "gram.c"
    break;

  case 820: /* DefineStmt: CREATE OPERATOR any_operator definition  */
#line 6228 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36878 "gram.c"
    break;

  case 821: /* DefineStmt: CREATE TYPE_P any_name definition  */
#line 6239 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36893 "gram.c"
    break;

  case 822: /* DefineStmt: CREATE TYPE_P any_name  */
#line 6250 "gram.y"
                                {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *) n;
				}
#line 36909 "gram.c"
    break;

  case 823: /* DefineStmt: CREATE TYPE_P any_name AS '(' OptTableFuncElementList ')'  */
#line 6262 "gram.y"
                                {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36922 "gram.c"
    break;

  case 824: /* DefineStmt: CREATE TYPE_P any_name AS ENUM_P '(' opt_enum_val_list ')'  */
#line 6271 "gram.y"
                                {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);

					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36934 "gram.c"
    break;

  case 825: /* DefineStmt: CREATE TYPE_P any_name AS RANGE definition  */
#line 6279 "gram.y"
                                {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);

					n->typeName = (yyvsp[-3].list);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36946 "gram.c"
    break;

  case 826: /* DefineStmt: CREATE TEXT_P SEARCH PARSER any_name definition  */
#line 6287 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36960 "gram.c"
    break;

  case 827: /* DefineStmt: CREATE TEXT_P SEARCH DICTIONARY any_name definition  */
#line 6297 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36974 "gram.c"
    break;

  case 828: /* DefineStmt: CREATE TEXT_P SEARCH TEMPLATE any_name definition  */
#line 6307 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36988 "gram.c"
    break;

  case 829: /* DefineStmt: CREATE TEXT_P SEARCH CONFIGURATION any_name definition  */
#line 6317 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37002 "gram.c"
    break;

  case 830: /* DefineStmt: CREATE COLLATION any_name definition  */
#line 6327 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37016 "gram.c"
    break;

  case 831: /* DefineStmt: CREATE COLLATION IF_P NOT EXISTS any_name definition  */
#line 6337 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 37031 "gram.c"
    break;

  case 832: /* DefineStmt: CREATE COLLATION any_name FROM any_name  */
#line 6348 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 37045 "gram.c"
    break;

  case 833: /* DefineStmt: CREATE COLLATION IF_P NOT EXISTS any_name FROM any_name  */
#line 6358 "gram.y"
                                {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 37060 "gram.c"
    break;

  case 834: /* definition: '(' def_list ')'  */
#line 6370 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 37066 "gram.c"
    break;

  case 835: /* def_list: def_elem  */
#line 6373 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37072 "gram.c"
    break;

  case 836: /* def_list: def_list ',' def_elem  */
#line 6374 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37078 "gram.c"
    break;

  case 837: /* def_elem: ColLabel '=' def_arg  */
#line 6378 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 37086 "gram.c"
    break;

  case 838: /* def_elem: ColLabel  */
#line 6382 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 37094 "gram.c"
    break;

  case 839: /* def_arg: func_type  */
#line 6388 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 37100 "gram.c"
    break;

  case 840: /* def_arg: reserved_keyword  */
#line 6389 "gram.y"
                                                                        { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 37106 "gram.c"
    break;

  case 841: /* def_arg: qual_all_Op  */
#line 6390 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 37112 "gram.c"
    break;

  case 842: /* def_arg: NumericOnly  */
#line 6391 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 37118 "gram.c"
    break;

  case 843: /* def_arg: Sconst  */
#line 6392 "gram.y"
                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 37124 "gram.c"
    break;

  case 844: /* def_arg: NONE  */
#line 6393 "gram.y"
                                                                                { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 37130 "gram.c"
    break;

  case 845: /* old_aggr_definition: '(' old_aggr_list ')'  */
#line 6396 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 37136 "gram.c"
    break;

  case 846: /* old_aggr_list: old_aggr_elem  */
#line 6399 "gram.y"
                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 37142 "gram.c"
    break;

  case 847: /* old_aggr_list: old_aggr_list ',' old_aggr_elem  */
#line 6400 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 37148 "gram.c"
    break;

  case 848: /* old_aggr_elem: IDENT '=' def_arg  */
#line 6409 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 37156 "gram.c"
    break;

  case 849: /* opt_enum_val_list: enum_val_list  */
#line 6415 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 37162 "gram.c"
    break;

  case 850: /* opt_enum_val_list: %empty  */
#line 6416 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 37168 "gram.c"
    break;

  case 851: /* enum_val_list: Sconst  */
#line 6420 "gram.y"
                                { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37174 "gram.c"
    break;

  case 852: /* enum_val_list: enum_val_list ',' Sconst  */
#line 6422 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37180 "gram.c"
    break;

  case 853: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists Sconst  */
#line 6433 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37196 "gram.c"
    break;

  case 854: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists Sconst BEFORE Sconst  */
#line 6445 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37212 "gram.c"
    break;

  case 855: /* AlterEnumStmt: ALTER TYPE_P any_name ADD_P VALUE_P opt_if_not_exists Sconst AFTER Sconst  */
#line 6457 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 37228 "gram.c"
    break;

  case 856: /* AlterEnumStmt: ALTER TYPE_P any_name RENAME VALUE_P Sconst TO Sconst  */
#line 6469 "gram.y"
                        {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 37244 "gram.c"
    break;

  case 857: /* opt_if_not_exists: IF_P NOT EXISTS  */
#line 6482 "gram.y"
                                                { (yyval.boolean) = true; }
#line 37250 "gram.c"
    break;

  case 858: /* opt_if_not_exists: %empty  */
#line 6483 "gram.y"
                                                       { (yyval.boolean) = false; }
#line 37256 "gram.c"
    break;

  case 859: /* CreateOpClassStmt: CREATE OPERATOR CLASS any_name opt_default FOR TYPE_P Typename USING name opt_opfamily AS opclass_item_list  */
#line 6501 "gram.y"
                                {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);

					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37272 "gram.c"
    break;

  case 860: /* opclass_item_list: opclass_item  */
#line 6515 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37278 "gram.c"
    break;

  case 861: /* opclass_item_list: opclass_item_list ',' opclass_item  */
#line 6516 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37284 "gram.c"
    break;

  case 862: /* opclass_item: OPERATOR Iconst any_operator opclass_purpose opt_recheck  */
#line 6521 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);

					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37301 "gram.c"
    break;

  case 863: /* opclass_item: OPERATOR Iconst operator_with_argtypes opclass_purpose opt_recheck  */
#line 6535 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37315 "gram.c"
    break;

  case 864: /* opclass_item: FUNCTION Iconst function_with_argtypes  */
#line 6545 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 37328 "gram.c"
    break;

  case 865: /* opclass_item: FUNCTION Iconst '(' type_list ')' function_with_argtypes  */
#line 6554 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 37342 "gram.c"
    break;

  case 866: /* opclass_item: STORAGE Typename  */
#line 6564 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 37354 "gram.c"
    break;

  case 867: /* opt_default: DEFAULT  */
#line 6573 "gram.y"
                                                                { (yyval.boolean) = true; }
#line 37360 "gram.c"
    break;

  case 868: /* opt_default: %empty  */
#line 6574 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 37366 "gram.c"
    break;

  case 869: /* opt_opfamily: FAMILY any_name  */
#line 6577 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 37372 "gram.c"
    break;

  case 870: /* opt_opfamily: %empty  */
#line 6578 "gram.y"
                                                                                { (yyval.list) = NIL; }
#line 37378 "gram.c"
    break;

  case 871: /* opclass_purpose: FOR SEARCH  */
#line 6581 "gram.y"
                                                                { (yyval.list) = NIL; }
#line 37384 "gram.c"
    break;

  case 872: /* opclass_purpose: FOR ORDER BY any_name  */
#line 6582 "gram.y"
                                                                { (yyval.list) = (yyvsp[0].list); }
#line 37390 "gram.c"
    break;

  case 873: /* opclass_purpose: %empty  */
#line 6583 "gram.y"
                                                                                { (yyval.list) = NIL; }
#line 37396 "gram.c"
    break;

  case 874: /* opt_recheck: RECHECK  */
#line 6587 "gram.y"
                                {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 37414 "gram.c"
    break;

  case 875: /* opt_recheck: %empty  */
#line 6600 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 37420 "gram.c"
    break;

  case 876: /* CreateOpFamilyStmt: CREATE OPERATOR FAMILY any_name USING name  */
#line 6606 "gram.y"
                                {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);

					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37432 "gram.c"
    break;

  case 877: /* AlterOpFamilyStmt: ALTER OPERATOR FAMILY any_name USING name ADD_P opclass_item_list  */
#line 6617 "gram.y"
                                {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37446 "gram.c"
    break;

  case 878: /* AlterOpFamilyStmt: ALTER OPERATOR FAMILY any_name USING name DROP opclass_drop_list  */
#line 6627 "gram.y"
                                {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37460 "gram.c"
    break;

  case 879: /* opclass_drop_list: opclass_drop  */
#line 6639 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37466 "gram.c"
    break;

  case 880: /* opclass_drop_list: opclass_drop_list ',' opclass_drop  */
#line 6640 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37472 "gram.c"
    break;

  case 881: /* opclass_drop: OPERATOR Iconst '(' type_list ')'  */
#line 6645 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37485 "gram.c"
    break;

  case 882: /* opclass_drop: FUNCTION Iconst '(' type_list ')'  */
#line 6654 "gram.y"
                                {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37498 "gram.c"
    break;

  case 883: /* DropOpClassStmt: DROP OPERATOR CLASS any_name USING name opt_drop_behavior  */
#line 6667 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37513 "gram.c"
    break;

  case 884: /* DropOpClassStmt: DROP OPERATOR CLASS IF_P EXISTS any_name USING name opt_drop_behavior  */
#line 6678 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37528 "gram.c"
    break;

  case 885: /* DropOpFamilyStmt: DROP OPERATOR FAMILY any_name USING name opt_drop_behavior  */
#line 6692 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37543 "gram.c"
    break;

  case 886: /* DropOpFamilyStmt: DROP OPERATOR FAMILY IF_P EXISTS any_name USING name opt_drop_behavior  */
#line 6703 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37558 "gram.c"
    break;

  case 887: /* DropOwnedStmt: DROP OWNED BY role_list opt_drop_behavior  */
#line 6726 "gram.y"
                                {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);

					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37570 "gram.c"
    break;

  case 888: /* ReassignOwnedStmt: REASSIGN OWNED BY role_list TO RoleSpec  */
#line 6737 "gram.y"
                                {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);

					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 37582 "gram.c"
    break;

  case 889: /* DropStmt: DROP object_type_any_name IF_P EXISTS any_name_list opt_drop_behavior  */
#line 6756 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37597 "gram.c"
    break;

  case 890: /* DropStmt: DROP object_type_any_name any_name_list opt_drop_behavior  */
#line 6767 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37612 "gram.c"
    break;

  case 891: /* DropStmt: DROP drop_type_name IF_P EXISTS name_list opt_drop_behavior  */
#line 6778 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37627 "gram.c"
    break;

  case 892: /* DropStmt: DROP drop_type_name name_list opt_drop_behavior  */
#line 6789 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37642 "gram.c"
    break;

  case 893: /* DropStmt: DROP object_type_name_on_any_name name ON any_name opt_drop_behavior  */
#line 6800 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37657 "gram.c"
    break;

  case 894: /* DropStmt: DROP object_type_name_on_any_name IF_P EXISTS name ON any_name opt_drop_behavior  */
#line 6811 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37672 "gram.c"
    break;

  case 895: /* DropStmt: DROP TYPE_P type_name_list opt_drop_behavior  */
#line 6822 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37687 "gram.c"
    break;

  case 896: /* DropStmt: DROP TYPE_P IF_P EXISTS type_name_list opt_drop_behavior  */
#line 6833 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37702 "gram.c"
    break;

  case 897: /* DropStmt: DROP DOMAIN_P type_name_list opt_drop_behavior  */
#line 6844 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37717 "gram.c"
    break;

  case 898: /* DropStmt: DROP DOMAIN_P IF_P EXISTS type_name_list opt_drop_behavior  */
#line 6855 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37732 "gram.c"
    break;

  case 899: /* DropStmt: DROP INDEX CONCURRENTLY any_name_list opt_drop_behavior  */
#line 6866 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 37747 "gram.c"
    break;

  case 900: /* DropStmt: DROP INDEX CONCURRENTLY IF_P EXISTS any_name_list opt_drop_behavior  */
#line 6877 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 37762 "gram.c"
    break;

  case 901: /* object_type_any_name: TABLE  */
#line 6891 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_TABLE; }
#line 37768 "gram.c"
    break;

  case 902: /* object_type_any_name: SEQUENCE  */
#line 6892 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 37774 "gram.c"
    break;

  case 903: /* object_type_any_name: VIEW  */
#line 6893 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_VIEW; }
#line 37780 "gram.c"
    break;

  case 904: /* object_type_any_name: MATERIALIZED VIEW  */
#line 6894 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_MATVIEW; }
#line 37786 "gram.c"
    break;

  case 905: /* object_type_any_name: INDEX  */
#line 6895 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_INDEX; }
#line 37792 "gram.c"
    break;

  case 906: /* object_type_any_name: FOREIGN TABLE  */
#line 6896 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 37798 "gram.c"
    break;

  case 907: /* object_type_any_name: COLLATION  */
#line 6897 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_COLLATION; }
#line 37804 "gram.c"
    break;

  case 908: /* object_type_any_name: CONVERSION_P  */
#line 6898 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_CONVERSION; }
#line 37810 "gram.c"
    break;

  case 909: /* object_type_any_name: STATISTICS  */
#line 6899 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 37816 "gram.c"
    break;

  case 910: /* object_type_any_name: TEXT_P SEARCH PARSER  */
#line 6900 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TSPARSER; }
#line 37822 "gram.c"
    break;

  case 911: /* object_type_any_name: TEXT_P SEARCH DICTIONARY  */
#line 6901 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 37828 "gram.c"
    break;

  case 912: /* object_type_any_name: TEXT_P SEARCH TEMPLATE  */
#line 6902 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 37834 "gram.c"
    break;

  case 913: /* object_type_any_name: TEXT_P SEARCH CONFIGURATION  */
#line 6903 "gram.y"
                                                                        { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 37840 "gram.c"
    break;

  case 914: /* object_type_name: drop_type_name  */
#line 6913 "gram.y"
                                                                                        { (yyval.objtype) = (yyvsp[0].objtype); }
#line 37846 "gram.c"
    break;

  case 915: /* object_type_name: DATABASE  */
#line 6914 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_DATABASE; }
#line 37852 "gram.c"
    break;

  case 916: /* object_type_name: ROLE  */
#line 6915 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_ROLE; }
#line 37858 "gram.c"
    break;

  case 917: /* object_type_name: SUBSCRIPTION  */
#line 6916 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 37864 "gram.c"
    break;

  case 918: /* object_type_name: TABLESPACE  */
#line 6917 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 37870 "gram.c"
    break;

  case 919: /* drop_type_name: ACCESS METHOD  */
#line 6921 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 37876 "gram.c"
    break;

  case 920: /* drop_type_name: EVENT TRIGGER  */
#line 6922 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 37882 "gram.c"
    break;

  case 921: /* drop_type_name: EXTENSION  */
#line 6923 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_EXTENSION; }
#line 37888 "gram.c"
    break;

  case 922: /* drop_type_name: FOREIGN DATA_P WRAPPER  */
#line 6924 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_FDW; }
#line 37894 "gram.c"
    break;

  case 923: /* drop_type_name: opt_procedural LANGUAGE  */
#line 6925 "gram.y"
                                                                                { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 37900 "gram.c"
    break;

  case 924: /* drop_type_name: PUBLICATION  */
#line 6926 "gram.y"
                                                                                        { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 37906 "gram.c"
    break;

  case 925: /* drop_type_name: SCHEMA  */
#line 6927 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_SCHEMA; }
#line 37912 "gram.c"
    break;

  case 926: /* drop_type_name: SERVER  */
#line 6928 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 37918 "gram.c"
    break;

  case 927: /* object_type_name_on_any_name: POLICY  */
#line 6933 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_POLICY; }
#line 37924 "gram.c"
    break;

  case 928: /* object_type_name_on_any_name: RULE  */
#line 6934 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_RULE; }
#line 37930 "gram.c"
    break;

  case 929: /* object_type_name_on_any_name: TRIGGER  */
#line 6935 "gram.y"
                                                                                                { (yyval.objtype) = OBJECT_TRIGGER; }
#line 37936 "gram.c"
    break;

  case 930: /* any_name_list: any_name  */
#line 6939 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 37942 "gram.c"
    break;

  case 931: /* any_name_list: any_name_list ',' any_name  */
#line 6940 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 37948 "gram.c"
    break;

  case 932: /* any_name: ColId  */
#line 6943 "gram.y"
                                                                { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37954 "gram.c"
    break;

  case 933: /* any_name: ColId attrs  */
#line 6944 "gram.y"
                                                                { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 37960 "gram.c"
    break;

  case 934: /* attrs: '.' attr_name  */
#line 6948 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37966 "gram.c"
    break;

  case 935: /* attrs: attrs '.' attr_name  */
#line 6950 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37972 "gram.c"
    break;

  case 936: /* type_name_list: Typename  */
#line 6954 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 37978 "gram.c"
    break;

  case 937: /* type_name_list: type_name_list ',' Typename  */
#line 6955 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 37984 "gram.c"
    break;

  case 938: /* TruncateStmt: TRUNCATE opt_table relation_expr_list opt_restart_seqs opt_drop_behavior  */
#line 6967 "gram.y"
                                {
					TruncateStmt *n = makeNode(TruncateStmt);

					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37997 "gram.c"
    break;

  case 939: /* opt_restart_seqs: CONTINUE_P IDENTITY_P  */
#line 6978 "gram.y"
                                                        { (yyval.boolean) = false; }
#line 38003 "gram.c"
    break;

  case 940: /* opt_restart_seqs: RESTART IDENTITY_P  */
#line 6979 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 38009 "gram.c"
    break;

  case 941: /* opt_restart_seqs: %empty  */
#line 6980 "gram.y"
                                                                { (yyval.boolean) = false; }
#line 38015 "gram.c"
    break;

  case 942: /* CommentStmt: COMMENT ON object_type_any_name any_name IS comment_text  */
#line 6991 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38028 "gram.c"
    break;

  case 943: /* CommentStmt: COMMENT ON COLUMN any_name IS comment_text  */
#line 7000 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38041 "gram.c"
    break;

  case 944: /* CommentStmt: COMMENT ON object_type_name name IS comment_text  */
#line 7009 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38054 "gram.c"
    break;

  case 945: /* CommentStmt: COMMENT ON TYPE_P Typename IS comment_text  */
#line 7018 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38067 "gram.c"
    break;

  case 946: /* CommentStmt: COMMENT ON DOMAIN_P Typename IS comment_text  */
#line 7027 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38080 "gram.c"
    break;

  case 947: /* CommentStmt: COMMENT ON AGGREGATE aggregate_with_argtypes IS comment_text  */
#line 7036 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38093 "gram.c"
    break;

  case 948: /* CommentStmt: COMMENT ON FUNCTION function_with_argtypes IS comment_text  */
#line 7045 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38106 "gram.c"
    break;

  case 949: /* CommentStmt: COMMENT ON OPERATOR operator_with_argtypes IS comment_text  */
#line 7054 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38119 "gram.c"
    break;

  case 950: /* CommentStmt: COMMENT ON CONSTRAINT name ON any_name IS comment_text  */
#line 7063 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38132 "gram.c"
    break;

  case 951: /* CommentStmt: COMMENT ON CONSTRAINT name ON DOMAIN_P any_name IS comment_text  */
#line 7072 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38150 "gram.c"
    break;

  case 952: /* CommentStmt: COMMENT ON object_type_name_on_any_name name ON any_name IS comment_text  */
#line 7086 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38163 "gram.c"
    break;

  case 953: /* CommentStmt: COMMENT ON PROCEDURE function_with_argtypes IS comment_text  */
#line 7095 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38176 "gram.c"
    break;

  case 954: /* CommentStmt: COMMENT ON ROUTINE function_with_argtypes IS comment_text  */
#line 7104 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38189 "gram.c"
    break;

  case 955: /* CommentStmt: COMMENT ON TRANSFORM FOR Typename LANGUAGE name IS comment_text  */
#line 7113 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38202 "gram.c"
    break;

  case 956: /* CommentStmt: COMMENT ON OPERATOR CLASS any_name USING name IS comment_text  */
#line 7122 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38215 "gram.c"
    break;

  case 957: /* CommentStmt: COMMENT ON OPERATOR FAMILY any_name USING name IS comment_text  */
#line 7131 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38228 "gram.c"
    break;

  case 958: /* CommentStmt: COMMENT ON LARGE_P OBJECT_P NumericOnly IS comment_text  */
#line 7140 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38241 "gram.c"
    break;

  case 959: /* CommentStmt: COMMENT ON CAST '(' Typename AS Typename ')' IS comment_text  */
#line 7149 "gram.y"
                                {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38254 "gram.c"
    break;

  case 960: /* comment_text: Sconst  */
#line 7160 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 38260 "gram.c"
    break;

  case 961: /* comment_text: NULL_P  */
#line 7161 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 38266 "gram.c"
    break;

  case 962: /* SecLabelStmt: SECURITY LABEL opt_provider ON object_type_any_name any_name IS security_label  */
#line 7177 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38280 "gram.c"
    break;

  case 963: /* SecLabelStmt: SECURITY LABEL opt_provider ON COLUMN any_name IS security_label  */
#line 7188 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38294 "gram.c"
    break;

  case 964: /* SecLabelStmt: SECURITY LABEL opt_provider ON object_type_name name IS security_label  */
#line 7199 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38308 "gram.c"
    break;

  case 965: /* SecLabelStmt: SECURITY LABEL opt_provider ON TYPE_P Typename IS security_label  */
#line 7210 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38322 "gram.c"
    break;

  case 966: /* SecLabelStmt: SECURITY LABEL opt_provider ON DOMAIN_P Typename IS security_label  */
#line 7221 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38336 "gram.c"
    break;

  case 967: /* SecLabelStmt: SECURITY LABEL opt_provider ON AGGREGATE aggregate_with_argtypes IS security_label  */
#line 7232 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38350 "gram.c"
    break;

  case 968: /* SecLabelStmt: SECURITY LABEL opt_provider ON FUNCTION function_with_argtypes IS security_label  */
#line 7243 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38364 "gram.c"
    break;

  case 969: /* SecLabelStmt: SECURITY LABEL opt_provider ON LARGE_P OBJECT_P NumericOnly IS security_label  */
#line 7254 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38378 "gram.c"
    break;

  case 970: /* SecLabelStmt: SECURITY LABEL opt_provider ON PROCEDURE function_with_argtypes IS security_label  */
#line 7265 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38392 "gram.c"
    break;

  case 971: /* SecLabelStmt: SECURITY LABEL opt_provider ON ROUTINE function_with_argtypes IS security_label  */
#line 7276 "gram.y"
                                {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38406 "gram.c"
    break;

  case 972: /* opt_provider: FOR NonReservedWord_or_Sconst  */
#line 7287 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 38412 "gram.c"
    break;

  case 973: /* opt_provider: %empty  */
#line 7288 "gram.y"
                                                                                { (yyval.str) = NULL; }
#line 38418 "gram.c"
    break;

  case 974: /* security_label: Sconst  */
#line 7291 "gram.y"
                                                { (yyval.str) = (yyvsp[0].str); }
#line 38424 "gram.c"
    break;

  case 975: /* security_label: NULL_P  */
#line 7292 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 38430 "gram.c"
    break;

  case 976: /* FetchStmt: FETCH fetch_args  */
#line 7303 "gram.y"
                                {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = false;
					(yyval.node) = (Node *) n;
				}
#line 38441 "gram.c"
    break;

  case 977: /* FetchStmt: MOVE fetch_args  */
#line 7310 "gram.y"
                                {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = true;
					(yyval.node) = (Node *) n;
				}
#line 38452 "gram.c"
    break;

  case 978: /* fetch_args: cursor_name  */
#line 7319 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38465 "gram.c"
    break;

  case 979: /* fetch_args: from_in cursor_name  */
#line 7328 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38478 "gram.c"
    break;

  case 980: /* fetch_args: NEXT opt_from_in cursor_name  */
#line 7337 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38491 "gram.c"
    break;

  case 981: /* fetch_args: PRIOR opt_from_in cursor_name  */
#line 7346 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38504 "gram.c"
    break;

  case 982: /* fetch_args: FIRST_P opt_from_in cursor_name  */
#line 7355 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38517 "gram.c"
    break;

  case 983: /* fetch_args: LAST_P opt_from_in cursor_name  */
#line 7364 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *) n;
				}
#line 38530 "gram.c"
    break;

  case 984: /* fetch_args: ABSOLUTE_P SignedIconst opt_from_in cursor_name  */
#line 7373 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38543 "gram.c"
    break;

  case 985: /* fetch_args: RELATIVE_P SignedIconst opt_from_in cursor_name  */
#line 7382 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38556 "gram.c"
    break;

  case 986: /* fetch_args: SignedIconst opt_from_in cursor_name  */
#line 7391 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38569 "gram.c"
    break;

  case 987: /* fetch_args: ALL opt_from_in cursor_name  */
#line 7400 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38582 "gram.c"
    break;

  case 988: /* fetch_args: FORWARD opt_from_in cursor_name  */
#line 7409 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38595 "gram.c"
    break;

  case 989: /* fetch_args: FORWARD SignedIconst opt_from_in cursor_name  */
#line 7418 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38608 "gram.c"
    break;

  case 990: /* fetch_args: FORWARD ALL opt_from_in cursor_name  */
#line 7427 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38621 "gram.c"
    break;

  case 991: /* fetch_args: BACKWARD opt_from_in cursor_name  */
#line 7436 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38634 "gram.c"
    break;

  case 992: /* fetch_args: BACKWARD SignedIconst opt_from_in cursor_name  */
#line 7445 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38647 "gram.c"
    break;

  case 993: /* fetch_args: BACKWARD ALL opt_from_in cursor_name  */
#line 7454 "gram.y"
                                {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38660 "gram.c"
    break;

  case 998: /* GrantStmt: GRANT privileges ON privilege_target TO grantee_list opt_grant_grant_option opt_granted_by  */
#line 7481 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grant_option = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38678 "gram.c"
    break;

  case 999: /* RevokeStmt: REVOKE privileges ON privilege_target FROM grantee_list opt_granted_by opt_drop_behavior  */
#line 7499 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38697 "gram.c"
    break;

  case 1000: /* RevokeStmt: REVOKE GRANT OPTION FOR privileges ON privilege_target FROM grantee_list opt_granted_by opt_drop_behavior  */
#line 7515 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38716 "gram.c"
    break;

  case 1001: /* privileges: privilege_list  */
#line 7542 "gram.y"
                                { (yyval.list) = (yyvsp[0].list); }
#line 38722 "gram.c"
    break;

  case 1002: /* privileges: ALL  */
#line 7544 "gram.y"
                                { (yyval.list) = NIL; }
#line 38728 "gram.c"
    break;

  case 1003: /* privileges: ALL PRIVILEGES  */
#line 7546 "gram.y"
                                { (yyval.list) = NIL; }
#line 38734 "gram.c"
    break;

  case 1004: /* privileges: ALL '(' columnList ')'  */
#line 7548 "gram.y"
                                {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 38746 "gram.c"
    break;

  case 1005: /* privileges: ALL PRIVILEGES '(' columnList ')'  */
#line 7556 "gram.y"
                                {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 38758 "gram.c"
    break;

  case 1006: /* privilege_list: privilege  */
#line 7565 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 38764 "gram.c"
    break;

  case 1007: /* privilege_list: privilege_list ',' privilege  */
#line 7566 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 38770 "gram.c"
    break;

  case 1008: /* privilege: SELECT opt_column_list  */
#line 7570 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38782 "gram.c"
    break;

  case 1009: /* privilege: REFERENCES opt_column_list  */
#line 7578 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38794 "gram.c"
    break;

  case 1010: /* privilege: CREATE opt_column_list  */
#line 7586 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38806 "gram.c"
    break;

  case 1011: /* privilege: ALTER SYSTEM_P  */
#line 7594 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup("alter system");
				n->cols = NIL;
				(yyval.accesspriv) = n;
			}
#line 38817 "gram.c"
    break;

  case 1012: /* privilege: ColId opt_column_list  */
#line 7601 "gram.y"
                        {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38829 "gram.c"
    break;

  case 1013: /* parameter_name_list: parameter_name  */
#line 7612 "gram.y"
                        {
				(yyval.list) = list_make1(makeString((yyvsp[0].str)));
			}
#line 38837 "gram.c"
    break;

  case 1014: /* parameter_name_list: parameter_name_list ',' parameter_name  */
#line 7616 "gram.y"
                        {
				(yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str)));
			}
#line 38845 "gram.c"
    break;

  case 1015: /* parameter_name: ColId  */
#line 7623 "gram.y"
                        {
				(yyval.str) = (yyvsp[0].str);
			}
#line 38853 "gram.c"
    break;

  case 1016: /* parameter_name: parameter_name '.' ColId  */
#line 7627 "gram.y"
                        {
				(yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
			}
#line 38861 "gram.c"
    break;

  case 1017: /* privilege_target: qualified_name_list  */
#line 7638 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38874 "gram.c"
    break;

  case 1018: /* privilege_target: TABLE qualified_name_list  */
#line 7647 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38887 "gram.c"
    break;

  case 1019: /* privilege_target: SEQUENCE qualified_name_list  */
#line 7656 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38900 "gram.c"
    break;

  case 1020: /* privilege_target: FOREIGN DATA_P WRAPPER name_list  */
#line 7665 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38913 "gram.c"
    break;

  case 1021: /* privilege_target: FOREIGN SERVER name_list  */
#line 7674 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38926 "gram.c"
    break;

  case 1022: /* privilege_target: FUNCTION function_with_argtypes_list  */
#line 7683 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38939 "gram.c"
    break;

  case 1023: /* privilege_target: PROCEDURE function_with_argtypes_list  */
#line 7692 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38952 "gram.c"
    break;

  case 1024: /* privilege_target: ROUTINE function_with_argtypes_list  */
#line 7701 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38965 "gram.c"
    break;

  case 1025: /* privilege_target: DATABASE name_list  */
#line 7710 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38978 "gram.c"
    break;

  case 1026: /* privilege_target: DOMAIN_P any_name_list  */
#line 7719 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38991 "gram.c"
    break;

  case 1027: /* privilege_target: LANGUAGE name_list  */
#line 7728 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39004 "gram.c"
    break;

  case 1028: /* privilege_target: LARGE_P OBJECT_P NumericOnly_list  */
#line 7737 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39017 "gram.c"
    break;

  case 1029: /* privilege_target: PARAMETER parameter_name_list  */
#line 7746 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PARAMETER_ACL;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39029 "gram.c"
    break;

  case 1030: /* privilege_target: SCHEMA name_list  */
#line 7754 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39042 "gram.c"
    break;

  case 1031: /* privilege_target: TABLESPACE name_list  */
#line 7763 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39055 "gram.c"
    break;

  case 1032: /* privilege_target: TYPE_P any_name_list  */
#line 7772 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39068 "gram.c"
    break;

  case 1033: /* privilege_target: ALL TABLES IN_P SCHEMA name_list  */
#line 7781 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39081 "gram.c"
    break;

  case 1034: /* privilege_target: ALL SEQUENCES IN_P SCHEMA name_list  */
#line 7790 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39094 "gram.c"
    break;

  case 1035: /* privilege_target: ALL FUNCTIONS IN_P SCHEMA name_list  */
#line 7799 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39107 "gram.c"
    break;

  case 1036: /* privilege_target: ALL PROCEDURES IN_P SCHEMA name_list  */
#line 7808 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39120 "gram.c"
    break;

  case 1037: /* privilege_target: ALL ROUTINES IN_P SCHEMA name_list  */
#line 7817 "gram.y"
                                {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 39133 "gram.c"
    break;

  case 1038: /* grantee_list: grantee  */
#line 7829 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 39139 "gram.c"
    break;

  case 1039: /* grantee_list: grantee_list ',' grantee  */
#line 7830 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 39145 "gram.c"
    break;

  case 1040: /* grantee: RoleSpec  */
#line 7834 "gram.y"
                                                                                                { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39151 "gram.c"
    break;

  case 1041: /* grantee: GROUP_P RoleSpec  */
#line 7835 "gram.y"
                                                                                        { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39157 "gram.c"
    break;

  case 1042: /* opt_grant_grant_option: WITH GRANT OPTION  */
#line 7840 "gram.y"
                                          { (yyval.boolean) = true; }
#line 39163 "gram.c"
    break;

  case 1043: /* opt_grant_grant_option: %empty  */
#line 7841 "gram.y"
                                    { (yyval.boolean) = false; }
#line 39169 "gram.c"
    break;

  case 1044: /* GrantRoleStmt: GRANT privilege_list TO role_list opt_grant_admin_option opt_granted_by  */
#line 7852 "gram.y"
                                {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 39184 "gram.c"
    break;

  case 1045: /* RevokeRoleStmt: REVOKE privilege_list FROM role_list opt_granted_by opt_drop_behavior  */
#line 7866 "gram.y"
                                {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39199 "gram.c"
    break;

  case 1046: /* RevokeRoleStmt: REVOKE ADMIN OPTION FOR privilege_list FROM role_list opt_granted_by opt_drop_behavior  */
#line 7877 "gram.y"
                                {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39214 "gram.c"
    break;

  case 1047: /* opt_grant_admin_option: WITH ADMIN OPTION  */
#line 7889 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 39220 "gram.c"
    break;

  case 1048: /* opt_grant_admin_option: %empty  */
#line 7890 "gram.y"
                                                                                                        { (yyval.boolean) = false; }
#line 39226 "gram.c"
    break;

  case 1049: /* opt_granted_by: GRANTED BY RoleSpec  */
#line 7893 "gram.y"
                                                                                { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 39232 "gram.c"
    break;

  case 1050: /* opt_granted_by: %empty  */
#line 7894 "gram.y"
                                                                                                        { (yyval.rolespec) = NULL; }
#line 39238 "gram.c"
    break;

  case 1051: /* AlterDefaultPrivilegesStmt: ALTER DEFAULT PRIVILEGES DefACLOptionList DefACLAction  */
#line 7905 "gram.y"
                                {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);

					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39250 "gram.c"
    break;

  case 1052: /* DefACLOptionList: DefACLOptionList DefACLOption  */
#line 7915 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39256 "gram.c"
    break;

  case 1053: /* DefACLOptionList: %empty  */
#line 7916 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 39262 "gram.c"
    break;

  case 1054: /* DefACLOption: IN_P SCHEMA name_list  */
#line 7921 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("schemas", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39270 "gram.c"
    break;

  case 1055: /* DefACLOption: FOR ROLE role_list  */
#line 7925 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39278 "gram.c"
    break;

  case 1056: /* DefACLOption: FOR USER role_list  */
#line 7929 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 39286 "gram.c"
    break;

  case 1057: /* DefACLAction: GRANT privileges ON defacl_privilege_target TO grantee_list opt_grant_grant_option  */
#line 7941 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39303 "gram.c"
    break;

  case 1058: /* DefACLAction: REVOKE privileges ON defacl_privilege_target FROM grantee_list opt_drop_behavior  */
#line 7955 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39321 "gram.c"
    break;

  case 1059: /* DefACLAction: REVOKE GRANT OPTION FOR privileges ON defacl_privilege_target FROM grantee_list opt_drop_behavior  */
#line 7970 "gram.y"
                                {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39339 "gram.c"
    break;

  case 1060: /* defacl_privilege_target: TABLES  */
#line 7986 "gram.y"
                                                { (yyval.ival) = OBJECT_TABLE; }
#line 39345 "gram.c"
    break;

  case 1061: /* defacl_privilege_target: FUNCTIONS  */
#line 7987 "gram.y"
                                                { (yyval.ival) = OBJECT_FUNCTION; }
#line 39351 "gram.c"
    break;

  case 1062: /* defacl_privilege_target: ROUTINES  */
#line 7988 "gram.y"
                                                { (yyval.ival) = OBJECT_FUNCTION; }
#line 39357 "gram.c"
    break;

  case 1063: /* defacl_privilege_target: SEQUENCES  */
#line 7989 "gram.y"
                                                { (yyval.ival) = OBJECT_SEQUENCE; }
#line 39363 "gram.c"
    break;

  case 1064: /* defacl_privilege_target: TYPES_P  */
#line 7990 "gram.y"
                                                { (yyval.ival) = OBJECT_TYPE; }
#line 39369 "gram.c"
    break;

  case 1065: /* defacl_privilege_target: SCHEMAS  */
#line 7991 "gram.y"
                                                { (yyval.ival) = OBJECT_SCHEMA; }
#line 39375 "gram.c"
    break;

  case 1066: /* IndexStmt: CREATE opt_unique INDEX opt_concurrently opt_single_name ON relation_expr access_method_clause '(' index_params ')' opt_include opt_unique_null_treatment opt_reloptions OptTableSpace where_clause  */
#line 8006 "gram.y"
                                {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-14].boolean);
					n->concurrent = (yyvsp[-12].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39409 "gram.c"
    break;

  case 1067: /* IndexStmt: CREATE opt_unique INDEX opt_concurrently IF_P NOT EXISTS name ON relation_expr access_method_clause '(' index_params ')' opt_include opt_unique_null_treatment opt_reloptions OptTableSpace where_clause  */
#line 8038 "gram.y"
                                {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-17].boolean);
					n->concurrent = (yyvsp[-15].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39443 "gram.c"
    break;

  case 1068: /* opt_unique: UNIQUE  */
#line 8070 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 39449 "gram.c"
    break;

  case 1069: /* opt_unique: %empty  */
#line 8071 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 39455 "gram.c"
    break;

  case 1070: /* access_method_clause: USING name  */
#line 8075 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 39461 "gram.c"
    break;

  case 1071: /* access_method_clause: %empty  */
#line 8076 "gram.y"
                                                                                                { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 39467 "gram.c"
    break;

  case 1072: /* index_params: index_elem  */
#line 8079 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 39473 "gram.c"
    break;

  case 1073: /* index_params: index_params ',' index_elem  */
#line 8080 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 39479 "gram.c"
    break;

  case 1074: /* index_elem_options: opt_collate opt_qualified_name opt_asc_desc opt_nulls_order  */
#line 8086 "gram.y"
                {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 39495 "gram.c"
    break;

  case 1075: /* index_elem_options: opt_collate any_name reloptions opt_asc_desc opt_nulls_order  */
#line 8098 "gram.y"
                {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 39511 "gram.c"
    break;

  case 1076: /* index_elem: ColId index_elem_options  */
#line 8117 "gram.y"
                                {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 39520 "gram.c"
    break;

  case 1077: /* index_elem: func_expr_windowless index_elem_options  */
#line 8122 "gram.y"
                                {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 39529 "gram.c"
    break;

  case 1078: /* index_elem: '(' a_expr ')' index_elem_options  */
#line 8127 "gram.y"
                                {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 39538 "gram.c"
    break;

  case 1079: /* opt_include: INCLUDE '(' index_including_params ')'  */
#line 8133 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 39544 "gram.c"
    break;

  case 1080: /* opt_include: %empty  */
#line 8134 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 39550 "gram.c"
    break;

  case 1081: /* index_including_params: index_elem  */
#line 8137 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 39556 "gram.c"
    break;

  case 1082: /* index_including_params: index_including_params ',' index_elem  */
#line 8138 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 39562 "gram.c"
    break;

  case 1083: /* opt_collate: COLLATE any_name  */
#line 8141 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 39568 "gram.c"
    break;

  case 1084: /* opt_collate: %empty  */
#line 8142 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 39574 "gram.c"
    break;

  case 1085: /* opt_asc_desc: ASC  */
#line 8146 "gram.y"
                                                                        { (yyval.ival) = SORTBY_ASC; }
#line 39580 "gram.c"
    break;

  case 1086: /* opt_asc_desc: DESC  */
#line 8147 "gram.y"
                                                                                { (yyval.ival) = SORTBY_DESC; }
#line 39586 "gram.c"
    break;

  case 1087: /* opt_asc_desc: %empty  */
#line 8148 "gram.y"
                                                                                { (yyval.ival) = SORTBY_DEFAULT; }
#line 39592 "gram.c"
    break;

  case 1088: /* opt_nulls_order: NULLS_LA FIRST_P  */
#line 8151 "gram.y"
                                                        { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 39598 "gram.c"
    break;

  case 1089: /* opt_nulls_order: NULLS_LA LAST_P  */
#line 8152 "gram.y"
                                                                        { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 39604 "gram.c"
    break;

  case 1090: /* opt_nulls_order: %empty  */
#line 8153 "gram.y"
                                                                                { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 39610 "gram.c"
    break;

  case 1091: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults RETURNS func_return opt_createfunc_opt_list opt_routine_body  */
#line 8171 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39627 "gram.c"
    break;

  case 1092: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults RETURNS TABLE '(' table_func_column_list ')' opt_createfunc_opt_list opt_routine_body  */
#line 8185 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39645 "gram.c"
    break;

  case 1093: /* CreateFunctionStmt: CREATE opt_or_replace FUNCTION func_name func_args_with_defaults opt_createfunc_opt_list opt_routine_body  */
#line 8200 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39662 "gram.c"
    break;

  case 1094: /* CreateFunctionStmt: CREATE opt_or_replace PROCEDURE func_name func_args_with_defaults opt_createfunc_opt_list opt_routine_body  */
#line 8214 "gram.y"
                                {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = true;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39679 "gram.c"
    break;

  case 1095: /* opt_or_replace: OR REPLACE  */
#line 8229 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 39685 "gram.c"
    break;

  case 1096: /* opt_or_replace: %empty  */
#line 8230 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 39691 "gram.c"
    break;

  case 1097: /* func_args: '(' func_args_list ')'  */
#line 8233 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 39697 "gram.c"
    break;

  case 1098: /* func_args: '(' ')'  */
#line 8234 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 39703 "gram.c"
    break;

  case 1099: /* func_args_list: func_arg  */
#line 8238 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39709 "gram.c"
    break;

  case 1100: /* func_args_list: func_args_list ',' func_arg  */
#line 8239 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 39715 "gram.c"
    break;

  case 1101: /* function_with_argtypes_list: function_with_argtypes  */
#line 8243 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 39721 "gram.c"
    break;

  case 1102: /* function_with_argtypes_list: function_with_argtypes_list ',' function_with_argtypes  */
#line 8245 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 39727 "gram.c"
    break;

  case 1103: /* function_with_argtypes: func_name func_args  */
#line 8250 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					n->objfuncargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 39740 "gram.c"
    break;

  case 1104: /* function_with_argtypes: type_func_name_keyword  */
#line 8264 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39752 "gram.c"
    break;

  case 1105: /* function_with_argtypes: ColId  */
#line 8272 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39764 "gram.c"
    break;

  case 1106: /* function_with_argtypes: ColId indirection  */
#line 8280 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39777 "gram.c"
    break;

  case 1107: /* func_args_with_defaults: '(' func_args_with_defaults_list ')'  */
#line 8295 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 39783 "gram.c"
    break;

  case 1108: /* func_args_with_defaults: '(' ')'  */
#line 8296 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 39789 "gram.c"
    break;

  case 1109: /* func_args_with_defaults_list: func_arg_with_default  */
#line 8300 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39795 "gram.c"
    break;

  case 1110: /* func_args_with_defaults_list: func_args_with_defaults_list ',' func_arg_with_default  */
#line 8302 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 39801 "gram.c"
    break;

  case 1111: /* func_arg: arg_class param_name func_type  */
#line 8317 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39815 "gram.c"
    break;

  case 1112: /* func_arg: param_name arg_class func_type  */
#line 8327 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39829 "gram.c"
    break;

  case 1113: /* func_arg: param_name func_type  */
#line 8337 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39843 "gram.c"
    break;

  case 1114: /* func_arg: arg_class func_type  */
#line 8347 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39857 "gram.c"
    break;

  case 1115: /* func_arg: func_type  */
#line 8357 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39871 "gram.c"
    break;

  case 1116: /* arg_class: IN_P  */
#line 8369 "gram.y"
                                                                                { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 39877 "gram.c"
    break;

  case 1117: /* arg_class: OUT_P  */
#line 8370 "gram.y"
                                                                                        { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 39883 "gram.c"
    break;

  case 1118: /* arg_class: INOUT  */
#line 8371 "gram.y"
                                                                                        { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 39889 "gram.c"
    break;

  case 1119: /* arg_class: IN_P OUT_P  */
#line 8372 "gram.y"
                                                                                { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 39895 "gram.c"
    break;

  case 1120: /* arg_class: VARIADIC  */
#line 8373 "gram.y"
                                                                                        { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 39901 "gram.c"
    break;

  case 1122: /* func_return: func_type  */
#line 8384 "gram.y"
                                {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39913 "gram.c"
    break;

  case 1123: /* func_type: Typename  */
#line 8398 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39919 "gram.c"
    break;

  case 1124: /* func_type: type_function_name attrs '%' TYPE_P  */
#line 8400 "gram.y"
                                {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39929 "gram.c"
    break;

  case 1125: /* func_type: SETOF type_function_name attrs '%' TYPE_P  */
#line 8406 "gram.y"
                                {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39940 "gram.c"
    break;

  case 1126: /* func_arg_with_default: func_arg  */
#line 8416 "gram.y"
                                {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 39948 "gram.c"
    break;

  case 1127: /* func_arg_with_default: func_arg DEFAULT a_expr  */
#line 8420 "gram.y"
                                {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 39957 "gram.c"
    break;

  case 1128: /* func_arg_with_default: func_arg '=' a_expr  */
#line 8425 "gram.y"
                                {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 39966 "gram.c"
    break;

  case 1129: /* aggr_arg: func_arg  */
#line 8433 "gram.y"
                                {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_DEFAULT ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 39981 "gram.c"
    break;

  case 1130: /* aggr_args: '(' '*' ')'  */
#line 8475 "gram.y"
                                {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 39989 "gram.c"
    break;

  case 1131: /* aggr_args: '(' aggr_args_list ')'  */
#line 8479 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 39997 "gram.c"
    break;

  case 1132: /* aggr_args: '(' ORDER BY aggr_args_list ')'  */
#line 8483 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 40005 "gram.c"
    break;

  case 1133: /* aggr_args: '(' aggr_args_list ORDER BY aggr_args_list ')'  */
#line 8487 "gram.y"
                                {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 40014 "gram.c"
    break;

  case 1134: /* aggr_args_list: aggr_arg  */
#line 8494 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 40020 "gram.c"
    break;

  case 1135: /* aggr_args_list: aggr_args_list ',' aggr_arg  */
#line 8495 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 40026 "gram.c"
    break;

  case 1136: /* aggregate_with_argtypes: func_name aggr_args  */
#line 8500 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					n->objfuncargs = (List *) linitial((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 40039 "gram.c"
    break;

  case 1137: /* aggregate_with_argtypes_list: aggregate_with_argtypes  */
#line 8511 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 40045 "gram.c"
    break;

  case 1138: /* aggregate_with_argtypes_list: aggregate_with_argtypes_list ',' aggregate_with_argtypes  */
#line 8513 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 40051 "gram.c"
    break;

  case 1140: /* opt_createfunc_opt_list: %empty  */
#line 8518 "gram.y"
                                    { (yyval.list) = NIL; }
#line 40057 "gram.c"
    break;

  case 1141: /* createfunc_opt_list: createfunc_opt_item  */
#line 8523 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40063 "gram.c"
    break;

  case 1142: /* createfunc_opt_list: createfunc_opt_list createfunc_opt_item  */
#line 8524 "gram.y"
                                                                  { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40069 "gram.c"
    break;

  case 1143: /* common_func_opt_item: CALLED ON NULL_P INPUT_P  */
#line 8532 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(false), (yylsp[-3]));
				}
#line 40077 "gram.c"
    break;

  case 1144: /* common_func_opt_item: RETURNS NULL_P ON NULL_P INPUT_P  */
#line 8536 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[-4]));
				}
#line 40085 "gram.c"
    break;

  case 1145: /* common_func_opt_item: STRICT_P  */
#line 8540 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40093 "gram.c"
    break;

  case 1146: /* common_func_opt_item: IMMUTABLE  */
#line 8544 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("immutable"), (yylsp[0]));
				}
#line 40101 "gram.c"
    break;

  case 1147: /* common_func_opt_item: STABLE  */
#line 8548 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("stable"), (yylsp[0]));
				}
#line 40109 "gram.c"
    break;

  case 1148: /* common_func_opt_item: VOLATILE  */
#line 8552 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("volatile"), (yylsp[0]));
				}
#line 40117 "gram.c"
    break;

  case 1149: /* common_func_opt_item: EXTERNAL SECURITY DEFINER  */
#line 8556 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-2]));
				}
#line 40125 "gram.c"
    break;

  case 1150: /* common_func_opt_item: EXTERNAL SECURITY INVOKER  */
#line 8560 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-2]));
				}
#line 40133 "gram.c"
    break;

  case 1151: /* common_func_opt_item: SECURITY DEFINER  */
#line 8564 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-1]));
				}
#line 40141 "gram.c"
    break;

  case 1152: /* common_func_opt_item: SECURITY INVOKER  */
#line 8568 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 40149 "gram.c"
    break;

  case 1153: /* common_func_opt_item: LEAKPROOF  */
#line 8572 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40157 "gram.c"
    break;

  case 1154: /* common_func_opt_item: NOT LEAKPROOF  */
#line 8576 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 40165 "gram.c"
    break;

  case 1155: /* common_func_opt_item: COST NumericOnly  */
#line 8580 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("cost", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 40173 "gram.c"
    break;

  case 1156: /* common_func_opt_item: ROWS NumericOnly  */
#line 8584 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("rows", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 40181 "gram.c"
    break;

  case 1157: /* common_func_opt_item: SUPPORT any_name  */
#line 8588 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("support", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40189 "gram.c"
    break;

  case 1158: /* common_func_opt_item: FunctionSetResetClause  */
#line 8592 "gram.y"
                                {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *) (yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 40198 "gram.c"
    break;

  case 1159: /* common_func_opt_item: PARALLEL ColId  */
#line 8597 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("parallel", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40206 "gram.c"
    break;

  case 1160: /* createfunc_opt_item: AS func_as  */
#line 8604 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40214 "gram.c"
    break;

  case 1161: /* createfunc_opt_item: LANGUAGE NonReservedWord_or_Sconst  */
#line 8608 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40222 "gram.c"
    break;

  case 1162: /* createfunc_opt_item: TRANSFORM transform_type_list  */
#line 8612 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("transform", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 40230 "gram.c"
    break;

  case 1163: /* createfunc_opt_item: WINDOW  */
#line 8616 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("window", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 40238 "gram.c"
    break;

  case 1164: /* createfunc_opt_item: common_func_opt_item  */
#line 8620 "gram.y"
                                {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 40246 "gram.c"
    break;

  case 1165: /* func_as: Sconst  */
#line 8625 "gram.y"
                                                                { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40252 "gram.c"
    break;

  case 1166: /* func_as: Sconst ',' Sconst  */
#line 8627 "gram.y"
                                {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 40260 "gram.c"
    break;

  case 1167: /* ReturnStmt: RETURN a_expr  */
#line 8633 "gram.y"
                                {
					ReturnStmt *r = makeNode(ReturnStmt);

					r->returnval = (Node *) (yyvsp[0].node);
					(yyval.node) = (Node *) r;
				}
#line 40271 "gram.c"
    break;

  case 1168: /* opt_routine_body: ReturnStmt  */
#line 8643 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 40279 "gram.c"
    break;

  case 1169: /* opt_routine_body: BEGIN_P ATOMIC routine_body_stmt_list END_P  */
#line 8647 "gram.y"
                                {
					/*
					 * A compound statement is stored as a single-item list
					 * containing the list of statements as its member.  That
					 * way, the parse analysis code can tell apart an empty
					 * body from no body at all.
					 */
					(yyval.node) = (Node *) list_make1((yyvsp[-1].list));
				}
#line 40293 "gram.c"
    break;

  case 1170: /* opt_routine_body: %empty  */
#line 8657 "gram.y"
                                {
					(yyval.node) = NULL;
				}
#line 40301 "gram.c"
    break;

  case 1171: /* routine_body_stmt_list: routine_body_stmt_list routine_body_stmt ';'  */
#line 8664 "gram.y"
                                {
					/* As in stmtmulti, discard empty statements */
					if ((yyvsp[-1].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[-1].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 40313 "gram.c"
    break;

  case 1172: /* routine_body_stmt_list: %empty  */
#line 8672 "gram.y"
                                {
					(yyval.list) = NIL;
				}
#line 40321 "gram.c"
    break;

  case 1175: /* transform_type_list: FOR TYPE_P Typename  */
#line 8683 "gram.y"
                                            { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 40327 "gram.c"
    break;

  case 1176: /* transform_type_list: transform_type_list ',' FOR TYPE_P Typename  */
#line 8684 "gram.y"
                                                                      { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 40333 "gram.c"
    break;

  case 1177: /* opt_definition: WITH definition  */
#line 8688 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 40339 "gram.c"
    break;

  case 1178: /* opt_definition: %empty  */
#line 8689 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 40345 "gram.c"
    break;

  case 1179: /* table_func_column: param_name func_type  */
#line 8693 "gram.y"
                                {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40359 "gram.c"
    break;

  case 1180: /* table_func_column_list: table_func_column  */
#line 8706 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 40367 "gram.c"
    break;

  case 1181: /* table_func_column_list: table_func_column_list ',' table_func_column  */
#line 8710 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 40375 "gram.c"
    break;

  case 1182: /* AlterFunctionStmt: ALTER FUNCTION function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 8725 "gram.y"
                                {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40388 "gram.c"
    break;

  case 1183: /* AlterFunctionStmt: ALTER PROCEDURE function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 8734 "gram.y"
                                {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40401 "gram.c"
    break;

  case 1184: /* AlterFunctionStmt: ALTER ROUTINE function_with_argtypes alterfunc_opt_list opt_restrict  */
#line 8743 "gram.y"
                                {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40414 "gram.c"
    break;

  case 1185: /* alterfunc_opt_list: common_func_opt_item  */
#line 8755 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40420 "gram.c"
    break;

  case 1186: /* alterfunc_opt_list: alterfunc_opt_list common_func_opt_item  */
#line 8756 "gram.y"
                                                                  { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40426 "gram.c"
    break;

  case 1189: /* RemoveFuncStmt: DROP FUNCTION function_with_argtypes_list opt_drop_behavior  */
#line 8780 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40441 "gram.c"
    break;

  case 1190: /* RemoveFuncStmt: DROP FUNCTION IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 8791 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40456 "gram.c"
    break;

  case 1191: /* RemoveFuncStmt: DROP PROCEDURE function_with_argtypes_list opt_drop_behavior  */
#line 8802 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40471 "gram.c"
    break;

  case 1192: /* RemoveFuncStmt: DROP PROCEDURE IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 8813 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40486 "gram.c"
    break;

  case 1193: /* RemoveFuncStmt: DROP ROUTINE function_with_argtypes_list opt_drop_behavior  */
#line 8824 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40501 "gram.c"
    break;

  case 1194: /* RemoveFuncStmt: DROP ROUTINE IF_P EXISTS function_with_argtypes_list opt_drop_behavior  */
#line 8835 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40516 "gram.c"
    break;

  case 1195: /* RemoveAggrStmt: DROP AGGREGATE aggregate_with_argtypes_list opt_drop_behavior  */
#line 8849 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40531 "gram.c"
    break;

  case 1196: /* RemoveAggrStmt: DROP AGGREGATE IF_P EXISTS aggregate_with_argtypes_list opt_drop_behavior  */
#line 8860 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40546 "gram.c"
    break;

  case 1197: /* RemoveOperStmt: DROP OPERATOR operator_with_argtypes_list opt_drop_behavior  */
#line 8874 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40561 "gram.c"
    break;

  case 1198: /* RemoveOperStmt: DROP OPERATOR IF_P EXISTS operator_with_argtypes_list opt_drop_behavior  */
#line 8885 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40576 "gram.c"
    break;

  case 1199: /* oper_argtypes: '(' Typename ')'  */
#line 8899 "gram.y"
                                {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 40588 "gram.c"
    break;

  case 1200: /* oper_argtypes: '(' Typename ',' Typename ')'  */
#line 8907 "gram.y"
                                        { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 40594 "gram.c"
    break;

  case 1201: /* oper_argtypes: '(' NONE ',' Typename ')'  */
#line 8909 "gram.y"
                                        { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 40600 "gram.c"
    break;

  case 1202: /* oper_argtypes: '(' Typename ',' NONE ')'  */
#line 8911 "gram.y"
                                        { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 40606 "gram.c"
    break;

  case 1203: /* any_operator: all_Op  */
#line 8916 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40612 "gram.c"
    break;

  case 1204: /* any_operator: ColId '.' any_operator  */
#line 8918 "gram.y"
                                        { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 40618 "gram.c"
    break;

  case 1205: /* operator_with_argtypes_list: operator_with_argtypes  */
#line 8922 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 40624 "gram.c"
    break;

  case 1206: /* operator_with_argtypes_list: operator_with_argtypes_list ',' operator_with_argtypes  */
#line 8924 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 40630 "gram.c"
    break;

  case 1207: /* operator_with_argtypes: any_operator oper_argtypes  */
#line 8929 "gram.y"
                                {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 40642 "gram.c"
    break;

  case 1208: /* DoStmt: DO dostmt_opt_list  */
#line 8948 "gram.y"
                                {
					DoStmt *n = makeNode(DoStmt);

					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 40653 "gram.c"
    break;

  case 1209: /* dostmt_opt_list: dostmt_opt_item  */
#line 8957 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40659 "gram.c"
    break;

  case 1210: /* dostmt_opt_list: dostmt_opt_list dostmt_opt_item  */
#line 8958 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40665 "gram.c"
    break;

  case 1211: /* dostmt_opt_item: Sconst  */
#line 8963 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("as", (Node *) makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 40673 "gram.c"
    break;

  case 1212: /* dostmt_opt_item: LANGUAGE NonReservedWord_or_Sconst  */
#line 8967 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40681 "gram.c"
    break;

  case 1213: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITH FUNCTION function_with_argtypes cast_context  */
#line 8980 "gram.y"
                                {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 40696 "gram.c"
    break;

  case 1214: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITHOUT FUNCTION cast_context  */
#line 8992 "gram.y"
                                {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 40711 "gram.c"
    break;

  case 1215: /* CreateCastStmt: CREATE CAST '(' Typename AS Typename ')' WITH INOUT cast_context  */
#line 9004 "gram.y"
                                {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *) n;
				}
#line 40726 "gram.c"
    break;

  case 1216: /* cast_context: AS IMPLICIT_P  */
#line 9016 "gram.y"
                                                                { (yyval.ival) = COERCION_IMPLICIT; }
#line 40732 "gram.c"
    break;

  case 1217: /* cast_context: AS ASSIGNMENT  */
#line 9017 "gram.y"
                                                                                { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 40738 "gram.c"
    break;

  case 1218: /* cast_context: %empty  */
#line 9018 "gram.y"
                                                                                        { (yyval.ival) = COERCION_EXPLICIT; }
#line 40744 "gram.c"
    break;

  case 1219: /* DropCastStmt: DROP CAST opt_if_exists '(' Typename AS Typename ')' opt_drop_behavior  */
#line 9023 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40759 "gram.c"
    break;

  case 1220: /* opt_if_exists: IF_P EXISTS  */
#line 9035 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 40765 "gram.c"
    break;

  case 1221: /* opt_if_exists: %empty  */
#line 9036 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 40771 "gram.c"
    break;

  case 1222: /* CreateTransformStmt: CREATE opt_or_replace TRANSFORM FOR Typename LANGUAGE name '(' transform_element_list ')'  */
#line 9047 "gram.y"
                                {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);

					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 40786 "gram.c"
    break;

  case 1223: /* transform_element_list: FROM SQL_P WITH FUNCTION function_with_argtypes ',' TO SQL_P WITH FUNCTION function_with_argtypes  */
#line 9060 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 40794 "gram.c"
    break;

  case 1224: /* transform_element_list: TO SQL_P WITH FUNCTION function_with_argtypes ',' FROM SQL_P WITH FUNCTION function_with_argtypes  */
#line 9064 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 40802 "gram.c"
    break;

  case 1225: /* transform_element_list: FROM SQL_P WITH FUNCTION function_with_argtypes  */
#line 9068 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 40810 "gram.c"
    break;

  case 1226: /* transform_element_list: TO SQL_P WITH FUNCTION function_with_argtypes  */
#line 9072 "gram.y"
                                {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 40818 "gram.c"
    break;

  case 1227: /* DropTransformStmt: DROP TRANSFORM opt_if_exists FOR Typename LANGUAGE name opt_drop_behavior  */
#line 9079 "gram.y"
                                {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40832 "gram.c"
    break;

  case 1228: /* ReindexStmt: REINDEX opt_reindex_option_list reindex_target_relation opt_concurrently qualified_name  */
#line 9101 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40849 "gram.c"
    break;

  case 1229: /* ReindexStmt: REINDEX opt_reindex_option_list SCHEMA opt_concurrently name  */
#line 9114 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = REINDEX_OBJECT_SCHEMA;
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40866 "gram.c"
    break;

  case 1230: /* ReindexStmt: REINDEX opt_reindex_option_list reindex_target_all opt_concurrently opt_single_name  */
#line 9127 "gram.y"
                                {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40883 "gram.c"
    break;

  case 1231: /* reindex_target_relation: INDEX  */
#line 9141 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 40889 "gram.c"
    break;

  case 1232: /* reindex_target_relation: TABLE  */
#line 9142 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 40895 "gram.c"
    break;

  case 1233: /* reindex_target_all: SYSTEM_P  */
#line 9145 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 40901 "gram.c"
    break;

  case 1234: /* reindex_target_all: DATABASE  */
#line 9146 "gram.y"
                                                                { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 40907 "gram.c"
    break;

  case 1235: /* opt_reindex_option_list: '(' utility_option_list ')'  */
#line 9149 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 40913 "gram.c"
    break;

  case 1236: /* opt_reindex_option_list: %empty  */
#line 9150 "gram.y"
                                                                                        { (yyval.list) = NULL; }
#line 40919 "gram.c"
    break;

  case 1237: /* AlterTblSpcStmt: ALTER TABLESPACE name SET reloptions  */
#line 9161 "gram.y"
                                {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *) n;
				}
#line 40933 "gram.c"
    break;

  case 1238: /* AlterTblSpcStmt: ALTER TABLESPACE name RESET reloptions  */
#line 9171 "gram.y"
                                {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *) n;
				}
#line 40947 "gram.c"
    break;

  case 1239: /* RenameStmt: ALTER AGGREGATE aggregate_with_argtypes RENAME TO name  */
#line 9189 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40961 "gram.c"
    break;

  case 1240: /* RenameStmt: ALTER COLLATION any_name RENAME TO name  */
#line 9199 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40975 "gram.c"
    break;

  case 1241: /* RenameStmt: ALTER CONVERSION_P any_name RENAME TO name  */
#line 9209 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40989 "gram.c"
    break;

  case 1242: /* RenameStmt: ALTER DATABASE name RENAME TO name  */
#line 9219 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41003 "gram.c"
    break;

  case 1243: /* RenameStmt: ALTER DOMAIN_P any_name RENAME TO name  */
#line 9229 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41017 "gram.c"
    break;

  case 1244: /* RenameStmt: ALTER DOMAIN_P any_name RENAME CONSTRAINT name TO name  */
#line 9239 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41031 "gram.c"
    break;

  case 1245: /* RenameStmt: ALTER FOREIGN DATA_P WRAPPER name RENAME TO name  */
#line 9249 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41045 "gram.c"
    break;

  case 1246: /* RenameStmt: ALTER FUNCTION function_with_argtypes RENAME TO name  */
#line 9259 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41059 "gram.c"
    break;

  case 1247: /* RenameStmt: ALTER GROUP_P RoleId RENAME TO RoleId  */
#line 9269 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41073 "gram.c"
    break;

  case 1248: /* RenameStmt: ALTER opt_procedural LANGUAGE name RENAME TO name  */
#line 9279 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41087 "gram.c"
    break;

  case 1249: /* RenameStmt: ALTER OPERATOR CLASS any_name USING name RENAME TO name  */
#line 9289 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41101 "gram.c"
    break;

  case 1250: /* RenameStmt: ALTER OPERATOR FAMILY any_name USING name RENAME TO name  */
#line 9299 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41115 "gram.c"
    break;

  case 1251: /* RenameStmt: ALTER POLICY name ON qualified_name RENAME TO name  */
#line 9309 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41130 "gram.c"
    break;

  case 1252: /* RenameStmt: ALTER POLICY IF_P EXISTS name ON qualified_name RENAME TO name  */
#line 9320 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41145 "gram.c"
    break;

  case 1253: /* RenameStmt: ALTER PROCEDURE function_with_argtypes RENAME TO name  */
#line 9331 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41159 "gram.c"
    break;

  case 1254: /* RenameStmt: ALTER PUBLICATION name RENAME TO name  */
#line 9341 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41173 "gram.c"
    break;

  case 1255: /* RenameStmt: ALTER ROUTINE function_with_argtypes RENAME TO name  */
#line 9351 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41187 "gram.c"
    break;

  case 1256: /* RenameStmt: ALTER SCHEMA name RENAME TO name  */
#line 9361 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41201 "gram.c"
    break;

  case 1257: /* RenameStmt: ALTER SERVER name RENAME TO name  */
#line 9371 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41215 "gram.c"
    break;

  case 1258: /* RenameStmt: ALTER SUBSCRIPTION name RENAME TO name  */
#line 9381 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41229 "gram.c"
    break;

  case 1259: /* RenameStmt: ALTER TABLE relation_expr RENAME TO name  */
#line 9391 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41244 "gram.c"
    break;

  case 1260: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME TO name  */
#line 9402 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41259 "gram.c"
    break;

  case 1261: /* RenameStmt: ALTER SEQUENCE qualified_name RENAME TO name  */
#line 9413 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41274 "gram.c"
    break;

  case 1262: /* RenameStmt: ALTER SEQUENCE IF_P EXISTS qualified_name RENAME TO name  */
#line 9424 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41289 "gram.c"
    break;

  case 1263: /* RenameStmt: ALTER VIEW qualified_name RENAME TO name  */
#line 9435 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41304 "gram.c"
    break;

  case 1264: /* RenameStmt: ALTER VIEW IF_P EXISTS qualified_name RENAME TO name  */
#line 9446 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41319 "gram.c"
    break;

  case 1265: /* RenameStmt: ALTER MATERIALIZED VIEW qualified_name RENAME TO name  */
#line 9457 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41334 "gram.c"
    break;

  case 1266: /* RenameStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name RENAME TO name  */
#line 9468 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41349 "gram.c"
    break;

  case 1267: /* RenameStmt: ALTER INDEX qualified_name RENAME TO name  */
#line 9479 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41364 "gram.c"
    break;

  case 1268: /* RenameStmt: ALTER INDEX IF_P EXISTS qualified_name RENAME TO name  */
#line 9490 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41379 "gram.c"
    break;

  case 1269: /* RenameStmt: ALTER FOREIGN TABLE relation_expr RENAME TO name  */
#line 9501 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41394 "gram.c"
    break;

  case 1270: /* RenameStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr RENAME TO name  */
#line 9512 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41409 "gram.c"
    break;

  case 1271: /* RenameStmt: ALTER TABLE relation_expr RENAME opt_column name TO name  */
#line 9523 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41425 "gram.c"
    break;

  case 1272: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME opt_column name TO name  */
#line 9535 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41441 "gram.c"
    break;

  case 1273: /* RenameStmt: ALTER VIEW qualified_name RENAME opt_column name TO name  */
#line 9547 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41457 "gram.c"
    break;

  case 1274: /* RenameStmt: ALTER VIEW IF_P EXISTS qualified_name RENAME opt_column name TO name  */
#line 9559 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41473 "gram.c"
    break;

  case 1275: /* RenameStmt: ALTER MATERIALIZED VIEW qualified_name RENAME opt_column name TO name  */
#line 9571 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41489 "gram.c"
    break;

  case 1276: /* RenameStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name RENAME opt_column name TO name  */
#line 9583 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41505 "gram.c"
    break;

  case 1277: /* RenameStmt: ALTER TABLE relation_expr RENAME CONSTRAINT name TO name  */
#line 9595 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41520 "gram.c"
    break;

  case 1278: /* RenameStmt: ALTER TABLE IF_P EXISTS relation_expr RENAME CONSTRAINT name TO name  */
#line 9606 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41535 "gram.c"
    break;

  case 1279: /* RenameStmt: ALTER FOREIGN TABLE relation_expr RENAME opt_column name TO name  */
#line 9617 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41551 "gram.c"
    break;

  case 1280: /* RenameStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr RENAME opt_column name TO name  */
#line 9629 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41567 "gram.c"
    break;

  case 1281: /* RenameStmt: ALTER RULE name ON qualified_name RENAME TO name  */
#line 9641 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41582 "gram.c"
    break;

  case 1282: /* RenameStmt: ALTER TRIGGER name ON qualified_name RENAME TO name  */
#line 9652 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41597 "gram.c"
    break;

  case 1283: /* RenameStmt: ALTER EVENT TRIGGER name RENAME TO name  */
#line 9663 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41610 "gram.c"
    break;

  case 1284: /* RenameStmt: ALTER ROLE RoleId RENAME TO RoleId  */
#line 9672 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41624 "gram.c"
    break;

  case 1285: /* RenameStmt: ALTER USER RoleId RENAME TO RoleId  */
#line 9682 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41638 "gram.c"
    break;

  case 1286: /* RenameStmt: ALTER TABLESPACE name RENAME TO name  */
#line 9692 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41652 "gram.c"
    break;

  case 1287: /* RenameStmt: ALTER STATISTICS any_name RENAME TO name  */
#line 9702 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41666 "gram.c"
    break;

  case 1288: /* RenameStmt: ALTER TEXT_P SEARCH PARSER any_name RENAME TO name  */
#line 9712 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41680 "gram.c"
    break;

  case 1289: /* RenameStmt: ALTER TEXT_P SEARCH DICTIONARY any_name RENAME TO name  */
#line 9722 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41694 "gram.c"
    break;

  case 1290: /* RenameStmt: ALTER TEXT_P SEARCH TEMPLATE any_name RENAME TO name  */
#line 9732 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41708 "gram.c"
    break;

  case 1291: /* RenameStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name RENAME TO name  */
#line 9742 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41722 "gram.c"
    break;

  case 1292: /* RenameStmt: ALTER TYPE_P any_name RENAME TO name  */
#line 9752 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41736 "gram.c"
    break;

  case 1293: /* RenameStmt: ALTER TYPE_P any_name RENAME ATTRIBUTE name TO name opt_drop_behavior  */
#line 9762 "gram.y"
                                {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41753 "gram.c"
    break;

  case 1296: /* opt_set_data: SET DATA_P  */
#line 9780 "gram.y"
                                                                                { (yyval.ival) = 1; }
#line 41759 "gram.c"
    break;

  case 1297: /* opt_set_data: %empty  */
#line 9781 "gram.y"
                                                                                                { (yyval.ival) = 0; }
#line 41765 "gram.c"
    break;

  case 1298: /* AlterObjectDependsStmt: ALTER FUNCTION function_with_argtypes opt_no DEPENDS ON EXTENSION name  */
#line 9792 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41779 "gram.c"
    break;

  case 1299: /* AlterObjectDependsStmt: ALTER PROCEDURE function_with_argtypes opt_no DEPENDS ON EXTENSION name  */
#line 9802 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41793 "gram.c"
    break;

  case 1300: /* AlterObjectDependsStmt: ALTER ROUTINE function_with_argtypes opt_no DEPENDS ON EXTENSION name  */
#line 9812 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41807 "gram.c"
    break;

  case 1301: /* AlterObjectDependsStmt: ALTER TRIGGER name ON qualified_name opt_no DEPENDS ON EXTENSION name  */
#line 9822 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41822 "gram.c"
    break;

  case 1302: /* AlterObjectDependsStmt: ALTER MATERIALIZED VIEW qualified_name opt_no DEPENDS ON EXTENSION name  */
#line 9833 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41836 "gram.c"
    break;

  case 1303: /* AlterObjectDependsStmt: ALTER INDEX qualified_name opt_no DEPENDS ON EXTENSION name  */
#line 9843 "gram.y"
                                {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41850 "gram.c"
    break;

  case 1304: /* opt_no: NO  */
#line 9854 "gram.y"
                                                { (yyval.boolean) = true; }
#line 41856 "gram.c"
    break;

  case 1305: /* opt_no: %empty  */
#line 9855 "gram.y"
                                        { (yyval.boolean) = false;	}
#line 41862 "gram.c"
    break;

  case 1306: /* AlterObjectSchemaStmt: ALTER AGGREGATE aggregate_with_argtypes SET SCHEMA name  */
#line 9866 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41876 "gram.c"
    break;

  case 1307: /* AlterObjectSchemaStmt: ALTER COLLATION any_name SET SCHEMA name  */
#line 9876 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41890 "gram.c"
    break;

  case 1308: /* AlterObjectSchemaStmt: ALTER CONVERSION_P any_name SET SCHEMA name  */
#line 9886 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41904 "gram.c"
    break;

  case 1309: /* AlterObjectSchemaStmt: ALTER DOMAIN_P any_name SET SCHEMA name  */
#line 9896 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41918 "gram.c"
    break;

  case 1310: /* AlterObjectSchemaStmt: ALTER EXTENSION name SET SCHEMA name  */
#line 9906 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41932 "gram.c"
    break;

  case 1311: /* AlterObjectSchemaStmt: ALTER FUNCTION function_with_argtypes SET SCHEMA name  */
#line 9916 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41946 "gram.c"
    break;

  case 1312: /* AlterObjectSchemaStmt: ALTER OPERATOR operator_with_argtypes SET SCHEMA name  */
#line 9926 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41960 "gram.c"
    break;

  case 1313: /* AlterObjectSchemaStmt: ALTER OPERATOR CLASS any_name USING name SET SCHEMA name  */
#line 9936 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41974 "gram.c"
    break;

  case 1314: /* AlterObjectSchemaStmt: ALTER OPERATOR FAMILY any_name USING name SET SCHEMA name  */
#line 9946 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41988 "gram.c"
    break;

  case 1315: /* AlterObjectSchemaStmt: ALTER PROCEDURE function_with_argtypes SET SCHEMA name  */
#line 9956 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42002 "gram.c"
    break;

  case 1316: /* AlterObjectSchemaStmt: ALTER ROUTINE function_with_argtypes SET SCHEMA name  */
#line 9966 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42016 "gram.c"
    break;

  case 1317: /* AlterObjectSchemaStmt: ALTER TABLE relation_expr SET SCHEMA name  */
#line 9976 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42030 "gram.c"
    break;

  case 1318: /* AlterObjectSchemaStmt: ALTER TABLE IF_P EXISTS relation_expr SET SCHEMA name  */
#line 9986 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42044 "gram.c"
    break;

  case 1319: /* AlterObjectSchemaStmt: ALTER STATISTICS any_name SET SCHEMA name  */
#line 9996 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42058 "gram.c"
    break;

  case 1320: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH PARSER any_name SET SCHEMA name  */
#line 10006 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42072 "gram.c"
    break;

  case 1321: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH DICTIONARY any_name SET SCHEMA name  */
#line 10016 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42086 "gram.c"
    break;

  case 1322: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH TEMPLATE any_name SET SCHEMA name  */
#line 10026 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42100 "gram.c"
    break;

  case 1323: /* AlterObjectSchemaStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name SET SCHEMA name  */
#line 10036 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42114 "gram.c"
    break;

  case 1324: /* AlterObjectSchemaStmt: ALTER SEQUENCE qualified_name SET SCHEMA name  */
#line 10046 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42128 "gram.c"
    break;

  case 1325: /* AlterObjectSchemaStmt: ALTER SEQUENCE IF_P EXISTS qualified_name SET SCHEMA name  */
#line 10056 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42142 "gram.c"
    break;

  case 1326: /* AlterObjectSchemaStmt: ALTER VIEW qualified_name SET SCHEMA name  */
#line 10066 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42156 "gram.c"
    break;

  case 1327: /* AlterObjectSchemaStmt: ALTER VIEW IF_P EXISTS qualified_name SET SCHEMA name  */
#line 10076 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42170 "gram.c"
    break;

  case 1328: /* AlterObjectSchemaStmt: ALTER MATERIALIZED VIEW qualified_name SET SCHEMA name  */
#line 10086 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42184 "gram.c"
    break;

  case 1329: /* AlterObjectSchemaStmt: ALTER MATERIALIZED VIEW IF_P EXISTS qualified_name SET SCHEMA name  */
#line 10096 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42198 "gram.c"
    break;

  case 1330: /* AlterObjectSchemaStmt: ALTER FOREIGN TABLE relation_expr SET SCHEMA name  */
#line 10106 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42212 "gram.c"
    break;

  case 1331: /* AlterObjectSchemaStmt: ALTER FOREIGN TABLE IF_P EXISTS relation_expr SET SCHEMA name  */
#line 10116 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 42226 "gram.c"
    break;

  case 1332: /* AlterObjectSchemaStmt: ALTER TYPE_P any_name SET SCHEMA name  */
#line 10126 "gram.y"
                                {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 42240 "gram.c"
    break;

  case 1333: /* AlterOperatorStmt: ALTER OPERATOR operator_with_argtypes SET '(' operator_def_list ')'  */
#line 10145 "gram.y"
                                {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);

					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42252 "gram.c"
    break;

  case 1334: /* operator_def_list: operator_def_elem  */
#line 10154 "gram.y"
                                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 42258 "gram.c"
    break;

  case 1335: /* operator_def_list: operator_def_list ',' operator_def_elem  */
#line 10155 "gram.y"
                                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 42264 "gram.c"
    break;

  case 1336: /* operator_def_elem: ColLabel '=' NONE  */
#line 10159 "gram.y"
                                                { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 42270 "gram.c"
    break;

  case 1337: /* operator_def_elem: ColLabel '=' operator_def_arg  */
#line 10161 "gram.y"
                                                { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 42276 "gram.c"
    break;

  case 1338: /* operator_def_arg: func_type  */
#line 10166 "gram.y"
                                                                                { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 42282 "gram.c"
    break;

  case 1339: /* operator_def_arg: reserved_keyword  */
#line 10167 "gram.y"
                                                                        { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 42288 "gram.c"
    break;

  case 1340: /* operator_def_arg: qual_all_Op  */
#line 10168 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 42294 "gram.c"
    break;

  case 1341: /* operator_def_arg: NumericOnly  */
#line 10169 "gram.y"
                                                                        { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 42300 "gram.c"
    break;

  case 1342: /* operator_def_arg: Sconst  */
#line 10170 "gram.y"
                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 42306 "gram.c"
    break;

  case 1343: /* AlterTypeStmt: ALTER TYPE_P any_name SET '(' operator_def_list ')'  */
#line 10183 "gram.y"
                                {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);

					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42318 "gram.c"
    break;

  case 1344: /* AlterOwnerStmt: ALTER AGGREGATE aggregate_with_argtypes OWNER TO RoleSpec  */
#line 10199 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42331 "gram.c"
    break;

  case 1345: /* AlterOwnerStmt: ALTER COLLATION any_name OWNER TO RoleSpec  */
#line 10208 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42344 "gram.c"
    break;

  case 1346: /* AlterOwnerStmt: ALTER CONVERSION_P any_name OWNER TO RoleSpec  */
#line 10217 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42357 "gram.c"
    break;

  case 1347: /* AlterOwnerStmt: ALTER DATABASE name OWNER TO RoleSpec  */
#line 10226 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42370 "gram.c"
    break;

  case 1348: /* AlterOwnerStmt: ALTER DOMAIN_P any_name OWNER TO RoleSpec  */
#line 10235 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42383 "gram.c"
    break;

  case 1349: /* AlterOwnerStmt: ALTER FUNCTION function_with_argtypes OWNER TO RoleSpec  */
#line 10244 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42396 "gram.c"
    break;

  case 1350: /* AlterOwnerStmt: ALTER opt_procedural LANGUAGE name OWNER TO RoleSpec  */
#line 10253 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42409 "gram.c"
    break;

  case 1351: /* AlterOwnerStmt: ALTER LARGE_P OBJECT_P NumericOnly OWNER TO RoleSpec  */
#line 10262 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].node);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42422 "gram.c"
    break;

  case 1352: /* AlterOwnerStmt: ALTER OPERATOR operator_with_argtypes OWNER TO RoleSpec  */
#line 10271 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42435 "gram.c"
    break;

  case 1353: /* AlterOwnerStmt: ALTER OPERATOR CLASS any_name USING name OWNER TO RoleSpec  */
#line 10280 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42448 "gram.c"
    break;

  case 1354: /* AlterOwnerStmt: ALTER OPERATOR FAMILY any_name USING name OWNER TO RoleSpec  */
#line 10289 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42461 "gram.c"
    break;

  case 1355: /* AlterOwnerStmt: ALTER PROCEDURE function_with_argtypes OWNER TO RoleSpec  */
#line 10298 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42474 "gram.c"
    break;

  case 1356: /* AlterOwnerStmt: ALTER ROUTINE function_with_argtypes OWNER TO RoleSpec  */
#line 10307 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42487 "gram.c"
    break;

  case 1357: /* AlterOwnerStmt: ALTER SCHEMA name OWNER TO RoleSpec  */
#line 10316 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42500 "gram.c"
    break;

  case 1358: /* AlterOwnerStmt: ALTER TYPE_P any_name OWNER TO RoleSpec  */
#line 10325 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42513 "gram.c"
    break;

  case 1359: /* AlterOwnerStmt: ALTER TABLESPACE name OWNER TO RoleSpec  */
#line 10334 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42526 "gram.c"
    break;

  case 1360: /* AlterOwnerStmt: ALTER STATISTICS any_name OWNER TO RoleSpec  */
#line 10343 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42539 "gram.c"
    break;

  case 1361: /* AlterOwnerStmt: ALTER TEXT_P SEARCH DICTIONARY any_name OWNER TO RoleSpec  */
#line 10352 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42552 "gram.c"
    break;

  case 1362: /* AlterOwnerStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name OWNER TO RoleSpec  */
#line 10361 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42565 "gram.c"
    break;

  case 1363: /* AlterOwnerStmt: ALTER FOREIGN DATA_P WRAPPER name OWNER TO RoleSpec  */
#line 10370 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42578 "gram.c"
    break;

  case 1364: /* AlterOwnerStmt: ALTER SERVER name OWNER TO RoleSpec  */
#line 10379 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42591 "gram.c"
    break;

  case 1365: /* AlterOwnerStmt: ALTER EVENT TRIGGER name OWNER TO RoleSpec  */
#line 10388 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42604 "gram.c"
    break;

  case 1366: /* AlterOwnerStmt: ALTER PUBLICATION name OWNER TO RoleSpec  */
#line 10397 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42617 "gram.c"
    break;

  case 1367: /* AlterOwnerStmt: ALTER SUBSCRIPTION name OWNER TO RoleSpec  */
#line 10406 "gram.y"
                                {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42630 "gram.c"
    break;

  case 1368: /* CreatePublicationStmt: CREATE PUBLICATION name opt_definition  */
#line 10434 "gram.y"
                                {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42642 "gram.c"
    break;

  case 1369: /* CreatePublicationStmt: CREATE PUBLICATION name FOR ALL TABLES opt_definition  */
#line 10442 "gram.y"
                                {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-4].str);
					n->options = (yyvsp[0].list);
					n->for_all_tables = true;
					(yyval.node) = (Node *) n;
				}
#line 42655 "gram.c"
    break;

  case 1370: /* CreatePublicationStmt: CREATE PUBLICATION name FOR pub_obj_list opt_definition  */
#line 10451 "gram.y"
                                {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					n->pubobjects = (List *) (yyvsp[-1].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 42669 "gram.c"
    break;

  case 1371: /* PublicationObjSpec: TABLE relation_expr opt_column_list OptWhereClause  */
#line 10477 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLE;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 42682 "gram.c"
    break;

  case 1372: /* PublicationObjSpec: ALL TABLES IN_P SCHEMA ColId  */
#line 10486 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
					(yyval.publicationobjectspec)->name = (yyvsp[0].str);
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 42693 "gram.c"
    break;

  case 1373: /* PublicationObjSpec: ALL TABLES IN_P SCHEMA CURRENT_SCHEMA  */
#line 10493 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 42703 "gram.c"
    break;

  case 1374: /* PublicationObjSpec: ColId opt_column_list OptWhereClause  */
#line 10499 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					/*
					 * If either a row filter or column list is specified, create
					 * a PublicationTable object.
					 */
					if ((yyvsp[-1].list) || (yyvsp[0].node))
					{
						/*
						 * The OptWhereClause must be stored here but it is
						 * valid only for tables. For non-table objects, an
						 * error will be thrown later via
						 * preprocess_pubobj_list().
						 */
						(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
						(yyval.publicationobjectspec)->pubtable->relation = makeRangeVar(NULL, (yyvsp[-2].str), (yylsp[-2]));
						(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
						(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					}
					else
					{
						(yyval.publicationobjectspec)->name = (yyvsp[-2].str);
					}
					(yyval.publicationobjectspec)->location = (yylsp[-2]);
				}
#line 42734 "gram.c"
    break;

  case 1375: /* PublicationObjSpec: ColId indirection opt_column_list OptWhereClause  */
#line 10526 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = makeRangeVarFromQualifiedName((yyvsp[-3].str), (yyvsp[-2].list), (yylsp[-3]), yyscanner);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					(yyval.publicationobjectspec)->location = (yylsp[-3]);
				}
#line 42748 "gram.c"
    break;

  case 1376: /* PublicationObjSpec: extended_relation_expr opt_column_list OptWhereClause  */
#line 10537 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 42761 "gram.c"
    break;

  case 1377: /* PublicationObjSpec: CURRENT_SCHEMA  */
#line 10546 "gram.y"
                                {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 42771 "gram.c"
    break;

  case 1378: /* pub_obj_list: PublicationObjSpec  */
#line 10554 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].publicationobjectspec)); }
#line 42777 "gram.c"
    break;

  case 1379: /* pub_obj_list: pub_obj_list ',' PublicationObjSpec  */
#line 10556 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].publicationobjectspec)); }
#line 42783 "gram.c"
    break;

  case 1380: /* AlterPublicationStmt: ALTER PUBLICATION name SET definition  */
#line 10578 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42795 "gram.c"
    break;

  case 1381: /* AlterPublicationStmt: ALTER PUBLICATION name ADD_P pub_obj_list  */
#line 10586 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_AddObjects;
					(yyval.node) = (Node *) n;
				}
#line 42809 "gram.c"
    break;

  case 1382: /* AlterPublicationStmt: ALTER PUBLICATION name SET pub_obj_list  */
#line 10596 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_SetObjects;
					(yyval.node) = (Node *) n;
				}
#line 42823 "gram.c"
    break;

  case 1383: /* AlterPublicationStmt: ALTER PUBLICATION name DROP pub_obj_list  */
#line 10606 "gram.y"
                                {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_DropObjects;
					(yyval.node) = (Node *) n;
				}
#line 42837 "gram.c"
    break;

  case 1384: /* CreateSubscriptionStmt: CREATE SUBSCRIPTION name CONNECTION Sconst PUBLICATION name_list opt_definition  */
#line 10625 "gram.y"
                                {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42851 "gram.c"
    break;

  case 1385: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SET definition  */
#line 10644 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42865 "gram.c"
    break;

  case 1386: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name CONNECTION Sconst  */
#line 10654 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42879 "gram.c"
    break;

  case 1387: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name REFRESH PUBLICATION opt_definition  */
#line 10664 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42893 "gram.c"
    break;

  case 1388: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name ADD_P PUBLICATION name_list opt_definition  */
#line 10674 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ADD_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42908 "gram.c"
    break;

  case 1389: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name DROP PUBLICATION name_list opt_definition  */
#line 10685 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_DROP_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42923 "gram.c"
    break;

  case 1390: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SET PUBLICATION name_list opt_definition  */
#line 10696 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SET_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42938 "gram.c"
    break;

  case 1391: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name ENABLE_P  */
#line 10707 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(true), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42953 "gram.c"
    break;

  case 1392: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name DISABLE_P  */
#line 10718 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(false), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42968 "gram.c"
    break;

  case 1393: /* AlterSubscriptionStmt: ALTER SUBSCRIPTION name SKIP definition  */
#line 10729 "gram.y"
                                {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SKIP;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42982 "gram.c"
    break;

  case 1394: /* DropSubscriptionStmt: DROP SUBSCRIPTION name opt_drop_behavior  */
#line 10747 "gram.y"
                                {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 42995 "gram.c"
    break;

  case 1395: /* DropSubscriptionStmt: DROP SUBSCRIPTION IF_P EXISTS name opt_drop_behavior  */
#line 10756 "gram.y"
                                {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 43008 "gram.c"
    break;

  case 1396: /* RuleStmt: CREATE opt_or_replace RULE name AS ON event TO qualified_name where_clause DO opt_instead RuleActionList  */
#line 10775 "gram.y"
                                {
					RuleStmt   *n = makeNode(RuleStmt);

					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43025 "gram.c"
    break;

  case 1397: /* RuleActionList: NOTHING  */
#line 10790 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 43031 "gram.c"
    break;

  case 1398: /* RuleActionList: RuleActionStmt  */
#line 10791 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 43037 "gram.c"
    break;

  case 1399: /* RuleActionList: '(' RuleActionMulti ')'  */
#line 10792 "gram.y"
                                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 43043 "gram.c"
    break;

  case 1400: /* RuleActionMulti: RuleActionMulti ';' RuleActionStmtOrEmpty  */
#line 10798 "gram.y"
                                { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 43053 "gram.c"
    break;

  case 1401: /* RuleActionMulti: RuleActionStmtOrEmpty  */
#line 10804 "gram.y"
                                { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 43063 "gram.c"
    break;

  case 1407: /* RuleActionStmtOrEmpty: RuleActionStmt  */
#line 10820 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 43069 "gram.c"
    break;

  case 1408: /* RuleActionStmtOrEmpty: %empty  */
#line 10821 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 43075 "gram.c"
    break;

  case 1409: /* event: SELECT  */
#line 10824 "gram.y"
                                                                                        { (yyval.ival) = CMD_SELECT; }
#line 43081 "gram.c"
    break;

  case 1410: /* event: UPDATE  */
#line 10825 "gram.y"
                                                                                                { (yyval.ival) = CMD_UPDATE; }
#line 43087 "gram.c"
    break;

  case 1411: /* event: DELETE_P  */
#line 10826 "gram.y"
                                                                                                { (yyval.ival) = CMD_DELETE; }
#line 43093 "gram.c"
    break;

  case 1412: /* event: INSERT  */
#line 10827 "gram.y"
                                                                                                { (yyval.ival) = CMD_INSERT; }
#line 43099 "gram.c"
    break;

  case 1413: /* opt_instead: INSTEAD  */
#line 10831 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 43105 "gram.c"
    break;

  case 1414: /* opt_instead: ALSO  */
#line 10832 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 43111 "gram.c"
    break;

  case 1415: /* opt_instead: %empty  */
#line 10833 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 43117 "gram.c"
    break;

  case 1416: /* NotifyStmt: NOTIFY ColId notify_payload  */
#line 10846 "gram.y"
                                {
					NotifyStmt *n = makeNode(NotifyStmt);

					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43129 "gram.c"
    break;

  case 1417: /* notify_payload: ',' Sconst  */
#line 10856 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 43135 "gram.c"
    break;

  case 1418: /* notify_payload: %empty  */
#line 10857 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 43141 "gram.c"
    break;

  case 1419: /* ListenStmt: LISTEN ColId  */
#line 10861 "gram.y"
                                {
					ListenStmt *n = makeNode(ListenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43152 "gram.c"
    break;

  case 1420: /* UnlistenStmt: UNLISTEN ColId  */
#line 10871 "gram.y"
                                {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43163 "gram.c"
    break;

  case 1421: /* UnlistenStmt: UNLISTEN '*'  */
#line 10878 "gram.y"
                                {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 43174 "gram.c"
    break;

  case 1422: /* TransactionStmt: ABORT_P opt_transaction opt_transaction_chain  */
#line 10898 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 43187 "gram.c"
    break;

  case 1423: /* TransactionStmt: START TRANSACTION transaction_mode_list_or_empty  */
#line 10907 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43199 "gram.c"
    break;

  case 1424: /* TransactionStmt: COMMIT opt_transaction opt_transaction_chain  */
#line 10915 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 43212 "gram.c"
    break;

  case 1425: /* TransactionStmt: ROLLBACK opt_transaction opt_transaction_chain  */
#line 10924 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 43225 "gram.c"
    break;

  case 1426: /* TransactionStmt: SAVEPOINT ColId  */
#line 10933 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43237 "gram.c"
    break;

  case 1427: /* TransactionStmt: RELEASE SAVEPOINT ColId  */
#line 10941 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43249 "gram.c"
    break;

  case 1428: /* TransactionStmt: RELEASE ColId  */
#line 10949 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43261 "gram.c"
    break;

  case 1429: /* TransactionStmt: ROLLBACK opt_transaction TO SAVEPOINT ColId  */
#line 10957 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43273 "gram.c"
    break;

  case 1430: /* TransactionStmt: ROLLBACK opt_transaction TO ColId  */
#line 10965 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43285 "gram.c"
    break;

  case 1431: /* TransactionStmt: PREPARE TRANSACTION Sconst  */
#line 10973 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43297 "gram.c"
    break;

  case 1432: /* TransactionStmt: COMMIT PREPARED Sconst  */
#line 10981 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43309 "gram.c"
    break;

  case 1433: /* TransactionStmt: ROLLBACK PREPARED Sconst  */
#line 10989 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43321 "gram.c"
    break;

  case 1434: /* TransactionStmtLegacy: BEGIN_P opt_transaction transaction_mode_list_or_empty  */
#line 11000 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43333 "gram.c"
    break;

  case 1435: /* TransactionStmtLegacy: END_P opt_transaction opt_transaction_chain  */
#line 11008 "gram.y"
                                {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 43346 "gram.c"
    break;

  case 1439: /* transaction_mode_item: ISOLATION LEVEL iso_level  */
#line 11025 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 43353 "gram.c"
    break;

  case 1440: /* transaction_mode_item: READ ONLY  */
#line 11028 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 43360 "gram.c"
    break;

  case 1441: /* transaction_mode_item: READ WRITE  */
#line 11031 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43367 "gram.c"
    break;

  case 1442: /* transaction_mode_item: DEFERRABLE  */
#line 11034 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 43374 "gram.c"
    break;

  case 1443: /* transaction_mode_item: NOT DEFERRABLE  */
#line 11037 "gram.y"
                                        { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43381 "gram.c"
    break;

  case 1444: /* transaction_mode_list: transaction_mode_item  */
#line 11044 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 43387 "gram.c"
    break;

  case 1445: /* transaction_mode_list: transaction_mode_list ',' transaction_mode_item  */
#line 11046 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 43393 "gram.c"
    break;

  case 1446: /* transaction_mode_list: transaction_mode_list transaction_mode_item  */
#line 11048 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 43399 "gram.c"
    break;

  case 1448: /* transaction_mode_list_or_empty: %empty  */
#line 11054 "gram.y"
                                        { (yyval.list) = NIL; }
#line 43405 "gram.c"
    break;

  case 1449: /* opt_transaction_chain: AND CHAIN  */
#line 11058 "gram.y"
                                                { (yyval.boolean) = true; }
#line 43411 "gram.c"
    break;

  case 1450: /* opt_transaction_chain: AND NO CHAIN  */
#line 11059 "gram.y"
                                        { (yyval.boolean) = false; }
#line 43417 "gram.c"
    break;

  case 1451: /* opt_transaction_chain: %empty  */
#line 11060 "gram.y"
                                        { (yyval.boolean) = false; }
#line 43423 "gram.c"
    break;

  case 1452: /* ViewStmt: CREATE OptTemp VIEW qualified_name opt_column_list opt_reloptions AS SelectStmt opt_check_option  */
#line 11074 "gram.y"
                                {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43440 "gram.c"
    break;

  case 1453: /* ViewStmt: CREATE OR REPLACE OptTemp VIEW qualified_name opt_column_list opt_reloptions AS SelectStmt opt_check_option  */
#line 11088 "gram.y"
                                {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43457 "gram.c"
    break;

  case 1454: /* ViewStmt: CREATE OptTemp RECURSIVE VIEW qualified_name '(' columnList ')' opt_reloptions AS SelectStmt opt_check_option  */
#line 11102 "gram.y"
                                {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 43479 "gram.c"
    break;

  case 1455: /* ViewStmt: CREATE OR REPLACE OptTemp RECURSIVE VIEW qualified_name '(' columnList ')' opt_reloptions AS SelectStmt opt_check_option  */
#line 11121 "gram.y"
                                {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 43501 "gram.c"
    break;

  case 1456: /* opt_check_option: WITH CHECK OPTION  */
#line 11141 "gram.y"
                                                                { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 43507 "gram.c"
    break;

  case 1457: /* opt_check_option: WITH CASCADED CHECK OPTION  */
#line 11142 "gram.y"
                                                { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 43513 "gram.c"
    break;

  case 1458: /* opt_check_option: WITH LOCAL CHECK OPTION  */
#line 11143 "gram.y"
                                                        { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 43519 "gram.c"
    break;

  case 1459: /* opt_check_option: %empty  */
#line 11144 "gram.y"
                                                                { (yyval.ival) = NO_CHECK_OPTION; }
#line 43525 "gram.c"
    break;

  case 1460: /* LoadStmt: LOAD file_name  */
#line 11155 "gram.y"
                                {
					LoadStmt   *n = makeNode(LoadStmt);

					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43536 "gram.c"
    break;

  case 1461: /* CreatedbStmt: CREATE DATABASE name opt_with createdb_opt_list  */
#line 11172 "gram.y"
                                {
					CreatedbStmt *n = makeNode(CreatedbStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43548 "gram.c"
    break;

  case 1462: /* createdb_opt_list: createdb_opt_items  */
#line 11182 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 43554 "gram.c"
    break;

  case 1463: /* createdb_opt_list: %empty  */
#line 11183 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 43560 "gram.c"
    break;

  case 1464: /* createdb_opt_items: createdb_opt_item  */
#line 11187 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 43566 "gram.c"
    break;

  case 1465: /* createdb_opt_items: createdb_opt_items createdb_opt_item  */
#line 11188 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 43572 "gram.c"
    break;

  case 1466: /* createdb_opt_item: createdb_opt_name opt_equal SignedIconst  */
#line 11193 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 43580 "gram.c"
    break;

  case 1467: /* createdb_opt_item: createdb_opt_name opt_equal opt_boolean_or_string  */
#line 11197 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 43588 "gram.c"
    break;

  case 1468: /* createdb_opt_item: createdb_opt_name opt_equal DEFAULT  */
#line 11201 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 43596 "gram.c"
    break;

  case 1469: /* createdb_opt_name: IDENT  */
#line 11218 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 43602 "gram.c"
    break;

  case 1470: /* createdb_opt_name: CONNECTION LIMIT  */
#line 11219 "gram.y"
                                                                        { (yyval.str) = pstrdup("connection_limit"); }
#line 43608 "gram.c"
    break;

  case 1471: /* createdb_opt_name: ENCODING  */
#line 11220 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43614 "gram.c"
    break;

  case 1472: /* createdb_opt_name: LOCATION  */
#line 11221 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43620 "gram.c"
    break;

  case 1473: /* createdb_opt_name: OWNER  */
#line 11222 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43626 "gram.c"
    break;

  case 1474: /* createdb_opt_name: TABLESPACE  */
#line 11223 "gram.y"
                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43632 "gram.c"
    break;

  case 1475: /* createdb_opt_name: TEMPLATE  */
#line 11224 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43638 "gram.c"
    break;

  case 1478: /* AlterDatabaseStmt: ALTER DATABASE name WITH createdb_opt_list  */
#line 11244 "gram.y"
                                 {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 43650 "gram.c"
    break;

  case 1479: /* AlterDatabaseStmt: ALTER DATABASE name createdb_opt_list  */
#line 11252 "gram.y"
                                 {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 43662 "gram.c"
    break;

  case 1480: /* AlterDatabaseStmt: ALTER DATABASE name SET TABLESPACE name  */
#line 11260 "gram.y"
                                 {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *) makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *) n;
				 }
#line 43675 "gram.c"
    break;

  case 1481: /* AlterDatabaseStmt: ALTER DATABASE name REFRESH COLLATION VERSION_P  */
#line 11269 "gram.y"
                                 {
					AlterDatabaseRefreshCollStmt *n = makeNode(AlterDatabaseRefreshCollStmt);

					n->dbname = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				 }
#line 43686 "gram.c"
    break;

  case 1482: /* AlterDatabaseSetStmt: ALTER DATABASE name SetResetClause  */
#line 11279 "gram.y"
                                {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);

					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 43698 "gram.c"
    break;

  case 1483: /* DropdbStmt: DROP DATABASE name  */
#line 11297 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 43711 "gram.c"
    break;

  case 1484: /* DropdbStmt: DROP DATABASE IF_P EXISTS name  */
#line 11306 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 43724 "gram.c"
    break;

  case 1485: /* DropdbStmt: DROP DATABASE name opt_with '(' drop_option_list ')'  */
#line 11315 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 43737 "gram.c"
    break;

  case 1486: /* DropdbStmt: DROP DATABASE IF_P EXISTS name opt_with '(' drop_option_list ')'  */
#line 11324 "gram.y"
                                {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 43750 "gram.c"
    break;

  case 1487: /* drop_option_list: drop_option  */
#line 11336 "gram.y"
                                {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 43758 "gram.c"
    break;

  case 1488: /* drop_option_list: drop_option_list ',' drop_option  */
#line 11340 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 43766 "gram.c"
    break;

  case 1489: /* drop_option: FORCE  */
#line 11351 "gram.y"
                                {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 43774 "gram.c"
    break;

  case 1490: /* AlterCollationStmt: ALTER COLLATION any_name REFRESH VERSION_P  */
#line 11363 "gram.y"
                                {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);

					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 43785 "gram.c"
    break;

  case 1491: /* AlterSystemStmt: ALTER SYSTEM_P SET generic_set  */
#line 11381 "gram.y"
                                {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 43796 "gram.c"
    break;

  case 1492: /* AlterSystemStmt: ALTER SYSTEM_P RESET generic_reset  */
#line 11388 "gram.y"
                                {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 43807 "gram.c"
    break;

  case 1493: /* CreateDomainStmt: CREATE DOMAIN_P any_name opt_as Typename ColQualList  */
#line 11405 "gram.y"
                                {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);

					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 43821 "gram.c"
    break;

  case 1494: /* AlterDomainStmt: ALTER DOMAIN_P any_name alter_column_default  */
#line 11419 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43834 "gram.c"
    break;

  case 1495: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP NOT NULL_P  */
#line 11429 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43846 "gram.c"
    break;

  case 1496: /* AlterDomainStmt: ALTER DOMAIN_P any_name SET NOT NULL_P  */
#line 11438 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43858 "gram.c"
    break;

  case 1497: /* AlterDomainStmt: ALTER DOMAIN_P any_name ADD_P TableConstraint  */
#line 11447 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43871 "gram.c"
    break;

  case 1498: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP CONSTRAINT name opt_drop_behavior  */
#line 11457 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 43886 "gram.c"
    break;

  case 1499: /* AlterDomainStmt: ALTER DOMAIN_P any_name DROP CONSTRAINT IF_P EXISTS name opt_drop_behavior  */
#line 11469 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 43901 "gram.c"
    break;

  case 1500: /* AlterDomainStmt: ALTER DOMAIN_P any_name VALIDATE CONSTRAINT name  */
#line 11481 "gram.y"
                                {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43914 "gram.c"
    break;

  case 1503: /* AlterTSDictionaryStmt: ALTER TEXT_P SEARCH DICTIONARY any_name definition  */
#line 11504 "gram.y"
                                {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);

					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43926 "gram.c"
    break;

  case 1504: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ADD_P MAPPING FOR name_list any_with any_name_list  */
#line 11515 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 43942 "gram.c"
    break;

  case 1505: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING FOR name_list any_with any_name_list  */
#line 11527 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 43958 "gram.c"
    break;

  case 1506: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING REPLACE any_name any_with any_name  */
#line 11539 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 43974 "gram.c"
    break;

  case 1507: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name ALTER MAPPING FOR name_list REPLACE any_name any_with any_name  */
#line 11551 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 43990 "gram.c"
    break;

  case 1508: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name DROP MAPPING FOR name_list  */
#line 11563 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 44004 "gram.c"
    break;

  case 1509: /* AlterTSConfigurationStmt: ALTER TEXT_P SEARCH CONFIGURATION any_name DROP MAPPING IF_P EXISTS FOR name_list  */
#line 11573 "gram.y"
                                {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 44018 "gram.c"
    break;

  case 1512: /* CreateConversionStmt: CREATE opt_default CONVERSION_P any_name FOR Sconst TO Sconst FROM any_name  */
#line 11602 "gram.y"
                        {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);

				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *) n;
			}
#line 44033 "gram.c"
    break;

  case 1513: /* ClusterStmt: CLUSTER opt_verbose qualified_name cluster_index_specification  */
#line 11626 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = NIL;
					if ((yyvsp[-2].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-2])));
					(yyval.node) = (Node *) n;
				}
#line 44048 "gram.c"
    break;

  case 1514: /* ClusterStmt: CLUSTER '(' utility_option_list ')' qualified_name cluster_index_specification  */
#line 11638 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 44061 "gram.c"
    break;

  case 1515: /* ClusterStmt: CLUSTER opt_verbose  */
#line 11647 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = NIL;
					if ((yyvsp[0].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 44076 "gram.c"
    break;

  case 1516: /* ClusterStmt: CLUSTER opt_verbose name ON qualified_name  */
#line 11659 "gram.y"
                                {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->params = NIL;
					if ((yyvsp[-3].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 44091 "gram.c"
    break;

  case 1517: /* cluster_index_specification: USING name  */
#line 11672 "gram.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 44097 "gram.c"
    break;

  case 1518: /* cluster_index_specification: %empty  */
#line 11673 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 44103 "gram.c"
    break;

  case 1519: /* VacuumStmt: VACUUM opt_full opt_freeze opt_verbose opt_analyze opt_vacuum_relation_list  */
#line 11686 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 44128 "gram.c"
    break;

  case 1520: /* VacuumStmt: VACUUM '(' utility_option_list ')' opt_vacuum_relation_list  */
#line 11707 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 44141 "gram.c"
    break;

  case 1521: /* AnalyzeStmt: analyze_keyword opt_verbose opt_vacuum_relation_list  */
#line 11718 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 44157 "gram.c"
    break;

  case 1522: /* AnalyzeStmt: analyze_keyword '(' utility_option_list ')' opt_vacuum_relation_list  */
#line 11730 "gram.y"
                                {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 44170 "gram.c"
    break;

  case 1523: /* utility_option_list: utility_option_elem  */
#line 11742 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 44178 "gram.c"
    break;

  case 1524: /* utility_option_list: utility_option_list ',' utility_option_elem  */
#line 11746 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 44186 "gram.c"
    break;

  case 1527: /* utility_option_elem: utility_option_name utility_option_arg  */
#line 11758 "gram.y"
                                {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 44194 "gram.c"
    break;

  case 1528: /* utility_option_name: NonReservedWord  */
#line 11764 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 44200 "gram.c"
    break;

  case 1529: /* utility_option_name: analyze_keyword  */
#line 11765 "gram.y"
                                                                                        { (yyval.str) = "analyze"; }
#line 44206 "gram.c"
    break;

  case 1530: /* utility_option_arg: opt_boolean_or_string  */
#line 11769 "gram.y"
                                                                                { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 44212 "gram.c"
    break;

  case 1531: /* utility_option_arg: NumericOnly  */
#line 11770 "gram.y"
                                                                                        { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 44218 "gram.c"
    break;

  case 1532: /* utility_option_arg: %empty  */
#line 11771 "gram.y"
                                                                                        { (yyval.node) = NULL; }
#line 44224 "gram.c"
    break;

  case 1533: /* opt_analyze: analyze_keyword  */
#line 11775 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 44230 "gram.c"
    break;

  case 1534: /* opt_analyze: %empty  */
#line 11776 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 44236 "gram.c"
    break;

  case 1535: /* opt_verbose: VERBOSE  */
#line 11780 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 44242 "gram.c"
    break;

  case 1536: /* opt_verbose: %empty  */
#line 11781 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 44248 "gram.c"
    break;

  case 1537: /* opt_full: FULL  */
#line 11784 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 44254 "gram.c"
    break;

  case 1538: /* opt_full: %empty  */
#line 11785 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 44260 "gram.c"
    break;

  case 1539: /* opt_freeze: FREEZE  */
#line 11788 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 44266 "gram.c"
    break;

  case 1540: /* opt_freeze: %empty  */
#line 11789 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 44272 "gram.c"
    break;

  case 1541: /* opt_name_list: '(' name_list ')'  */
#line 11793 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 44278 "gram.c"
    break;

  case 1542: /* opt_name_list: %empty  */
#line 11794 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 44284 "gram.c"
    break;

  case 1543: /* vacuum_relation: qualified_name opt_name_list  */
#line 11799 "gram.y"
                                {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 44292 "gram.c"
    break;

  case 1544: /* vacuum_relation_list: vacuum_relation  */
#line 11806 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44298 "gram.c"
    break;

  case 1545: /* vacuum_relation_list: vacuum_relation_list ',' vacuum_relation  */
#line 11808 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44304 "gram.c"
    break;

  case 1546: /* opt_vacuum_relation_list: vacuum_relation_list  */
#line 11812 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 44310 "gram.c"
    break;

  case 1547: /* opt_vacuum_relation_list: %empty  */
#line 11813 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 44316 "gram.c"
    break;

  case 1548: /* ExplainStmt: EXPLAIN ExplainableStmt  */
#line 11827 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 44328 "gram.c"
    break;

  case 1549: /* ExplainStmt: EXPLAIN analyze_keyword opt_verbose ExplainableStmt  */
#line 11835 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 44343 "gram.c"
    break;

  case 1550: /* ExplainStmt: EXPLAIN VERBOSE ExplainableStmt  */
#line 11846 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 44355 "gram.c"
    break;

  case 1551: /* ExplainStmt: EXPLAIN '(' utility_option_list ')' ExplainableStmt  */
#line 11854 "gram.y"
                                {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 44367 "gram.c"
    break;

  case 1562: /* PrepareStmt: PREPARE name prep_type_clause AS PreparableStmt  */
#line 11884 "gram.y"
                                {
					PrepareStmt *n = makeNode(PrepareStmt);

					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44380 "gram.c"
    break;

  case 1563: /* prep_type_clause: '(' type_list ')'  */
#line 11894 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 44386 "gram.c"
    break;

  case 1564: /* prep_type_clause: %empty  */
#line 11895 "gram.y"
                                                                        { (yyval.list) = NIL; }
#line 44392 "gram.c"
    break;

  case 1570: /* ExecuteStmt: EXECUTE name execute_param_clause  */
#line 11914 "gram.y"
                                {
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44404 "gram.c"
    break;

  case 1571: /* ExecuteStmt: CREATE OptTemp TABLE create_as_target AS EXECUTE name execute_param_clause opt_with_data  */
#line 11923 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44425 "gram.c"
    break;

  case 1572: /* ExecuteStmt: CREATE OptTemp TABLE IF_P NOT EXISTS create_as_target AS EXECUTE name execute_param_clause opt_with_data  */
#line 11941 "gram.y"
                                {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44446 "gram.c"
    break;

  case 1573: /* execute_param_clause: '(' expr_list ')'  */
#line 11959 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 44452 "gram.c"
    break;

  case 1574: /* execute_param_clause: %empty  */
#line 11960 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 44458 "gram.c"
    break;

  case 1575: /* DeallocateStmt: DEALLOCATE name  */
#line 11971 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 44469 "gram.c"
    break;

  case 1576: /* DeallocateStmt: DEALLOCATE PREPARE name  */
#line 11978 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 44480 "gram.c"
    break;

  case 1577: /* DeallocateStmt: DEALLOCATE ALL  */
#line 11985 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 44491 "gram.c"
    break;

  case 1578: /* DeallocateStmt: DEALLOCATE PREPARE ALL  */
#line 11992 "gram.y"
                                        {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 44502 "gram.c"
    break;

  case 1579: /* InsertStmt: opt_with_clause INSERT INTO insert_target insert_rest opt_on_conflict returning_clause  */
#line 12010 "gram.y"
                                {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 44514 "gram.c"
    break;

  case 1580: /* insert_target: qualified_name  */
#line 12027 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
				}
#line 44522 "gram.c"
    break;

  case 1581: /* insert_target: qualified_name AS ColId  */
#line 12031 "gram.y"
                                {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 44531 "gram.c"
    break;

  case 1582: /* insert_rest: SelectStmt  */
#line 12039 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44541 "gram.c"
    break;

  case 1583: /* insert_rest: OVERRIDING override_kind VALUE_P SelectStmt  */
#line 12045 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44552 "gram.c"
    break;

  case 1584: /* insert_rest: '(' insert_column_list ')' SelectStmt  */
#line 12052 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44562 "gram.c"
    break;

  case 1585: /* insert_rest: '(' insert_column_list ')' OVERRIDING override_kind VALUE_P SelectStmt  */
#line 12058 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44573 "gram.c"
    break;

  case 1586: /* insert_rest: DEFAULT VALUES  */
#line 12065 "gram.y"
                                {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 44583 "gram.c"
    break;

  case 1587: /* override_kind: USER  */
#line 12073 "gram.y"
                                        { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 44589 "gram.c"
    break;

  case 1588: /* override_kind: SYSTEM_P  */
#line 12074 "gram.y"
                                        { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 44595 "gram.c"
    break;

  case 1589: /* insert_column_list: insert_column_item  */
#line 12079 "gram.y"
                                        { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44601 "gram.c"
    break;

  case 1590: /* insert_column_list: insert_column_list ',' insert_column_item  */
#line 12081 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 44607 "gram.c"
    break;

  case 1591: /* insert_column_item: ColId opt_indirection  */
#line 12086 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44619 "gram.c"
    break;

  case 1592: /* opt_on_conflict: ON CONFLICT opt_conf_expr DO UPDATE SET set_clause_list where_clause  */
#line 12097 "gram.y"
                                {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 44632 "gram.c"
    break;

  case 1593: /* opt_on_conflict: ON CONFLICT opt_conf_expr DO NOTHING  */
#line 12107 "gram.y"
                                {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 44645 "gram.c"
    break;

  case 1594: /* opt_on_conflict: %empty  */
#line 12116 "gram.y"
                                {
					(yyval.onconflict) = NULL;
				}
#line 44653 "gram.c"
    break;

  case 1595: /* opt_conf_expr: '(' index_params ')' where_clause  */
#line 12123 "gram.y"
                                {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 44665 "gram.c"
    break;

  case 1596: /* opt_conf_expr: ON CONSTRAINT name  */
#line 12132 "gram.y"
                                {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 44677 "gram.c"
    break;

  case 1597: /* opt_conf_expr: %empty  */
#line 12140 "gram.y"
                                {
					(yyval.infer) = NULL;
				}
#line 44685 "gram.c"
    break;

  case 1598: /* returning_clause: RETURNING target_list  */
#line 12146 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 44691 "gram.c"
    break;

  case 1599: /* returning_clause: %empty  */
#line 12147 "gram.y"
                                                                { (yyval.list) = NIL; }
#line 44697 "gram.c"
    break;

  case 1600: /* DeleteStmt: opt_with_clause DELETE_P FROM relation_expr_opt_alias using_clause where_or_current_clause returning_clause  */
#line 12160 "gram.y"
                                {
					DeleteStmt *n = makeNode(DeleteStmt);

					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) n;
				}
#line 44712 "gram.c"
    break;

  case 1601: /* using_clause: USING from_list  */
#line 12173 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 44718 "gram.c"
    break;

  case 1602: /* using_clause: %empty  */
#line 12174 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 44724 "gram.c"
    break;

  case 1603: /* LockStmt: LOCK_P opt_table relation_expr_list opt_lock opt_nowait  */
#line 12186 "gram.y"
                                {
					LockStmt   *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 44737 "gram.c"
    break;

  case 1604: /* opt_lock: IN_P lock_type MODE  */
#line 12196 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival); }
#line 44743 "gram.c"
    break;

  case 1605: /* opt_lock: %empty  */
#line 12197 "gram.y"
                                                                                { (yyval.ival) = AccessExclusiveLock; }
#line 44749 "gram.c"
    break;

  case 1606: /* lock_type: ACCESS SHARE  */
#line 12200 "gram.y"
                                                                { (yyval.ival) = AccessShareLock; }
#line 44755 "gram.c"
    break;

  case 1607: /* lock_type: ROW SHARE  */
#line 12201 "gram.y"
                                                                                { (yyval.ival) = RowShareLock; }
#line 44761 "gram.c"
    break;

  case 1608: /* lock_type: ROW EXCLUSIVE  */
#line 12202 "gram.y"
                                                                        { (yyval.ival) = RowExclusiveLock; }
#line 44767 "gram.c"
    break;

  case 1609: /* lock_type: SHARE UPDATE EXCLUSIVE  */
#line 12203 "gram.y"
                                                                { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 44773 "gram.c"
    break;

  case 1610: /* lock_type: SHARE  */
#line 12204 "gram.y"
                                                                                { (yyval.ival) = ShareLock; }
#line 44779 "gram.c"
    break;

  case 1611: /* lock_type: SHARE ROW EXCLUSIVE  */
#line 12205 "gram.y"
                                                                { (yyval.ival) = ShareRowExclusiveLock; }
#line 44785 "gram.c"
    break;

  case 1612: /* lock_type: EXCLUSIVE  */
#line 12206 "gram.y"
                                                                                { (yyval.ival) = ExclusiveLock; }
#line 44791 "gram.c"
    break;

  case 1613: /* lock_type: ACCESS EXCLUSIVE  */
#line 12207 "gram.y"
                                                                        { (yyval.ival) = AccessExclusiveLock; }
#line 44797 "gram.c"
    break;

  case 1614: /* opt_nowait: NOWAIT  */
#line 12210 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 44803 "gram.c"
    break;

  case 1615: /* opt_nowait: %empty  */
#line 12211 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 44809 "gram.c"
    break;

  case 1616: /* opt_nowait_or_skip: NOWAIT  */
#line 12215 "gram.y"
                                                                                { (yyval.ival) = LockWaitError; }
#line 44815 "gram.c"
    break;

  case 1617: /* opt_nowait_or_skip: SKIP LOCKED  */
#line 12216 "gram.y"
                                                                        { (yyval.ival) = LockWaitSkip; }
#line 44821 "gram.c"
    break;

  case 1618: /* opt_nowait_or_skip: %empty  */
#line 12217 "gram.y"
                                                                                { (yyval.ival) = LockWaitBlock; }
#line 44827 "gram.c"
    break;

  case 1619: /* UpdateStmt: opt_with_clause UPDATE relation_expr_opt_alias SET set_clause_list from_clause where_or_current_clause returning_clause  */
#line 12233 "gram.y"
                                {
					UpdateStmt *n = makeNode(UpdateStmt);

					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *) n;
				}
#line 44843 "gram.c"
    break;

  case 1620: /* set_clause_list: set_clause  */
#line 12247 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 44849 "gram.c"
    break;

  case 1621: /* set_clause_list: set_clause_list ',' set_clause  */
#line 12248 "gram.y"
                                                                { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 44855 "gram.c"
    break;

  case 1622: /* set_clause: set_target '=' a_expr  */
#line 12253 "gram.y"
                                {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 44864 "gram.c"
    break;

  case 1623: /* set_clause: '(' set_target_list ')' '=' a_expr  */
#line 12258 "gram.y"
                                {
					int			ncolumns = list_length((yyvsp[-3].list));
					int			i = 1;
					ListCell   *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget  *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 44889 "gram.c"
    break;

  case 1624: /* set_target: ColId opt_indirection  */
#line 12282 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44901 "gram.c"
    break;

  case 1625: /* set_target_list: set_target  */
#line 12292 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44907 "gram.c"
    break;

  case 1626: /* set_target_list: set_target_list ',' set_target  */
#line 12293 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 44913 "gram.c"
    break;

  case 1627: /* MergeStmt: opt_with_clause MERGE INTO relation_expr_opt_alias USING table_ref ON a_expr merge_when_list  */
#line 12309 "gram.y"
                                {
					MergeStmt  *m = makeNode(MergeStmt);

					m->withClause = (yyvsp[-8].with);
					m->relation = (yyvsp[-5].range);
					m->sourceRelation = (yyvsp[-3].node);
					m->joinCondition = (yyvsp[-1].node);
					m->mergeWhenClauses = (yyvsp[0].list);

					(yyval.node) = (Node *) m;
				}
#line 44929 "gram.c"
    break;

  case 1628: /* merge_when_list: merge_when_clause  */
#line 12323 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44935 "gram.c"
    break;

  case 1629: /* merge_when_list: merge_when_list merge_when_clause  */
#line 12324 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list),(yyvsp[0].node)); }
#line 44941 "gram.c"
    break;

  case 1630: /* merge_when_clause: WHEN MATCHED opt_merge_when_condition THEN merge_update  */
#line 12329 "gram.y"
                                {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44952 "gram.c"
    break;

  case 1631: /* merge_when_clause: WHEN MATCHED opt_merge_when_condition THEN merge_delete  */
#line 12336 "gram.y"
                                {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44963 "gram.c"
    break;

  case 1632: /* merge_when_clause: WHEN NOT MATCHED opt_merge_when_condition THEN merge_insert  */
#line 12343 "gram.y"
                                {
					(yyvsp[0].mergewhen)->matched = false;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44974 "gram.c"
    break;

  case 1633: /* merge_when_clause: WHEN MATCHED opt_merge_when_condition THEN DO NOTHING  */
#line 12350 "gram.y"
                                {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = true;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 44988 "gram.c"
    break;

  case 1634: /* merge_when_clause: WHEN NOT MATCHED opt_merge_when_condition THEN DO NOTHING  */
#line 12360 "gram.y"
                                {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = false;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 45002 "gram.c"
    break;

  case 1635: /* opt_merge_when_condition: AND a_expr  */
#line 12372 "gram.y"
                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45008 "gram.c"
    break;

  case 1636: /* opt_merge_when_condition: %empty  */
#line 12373 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 45014 "gram.c"
    break;

  case 1637: /* merge_update: UPDATE SET set_clause_list  */
#line 12378 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_UPDATE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[0].list);
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 45028 "gram.c"
    break;

  case 1638: /* merge_delete: DELETE_P  */
#line 12391 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_DELETE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 45042 "gram.c"
    break;

  case 1639: /* merge_insert: INSERT merge_values_clause  */
#line 12404 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45055 "gram.c"
    break;

  case 1640: /* merge_insert: INSERT OVERRIDING override_kind VALUE_P merge_values_clause  */
#line 12413 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45068 "gram.c"
    break;

  case 1641: /* merge_insert: INSERT '(' insert_column_list ')' merge_values_clause  */
#line 12422 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[-2].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45081 "gram.c"
    break;

  case 1642: /* merge_insert: INSERT '(' insert_column_list ')' OVERRIDING override_kind VALUE_P merge_values_clause  */
#line 12431 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = (yyvsp[-5].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 45094 "gram.c"
    break;

  case 1643: /* merge_insert: INSERT DEFAULT VALUES  */
#line 12440 "gram.y"
                                {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;
					(yyval.mergewhen) = n;
				}
#line 45107 "gram.c"
    break;

  case 1644: /* merge_values_clause: VALUES '(' expr_list ')'  */
#line 12452 "gram.y"
                                {
					(yyval.list) = (yyvsp[-1].list);
				}
#line 45115 "gram.c"
    break;

  case 1645: /* DeclareCursorStmt: DECLARE cursor_name cursor_options CURSOR opt_hold FOR SelectStmt  */
#line 12464 "gram.y"
                                {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);

					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 45129 "gram.c"
    break;

  case 1646: /* cursor_name: name  */
#line 12475 "gram.y"
                                                                { (yyval.str) = (yyvsp[0].str); }
#line 45135 "gram.c"
    break;

  case 1647: /* cursor_options: %empty  */
#line 12478 "gram.y"
                                                                { (yyval.ival) = 0; }
#line 45141 "gram.c"
    break;

  case 1648: /* cursor_options: cursor_options NO SCROLL  */
#line 12479 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 45147 "gram.c"
    break;

  case 1649: /* cursor_options: cursor_options SCROLL  */
#line 12480 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 45153 "gram.c"
    break;

  case 1650: /* cursor_options: cursor_options BINARY  */
#line 12481 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 45159 "gram.c"
    break;

  case 1651: /* cursor_options: cursor_options ASENSITIVE  */
#line 12482 "gram.y"
                                                                { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_ASENSITIVE; }
#line 45165 "gram.c"
    break;

  case 1652: /* cursor_options: cursor_options INSENSITIVE  */
#line 12483 "gram.y"
                                                        { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 45171 "gram.c"
    break;

  case 1653: /* opt_hold: %empty  */
#line 12486 "gram.y"
                                                                { (yyval.ival) = 0; }
#line 45177 "gram.c"
    break;

  case 1654: /* opt_hold: WITH HOLD  */
#line 12487 "gram.y"
                                                                                { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 45183 "gram.c"
    break;

  case 1655: /* opt_hold: WITHOUT HOLD  */
#line 12488 "gram.y"
                                                                        { (yyval.ival) = 0; }
#line 45189 "gram.c"
    break;

  case 1658: /* select_with_parens: '(' select_no_parens ')'  */
#line 12541 "gram.y"
                                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 45195 "gram.c"
    break;

  case 1659: /* select_with_parens: '(' select_with_parens ')'  */
#line 12542 "gram.y"
                                                                        { (yyval.node) = (yyvsp[-1].node); }
#line 45201 "gram.c"
    break;

  case 1660: /* select_no_parens: simple_select  */
#line 12557 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45207 "gram.c"
    break;

  case 1661: /* select_no_parens: select_clause sort_clause  */
#line 12559 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45218 "gram.c"
    break;

  case 1662: /* select_no_parens: select_clause opt_sort_clause for_locking_clause opt_select_limit  */
#line 12566 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45230 "gram.c"
    break;

  case 1663: /* select_no_parens: select_clause opt_sort_clause select_limit opt_for_locking_clause  */
#line 12574 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45242 "gram.c"
    break;

  case 1664: /* select_no_parens: with_clause select_clause  */
#line 12582 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 45254 "gram.c"
    break;

  case 1665: /* select_no_parens: with_clause select_clause sort_clause  */
#line 12590 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45266 "gram.c"
    break;

  case 1666: /* select_no_parens: with_clause select_clause opt_sort_clause for_locking_clause opt_select_limit  */
#line 12598 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45278 "gram.c"
    break;

  case 1667: /* select_no_parens: with_clause select_clause opt_sort_clause select_limit opt_for_locking_clause  */
#line 12606 "gram.y"
                                {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45290 "gram.c"
    break;

  case 1668: /* select_clause: simple_select  */
#line 12616 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 45296 "gram.c"
    break;

  case 1669: /* select_clause: select_with_parens  */
#line 12617 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45302 "gram.c"
    break;

  case 1670: /* simple_select: SELECT opt_all_clause opt_target_list into_clause from_clause where_clause group_clause having_clause window_clause  */
#line 12652 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);

					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 45320 "gram.c"
    break;

  case 1671: /* simple_select: SELECT distinct_clause target_list into_clause from_clause where_clause group_clause having_clause window_clause  */
#line 12668 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 45339 "gram.c"
    break;

  case 1672: /* simple_select: values_clause  */
#line 12682 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 45345 "gram.c"
    break;

  case 1673: /* simple_select: TABLE relation_expr  */
#line 12684 "gram.y"
                                {
					/* same as SELECT * FROM relation_expr */
					ColumnRef  *cr = makeNode(ColumnRef);
					ResTarget  *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *) cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *) n;
				}
#line 45368 "gram.c"
    break;

  case 1674: /* simple_select: select_clause UNION set_quantifier select_clause  */
#line 12703 "gram.y"
                                {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45376 "gram.c"
    break;

  case 1675: /* simple_select: select_clause INTERSECT set_quantifier select_clause  */
#line 12707 "gram.y"
                                {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45384 "gram.c"
    break;

  case 1676: /* simple_select: select_clause EXCEPT set_quantifier select_clause  */
#line 12711 "gram.y"
                                {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45392 "gram.c"
    break;

  case 1677: /* with_clause: WITH cte_list  */
#line 12726 "gram.y"
                        {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45403 "gram.c"
    break;

  case 1678: /* with_clause: WITH_LA cte_list  */
#line 12733 "gram.y"
                        {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45414 "gram.c"
    break;

  case 1679: /* with_clause: WITH RECURSIVE cte_list  */
#line 12740 "gram.y"
                        {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 45425 "gram.c"
    break;

  case 1680: /* cte_list: common_table_expr  */
#line 12749 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45431 "gram.c"
    break;

  case 1681: /* cte_list: cte_list ',' common_table_expr  */
#line 12750 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45437 "gram.c"
    break;

  case 1682: /* common_table_expr: name opt_name_list AS opt_materialized '(' PreparableStmt ')' opt_search_clause opt_cycle_clause  */
#line 12754 "gram.y"
                        {
				CommonTableExpr *n = makeNode(CommonTableExpr);

				n->ctename = (yyvsp[-8].str);
				n->aliascolnames = (yyvsp[-7].list);
				n->ctematerialized = (yyvsp[-5].ival);
				n->ctequery = (yyvsp[-3].node);
				n->search_clause = castNode(CTESearchClause, (yyvsp[-1].node));
				n->cycle_clause = castNode(CTECycleClause, (yyvsp[0].node));
				n->location = (yylsp[-8]);
				(yyval.node) = (Node *) n;
			}
#line 45454 "gram.c"
    break;

  case 1683: /* opt_materialized: MATERIALIZED  */
#line 12769 "gram.y"
                                                                                { (yyval.ival) = CTEMaterializeAlways; }
#line 45460 "gram.c"
    break;

  case 1684: /* opt_materialized: NOT MATERIALIZED  */
#line 12770 "gram.y"
                                                                                { (yyval.ival) = CTEMaterializeNever; }
#line 45466 "gram.c"
    break;

  case 1685: /* opt_materialized: %empty  */
#line 12771 "gram.y"
                                                                                        { (yyval.ival) = CTEMaterializeDefault; }
#line 45472 "gram.c"
    break;

  case 1686: /* opt_search_clause: SEARCH DEPTH FIRST_P BY columnList SET ColId  */
#line 12776 "gram.y"
                        {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = false;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 45486 "gram.c"
    break;

  case 1687: /* opt_search_clause: SEARCH BREADTH FIRST_P BY columnList SET ColId  */
#line 12786 "gram.y"
                        {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = true;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 45500 "gram.c"
    break;

  case 1688: /* opt_search_clause: %empty  */
#line 12796 "gram.y"
                        {
				(yyval.node) = NULL;
			}
#line 45508 "gram.c"
    break;

  case 1689: /* opt_cycle_clause: CYCLE columnList SET ColId TO AexprConst DEFAULT AexprConst USING ColId  */
#line 12803 "gram.y"
                        {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-8].list);
				n->cycle_mark_column = (yyvsp[-6].str);
				n->cycle_mark_value = (yyvsp[-4].node);
				n->cycle_mark_default = (yyvsp[-2].node);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-9]);
				(yyval.node) = (Node *) n;
			}
#line 45524 "gram.c"
    break;

  case 1690: /* opt_cycle_clause: CYCLE columnList SET ColId USING ColId  */
#line 12815 "gram.y"
                        {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-4].list);
				n->cycle_mark_column = (yyvsp[-2].str);
				n->cycle_mark_value = makeBoolAConst(true, -1);
				n->cycle_mark_default = makeBoolAConst(false, -1);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 45540 "gram.c"
    break;

  case 1691: /* opt_cycle_clause: %empty  */
#line 12827 "gram.y"
                        {
				(yyval.node) = NULL;
			}
#line 45548 "gram.c"
    break;

  case 1692: /* opt_with_clause: with_clause  */
#line 12833 "gram.y"
                                                                                        { (yyval.with) = (yyvsp[0].with); }
#line 45554 "gram.c"
    break;

  case 1693: /* opt_with_clause: %empty  */
#line 12834 "gram.y"
                                                                                        { (yyval.with) = NULL; }
#line 45560 "gram.c"
    break;

  case 1694: /* into_clause: INTO OptTempTableName  */
#line 12839 "gram.y"
                                {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 45575 "gram.c"
    break;

  case 1695: /* into_clause: %empty  */
#line 12850 "gram.y"
                                { (yyval.into) = NULL; }
#line 45581 "gram.c"
    break;

  case 1696: /* OptTempTableName: TEMPORARY opt_table qualified_name  */
#line 12859 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45590 "gram.c"
    break;

  case 1697: /* OptTempTableName: TEMP opt_table qualified_name  */
#line 12864 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45599 "gram.c"
    break;

  case 1698: /* OptTempTableName: LOCAL TEMPORARY opt_table qualified_name  */
#line 12869 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45608 "gram.c"
    break;

  case 1699: /* OptTempTableName: LOCAL TEMP opt_table qualified_name  */
#line 12874 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45617 "gram.c"
    break;

  case 1700: /* OptTempTableName: GLOBAL TEMPORARY opt_table qualified_name  */
#line 12879 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45629 "gram.c"
    break;

  case 1701: /* OptTempTableName: GLOBAL TEMP opt_table qualified_name  */
#line 12887 "gram.y"
                                {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45641 "gram.c"
    break;

  case 1702: /* OptTempTableName: UNLOGGED opt_table qualified_name  */
#line 12895 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 45650 "gram.c"
    break;

  case 1703: /* OptTempTableName: TABLE qualified_name  */
#line 12900 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 45659 "gram.c"
    break;

  case 1704: /* OptTempTableName: qualified_name  */
#line 12905 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 45668 "gram.c"
    break;

  case 1707: /* set_quantifier: ALL  */
#line 12916 "gram.y"
                                                                                                        { (yyval.setquantifier) = SET_QUANTIFIER_ALL; }
#line 45674 "gram.c"
    break;

  case 1708: /* set_quantifier: DISTINCT  */
#line 12917 "gram.y"
                                                                                                { (yyval.setquantifier) = SET_QUANTIFIER_DISTINCT; }
#line 45680 "gram.c"
    break;

  case 1709: /* set_quantifier: %empty  */
#line 12918 "gram.y"
                                                                                                { (yyval.setquantifier) = SET_QUANTIFIER_DEFAULT; }
#line 45686 "gram.c"
    break;

  case 1710: /* distinct_clause: DISTINCT  */
#line 12925 "gram.y"
                                                                                                { (yyval.list) = list_make1(NIL); }
#line 45692 "gram.c"
    break;

  case 1711: /* distinct_clause: DISTINCT ON '(' expr_list ')'  */
#line 12926 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 45698 "gram.c"
    break;

  case 1714: /* opt_distinct_clause: distinct_clause  */
#line 12935 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 45704 "gram.c"
    break;

  case 1715: /* opt_distinct_clause: opt_all_clause  */
#line 12936 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 45710 "gram.c"
    break;

  case 1716: /* opt_sort_clause: sort_clause  */
#line 12940 "gram.y"
                                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 45716 "gram.c"
    break;

  case 1717: /* opt_sort_clause: %empty  */
#line 12941 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 45722 "gram.c"
    break;

  case 1718: /* sort_clause: ORDER BY sortby_list  */
#line 12945 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 45728 "gram.c"
    break;

  case 1719: /* sortby_list: sortby  */
#line 12949 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 45734 "gram.c"
    break;

  case 1720: /* sortby_list: sortby_list ',' sortby  */
#line 12950 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 45740 "gram.c"
    break;

  case 1721: /* sortby: a_expr USING qual_all_Op opt_nulls_order  */
#line 12954 "gram.y"
                                {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 45753 "gram.c"
    break;

  case 1722: /* sortby: a_expr opt_asc_desc opt_nulls_order  */
#line 12963 "gram.y"
                                {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 45766 "gram.c"
    break;

  case 1723: /* select_limit: limit_clause offset_clause  */
#line 12976 "gram.y"
                                {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 45775 "gram.c"
    break;

  case 1724: /* select_limit: offset_clause limit_clause  */
#line 12981 "gram.y"
                                {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 45784 "gram.c"
    break;

  case 1725: /* select_limit: limit_clause  */
#line 12986 "gram.y"
                                {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 45792 "gram.c"
    break;

  case 1726: /* select_limit: offset_clause  */
#line 12990 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45805 "gram.c"
    break;

  case 1727: /* opt_select_limit: select_limit  */
#line 13001 "gram.y"
                                                                                { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 45811 "gram.c"
    break;

  case 1728: /* opt_select_limit: %empty  */
#line 13002 "gram.y"
                                                                                { (yyval.selectlimit) = NULL; }
#line 45817 "gram.c"
    break;

  case 1729: /* limit_clause: LIMIT select_limit_value  */
#line 13007 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45830 "gram.c"
    break;

  case 1730: /* limit_clause: LIMIT select_limit_value ',' select_offset_value  */
#line 13016 "gram.y"
                                {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 45843 "gram.c"
    break;

  case 1731: /* limit_clause: FETCH first_or_next select_fetch_first_value row_or_rows ONLY  */
#line 13032 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45856 "gram.c"
    break;

  case 1732: /* limit_clause: FETCH first_or_next select_fetch_first_value row_or_rows WITH TIES  */
#line 13041 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 45869 "gram.c"
    break;

  case 1733: /* limit_clause: FETCH first_or_next row_or_rows ONLY  */
#line 13050 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45882 "gram.c"
    break;

  case 1734: /* limit_clause: FETCH first_or_next row_or_rows WITH TIES  */
#line 13059 "gram.y"
                                {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 45895 "gram.c"
    break;

  case 1735: /* offset_clause: OFFSET select_offset_value  */
#line 13071 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 45901 "gram.c"
    break;

  case 1736: /* offset_clause: OFFSET select_fetch_first_value row_or_rows  */
#line 13074 "gram.y"
                                { (yyval.node) = (yyvsp[-1].node); }
#line 45907 "gram.c"
    break;

  case 1737: /* select_limit_value: a_expr  */
#line 13078 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45913 "gram.c"
    break;

  case 1738: /* select_limit_value: ALL  */
#line 13080 "gram.y"
                                {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 45922 "gram.c"
    break;

  case 1739: /* select_offset_value: a_expr  */
#line 13087 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45928 "gram.c"
    break;

  case 1740: /* select_fetch_first_value: c_expr  */
#line 13107 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 45934 "gram.c"
    break;

  case 1741: /* select_fetch_first_value: '+' I_or_F_const  */
#line 13109 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 45940 "gram.c"
    break;

  case 1742: /* select_fetch_first_value: '-' I_or_F_const  */
#line 13111 "gram.y"
                                { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 45946 "gram.c"
    break;

  case 1743: /* I_or_F_const: Iconst  */
#line 13115 "gram.y"
                                                                                                { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 45952 "gram.c"
    break;

  case 1744: /* I_or_F_const: FCONST  */
#line 13116 "gram.y"
                                                                                                { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 45958 "gram.c"
    break;

  case 1745: /* row_or_rows: ROW  */
#line 13120 "gram.y"
                                                                                        { (yyval.ival) = 0; }
#line 45964 "gram.c"
    break;

  case 1746: /* row_or_rows: ROWS  */
#line 13121 "gram.y"
                                                                                                { (yyval.ival) = 0; }
#line 45970 "gram.c"
    break;

  case 1747: /* first_or_next: FIRST_P  */
#line 13124 "gram.y"
                                                                                { (yyval.ival) = 0; }
#line 45976 "gram.c"
    break;

  case 1748: /* first_or_next: NEXT  */
#line 13125 "gram.y"
                                                                                                { (yyval.ival) = 0; }
#line 45982 "gram.c"
    break;

  case 1749: /* group_clause: GROUP_P BY set_quantifier group_by_list  */
#line 13151 "gram.y"
                                {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = (yyvsp[-1].setquantifier) == SET_QUANTIFIER_DISTINCT;
					n->list = (yyvsp[0].list);
					(yyval.groupclause) = n;
				}
#line 45994 "gram.c"
    break;

  case 1750: /* group_clause: %empty  */
#line 13159 "gram.y"
                                {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = false;
					n->list = NIL;
					(yyval.groupclause) = n;
				}
#line 46006 "gram.c"
    break;

  case 1751: /* group_by_list: group_by_item  */
#line 13169 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46012 "gram.c"
    break;

  case 1752: /* group_by_list: group_by_list ',' group_by_item  */
#line 13170 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 46018 "gram.c"
    break;

  case 1753: /* group_by_item: a_expr  */
#line 13174 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 46024 "gram.c"
    break;

  case 1754: /* group_by_item: empty_grouping_set  */
#line 13175 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 46030 "gram.c"
    break;

  case 1755: /* group_by_item: cube_clause  */
#line 13176 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 46036 "gram.c"
    break;

  case 1756: /* group_by_item: rollup_clause  */
#line 13177 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 46042 "gram.c"
    break;

  case 1757: /* group_by_item: grouping_sets_clause  */
#line 13178 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 46048 "gram.c"
    break;

  case 1758: /* empty_grouping_set: '(' ')'  */
#line 13183 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 46056 "gram.c"
    break;

  case 1759: /* rollup_clause: ROLLUP '(' expr_list ')'  */
#line 13196 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 46064 "gram.c"
    break;

  case 1760: /* cube_clause: CUBE '(' expr_list ')'  */
#line 13203 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 46072 "gram.c"
    break;

  case 1761: /* grouping_sets_clause: GROUPING SETS '(' group_by_list ')'  */
#line 13210 "gram.y"
                                {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 46080 "gram.c"
    break;

  case 1762: /* having_clause: HAVING a_expr  */
#line 13216 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 46086 "gram.c"
    break;

  case 1763: /* having_clause: %empty  */
#line 13217 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 46092 "gram.c"
    break;

  case 1764: /* for_locking_clause: for_locking_items  */
#line 13221 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 46098 "gram.c"
    break;

  case 1765: /* for_locking_clause: FOR READ ONLY  */
#line 13222 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 46104 "gram.c"
    break;

  case 1766: /* opt_for_locking_clause: for_locking_clause  */
#line 13226 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 46110 "gram.c"
    break;

  case 1767: /* opt_for_locking_clause: %empty  */
#line 13227 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 46116 "gram.c"
    break;

  case 1768: /* for_locking_items: for_locking_item  */
#line 13231 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46122 "gram.c"
    break;

  case 1769: /* for_locking_items: for_locking_items for_locking_item  */
#line 13232 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 46128 "gram.c"
    break;

  case 1770: /* for_locking_item: for_locking_strength locked_rels_list opt_nowait_or_skip  */
#line 13237 "gram.y"
                                {
					LockingClause *n = makeNode(LockingClause);

					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 46141 "gram.c"
    break;

  case 1771: /* for_locking_strength: FOR UPDATE  */
#line 13248 "gram.y"
                                                                                        { (yyval.ival) = LCS_FORUPDATE; }
#line 46147 "gram.c"
    break;

  case 1772: /* for_locking_strength: FOR NO KEY UPDATE  */
#line 13249 "gram.y"
                                                                                { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 46153 "gram.c"
    break;

  case 1773: /* for_locking_strength: FOR SHARE  */
#line 13250 "gram.y"
                                                                                        { (yyval.ival) = LCS_FORSHARE; }
#line 46159 "gram.c"
    break;

  case 1774: /* for_locking_strength: FOR KEY SHARE  */
#line 13251 "gram.y"
                                                                                { (yyval.ival) = LCS_FORKEYSHARE; }
#line 46165 "gram.c"
    break;

  case 1775: /* locked_rels_list: OF qualified_name_list  */
#line 13255 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 46171 "gram.c"
    break;

  case 1776: /* locked_rels_list: %empty  */
#line 13256 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 46177 "gram.c"
    break;

  case 1777: /* values_clause: VALUES '(' expr_list ')'  */
#line 13267 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);

					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 46188 "gram.c"
    break;

  case 1778: /* values_clause: values_clause ',' '(' expr_list ')'  */
#line 13274 "gram.y"
                                {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);

					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 46199 "gram.c"
    break;

  case 1779: /* from_clause: FROM from_list  */
#line 13292 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 46205 "gram.c"
    break;

  case 1780: /* from_clause: %empty  */
#line 13293 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 46211 "gram.c"
    break;

  case 1781: /* from_list: table_ref  */
#line 13297 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46217 "gram.c"
    break;

  case 1782: /* from_list: from_list ',' table_ref  */
#line 13298 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 46223 "gram.c"
    break;

  case 1783: /* table_ref: relation_expr opt_alias_clause  */
#line 13305 "gram.y"
                                {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 46232 "gram.c"
    break;

  case 1784: /* table_ref: relation_expr opt_alias_clause tablesample_clause  */
#line 13310 "gram.y"
                                {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);

					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 46245 "gram.c"
    break;

  case 1785: /* table_ref: func_table func_alias_clause  */
#line 13319 "gram.y"
                                {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 46257 "gram.c"
    break;

  case 1786: /* table_ref: LATERAL_P func_table func_alias_clause  */
#line 13327 "gram.y"
                                {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 46270 "gram.c"
    break;

  case 1787: /* table_ref: xmltable opt_alias_clause  */
#line 13336 "gram.y"
                                {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46281 "gram.c"
    break;

  case 1788: /* table_ref: LATERAL_P xmltable opt_alias_clause  */
#line 13343 "gram.y"
                                {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46293 "gram.c"
    break;

  case 1789: /* table_ref: select_with_parens opt_alias_clause  */
#line 13351 "gram.y"
                                {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46306 "gram.c"
    break;

  case 1790: /* table_ref: LATERAL_P select_with_parens opt_alias_clause  */
#line 13360 "gram.y"
                                {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46319 "gram.c"
    break;

  case 1791: /* table_ref: joined_table  */
#line 13369 "gram.y"
                                {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 46327 "gram.c"
    break;

  case 1792: /* table_ref: '(' joined_table ')' alias_clause  */
#line 13373 "gram.y"
                                {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 46336 "gram.c"
    break;

  case 1793: /* table_ref: json_table opt_alias_clause  */
#line 13378 "gram.y"
                                {
					JsonTable  *jt = castNode(JsonTable, (yyvsp[-1].node));

					jt->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) jt;
				}
#line 46347 "gram.c"
    break;

  case 1794: /* table_ref: LATERAL_P json_table opt_alias_clause  */
#line 13385 "gram.y"
                                {
					JsonTable  *jt = castNode(JsonTable, (yyvsp[-1].node));

					jt->alias = (yyvsp[0].alias);
					jt->lateral = true;
					(yyval.node) = (Node *) jt;
				}
#line 46359 "gram.c"
    break;

  case 1795: /* joined_table: '(' joined_table ')'  */
#line 13414 "gram.y"
                                {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 46367 "gram.c"
    break;

  case 1796: /* joined_table: table_ref CROSS JOIN table_ref  */
#line 13418 "gram.y"
                                {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->join_using_alias = NULL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 46385 "gram.c"
    break;

  case 1797: /* joined_table: table_ref join_type JOIN table_ref join_qual  */
#line 13432 "gram.y"
                                {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						 /* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46410 "gram.c"
    break;

  case 1798: /* joined_table: table_ref JOIN table_ref join_qual  */
#line 13453 "gram.y"
                                {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						/* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46436 "gram.c"
    break;

  case 1799: /* joined_table: table_ref NATURAL join_type JOIN table_ref  */
#line 13475 "gram.y"
                                {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 46453 "gram.c"
    break;

  case 1800: /* joined_table: table_ref NATURAL JOIN table_ref  */
#line 13488 "gram.y"
                                {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 46471 "gram.c"
    break;

  case 1801: /* alias_clause: AS ColId '(' name_list ')'  */
#line 13505 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 46481 "gram.c"
    break;

  case 1802: /* alias_clause: AS ColId  */
#line 13511 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 46490 "gram.c"
    break;

  case 1803: /* alias_clause: ColId '(' name_list ')'  */
#line 13516 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 46500 "gram.c"
    break;

  case 1804: /* alias_clause: ColId  */
#line 13522 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 46509 "gram.c"
    break;

  case 1805: /* opt_alias_clause: alias_clause  */
#line 13528 "gram.y"
                                                                        { (yyval.alias) = (yyvsp[0].alias); }
#line 46515 "gram.c"
    break;

  case 1806: /* opt_alias_clause: %empty  */
#line 13529 "gram.y"
                                                                                                { (yyval.alias) = NULL; }
#line 46521 "gram.c"
    break;

  case 1807: /* opt_alias_clause_for_join_using: AS ColId  */
#line 13540 "gram.y"
                                {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
					/* the column name list will be inserted later */
				}
#line 46531 "gram.c"
    break;

  case 1808: /* opt_alias_clause_for_join_using: %empty  */
#line 13545 "gram.y"
                                                                                                { (yyval.alias) = NULL; }
#line 46537 "gram.c"
    break;

  case 1809: /* func_alias_clause: alias_clause  */
#line 13554 "gram.y"
                                {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 46545 "gram.c"
    break;

  case 1810: /* func_alias_clause: AS '(' TableFuncElementList ')'  */
#line 13558 "gram.y"
                                {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 46553 "gram.c"
    break;

  case 1811: /* func_alias_clause: AS ColId '(' TableFuncElementList ')'  */
#line 13562 "gram.y"
                                {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 46564 "gram.c"
    break;

  case 1812: /* func_alias_clause: ColId '(' TableFuncElementList ')'  */
#line 13569 "gram.y"
                                {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 46575 "gram.c"
    break;

  case 1813: /* func_alias_clause: %empty  */
#line 13576 "gram.y"
                                {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 46583 "gram.c"
    break;

  case 1814: /* join_type: FULL opt_outer  */
#line 13581 "gram.y"
                                                                                { (yyval.jtype) = JOIN_FULL; }
#line 46589 "gram.c"
    break;

  case 1815: /* join_type: LEFT opt_outer  */
#line 13582 "gram.y"
                                                                                        { (yyval.jtype) = JOIN_LEFT; }
#line 46595 "gram.c"
    break;

  case 1816: /* join_type: RIGHT opt_outer  */
#line 13583 "gram.y"
                                                                                        { (yyval.jtype) = JOIN_RIGHT; }
#line 46601 "gram.c"
    break;

  case 1817: /* join_type: INNER_P  */
#line 13584 "gram.y"
                                                                                                { (yyval.jtype) = JOIN_INNER; }
#line 46607 "gram.c"
    break;

  case 1820: /* join_qual: USING '(' name_list ')' opt_alias_clause_for_join_using  */
#line 13605 "gram.y"
                                {
					(yyval.node) = (Node *) list_make2((yyvsp[-2].list), (yyvsp[0].alias));
				}
#line 46615 "gram.c"
    break;

  case 1821: /* join_qual: ON a_expr  */
#line 13609 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 46623 "gram.c"
    break;

  case 1822: /* relation_expr: qualified_name  */
#line 13617 "gram.y"
                                {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 46634 "gram.c"
    break;

  case 1823: /* relation_expr: extended_relation_expr  */
#line 13624 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
				}
#line 46642 "gram.c"
    break;

  case 1824: /* extended_relation_expr: qualified_name '*'  */
#line 13631 "gram.y"
                                {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 46653 "gram.c"
    break;

  case 1825: /* extended_relation_expr: ONLY qualified_name  */
#line 13638 "gram.y"
                                {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 46664 "gram.c"
    break;

  case 1826: /* extended_relation_expr: ONLY '(' qualified_name ')'  */
#line 13645 "gram.y"
                                {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 46675 "gram.c"
    break;

  case 1827: /* relation_expr_list: relation_expr  */
#line 13655 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 46681 "gram.c"
    break;

  case 1828: /* relation_expr_list: relation_expr_list ',' relation_expr  */
#line 13656 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 46687 "gram.c"
    break;

  case 1829: /* relation_expr_opt_alias: relation_expr  */
#line 13670 "gram.y"
                                {
					(yyval.range) = (yyvsp[0].range);
				}
#line 46695 "gram.c"
    break;

  case 1830: /* relation_expr_opt_alias: relation_expr ColId  */
#line 13674 "gram.y"
                                {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 46707 "gram.c"
    break;

  case 1831: /* relation_expr_opt_alias: relation_expr AS ColId  */
#line 13682 "gram.y"
                                {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 46719 "gram.c"
    break;

  case 1832: /* tablesample_clause: TABLESAMPLE func_name '(' expr_list ')' opt_repeatable_clause  */
#line 13696 "gram.y"
                                {
					RangeTableSample *n = makeNode(RangeTableSample);

					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 46734 "gram.c"
    break;

  case 1833: /* opt_repeatable_clause: REPEATABLE '(' a_expr ')'  */
#line 13709 "gram.y"
                                                        { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 46740 "gram.c"
    break;

  case 1834: /* opt_repeatable_clause: %empty  */
#line 13710 "gram.y"
                                                                        { (yyval.node) = NULL; }
#line 46746 "gram.c"
    break;

  case 1835: /* func_table: func_expr_windowless opt_ordinality  */
#line 13726 "gram.y"
                                {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 46761 "gram.c"
    break;

  case 1836: /* func_table: ROWS FROM '(' rowsfrom_list ')' opt_ordinality  */
#line 13737 "gram.y"
                                {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 46776 "gram.c"
    break;

  case 1837: /* rowsfrom_item: func_expr_windowless opt_col_def_list  */
#line 13750 "gram.y"
                                { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 46782 "gram.c"
    break;

  case 1838: /* rowsfrom_list: rowsfrom_item  */
#line 13754 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 46788 "gram.c"
    break;

  case 1839: /* rowsfrom_list: rowsfrom_list ',' rowsfrom_item  */
#line 13755 "gram.y"
                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 46794 "gram.c"
    break;

  case 1840: /* opt_col_def_list: AS '(' TableFuncElementList ')'  */
#line 13758 "gram.y"
                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 46800 "gram.c"
    break;

  case 1841: /* opt_col_def_list: %empty  */
#line 13759 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 46806 "gram.c"
    break;

  case 1842: /* opt_ordinality: WITH_LA ORDINALITY  */
#line 13762 "gram.y"
                                                                        { (yyval.boolean) = true; }
#line 46812 "gram.c"
    break;

  case 1843: /* opt_ordinality: %empty  */
#line 13763 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 46818 "gram.c"
    break;

  case 1844: /* where_clause: WHERE a_expr  */
#line 13768 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 46824 "gram.c"
    break;

  case 1845: /* where_clause: %empty  */
#line 13769 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 46830 "gram.c"
    break;

  case 1846: /* where_or_current_clause: WHERE a_expr  */
#line 13774 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 46836 "gram.c"
    break;

  case 1847: /* where_or_current_clause: WHERE CURRENT_P OF cursor_name  */
#line 13776 "gram.y"
                                {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);

					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 46849 "gram.c"
    break;

  case 1848: /* where_or_current_clause: %empty  */
#line 13784 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 46855 "gram.c"
    break;

  case 1849: /* OptTableFuncElementList: TableFuncElementList  */
#line 13789 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 46861 "gram.c"
    break;

  case 1850: /* OptTableFuncElementList: %empty  */
#line 13790 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 46867 "gram.c"
    break;

  case 1851: /* TableFuncElementList: TableFuncElement  */
#line 13795 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 46875 "gram.c"
    break;

  case 1852: /* TableFuncElementList: TableFuncElementList ',' TableFuncElement  */
#line 13799 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 46883 "gram.c"
    break;

  case 1853: /* TableFuncElement: ColId Typename opt_collate_clause  */
#line 13805 "gram.y"
                                {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 46906 "gram.c"
    break;

  case 1854: /* xmltable: XMLTABLE '(' c_expr xmlexists_argument COLUMNS xmltable_column_list ')'  */
#line 13830 "gram.y"
                                {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 46921 "gram.c"
    break;

  case 1855: /* xmltable: XMLTABLE '(' XMLNAMESPACES '(' xml_namespace_list ')' ',' c_expr xmlexists_argument COLUMNS xmltable_column_list ')'  */
#line 13842 "gram.y"
                                {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *) n;
				}
#line 46936 "gram.c"
    break;

  case 1856: /* xmltable_column_list: xmltable_column_el  */
#line 13854 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46942 "gram.c"
    break;

  case 1857: /* xmltable_column_list: xmltable_column_list ',' xmltable_column_el  */
#line 13855 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 46948 "gram.c"
    break;

  case 1858: /* xmltable_column_el: ColId Typename  */
#line 13860 "gram.y"
                                {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 46966 "gram.c"
    break;

  case 1859: /* xmltable_column_el: ColId Typename xmltable_column_option_list  */
#line 13874 "gram.y"
                                {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);
					ListCell   *option;
					bool		nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = boolVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 47027 "gram.c"
    break;

  case 1860: /* xmltable_column_el: ColId FOR ORDINALITY  */
#line 13931 "gram.y"
                                {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 47042 "gram.c"
    break;

  case 1861: /* xmltable_column_option_list: xmltable_column_option_el  */
#line 13945 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 47048 "gram.c"
    break;

  case 1862: /* xmltable_column_option_list: xmltable_column_option_list xmltable_column_option_el  */
#line 13947 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 47054 "gram.c"
    break;

  case 1863: /* xmltable_column_option_el: IDENT b_expr  */
#line 13952 "gram.y"
                                { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 47060 "gram.c"
    break;

  case 1864: /* xmltable_column_option_el: DEFAULT b_expr  */
#line 13954 "gram.y"
                                { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 47066 "gram.c"
    break;

  case 1865: /* xmltable_column_option_el: NOT NULL_P  */
#line 13956 "gram.y"
                                { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(true), (yylsp[-1])); }
#line 47072 "gram.c"
    break;

  case 1866: /* xmltable_column_option_el: NULL_P  */
#line 13958 "gram.y"
                                { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(false), (yylsp[0])); }
#line 47078 "gram.c"
    break;

  case 1867: /* xmltable_column_option_el: PATH b_expr  */
#line 13960 "gram.y"
                                { (yyval.defelt) = makeDefElem("path", (yyvsp[0].node), (yylsp[-1])); }
#line 47084 "gram.c"
    break;

  case 1868: /* xml_namespace_list: xml_namespace_el  */
#line 13965 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 47090 "gram.c"
    break;

  case 1869: /* xml_namespace_list: xml_namespace_list ',' xml_namespace_el  */
#line 13967 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 47096 "gram.c"
    break;

  case 1870: /* xml_namespace_el: b_expr AS ColLabel  */
#line 13972 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 47108 "gram.c"
    break;

  case 1871: /* xml_namespace_el: DEFAULT b_expr  */
#line 13980 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 47120 "gram.c"
    break;

  case 1872: /* Typename: SimpleTypename opt_array_bounds  */
#line 14000 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 47129 "gram.c"
    break;

  case 1873: /* Typename: SETOF SimpleTypename opt_array_bounds  */
#line 14005 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 47139 "gram.c"
    break;

  case 1874: /* Typename: SimpleTypename ARRAY '[' Iconst ']'  */
#line 14012 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 47148 "gram.c"
    break;

  case 1875: /* Typename: SETOF SimpleTypename ARRAY '[' Iconst ']'  */
#line 14017 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 47158 "gram.c"
    break;

  case 1876: /* Typename: SimpleTypename ARRAY  */
#line 14023 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 47167 "gram.c"
    break;

  case 1877: /* Typename: SETOF SimpleTypename ARRAY  */
#line 14028 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 47177 "gram.c"
    break;

  case 1878: /* opt_array_bounds: opt_array_bounds '[' ']'  */
#line 14037 "gram.y"
                                        {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 47183 "gram.c"
    break;

  case 1879: /* opt_array_bounds: opt_array_bounds '[' Iconst ']'  */
#line 14039 "gram.y"
                                        {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 47189 "gram.c"
    break;

  case 1880: /* opt_array_bounds: %empty  */
#line 14041 "gram.y"
                                        {  (yyval.list) = NIL; }
#line 47195 "gram.c"
    break;

  case 1881: /* SimpleTypename: GenericType  */
#line 14045 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47201 "gram.c"
    break;

  case 1882: /* SimpleTypename: Numeric  */
#line 14046 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47207 "gram.c"
    break;

  case 1883: /* SimpleTypename: Bit  */
#line 14047 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47213 "gram.c"
    break;

  case 1884: /* SimpleTypename: Character  */
#line 14048 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47219 "gram.c"
    break;

  case 1885: /* SimpleTypename: ConstDatetime  */
#line 14049 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47225 "gram.c"
    break;

  case 1886: /* SimpleTypename: ConstInterval opt_interval  */
#line 14051 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 47234 "gram.c"
    break;

  case 1887: /* SimpleTypename: ConstInterval '(' Iconst ')'  */
#line 14056 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 47244 "gram.c"
    break;

  case 1888: /* SimpleTypename: JsonType  */
#line 14061 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47250 "gram.c"
    break;

  case 1889: /* ConstTypename: Numeric  */
#line 14076 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47256 "gram.c"
    break;

  case 1890: /* ConstTypename: ConstBit  */
#line 14077 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47262 "gram.c"
    break;

  case 1891: /* ConstTypename: ConstCharacter  */
#line 14078 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47268 "gram.c"
    break;

  case 1892: /* ConstTypename: ConstDatetime  */
#line 14079 "gram.y"
                                                                                        { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47274 "gram.c"
    break;

  case 1893: /* ConstTypename: JsonType  */
#line 14080 "gram.y"
                                                                                                { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47280 "gram.c"
    break;

  case 1894: /* GenericType: type_function_name opt_type_modifiers  */
#line 14092 "gram.y"
                                {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47290 "gram.c"
    break;

  case 1895: /* GenericType: type_function_name attrs opt_type_modifiers  */
#line 14098 "gram.y"
                                {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 47300 "gram.c"
    break;

  case 1896: /* opt_type_modifiers: '(' expr_list ')'  */
#line 14105 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 47306 "gram.c"
    break;

  case 1897: /* opt_type_modifiers: %empty  */
#line 14106 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 47312 "gram.c"
    break;

  case 1898: /* Numeric: INT_P  */
#line 14113 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47321 "gram.c"
    break;

  case 1899: /* Numeric: INTEGER  */
#line 14118 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47330 "gram.c"
    break;

  case 1900: /* Numeric: SMALLINT  */
#line 14123 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47339 "gram.c"
    break;

  case 1901: /* Numeric: BIGINT  */
#line 14128 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47348 "gram.c"
    break;

  case 1902: /* Numeric: REAL  */
#line 14133 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47357 "gram.c"
    break;

  case 1903: /* Numeric: FLOAT_P opt_float  */
#line 14138 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47366 "gram.c"
    break;

  case 1904: /* Numeric: DOUBLE_P PRECISION  */
#line 14143 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47375 "gram.c"
    break;

  case 1905: /* Numeric: DECIMAL_P opt_type_modifiers  */
#line 14148 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47385 "gram.c"
    break;

  case 1906: /* Numeric: DEC opt_type_modifiers  */
#line 14154 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47395 "gram.c"
    break;

  case 1907: /* Numeric: NUMERIC opt_type_modifiers  */
#line 14160 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47405 "gram.c"
    break;

  case 1908: /* Numeric: BOOLEAN_P  */
#line 14166 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47414 "gram.c"
    break;

  case 1909: /* opt_float: '(' Iconst ')'  */
#line 14173 "gram.y"
                                {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 47439 "gram.c"
    break;

  case 1910: /* opt_float: %empty  */
#line 14194 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 47447 "gram.c"
    break;

  case 1911: /* Bit: BitWithLength  */
#line 14204 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47455 "gram.c"
    break;

  case 1912: /* Bit: BitWithoutLength  */
#line 14208 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47463 "gram.c"
    break;

  case 1913: /* ConstBit: BitWithLength  */
#line 14216 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47471 "gram.c"
    break;

  case 1914: /* ConstBit: BitWithoutLength  */
#line 14220 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 47480 "gram.c"
    break;

  case 1915: /* BitWithLength: BIT opt_varying '(' expr_list ')'  */
#line 14228 "gram.y"
                                {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 47493 "gram.c"
    break;

  case 1916: /* BitWithoutLength: BIT opt_varying  */
#line 14240 "gram.y"
                                {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47511 "gram.c"
    break;

  case 1917: /* Character: CharacterWithLength  */
#line 14261 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47519 "gram.c"
    break;

  case 1918: /* Character: CharacterWithoutLength  */
#line 14265 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47527 "gram.c"
    break;

  case 1919: /* ConstCharacter: CharacterWithLength  */
#line 14271 "gram.y"
                                {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47535 "gram.c"
    break;

  case 1920: /* ConstCharacter: CharacterWithoutLength  */
#line 14275 "gram.y"
                                {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 47550 "gram.c"
    break;

  case 1921: /* CharacterWithLength: character '(' Iconst ')'  */
#line 14288 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 47560 "gram.c"
    break;

  case 1922: /* CharacterWithoutLength: character  */
#line 14296 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47572 "gram.c"
    break;

  case 1923: /* character: CHARACTER opt_varying  */
#line 14306 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47578 "gram.c"
    break;

  case 1924: /* character: CHAR_P opt_varying  */
#line 14308 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47584 "gram.c"
    break;

  case 1925: /* character: VARCHAR  */
#line 14310 "gram.y"
                                                                                { (yyval.str) = "varchar"; }
#line 47590 "gram.c"
    break;

  case 1926: /* character: NATIONAL CHARACTER opt_varying  */
#line 14312 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47596 "gram.c"
    break;

  case 1927: /* character: NATIONAL CHAR_P opt_varying  */
#line 14314 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47602 "gram.c"
    break;

  case 1928: /* character: NCHAR opt_varying  */
#line 14316 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47608 "gram.c"
    break;

  case 1929: /* opt_varying: VARYING  */
#line 14320 "gram.y"
                                                                                                { (yyval.boolean) = true; }
#line 47614 "gram.c"
    break;

  case 1930: /* opt_varying: %empty  */
#line 14321 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 47620 "gram.c"
    break;

  case 1931: /* ConstDatetime: TIMESTAMP '(' Iconst ')' opt_timezone  */
#line 14329 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 47633 "gram.c"
    break;

  case 1932: /* ConstDatetime: TIMESTAMP opt_timezone  */
#line 14338 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47645 "gram.c"
    break;

  case 1933: /* ConstDatetime: TIME '(' Iconst ')' opt_timezone  */
#line 14346 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 47658 "gram.c"
    break;

  case 1934: /* ConstDatetime: TIME opt_timezone  */
#line 14355 "gram.y"
                                {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47670 "gram.c"
    break;

  case 1935: /* ConstInterval: INTERVAL  */
#line 14366 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47679 "gram.c"
    break;

  case 1936: /* opt_timezone: WITH_LA TIME ZONE  */
#line 14373 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 47685 "gram.c"
    break;

  case 1937: /* opt_timezone: WITHOUT_LA TIME ZONE  */
#line 14374 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 47691 "gram.c"
    break;

  case 1938: /* opt_timezone: %empty  */
#line 14375 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 47697 "gram.c"
    break;

  case 1939: /* opt_interval: YEAR_P  */
#line 14380 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 47703 "gram.c"
    break;

  case 1940: /* opt_interval: MONTH_P  */
#line 14382 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 47709 "gram.c"
    break;

  case 1941: /* opt_interval: DAY_P  */
#line 14384 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 47715 "gram.c"
    break;

  case 1942: /* opt_interval: HOUR_P  */
#line 14386 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 47721 "gram.c"
    break;

  case 1943: /* opt_interval: MINUTE_P  */
#line 14388 "gram.y"
                                { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 47727 "gram.c"
    break;

  case 1944: /* opt_interval: interval_second  */
#line 14390 "gram.y"
                                { (yyval.list) = (yyvsp[0].list); }
#line 47733 "gram.c"
    break;

  case 1945: /* opt_interval: YEAR_P TO MONTH_P  */
#line 14392 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 47742 "gram.c"
    break;

  case 1946: /* opt_interval: DAY_P TO HOUR_P  */
#line 14397 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 47751 "gram.c"
    break;

  case 1947: /* opt_interval: DAY_P TO MINUTE_P  */
#line 14402 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 47761 "gram.c"
    break;

  case 1948: /* opt_interval: DAY_P TO interval_second  */
#line 14408 "gram.y"
                                {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 47773 "gram.c"
    break;

  case 1949: /* opt_interval: HOUR_P TO MINUTE_P  */
#line 14416 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 47782 "gram.c"
    break;

  case 1950: /* opt_interval: HOUR_P TO interval_second  */
#line 14421 "gram.y"
                                {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 47793 "gram.c"
    break;

  case 1951: /* opt_interval: MINUTE_P TO interval_second  */
#line 14428 "gram.y"
                                {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 47803 "gram.c"
    break;

  case 1952: /* opt_interval: %empty  */
#line 14434 "gram.y"
                                { (yyval.list) = NIL; }
#line 47809 "gram.c"
    break;

  case 1953: /* interval_second: SECOND_P  */
#line 14439 "gram.y"
                                {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 47817 "gram.c"
    break;

  case 1954: /* interval_second: SECOND_P '(' Iconst ')'  */
#line 14443 "gram.y"
                                {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 47826 "gram.c"
    break;

  case 1955: /* JsonType: JSON  */
#line 14451 "gram.y"
                                {
					(yyval.typnam) = SystemTypeName("json");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47835 "gram.c"
    break;

  case 1956: /* a_expr: c_expr  */
#line 14485 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 47841 "gram.c"
    break;

  case 1957: /* a_expr: a_expr TYPECAST Typename  */
#line 14487 "gram.y"
                                        { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 47847 "gram.c"
    break;

  case 1958: /* a_expr: a_expr COLLATE any_name  */
#line 14489 "gram.y"
                                {
					CollateClause *n = makeNode(CollateClause);

					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47860 "gram.c"
    break;

  case 1959: /* a_expr: a_expr AT TIME ZONE a_expr  */
#line 14498 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 47871 "gram.c"
    break;

  case 1960: /* a_expr: '+' a_expr  */
#line 14514 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47877 "gram.c"
    break;

  case 1961: /* a_expr: '-' a_expr  */
#line 14516 "gram.y"
                                { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 47883 "gram.c"
    break;

  case 1962: /* a_expr: a_expr '+' a_expr  */
#line 14518 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47889 "gram.c"
    break;

  case 1963: /* a_expr: a_expr '-' a_expr  */
#line 14520 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47895 "gram.c"
    break;

  case 1964: /* a_expr: a_expr '*' a_expr  */
#line 14522 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47901 "gram.c"
    break;

  case 1965: /* a_expr: a_expr '/' a_expr  */
#line 14524 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47907 "gram.c"
    break;

  case 1966: /* a_expr: a_expr '%' a_expr  */
#line 14526 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47913 "gram.c"
    break;

  case 1967: /* a_expr: a_expr '^' a_expr  */
#line 14528 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47919 "gram.c"
    break;

  case 1968: /* a_expr: a_expr '<' a_expr  */
#line 14530 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47925 "gram.c"
    break;

  case 1969: /* a_expr: a_expr '>' a_expr  */
#line 14532 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47931 "gram.c"
    break;

  case 1970: /* a_expr: a_expr '=' a_expr  */
#line 14534 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47937 "gram.c"
    break;

  case 1971: /* a_expr: a_expr LESS_EQUALS a_expr  */
#line 14536 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47943 "gram.c"
    break;

  case 1972: /* a_expr: a_expr GREATER_EQUALS a_expr  */
#line 14538 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47949 "gram.c"
    break;

  case 1973: /* a_expr: a_expr NOT_EQUALS a_expr  */
#line 14540 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47955 "gram.c"
    break;

  case 1974: /* a_expr: a_expr qual_Op a_expr  */
#line 14543 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47961 "gram.c"
    break;

  case 1975: /* a_expr: qual_Op a_expr  */
#line 14545 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47967 "gram.c"
    break;

  case 1976: /* a_expr: a_expr AND a_expr  */
#line 14548 "gram.y"
                                { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47973 "gram.c"
    break;

  case 1977: /* a_expr: a_expr OR a_expr  */
#line 14550 "gram.y"
                                { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47979 "gram.c"
    break;

  case 1978: /* a_expr: NOT a_expr  */
#line 14552 "gram.y"
                                { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 47985 "gram.c"
    break;

  case 1979: /* a_expr: NOT_LA a_expr  */
#line 14554 "gram.y"
                                { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 47991 "gram.c"
    break;

  case 1980: /* a_expr: a_expr LIKE a_expr  */
#line 14557 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 48000 "gram.c"
    break;

  case 1981: /* a_expr: a_expr LIKE a_expr ESCAPE a_expr  */
#line 14562 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48013 "gram.c"
    break;

  case 1982: /* a_expr: a_expr NOT_LA LIKE a_expr  */
#line 14571 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 48022 "gram.c"
    break;

  case 1983: /* a_expr: a_expr NOT_LA LIKE a_expr ESCAPE a_expr  */
#line 14576 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48035 "gram.c"
    break;

  case 1984: /* a_expr: a_expr ILIKE a_expr  */
#line 14585 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 48044 "gram.c"
    break;

  case 1985: /* a_expr: a_expr ILIKE a_expr ESCAPE a_expr  */
#line 14590 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48057 "gram.c"
    break;

  case 1986: /* a_expr: a_expr NOT_LA ILIKE a_expr  */
#line 14599 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 48066 "gram.c"
    break;

  case 1987: /* a_expr: a_expr NOT_LA ILIKE a_expr ESCAPE a_expr  */
#line 14604 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48079 "gram.c"
    break;

  case 1988: /* a_expr: a_expr SIMILAR TO a_expr  */
#line 14614 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 48092 "gram.c"
    break;

  case 1989: /* a_expr: a_expr SIMILAR TO a_expr ESCAPE a_expr  */
#line 14623 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 48105 "gram.c"
    break;

  case 1990: /* a_expr: a_expr NOT_LA SIMILAR TO a_expr  */
#line 14632 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 48118 "gram.c"
    break;

  case 1991: /* a_expr: a_expr NOT_LA SIMILAR TO a_expr ESCAPE a_expr  */
#line 14641 "gram.y"
                                {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 48131 "gram.c"
    break;

  case 1992: /* a_expr: a_expr IS NULL_P  */
#line 14660 "gram.y"
                                {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48144 "gram.c"
    break;

  case 1993: /* a_expr: a_expr ISNULL  */
#line 14669 "gram.y"
                                {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48157 "gram.c"
    break;

  case 1994: /* a_expr: a_expr IS NOT NULL_P  */
#line 14678 "gram.y"
                                {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 48170 "gram.c"
    break;

  case 1995: /* a_expr: a_expr NOTNULL  */
#line 14687 "gram.y"
                                {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48183 "gram.c"
    break;

  case 1996: /* a_expr: row OVERLAPS row  */
#line 14696 "gram.y"
                                {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 48204 "gram.c"
    break;

  case 1997: /* a_expr: a_expr IS TRUE_P  */
#line 14713 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48217 "gram.c"
    break;

  case 1998: /* a_expr: a_expr IS NOT TRUE_P  */
#line 14722 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48230 "gram.c"
    break;

  case 1999: /* a_expr: a_expr IS FALSE_P  */
#line 14731 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48243 "gram.c"
    break;

  case 2000: /* a_expr: a_expr IS NOT FALSE_P  */
#line 14740 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48256 "gram.c"
    break;

  case 2001: /* a_expr: a_expr IS UNKNOWN  */
#line 14749 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48269 "gram.c"
    break;

  case 2002: /* a_expr: a_expr IS NOT UNKNOWN  */
#line 14758 "gram.y"
                                {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48282 "gram.c"
    break;

  case 2003: /* a_expr: a_expr IS DISTINCT FROM a_expr  */
#line 14767 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 48290 "gram.c"
    break;

  case 2004: /* a_expr: a_expr IS NOT DISTINCT FROM a_expr  */
#line 14771 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 48298 "gram.c"
    break;

  case 2005: /* a_expr: a_expr BETWEEN opt_asymmetric b_expr AND a_expr  */
#line 14775 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 48310 "gram.c"
    break;

  case 2006: /* a_expr: a_expr NOT_LA BETWEEN opt_asymmetric b_expr AND a_expr  */
#line 14783 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 48322 "gram.c"
    break;

  case 2007: /* a_expr: a_expr BETWEEN SYMMETRIC b_expr AND a_expr  */
#line 14791 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 48334 "gram.c"
    break;

  case 2008: /* a_expr: a_expr NOT_LA BETWEEN SYMMETRIC b_expr AND a_expr  */
#line 14799 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 48346 "gram.c"
    break;

  case 2009: /* a_expr: a_expr IN_P in_expr  */
#line 14807 "gram.y"
                                {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *) n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 48371 "gram.c"
    break;

  case 2010: /* a_expr: a_expr NOT_LA IN_P in_expr  */
#line 14828 "gram.y"
                                {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 48398 "gram.c"
    break;

  case 2011: /* a_expr: a_expr subquery_Op sub_type select_with_parens  */
#line 14851 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 48414 "gram.c"
    break;

  case 2012: /* a_expr: a_expr subquery_Op sub_type '(' a_expr ')'  */
#line 14863 "gram.y"
                                {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 48425 "gram.c"
    break;

  case 2013: /* a_expr: UNIQUE opt_unique_null_treatment select_with_parens  */
#line 14870 "gram.y"
                                {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-2]))));
				}
#line 48445 "gram.c"
    break;

  case 2014: /* a_expr: a_expr IS DOCUMENT_P  */
#line 14886 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 48454 "gram.c"
    break;

  case 2015: /* a_expr: a_expr IS NOT DOCUMENT_P  */
#line 14891 "gram.y"
                                {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 48464 "gram.c"
    break;

  case 2016: /* a_expr: a_expr IS NORMALIZED  */
#line 14897 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 48475 "gram.c"
    break;

  case 2017: /* a_expr: a_expr IS unicode_normal_form NORMALIZED  */
#line 14904 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-2]));
				}
#line 48486 "gram.c"
    break;

  case 2018: /* a_expr: a_expr IS NOT NORMALIZED  */
#line 14911 "gram.y"
                                {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make1((yyvsp[-3].node)),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 48498 "gram.c"
    break;

  case 2019: /* a_expr: a_expr IS NOT unicode_normal_form NORMALIZED  */
#line 14919 "gram.y"
                                {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-3])),
									 (yylsp[-3]));
				}
#line 48510 "gram.c"
    break;

  case 2020: /* a_expr: a_expr IS json_predicate_type_constraint_opt json_key_uniqueness_constraint_opt  */
#line 14929 "gram.y"
                                {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
					(yyval.node) = makeJsonIsPredicate((yyvsp[-3].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-3]));
				}
#line 48519 "gram.c"
    break;

  case 2021: /* a_expr: a_expr IS NOT json_predicate_type_constraint_opt json_key_uniqueness_constraint_opt  */
#line 14949 "gram.y"
                                {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeNotExpr(makeJsonIsPredicate((yyvsp[-4].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-4])), (yylsp[-4]));
				}
#line 48529 "gram.c"
    break;

  case 2022: /* a_expr: DEFAULT  */
#line 14968 "gram.y"
                                {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);

					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48548 "gram.c"
    break;

  case 2023: /* b_expr: c_expr  */
#line 14994 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 48554 "gram.c"
    break;

  case 2024: /* b_expr: b_expr TYPECAST Typename  */
#line 14996 "gram.y"
                                { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 48560 "gram.c"
    break;

  case 2025: /* b_expr: '+' b_expr  */
#line 14998 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48566 "gram.c"
    break;

  case 2026: /* b_expr: '-' b_expr  */
#line 15000 "gram.y"
                                { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 48572 "gram.c"
    break;

  case 2027: /* b_expr: b_expr '+' b_expr  */
#line 15002 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48578 "gram.c"
    break;

  case 2028: /* b_expr: b_expr '-' b_expr  */
#line 15004 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48584 "gram.c"
    break;

  case 2029: /* b_expr: b_expr '*' b_expr  */
#line 15006 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48590 "gram.c"
    break;

  case 2030: /* b_expr: b_expr '/' b_expr  */
#line 15008 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48596 "gram.c"
    break;

  case 2031: /* b_expr: b_expr '%' b_expr  */
#line 15010 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48602 "gram.c"
    break;

  case 2032: /* b_expr: b_expr '^' b_expr  */
#line 15012 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48608 "gram.c"
    break;

  case 2033: /* b_expr: b_expr '<' b_expr  */
#line 15014 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48614 "gram.c"
    break;

  case 2034: /* b_expr: b_expr '>' b_expr  */
#line 15016 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48620 "gram.c"
    break;

  case 2035: /* b_expr: b_expr '=' b_expr  */
#line 15018 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48626 "gram.c"
    break;

  case 2036: /* b_expr: b_expr LESS_EQUALS b_expr  */
#line 15020 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48632 "gram.c"
    break;

  case 2037: /* b_expr: b_expr GREATER_EQUALS b_expr  */
#line 15022 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48638 "gram.c"
    break;

  case 2038: /* b_expr: b_expr NOT_EQUALS b_expr  */
#line 15024 "gram.y"
                                { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48644 "gram.c"
    break;

  case 2039: /* b_expr: b_expr qual_Op b_expr  */
#line 15026 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48650 "gram.c"
    break;

  case 2040: /* b_expr: qual_Op b_expr  */
#line 15028 "gram.y"
                                { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48656 "gram.c"
    break;

  case 2041: /* b_expr: b_expr IS DISTINCT FROM b_expr  */
#line 15030 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 48664 "gram.c"
    break;

  case 2042: /* b_expr: b_expr IS NOT DISTINCT FROM b_expr  */
#line 15034 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 48672 "gram.c"
    break;

  case 2043: /* b_expr: b_expr IS DOCUMENT_P  */
#line 15038 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 48681 "gram.c"
    break;

  case 2044: /* b_expr: b_expr IS NOT DOCUMENT_P  */
#line 15043 "gram.y"
                                {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 48691 "gram.c"
    break;

  case 2045: /* json_predicate_type_constraint_opt: JSON  */
#line 15051 "gram.y"
                                                                                                { (yyval.ival) = JS_TYPE_ANY; }
#line 48697 "gram.c"
    break;

  case 2046: /* json_predicate_type_constraint_opt: JSON VALUE_P  */
#line 15052 "gram.y"
                                                                                        { (yyval.ival) = JS_TYPE_ANY; }
#line 48703 "gram.c"
    break;

  case 2047: /* json_predicate_type_constraint_opt: JSON ARRAY  */
#line 15053 "gram.y"
                                                                                        { (yyval.ival) = JS_TYPE_ARRAY; }
#line 48709 "gram.c"
    break;

  case 2048: /* json_predicate_type_constraint_opt: JSON OBJECT_P  */
#line 15054 "gram.y"
                                                                                        { (yyval.ival) = JS_TYPE_OBJECT; }
#line 48715 "gram.c"
    break;

  case 2049: /* json_predicate_type_constraint_opt: JSON SCALAR  */
#line 15055 "gram.y"
                                                                                        { (yyval.ival) = JS_TYPE_SCALAR; }
#line 48721 "gram.c"
    break;

  case 2050: /* json_key_uniqueness_constraint_opt: WITH_LA_UNIQUE unique_keys  */
#line 15059 "gram.y"
                                                                                { (yyval.boolean) = true; }
#line 48727 "gram.c"
    break;

  case 2051: /* json_key_uniqueness_constraint_opt: WITHOUT unique_keys  */
#line 15060 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 48733 "gram.c"
    break;

  case 2052: /* json_key_uniqueness_constraint_opt: %empty  */
#line 15061 "gram.y"
                                                                { (yyval.boolean) = false; }
#line 48739 "gram.c"
    break;

  case 2055: /* c_expr: columnref  */
#line 15077 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 48745 "gram.c"
    break;

  case 2056: /* c_expr: AexprConst  */
#line 15078 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 48751 "gram.c"
    break;

  case 2057: /* c_expr: PARAM opt_indirection  */
#line 15080 "gram.y"
                                {
					ParamRef   *p = makeNode(ParamRef);

					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 48772 "gram.c"
    break;

  case 2058: /* c_expr: '(' a_expr ')' opt_indirection  */
#line 15097 "gram.y"
                                {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 48789 "gram.c"
    break;

  case 2059: /* c_expr: case_expr  */
#line 15110 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 48795 "gram.c"
    break;

  case 2060: /* c_expr: func_expr  */
#line 15112 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 48801 "gram.c"
    break;

  case 2061: /* c_expr: select_with_parens  */
#line 15114 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48817 "gram.c"
    break;

  case 2062: /* c_expr: select_with_parens indirection  */
#line 15126 "gram.y"
                                {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink	   *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *) n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *) a;
				}
#line 48846 "gram.c"
    break;

  case 2063: /* c_expr: EXISTS select_with_parens  */
#line 15151 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48862 "gram.c"
    break;

  case 2064: /* c_expr: ARRAY select_with_parens  */
#line 15163 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48878 "gram.c"
    break;

  case 2065: /* c_expr: ARRAY array_expr  */
#line 15175 "gram.y"
                                {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));

					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48890 "gram.c"
    break;

  case 2066: /* c_expr: explicit_row  */
#line 15183 "gram.y"
                                {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 48905 "gram.c"
    break;

  case 2067: /* c_expr: implicit_row  */
#line 15194 "gram.y"
                                {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 48920 "gram.c"
    break;

  case 2068: /* c_expr: GROUPING '(' expr_list ')'  */
#line 15205 "gram.y"
                          {
				  GroupingFunc *g = makeNode(GroupingFunc);

				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *) g;
			  }
#line 48932 "gram.c"
    break;

  case 2069: /* func_application: func_name '(' ')'  */
#line 15215 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
				}
#line 48942 "gram.c"
    break;

  case 2070: /* func_application: func_name '(' func_arg_list opt_sort_clause ')'  */
#line 15221 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));

					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48955 "gram.c"
    break;

  case 2071: /* func_application: func_name '(' VARIADIC func_arg_expr opt_sort_clause ')'  */
#line 15230 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48969 "gram.c"
    break;

  case 2072: /* func_application: func_name '(' func_arg_list ',' VARIADIC func_arg_expr opt_sort_clause ')'  */
#line 15240 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-7]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48983 "gram.c"
    break;

  case 2073: /* func_application: func_name '(' ALL func_arg_list opt_sort_clause ')'  */
#line 15250 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *) n;
				}
#line 49000 "gram.c"
    break;

  case 2074: /* func_application: func_name '(' DISTINCT func_arg_list opt_sort_clause ')'  */
#line 15263 "gram.y"
                                {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *) n;
				}
#line 49014 "gram.c"
    break;

  case 2075: /* func_application: func_name '(' '*' ')'  */
#line 15273 "gram.y"
                                {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall   *n = makeFuncCall((yyvsp[-3].list), NIL,
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));

					n->agg_star = true;
					(yyval.node) = (Node *) n;
				}
#line 49037 "gram.c"
    break;

  case 2076: /* func_expr: func_application within_group_clause filter_clause over_clause  */
#line 15304 "gram.y"
                                {
					FuncCall   *n = (FuncCall *) (yyvsp[-3].node);

					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 49077 "gram.c"
    break;

  case 2077: /* func_expr: json_aggregate_func filter_clause over_clause  */
#line 15340 "gram.y"
                                {
					JsonAggConstructor *n = IsA((yyvsp[-2].node), JsonObjectAgg) ?
						((JsonObjectAgg *) (yyvsp[-2].node))->constructor :
						((JsonArrayAgg *) (yyvsp[-2].node))->constructor;

					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) (yyvsp[-2].node);
				}
#line 49091 "gram.c"
    break;

  case 2078: /* func_expr: func_expr_common_subexpr  */
#line 15350 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 49097 "gram.c"
    break;

  case 2079: /* func_expr_windowless: func_application  */
#line 15360 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 49103 "gram.c"
    break;

  case 2080: /* func_expr_windowless: func_expr_common_subexpr  */
#line 15361 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 49109 "gram.c"
    break;

  case 2081: /* func_expr_windowless: json_aggregate_func  */
#line 15362 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 49115 "gram.c"
    break;

  case 2082: /* func_expr_common_subexpr: COLLATION FOR '(' a_expr ')'  */
#line 15370 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49126 "gram.c"
    break;

  case 2083: /* func_expr_common_subexpr: CURRENT_DATE  */
#line 15377 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 49134 "gram.c"
    break;

  case 2084: /* func_expr_common_subexpr: CURRENT_TIME  */
#line 15381 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 49142 "gram.c"
    break;

  case 2085: /* func_expr_common_subexpr: CURRENT_TIME '(' Iconst ')'  */
#line 15385 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49150 "gram.c"
    break;

  case 2086: /* func_expr_common_subexpr: CURRENT_TIMESTAMP  */
#line 15389 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 49158 "gram.c"
    break;

  case 2087: /* func_expr_common_subexpr: CURRENT_TIMESTAMP '(' Iconst ')'  */
#line 15393 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49166 "gram.c"
    break;

  case 2088: /* func_expr_common_subexpr: LOCALTIME  */
#line 15397 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 49174 "gram.c"
    break;

  case 2089: /* func_expr_common_subexpr: LOCALTIME '(' Iconst ')'  */
#line 15401 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49182 "gram.c"
    break;

  case 2090: /* func_expr_common_subexpr: LOCALTIMESTAMP  */
#line 15405 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 49190 "gram.c"
    break;

  case 2091: /* func_expr_common_subexpr: LOCALTIMESTAMP '(' Iconst ')'  */
#line 15409 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 49198 "gram.c"
    break;

  case 2092: /* func_expr_common_subexpr: CURRENT_ROLE  */
#line 15413 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 49206 "gram.c"
    break;

  case 2093: /* func_expr_common_subexpr: CURRENT_USER  */
#line 15417 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 49214 "gram.c"
    break;

  case 2094: /* func_expr_common_subexpr: SESSION_USER  */
#line 15421 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 49222 "gram.c"
    break;

  case 2095: /* func_expr_common_subexpr: USER  */
#line 15425 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 49230 "gram.c"
    break;

  case 2096: /* func_expr_common_subexpr: CURRENT_CATALOG  */
#line 15429 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 49238 "gram.c"
    break;

  case 2097: /* func_expr_common_subexpr: CURRENT_SCHEMA  */
#line 15433 "gram.y"
                                {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 49246 "gram.c"
    break;

  case 2098: /* func_expr_common_subexpr: CAST '(' a_expr AS Typename ')'  */
#line 15437 "gram.y"
                                { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 49252 "gram.c"
    break;

  case 2099: /* func_expr_common_subexpr: EXTRACT '(' extract_list ')'  */
#line 15439 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("extract"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49263 "gram.c"
    break;

  case 2100: /* func_expr_common_subexpr: NORMALIZE '(' a_expr ')'  */
#line 15446 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49274 "gram.c"
    break;

  case 2101: /* func_expr_common_subexpr: NORMALIZE '(' a_expr ',' unicode_normal_form ')'  */
#line 15453 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-5]));
				}
#line 49285 "gram.c"
    break;

  case 2102: /* func_expr_common_subexpr: OVERLAY '(' overlay_list ')'  */
#line 15460 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49296 "gram.c"
    break;

  case 2103: /* func_expr_common_subexpr: OVERLAY '(' func_arg_list_opt ')'  */
#line 15467 "gram.y"
                                {
					/*
					 * allow functions named overlay() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("overlay")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 49311 "gram.c"
    break;

  case 2104: /* func_expr_common_subexpr: POSITION '(' position_list ')'  */
#line 15478 "gram.y"
                                {
					/*
					 * position(A in B) is converted to position(B, A)
					 *
					 * We deliberately don't offer a "plain syntax" option
					 * for position(), because the reversal of the arguments
					 * creates too much risk of confusion.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49329 "gram.c"
    break;

  case 2105: /* func_expr_common_subexpr: SUBSTRING '(' substr_list ')'  */
#line 15492 "gram.y"
                                {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49343 "gram.c"
    break;

  case 2106: /* func_expr_common_subexpr: SUBSTRING '(' func_arg_list_opt ')'  */
#line 15502 "gram.y"
                                {
					/*
					 * allow functions named substring() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("substring")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 49358 "gram.c"
    break;

  case 2107: /* func_expr_common_subexpr: TREAT '(' a_expr AS Typename ')'  */
#line 15513 "gram.y"
                                {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(strVal(llast((yyvsp[-1].typnam)->names))),
											   list_make1((yyvsp[-3].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
				}
#line 49378 "gram.c"
    break;

  case 2108: /* func_expr_common_subexpr: TRIM '(' BOTH trim_list ')'  */
#line 15529 "gram.y"
                                {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49392 "gram.c"
    break;

  case 2109: /* func_expr_common_subexpr: TRIM '(' LEADING trim_list ')'  */
#line 15539 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49403 "gram.c"
    break;

  case 2110: /* func_expr_common_subexpr: TRIM '(' TRAILING trim_list ')'  */
#line 15546 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49414 "gram.c"
    break;

  case 2111: /* func_expr_common_subexpr: TRIM '(' trim_list ')'  */
#line 15553 "gram.y"
                                {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49425 "gram.c"
    break;

  case 2112: /* func_expr_common_subexpr: NULLIF '(' a_expr ',' a_expr ')'  */
#line 15560 "gram.y"
                                {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 49433 "gram.c"
    break;

  case 2113: /* func_expr_common_subexpr: COALESCE '(' expr_list ')'  */
#line 15564 "gram.y"
                                {
					CoalesceExpr *c = makeNode(CoalesceExpr);

					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *) c;
				}
#line 49445 "gram.c"
    break;

  case 2114: /* func_expr_common_subexpr: GREATEST '(' expr_list ')'  */
#line 15572 "gram.y"
                                {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 49458 "gram.c"
    break;

  case 2115: /* func_expr_common_subexpr: LEAST '(' expr_list ')'  */
#line 15581 "gram.y"
                                {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 49471 "gram.c"
    break;

  case 2116: /* func_expr_common_subexpr: XMLCONCAT '(' expr_list ')'  */
#line 15590 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 49479 "gram.c"
    break;

  case 2117: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ')'  */
#line 15594 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 49487 "gram.c"
    break;

  case 2118: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' xml_attributes ')'  */
#line 15598 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 49495 "gram.c"
    break;

  case 2119: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' expr_list ')'  */
#line 15602 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 49503 "gram.c"
    break;

  case 2120: /* func_expr_common_subexpr: XMLELEMENT '(' NAME_P ColLabel ',' xml_attributes ',' expr_list ')'  */
#line 15606 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 49511 "gram.c"
    break;

  case 2121: /* func_expr_common_subexpr: XMLEXISTS '(' c_expr xmlexists_argument ')'  */
#line 15610 "gram.y"
                                {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"),
											   list_make2((yyvsp[-2].node), (yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49524 "gram.c"
    break;

  case 2122: /* func_expr_common_subexpr: XMLFOREST '(' xml_attribute_list ')'  */
#line 15619 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 49532 "gram.c"
    break;

  case 2123: /* func_expr_common_subexpr: XMLPARSE '(' document_or_content a_expr xml_whitespace_option ')'  */
#line 15623 "gram.y"
                                {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));

					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *) x;
				}
#line 49546 "gram.c"
    break;

  case 2124: /* func_expr_common_subexpr: XMLPI '(' NAME_P ColLabel ')'  */
#line 15633 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 49554 "gram.c"
    break;

  case 2125: /* func_expr_common_subexpr: XMLPI '(' NAME_P ColLabel ',' a_expr ')'  */
#line 15637 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 49562 "gram.c"
    break;

  case 2126: /* func_expr_common_subexpr: XMLROOT '(' a_expr ',' xml_root_version opt_xml_root_standalone ')'  */
#line 15641 "gram.y"
                                {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 49571 "gram.c"
    break;

  case 2127: /* func_expr_common_subexpr: XMLSERIALIZE '(' document_or_content a_expr AS SimpleTypename ')'  */
#line 15646 "gram.y"
                                {
					XmlSerialize *n = makeNode(XmlSerialize);

					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 49585 "gram.c"
    break;

  case 2128: /* func_expr_common_subexpr: json_func_expr  */
#line 15656 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 49591 "gram.c"
    break;

  case 2129: /* xml_root_version: VERSION_P a_expr  */
#line 15663 "gram.y"
                                { (yyval.node) = (yyvsp[0].node); }
#line 49597 "gram.c"
    break;

  case 2130: /* xml_root_version: VERSION_P NO VALUE_P  */
#line 15665 "gram.y"
                                { (yyval.node) = makeNullAConst(-1); }
#line 49603 "gram.c"
    break;

  case 2131: /* opt_xml_root_standalone: ',' STANDALONE_P YES_P  */
#line 15669 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 49609 "gram.c"
    break;

  case 2132: /* opt_xml_root_standalone: ',' STANDALONE_P NO  */
#line 15671 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 49615 "gram.c"
    break;

  case 2133: /* opt_xml_root_standalone: ',' STANDALONE_P NO VALUE_P  */
#line 15673 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 49621 "gram.c"
    break;

  case 2134: /* opt_xml_root_standalone: %empty  */
#line 15675 "gram.y"
                                { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 49627 "gram.c"
    break;

  case 2135: /* xml_attributes: XMLATTRIBUTES '(' xml_attribute_list ')'  */
#line 15678 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 49633 "gram.c"
    break;

  case 2136: /* xml_attribute_list: xml_attribute_el  */
#line 15681 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 49639 "gram.c"
    break;

  case 2137: /* xml_attribute_list: xml_attribute_list ',' xml_attribute_el  */
#line 15682 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 49645 "gram.c"
    break;

  case 2138: /* xml_attribute_el: a_expr AS ColLabel  */
#line 15686 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 49657 "gram.c"
    break;

  case 2139: /* xml_attribute_el: a_expr  */
#line 15694 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 49669 "gram.c"
    break;

  case 2140: /* document_or_content: DOCUMENT_P  */
#line 15703 "gram.y"
                                                                        { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 49675 "gram.c"
    break;

  case 2141: /* document_or_content: CONTENT_P  */
#line 15704 "gram.y"
                                                                                                { (yyval.ival) = XMLOPTION_CONTENT; }
#line 49681 "gram.c"
    break;

  case 2142: /* xml_whitespace_option: PRESERVE WHITESPACE_P  */
#line 15707 "gram.y"
                                                        { (yyval.boolean) = true; }
#line 49687 "gram.c"
    break;

  case 2143: /* xml_whitespace_option: STRIP_P WHITESPACE_P  */
#line 15708 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 49693 "gram.c"
    break;

  case 2144: /* xml_whitespace_option: %empty  */
#line 15709 "gram.y"
                                                                                                { (yyval.boolean) = false; }
#line 49699 "gram.c"
    break;

  case 2145: /* xmlexists_argument: PASSING c_expr  */
#line 15715 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49707 "gram.c"
    break;

  case 2146: /* xmlexists_argument: PASSING c_expr xml_passing_mech  */
#line 15719 "gram.y"
                                {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 49715 "gram.c"
    break;

  case 2147: /* xmlexists_argument: PASSING xml_passing_mech c_expr  */
#line 15723 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49723 "gram.c"
    break;

  case 2148: /* xmlexists_argument: PASSING xml_passing_mech c_expr xml_passing_mech  */
#line 15727 "gram.y"
                                {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 49731 "gram.c"
    break;

  case 2151: /* within_group_clause: WITHIN GROUP_P '(' sort_clause ')'  */
#line 15742 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 49737 "gram.c"
    break;

  case 2152: /* within_group_clause: %empty  */
#line 15743 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 49743 "gram.c"
    break;

  case 2153: /* filter_clause: FILTER '(' WHERE a_expr ')'  */
#line 15747 "gram.y"
                                                                                { (yyval.node) = (yyvsp[-1].node); }
#line 49749 "gram.c"
    break;

  case 2154: /* filter_clause: %empty  */
#line 15748 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 49755 "gram.c"
    break;

  case 2155: /* window_clause: WINDOW window_definition_list  */
#line 15756 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 49761 "gram.c"
    break;

  case 2156: /* window_clause: %empty  */
#line 15757 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 49767 "gram.c"
    break;

  case 2157: /* window_definition_list: window_definition  */
#line 15761 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 49773 "gram.c"
    break;

  case 2158: /* window_definition_list: window_definition_list ',' window_definition  */
#line 15763 "gram.y"
                                                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 49779 "gram.c"
    break;

  case 2159: /* window_definition: ColId AS window_specification  */
#line 15768 "gram.y"
                                {
					WindowDef  *n = (yyvsp[0].windef);

					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 49790 "gram.c"
    break;

  case 2160: /* over_clause: OVER window_specification  */
#line 15777 "gram.y"
                                { (yyval.windef) = (yyvsp[0].windef); }
#line 49796 "gram.c"
    break;

  case 2161: /* over_clause: OVER ColId  */
#line 15779 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 49814 "gram.c"
    break;

  case 2162: /* over_clause: %empty  */
#line 15793 "gram.y"
                                { (yyval.windef) = NULL; }
#line 49820 "gram.c"
    break;

  case 2163: /* window_specification: '(' opt_existing_window_name opt_partition_clause opt_sort_clause opt_frame_clause ')'  */
#line 15798 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 49839 "gram.c"
    break;

  case 2164: /* opt_existing_window_name: ColId  */
#line 15824 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 49845 "gram.c"
    break;

  case 2165: /* opt_existing_window_name: %empty  */
#line 15825 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 49851 "gram.c"
    break;

  case 2166: /* opt_partition_clause: PARTITION BY expr_list  */
#line 15828 "gram.y"
                                                        { (yyval.list) = (yyvsp[0].list); }
#line 49857 "gram.c"
    break;

  case 2167: /* opt_partition_clause: %empty  */
#line 15829 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 49863 "gram.c"
    break;

  case 2168: /* opt_frame_clause: RANGE frame_extent opt_window_exclusion_clause  */
#line 15838 "gram.y"
                                {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49875 "gram.c"
    break;

  case 2169: /* opt_frame_clause: ROWS frame_extent opt_window_exclusion_clause  */
#line 15846 "gram.y"
                                {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49887 "gram.c"
    break;

  case 2170: /* opt_frame_clause: GROUPS frame_extent opt_window_exclusion_clause  */
#line 15854 "gram.y"
                                {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49899 "gram.c"
    break;

  case 2171: /* opt_frame_clause: %empty  */
#line 15862 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49912 "gram.c"
    break;

  case 2172: /* frame_extent: frame_bound  */
#line 15873 "gram.y"
                                {
					WindowDef  *n = (yyvsp[0].windef);

					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 49934 "gram.c"
    break;

  case 2173: /* frame_extent: BETWEEN frame_bound AND frame_bound  */
#line 15891 "gram.y"
                                {
					WindowDef  *n1 = (yyvsp[-2].windef);
					WindowDef  *n2 = (yyvsp[0].windef);

					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 49976 "gram.c"
    break;

  case 2174: /* frame_bound: UNBOUNDED PRECEDING  */
#line 15937 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49989 "gram.c"
    break;

  case 2175: /* frame_bound: UNBOUNDED FOLLOWING  */
#line 15946 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50002 "gram.c"
    break;

  case 2176: /* frame_bound: CURRENT_P ROW  */
#line 15955 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50015 "gram.c"
    break;

  case 2177: /* frame_bound: a_expr PRECEDING  */
#line 15964 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50028 "gram.c"
    break;

  case 2178: /* frame_bound: a_expr FOLLOWING  */
#line 15973 "gram.y"
                                {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 50041 "gram.c"
    break;

  case 2179: /* opt_window_exclusion_clause: EXCLUDE CURRENT_P ROW  */
#line 15984 "gram.y"
                                                { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 50047 "gram.c"
    break;

  case 2180: /* opt_window_exclusion_clause: EXCLUDE GROUP_P  */
#line 15985 "gram.y"
                                                        { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 50053 "gram.c"
    break;

  case 2181: /* opt_window_exclusion_clause: EXCLUDE TIES  */
#line 15986 "gram.y"
                                                        { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 50059 "gram.c"
    break;

  case 2182: /* opt_window_exclusion_clause: EXCLUDE NO OTHERS  */
#line 15987 "gram.y"
                                                        { (yyval.ival) = 0; }
#line 50065 "gram.c"
    break;

  case 2183: /* opt_window_exclusion_clause: %empty  */
#line 15988 "gram.y"
                                                                { (yyval.ival) = 0; }
#line 50071 "gram.c"
    break;

  case 2184: /* row: ROW '(' expr_list ')'  */
#line 16002 "gram.y"
                                                                        { (yyval.list) = (yyvsp[-1].list); }
#line 50077 "gram.c"
    break;

  case 2185: /* row: ROW '(' ')'  */
#line 16003 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 50083 "gram.c"
    break;

  case 2186: /* row: '(' expr_list ',' a_expr ')'  */
#line 16004 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 50089 "gram.c"
    break;

  case 2187: /* explicit_row: ROW '(' expr_list ')'  */
#line 16007 "gram.y"
                                                                { (yyval.list) = (yyvsp[-1].list); }
#line 50095 "gram.c"
    break;

  case 2188: /* explicit_row: ROW '(' ')'  */
#line 16008 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 50101 "gram.c"
    break;

  case 2189: /* implicit_row: '(' expr_list ',' a_expr ')'  */
#line 16011 "gram.y"
                                                        { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 50107 "gram.c"
    break;

  case 2190: /* sub_type: ANY  */
#line 16014 "gram.y"
                                                                                                { (yyval.ival) = ANY_SUBLINK; }
#line 50113 "gram.c"
    break;

  case 2191: /* sub_type: SOME  */
#line 16015 "gram.y"
                                                                                                { (yyval.ival) = ANY_SUBLINK; }
#line 50119 "gram.c"
    break;

  case 2192: /* sub_type: ALL  */
#line 16016 "gram.y"
                                                                                                { (yyval.ival) = ALL_SUBLINK; }
#line 50125 "gram.c"
    break;

  case 2193: /* all_Op: Op  */
#line 16019 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 50131 "gram.c"
    break;

  case 2194: /* all_Op: MathOp  */
#line 16020 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 50137 "gram.c"
    break;

  case 2195: /* MathOp: '+'  */
#line 16023 "gram.y"
                                                                                        { (yyval.str) = "+"; }
#line 50143 "gram.c"
    break;

  case 2196: /* MathOp: '-'  */
#line 16024 "gram.y"
                                                                                                { (yyval.str) = "-"; }
#line 50149 "gram.c"
    break;

  case 2197: /* MathOp: '*'  */
#line 16025 "gram.y"
                                                                                                { (yyval.str) = "*"; }
#line 50155 "gram.c"
    break;

  case 2198: /* MathOp: '/'  */
#line 16026 "gram.y"
                                                                                                { (yyval.str) = "/"; }
#line 50161 "gram.c"
    break;

  case 2199: /* MathOp: '%'  */
#line 16027 "gram.y"
                                                                                                { (yyval.str) = "%"; }
#line 50167 "gram.c"
    break;

  case 2200: /* MathOp: '^'  */
#line 16028 "gram.y"
                                                                                                { (yyval.str) = "^"; }
#line 50173 "gram.c"
    break;

  case 2201: /* MathOp: '<'  */
#line 16029 "gram.y"
                                                                                                { (yyval.str) = "<"; }
#line 50179 "gram.c"
    break;

  case 2202: /* MathOp: '>'  */
#line 16030 "gram.y"
                                                                                                { (yyval.str) = ">"; }
#line 50185 "gram.c"
    break;

  case 2203: /* MathOp: '='  */
#line 16031 "gram.y"
                                                                                                { (yyval.str) = "="; }
#line 50191 "gram.c"
    break;

  case 2204: /* MathOp: LESS_EQUALS  */
#line 16032 "gram.y"
                                                                                        { (yyval.str) = "<="; }
#line 50197 "gram.c"
    break;

  case 2205: /* MathOp: GREATER_EQUALS  */
#line 16033 "gram.y"
                                                                                        { (yyval.str) = ">="; }
#line 50203 "gram.c"
    break;

  case 2206: /* MathOp: NOT_EQUALS  */
#line 16034 "gram.y"
                                                                                        { (yyval.str) = "<>"; }
#line 50209 "gram.c"
    break;

  case 2207: /* qual_Op: Op  */
#line 16038 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50215 "gram.c"
    break;

  case 2208: /* qual_Op: OPERATOR '(' any_operator ')'  */
#line 16040 "gram.y"
                                        { (yyval.list) = (yyvsp[-1].list); }
#line 50221 "gram.c"
    break;

  case 2209: /* qual_all_Op: all_Op  */
#line 16045 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50227 "gram.c"
    break;

  case 2210: /* qual_all_Op: OPERATOR '(' any_operator ')'  */
#line 16047 "gram.y"
                                        { (yyval.list) = (yyvsp[-1].list); }
#line 50233 "gram.c"
    break;

  case 2211: /* subquery_Op: all_Op  */
#line 16052 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50239 "gram.c"
    break;

  case 2212: /* subquery_Op: OPERATOR '(' any_operator ')'  */
#line 16054 "gram.y"
                                        { (yyval.list) = (yyvsp[-1].list); }
#line 50245 "gram.c"
    break;

  case 2213: /* subquery_Op: LIKE  */
#line 16056 "gram.y"
                                        { (yyval.list) = list_make1(makeString("~~")); }
#line 50251 "gram.c"
    break;

  case 2214: /* subquery_Op: NOT_LA LIKE  */
#line 16058 "gram.y"
                                        { (yyval.list) = list_make1(makeString("!~~")); }
#line 50257 "gram.c"
    break;

  case 2215: /* subquery_Op: ILIKE  */
#line 16060 "gram.y"
                                        { (yyval.list) = list_make1(makeString("~~*")); }
#line 50263 "gram.c"
    break;

  case 2216: /* subquery_Op: NOT_LA ILIKE  */
#line 16062 "gram.y"
                                        { (yyval.list) = list_make1(makeString("!~~*")); }
#line 50269 "gram.c"
    break;

  case 2217: /* expr_list: a_expr  */
#line 16074 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 50277 "gram.c"
    break;

  case 2218: /* expr_list: expr_list ',' a_expr  */
#line 16078 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 50285 "gram.c"
    break;

  case 2219: /* func_arg_list: func_arg_expr  */
#line 16085 "gram.y"
                                {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 50293 "gram.c"
    break;

  case 2220: /* func_arg_list: func_arg_list ',' func_arg_expr  */
#line 16089 "gram.y"
                                {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 50301 "gram.c"
    break;

  case 2221: /* func_arg_expr: a_expr  */
#line 16095 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50309 "gram.c"
    break;

  case 2222: /* func_arg_expr: param_name COLON_EQUALS a_expr  */
#line 16099 "gram.y"
                                {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 50323 "gram.c"
    break;

  case 2223: /* func_arg_expr: param_name EQUALS_GREATER a_expr  */
#line 16109 "gram.y"
                                {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 50337 "gram.c"
    break;

  case 2224: /* func_arg_list_opt: func_arg_list  */
#line 16120 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 50343 "gram.c"
    break;

  case 2225: /* func_arg_list_opt: %empty  */
#line 16121 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 50349 "gram.c"
    break;

  case 2226: /* type_list: Typename  */
#line 16124 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 50355 "gram.c"
    break;

  case 2227: /* type_list: type_list ',' Typename  */
#line 16125 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 50361 "gram.c"
    break;

  case 2228: /* array_expr: '[' expr_list ']'  */
#line 16129 "gram.y"
                                {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 50369 "gram.c"
    break;

  case 2229: /* array_expr: '[' array_expr_list ']'  */
#line 16133 "gram.y"
                                {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 50377 "gram.c"
    break;

  case 2230: /* array_expr: '[' ']'  */
#line 16137 "gram.y"
                                {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 50385 "gram.c"
    break;

  case 2231: /* array_expr_list: array_expr  */
#line 16142 "gram.y"
                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50391 "gram.c"
    break;

  case 2232: /* array_expr_list: array_expr_list ',' array_expr  */
#line 16143 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 50397 "gram.c"
    break;

  case 2233: /* extract_list: extract_arg FROM a_expr  */
#line 16149 "gram.y"
                                {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 50405 "gram.c"
    break;

  case 2234: /* extract_arg: IDENT  */
#line 16158 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 50411 "gram.c"
    break;

  case 2235: /* extract_arg: YEAR_P  */
#line 16159 "gram.y"
                                                                                                { (yyval.str) = "year"; }
#line 50417 "gram.c"
    break;

  case 2236: /* extract_arg: MONTH_P  */
#line 16160 "gram.y"
                                                                                                { (yyval.str) = "month"; }
#line 50423 "gram.c"
    break;

  case 2237: /* extract_arg: DAY_P  */
#line 16161 "gram.y"
                                                                                                { (yyval.str) = "day"; }
#line 50429 "gram.c"
    break;

  case 2238: /* extract_arg: HOUR_P  */
#line 16162 "gram.y"
                                                                                                { (yyval.str) = "hour"; }
#line 50435 "gram.c"
    break;

  case 2239: /* extract_arg: MINUTE_P  */
#line 16163 "gram.y"
                                                                                                { (yyval.str) = "minute"; }
#line 50441 "gram.c"
    break;

  case 2240: /* extract_arg: SECOND_P  */
#line 16164 "gram.y"
                                                                                                { (yyval.str) = "second"; }
#line 50447 "gram.c"
    break;

  case 2241: /* extract_arg: Sconst  */
#line 16165 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 50453 "gram.c"
    break;

  case 2242: /* unicode_normal_form: NFC  */
#line 16169 "gram.y"
                                                                                                        { (yyval.str) = "NFC"; }
#line 50459 "gram.c"
    break;

  case 2243: /* unicode_normal_form: NFD  */
#line 16170 "gram.y"
                                                                                                { (yyval.str) = "NFD"; }
#line 50465 "gram.c"
    break;

  case 2244: /* unicode_normal_form: NFKC  */
#line 16171 "gram.y"
                                                                                                { (yyval.str) = "NFKC"; }
#line 50471 "gram.c"
    break;

  case 2245: /* unicode_normal_form: NFKD  */
#line 16172 "gram.y"
                                                                                                { (yyval.str) = "NFKD"; }
#line 50477 "gram.c"
    break;

  case 2246: /* overlay_list: a_expr PLACING a_expr FROM a_expr FOR a_expr  */
#line 16178 "gram.y"
                                {
					/* overlay(A PLACING B FROM C FOR D) is converted to overlay(A, B, C, D) */
					(yyval.list) = list_make4((yyvsp[-6].node), (yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50486 "gram.c"
    break;

  case 2247: /* overlay_list: a_expr PLACING a_expr FROM a_expr  */
#line 16183 "gram.y"
                                {
					/* overlay(A PLACING B FROM C) is converted to overlay(A, B, C) */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50495 "gram.c"
    break;

  case 2248: /* position_list: b_expr IN_P b_expr  */
#line 16191 "gram.y"
                                                                                        { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 50501 "gram.c"
    break;

  case 2249: /* substr_list: a_expr FROM a_expr FOR a_expr  */
#line 16213 "gram.y"
                                {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50509 "gram.c"
    break;

  case 2250: /* substr_list: a_expr FOR a_expr FROM a_expr  */
#line 16217 "gram.y"
                                {
					/* not legal per SQL, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[0].node), (yyvsp[-2].node));
				}
#line 50518 "gram.c"
    break;

  case 2251: /* substr_list: a_expr FROM a_expr  */
#line 16222 "gram.y"
                                {
					/*
					 * Because we aren't restricting data types here, this
					 * syntax can end up resolving to textregexsubstr().
					 * We've historically allowed that to happen, so continue
					 * to accept it.  However, ruleutils.c will reverse-list
					 * such a call in regular function call syntax.
					 */
					(yyval.list) = list_make2((yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50533 "gram.c"
    break;

  case 2252: /* substr_list: a_expr FOR a_expr  */
#line 16233 "gram.y"
                                {
					/* not legal per SQL */

					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-2].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 50554 "gram.c"
    break;

  case 2253: /* substr_list: a_expr SIMILAR a_expr ESCAPE a_expr  */
#line 16250 "gram.y"
                                {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50562 "gram.c"
    break;

  case 2254: /* trim_list: a_expr FROM expr_list  */
#line 16255 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 50568 "gram.c"
    break;

  case 2255: /* trim_list: FROM expr_list  */
#line 16256 "gram.y"
                                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 50574 "gram.c"
    break;

  case 2256: /* trim_list: expr_list  */
#line 16257 "gram.y"
                                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 50580 "gram.c"
    break;

  case 2257: /* in_expr: select_with_parens  */
#line 16261 "gram.y"
                                {
					SubLink	   *n = makeNode(SubLink);

					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *) n;
				}
#line 50592 "gram.c"
    break;

  case 2258: /* in_expr: '(' expr_list ')'  */
#line 16268 "gram.y"
                                                                                        { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 50598 "gram.c"
    break;

  case 2259: /* case_expr: CASE case_arg when_clause_list case_default END_P  */
#line 16279 "gram.y"
                                {
					CaseExpr   *c = makeNode(CaseExpr);

					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *) c;
				}
#line 50613 "gram.c"
    break;

  case 2260: /* when_clause_list: when_clause  */
#line 16293 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50619 "gram.c"
    break;

  case 2261: /* when_clause_list: when_clause_list when_clause  */
#line 16294 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 50625 "gram.c"
    break;

  case 2262: /* when_clause: WHEN a_expr THEN a_expr  */
#line 16299 "gram.y"
                                {
					CaseWhen   *w = makeNode(CaseWhen);

					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *) w;
				}
#line 50638 "gram.c"
    break;

  case 2263: /* case_default: ELSE a_expr  */
#line 16310 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 50644 "gram.c"
    break;

  case 2264: /* case_default: %empty  */
#line 16311 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 50650 "gram.c"
    break;

  case 2265: /* case_arg: a_expr  */
#line 16314 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 50656 "gram.c"
    break;

  case 2266: /* case_arg: %empty  */
#line 16315 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 50662 "gram.c"
    break;

  case 2267: /* columnref: ColId  */
#line 16319 "gram.y"
                                {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 50670 "gram.c"
    break;

  case 2268: /* columnref: ColId indirection  */
#line 16323 "gram.y"
                                {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 50678 "gram.c"
    break;

  case 2269: /* indirection_el: '.' attr_name  */
#line 16330 "gram.y"
                                {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 50686 "gram.c"
    break;

  case 2270: /* indirection_el: '.' '*'  */
#line 16334 "gram.y"
                                {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 50694 "gram.c"
    break;

  case 2271: /* indirection_el: '[' a_expr ']'  */
#line 16338 "gram.y"
                                {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 50707 "gram.c"
    break;

  case 2272: /* indirection_el: '[' opt_slice_bound ':' opt_slice_bound ']'  */
#line 16347 "gram.y"
                                {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 50720 "gram.c"
    break;

  case 2273: /* opt_slice_bound: a_expr  */
#line 16358 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 50726 "gram.c"
    break;

  case 2274: /* opt_slice_bound: %empty  */
#line 16359 "gram.y"
                                                                                                { (yyval.node) = NULL; }
#line 50732 "gram.c"
    break;

  case 2275: /* indirection: indirection_el  */
#line 16363 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50738 "gram.c"
    break;

  case 2276: /* indirection: indirection indirection_el  */
#line 16364 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 50744 "gram.c"
    break;

  case 2277: /* opt_indirection: %empty  */
#line 16368 "gram.y"
                                                                                                { (yyval.list) = NIL; }
#line 50750 "gram.c"
    break;

  case 2278: /* opt_indirection: opt_indirection indirection_el  */
#line 16369 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 50756 "gram.c"
    break;

  case 2288: /* json_parse_expr: JSON '(' json_value_expr json_key_uniqueness_constraint_opt json_returning_clause_opt ')'  */
#line 16390 "gram.y"
                                {
					JsonParseExpr *n = makeNode(JsonParseExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-3].node);
					n->unique_keys = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 50770 "gram.c"
    break;

  case 2289: /* json_scalar_expr: JSON_SCALAR '(' a_expr json_returning_clause_opt ')'  */
#line 16403 "gram.y"
                                {
					JsonScalarExpr *n = makeNode(JsonScalarExpr);

					n->expr = (Expr *) (yyvsp[-2].node);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 50783 "gram.c"
    break;

  case 2290: /* json_serialize_expr: JSON_SERIALIZE '(' json_value_expr json_output_clause_opt ')'  */
#line 16415 "gram.y"
                                {
					JsonSerializeExpr *n = makeNode(JsonSerializeExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 50796 "gram.c"
    break;

  case 2291: /* json_value_func_expr: JSON_VALUE '(' json_api_common_syntax json_returning_clause_opt json_value_on_behavior_clause_opt ')'  */
#line 16431 "gram.y"
                                {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_VALUE_OP;
					n->common = (JsonCommon *) (yyvsp[-3].node);
					n->output = (JsonOutput *) (yyvsp[-2].node);
					n->on_empty = (yyvsp[-1].on_behavior).on_empty;
					n->on_error = (yyvsp[-1].on_behavior).on_error;
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 50812 "gram.c"
    break;

  case 2292: /* json_api_common_syntax: json_context_item ',' json_path_specification json_as_path_name_clause_opt json_passing_clause_opt  */
#line 16448 "gram.y"
                                {
					JsonCommon *n = makeNode(JsonCommon);

					n->expr = (JsonValueExpr *) (yyvsp[-4].node);
					n->pathspec = (yyvsp[-2].node);
					n->pathname = (yyvsp[-1].str);
					n->passing = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 50827 "gram.c"
    break;

  case 2293: /* json_context_item: json_value_expr  */
#line 16461 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 50833 "gram.c"
    break;

  case 2294: /* json_path_specification: a_expr  */
#line 16465 "gram.y"
                                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 50839 "gram.c"
    break;

  case 2295: /* json_as_path_name_clause_opt: AS json_table_path_name  */
#line 16469 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 50845 "gram.c"
    break;

  case 2296: /* json_as_path_name_clause_opt: %empty  */
#line 16470 "gram.y"
                                                                                        { (yyval.str) = NULL; }
#line 50851 "gram.c"
    break;

  case 2297: /* json_table_path_name: name  */
#line 16474 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 50857 "gram.c"
    break;

  case 2298: /* json_passing_clause_opt: PASSING json_arguments  */
#line 16478 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 50863 "gram.c"
    break;

  case 2299: /* json_passing_clause_opt: %empty  */
#line 16479 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 50869 "gram.c"
    break;

  case 2300: /* json_arguments: json_argument  */
#line 16483 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50875 "gram.c"
    break;

  case 2301: /* json_arguments: json_arguments ',' json_argument  */
#line 16484 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 50881 "gram.c"
    break;

  case 2302: /* json_argument: json_value_expr AS ColLabel  */
#line 16489 "gram.y"
                        {
				JsonArgument *n = makeNode(JsonArgument);

				n->val = (JsonValueExpr *) (yyvsp[-2].node);
				n->name = (yyvsp[0].str);
				(yyval.node) = (Node *) n;
			}
#line 50893 "gram.c"
    break;

  case 2303: /* json_value_expr: a_expr json_format_clause_opt  */
#line 16500 "gram.y"
                        {
				(yyval.node) = (Node *) makeJsonValueExpr((Expr *) (yyvsp[-1].node), castNode(JsonFormat, (yyvsp[0].node)));
			}
#line 50901 "gram.c"
    break;

  case 2304: /* json_format_clause_opt: FORMAT json_representation  */
#line 16507 "gram.y"
                                {
					(yyval.node) = (yyvsp[0].node);
					castNode(JsonFormat, (yyval.node))->location = (yylsp[-1]);
				}
#line 50910 "gram.c"
    break;

  case 2305: /* json_format_clause_opt: %empty  */
#line 16512 "gram.y"
                                {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
				}
#line 50918 "gram.c"
    break;

  case 2306: /* json_representation: JSON json_encoding_clause_opt  */
#line 16519 "gram.y"
                                {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, (yyvsp[0].ival), (yylsp[-1]));
				}
#line 50926 "gram.c"
    break;

  case 2307: /* json_encoding_clause_opt: ENCODING json_encoding  */
#line 16526 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[0].ival); }
#line 50932 "gram.c"
    break;

  case 2308: /* json_encoding_clause_opt: %empty  */
#line 16527 "gram.y"
                                                                                        { (yyval.ival) = JS_ENC_DEFAULT; }
#line 50938 "gram.c"
    break;

  case 2309: /* json_encoding: name  */
#line 16531 "gram.y"
                                                                                                { (yyval.ival) = makeJsonEncoding((yyvsp[0].str)); }
#line 50944 "gram.c"
    break;

  case 2310: /* json_behavior_error: ERROR_P  */
#line 16535 "gram.y"
                                        { (yyval.jsbehavior) = makeJsonBehavior(JSON_BEHAVIOR_ERROR, NULL); }
#line 50950 "gram.c"
    break;

  case 2311: /* json_behavior_null: NULL_P  */
#line 16539 "gram.y"
                                        { (yyval.jsbehavior) = makeJsonBehavior(JSON_BEHAVIOR_NULL, NULL); }
#line 50956 "gram.c"
    break;

  case 2312: /* json_behavior_true: TRUE_P  */
#line 16543 "gram.y"
                                        { (yyval.jsbehavior) = makeJsonBehavior(JSON_BEHAVIOR_TRUE, NULL); }
#line 50962 "gram.c"
    break;

  case 2313: /* json_behavior_false: FALSE_P  */
#line 16547 "gram.y"
                                        { (yyval.jsbehavior) = makeJsonBehavior(JSON_BEHAVIOR_FALSE, NULL); }
#line 50968 "gram.c"
    break;

  case 2314: /* json_behavior_unknown: UNKNOWN  */
#line 16551 "gram.y"
                                        { (yyval.jsbehavior) = makeJsonBehavior(JSON_BEHAVIOR_UNKNOWN, NULL); }
#line 50974 "gram.c"
    break;

  case 2315: /* json_behavior_empty: EMPTY_P  */
#line 16555 "gram.y"
                                        { (yyval.jsbehavior) = makeJsonBehavior(JSON_BEHAVIOR_EMPTY_OBJECT, NULL); }
#line 50980 "gram.c"
    break;

  case 2316: /* json_behavior_empty_array: EMPTY_P ARRAY  */
#line 16559 "gram.y"
                                        { (yyval.jsbehavior) = makeJsonBehavior(JSON_BEHAVIOR_EMPTY_ARRAY, NULL); }
#line 50986 "gram.c"
    break;

  case 2317: /* json_behavior_empty_array: EMPTY_P  */
#line 16561 "gram.y"
                                                { (yyval.jsbehavior) = makeJsonBehavior(JSON_BEHAVIOR_EMPTY_ARRAY, NULL); }
#line 50992 "gram.c"
    break;

  case 2318: /* json_behavior_empty_object: EMPTY_P OBJECT_P  */
#line 16565 "gram.y"
                                                { (yyval.jsbehavior) = makeJsonBehavior(JSON_BEHAVIOR_EMPTY_OBJECT, NULL); }
#line 50998 "gram.c"
    break;

  case 2319: /* json_behavior_default: DEFAULT a_expr  */
#line 16569 "gram.y"
                                        { (yyval.jsbehavior) = makeJsonBehavior(JSON_BEHAVIOR_DEFAULT, (yyvsp[0].node)); }
#line 51004 "gram.c"
    break;

  case 2323: /* json_value_on_behavior_clause_opt: json_value_behavior ON EMPTY_P  */
#line 16581 "gram.y"
                                                                        { (yyval.on_behavior).on_empty = (yyvsp[-2].jsbehavior); (yyval.on_behavior).on_error = NULL; }
#line 51010 "gram.c"
    break;

  case 2324: /* json_value_on_behavior_clause_opt: json_value_behavior ON EMPTY_P json_value_behavior ON ERROR_P  */
#line 16583 "gram.y"
                                                                        { (yyval.on_behavior).on_empty = (yyvsp[-5].jsbehavior); (yyval.on_behavior).on_error = (yyvsp[-2].jsbehavior); }
#line 51016 "gram.c"
    break;

  case 2325: /* json_value_on_behavior_clause_opt: json_value_behavior ON ERROR_P  */
#line 16585 "gram.y"
                                                                        { (yyval.on_behavior).on_empty = NULL; (yyval.on_behavior).on_error = (yyvsp[-2].jsbehavior); }
#line 51022 "gram.c"
    break;

  case 2326: /* json_value_on_behavior_clause_opt: %empty  */
#line 16587 "gram.y"
                                                                        { (yyval.on_behavior).on_empty = NULL; (yyval.on_behavior).on_error = NULL; }
#line 51028 "gram.c"
    break;

  case 2327: /* json_query_expr: JSON_QUERY '(' json_api_common_syntax json_output_clause_opt json_wrapper_clause_opt json_quotes_clause_opt json_query_on_behavior_clause_opt ')'  */
#line 16598 "gram.y"
                                {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_QUERY_OP;
					n->common = (JsonCommon *) (yyvsp[-5].node);
					n->output = (JsonOutput *) (yyvsp[-4].node);
					n->wrapper = (yyvsp[-3].ival);
					if (n->wrapper != JSW_NONE && (yyvsp[-2].js_quotes) != JS_QUOTES_UNSPEC)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("SQL/JSON QUOTES behavior must not be specified when WITH WRAPPER is used"),
								 parser_errposition((yylsp[-2]))));
					n->omit_quotes = (yyvsp[-2].js_quotes) == JS_QUOTES_OMIT;
					n->on_empty = (yyvsp[-1].on_behavior).on_empty;
					n->on_error = (yyvsp[-1].on_behavior).on_error;
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 51051 "gram.c"
    break;

  case 2328: /* json_wrapper_clause_opt: json_wrapper_behavior WRAPPER  */
#line 16619 "gram.y"
                                                                        { (yyval.ival) = (yyvsp[-1].ival); }
#line 51057 "gram.c"
    break;

  case 2329: /* json_wrapper_clause_opt: %empty  */
#line 16620 "gram.y"
                                                                                        { (yyval.ival) = 0; }
#line 51063 "gram.c"
    break;

  case 2330: /* json_wrapper_behavior: WITHOUT array_opt  */
#line 16624 "gram.y"
                                                                                        { (yyval.ival) = JSW_NONE; }
#line 51069 "gram.c"
    break;

  case 2331: /* json_wrapper_behavior: WITH json_conditional_or_unconditional_opt array_opt  */
#line 16625 "gram.y"
                                                                               { (yyval.ival) = (yyvsp[-1].ival); }
#line 51075 "gram.c"
    break;

  case 2332: /* array_opt: ARRAY  */
#line 16629 "gram.y"
                                                                                                { }
#line 51081 "gram.c"
    break;

  case 2333: /* array_opt: %empty  */
#line 16630 "gram.y"
                                                                                        { }
#line 51087 "gram.c"
    break;

  case 2334: /* json_conditional_or_unconditional_opt: CONDITIONAL  */
#line 16634 "gram.y"
                                                                                                { (yyval.ival) = JSW_CONDITIONAL; }
#line 51093 "gram.c"
    break;

  case 2335: /* json_conditional_or_unconditional_opt: UNCONDITIONAL  */
#line 16635 "gram.y"
                                                                                        { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51099 "gram.c"
    break;

  case 2336: /* json_conditional_or_unconditional_opt: %empty  */
#line 16636 "gram.y"
                                                                                        { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 51105 "gram.c"
    break;

  case 2337: /* json_quotes_clause_opt: json_quotes_behavior QUOTES json_on_scalar_string_opt  */
#line 16640 "gram.y"
                                                                              { (yyval.js_quotes) = (yyvsp[-2].js_quotes); }
#line 51111 "gram.c"
    break;

  case 2338: /* json_quotes_clause_opt: %empty  */
#line 16641 "gram.y"
                                                                                        { (yyval.js_quotes) = JS_QUOTES_UNSPEC; }
#line 51117 "gram.c"
    break;

  case 2339: /* json_quotes_behavior: KEEP  */
#line 16645 "gram.y"
                                                                                                { (yyval.js_quotes) = JS_QUOTES_KEEP; }
#line 51123 "gram.c"
    break;

  case 2340: /* json_quotes_behavior: OMIT  */
#line 16646 "gram.y"
                                                                                                { (yyval.js_quotes) = JS_QUOTES_OMIT; }
#line 51129 "gram.c"
    break;

  case 2341: /* json_on_scalar_string_opt: ON SCALAR STRING  */
#line 16650 "gram.y"
                                                                                        { }
#line 51135 "gram.c"
    break;

  case 2342: /* json_on_scalar_string_opt: %empty  */
#line 16651 "gram.y"
                                                                                        { }
#line 51141 "gram.c"
    break;

  case 2348: /* json_query_on_behavior_clause_opt: json_query_behavior ON EMPTY_P  */
#line 16664 "gram.y"
                                                                        { (yyval.on_behavior).on_empty = (yyvsp[-2].jsbehavior); (yyval.on_behavior).on_error = NULL; }
#line 51147 "gram.c"
    break;

  case 2349: /* json_query_on_behavior_clause_opt: json_query_behavior ON EMPTY_P json_query_behavior ON ERROR_P  */
#line 16666 "gram.y"
                                                                        { (yyval.on_behavior).on_empty = (yyvsp[-5].jsbehavior); (yyval.on_behavior).on_error = (yyvsp[-2].jsbehavior); }
#line 51153 "gram.c"
    break;

  case 2350: /* json_query_on_behavior_clause_opt: json_query_behavior ON ERROR_P  */
#line 16668 "gram.y"
                                                                        { (yyval.on_behavior).on_empty = NULL; (yyval.on_behavior).on_error = (yyvsp[-2].jsbehavior); }
#line 51159 "gram.c"
    break;

  case 2351: /* json_query_on_behavior_clause_opt: %empty  */
#line 16670 "gram.y"
                                                                        { (yyval.on_behavior).on_empty = NULL; (yyval.on_behavior).on_error = NULL; }
#line 51165 "gram.c"
    break;

  case 2352: /* json_table: JSON_TABLE '(' json_api_common_syntax json_table_columns_clause json_table_plan_clause_opt json_table_error_clause_opt ')'  */
#line 16680 "gram.y"
                                {
					JsonTable *n = makeNode(JsonTable);

					n->common = (JsonCommon *) (yyvsp[-4].node);
					n->columns = (yyvsp[-3].list);
					n->plan = (JsonTablePlan *) (yyvsp[-2].node);
					n->on_error = (yyvsp[-1].jsbehavior);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 51180 "gram.c"
    break;

  case 2353: /* json_table_columns_clause: COLUMNS '(' json_table_column_definition_list ')'  */
#line 16693 "gram.y"
                                                                              { (yyval.list) = (yyvsp[-1].list); }
#line 51186 "gram.c"
    break;

  case 2354: /* json_table_column_definition_list: json_table_column_definition  */
#line 16698 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51192 "gram.c"
    break;

  case 2355: /* json_table_column_definition_list: json_table_column_definition_list ',' json_table_column_definition  */
#line 16700 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51198 "gram.c"
    break;

  case 2361: /* json_table_ordinality_column_definition: ColId FOR ORDINALITY  */
#line 16713 "gram.y"
                                {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_FOR_ORDINALITY;
					n->name = (yyvsp[-2].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 51211 "gram.c"
    break;

  case 2362: /* json_table_regular_column_definition: ColId Typename json_table_column_path_specification_clause_opt json_wrapper_clause_opt json_quotes_clause_opt json_value_on_behavior_clause_opt  */
#line 16729 "gram.y"
                                {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_REGULAR;
					n->name = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
					n->wrapper = (yyvsp[-2].ival); /* JSW_NONE */
					n->omit_quotes = (yyvsp[-1].js_quotes); /* false */
					n->pathspec = (yyvsp[-3].str);
					n->on_empty = (yyvsp[0].on_behavior).on_empty;
					n->on_error = (yyvsp[0].on_behavior).on_error;
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 51231 "gram.c"
    break;

  case 2363: /* json_table_exists_column_definition: ColId Typename EXISTS json_table_column_path_specification_clause_opt json_exists_error_clause_opt  */
#line 16750 "gram.y"
                                {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_EXISTS;
					n->name = (yyvsp[-4].str);
					n->typeName = (yyvsp[-3].typnam);
					n->format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
					n->wrapper = JSW_NONE;
					n->omit_quotes = false;
					n->pathspec = (yyvsp[-1].str);
					n->on_empty = NULL;
					n->on_error = (yyvsp[0].jsbehavior);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 51251 "gram.c"
    break;

  case 2366: /* json_table_error_clause_opt: json_table_error_behavior ON ERROR_P  */
#line 16773 "gram.y"
                                                                { (yyval.jsbehavior) = (yyvsp[-2].jsbehavior); }
#line 51257 "gram.c"
    break;

  case 2367: /* json_table_error_clause_opt: %empty  */
#line 16774 "gram.y"
                                                                                        { (yyval.jsbehavior) = NULL; }
#line 51263 "gram.c"
    break;

  case 2368: /* json_table_column_path_specification_clause_opt: PATH Sconst  */
#line 16778 "gram.y"
                                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 51269 "gram.c"
    break;

  case 2369: /* json_table_column_path_specification_clause_opt: %empty  */
#line 16779 "gram.y"
                                                                { (yyval.str) = NULL; }
#line 51275 "gram.c"
    break;

  case 2370: /* json_table_formatted_column_definition: ColId Typename FORMAT json_representation json_table_column_path_specification_clause_opt json_wrapper_clause_opt json_quotes_clause_opt json_query_on_behavior_clause_opt  */
#line 16788 "gram.y"
                                {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_FORMATTED;
					n->name = (yyvsp[-7].str);
					n->typeName = (yyvsp[-6].typnam);
					n->format = castNode(JsonFormat, (yyvsp[-4].node));
					n->pathspec = (yyvsp[-3].str);
					n->wrapper = (yyvsp[-2].ival);
					if (n->wrapper != JSW_NONE && (yyvsp[-1].js_quotes) != JS_QUOTES_UNSPEC)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("SQL/JSON QUOTES behavior must not be specified when WITH WRAPPER is used"),
								 parser_errposition((yylsp[-1]))));
					n->omit_quotes = (yyvsp[-1].js_quotes) == JS_QUOTES_OMIT;
					n->on_empty = (yyvsp[0].on_behavior).on_empty;
					n->on_error = (yyvsp[0].on_behavior).on_error;
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 51300 "gram.c"
    break;

  case 2371: /* json_table_nested_columns: NESTED path_opt Sconst json_as_path_name_clause_opt json_table_columns_clause  */
#line 16814 "gram.y"
                                {
					JsonTableColumn *n = makeNode(JsonTableColumn);

					n->coltype = JTC_NESTED;
					n->pathspec = (yyvsp[-2].str);
					n->pathname = (yyvsp[-1].str);
					n->columns = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 51315 "gram.c"
    break;

  case 2372: /* path_opt: PATH  */
#line 16827 "gram.y"
                                                                                                { }
#line 51321 "gram.c"
    break;

  case 2373: /* path_opt: %empty  */
#line 16828 "gram.y"
                                                                                        { }
#line 51327 "gram.c"
    break;

  case 2374: /* json_table_plan_clause_opt: json_table_specific_plan  */
#line 16832 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 51333 "gram.c"
    break;

  case 2375: /* json_table_plan_clause_opt: json_table_default_plan  */
#line 16833 "gram.y"
                                                                                { (yyval.node) = (yyvsp[0].node); }
#line 51339 "gram.c"
    break;

  case 2376: /* json_table_plan_clause_opt: %empty  */
#line 16834 "gram.y"
                                                                                        { (yyval.node) = NULL; }
#line 51345 "gram.c"
    break;

  case 2377: /* json_table_specific_plan: PLAN '(' json_table_plan ')'  */
#line 16838 "gram.y"
                                                                        { (yyval.node) = (yyvsp[-1].node); }
#line 51351 "gram.c"
    break;

  case 2381: /* json_table_plan_simple: json_table_path_name  */
#line 16849 "gram.y"
                                {
					JsonTablePlan *n = makeNode(JsonTablePlan);

					n->plan_type = JSTP_SIMPLE;
					n->pathname = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 51364 "gram.c"
    break;

  case 2384: /* json_table_plan_outer: json_table_plan_simple OUTER_P json_table_plan_primary  */
#line 16866 "gram.y"
                                { (yyval.node) = makeJsonTableJoinedPlan(JSTPJ_OUTER, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-2])); }
#line 51370 "gram.c"
    break;

  case 2385: /* json_table_plan_inner: json_table_plan_simple INNER_P json_table_plan_primary  */
#line 16871 "gram.y"
                                { (yyval.node) = makeJsonTableJoinedPlan(JSTPJ_INNER, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-2])); }
#line 51376 "gram.c"
    break;

  case 2388: /* json_table_plan_union: json_table_plan_primary UNION json_table_plan_primary  */
#line 16881 "gram.y"
                                { (yyval.node) = makeJsonTableJoinedPlan(JSTPJ_UNION, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-2])); }
#line 51382 "gram.c"
    break;

  case 2389: /* json_table_plan_union: json_table_plan_union UNION json_table_plan_primary  */
#line 16883 "gram.y"
                                { (yyval.node) = makeJsonTableJoinedPlan(JSTPJ_UNION, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-2])); }
#line 51388 "gram.c"
    break;

  case 2390: /* json_table_plan_cross: json_table_plan_primary CROSS json_table_plan_primary  */
#line 16888 "gram.y"
                                { (yyval.node) = makeJsonTableJoinedPlan(JSTPJ_CROSS, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-2])); }
#line 51394 "gram.c"
    break;

  case 2391: /* json_table_plan_cross: json_table_plan_cross CROSS json_table_plan_primary  */
#line 16890 "gram.y"
                                { (yyval.node) = makeJsonTableJoinedPlan(JSTPJ_CROSS, (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-2])); }
#line 51400 "gram.c"
    break;

  case 2392: /* json_table_plan_primary: json_table_plan_simple  */
#line 16894 "gram.y"
                                                                                        { (yyval.node) = (yyvsp[0].node); }
#line 51406 "gram.c"
    break;

  case 2393: /* json_table_plan_primary: '(' json_table_plan ')'  */
#line 16896 "gram.y"
                                {
					castNode(JsonTablePlan, (yyvsp[-1].node))->location = (yylsp[-2]);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 51415 "gram.c"
    break;

  case 2394: /* json_table_default_plan: PLAN DEFAULT '(' json_table_default_plan_choices ')'  */
#line 16904 "gram.y"
                        {
				JsonTablePlan *n = makeNode(JsonTablePlan);

				n->plan_type = JSTP_DEFAULT;
				n->join_type = (yyvsp[-1].ival);
				n->location = (yylsp[-4]);
				(yyval.node) = (Node *) n;
			}
#line 51428 "gram.c"
    break;

  case 2395: /* json_table_default_plan_choices: json_table_default_plan_inner_outer  */
#line 16915 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[0].ival) | JSTPJ_UNION; }
#line 51434 "gram.c"
    break;

  case 2396: /* json_table_default_plan_choices: json_table_default_plan_inner_outer ',' json_table_default_plan_union_cross  */
#line 16917 "gram.y"
                                                                        { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 51440 "gram.c"
    break;

  case 2397: /* json_table_default_plan_choices: json_table_default_plan_union_cross  */
#line 16918 "gram.y"
                                                                        { (yyval.ival) = (yyvsp[0].ival) | JSTPJ_OUTER; }
#line 51446 "gram.c"
    break;

  case 2398: /* json_table_default_plan_choices: json_table_default_plan_union_cross ',' json_table_default_plan_inner_outer  */
#line 16920 "gram.y"
                                                                        { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 51452 "gram.c"
    break;

  case 2399: /* json_table_default_plan_inner_outer: INNER_P  */
#line 16924 "gram.y"
                                                                                                        { (yyval.ival) = JSTPJ_INNER; }
#line 51458 "gram.c"
    break;

  case 2400: /* json_table_default_plan_inner_outer: OUTER_P  */
#line 16925 "gram.y"
                                                                                                        { (yyval.ival) = JSTPJ_OUTER; }
#line 51464 "gram.c"
    break;

  case 2401: /* json_table_default_plan_union_cross: UNION  */
#line 16929 "gram.y"
                                                                                                        { (yyval.ival) = JSTPJ_UNION; }
#line 51470 "gram.c"
    break;

  case 2402: /* json_table_default_plan_union_cross: CROSS  */
#line 16930 "gram.y"
                                                                                                        { (yyval.ival) = JSTPJ_CROSS; }
#line 51476 "gram.c"
    break;

  case 2403: /* json_returning_clause_opt: RETURNING Typename  */
#line 16935 "gram.y"
                                {
					JsonOutput *n = makeNode(JsonOutput);

					n->typeName = (yyvsp[0].typnam);
					n->returning = makeNode(JsonReturning);
					n->returning->format =
						makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, (yylsp[0]));
					(yyval.node) = (Node *) n;
				}
#line 51490 "gram.c"
    break;

  case 2404: /* json_returning_clause_opt: %empty  */
#line 16944 "gram.y"
                                                                                        { (yyval.node) = NULL; }
#line 51496 "gram.c"
    break;

  case 2405: /* json_output_clause_opt: RETURNING Typename json_format_clause_opt  */
#line 16949 "gram.y"
                                {
					JsonOutput *n = makeNode(JsonOutput);

					n->typeName = (yyvsp[-1].typnam);
					n->returning = makeNode(JsonReturning);
					n->returning->format = (JsonFormat *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 51509 "gram.c"
    break;

  case 2406: /* json_output_clause_opt: %empty  */
#line 16957 "gram.y"
                                                                                        { (yyval.node) = NULL; }
#line 51515 "gram.c"
    break;

  case 2407: /* json_exists_predicate: JSON_EXISTS '(' json_api_common_syntax json_returning_clause_opt json_exists_error_clause_opt ')'  */
#line 16966 "gram.y"
                                {
					JsonFuncExpr *p = makeNode(JsonFuncExpr);

					p->op = JSON_EXISTS_OP;
					p->common = (JsonCommon *) (yyvsp[-3].node);
					p->output = (JsonOutput *) (yyvsp[-2].node);
					p->on_error = (yyvsp[-1].jsbehavior);
					p->location = (yylsp[-5]);
					(yyval.node) = (Node *) p;
				}
#line 51530 "gram.c"
    break;

  case 2408: /* json_exists_error_clause_opt: json_exists_error_behavior ON ERROR_P  */
#line 16979 "gram.y"
                                                                        { (yyval.jsbehavior) = (yyvsp[-2].jsbehavior); }
#line 51536 "gram.c"
    break;

  case 2409: /* json_exists_error_clause_opt: %empty  */
#line 16980 "gram.y"
                                                                                                { (yyval.jsbehavior) = NULL; }
#line 51542 "gram.c"
    break;

  case 2416: /* json_object_constructor: JSON_OBJECT '(' json_object_args ')'  */
#line 16997 "gram.y"
                                {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 51550 "gram.c"
    break;

  case 2419: /* json_object_func_args: func_arg_list  */
#line 17009 "gram.y"
                                {
					List	   *func = list_make1(makeString("json_object"));

					(yyval.node) = (Node *) makeFuncCall(func, (yyvsp[0].list), COERCE_EXPLICIT_CALL, (yylsp[0]));
				}
#line 51560 "gram.c"
    break;

  case 2420: /* json_object_constructor_args: json_object_constructor_args_opt json_output_clause_opt  */
#line 17018 "gram.y"
                                {
					JsonObjectConstructor *n = (JsonObjectConstructor *) (yyvsp[-1].node);

					n->output = (JsonOutput *) (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 51572 "gram.c"
    break;

  case 2421: /* json_object_constructor_args_opt: json_name_and_value_list json_object_constructor_null_clause_opt json_key_uniqueness_constraint_opt  */
#line 17031 "gram.y"
                                {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = (yyvsp[-2].list);
					n->absent_on_null = (yyvsp[-1].boolean);
					n->unique = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 51585 "gram.c"
    break;

  case 2422: /* json_object_constructor_args_opt: %empty  */
#line 17040 "gram.y"
                                {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = NULL;
					n->absent_on_null = false;
					n->unique = false;
					(yyval.node) = (Node *) n;
				}
#line 51598 "gram.c"
    break;

  case 2423: /* json_name_and_value_list: json_name_and_value  */
#line 17052 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51604 "gram.c"
    break;

  case 2424: /* json_name_and_value_list: json_name_and_value_list ',' json_name_and_value  */
#line 17054 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51610 "gram.c"
    break;

  case 2425: /* json_name_and_value: c_expr VALUE_P json_value_expr  */
#line 17064 "gram.y"
                                { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 51616 "gram.c"
    break;

  case 2426: /* json_name_and_value: a_expr ':' json_value_expr  */
#line 17067 "gram.y"
                                { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 51622 "gram.c"
    break;

  case 2427: /* json_object_constructor_null_clause_opt: NULL_P ON NULL_P  */
#line 17071 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 51628 "gram.c"
    break;

  case 2428: /* json_object_constructor_null_clause_opt: ABSENT ON NULL_P  */
#line 17072 "gram.y"
                                                                                { (yyval.boolean) = true; }
#line 51634 "gram.c"
    break;

  case 2429: /* json_object_constructor_null_clause_opt: %empty  */
#line 17073 "gram.y"
                                                                                { (yyval.boolean) = false; }
#line 51640 "gram.c"
    break;

  case 2430: /* json_array_constructor: JSON_ARRAY '(' json_value_expr_list json_array_constructor_null_clause_opt json_output_clause_opt ')'  */
#line 17082 "gram.y"
                                {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = (yyvsp[-3].list);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 51654 "gram.c"
    break;

  case 2431: /* json_array_constructor: JSON_ARRAY '(' select_no_parens json_output_clause_opt ')'  */
#line 17097 "gram.y"
                                {
					JsonArrayQueryConstructor *n = makeNode(JsonArrayQueryConstructor);

					n->query = (yyvsp[-2].node);
					n->format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
					/* n->format = $4; */
					n->absent_on_null = true /* $5 */;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 51670 "gram.c"
    break;

  case 2432: /* json_array_constructor: JSON_ARRAY '(' json_output_clause_opt ')'  */
#line 17111 "gram.y"
                                {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = NIL;
					n->absent_on_null = true;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 51684 "gram.c"
    break;

  case 2433: /* json_value_expr_list: json_value_expr  */
#line 17123 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51690 "gram.c"
    break;

  case 2434: /* json_value_expr_list: json_value_expr_list ',' json_value_expr  */
#line 17124 "gram.y"
                                                                        { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));}
#line 51696 "gram.c"
    break;

  case 2435: /* json_array_constructor_null_clause_opt: NULL_P ON NULL_P  */
#line 17128 "gram.y"
                                                                                        { (yyval.boolean) = false; }
#line 51702 "gram.c"
    break;

  case 2436: /* json_array_constructor_null_clause_opt: ABSENT ON NULL_P  */
#line 17129 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 51708 "gram.c"
    break;

  case 2437: /* json_array_constructor_null_clause_opt: %empty  */
#line 17130 "gram.y"
                                                                                        { (yyval.boolean) = true; }
#line 51714 "gram.c"
    break;

  case 2440: /* json_object_aggregate_constructor: JSON_OBJECTAGG '(' json_name_and_value json_object_constructor_null_clause_opt json_key_uniqueness_constraint_opt json_output_clause_opt ')'  */
#line 17145 "gram.y"
                                {
					JsonObjectAgg *n = makeNode(JsonObjectAgg);

					n->arg = (JsonKeyValue *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->agg_order = NULL;
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 51731 "gram.c"
    break;

  case 2441: /* json_array_aggregate_constructor: JSON_ARRAYAGG '(' json_value_expr json_array_aggregate_order_by_clause_opt json_array_constructor_null_clause_opt json_output_clause_opt ')'  */
#line 17166 "gram.y"
                                {
					JsonArrayAgg *n = makeNode(JsonArrayAgg);

					n->arg = (JsonValueExpr *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->agg_order = (yyvsp[-3].list);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 51747 "gram.c"
    break;

  case 2442: /* json_array_aggregate_order_by_clause_opt: ORDER BY sortby_list  */
#line 17180 "gram.y"
                                                                                { (yyval.list) = (yyvsp[0].list); }
#line 51753 "gram.c"
    break;

  case 2443: /* json_array_aggregate_order_by_clause_opt: %empty  */
#line 17181 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 51759 "gram.c"
    break;

  case 2444: /* opt_target_list: target_list  */
#line 17190 "gram.y"
                                                                        { (yyval.list) = (yyvsp[0].list); }
#line 51765 "gram.c"
    break;

  case 2445: /* opt_target_list: %empty  */
#line 17191 "gram.y"
                                                                                        { (yyval.list) = NIL; }
#line 51771 "gram.c"
    break;

  case 2446: /* target_list: target_el  */
#line 17195 "gram.y"
                                                                                                { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 51777 "gram.c"
    break;

  case 2447: /* target_list: target_list ',' target_el  */
#line 17196 "gram.y"
                                                                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 51783 "gram.c"
    break;

  case 2448: /* target_el: a_expr AS ColLabel  */
#line 17200 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 51795 "gram.c"
    break;

  case 2449: /* target_el: a_expr BareColLabel  */
#line 17208 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 51807 "gram.c"
    break;

  case 2450: /* target_el: a_expr  */
#line 17216 "gram.y"
                                {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 51819 "gram.c"
    break;

  case 2451: /* target_el: '*'  */
#line 17224 "gram.y"
                                {
					ColumnRef  *n = makeNode(ColumnRef);

					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 51836 "gram.c"
    break;

  case 2452: /* qualified_name_list: qualified_name  */
#line 17246 "gram.y"
                                                                                        { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 51842 "gram.c"
    break;

  case 2453: /* qualified_name_list: qualified_name_list ',' qualified_name  */
#line 17247 "gram.y"
                                                                 { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 51848 "gram.c"
    break;

  case 2454: /* qualified_name: ColId  */
#line 17259 "gram.y"
                                {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 51856 "gram.c"
    break;

  case 2455: /* qualified_name: ColId indirection  */
#line 17263 "gram.y"
                                {
					(yyval.range) = makeRangeVarFromQualifiedName((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 51864 "gram.c"
    break;

  case 2456: /* name_list: name  */
#line 17269 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51870 "gram.c"
    break;

  case 2457: /* name_list: name_list ',' name  */
#line 17271 "gram.y"
                                        { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 51876 "gram.c"
    break;

  case 2458: /* name: ColId  */
#line 17275 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 51882 "gram.c"
    break;

  case 2459: /* attr_name: ColLabel  */
#line 17277 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 51888 "gram.c"
    break;

  case 2460: /* file_name: Sconst  */
#line 17279 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 51894 "gram.c"
    break;

  case 2461: /* func_name: type_function_name  */
#line 17290 "gram.y"
                                        { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51900 "gram.c"
    break;

  case 2462: /* func_name: ColId indirection  */
#line 17292 "gram.y"
                                        {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 51909 "gram.c"
    break;

  case 2463: /* AexprConst: Iconst  */
#line 17303 "gram.y"
                                {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 51917 "gram.c"
    break;

  case 2464: /* AexprConst: FCONST  */
#line 17307 "gram.y"
                                {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 51925 "gram.c"
    break;

  case 2465: /* AexprConst: Sconst  */
#line 17311 "gram.y"
                                {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 51933 "gram.c"
    break;

  case 2466: /* AexprConst: BCONST  */
#line 17315 "gram.y"
                                {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 51941 "gram.c"
    break;

  case 2467: /* AexprConst: XCONST  */
#line 17319 "gram.y"
                                {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 51954 "gram.c"
    break;

  case 2468: /* AexprConst: func_name Sconst  */
#line 17328 "gram.y"
                                {
					/* generic type 'literal' syntax */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-1].list));

					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 51966 "gram.c"
    break;

  case 2469: /* AexprConst: func_name '(' func_arg_list opt_sort_clause ')' Sconst  */
#line 17336 "gram.y"
                                {
					/* generic syntax with a type modifier */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell   *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52002 "gram.c"
    break;

  case 2470: /* AexprConst: ConstTypename Sconst  */
#line 17368 "gram.y"
                                {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 52010 "gram.c"
    break;

  case 2471: /* AexprConst: ConstInterval Sconst opt_interval  */
#line 17372 "gram.y"
                                {
					TypeName   *t = (yyvsp[-2].typnam);

					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 52021 "gram.c"
    break;

  case 2472: /* AexprConst: ConstInterval '(' Iconst ')' Sconst  */
#line 17379 "gram.y"
                                {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 52033 "gram.c"
    break;

  case 2473: /* AexprConst: TRUE_P  */
#line 17387 "gram.y"
                                {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 52041 "gram.c"
    break;

  case 2474: /* AexprConst: FALSE_P  */
#line 17391 "gram.y"
                                {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 52049 "gram.c"
    break;

  case 2475: /* AexprConst: NULL_P  */
#line 17395 "gram.y"
                                {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 52057 "gram.c"
    break;

  case 2476: /* Iconst: ICONST  */
#line 17400 "gram.y"
                                                                                        { (yyval.ival) = (yyvsp[0].ival); }
#line 52063 "gram.c"
    break;

  case 2477: /* Sconst: SCONST  */
#line 17401 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 52069 "gram.c"
    break;

  case 2478: /* SignedIconst: Iconst  */
#line 17403 "gram.y"
                                                                                { (yyval.ival) = (yyvsp[0].ival); }
#line 52075 "gram.c"
    break;

  case 2479: /* SignedIconst: '+' Iconst  */
#line 17404 "gram.y"
                                                                                        { (yyval.ival) = + (yyvsp[0].ival); }
#line 52081 "gram.c"
    break;

  case 2480: /* SignedIconst: '-' Iconst  */
#line 17405 "gram.y"
                                                                                        { (yyval.ival) = - (yyvsp[0].ival); }
#line 52087 "gram.c"
    break;

  case 2481: /* RoleId: RoleSpec  */
#line 17410 "gram.y"
                                {
					RoleSpec   *spc = (RoleSpec *) (yyvsp[0].rolespec);

					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_ROLE:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_ROLE"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 52130 "gram.c"
    break;

  case 2482: /* RoleSpec: NonReservedWord  */
#line 17451 "gram.y"
                                {
					/*
					 * "public" and "none" are not keywords, but they must
					 * be treated specially here.
					 */
					RoleSpec   *n;

					if (strcmp((yyvsp[0].str), "public") == 0)
					{
						n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
						n->roletype = ROLESPEC_PUBLIC;
					}
					else if (strcmp((yyvsp[0].str), "none") == 0)
					{
						ereport(ERROR,
								(errcode(ERRCODE_RESERVED_NAME),
								 errmsg("role name \"%s\" is reserved",
										"none"),
								 parser_errposition((yylsp[0]))));
					}
					else
					{
						n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
						n->rolename = pstrdup((yyvsp[0].str));
					}
					(yyval.rolespec) = n;
				}
#line 52162 "gram.c"
    break;

  case 2483: /* RoleSpec: CURRENT_ROLE  */
#line 17479 "gram.y"
                                {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_ROLE, (yylsp[0]));
				}
#line 52170 "gram.c"
    break;

  case 2484: /* RoleSpec: CURRENT_USER  */
#line 17483 "gram.y"
                                {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
				}
#line 52178 "gram.c"
    break;

  case 2485: /* RoleSpec: SESSION_USER  */
#line 17487 "gram.y"
                                {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
				}
#line 52186 "gram.c"
    break;

  case 2486: /* role_list: RoleSpec  */
#line 17493 "gram.y"
                                { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 52192 "gram.c"
    break;

  case 2487: /* role_list: role_list ',' RoleSpec  */
#line 17495 "gram.y"
                                { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 52198 "gram.c"
    break;

  case 2488: /* PLpgSQL_Expr: opt_distinct_clause opt_target_list from_clause where_clause group_clause having_clause window_clause opt_sort_clause opt_select_limit opt_for_locking_clause  */
#line 17512 "gram.y"
                                {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-9].list);
					n->targetList = (yyvsp[-8].list);
					n->fromClause = (yyvsp[-7].list);
					n->whereClause = (yyvsp[-6].node);
					n->groupClause = ((yyvsp[-5].groupclause))->list;
					n->groupDistinct = ((yyvsp[-5].groupclause))->distinct;
					n->havingClause = (yyvsp[-4].node);
					n->windowClause = (yyvsp[-3].list);
					n->sortClause = (yyvsp[-2].list);
					if ((yyvsp[-1].selectlimit))
					{
						n->limitOffset = (yyvsp[-1].selectlimit)->limitOffset;
						n->limitCount = (yyvsp[-1].selectlimit)->limitCount;
						if (!n->sortClause &&
							(yyvsp[-1].selectlimit)->limitOption == LIMIT_OPTION_WITH_TIES)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
						n->limitOption = (yyvsp[-1].selectlimit)->limitOption;
					}
					n->lockingClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 52229 "gram.c"
    break;

  case 2489: /* PLAssignStmt: plassign_target opt_indirection plassign_equals PLpgSQL_Expr  */
#line 17545 "gram.y"
                                {
					PLAssignStmt *n = makeNode(PLAssignStmt);

					n->name = (yyvsp[-3].str);
					n->indirection = check_indirection((yyvsp[-2].list), yyscanner);
					/* nnames will be filled by calling production */
					n->val = (SelectStmt *) (yyvsp[0].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 52244 "gram.c"
    break;

  case 2490: /* plassign_target: ColId  */
#line 17557 "gram.y"
                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 52250 "gram.c"
    break;

  case 2491: /* plassign_target: PARAM  */
#line 17558 "gram.y"
                                                                                        { (yyval.str) = psprintf("$%d", (yyvsp[0].ival)); }
#line 52256 "gram.c"
    break;

  case 2494: /* ColId: IDENT  */
#line 17579 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 52262 "gram.c"
    break;

  case 2495: /* ColId: unreserved_keyword  */
#line 17580 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52268 "gram.c"
    break;

  case 2496: /* ColId: col_name_keyword  */
#line 17581 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52274 "gram.c"
    break;

  case 2497: /* type_function_name: IDENT  */
#line 17586 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 52280 "gram.c"
    break;

  case 2498: /* type_function_name: unreserved_keyword  */
#line 17587 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52286 "gram.c"
    break;

  case 2499: /* type_function_name: type_func_name_keyword  */
#line 17588 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52292 "gram.c"
    break;

  case 2500: /* NonReservedWord: IDENT  */
#line 17593 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 52298 "gram.c"
    break;

  case 2501: /* NonReservedWord: unreserved_keyword  */
#line 17594 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52304 "gram.c"
    break;

  case 2502: /* NonReservedWord: col_name_keyword  */
#line 17595 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52310 "gram.c"
    break;

  case 2503: /* NonReservedWord: type_func_name_keyword  */
#line 17596 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52316 "gram.c"
    break;

  case 2504: /* ColLabel: IDENT  */
#line 17602 "gram.y"
                                                                                        { (yyval.str) = (yyvsp[0].str); }
#line 52322 "gram.c"
    break;

  case 2505: /* ColLabel: unreserved_keyword  */
#line 17603 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52328 "gram.c"
    break;

  case 2506: /* ColLabel: col_name_keyword  */
#line 17604 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52334 "gram.c"
    break;

  case 2507: /* ColLabel: type_func_name_keyword  */
#line 17605 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52340 "gram.c"
    break;

  case 2508: /* ColLabel: reserved_keyword  */
#line 17606 "gram.y"
                                                                                        { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52346 "gram.c"
    break;

  case 2509: /* BareColLabel: IDENT  */
#line 17612 "gram.y"
                                                                                { (yyval.str) = (yyvsp[0].str); }
#line 52352 "gram.c"
    break;

  case 2510: /* BareColLabel: bare_label_keyword  */
#line 17613 "gram.y"
                                                                                { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 52358 "gram.c"
    break;


#line 52362 "gram.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if !defined yyoverflow
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;
#endif


/*-------------------------------------------------------.
| yyreturn -- parsing is finished, clean up and return.  |
`-------------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 18615 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int			nfields = 0;
	ListCell   *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast   *n = makeNode(TypeCast);

	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.sval.type = T_String;
	n->val.sval.sval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node	   *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.ival.type = T_Integer;
	n->val.ival.ival = val;
	n->location = location;

   return (Node *) n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.fval.type = T_Float;
	n->val.fval.fval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBoolAConst(bool state, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.boolval.type = T_Boolean;
	n->val.boolval.boolval = state;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.bsval.type = T_BitString;
	n->val.bsval.bsval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeNullAConst(int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->isnull = true;
	n->location = location;

	return (Node *) n;
}

static Node *
makeAConst(Node *v, int location)
{
	Node	   *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(castNode(Float, v)->fval, location);
			break;

		case T_Integer:
			n = makeIntConst(castNode(Integer, v)->ival, location);
			break;

		default:
			/* currently not used */
			Assert(false);
			n = NULL;
	}

	return n;
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec   *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Integer	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause && limitClause->limitOption != LIMIT_OPTION_DEFAULT)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
		if (limitClause->limitOption == LIMIT_OPTION_WITH_TIES && stmt->lockingClause)
		{
			ListCell   *lc;

			foreach(lc, stmt->lockingClause)
			{
				LockingClause *lock = lfirst_node(LockingClause, lc);

				if (lock->waitPolicy == LockWaitSkip)
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("%s and %s options cannot be used together",
									"SKIP LOCKED", "WITH TIES")));
			}
		}
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const	   *con = (A_Const *) n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (IsA(&con->val, Integer))
		{
			con->val.ival.ival = -con->val.ival.ival;
			return n;
		}
		if (IsA(&con->val, Float))
		{
			doNegateFloat(&con->val.fval);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Float *v)
{
	char	   *oldval = v->fval;

	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->fval = oldval+1;	/* just strip the '-' */
	else
		v->fval = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_DEFAULT &&
			p->mode != FUNC_PARAM_IN &&
			p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName   *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar   *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/*
 * Convert a relation_name with name and namelist to a RangeVar using
 * makeRangeVar.
 */
static RangeVar *
makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
							  core_yyscan_t yyscanner)
{
	RangeVar   *r;

	check_qualified_name(namelist, yyscanner);
	r = makeRangeVar(NULL, NULL, location);

	switch (list_length(namelist))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = name;
			r->relname = strVal(linitial(namelist));
			break;
		case 2:
			r->catalogname = name;
			r->schemaname = strVal(linitial(namelist));
			r->relname = strVal(lsecond(namelist));
			break;
		default:
			ereport(ERROR,
					errcode(ERRCODE_SYNTAX_ERROR),
					errmsg("improper qualified name (too many dotted names): %s",
						   NameListToString(lcons(makeString(name), namelist))),
						   parser_errposition(location));
			break;
	}

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node	   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*
 * Process pubobjspec_list to check for errors in any of the objects and
 * convert PUBLICATIONOBJ_CONTINUATION into appropriate PublicationObjSpecType.
 */
static void
preprocess_pubobj_list(List *pubobjspec_list, core_yyscan_t yyscanner)
{
	ListCell   *cell;
	PublicationObjSpec *pubobj;
	PublicationObjSpecType prevobjtype = PUBLICATIONOBJ_CONTINUATION;

	if (!pubobjspec_list)
		return;

	pubobj = (PublicationObjSpec *) linitial(pubobjspec_list);
	if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
		ereport(ERROR,
				errcode(ERRCODE_SYNTAX_ERROR),
				errmsg("invalid publication object list"),
				errdetail("One of TABLE or ALL TABLES IN SCHEMA must be specified before a standalone table or schema name."),
				parser_errposition(pubobj->location));

	foreach(cell, pubobjspec_list)
	{
		pubobj = (PublicationObjSpec *) lfirst(cell);

		if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
			pubobj->pubobjtype = prevobjtype;

		if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLE)
		{
			/* relation name or pubtable must be set for this type of object */
			if (!pubobj->name && !pubobj->pubtable)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid table name at or near"),
						parser_errposition(pubobj->location));

			if (pubobj->name)
			{
				/* convert it to PublicationTable */
				PublicationTable *pubtable = makeNode(PublicationTable);

				pubtable->relation =
					makeRangeVar(NULL, pubobj->name, pubobj->location);
				pubobj->pubtable = pubtable;
				pubobj->name = NULL;
			}
		}
		else if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_SCHEMA ||
				 pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA)
		{
			/* WHERE clause is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->whereClause)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("WHERE clause not allowed for schema"),
						parser_errposition(pubobj->location));

			/* Column list is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->columns)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("column specification not allowed for schema"),
						parser_errposition(pubobj->location));

			/*
			 * We can distinguish between the different type of schema
			 * objects based on whether name and pubtable is set.
			 */
			if (pubobj->name)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
			else if (!pubobj->name && !pubobj->pubtable)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
			else
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid schema name at or near"),
						parser_errposition(pubobj->location));
		}

		prevobjtype = pubobj->pubobjtype;
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
